zenon Analyzer

zenon Analyzer

Der zenon Analyzer bietet Ihnen durch systemübergreifende Analyse managementnahe und controllingnahe Sicht auf alle online und offline verfügbare Daten. Er fasst bisher getrennte Aufgaben zusammen und eliminiert Reibungsverluste, die durch parallele Abstimmung, Wartung und Koordination unterschiedlicher IT-Systeme entstehen. Der zenon Analyzer:

  • verdichtet und verrechnet Daten aus verschiedenen Quellen in verschiedenen Formaten
  • setzt sie zueinander in Relation
  • stellt die Ergebnisse daraus in grafischer Form als Report dar

tutorial Lizenzinformation

Der zenon Analyzer ist lizenzpflichtig. Details siehe Abschnitt Lizenzierung.

attention Achtung

Ab Version 2.0 werden für den Server ausschließlich 64-Bit Betriebssysteme unterstützt. Am Engineering-Rechner werden für ZAMS, Manual Data Editor, Metadata Editor und Migration Tool auch 32-Bit Betriebssysteme unterstützt.

Überblick

Beim Einsatz des zenon Analyzer wird der Produktionsprozess nicht unterbrochen. Der zenon Analyzer kann in ein bestehendes Produktivsystem implementiert werden, ohne dass dieses umkonfiguriert werden muss. Bei Datenerhebung und Reporterstellung läuft das Produktivsystem ungestört weiter. Die bestehende Infrastruktur wird unabhängig von Herstellern in das Reporting durch zenon Analyzer eingebunden.

Für den Zugriff auf Auswertungen ist nur ein Browser nötig. Es muss keine Software installiert, angepasst oder gewartet werden. Auswertungen können ohne zusätzliche Komponenten oder Plug-Ins im Intranet eines Unternehmens publiziert werden. Standard-Reports werden bereits mit zenon Analyzer ausgeliefert. Es können jederzeit eigene Auswertungen erstellt, gespeichert und verteilt werden. Um Reports aus der Prozessebene zu erstellen, wird auf den jeweiligen Runtime-Rechnern ein Connector-Container installiert. Diese Installation beeinträchtigt das laufende System nicht.

info Info

Der zenon Analyzer nutzt Komponenten vom Microsoft Reporting Service.

Detaillierte Anleitungen für die Konfiguration der Microsoft Reporting Services finden Sie auf der Microsoft Homepage:

  • Deutsch
  • Englisch
  • Französisch
  • Italienisch

Überblick über die Hilfe zum zenon Analyzer

In der Hilfe zum zenon Analyzer finden Sie Informationen zu:

  • Grundlagen zu Architektur, Datenstrukturen und Datenaufbereitung
  • Installation der Module des zenon Analyzer
  • Rechteverwaltung
  • Konfiguration und Bedienung des Report Launcher (Site, Ordner und Reports)
  • ZAMS - zenon Analyzer Management Studio: Reports erstellen und verwalten, Benutzer verwalten, Server verwalten
  • Manual Data Editor: Ermöglicht es, in einer zenon Analyzer Metadaten Datenbank die Tabellen für Preis- und Normwerte zu bearbeiten.
  • Mitgelieferte Reportvorlagen: Dokumentation der mit dem zenon Analyzer ausgelieferten Reportvorlagen.
  • Beispielprojekt

info Info

Für die Projektierung individueller Reports steht ein eigenes Handbuch zur Verfügung. Dieses erhalten Sie nach Absolvierung eines entsprechenden Trainings bei COPA-DATA. Für Informationen zu Trainings und zum Handbuch für Entwickler wenden Sie sich per E-Mail an sales@copadata.com.

Noch in diesem Kapitel

Upgrade-Informationen

Technische Grundlagen

Installation und Update

Lizenzierung

Konfigurationsdatei zenAnalyzer.ini

Datenaufbereitung

ZAMS - zenon Analyzer Management Studio

Metadatenbank-Editoren

Prediction Model Manager

Migration Tool

Reportvorlagen

Report Launcher

Analyzer Wizards


Upgrade-Informationen

zenon Analyzer > Upgrade-Informationen

Beachten Sie beim Umstieg von einer Vorgängerversion auf Version 3.20:

Noch in diesem Kapitel

Neu in Version 3.20

Reports und Reportelemente

Kompatibilität


Neu in Version 3.20

zenon Analyzer > Upgrade-Informationen > Neu in Version 3.20

In Version 3.20 wurden unter anderem folgende Neuerungen implementiert:

Lizenzierung

Die Lizenzierung wurde erneuert. Sie erfolgt jetzt über die externe Anwendung COPA-DATA Lizenzverwaltung.

Berechnete Felder

Die Spalten der Hauptdatasets können individuell konfiguriert werden. Dabei können berechnete Felder zu den bereits vorhandenen Feldern hinzugefügt werden.

Mögliche Verwendung Berechneter Felder:

  • Operationen auf verschiedene Variablen in einem pivotierten Dataset, um die Variablen in Relation zueinander zu stellen.
    Beispiel: =Fields!TEMPERATURE1.Value – Fields!TEMPERATURE2.Value
  • Pivotierte Tabellen zur Generierung von gruppierten Spalten für Reportvorlagen der Themen Archivanalyse, Erweiterte Archivanalyse und Analyse mit benutzerdefinierten Formeln.
  • Operationen auf die Werte von Variablen in verschiedenen Zeitbereichen bei Zeitbereichsvergleich.
  • Verändern von Variablennamen.
    Beispiel: Projekt/Archiv Präfix von Variablen entfernen
    z.B. =Fields!VARIABLE_NAME.Value.Split("-"c)(1).Trim() entfernt den Text vor dem ersten Minus.
  • Spezielle Darstellung oder Formatierung von Werten oder Datumswerten.
  • Wertumrechnungen.
  • Zusammenführung von Informationen, also Inhalte mehrerer Spalten in einer Spalte darstellen.

Struktur beim Bereitstellen aktualisieren

Geänderte Strukturen können für bereitgestellte Reports aktualisiert werden, ohne ins Layout einzugreifen. Alle Report-Elemente sowie Kopfzeile und Fußzeile werden wie im am Server gespeicherten Report beibehalten. Um nur die Strukturen zu ersetzen, klicken Sie beim Bereitstellen im Ribbon Report auf das Symbol Struktur aktualisieren oder Struktur für alle aktualisieren.

Dabei wird der Report vom Server heruntergeladen. Datenquelle, Datasets und Report-Code werden durch die aktuellen Werte ersetzt. Nach der Ersetzung werden die Referenzen überprüft. Danach wird das RDL wieder zum Server hochgeladen. Kann eine Referenz nicht aufgelöst werden, wird eine Warnung ins Ausgabefenster geschrieben und das betroffene Element wird aus dem Report-Design entfernt.

Default Layout

Das Default-Layout in ZAMS stellt die Konfiguration der ZAMS-Oberfläche auf den Auslieferungszustand zurück. Bisher wurde lediglich die Hauptoberfläche zurückgesetzt. Jetzt werden auch andere Elemente zurückgesetzt.

Zurückgesetzt werden:

  • Dialoge, die größenveränderbar und/oder verschiebbar sind
  • die Fenstergröße
  • abhängig vom Dialog auch Spaltenbreiten
  • Einstellungen für Trenner
  • Aufklappzustände

Do - Undo

Aktionen bei der Reportkonfiguration können jetzt rückgängig gemacht und wiederhergestellt werden.

Dafür stehen die Schaltflächen Rückgängig und Wiederherstellen im Ribbon Design und in der Leiste Schnellzugriff zur Verfügung. Es können nur Schritte in der Reportkonfiguration rückgängig gemacht oder wiederhergestellt werden. Aktionen in Dialogen werden nicht erfasst.

Die beiden Schaltflächen enthalten Dropdownlisten mit der Anzahl der Schritte. Die Schritte werden nicht benannt, sondern in 10er-Potenzen gruppiert. Also Schritte 1 - 10, 20 - 100, 200 - 1000 usw.

Kommentare

Reportvorlagen und Reports können mit Kommentaren versehen werden:

  • im ZAMS
  • im Report Launcher

Die Projektierung erfolgt über die Eigenschaften des Reportnamens im ZAMS.

Liste der Reportdefinitionen in ZAMS

Die Liste der zuletzt gespeicherten Reportdefinitionen wird auf der Startseite angezeigt. Diese Liste ist jetzt bearbeitbar.
Es ist möglich:

  • einzelne Einträge aus der Liste zu entfernen
  • die komplette Liste zu löschen

Pfad für Bereitstellung

Der Ordner und der Reportname für die Bereitstellung können jetzt in den Einstellungen in der Registerkarte Bereitstellung vordefiniert werden. Es stehen drei Möglichkeiten zur Verfügung:

  • Report Launcher Stammordner:
    Reports werden im Stammordner des Report Launcher gespeichert.
  • Von erster hinzugefügter Reportvorlage übernehmen:
    Der Ordner wird von der ersten gewählten Reportvorlage bestimmt.
    Der Reportname wird von der Auswahl der Reportvorlage übernommen.
    Diese Einstellungen gelten je Sprache.
  • Benutzerdefinierter Pfad:
    Es wird ein vom Benutzer vorgegebener Name für den Ordner verwendet. Ist dieser noch nicht vorhanden, wird er automatisch am Server angelegt.
    Der Reportname wird im der Reportvorlage eingegeben.

Hinweis: Der Reportname darf maximal 126 Zeichen lang sein. Reportname und Reportpfad dürfen in Summe maximal 252 Zeichen lang sein.

Predictive Analytics

Der zenon Analyzer verfügt jetzt über ein Modul für Predictive Analytics.

Prognosemodelle können erstellt, bearbeitet, trainiert und in Reports verwendet werden.

Reports

Informationen zu Änderungen bei Reports finden Sie im Abschnitt Reports und Reportelemente.

Report-Layout

Für jeden Report können jetzt Größe, Ränder, Vorlagen und Stile für Druck und Browser individuell konfiguriert werden:

  • Einstellungen für Vorlagen und Stile wirken sich auf die Darstellung im Ausdruck und im Browser aus.
  • Die Größe kann für Ausdruck und Browser unterschiedlich eingestellt werden.
  • Seitenränder wirken sich nur auf Ausdrucke aus.

Reportstile

Die bisherigen Farbschemata werden durch Reportstile ersetzt.

Reportstile geben Ihnen die Möglichkeit, grafische Elemente individuell zu konfigurieren und Reports zuzuweisen. Reportstile sind modular aufgebaut und werden zentral definiert. Sie ermöglichen die zentrale Konfiguration von Schriften, Linien, Rahmen, Farben, Farbverläufen und Markern.

Standardmäßig wird der zenon Analyzer mit dem Reportstil Analyzer Initial ausgeliefert. Dieser ist vordefiniert und initial allen Reports zugewiesen. Es können zusätzlich beliebig viele individuelle Stile erstellt und zugewiesen werden. Die Zuweisung von Reportstilen kann generell für alle Reports oder gezielt für einzelne Reports erfolgen. Reportstile können über XML exportiert und importiert werden.

Beim Update auf die Version 3.20 werden bereits definierte Farbschemata von ZAMS automatisch in die neue Struktur übernommen. Farbschemata können auch über den XML-Import in die Version 3.20 integriert werden.

SCADA-Projekt hinzufügen

Mit dem Metadata Editor können jetzt SCADA-Projekte unabhängig von zenon zum zenon Analyzer hinzugefügt werden. Diese können zum Beispiel für die Nutzung von Fremddatenbanken verwendet werden.

Sprachtabelle erweitert

Die Sprachtabelle wurde erweitert:

  • Es ist jetzt möglich:
    • Sprachen aus- und einzublenden
    • Sprachen hinzuzufügen
    • Sprachen zu löschen (ausgenommen Systemsprachen)
    • alle Einträge in eine XML-Datei zu exportieren (bisher nur geändert Einträge)
  • Die Filter der Sprachtabelle wurden erneuert.


Reports und Reportelemente

zenon Analyzer > Upgrade-Informationen > Reports und Reportelemente

zenon Analyzer 3.20 bringt neue Reportvorlagen mit:

  • Thema Alarm- und Ereignisanalyse:
    • Top N Alarme gruppiert: Holt alle Alarme im Zeitbereich, gruppiert sie nach dem eingestellten Kriterium (z.B Alarmklasse) und stellt die N Gruppierungen mit den meisten Alarmen bzw. mit der längsten Anstehdauersumme der Alarme dar.
    • Top N Ereignisse gruppiert: Holt alle Ereignisse im Zeitbereich, gruppiert sie nach dem eingestellten Kriterium (z.B Ereignisklasse) und stellt die N Gruppierungen mit den meisten Ereignissen dar.
  • Thema Erweiterte Archivanalyse:
    • Archivtrend mit Grenzen mit Variablenauswahl: Wertet Trends mit Grenzwerten und Grenzwertverletzungen für Trends aus.
    • Trend Archivverdichtung mit Grenzen mit Variablenauswahl: Wertet verdichtete Trends mit Grenzwerten und Grenzwertverletzungen für verdichtete Trends aus.
  • Thema Statistische Analyse:
    • Prozessfähigkeit: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Mittelwerten und Standardabweichungen.
    • Prozessfähigkeit basierend auf Rohdaten: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Messwerten.
    • Prozessfähigkeits-Trend: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Mittelwerten und Standardabweichungen und stellt die Ergebnisse als Trend dar. Die Berechnung der Trenddarstellung für Cp und Cpk kann entweder über einen Zeitintervall oder über eine Stichprobengröße erfolgen.
    • Prozessfähigkeits-Trend basierend auf Rohdaten: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Messwerten und stellt Cp- und Cpk-Ergebnisse als Trend dar. Die Berechnung der Trenddarstellung für Cp und Cpk kann entweder über einen Zeitintervall oder über eine Stichprobengröße erfolgen.
    • Regelkarte: Stellt eine Regelkarte dar, basierend auf archiviertem Mittelwert und Standardabweichung einer Messgröße.
    • Regelkarte basierend auf Rohdaten: Stellt eine Regelkarte dar, basierend auf einer archivierten Messgröße.
    • Boxplot: Wertet archivierte Variablen statistisch aus. Die Variablen können entweder über Archive oder über Anlagengruppen adressiert werden.
    • XY-Trend basierend auf Variablen: Stellt einen XY-Trend mit Auswahl der Variablen für X und Y dar.
    • XY-Trend basierend auf Bedeutungen: Stellt einen XY-Trend für mehrere Anlagengruppen dar. Die Variablen für X und Y werden auf Basis von Bedeutungen gesucht.
    • Histogramm: Erstellt Histogramme für archivierte Variablen.

Pareto-Diagramm

Das Paretodiagramm wurde für das Thema Alarm- und Ereignisanalyse erweitert.

Dieses Paretodiagramm stellt für dieses Thema, abhängig von den in der Stored Procedure vorhandenen Spalten, folgende Informationen zur Verfügung:

  • Linke Y-Achse: von 0 bis zum Maximum der Absolutwertsummen
  • Rechte Y-Achse: von 0 % bis zum Maximum der Relativwertsummen
  • 10 Abstufungen auf beiden Y-Achsen
  • Balken mit Absolutwerten der Gruppen werden gezeichnet und an die linke Y-Achse gebunden
  • Linie mit Relativwertsummen der Gruppen wird gezeichnet (mit Markierungen der einzelnen Punkte) und an die rechte Y-Achse gebunden

Dafür müssen in der SP folgende Spalten vorhanden sein:

  • Absolutwert einer Gruppe
  • Relativwert einer Gruppe
  • Summe des Absolutwertes dieser Gruppe und aller vorherigen Gruppen
  • Summe des Relativwertes dieser Gruppe und aller vorherigen Gruppen

Die Darstellung für Maschinebasierte Produktionsanalyse und Linienbasierte Produktionsanalyse ist unverändert.


Kompatibilität

zenon Analyzer > Upgrade-Informationen > Kompatibilität

In Version 3.20 können Reportvorlagen (Dateien vom Typ zams_rep) geöffnet werden, die mit den Versionen 2.00 bis 3.10 erstellt wurden. Diese werden konvertiert und als Dateien der Version 3.20 gespeichert.

Reportstile

Reportstile ersetzen die bisherigen Farbschemata. Dabei wurden auch Eigenschaften ersetzt und erweitert. Bei der Konvertierung von Version 3.10 auf Version 3.20 haben neue Eigenschaften keinen definierten Wert. Sie übernehmen die Werte der entfernten Eigenschaft.


Technische Grundlagen

zenon Analyzer > Technische Grundlagen

Der zenon Analyzer :

  1. akquiriert Daten
  2. verdichtet Daten
  3. verwaltet Metadaten wie Anlagenstrukturen
  4. verwaltet Vorlagen
  5. verwaltet Zugriffsrechte und Berechtigungen
  6. berechnet Auswertungen
  7. verteilt Auswertungen an Clients

attention Achtung

Variablenname dürfen nicht zwei oder mehr Leerzeichen in Folge enthalten. Sind mehrere Leerzeichen in Folge enthalten, kann das beim Aufruf im Report Launcher zu einem Javascript-Fehler (Error 500) führen.

Voraussetzungen allgemein

zenon Analyzer benötigt für:

  • die Erstellung und Verwaltung von Reports:
    • eine SQL Server 2016 Datenbank und
    • die SQL Server 2016 Reporting-Services
  • die Anzeige von Reports: Browser

Für die Erstellung eigener Reports sind fundierte Kenntnisse in SQL und MS Report Builder 3.0 Voraussetzung.

Details zu den technischen Voraussetzungen siehe Abschnitt Technologie.

Voraussetzungen Hardware und Software

Hardware

Analyzer Server:

Parameter | Empfohlen | Minimum
CPU | Quad-Core Server CPU (maximal 24 Cores/4 Sockets) | Quad-Core
RAM | bis 128 GB | 12 GB
Freier Speicherplatz | 200 GB | 10 GB

Engineering-Rechner:

Parameter | Empfohlen | Minimum
CPU | Dual Core | Pentium IV
RAM | 4 GB | 1 GB
Freier Speicherplatz | 200GB | 2 GB
Bildschirm (Pixel) | 1920 x 1080 | 1024 x 768

Software

Analyzer Server:

Für den Datenbank-Server wird ein 64-Bit Betriebssystem vorausgesetzt. Unterstützt werden:

  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2016
  • Windows 8.1 64-Bit
  • Windows 8.1 Pro 64-Bit
  • Windows 8.1 Enterprise 64-Bit
  • Windows 8 64-Bit
  • Windows 8 Pro 64-Bit
  • Windows 8 Enterprise 64-Bit
  • Windows 10 Home 64-Bit
  • Windows 10 Professional 64-Bit
  • Windows 10 Enterprise 64-Bit

Hinweis: Für die Installation des Servers wird ein installierter IIS-Dienst vorausgesetzt.

Engineering-Rechner:

Unterstützt werden für ZAMS, Manual Data Editor, Metadata Editor und Migration Tool:

  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2016
  • Windows 8.1 32-Bit und 64-Bit
  • Windows 8.1 Enterprise 32-Bit und 64-Bit
  • Windows 8 32-Bit und 64-Bit
  • Windows 8 Pro 32-Bit und 64-Bit
  • Windows 8 Enterprise 32-Bit und 64-Bit
  • Windows 10 Home 32-Bit und 64-Bit
  • Windows 10 Professional 32-Bit und 64-Bit
  • Windows 10 Enterprise 32-Bit und 64-Bit

Webbrowser:

  • Internet Explorer 11 (nur Normalansicht)
  • Internet Explorer 10 (nur Normalansicht)
  • Chrome
  • Firefox

    Hinweis: Zoom im Report ist nur mit Chrome möglich.

Empfohlenes HMI/SCADA System:

  • zenon 7.60.

.NET Framework 4.6.2:

  • Um die Installation erfolgreich ausführen zu können, muss .NET Framework 4.6.2 bereits lauffähig auf dem Zielcomputer installiert sein.

Datenaufbereitung

Die Datenaufbereitung erfolgt mehrschichtig. Damit können Daten aus verschiedenen Quellen und Formaten universell ausgewertet und einfach gewartet werden.

Datenstrukturen

Daten stammen entweder aus statischen Projektdaten oder dynamischen Nutzdaten. Details siehe Abschnitt Datenstrukturen.

Datenerhebung

Der zenon Analyzer greift über Connectoren nicht-invasiv auf Daten zu. Quellsysteme müssen nicht umkonfiguriert werden. Bestehende Infrastruktur wird unabhängig von Herstellern in das Reporting durch zenon Analyzer eingebunden. Für andere Systeme als zenon 6.x/7.x wird lediglich ein Connector-Container installiert. Diese Installation greift nicht in das Runtime-System ein und unterbricht nicht den Prozess.

Noch in diesem Kapitel

Technologie

Architektur

Zeitformate

Rahmenbedingungen


Technologie

zenon Analyzer > Technische Grundlagen > Technologie

In diesem Abschnitt erfahren Sie die technisch nötigen Voraussetzungen für

  • Server
  • Client
  • Datenquellen
  • Projektierungsplatz

sowie die unterstützten Standards für

  • Schnittstellen

Server

SQL Server 2016 Datenbank

In der Datenbank befinden sich die Metadaten und gegebenenfalls auch in SQL gespeicherte Nutzdaten. Zur Abfrage werden Stored Procedures (Ebene 2) ausgeführt. Diese greifen wiederum auf User Defined Functions zur Datenaquisition und –abstraktion zurück. Bei Bedarf laden diese den Connector Stub, der die Nutzdaten online vom Quellsystem anfordert. Zusätzlich gibt es noch User Defined Functions, die Hilfsfunktionalitäten für die Auswertung zur Verfügung stellen.

SQL Server 2016 Reporting Services

Die Reporting Services laufen als Web-Anwendung und stellen als Web Server den Clients alle Reports zur Anzeige im Webbrowser zur Verfügung. Zusätzlich erfolgt auch die Parametrierung der Datenquellen, Reports usw. über das Web-Frontend Report Launcher.

Der Pfad zum Report Launcher lautet: http://[Computername]/Reports_za3.

Reporting Lizenz-Dienst (zrsLicSrv)

Der Reporting Lizenz-Dienst prüft den CodeMeter Dongle und die am Server vorhandene Lizenz und gibt die Lizenzinformationen an alle beteiligten Komponenten weiter. Er führt auch die Liste aller Client-Leases.

Datenquelle

Connector-Container

Auf allen Rechnern, die als Datenquelle dienen können, muss der Connector-Container mitsamt seinen verschiedenen Connectoren installiert und gestartet werden. Der TCP-Port des Connector-Containers muss von außen erreichbar sein.

Projektierungsplatz

Analyzer Export Wizard

Der Analyzer Export Wizard ist in den zenon Editor integriert und dient dem Import der Metadaten in die SQL Server 2016 Datenbank. Der Wizard unterstützt zenon 7.xx voll. Ältere Versionen des zenon Editors werden nicht unterstützt.

Schnittstellen

zenon Analyzer unterstützt folgende Standardschnittstellen:

  • zenon Runtime 5.50, 6.x, 7.x
  • SQL

Noch in diesem Kapitel

Client


Client

zenon Analyzer > Technische Grundlagen > Technologie > Client

Um Reports zu konfigurieren und anzuzeigen, ist am Client ein Webbrowser erforderlich.

info Info

Designed und getestet wurde der zenon Analyzer für folgende Browser:

  • Microsoft Internet Explorer ab Version 10
  • Chrome
  • Firefox

Hinweise:

  • Für den Internet Explorer muss die Kompatibilitätsansicht deaktiviert sein.
  • Zoom steht nur für den Browser Chrome zur Verfügung.

Doppelklick in Baumstruktur bei Anlagenmodell browserabhängig

Unterschiedliche Browser reagieren unterschiedlich auf einen Doppelklick auf einen Knoten in der Baumstruktur:

  • Internet Explorer:
    Das Gegenteil des aktuell sichtbare Status des angeklickten Knotens wird an die darunterliegenden Objekte vererbt und auf den Knoten übertragen.
    Zum Beispiel: Checkbox des Knotens ist nicht angehakt. Doppelklick bewirkt, dass die Checkboxen des Knotens und aller seine Unterpunkte angehakt werden.
  • Chrome und Firefox:
    Der aktuelle Status verändert sich nicht und wird an die darunterliegenden Objekte vererbt.
    Zum Beispiel: Checkbox des Knotens ist nicht angehakt. Doppelklick bewirkt, dass die Checkboxen des Knotens und aller seine Unterpunkte nicht angehakt sind.


Architektur

zenon Analyzer > Technische Grundlagen > Architektur

Der zenon Analyzer verknüpft Daten aus unterschiedlichen, heterogenen Quellen zu validen Reports in Echtzeit. Die Reports reagieren dynamisch auf Änderungen der Datenbasis.

Kommunikation aus Prozess-Sicht

Kommunikation aus Datensicht

Aufbau zenon Analyzer

Der zenon Analyzer besteht aus:

  • Datenquellen
  • Connectoren zu den Datenquellen
  • Container für Connectoren und Datenharmonisierung
  • Datenablage
  • Report Builder mit Filter und Berechnungen
  • zenon Analyzer Management Studio zur Reporterstellung und Verwaltung
  • Web Server
  • Oberfläche am Client für Abruf und Verwaltung von Reports am Client

Abläufe

Reports werden von Administratoren oder Benutzern konfiguriert und publiziert.

Reports können auch von Administratoren mit dem Microsoft Report Builder 3.0 erstellt werden. Voraussetzung sind umfassende Kenntnisse in SQL. Für Informationen zum MS Report Builder siehe entsprechende Hilfe des Microsoft Report Builder. Endbenutzer rufen Reports über die Oberfläche ihres Clients auf.

Die für den Report nötigen Daten werden über Connectoren gesammelt und vor der Verwendung harmonisiert. Damit bleiben Reports auch bei unterschiedlichen Quellen, Zeitzonen usw. aussagekräftig.


Zeitformate

zenon Analyzer > Technische Grundlagen > Zeitformate

Es werden drei Zeitformate verwendet:

  • Local Time: wird in Reports verwendet
  • UTC: wird in abstrahierten historischen und aktuellen Werten sowie in Datenbank-Tabellen verwendet
  • Unix Time: wird in SQL-Tabellen verwendet

Local Time

Abfragen im Report und die Anzeige der Ergebnisse erfolgt in Local Time.

UTC

Abstrahierte historische und aktuelle Werte werden in UTC angegeben. Zur Anzeige in Reports werden sie in Local Time umgerechnet.

UTC steht für Coordinated Universal Time. Die Zeiteinheit ist die SI-Sekunde. UTC ist die einheitliche Grundlage für die internationale Zeitbestimmung und wird über Zeitsender und andere Zeitdienste öffentlich zur Verfügung gestellt. Abhängig von der Zeitzone muss zur UTC eine bestimmte Zeitspanne addiert oder subtrahiert werden. Diese Zeitspanne kann bei einem Wechsel zur Sommerzeit um eine Stunde variieren.
Beispiele:

Land | Lokalzeit
Alaska | UTC -9
Australien, Queensland | UTC +10
Bulgarien | UTC +2
Großbritannien | UTC
Korea | UTC +9
Mitteleuropa (MEZ) | UTC +1
Mitteleuropa (MEZ) Sommerzeit | UTC +2
Saudi Arabien | UTC +3
USA Ostküste | UTC -5
Vereinigte Arabische Emirate | UTC +4

Auswirkungen auf Konfigurationen

Projektierte Zeitangaben haben je nach Ausführungsort der Runtime unterschiedliche tatsächliche Uhrzeiten zur Folge.

Zum Beispiel: Am Editor wird für den PFS lokal in der Zeitzone UTC +1 der Wert 14.00 Uhr für die Ausführung einer Funktion projektiert. Nach dem Transfer der Dateien auf eine Runtime in der Zeitzone UTC +10 wird diese Funktion um 23 Uhr ausgeführt. Unix Time

In der SQL-Datenbanken wird Unix Time verwendet, das betrifft z. B.:

  • ausgelagerte Archive
  • exportierte Archive
  • exportierte Alarme
  • exportierte CEL

Ablauf

  • Abfragen in Reports werden in LocaL Time angegeben.
  • Die Übergabe vom Report an die Table Valued User Defined Functions erfolgt in UTC
  • Abfragen an SQL werden in Unix Time umgerechnet.
  • Ergebnisse werden in UTC umgerechnt und im Report als Local Time angezeigt.

Umstellung Winterzeit/Sommerzeit

Die Umstellung von Winterzeit auf Sommerzeit und umgekehrt kann zum Zeitpunkt der Umstellung bei Reports zu Anomalien bei Intervallen führen. Diese entstehen durch die vom .NET Framework zur Verfügung gestellten Funktionen DateTime.ToLocalTime bzw. DateTime.ToUniversalTime.

Intervalle

Verdichtung

DSTstart

DSTend

Minuten
  • Intervall in Lokalzeit: DSTstart – 1 Minute, DSTstart + 1 Stunde)
  • Intervall in UTC: 1 Minute
  • Intervall in Lokalzeit: DSTend –1 Minute, DSTend
  • Intervall in UTC: 1 Stunde und 1 Minute

Stunde

Intervall (DSTstart, DSTstart+1) ist nicht vorhanden.
  • Intervall in Lokalzeit: DSTend –2, DSTend –1
  • Intervall in UTC: 2 Stunden

Legende:

  • DSTstart: Zeitpunkt der Umstellung von Winterzeit auf Sommerzeit in Lokalzeit.
    Das heißt: Zum Zeitpunkt DSTstart werden die Uhren um 1 Stunde weitergedreht.
  • DSTEnd: Zeitpunkt der Umstellung von Sommerzeit auf Winterzeit in Lokalzeit.
    Das heißt: Zum Zeitpunkt DSTend werden die Uhren um 1 Stunde zurückgedreht.

Für die Berechnungen wird die UDF zrsGetCompressionIntervallsCarpetPlot verwendet.


Rahmenbedingungen

zenon Analyzer > Technische Grundlagen > Rahmenbedingungen

Für die Arbeit mit dem zenon Analyzer gelten folgende Voraussetzungen:

Analyzer Server Hardware und Software

Hardware

Analyzer Server:

Parameter | Empfohlen | Minimum
CPU | Quad-Core Server CPU (maximal 24 Cores/4 Sockets) | Quad-Core
RAM | bis 128 GB | 12 GB
Freier Speicherplatz | 200 GB | 10 GB

Engineering-Rechner:

Parameter | Empfohlen | Minimum
CPU | Dual Core | Pentium IV
RAM | 4 GB | 1 GB
Freier Speicherplatz | 200GB | 2 GB
Bildschirm (Pixel) | 1920 x 1080 | 1024 x 768

Software

Analyzer Server:

Für den Datenbank-Server wird ein 64-Bit Betriebssystem vorausgesetzt. Unterstützt werden:

  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2016
  • Windows 8.1 64-Bit
  • Windows 8.1 Pro 64-Bit
  • Windows 8.1 Enterprise 64-Bit
  • Windows 8 64-Bit
  • Windows 8 Pro 64-Bit
  • Windows 8 Enterprise 64-Bit
  • Windows 10 Home 64-Bit
  • Windows 10 Professional 64-Bit
  • Windows 10 Enterprise 64-Bit

Hinweis: Für die Installation des Servers wird ein installierter IIS-Dienst vorausgesetzt.

Engineering-Rechner:

Unterstützt werden für ZAMS, Manual Data Editor, Metadata Editor und Migration Tool:

  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2016
  • Windows 8.1 32-Bit und 64-Bit
  • Windows 8.1 Enterprise 32-Bit und 64-Bit
  • Windows 8 32-Bit und 64-Bit
  • Windows 8 Pro 32-Bit und 64-Bit
  • Windows 8 Enterprise 32-Bit und 64-Bit
  • Windows 10 Home 32-Bit und 64-Bit
  • Windows 10 Professional 32-Bit und 64-Bit
  • Windows 10 Enterprise 32-Bit und 64-Bit

Webbrowser:

  • Internet Explorer 11 (nur Normalansicht)
  • Internet Explorer 10 (nur Normalansicht)
  • Chrome
  • Firefox

    Hinweis: Zoom im Report ist nur mit Chrome möglich.

Empfohlenes HMI/SCADA System:

  • zenon 7.60.

.NET Framework 4.6.2:

  • Um die Installation erfolgreich ausführen zu können, muss .NET Framework 4.6.2 bereits lauffähig auf dem Zielcomputer installiert sein.

Connectoren

Für den SCADA Runtime Connector gilt:

  • Timeout: ist unabhängig vom Report-Timeout.
    Default: 5 Minuten (konfigurierbar)
  • Variablen: Nur Variablen, die in den Metadaten angeführt werden, werden abgefragt
  • String-Variable: maximal 4000 Zeichen

Die Performance eines Connectors hängt ab von der:

  • Performance des Analyzer Servers
  • Performance des Runtime Servers
  • Last des Runtime Servers (Connector läuft mit niedriger Priorität)
  • Netzwerkleistung und Netzwerkauslastung

Projekte und Filter

Reports können in der Regel über mehrere Projekte erstellt werden.

attention Achtung

Es können nur Archivdaten ausgewertet werden, deren Variablen aus dem eigenen Projekt stammen.

Das heißt: Wird, zum Beispiel in einem Integrationsprojekt, in einem Archiv eine Variable aus einem Unterprojekt archiviert, dann kann der zenon Analyzer auf diese Variable nicht zugreifen.

Zeitpläne

  • Kalendertage in Monaten sind auf 1 - 28 beschränkt (entspricht dem Februar in Nicht-Schaltjahren)
  • das Ereignis "Monatsende" ist nicht verfügbar

Analyzer Export Wizard

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

info Info

Verwenden Sie zenon Farbpaletten nicht für dynamische Grenzwertfarben bei zenon Projekten, deren Daten für den zenon Analyzer exportiert werden. Im zenon Analyzer können Grenzwertfarben nicht dynamisch geändert werden. Informationen aus Farbpaletten können damit nicht ausgewertet werden. Das kann zu nicht lesbaren Grafiken führen.


Installation und Update

zenon Analyzer > Installation und Update

Die Installation des zenon Analyzer umfasst mehrere Komponenten:

  • Analyzer Server:
    Zentraler SQL Server.
  • zenon Analyzer Management Studio:
    Tool zur Verwaltung des zenon Analyzer und zur Erstellung von Reports. Dieses muss am Projektierungsrechner installiert werden.

Voraussetzungen für Hardware und Software finden Sie im Kapitel Rahmenbedingungen.

attention Achtung

Nach der Installation des zenon Analyzer darf der Rechnername nicht mehr geändert werden!

Wird der Rechnername geändert, ist der zenon Analyzer nicht mehr benutzbar.

Um den Rechnernamen zu ändern, müssen das Betriebssystem mit neuem Rechnernamen sowie der zenon Analyzer neu installiert werden.

Hinweise

Beachten Sie vor der Installation:

  • Benutzerrechte

    Für die Installation des zenon Analyzer sind lokale Administratorrechte erforderlich.
    Achten Sie auch darauf, dass nach der Installation mindestens ein Benutzer zur Verfügung steht, der sich am zenon Analyzer anmelden kann.

    Achtung: Jener Benutzer, der die Installation durchführt, wird automatisch als erster Benutzer für den zenon Analyzer angelegt. Nach der Installation kann sich ausschließlich dieser Benutzer am zenon Analyzer anmelden und weitere Benutzer hinzufügen.

    Zum Beispiel: Benutzer 1 ist lokaler Administrator und führt die Installation durch. zenon Analyzer wird aber von Benutzer 2 verwendet. Benutzer 1 muss nach der Installation Benutzer 2 im ZAMS anlegen.

  • Server
    Der Analyzer Server und der Domain Controller dürfen nicht am selben Rechner installiert werden.
  • IIS
    Vor der Installation muss am Betriebssystem der IIS-Dienst installiert werden.
  • .NET Framework 4.6.2
    Um die Installation erfolgreich ausführen zu können, muss .NET Framework 4.6.2 bereits lauffähig auf dem Zielcomputer installiert sein. Anderenfalls liefert das zenon Analyzer Setup eine Fehlermeldung und bricht den Installationsvorgang ab.
  • Remote-Installation
    Das Installationsmedium muss sich am lokalen Rechner befinden. Netzlaufwerke stehen bei einem Reboot während der Installation eventuell nicht zeitgerecht zur Verfügung. Kopieren Sie bei Remote-Installationen und virtuellen Installationen den Inhalt des Installationsmediums in einen temporären Ordner am Rechner und starten Sie das Setup.
  • SQL Server Management Studio
    Wenn das SQL Server Management Studio (SSMS) zur Verfügung stehen soll, muss dieses manuell installiert werden.
    Sie finden das Setup am Installationsmedium im Pfad \AdditionalSoftware\SSMS\SSMS-Setup-ENU.exe.
  • Lizenzierung
    Die Lizenzierung erfolgt über die COPA-DATA Lizenzverwaltung. Diese kann direkt aus ZAMS gestartet werden oder direkt aus dem Betriebssystem.

attention Achtung

Achten Sie auf ausreichende Lizenzierung.

Hinweis Wizards

Für den zenon Analyzer stehen mehrere Wizards zur Verfügung. Diese funktionieren mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Installation durchführen

Um Komponenten des zenon Analyzer zu installieren:

  1. Stellen Sie sicher, dass zur Installation benötigte Komponenten bereits am System installiert sind.
    • Allgemein: .NET Framework 4.6.2
    • Server: IIS-Dienst
  2. Verbinden Sie das Installationsmedium mit dem Rechner oder kopieren Sie dessen Inhalt in einen lokalen Ordner.
    Sollte das Setup nicht automatisch starten, benutzen Sie die die Datei start.exe.
  3. Wählen Sie die gewünschte Sprache aus der Dropdownliste.
  4. Akzeptieren Sie die Lizenzvereinbarungen.
  5. Klicken Sie auf die Schaltfläche Weiter.
  6. Wählen Sie die gewünschten Komponenten aus.
  7. Klicken Sie auf die Schaltfläche Weiter.

    Die Installation bzw. das Update startet.

  8. Folgen Sie den Anweisungen des Installationsassistenten.

Startfenster

Parameter

Beschreibung

Dropdownliste Sprache

Auswahl der Sprache für die Installation. Zur Verfügung stehen:

  • Deutsch
  • Englisch
  • Französisch
  • Italienisch
  • Spanisch

Lizenzvereinbarungen

Lizenzvertrag mit Bedingungen für die Nutzung des zenon Analyzer. Für die Installation müssen die Bedingungen durch Klick auf die Checkbox Ich akzeptiere die Bedingungen der Lizenzvereinbarung angenommen werden.

Weiter

Schaltet zum nächsten Schritt der Installation. Nur aktiv, wenn die Lizenzvereinbarungen akzeptiert wurden.

Komponentenauswahl

Parameter

Beschreibung

Komponentenauswahl

Auswahl der zu installierenden Komponenten durch Aktivierung der jeweiligen Checkboxen:

  • Analyzer Server:
    Zentraler SQL Server.
    Voraussetzung: 64-Bit Betriebssystem und installierter IIS-Dienst.
  • Demoprojekt und Demoreports:
    Beispieldatenbank.
    Voraussetzung: 64-Bit Betriebssystem und zenon 7.50.
  • zenon Analyzer Management Studio:
    Tool zur Erstellung und Verwaltung von Serververbindungen sowie Reports.
    Voraussetzung: 32-Bit oder 64-Bit Betriebssystem.
  • Metadatenbankeditoren

Weiter

Startet die Installation.

Nur aktiv, wenn Komponenten zur Installation ausgewählt wurden.

Symbole bei Modulauswahl

Symbol | Bedeutung
 | Installation kann durchgeführt werden.
 | Installation nicht möglich.

Installationsfortschritt

Der Installationsablauf wird in einem eigenen Fenster mit Symbolen angezeigt:

Symbol | Bedeutung
 | Noch nicht installiert
 | Wird gerade installiert
 | Installation OK
 | Installation fehlgeschlagen

Nach erfolgreicher Installation aller gewünschten Komponenten beenden Sie den Installationsassistenten mit Klick auf die Schaltfläche Beenden.

Installation am Client

Am Client wird lediglich ein aktueller Browser benötigt. Die Sprache, die im Browser eingestellt wird, bestimmt die Sprache für den Report Launcher. Die Sprache für das zenon Analyzer Management Studio wird in den Optionen des ZAMS festgelegt.

Noch in diesem Kapitel

IIS Publishing Dienst für Windows und Windows Server 2012


IIS Publishing Dienst für Windows und Windows Server 2012

zenon Analyzer > Installation und Update > IIS Publishing Dienst für Windows und Windows Server 2012

Der IIS Publishing Dienst muss vor der Installation des zenon Analyzer am System installiert werden. Die Vorgangsweise unterscheidet sich in Details für unterschiedliche Betriebssysteme.

Windows 8 und 8.1

Um den IIS Publishing Dienst zu aktivieren:

  1. Drücken Sie Tastenkombination Windows+R.

    Der Dialog zur Eingabe eines Befehl für die Kommandozeile wird geöffnet.

  2. Geben Sie in das Eingabefeld appwiz.cpl ein.

    Klicken Sie auf OK.
    Ein neues Fenster der Systemsteuerung zur Konfiguration von Programmen und Windows-Features wird geöffnet.

  3. Klicken Sie in diesem Fenster auf Windows-Features aktivieren oder deaktivieren.

    Das Fenster zur Auswahl von Features des Betriebssystems wird geöffnet.

  4. Expandieren Sie in diesem Fenster den Knoten Internetinformationsdienste.
  5. Aktivieren Sie dort alle WWW-Dienste.
  6. Expandieren Sie den Knoten Allgemeine HTTP-Features.
  7. Aktivieren Sie Statischer Inhalt.Expandieren Sie den Knoten Anwendungsentwicklungsfeatures.
  8. Aktivieren Sie ASP.NET 4.5
  9. Expandieren Sie den Knoten Webverwaltungstools.
  10. Aktivieren Sie dort IIS Verwaltungskonsole.
  11. Expandieren Sie den Knoten Sicherheit.
  12. Aktivieren Sie Windows-Authentifizierung.
  13. Klicken Sie auf OK.

Hinweis: Auch das WebSocket-Protokoll muss aktiviert sein.

Windows 10

Um den IIS Publishing Dienst zu aktivieren:

  1. Drücken Sie Tastenkombination Windows+R.

    Der Dialog zur Eingabe eines Befehl für die Kommandozeile wird geöffnet.

  2. Geben Sie in das Eingabefeld appwiz.cpl ein.

    Klicken Sie auf OK.
    Ein neues Fenster der Systemsteuerung zur Konfiguration von Programmen und Windows-Features wird geöffnet.

  3. Klicken Sie in diesem Fenster auf Windows-Features aktivieren oder deaktivieren.

    Das Fenster zur Auswahl von Features des Betriebssystems wird geöffnet.

  4. Expandieren Sie in diesem Fenster den Knoten Internetinformationsdienste.
  5. Aktivieren Sie dort alle WWW-Dienste.
  6. Expandieren Sie den Knoten Allgemeine HTTP-Features.
  7. Aktivieren Sie Statischer Inhalt.
  8. Expandieren Sie den Knoten Anwendungsentwicklungsfeatures.
  9. Aktivieren Sie ASP.NET 4.6
  10. Expandieren Sie den Knoten Webverwaltungstools.
  11. Aktivieren Sie dort IIS Verwaltungskonsole.
  12. Expandieren Sie den Knoten Sicherheit.
  13. Aktivieren Sie Windows-Authentifizierung.
  14. Klicken Sie auf OK.

Hinweis: Auch das WebSocket-Protokoll muss aktiviert sein.

Windows Server 2012 (R2)

Folgen Sie den Anweisungen von Microsoft: https://technet.microsoft.com/en-us/library/hh831475.aspx

  1. Öffnen Sie den Assistenten zum Hinzufügen von Rollen und Features Wizard.
  2. Navigieren Sie zu Serverrollen.
  3. Aktivieren Sie Webserver (IIS).
  4. Expandieren Sie den Knoten Allgemeine HTTP-Features.
  5. Aktivieren Sie Statischer Inhalt.
  6. Expandieren Sie den Knoten Sicherheit.
  7. Aktivieren Sie Windows-Authentifizierung.
  8. Expandieren Sie den Knoten Anwendungsentwicklung.
  9. Aktivieren Sie:
    • .NET Erweiterbarkeit 4.5
    • ASP.NET 4.5
    • ISAPI Erweiterung
    • ISAPI-Filter
    • WebSocket Protokoll

Noch in diesem Kapitel

IIS 10 für Windows Server 2016


IIS 10 für Windows Server 2016

zenon Analyzer > Installation und Update > IIS Publishing Dienst für Windows und Windows Server 2012 > IIS 10 für Windows Server 2016

Für die grundlegende Installation von Features für den Windows Server 2016 nutzen Sie bitte die entsprechende Microsoft Dokumentation. Diese Beschreibung beinhaltet nur die für den zenon Analyzer benötigten Einstellungen.

Um den zenon Analyzer mit IIS 10.0 am Windows Server 2016 zu nutzen:

  1. Öffnen Sie den Server Manager.

  2. Öffnen Sie den Wizard zum Hinzufügen von Rollen und Features.

  3. Navigieren Sie zu Server Roles.

  4. Aktivieren Sie Web Server (IIS) und stellen Sie sicher, dass die folgenden Eigenschaften korrekt konfiguriert werden:

  5. Expandieren Sie den Knoten Common HTTP-Features.
  6. Aktivieren Sie Static Content.
  7. Expandieren Sie den Knoten Security.
  8. Aktivieren Sie Windows-Authentication.
  9. Expandieren Sie den Knoten Application Development.
  10. Aktivieren Sie:
    • .NET Extensibility 4.6
    • ASP.NET 4.6
    • ISAPI Extensions
    • ISAPI Filters
    • WebSocket Protocol
  11. Schließen Sie die Konfiguration ab.

attention Achtung

Folgende Einstellungen verhindern das korrekte Funktionieren von zenon Analyzer:

  • Verbot unbekannter Dateiendungen:
    Dateiendungen für zenon Analyzer, ZAMS und Report Launcher müssen zugelassen sein. (Einstellung über IIS Management Console.)
    Benötigt werden: .gif; .axd; .aspx; .css.
  • Level of trust:
    Medium oder weniger.
    Bei zu geringen Rechten kann der Report Launcher nicht gestartet werden.
    (Einstellung über Kommandozeile appcmd.)


Lizenzierung

zenon Analyzer > Lizenzierung

Um COPA-DATA Produkte einsetzen zu können, müssen diese lizenziert werden. Solange ein Produkt nicht lizenziert wurde, läuft es im Demo-Modus.

Die Lizenz wird beim Programmstart überprüft. Das Produkt wird mit den lizenzierten Modulen gestartet.
Wird beim Programmstart keine gültige Lizenz gefunden, weist ein Dialog darauf hin. Der Start kann wahlweise abgebrochen werden oder im Demo-Modus erfolgen. Steht auch keine Lizenz für den Demo-Modus zur Verfügung, kann das Produkt nicht gestartet werden. Zusätzlich kann auch die COPA-DATA Lizenzverwaltung geöffnet werden, um dem Produkt eine gültige Lizenz zuzuweisen.

info Info

Der in diesem Dokument beschriebene Mechanismus zur Lizenzierung wird für unterschiedliche Produkte angewandt. Screenshots werden dabei nicht für jedes einzelne Produkt erstellt. Es kann daher möglich sein, dass die Darstellung eines Screenshots von der Beschreibung für Ihr Produkt abweicht.

Gültigkeit

Die Informationen zur Lizenzierung gelten für:

  • zenon Produkte: ab Version 8.00
  • zenon Analyzer: ab Version 3.20

Produkte vorangegangener Versionen werden über einen anderen Mechanismus lizenziert. Informationen dazu finden Sie in der Dokumentation dieser Produkte.

Noch in diesem Kapitel

Produkte lizenzieren - Überblick

Dongle-Typen

Lizenzierung in wenigen Schritten

Virtual Machines

COPA-DATA Lizenzverwaltung

Lizenzierung über Kommandozeile - Automatisierung

Lizenzarten

Versionsüberprüfung und Wartungszeitraum/Wartungsvertrag

Produktspezifische Themen

Versions- und Lizenzinformationen anzeigen

Redundanter Lizenzschutz

Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Lizenzbruch bei Software-Dongles

Wechsel zwischen Virtual Machine und Virtual Machine DataCenter

Lizenzabfrage während des Betriebes

Rechner-Defekt bei Software-Dongle: 30 Tage Demo-Lizenz nutzen

Besonderheiten beim Client-Server-Betrieb

Seriennummer

License.ini Datei

CodeMeter Voraussetzungen

CodeMeter Software


Produkte lizenzieren - Überblick

zenon Analyzer > Lizenzierung > Produkte lizenzieren - Überblick

Um zenon Produkte nutzen zu können, müssen diese lizenziert werden. Die Lizenz wird in Form eines Lizenzscheines und einer manipulationssicheren digitalen Information ausgestellt.

Wenn eine Lizenz bei COPA-DATA ausgestellt wird, dann wird Sie in einem sogenannten Lizenzdepot abgelegt. Dabei handelt es sich um eine Datenbank, in der die Lizenz auf Abholung wartet. Damit Sie als Anwender die Lizenz nutzen können, muss die Lizenz bei Ihnen gespeichert sein. Als Speicherort wird ein Dongle verwendet. Dieser Dongle wird auch als Lizenzcontainer bezeichnet. Bei der Aktivierung einer Lizenz wird diese vom Lizenzdepot in den Dongle übertragen.

Um die Lizenz zu aktivieren, benutzen Sie die COPA-DATA Lizenzverwaltung. Damit können Sie Lizenzen aktivieren, deaktivieren, verwalten und Produkten zuweisen. Alternativ können Sie Lizenzen auch automatisiert (silent ) per Kommandozeilen-Tool aktivieren.

Online-Aktivierung

Bei der Online-Aktivierung werden Lizenzen direkt ohne weitere Anwendungen oder Datenträger aktiviert. Es muss dazu eine Onlineverbindung ins Internet vorhanden sein.

Details siehe Kapitel Online-Aktivierung.

Offline-Aktivierung

Bei der Offline-Aktivierung muss der Austausch der digitalen Lizenzinformation manuell erfolgen. Dabei werden drei Dateien zwischen dem Lizenzdepot und dem Dongle übertragen. Auch hier ist in irgendeiner Form Zugriff auf das Internet nötig.

Details siehe Kapitel Offline-Aktivierung.

Lizenzen Produkten zuordnen

Damit eine Lizenz genutzt werden kann, reicht es nicht aus, dass sie im Dongle gespeichert ist. Sie muss auch den Produkten zugewiesen werden, von denen sie genutzt werden soll. Auf einem Rechner befinden sich oft mehrere Lizenzen, unter anderem auch Demo-Lizenzen. Details siehe Kapitel Lizenzen Produkten zuordnen.

Remote-Lizenzierung

Bei der Remote-Lizenzierung werden alle Vorgänge, die die Lizenzverwaltung unterstützt, nicht auf dem lokalen Rechner durchgeführt, sondern auf einem anderen Rechner im lokalen Netzwerk (LAN). Das ist vor allem nützlich, wenn der zu lizenzierende Rechner über keine Internetverbindung verfügt. Dann kann der Recher mit der COPA-DATA Lizenzverwaltung als Proxy-Rechner (Vermittlungsrechner)genutzt werden.

Details siehe Kapitel Remote Lizenzierung.

Lizenzen übertragen/übersiedeln

Lizenzen können auch auf andere Rechner oder Dongles übertragen werden. Auch wenn eine Virtual Machine von einem Host-System auf ein anderes übertragen wird, muss die Lizenz mit übertragen werden, damit Sie nicht bricht. Übertragen oder übersiedeln bedeutet: Die Lizenz wird im ersten Schritt an das Lizenzdepot beim Aussteller zurückgegeben. Im zweiten Schritt wird sie vom neuen System wieder abgeholt und aktiviert. Details siehe Kapitel Lizenzen übertragen/übersiedeln.


Dongle-Typen

zenon Analyzer > Lizenzierung > Dongle-Typen

Für die Lizenzierung werden ausschließlich Dongles des Typs CodeMeter der Firma Wibu Systems verwendet. Dongles sind der Speicherort für Lizenzen. Sie werden daher auch als Lizenz-Container bezeichnet. Es stehen zwei grundsätzliche Arten von Dongles zur Verfügung: Hardware-Dongles und Software-Dongles. Alle von COPA-DATA ausgestellten Lizenzen könne in beiden Dongle-Arten abgelegt werden, und auch von einer zur anderen Art übertragen werden.

Dongle-Typen:

  • Hardware-Dongles:
    Die Lizenzinformation ist in einer speziellen Hardware - einem Sicherheitschip - untergebracht.

    Vorteile:

    • Die Lizenz kann einfach durch Umstecken des Dongles von einem Rechner zum anderen übertragen werden.
    • Verschieden Bauformen sind erhältlich.

    Nachteile:

    • Bei der Nutzung einer Virtual Machine muss die Lizenz per Netzwerk von einem Host System aus in die Virtual Machine übertragen werden.
    • Dongles können gestohlen oder verloren werden.
  • Software-Dongles - rechnerbasierter Lizenzschutz:
    Dabei wird auf dem Rechner direkt ein Software-Dongle erzeugt. Der Software-Dongle ist an die Hardware des Rechners gebunden. Ändert sich die Hardware zu sehr, dann bricht die Lizenz.

    Vorteil:

    • Der Dongle kann nicht verloren oder gestohlen werden.

    Nachteile:

    • Durch Änderung der Hardwarekonfiguration kann die Lizenz brechen.
    • Die Lizenz muss zurückgegeben werden, bevor sie auf einen anderen Rechner übertragen werden kann.

Beide Dongle-Arten verhalten sich in der Praxis gleich. Alle Mechanismen können bei beiden Arten genutzt werden. Einschränkungen gibt es nur für Software-Dongles in einer Virtual Machine.


Lizenzierung in wenigen Schritten

zenon Analyzer > Lizenzierung > Lizenzierung in wenigen Schritten

Damit Sie zenon lizenziert betreiben können, sind in den meisten Fällen nur sehr wenige Schritte notwendig.
Es gibt zwei Möglichkeiten wie Sie eine Lizenz zugestellt bekommen:

  1. Sie erhalten einen vorprogrammierten Hardware-Dongle.
  2. Sie erhalten einen Lizenzschein für einen rechnergebundenen Software-Dongle oder einen Lizenzschein und einen leeren Hardware-Dongle.

Bei beiden Varianten gelangen Sie sehr einfach zu einem lizenzierten Produkt.

Vorprogrammierter Hardware-Dongle

Um einen vorprogrammierten Hardware-Dongle zu nutzen:

  1. Stecken Sie den Hardware-Dongle an den Rechner an und warten Sie bis Windows den Dongle erkannt hat.
  2. Starten Sie die COPA-DATA Lizenzverwaltung über Windows -> License Manager.
  3. Im Startdialog der COPA-DATA Lizenzverwaltung wählen Sie die Option Lizenz von Hardware-Dongle übernehmen.
    Die erkannte Lizenz wird im Dialog angezeigt.

  4. Klicken Sie auf die Schaltfläche Lizenz auf diesem Rechner verwenden.
  5. Beenden Sie die COPA-DATA Lizenzverwaltung.

Sie können die lizenzierten Produkte nun starten.
Detaillierte Informationen zu Ablauf und Einschränkungen finden Sie im Handbuch Lizenzierung im Kapitel Lizenz von Hardware-Dongle übernehmen.

Lizenzschein und leerer Hardware-Dongle oder rechnergebundene Lizenz

Um einen leeren Dongle oder eine rechnergebundene Lizenz zu nutzen:

  1. Stecken Sie den Hardware-Dongle an den Rechner an und warten Sie bis Windows den Dongle erkannt hat.
    Bei einer rechnergebundenen Software-Lizenz entfällt dieser Schritt.
  2. Starten Sie die COPA-DATA Lizenzverwaltung über Windows -> License Manager.
  3. Im Startdialog der COPA-DATA Lizenzverwaltung wählen Sie die Option Lizenz mit Lizenzschein aktivieren.

  4. Geben Sie die Seriennummer in das Eingabefeld für die Seriennummer ein.
  5. Wählen Sie zwischen Rechnergebundene Lizenz (Software-Dongle) und Hardware-Dongle.
  6. Klicken Sie auf die Schaltfläche Lizenz aktivieren.

    Die Lizenz wird online über das Internet in den von Ihnen gewählten Dongle übertragen.

  7. Beenden Sie die COPA-DATA Lizenzverwaltung.

Sie können die lizenzierten Produkte nun starten.

Detaillierte Informationen zu Ablauf, Einschränkungen und alternative Vorgehensweisen finden Sie im Handbuch Lizenzierung im Kapitel Lizenz aktivieren und den darauf folgenden Kapiteln.


Virtual Machines

zenon Analyzer > Lizenzierung > Virtual Machines

Die Lizenzierung in einer Virtual Machine unterliegt besonderen Voraussetzungen und Eigenschaften:

  • Hardware-Dongles können nicht direkt angeschlossen werden. Die Lizenz muss in die virtuelle Umgebung übertragen werden.
    Dazu können folgende Vorgangsweisen verwendet werden:
    • Der Dongle wird auf einem physikalischem Rechner angeschlossen und dort als Netzwerk Dongle aktiviert. In der Virtuellen Umgebung wird der Netzwerkdongle in die Server Suchliste eingetragen und steht damit zur Verfügung.
    • Der Dongle wird über eine USB zu Ethernet Box (Dongle-Server) in die virtuelle Umgebung übertragen. Dabei wird in der virtuellen Umgebung ein lokaler USB Port emuliert. Die CodeMeter Runtime betrachtet den Dongle als direkt angeschlossen. Solche Boxen sind im Handel erhältlich.
      Empfehlung: Dongle Server der Firma SEH.
    • Der Dongle wird über die Virtualisierungssoftware in die virtuelle Umgebung geroutet. VM-Ware und Virtual Box unterstützen solche Mechanismen. Dabei wird in der virtuellen Umgebung ein lokaler USB Port emuliert. Die CodeMeter Runtime betrachtet den Dongle als direkt angeschlossen.
      Hinweis: Diese Vorgehensweise wird von Wibu Systems nicht empfohlen.
  • Bei Software-Dongles existieren einige Einschränkungen für die Verwendung in virtuellen Umgebungen:
    • Standardmäßig sind Lizenzen nicht für virtuelle Umgebungen freigeschaltet. Sie können jedoch beim Lizenzaussteller eine Freischaltung beantragen.
      Achtung: Bereits aktivierte Lizenzen können nicht umgestellt werden. Diese müssen zuerst dem Lizenzaussteller zurückgegeben werden. Erst dann kann der Lizenzaussteller die Lizenz umstellen. Im Anschluss können Sie die Lizenz in einer virtuellen Umgebung aktivieren.
    • Demo-Lizenzen haben in virtuellen Umgebungen nur eine sehr eingeschränkte Laufzeit.
    • Bei der Übersiedlung einer Virtual Machine auf ein anderes Host-System wird die Lizenz brechen.
      Geben Sie daher vor der Übersiedlung die Lizenz an den Lizenzausteller zurück. Erst danach darf die Virtual Machine übersiedelt werden. Dann können Sie die Lizenz wieder aktivieren. Bei Verwendung in Data Center kann eine Virtual Machine auch automatisch unterschiedlichen Hosts zugewiesen werden. In diesem Fall benötigen Sie einen Software-Dongle VM DataCenter.

Unterschiedliche Software-Dongle Arten

Je nach Betriebssystemtyp werden unterschiedliche Software Dongle-Typen von der COPA-DATA Lizenzverwaltung installiert:

  • Software-Dongle Standard: Für die Verwendung auf physikalischen Rechnern.
  • Software-Dongle Virtual Machine: Für die Verwendung in einer Virtual Machine.
    Kann auch auf physikalischen Rechner verwendet werden, umgekehrt nicht.
  • Software-Dongle VM DataCenter: Für die Verwendung in einer Virtual Machine in einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) sowie in privaten Data Centers
    Kann auch auf physikalischen Rechner verwendet werden, umgekehrt nicht.

Hinweis: Wird eine Virtual Machine in einen physikalischen Rechner konvertiert, dann haben Sie beide Dongle-Typen auf einem System. Beide sind dann gleichwertig und beide können genutzt werden.

attention

Wird ein physikalischer Rechner in eine Virtual Machine umgewandelt, kann der Dongle-Typ Software-Dongle Standard nicht mehr genutzt werden. Alle darin enthaltenen Lizenzen stehen damit nicht mehr zur Verfügung. Sie müssen die Lizenzen zuvor zurückgeben. Siehe Kapitel: Lizenz übertragen/übersiedeln

Konvertierung in Virtual Machine

Wenn Sie Software-Dongles verwenden und einen physikalischen Rechner in eine Virtual Machine konvertieren möchten, dann:

  1. Geben Sie alle aktivierten Lizenzen zurück.
  2. Beantragen Sie bei COPA-DATA eine Umstellung der Lizenz auf eine Lizenz für Virtual Machine.
    Wenn Sie die Virtual Machine in einem Data Center wie Microsoft Azure oder Amazon Web Services (AWS) oder in einem privaten Data Center betreiben, beantragen Sie eine Lizenz für VM DataCenter
    Achtung: Standard-Lizenzen können nicht in einer Virtual Machine aktiviert werden. Ob eine Lizenz für die Verwendung in einer Virtual Machine geeignet ist, entnehmen Sie dem Lizenzschein.
  3. Konvertieren Sie das Betriebssystem in eine Virtual Machine.
  4. Aktivieren Sie die Lizenz erneut.

Konvertierung von Virtual Machine in physikalischen Rechner

Wenn Sie Software-Dongles verwenden und eine Virtual Machine in einen physikalischen Rechner konvertieren möchten, dann:

  1. Geben Sie alle aktivierten Lizenzen zurück.
  2. Konvertieren Sie das Betriebssystem in einen physikalischen Rechner.
  3. Aktivieren Sie die Lizenz erneut.

Übersiedlung von Virtual Machines auf ein anderes Host System

Lizenzen für Software-Dongles brechen, wenn sich die Hardware ändert. Geben Sie daher vor einer Übersiedlung alle Lizenzen, die in Software-Dongles gespeichert sind, zurück.


COPA-DATA Lizenzverwaltung

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung

Lizenzen werden in einer eigenen Anwendung verwaltet, der COPA-DATA Lizenzverwaltung.
Diese starten Sie über:

  • Windows Startmenü -> COPA-DATA -> License Manager.
  • Startup Tool: Klicken Sie auf die Schaltfläche Tools, wählen Sie im Bereich Available applications den Eintrag License Manager aus und klicken Sie auf Start.
  • In den meisten Info über Dialogen der zenonProdukte über die Schaltfläche Lizenzverwaltung öffnen.
  • Für zenon Analyzer auch direkt aus ZAMS.

Funktionalität

In der COPA-DATA Lizenzverwaltung können Sie Lizenzen:

  • Lokal oder remote aktiveren:
    Aktivieren Sie Lizenzen für einen lokalen Rechner oder einen Remote-Rechner und weisen Sie diese bestimmten COPA-DATA Produkten zu.
  • Online und offline aktivieren:
    Sie können Lizenzen direkt online aktivieren oder offline über eine Lizenz-Anforderungsdatei.
  • Lokal oder remote Produkten zuweisen:
    Bestimmen Sie, welche Produkte welche Lizenz in welcher Reihenfolge nutzen sollen.
  • Eine Sammelaktivierung durchführen:
    Nutzen Sie eine Sammeldatei, um viele Lizenzen zu aktivieren.
  • Ausleihen (ab Version 8.10):
    Sie können Lizenzen für bis zu 90 Tagen an andere Nutzer verleihen. So können zum Beispiel Servicetechniker Lizenzen für einen Einsatz beim Kunden mitnehmen. Diese Funktionalität steht Ihnen ab zenon 8.10 und zenon Analyzer 3.30 zur Verfügung.
  • Zurückgeben/Übersiedeln:
    Sie können Lizenzen zurückgeben und dann auf einem anderen Rechner wieder aktivieren. So übertragen Sie Lizenzen auf andere Rechner oder verhindern Sie Lizenzbruch bei Änderungen an Hardware für Software-Lizenzen oder Host-Systemen für eine Virtual Machine.

Hinweise:

  • Sie können Lizenzen auch silent über die Kommandozeile aktivieren, aktualisieren und verteilen.
  • Alle Änderungen in derCOPA-DATA Lizenzverwaltung werden sofort übernommen und ausgeführt.

Startdialog

Die COPA-DATA Lizenzverwaltung startet per Default mit einem Startdialog. Dieser stellt einfache, interaktive Konfigurationsmöglichkeiten zur Verfügung. Das Symbol Fragezeichen zeigt eine kurze Hilfe zum jeweiligen Eintrag an.

Dialog Lizenzverwaltung

Für individuelle Einstellungen steht eine umfangreiche Applikation mit mehreren Registerkarten zur Verfügung.

Noch in diesem Kapitel

Startdialog

Hauptanwendung


Startdialog

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Startdialog

Die COPA-DATA Lizenzverwaltung startet mit einem Startdialog. Dieser kann über die Option Diesen Dialog nicht mehr Anzeigen deaktiviert werden. Die generelle Reaktivierung erfolgt über die Registerkarte Einstellungen.

In der Start-Ansicht stehen die beiden wichtigsten Aktionen zur Verfügung:

  • Aktivierung einer Lizenz
  • Übernahme einer Lizenz von einem Hardware-Dongle

Option

Beschreibung

Lizenz mit Lizenzschein aktivieren

Ermöglicht die Online-Aktivierung einer Lizenz mit der Seriennummer aus dem Lizenzschein.

Lizenz von Hardware-Dongle übernehmen

Ermöglicht die Übernahme einer Lizenz für alle Produkte der Lizenz von einem Hardware-Dongle.

Erweiterte Optionen

Öffnet weitere Optionen für die Verwaltung von Lizenzen.

Diesen Dialog nicht mehr anzeigen
  • Aktiv: Beim nächsten Öffnen der COPA-DATA Lizenzverwaltung wird der Dialog ausgeblendet und die Ansicht mit allen Registerkarten geöffnet.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Lizenz im Startdialog aktivieren

Lizenz von Hardware-Dongle übernehmen

Erweiterte Ansicht


Lizenz im Startdialog aktivieren

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Startdialog > Lizenz im Startdialog aktivieren

Nutzen Sie diese bevorzugte Option, wenn Sie eine Lizenz online auf einem lokalen Dongle aktivieren möchten.

Die Lizenz kann wahlweise in einen Software-Dongle oder - falls vorhanden - Hardware-Dongle übertragen werden. Details zu verfügbaren Dongles lesen Sie im Kapitel Dongle-Typen.
Bei der Online-Aktivierung werden Lizenzen direkt ohne weitere Anwendungen oder Datenträger aktiviert. Es muss dazu eine Onlineverbindung ins Internet vorhanden sein.

Tipp Tipp

Falls Sie über keine direkte Internetverbindung verfügen, verwenden Sie die Remote-Lizenzierung

Falls Sie für Ihre Internetverbindung einen Proxy-Server nutzen, achten Sie auf die korrekten Proxy-Einstellungen.

Um eine Lizenz mit Lizenzschein zu aktivieren:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
    Sollte der Startdialog nicht angezeigt werden, klicken Sie auf die Schaltfläche Startdialog anzeigen.
  2. Klicken Sie auf Lizenz mit Lizenzschein aktivieren.
  3. Geben Sie die Seriennummer von Ihrem Lizenzschein in das Feld ein.
  4. Wählen Sie den gewünschten Dongle aus:
    • Rechnerbezogene Lizenz (Software-Dongle)
    • Hardware-Dongle. Sollten Sie Ihren Hardware-Dongle noch nicht angesteckt haben, so stecken Sie ihn nun an und klicken auf die Schaltfläche Aktualisieren.

    Hinweis: Sollten mehrere Hard- oder Software-Dongles vorhanden sein, kann die Lizenz nicht automatisch aktiviert werden. Die COPA-DATA Lizenzverwaltung leitet Sie dann automatisch zur Registerkarte Lizenz aktivieren weiter.

  5. Klicken Sie auf Lizenz aktivieren.

    Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.

Dialog Lizenz mit Lizenzschein aktivieren

Option | Beschreibung
Lizenz mit Lizenzschein aktivieren | Klick öffnet die weiteren Eingabeoptionen.
Seriennummer | Eingabefeld für die Seriennummer, die aktiviert werden soll.
Rechnerbezogene Lizenz (Software-Dongle) | Auswahl eines Software-Dongles für eine rechnerbezogene Lizenz.
Hardware-Dongle | Auswahl eines CodeMeter Hardware-Dongles. Der Dongle muss angesteckt sein
Lizenz aktivieren | Klick auf Schaltfläche aktiviert die Lizenz online. Nur verfügbar, wenn eine gültige Seriennummer eingegeben und ein gültiger Dongle gewählt wurden.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Lizenz von Hardware-Dongle übernehmen

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Startdialog > Lizenz von Hardware-Dongle übernehmen

Damit eine Lizenz genutzt werden kann, reicht es nicht aus, dass sie im Dongle gespeichert ist. Sie muss auch den Produkten zugewiesen werden, von denen sie genutzt werden soll. Auf einem Rechner befinden sich oft mehrere Lizenzen, unter anderem auch Demo-Lizenzen.

Mit dieser Option tragen Sie eine Hardware-Dongle Lizenz bei allen Produkten, die in der Lizenz enthalten sind, an erster Stelle in die Datei License.ini ein:

  1. Stecken Sie den Dongle an den Rechner.
  2. Klicken Sie im Startdialog auf Lizenz von Hardware-Dongle übernehmen.

    Die erkannte Lizenz wird angezeigt.

  3. Klicken Sie auf Lizenz auf diesem Rechner verwenden.

    Die Lizenz wird übernommen.

Sind auf einem Dongle mehrere Lizenzen gespeichert, wird im Startdialog eine entsprechende Meldung angezeigt.
In diesem Fall:

  • Stecken Sie einen Dongle mit nur einer Lizenz an und klicken Sie auf Aktualisieren.
    Oder
  • Klicken Sie auf Lizenzverwaltung.Die Registerkarte Lizenzverwendung wird geöffnet. Dort könne Sie auch bei mehreren Lizenzen auf einem Hardware-Dongle bestimmen, welches Produkt in welcher Reihenfolge eine Lizenz nutzt.

Tipp Tipp

In der Registerkarte Lizenzverwendung können Sie jederzeit die Lizenzreihenfolge einstellen

Dialog Lizenz von Hardware-Dongle übernehmen

Option | Beschreibung
Lizenz von Hardware-Dongle übernehmen | Klick öffnet die weiteren Eingabeoptionen und zeigt gefundene Lizenz an. Wurde keine Lizenz gefunden, können Sie durch Klick auf Erneut Dongle suchen eine Aktualisierung starten.
Lizenz auf diesem Rechner verwenden | Klick auf die Schaltfläche übernimmt die Lizenz für den Rechner.
Dongle erneut suchen | Sucht nach Dongle und aktualisiert die angezeigten Informationen.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Dialog bei mehreren Lizenzen auf einem Dongle

Option

Beschreibung

Lizenz von Hardware-Dongle übernehmen

Klick öffnet die weiteren Eingabeoptionen und zeigt gefundene Lizenz an.

Mehrere Lizenzen wurden erkannt

Es wurden mehrere Lizenz gefunden. Wählen Sie die gewünschte Vorgangsweise:

  • Neuen Dongle anstecken und aktualisieren:
    Stecken Sie einen neuen Dongle mit nur einer Lizenz an und klicken Sie auf Aktualisieren.
  • Lizenz in Lizenzverwaltung auswählen:
    Klicken Sie auf Lizenzverwaltung und wählen Sie dort die gewünschte Lizenz aus.

Aktualisieren

Liest den Dongle erneut ein.

Lizenzverwaltung

Öffnet die Registerkarte Lizenzverwendung.

Lizenz auf diesem Rechner verwenden

Klick auf die Schaltfläche übernimmt die Lizenz für den Rechner.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Erweiterte Ansicht

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Startdialog > Erweiterte Ansicht

Die erweiterte Ansicht bietet Ihnen zusätzliche Aktionen für die Lizenzierung.

Option

Beschreibung

Lizenz mit Lizenzschein aktivieren

Ermöglicht die Aktivierung einer Lizenz mit der Seriennummer aus dem Lizenzschein.

Lizenz von Hardware-Dongle übernehmen

Ermöglicht die Übernahme einer Lizenz für alle Produkte der Lizenz von einem Hardware-Dongle.

Erweiterte Optionen

Öffnet weitere Optionen für die Verwaltung von Lizenzen.

Lizenzübersicht

Öffnet den Dialog mit der Registerkarte Lizenzübersicht. Hier werden alle aktivierten Lizenzen angezeigt. Diese können hier auch aktualisiert oder zurückgegeben werden.

Alle Lizenzen updaten

Startet das Update für alle Lizenzen.

Treten Fehler auf, werden diese in einem Dialog angezeigt.

Lizenz übersiedeln/zurückgeben

Startet die Online-Rückgabe für eine Lizenz. Vor der Rückgabe erfolgt eine Sicherheitsabfrage.
Sind mehrere Lizenzen zum Zurückgeben vorhanden, wird automatisch in den Dialog auf die Registerkarte Lizenzübersicht gewechselt.

Eine Lizenz muss zurückgegeben werden, wenn sie auf einem anderen Rechner genutzt werden soll oder wenn für den Rechner Hardware in großem Umfang geändert werden soll. Details Siehe Kapitel Lizenz übertragen/übersiedeln.

Sammelaktivierung

Öffnet den Dialog mit der Registerkarte Sammelaktivierung. Hier können Lizenzen aus einer Liste aktiviert werden.

Erweiterte Lizenzverwaltung

Öffnet den Dialog mit der Registerkarte Lizenzverwendung.

Diesen Dialog nicht mehr anzeigen

Aktiv: Beim nächsten Öffnen der COPA-DATA Lizenzverwaltung wird der Dialog ausgeblendet und die Ansicht mit allen Registerkarten geöffnet.

Dialog beenden

Option | Beschreibung
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Hauptanwendung

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung

Lizenzierungsaufgaben werden über diese Registerkarten verwaltet:

  • Lizenzverwendung: Anzeige und Zuordnung von Lizenzen zu Produkten sowie Reihung für die Nutzung.
  • Lizenzübersicht: Anzeige aller aktivierten Lizenzen und Aktionen für Aktualisierung und Rückgabe von Lizenzen.
  • Lizenz aktivieren: Optionen zur Online- und Offline-Aktivierung von Lizenzen.
  • Sammelaktivierung: Möglichkeit, Lizenzen aus einer Liste zu aktiveren.
    Muss über die Registerkarte Einstellungen aktiviert werden.
    Default: ausgeblendet
  • Einstellungen: Konfiguration der Einstellungen.

Noch in diesem Kapitel

Lizenzverwendung

Lizenzübersicht

Lizenz aktivieren

Sammelaktivierung

Einstellungen

Lizenz übertragen/übersiedeln

Geänderte Lizenz übernehmen/updaten

Remote Lizenzierung

Listen filtern und sortieren


Lizenzverwendung

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenzverwendung

Damit eine Lizenz genutzt werden kann, reicht es nicht aus, dass sie im Dongle gespeichert ist. Sie muss auch den Produkten zugewiesen werden, von denen sie genutzt werden soll. Auf einem Rechner befinden sich oft mehrere Lizenzen, unter anderem auch Demo-Lizenzen.

In dieser Registerkarte ordnen Sie Ihre Lizenzen den einzelnen Produkten zu. Weiters können Sie bei mehreren Lizenzen festlegen, in welcher Reihenfolge sie benutzt werden. Geht die Verbindung zu einer Lizenz verloren, wird versucht eine andere gültige Lizenz zu belegen. Die Reihenfolge der Lizenzen definiert die Reihenfolge der Lizenzsuche. Details dazu finden Sie im Kapitel Redundanter Lizenzschutz.

attention Achtung

Die Anzeige bezieht sich immer auf den Rechner, der in der Kopfzeile bei Lokale Lizenzierung / Remote-Lizenzierung eingestellt ist. Es kann sich daher um eine lokale Ansicht oder um eine Remote-Ansicht handeln.

Bei Remote-Ansicht werden alle Lizenzen angezeigt, die der Remote-Rechner sieht. Besonders bei Netzwerklizenzen kann das eine ganz andere Sichtweise sein, da die Netzwerklizenzen mit CodeMeter-Mechanismen gefunden werden. Siehe dazu auch das Kapitel Server-Suchliste für Netzwerk-Dongles einrichten.

Hinweis: Wurde in der Registerkarte Erweitert die Option Aktivierte Lizenzen sofort übernehmen aktiviert, dann werden Lizenzen beim erstmaligen Aktivieren automatisch allen anwendbaren Produkten an erster Stelle zugewiesen.

Tipp Tipp

Um eine Lizenz allen Produkten an erster Stelle zuzuweisen, klicken Sie auf die Schaltfläche mit den zwei Pfeilen und dem waagrechten Strich: Ausgewählte Lizenz für alle Produkte an erster Stelle eintragen.

Lizenzen zuweisen

Um Lizenzen manuell für ein Produkt einzutragen oder die Reihenfolge zu ändern:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie zur Registerkarte Lizenzverwendung.
    Es werden alle Produkte, für die eine Lizenz vorhanden ist, angezeigt.

  4. Wählen Sie das Produkt, dem eine Lizenz zugeordnet werden soll.

  5. Klicken Sie bei der gewünschten Lizenz auf die Schaltfläche ganz rechts in der Liste. Die Schaltfläche wird grün eingefärbt.

    Die Lizenz wird dem Produkt zugeordnet und in die License.ini eingetragen.

  6. Sind mehrere Lizenzen einem Produkt zugeordnet, können diese sortiert werden. Klicken Sie auf die Pfeiltasten nach oben oder unten, um die Reihenfolge der Lizenzen festzulegen. Die Sortierung kann auch per Drag&Drop erfolgen. Die Sortierung wird sofort in die License.ini übernommen.

attention Achtung

Lizenzen werden vom System teilweise in der Datei License.ini verwaltet. Manuelle Änderungen dieser Datei können dazu führen, dass Sie Lizenzen unbrauchbar machen und damit verlieren. Führen Sie alle nötigen Änderungen für Ihre Lizenzen nur über die COPA-DATA Lizenzverwaltung aus.

Fehler in der License.ini werden durch entsprechende Fehlermeldungen angezeigt.

Optionen der Registerkarte

Option

Beschreibung

Produktauswahl

Liste der verfügbaren lizenzierten Produkte.
Klick auf ein Produkt zeigt die verfügbaren Lizenzen für das Produkt in der Liste Lizenzen an.

Lizenzen

Liste der Lizenzen, die für das gewählte Produkt am gewählten Rechner verfügbar sind.

Klick auf das Pluszeichen zeigt Detailinformationen zur jeweiligen Lizenz an.

Klick auf die Schaltfläche In die Zwischenablage kopieren kopiert alle Informationen zur ausgewählten Lizenz in die Zwischenablage.

Der Status einer Lizenz wird über einen Schalter angezeigt und geändert:

  • Symbol grün:
    Diese Lizenz befindet sich in der Datei License.ini und wurde auch am Dongle gefunden. Klick entfernt Lizenz aus License.ini.
  • Symbol weiß:
    Diese Lizenz wurde auf einem Dongle gefunden, ist aber in der License.ini nicht eingetragen. Klick trägt Lizenz in License.ini ein.
  • Rotes Rufzeichen plus Symbol grün:
    Diese Lizenz befindet sich in der License.ini, wurde aber nicht am Dongle gefunden. Dies kann mehrere Ursachen haben, wie Dongle wurde entfernt, Dongle kann nicht im Netzwerk gefunden werden usw.

Änderungen werden sofort in die License.ini eingetragen.

Symbole zum Anzeigen von Details

Zwei Symbole über der Liste ermöglichen es, Detailinformationen für alle Lizenzen einzublenden und auszublenden. Das linke Symbol blendet Details ein, das rechte blendet Details aus.

Pfeilsymbole

Pfeilsymbole neben der Liste sortieren die Lizenzen.

  • Waagrechter Strich+Doppelpfeil nach oben:
    Die Lizenz wird nach ganz oben gereiht und für alle Produkte in der License.ini an erster Stelle eingetragen.
  • Waagrechter Strich+Pfeil nach oben:
    Die Lizenz wird nach ganz oben gereiht und für das selektierte Produkt in der License.ini an erster Stelle eingetragen.
  • Pfeil nach oben:
    Die Lizenz wird um einen Schritt nach oben verschoben.
  • Pfeil nach unten:
    Die Lizenz wird um einen Schritt nach unten verschoben.

Die Reihenfolge kann auch mit der Maus per Drag&Drop geändert werden.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Lizenzen testen


Lizenzen testen

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenzverwendung > Lizenzen testen

Da in der Lizenzabfrage immer die erste passende Lizenz verwendet wird, können Sie Demo-Lizenzen gezielt zum Testen benutzen. Dazu legen Sie in der COPA-DATA Lizenzverwaltung in der Registerkarte Lizenzverwendung die gewünschte Demo-Lizenz als erste zu verwendende Lizenz fest. Die Laufzeit einer Demo-Lizenz wird Ihnen in der Lizenzverwaltung unter Details der Lizenz angezeigt. Nach Ablauf dieser Laufzeit startet diese Lizenz im Demo-Modus mit 10 Minuten Laufzeit.


Lizenzübersicht

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenzübersicht

In dieser Registerkarte können Sie:

  • Details aller Lizenzen anzeigen, die von ihrem Rechner aus erreichbar sind.
    Das sind sowohl lokale Lizenzen, als auch Lizenzen, die auf einem Netzwerk-Dongle gespeichert sind.
    Benötigen Sie für die Bestellung einer Lizenz-Erweiterung den aktuellen Ausbau, finden Sie hier alle Informationen.
  • Lizenzen updaten.
  • Lizenzen zurückgeben.

attention Achtung

Die Anzeige bezieht sich immer auf den Rechner, der in der Kopfzeile bei Lokale Lizenzierung / Remote-Lizenzierung eingestellt ist. Es kann sich daher um eine lokale Ansicht oder um eine Remote-Ansicht handeln.

Bei Remote-Ansicht werden alle Lizenzen angezeigt, die der Remote-Rechner sieht. Besonders bei Netzwerklizenzen kann das eine ganz andere Sichtweise sein, da die Netzwerklizenzen mit CodeMeter-Mechanismen gefunden werden. Siehe dazu auch das Kapitel Server-Suchliste für Netzwerk-Dongles einrichten.

Option

Beschreibung

Liste Lizenzen

Listet alle verfügbaren Lizenzen auf. Für jede Lizenz stehen folgende Informationen zur Verfügung:

  • Symbol: Zeigt an, um welchen Dongle-Typ* es sich handelt.
  • Seriennummer
  • Artikelname (=Bundle-Bezeichner)
  • lizenzierte Produkte
  • Verfügbare Lizenzen: Zeigt an, wie viele Lizenzen vorhanden sind und nicht verliehen sind. Die Information gibt nicht an, wie viele Lizenzen im Moment von einem Produkt belegt oder frei sind. Diese information kann nur über den CodeMeter WebAdmin bezogen werden.
  • Dongle-Typ*
  • Dongle-ID
  • Donglename
    Der Name kann über das CodeMeter Kontrollzentrum geändert werden.
  • Rechnername

Zusätzliche stehen bei Lizenzen, die es betrifft, folgende Spalten zur Verfügung:

  • Verliehene Lizenzen (ab Version 8.10 verfügbar)
  • Gültigkeitsende
  • Ende Nutzungszeitraum

Die Liste ist sortier- und filterbar.

Details

Klick auf das + Symbol öffnet die Anzeige der Details:

  • Allgemeine Informationen zu Dongle und Adressen sowie Edition
  • Module
  • Variablenanzahl
  • Version

Symbole:

  • Schaltfläche +: klappt alle Details aller Lizenzen aus
  • Schaltfläche -: klappt alle Details aller Lizenzen ein

Lizenz updaten

Klick auf die Schaltfläche baut online eine Verbindung zum Lizenzdepot auf, sucht nach einem Update und spielt dieses ein, sofern vorhanden.

Nicht verfügbar für Demo-Lizenzen und Lizenzen im Netzwerk.

Lizenz zurückgeben

Gibt ausgewählte Lizenz online zurück.

*Dongle-Typen:

  • Lokaler Hardware-Dongle
  • Lokaler Software-Dongle
  • Netzwerk Hardware-Dongle
  • Netzwerk Software-Dongle
  • Demo-Lizenz (Immer Software-Dongle)

Farbcodes:

  • Lizenz werden rot eingefärbt, wenn:
    • das Gültigkeitsende überschritten ist
    • der Nutzungszeitraum überschritten ist
    • die Ausleihdauer überschritten ist
  • Demo-Lizenzen werden orange eingefärbt, wenn bei einem der enthaltenen Produkte die maximale Nutzungsdauer oder die maximale Anzahl an Starts überschritten wurde.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Lizenz aktivieren

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren

Wenn eine Lizenz bei COPA-DATA ausgestellt wird, dann wird Sie in einem sogenannten Lizenzdepot abgelegt. Dabei handelt es sich um eine Datenbank, in der die Lizenz auf Abholung wartet. Damit Sie als Anwender die Lizenz nutzen können, muss die Lizenz bei Ihnen gespeichert sein. Als Speicherort wird ein Dongle verwendet. Dieser Dongle wird auch als Lizenzcontainer bezeichnet. Bei der Aktivierung einer Lizenz wird diese vom Lizenzdepot in den Dongle übertragen.
Für diese Übertragung gibt es folgende Möglichkeiten:

  • Online-Aktivierung über Startdialog:
    Bevorzugte Methode. Dabei wird von Ihrem Rechner aus direkt eine Verbindung über das Internet zum Lizenzdepot aufgebaut und die Lizenz in den Dongle übertragen.
  • Online-Aktivierung über Registerkarte Lizenz aktivieren :
    Diese Online-Methode muss verwendet werden, wenn Sie mehrere Software-oder Hardware-Dongles angeschlossen haben.
    Hinweis: Diese Methode können Sie auch dann nutzen, wenn der zu lizenzierende Rechner nicht direkt mit dem Internet verbunden ist. Dafür steht Ihnen die Remote-Lizenzierung zur Verfügung.
  • Online-Sammelaktivierung:
    Verwenden Sie diese Methode, wenn Sie mehrere Rechner auf einmal aktivieren möchten.
  • Aktivierung per Kommandozeilen-Tool:
    Verwenden Sie diese Möglichkeit, wenn Sie Lizenzen automatisiert online über Drittapplikationen aktivieren möchten. Das Kommandozeilen-Tool ermöglicht sowohl Einzelaktivierung als auch Sammelaktivierung und unterstützt lokale und remote Aktivierung.
  • Offline-Aktivierung:
    Manuelle Methode. Diese Methode kommt zum Einsatz, wenn keine direkte Internetverbindung besteht. Dabei müssen Sie das ganze Übetragungshandling mit Hilfe eines Webbrowser durchführen.

Wenn Sie einen vorprogrammierten Dongle erhalten, dann wurde die Lizenz bereits in den Dongle übertragen und aktiviert. Sie müssen diese Lizenz nur mehr den jeweiligen Produkten zur Verwendung zuweisen. Details lesen Sie im Kapitel Lizenz von Hardware-Dongle übernehmen.

Noch in diesem Kapitel

Lizenz aktivieren über Registerkarte Lizenz aktivieren


Lizenz aktivieren über Registerkarte Lizenz aktivieren

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren

In dieser Registerkarte aktivieren Sie eine Lizenz.
Den Detailabblauf wie eine Lizenz aktiviert wird, entnehmen Sie den Kapiteln Online-Aktivierung und Offline-Aktivierung.

Option

Beschreibung

Lokale Lizenzierung

Auswahl, ob Lizenzierung lokal erfolgt oder auf einem Remote-Rechner.

Online-Aktivierung

Aktivierungsart Online auswählen. Die Lizenz wird online aktiviert. Sie benötigen dafür eine Internet-Verbindung.

Offline-Aktivierung

Aktivierungsart Offline auswählen. Die Aktivierung erfolgt über Dateiaustausch.

Seriennummer

Eingabe der Seriennummer, die aktiviert werden soll.

Zieldongle auswählen

Liste der verfügbaren Dongles. Klick auf einen Dongle wählt diesen als Ziel für die Lizenz aus.

Liste zeigt an:

  • Name:
    Name des Dongles.
  • Identifikation:
    Nummer des Dongles.
  • Anzahl der Lizenzen:
    Zahl der Lizenzen, die auf diesem Dongle bereits aktiviert sind.
  • Erste bereits existierende Lizenz:
    Seriennummer der Lizenz, die als erste auf dem Dongle aktiviert wurde.

Die Liste ist sortierbar. Um zu sortieren, klicken Sie auf den Kopf der gewünschten Spalte. Erneuter Klick invertiert die Sortierung.

Hinweis: Es werden nur lokal verfügbare Dongles angezeigt.

Lizenz aktivieren

Klick auf die Schaltfläche aktiviert die Lizenz.

Nur verfügbar für Online-Aktivierung und nur, wenn eine gültige Seriennummer eingegeben und ein Dongle ausgewählt wurde.

Lizenz-Anforderungsdatei erstellen

Klick auf die Schaltfläche erstellt eine Datei, mit der die Aktivierung der Lizenz angefordert werden kann.

Nur verfügbar für Offline-Aktivierung und nur, wenn eine gültige Seriennummer eingegeben und ein Dongle ausgewählt wurde.

Lizenz-Aktualisierungsdatei importieren

Klick auf die Schaltfläche öffnet den Dialog zur Auswahl einer Datei für die Offline-Aktivierung einer Lizenz.

Nur verfügbar für Offline-Aktivierung.

Lizenz-Bestätigungsdatei erzeugen

Klick auf die Schaltfläche erstellt eine Datei, mit der die Aktivierung der Lizenz bestätigt werden kann.

Nur verfügbar für Offline-Aktivierung und nur, wenn eine gültige Seriennummer eingegeben und ein Dongle ausgewählt wurde.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Online-Aktivierung

Offline-Aktivierung


Online-Aktivierung

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren > Online-Aktivierung

Die Lizenz kann wahlweise in einen Software-Dongle oder - falls vorhanden - Hardware-Dongle übertragen werden. Details zu verfügbaren Dongles lesen Sie im Kapitel Dongle-Typen.
Bei der Online-Aktivierung werden Lizenzen direkt ohne weitere Anwendungen oder Datenträger aktiviert. Es muss dazu eine Onlineverbindung ins Internet vorhanden sein.

Tipp Tipp

Falls Sie über keine direkte Internetverbindung verfügen, verwenden Sie die Remote-Lizenzierung

Falls Sie für Ihre Internetverbindung einen Proxy-Server nutzen, achten Sie auf die korrekten Proxy-Einstellungen.

Um eine Lizenz online zu aktivieren:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie auf die Registerkarte Lizenz aktivieren.

  4. Entscheiden Sie, ob sie lokal lizenzieren oder auf einem Remote-Rechner.
    • Lokal: Belassen Sie die Einstellung auf Lokale Lizenzierung.
    • Remote: Stellen Sie eine Verbindung zum Remote-Rechner, auf dem die Lizenz benutzt werden soll, her. Details siehe Kapitel Remote Lizenzierung.
  5. Aktivieren Sie den Radiobutton Online-Aktivierung.
  6. Geben Sie in die Option Seriennummer die Seriennummer ein, die aktiviert werden soll. Die Seriennummer entnehmen Sie dem Lizenzschein.
  7. Wählen Sie in der Option Zieldongle auswählen den Dongle aus, auf dem die Lizenz abgelegt werden soll. Sollten Sie Ihren Hardware-Dongle noch nicht angesteckt haben, so stecken Sie ihn nun an und klicken in der rechten oberen Ecke auf die Schaltfläche Aktualisieren.
  8. Klicken Sie auf die Schaltfläche Lizenz aktivieren.

    Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.


Offline-Aktivierung

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren > Offline-Aktivierung

Bei der Offline-Aktivierung muss die Lizenzübertragung vom COPA-DATA Lizenzdepot in den Dongle manuell erfolgen. Diese Methode wird nur als letze Option empfohlen, wenn Online- bzw Remote-Lizenzierung nicht durchführbar sind. Bei Hardware-Dongles ist es unter Umständen einfacher, den Hardware Dongle an einen Rechner mit Internetverbindung anzustecken und dort online zu aktiveren.

Auch für die Offline-Lizenzierung ist der Zugriff auf eine Internetverbindung nötig. Allerdings kann der Zugangsrechner frei definiert werden.

Die Offline Aktivierung erfordert eine mehrstufigen Ablauf:

  1. Lizenz-Anforderungsdatei erzeugen
  2. Lizenz-Anforderungsdatei auf einen Rechner mit Internetzugriff übertragen.
    Das kann mit Hilfe beliebiger Speichermedien wie USB-Sticks, Wechseldatenträgern oder ähnlichem geschehen.
  3. Lizenz-Anforderungsdatei auf die Lizenzierungs-Webseite hochladen und von dort die Lizenz-Aktualisierungsdatei erhalten.
  4. Lizenz-Aktualisierungsdatei auf den zu lizenzierenden Rechner übertragen.
  5. Lizenz-Aktualisierungsdatei per Doppelklick auf die Datei einspielen und Lizenz-Bestätigungsdatei erzeugen.
  6. Lizenz-Bestätigungsdatei auf einen Rechner mit Internetzugriff übertragen.
  7. Lizenz-Bestätigungsdatei auf die Lizenzierungs-Webseite hochladen.

    Damit ist der Vorgang abgeschlossen.

Die Lizenz kann wahlweise in einen Software-Dongle oder - falls vorhanden - Hardware-Dongle übertragen werden. Details zu verfügbaren Dongles lesen Sie im Kapitel Dongle-Typen.

Ablauf im Detail

Um eine Lizenz offline zu aktivieren:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie zur Registerkarte Lizenz aktivieren.

  4. Entscheiden Sie, ob sie lokal lizenzieren oder auf einem Remote-Rechner.
    • Lokal: Belassen Sie die Einstellung auf Lokale Lizenzierung.
    • Remote: Stellen Sie eine Verbindung zum Remote-Rechner, auf dem die Lizenz benutzt werden soll, her. Details siehe Kapitel Remote Lizenzierung.
  5. Aktivieren Sie den Radiobutton Offline-Aktivierung.
  6. Geben Sie in die Option Seriennummer die Seriennummer ein, die aktiviert werden soll. Die Seriennummer entnehmen Sie dem Lizenzschein.
  7. Wählen Sie in der Option Zieldongle auswählen den Dongle aus, auf dem die Lizenz abgelegt werden soll. Sollten Sie Ihren Hardware-Dongle noch nicht angesteckt haben, so stecken Sie ihn nun an und klicken in der rechten oberen Ecke auf die Schaltfläche Aktualisieren.
  8. Klicken Sie auf die Schaltfläche Lizenz-Anforderungsdatei erstellen.
    Die Schaltfläche ist nur aktiv, wenn die Seriennummer gültig ist und ein Ziel-Dongle gewählt wurde.

    Der Dialog zum Speichern der Datei wird geöffnet.

  9. Speichern Sie die Datei:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicReq.

    Wird zwischen Auswahl des Dongles und Speicherung der Datei der Dongle entfernt oder wird er nicht mehr gefunden, dann wird das Speichern mit einer Fehlermeldung abgebrochen. Der Benutzer muss erst den Dongle wieder zur Verfügung stellen oder einen neuen Dongle auswählen, bevor die Datei gespeichert werden kann.

  10. Übertragen Sie die Lizenz-Anforderungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf einen Rechner mit Internetzugriff.
  11. Starten Sie dort einen Webbrowser.
  12. Öffnen Sie die Website https://copadata-license.copadata.com/.
  13. Klicken Sie auf die Schaltfläche Durchsuchen und wählen Sie die Lizenz-Anforderungsdatei aus.
  14. Klicken Sie auf die Schaltfläche Anforderungsdatei hochladen.
    Falls die Anforderung erfolgreich abgearbeitet werden kann, wechselt die Webseite auf die zweite Seite Aktualisierung herunterladen.
  15. Klicken Sie auf die Schaltfläche Aktualisierung herunterladen. Sie erhalten eine Lizenz-Aktualisierungsdatei. Je nach Browser und Browsereinstellung wird die Datei in einem Download-Ordner abgespeichert:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicUpd.
  16. Übertragen Sie die Lizenz-Aktualisierungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf den Ausgangsrechner zurück.
  17. Stellen Sie sicher, dass der zu lizenzierende Dongle angeschlossen ist.
  18. Führen Sie einen Doppelklick auf die Lizenz-Aktualisierungsdatei aus.

    Die COPA-DATA Lizenzverwaltung wird automatisch geöffnet. Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.
    Bei Remote Lizenzierung wird bei einem Doppleklick auf die Lizenz-Aktualisierungsdatei auch eine Verbindung zum Remote System aufgebaut.
    Voraussetzung: Die Option Benutzerdatenerfassung in der Registerkarte Einstellungen ist nicht deaktiviert.
    Alternative Vorgehensweise:

    1. Öffnen Sie die COPA-DATA Lizenzverwaltung und wechseln Sie auf die Registerkarte Lizenz aktivieren.
    2. Falls erforderlich, bauen Sie eine Verbindung zum Remote-System auf, auf dem sich der zu lizenzierende Dongle befindet.
    3. Aktivieren Sie den Radiobutton Offline-Aktivierung.
    4. Klicken Sie auf die Schaltfläche Lizenz-Aktivierungsdatei importieren.
    5. Wählen Sie die Lizenz-Aktualisierungsdatei aus und klicken Sie auf Öffnen.

      Die Lizenz wird in den Dongle übertragen und dort manipulationssicher gespeichert. Falls Sie die Option Aktivierte Lizenzen sofort übernehmen in der Registerkarte Einstellungen gesetzt haben, wird die Lizenz bei allen Produkten an erster Stelle in die Datei License.ini eingetragen. Diese INI-Datei enthält Informationen zur Reihenfolge, in der Lizenzen benutzt werden. Die Reihenfolge können Sie in der Registerkarte Lizenzverwendung anpassen.

    Damit das Lizenzdepot weiß, dass die Lizenz erfolgreich in den Dongle übertragen wurde, muss eine Lizenz-Bestätigungsdatei erstellt und diese zu COPA-DATA übertragen werden. Die Datei wird automatisch erstellt, sobald eine offline Aktivierung erfolgreich durchgeführt wurde. Der Dialog zum Speichern der Datei öffnet sich automatisch.

  19. Speichern Sie die Lizenz-Bestätigungsdatei:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicConf.

    Falls Sie die Bestätigung später durchführen möchten, können Sie die Lizenz-Bestätigungsdatei zu jedem beliebigen späteren Zeitpunkt erstellen. Details siehe Kapitel L izenz-Bestätigungsdatei erstellen.

  20. Übertragen Sie die Lizenz-Bestätigungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf einen Rechner mit Internetzugriff.
  21. Starten Sie dort einen Webbrowser.
  22. Öffnen Sie die Website https://copadata-license.copadata.com/continue.php?step=3.
  23. Klicken Sie auf die Schaltfläche Durchsuchen und wählen Sie die Lizenz-Bestätigungsdatei aus.
  24. Klicken Sie auf die Schaltfläche Bestätigungsdatei hochladen.

Die Datei wird auf die Webseite hochgeladen und der Offline-Aktivivierungsmechanismus ist damit abgeschlossen.

Noch in diesem Kapitel

Lizenz-Bestätigungsdatei erstellen


Lizenz-Bestätigungsdatei erstellen

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz aktivieren > Lizenz aktivieren über Registerkarte Lizenz aktivieren > Offline-Aktivierung > Lizenz-Bestätigungsdatei erstellen

Damit das Lizenzdepot weiß, dass die Lizenz erfolgreich in den Dongle übertragen wurde, muss eine Lizenz-Bestätigungsdatei erstellt und diese zu COPA-DATA übertragen werden.
Um eine Datei zu jedem beliebigen Zeitpunkt zu erstellen:

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie zur Registerkarte Lizenz aktivieren.

  4. Entscheiden Sie, ob sie lokal lizenzieren oder auf einem Remote-Rechner.
    • Lokal: Belassen Sie die Einstellung auf Lokale Lizenzierung.
    • Remote: Stellen Sie eine Verbindung zum Remote-Rechner, auf dem die Lizenz benutzt werden soll, her. Details siehe Kapitel Remote Lizenzierung.
  5. Aktivieren Sie den Radiobutton Offline-Aktivierung.
  6. Geben Sie die Seriennummer ein, für die Sie eine Lizenz-Bestätigungsdatei erstellen möchten.
  7. Wählen Sie den Dongle aus, auf dem diese Lizenz gespeichert ist.
  8. Klicken Sie auf die Schaltfläche Lizenz-Bestätigungsdatei erzeugen.

    Der Dialog zum Speichern der Datei wird geöffnet.

  9. Speichern Sie die Lizenz-Bestätigungsdatei:
    • Default Name: (die Seriennummer)
    • Default Dateiendung: LicConf.
  10. Übertragen Sie die Lizenz-Bestätigungsdatei per USB Stick oder einem anderen Offline-Transportmittel auf einen Rechner mit Internetzugriff.
  11. Starten Sie dort einen Webbrowser.
  12. Öffnen Sie die Website https://copadata-license.copadata.com/continue.php?step=3.
  13. Klicken Sie auf die Schaltfläche Durchsuchen und wählen Sie die Lizenz-Bestätigungsdatei aus.
  14. Klicken Sie auf die Schaltfläche Bestätigungsdatei hochladen.

Die Datei wird auf die Webseite hochgeladen und der Offline-Aktivivierungsmechanismus ist damit abgeschlossen.


Sammelaktivierung

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Sammelaktivierung

Wenn Sie bei COPA-DATA mehre Lizenzen bestellen, dann erhalten Sie zusätzlich zu den Lizenzscheinen eine Sammeldatei (*.LicSN). Diese Datei können Sie nutzen, um die Lizenzen zentral zu verwalten und von einer zentralen Stelle aus zu aktivieren. Hierzu bietet sich die Remote-Lizenzierung an.

Die Aktivierung der Lizenzen aus der Sammeldatei können Sie entweder mit COPA-DATA Lizenzverwaltung in der Registerkarte Sammelaktivierung durchführen oder automatisiert das Kommandozeilen-Tool LicenseManagerAutomation.exe verwenden. Auch eine gemischte Verwendung ist möglich.

Die Sammeldatei ist eine CSV-Datei, die mit jedem beliebigen Texteditor oder einer Tabellenkalkulation bearbeitet werden kann.

  • Spaltentrennzeichen: Semikolon (;) oder Tabulator (\t)

Spaltenaufbau:

Spalte

Bezeichnung

Beschreibung

1

Seriennummer

Die eindeutige Seriennummer jeder Lizenz.

2

Artikelname

Enthält den Artikelnamem der Lizenz.
Dient nur zur Information und hat keine funktionale Auswirkung.

3

Zielrechner

Angabe des Zielrechners:

  • Wenn noch nicht lizenziert:
    Rechnername auf den die Lizenz übertragen werden soll. Es können verwendet werden: IPv4-Adresse, IPv6-Adresse oder Rechnername.
  • Wenn bereits lizenziert:
    Rechnername auf den die Lizenz übertragen wurde.

4

Benutzername

Windows Benutzername, von dem die Lizenz aktiviert wurde.
Dient nur zur Information.

5

Aktiviert

Anzeige des Status der Aktivierung:

  • True: aktiviert
  • False oder leer: nicht aktiviert

Bei True wird diese Lizenz bei der Abarbeitung über die Kommadozeile nicht mehr berücksichtigt.

6

Fehlertext

Falls bei der Aktivierung ein Fehler aufgetreten ist, wird der Fehler hier protokolliert.

Die Originaldatei ist nur mit den ersten beiden Spalten gefüllt.

Um die Datei für die Sammelaktivierung über die COPA-DATA Lizenzverwaltung oder die Kommandozeile zu nutzen:

  • Tragen Sie für jede Lizenz in die Spalte 3 den Zielrechner ein.

    Beispiel:

    • Original-Zeile der Sammeldatei: C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;
    • Ergänzen Sie diese Zeile:C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;MyPCtoLicense

Sammelaktivierung in der COPA-DATA Lizenzverwaltung

Hinweis: Diese Registerkarte ist per Default ausgeblendet. Um sie anzuzeigen, aktivieren Sie in der Registerkarte Einstellungen die Eigenschaft Registerkarte für zusätzliche Lizenzierungsoptionen anzeigen.

Eine Lizenz aktivieren

Um eine Lizenz zu aktivieren:

  1. Speichern Sie die Sammledatei mit der Dateiendung *.LicSN auf ihrem Rechner.
  2. Tragen Sie den Zielrechner in die Datei ein.
  3. Öffnen Sie die COPA-DATA Lizenzverwaltung.
  4. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  5. Wechseln Sie zur Registerkarte Sammelaktivierung.

    Falls diese nicht angezeigt wird:

    1. Wechseln Sie zur Registerkarte Einstellungen.
    2. Aktivieren Sie die Checkbox für Registerkarte für zusätzliche Lizenzierungsoptionen anzeigen.
  6. Wählen Sie in der Option Wählen Sie die .LicSN-Datei aus die Sammeldatei mit den Lizenzen aus.
    Klicken Sie dazu auf die Schaltfläche .... Die Datei hat die Dateiendung *.LicSN.

    In der Liste Wählen Sie die zu aktualisierende Lizenz aus werden alle in der Datei verfügbaren Lizenzen angezeigt.
    Sie können die in der Datei enthaltenen Lizenzen nach Seriennummer, Lizenzname, Zielrechner, Benutzername und Aktivierungsstatus filtern und sortieren.
    Fehlerhafte Seriennummern werden durch ein Symbol markiert.

  7. Wählen Sie die gewünschte Lizenz aus.
    Wurde ein Zielrechner eingetragen, dann wird sofort eine Verbindung zu diesem Zielrechner aufgebaut.
    Wird eine bereits aktivierte Lizenz ausgewählt, dann wird die Schaltfläche Lizenz aktivieren in Lizenz aktualisieren geändert.
  8. Wählen Sie in der Option Zieldongle auswählen den Dongle am Remote Rechner aus, auf den die Lizenz übertragen werden soll.
  9. Klicken Sie auf Lizenz aktivieren oder Lizenz aktualisieren.

Die Lizenz wird auf dem ausgewählten Zieldongle aktiviert und die Textdatei wird mit den Daten der Lizenzierung befüllt.

Registerkarte Sammelaktivierung

Option

Beschreibung

Wählen Sie die .LicSN-Datei aus

Auswahl der Datei mit den Lizenznummern. Die Datei hat die Dateiendung .LicSN.

Die in der Datei enthaltenen Lizenzen werden in der Option Wählen Sie die zu aktualisierende Lizenz aus angezeigt.

Wählen Sie die zu aktualisierende Lizenz aus

Anzeige und Auswahl der vorhandenen Lizenzen. Die Anzeige kann gefiltert und sortiert werden.

  • Filtern: Geben Sie den Filterbegriff in die Filterzeile ein.
  • Sortieren: Klicken Sie auf den Spaltentitel. Die Einträge werden sortiert angezeigt. Ein erneuter Klick invertiert die Anzeige.

Auswahl durch Klick auf eine Lizenz.

Zieldongle auswählen

Auswahl des Dongles, mit dem die Lizenz verknüpft werden soll.

Lizenz aktivieren

Lizenz aktualisieren

Aktiviert die ausgewählte Lizenz auf dem ausgewählten Dongle oder aktualisiert die Lizenz, falls sie bereits aktiviert wurde.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.


Einstellungen

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Einstellungen

In dieser Registerkarte werden Einstellungen zur Lizenzverwaltung konfiguriert.

Option

Beschreibung

Benutzerdatenerfassung

Einstellungen für Erfassung von Benutzerdaten:

  • Aktiv: Benutzerdaten werden erfasst.
    Erfasst werden unter anderem: Betriebssystem, Benutzername, Rechnername, IP-Adressen und Domäne. Details siehe Kapitel Benutzerdaten.
  • Inaktiv: Es werden keine Benutzerdaten erfasst.

Default: aktiv

Achtung: Wird diese Option deaktiviert, können verlorene Lizenzen nicht wieder hergestellt oder ersetzt werden.

Im Netzwerk nach Dongles und Lizenzen suchen

Einstellung zur Suche nach Lizenzen:

  • Aktiv: Dongles und Lizenzen werden auch im Netzwerk gesucht. Diese Suche kann längere Zeit beanspruchen.
  • Inaktiv: Es wird nur auf dem lokalen Laufwerk gesucht.

Default: inaktiv

Einstellung wird sofort übernommen. Um neue Dongles und Lizenzen anzuzeigen, muss die jeweilige Liste aktualisiert werden.

Hinweis: Diese Einstellung wirkt sich nur auf die COPA-DATA Lizenzverwaltung aus. Die zenon Anwendungen greifen immer auch auf das Netzwerk zu, falls Sie lokal die Lizenz nicht finden.

Aktivierte Lizenzen sofort übernehmen

Einstellung, wann die aktivierte Lizenz in die License.ini geschrieben wird:

  • Aktiv: Lizenz wird mit Klick auf Lizenz aktivieren sofort in die License.ini an erster Stelle geschrieben und allen lizenzierten Produkten zugeordnet.
  • Inaktiv: Lizenz wird erst mit Zuordnung in der Registerkarte Lizenzverwendung in die License.ini geschrieben.

Default: aktiv

Registerkarte für zusätzliche Lizenzierungsoptionen anzeigen

Regelt die Anzeige der Registerkarte Sammelaktivierung:

  • Aktiv: Registerkarte wird angezeigt.
  • Inaktiv: Registerkarte wird ausgeblendet.

Default: inaktiv

Alle verwendeten Lizenzen automatisch aktualisieren

Lizenzen automatisch aktualisieren.

  • Aktiv: Alle Lizenzen werden in regelmäßigen Abständen automatisch auf Aktualisierung überprüft.
  • Inaktiv: Lizenzen werden nicht überprüft. Die Überprüfung muss manuell ausgeführt werden.

Default: aktiv

Default-Zykluszeit: 7 Tage.
Der Zyklus kann in den Einstellungen [SETTINGS] der License.ini geändert werden.

Weitere Informationen: Siehe Kapitel Geänderte Lizenzen übernehmen.

Startdialog bei Start der Lizenzverwaltung anzeigen

Aktivierung des Wizards für Lizenzierungsaufgaben:

  • Aktiv: Vor dem Öffnen wird der Startdialog angezeigt, der durch typische Lizenzierungsvorgänge führt.
  • Inaktiv: Die Anwendung wird direkt geöffnet.

Default: aktiv

Software-Dongle auf Dongle-Typ "VM DataCenter" wechseln.

Ändert den Typ des verwendeten Software-Dongles von Virtual Machine auf VM DataCenter.

Nur verfügbar, wenn COPA-DATA Lizenzverwaltung in einer Virtual Machine läuft.

Software-Dongle auf Dongle-Typ "Virtual Machine" wechseln

Ändert den Typ des verwendeten Software-Dongles von VM DataCenter auf Virtual Machine .

Nur verfügbar, wenn die COPA-DATA Lizenzverwaltung in einer Virtual Machine läuft.

Proxy-Einstellungen

Öffnet oder schließt den Bereich zur Konfiguration eines Proxy-Rechners. Details siehe Kapitel: Proxy konfigurieren

Proxy-Konfiguration automatisch erkennen
  • Aktiv: Der Proxy wird automatisch über die generellen Systemeinstellungen erkannt.

Manuelle Proxy-Konfiguration
  • Aktiv: Der Proxy wird manuell konfiguriert.

Für die Konfiguration müssen angegeben werden:

  • Proxy: URL des Proxy.
  • Port: Zu verwendender Port.
    Minimum: 1
    Maximum: 65535
    Default: 80
  • Benutzer: Benutzername für den Proxy-Zugang.
    Wird nicht validiert.
  • Passwort: Passwort für den Proxy-Zugang.
    Wird verschlüsselt gespeichert und nicht validiert.

Proxy-Konfiguration speichern

Speichert die manuelle Proxy-Konfiguration.

Dialog-Optionen

Option | Beschreibung
Lokale Lizenzierung / Remote-Lizenzierung | Klick auf auf den Pfeil in der Kopfzeile öffnet die Optionen zum Verbindungsaufbau zu einem Remote Rechner oder Auswahl des lokalen Rechners.
Startdialog anzeigen | Öffnet den Startdialog für Standard-Lizenzierungsaufgaben.
Hilfe | Öffnet die Online-Hilfe.
Beenden | Klick auf die Schaltfläche schließt den Dialog.

Noch in diesem Kapitel

Benutzerdaten

Proxy konfigurieren


Benutzerdaten

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Einstellungen > Benutzerdaten

Verwendung von Benutzerdaten

Bei der Lizenzierung über die COPA-DATA Lizenzverwaltung per Dialog oder Kommandozeile werden auch Benutzerdaten erfasst und gespeichert. Diese Daten dienen dazu, verlorene oder beschädigte Lizenzen wiederherzustellen. Die Daten werden lokal bei COPA-DATA in Österreich gespeichert.

Erfasst werden:

  • Betriebssystem: Art und Version.
  • Netzwerkadressen: Alle am Rechner vorhandenen Netzwerkadressen.
  • Full Qualified Host Name
  • Benutzername und Domäne

Diese Daten werden für den Rechner erfasst, auf dem die Lizenzierung ausgeführt wird. Wird die Lizenzierung Remote ausgeführt, werden diese Daten auch für den Zielrechner erfasst.

Deaktivierung

Die Erfassung dieser Daten kann in der COPA-DATA Lizenzverwaltung deaktiviert werden. Es können dann weiterhin Lizenzen bezogen und verwaltet werden. Support und technische Unterstützung für die Lizenzierung sind aber aufgrund fehlender Daten nicht möglich.

Wird die Erfassung deaktiviert, kann COPA-DATA folgende Dienstleistungen nicht mehr anbieten:

  • Automatisches Einspielen von Lizenzen auf Remote Rechnern.
  • Nachverfolgung, auf welchem Rechner die Lizenz von wem aktiviert wurde.
    Damit kann bei Lizenzverlust auch keine Unterstützung beim Suchen der Lizenz angeboten werden. Auch können verlorene Lizenzen dann nicht im Kulanzweg ersetzt werden.

Daten,die bis zur Deaktivierung erhoben wurden, bleiben gespeichert.


Proxy konfigurieren

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Einstellungen > Proxy konfigurieren

Für die online Aktivierung, Lizenz-Rückgabe und das Lizenz-Update wird ein Zugang ins Internet benötigt. In manchen Firmennetzwerken ist kein direkter Internetzugang möglich. Die Verbindung muss über einen Proxy Server hergestellt werden. Wenn Ihr System Administrator die Daten für den Proxy Server korrekt im Betriebssystem hinterlegt hat, sind keine weiteren Einstellungen erforderlich. Ansonsten muss der Proxy Server manuell konfiguriert werden:

  1. Öffnen Sie in der COPA-DATA Lizenzverwaltung die Registerkarte Einstellungen.
  2. Klicken Sie auf Proxy-Einstellungen.
  3. Aktivieren Sie den Radio-Button für Manuelle Proxy-Konfiguration.
  4. Tragen Sie den URL für den Proxy ein.
  5. Tragen Sie den Port ein.
  6. Tragen Sie den Benutzernamen ein.
    Achtung: Dieser wird nicht validiert.
  7. Geben Sie das Passwort an.
    Dieses wird verschlüsselt eingetragen.
    Achtung: Das Passwort wird nicht validiert.
  8. Klicken Sie auf Proxy speichern.

Bei einer manuellen Konfiguration speichert die COPA-DATA Lizenzverwaltung auch die vom System gesetzten Proxy-Einstellung. Diese werden als Fallback verwendet, wenn mit den manuell konfigurierten Proxy-Einstellungen keine Verbindung hergestellt werden kann. Das ist zum Beispiel relevant, wenn für den Benutzer, in dessen Kontext dieCOPA-DATA Lizenzverwaltung verwendet wird, zwar ein Proxy konfiguriert ist, im Systemkontext aber diese Einstellung nicht verfügbar ist.

Online-Aktivierung

Ist bei der Online-Aktivierung der konfigurierte Proxy nicht erreichbar, wird der Dialog zur Konfiguration eingeblendet. Zusätzlich werden Fehlermeldungen angezeigt. Änderungen an den Einstellungen werden mit dem nächsten Aufbau der Verbindung automatisch gespeichert.


Lizenz übertragen/übersiedeln

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln

Das Übertragen einer Lizenz ist zum Beispiel nötig, wenn:

  • die Lizenz auf einem anderen Rechner oder in einer anderen Virtual Machine genutzt werden soll
  • sich die Hardware eines Rechners mit Software-Dongle ändert
  • das Betriebssystem eines Rechners mit Software-Dongle erneuert wird
  • die Festplatte mit dem Laufwerk C eines Rechners mit Software-Dongle ausgetauscht werden soll
  • der Host-Rechner für eine Virtual Machine wechselt oder dessen Hardware geändert wird
  • Sie mehrere Lizenzen auf einem Hardware-Dongle zusammenfassen möchten
  • Sie einen physikalischen Rechner in eine Virtual Machine umwandeln möchten

Ob eine Lizenz beim physikalischen Umbau eines Rechners weiter genutzt werden kann, hängt davon ab, welche und wie viele Komponenten geändert werden. Die Änderung des Rechnernamens oder der Tausch einer Festplatte (ausgenommen Laufwerk C) stellen in der Regel kein Problem dar.

Die Übertragung von Lizenzen funktioniert für Hardware-Dongles und Software-Dongles gleichermaßen.
Um eine Lizenz von einem Rechner (Dongle) auf einen anderen Rechner (Dongle) zu übertragen:

  1. Geben Sie die Lizenz vom bisherigen Dongle zurück.
  2. Aktivieren Sie die Lizenz auf dem neuen Dongle erneut.

info Info

Lizenzen können nicht direkt zwischen einem physikalischen Rechner und einer Virtual Machine Maschinen übertragen werden. Die Lizenz muss an die jeweilige Bedingung angepasst werden. Wenden Sie sich in diesem Fall an Ihren COPA-DATA Vertriebspartner. Siehe auch Kapitel Virtual Machines.

Noch in diesem Kapitel

Lizenz zurückgeben


Lizenz zurückgeben

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln > Lizenz zurückgeben

Lizenzen können zurückgegeben werden. Dies ist zum Beispiel nötig, wenn eine Lizenz auf einem anderen Rechner eingesetzt werden soll. Siehe auch Kapitel Lizenz übertragen/übersiedeln.

Hinweise zur Lizenzrückgabe:

  • Nur lokale Lizenzen können zurückgegeben werden.
  • Lizenzen mit einem definierten Nutzungszeitraum und Demo-Lizenzen können nicht zurückgegeben werden.
  • Ausgeliehene Lizenzen oder Lizenzen, die ganz oder teilweise verliehen sind, können nicht zurückgegeben werden. Sie müssen zuerst die Ausleihe beenden. (Ausleihe verfügbar ab Version 8.10.)

Lizenzen könne auf zwei Arten zurückgegeben werden:

  • Lizenz online zurückgeben (bevorzugte Variante)
  • Lizenz offline zurückgeben

Noch in diesem Kapitel

Lizenz online zurückgeben

Lizenz offline zurückgeben


Lizenz online zurückgeben

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln > Lizenz zurückgeben > Lizenz online zurückgeben

Um eine Lizenz online zurückzugeben:

  1. Starten Sie die COPA-DATA Lizenzverwaltung
  2. Im Startdialog klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf die Schaltfläche Lizenz übersiedeln/zurückgeben.
    • Falls sich nur eine zurückgebbare Lizenz lokal auf Ihrem Rechner befindet, wird diese online zurückgegeben.
      Bestätigen Sie dazu die entsprechende Abfrage.
    • Falls sich mehrere zurückgebbare Lizenzen lokal auf Ihrem Rechner befinden, dann werden Sie automatisch zur Registerkarte Lizenzübersicht weitergeleitet.
      Fahren Sie fort mit Vorgang bei mehreren Lizenzen, Schritt 3.

Vorgang bei mehreren Lizenzen:

  1. Starten Sie die COPA-DATA Lizenzverwaltung
  2. Wird der Startdialog angezeigt, dann klicken Sie auf die Schaltfläche Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung.
  3. Wechseln Sie in die Registerkarte Lizenzübersicht.
  4. Wählen Sie die gewünschte Lizenz aus der Liste aus.

  5. Klicken Sie auf Lizenz zurückgeben.

    Die Lizenz wird online zurückgegeben.


Lizenz offline zurückgeben

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Lizenz übertragen/übersiedeln > Lizenz zurückgeben > Lizenz offline zurückgeben

Die Offline-Rückgabe ist noch nicht in die COPA-DATA Lizenzverwaltung integriert worden. Sie funktioniert jedoch über den selben Weg wie die Offline-Aktivierung. Unterschied: Es muss ein anderer Rückgabelink in den Webbrowser eingegeben werden!

Vorgangsweise:

  1. Starten Sie die COPA-DATA Lizenzverwaltung
  2. Wechseln Sie in die Registerkarte Lizenz aktivieren.
    Wird der Startdialog angezeigt, klicken Sie auf Erweiterte Optionen und dann auf Erweiterte Lizenzverwaltung. Wechseln Sie dann zur Registerkarte Lizenz aktivieren.

  3. Wählen Sie die Option Offline-Aktivierung.
  4. Geben Sie die Seriennummer der Lizenz ein, die Sie zurückgeben wollen.
  5. Wählen Sie den Dongle aus, auf dem die Lizenz gespeichert ist.
  6. Erstellen Sie eine Lizenz-Anforderungsdatei. Klicken Sie dazu auf die Schaltfläche Lizenz-Anforderungsdatei erstellen.

    Eine Datei mit der Dateiendung *.LicReq wird erzeugt.

  7. Achtung: Verwenden Sie nicht den Link, der in der COPA-DATA Lizenzverwaltung vorgegeben ist!
    Öffnen Sie stattdessen in einem Webbrowser diesen Link:
    https://copadata-license.copadata.com/return.php
  8. Laden Sie die umbenannte Lizenz-Anforderungsdatei *.LicReq auf die Webseite hoch.

    Sie bekommen eine Lizenz-Aktualisierungsdatei mit der Dateiendung *.LicUpd als Antwort.

  9. Klicken Sie in der COPA-DATA Lizenzverwaltung auf die Schaltfläche Lizenz-Aktualisierungsdatei importieren und übernehmen Sie die von der Webseite generierte Datei.

    Wichtig: Damit die Lizenz vom Lizenzdepot wirklich als zurückgegeben akzeptiert wird, müssen Sie unbedingt die Bestätigungsdatei erzeugen und zur Webseite übertragen.
    Dazu:

    1. Klicken Sie auf die Schaltfläche Lizenz-Bestätigungsdatei erzeugen.
      Es wird eine Datei mit der Dateiendung *.LicConf erzeugt.
  10. Öffnen Sie diesen Link in einem Webbrowser:
    https://copadata-license.copadata.com/continue.php?step=3
  11. Laden Sie die Lizenz-Bestätigungsdatei *.LicConf auf die Webseite hoch.

Damit ist der Vorgang abgeschlossen.


Geänderte Lizenz übernehmen/updaten

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Geänderte Lizenz übernehmen/updaten

Alle Lizenzinformationen sind im Dongle gespeichert. Wenn Sie ein Update oder ein Upgrade Ihrer Lizenz bestellen, dann muss die Lizenz im Dongle aktualisiert werden.
Änderungen an der Lizenz können benötigt werden durch:

  • Produktupgrade oder geänderten Modulausbau
  • Ablaufdatum oder Nutzungszeitraum geändert
  • Neue Version oder Änderung des Wartungsvertrags
  • Lizenzanzahl geändert

Für Updates und Upgrades gilt:

  • Diese werden immer auf eine bestehende Seriennummer gebucht.
    Sie erhalten einen Lizenzschein mit der betroffenen Seriennummer.
  • Die Lizenzänderung wird im Lizenzdepot abgelegt und muss in den Dongle übertragen werden. Falls mehrere Lizenzupdates im Lizenzdepot hinterlegt sind, werden diese immer in einem Vorgang übertragen.
  • Falls Sie die Lizenz noch nie aktiviert haben, wird das Update bei der ersten Aktivierung mit eingespielt.
    Sie müssen dann keinen extra Schritt mehr durchführen.
  • Falls die Lizenz bereits aktiviert wurde, müssen Sie das Update einspielen.
    Dazu gibt es zwei Möglichkeiten:
    • Lizenz online updaten - die bevorzugte Variante
    • Lizenz offline updaten

Noch in diesem Kapitel

Lizenzen online updaten

Lizenzen offline updaten


Lizenzen online updaten

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Geänderte Lizenz übernehmen/updaten > Lizenzen online updaten

Lizenzen können manuell oder automatisiert upgedatet werden. Ausgenommen sind Demo-Lizenzen und Lizenzen im Netzwerk.

Automatisiertes Update

Per Default werden alle Lizenzen in einem Zyklus von 7 Tagen auf Updates überprüft. Die Zykluszeit kann in den Einstellungen [SETTINGS] der License.ini geändert werden. Das automatische Update kann in der COPA-DATA Lizenzverwaltung in der Registerkarte Einstellungen über die Option Alle verwendeten Lizenzen automatisch aktualisieren deaktiviert werden.

Die automatischen Updates werden über den Lizenztransfer Dienst durchgeführt. Wenn dieser Windows Dienst nicht gestartet ist, werden keine automatischen Updates durchgeführt.

Lizenz manuell updaten

Um eine Lizenz manuell upzudaten stehen Ihnen drei Wege offen

  • Alle Lizenzen über den Startdialog aktualisieren.
  • Eine Lizenz über die Registerkarte Lizenzübersicht aktualisieren.
  • Alle Lizenzen über die Kommandozeilenapplikation LicenseManagerAutomation.exe aktualisieren.

Update über den Startdialog

  1. Starten Sie die COPA-DATA Lizenzverwaltung.
    Die Option Startdialog bei Start der Lizenzverwaltung anzeigen muss aktiviert sein. Damit öffnet sich der Startdialog beim Starten der Anwendung. Anderenfalls klicken Sie auf die Schaltfläche Startdialog anzeigen.

    Der Assistent für die Lizenzierung wird angezeigt.

  2. Klicken Sie auf Erweiterte Optionen.
  3. Klicken Sie auf Alle Lizenzen updaten.
  4. Der Ablauf zum Aktualisieren wird gestartet.
    Kann eine Lizenz nicht aktualisiert werden oder steht keine Aktualisierung bereit, wird eine entsprechende Meldung ausgegeben.

Update über die Registerkarte Lizenzübersicht

  1. Öffnen Sie in der COPA-DATA Lizenzverwaltung die Registerkarte Lizenzübersicht.
  2. Wählen Sie die Lizenz aus, die aktualisiert werden soll.
    Kann eine Lizenz vom Benutzer nicht aktualisiert werden, wird die Schaltfläche Lizenz updaten nicht freigegeben.
  3. Klicken Sie auf die Schaltfläche Lizenz updaten.

    Die Lizenz wird online aktualisiert.
    Steht keine Aktualisierung zur Verfügung, wird eine entsprechende Meldung angezeigt.

Update über Kommandozeile

Um Lizenzen automatisiert über eine Dritt-Applikation upzudaten, nutzen Sie das Kommandozeilenprogramm LicenseManagerAutomation.exe.
Kommando: LicenseManagerAutomation.exe -a UpdateAll


Lizenzen offline updaten

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Geänderte Lizenz übernehmen/updaten > Lizenzen offline updaten

Um Offline-Updates für Lizenzen einzuspielen, verwenden Sie die Offline Aktivierung wie bei der erstmaligen Aktivierung. Es gibt keine funktionale Unterscheidung zwischen Aktivierung und Update.

attention Achtung

Das Update kann nur auf dem selben Dongle eingespielt werden, auf dem die Ursprungslizenz aktiviert wurde. Stellen Sie daher sicher, dass Sie den richtigen Dongle auswählen.


Remote Lizenzierung

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Remote Lizenzierung

Bei der Remote Lizenzierung werden alle Vorgänge, die die Lizenzverwaltung unterstützt, nicht auf dem lokalen Rechner durchgeführt, sondern auf einem anderen Rechner im lokalen Netzwerk (LAN).

Für die Remote Lizenzierung gibt es zwei Anwendungsfälle:

  • Der zu lizenzierende Rechner ist nicht direkt vor Ort.
  • Der zu lizenzierende Rechner ist nicht direkt ins Internet angebunden. Sie können in dem Fall einen zweiten Rechner als Proxy-Rechner (Vermittlungsrechner) benutzen. Damit könne Sie trotzdem die Vorteile von online Aktivierung, Rückgabe und Update nutzen und müssen die Schritte nicht manuell ausführen.

Die remote Lizenzierung funktioniert sowohl in der COPA-DATA Lizenzverwaltung als auch im Kommandozeilentool. Als Gegenstelle fungiert immer der Dienst zenLicTransfer. Dieser Dienst greift immer auf die lokal am Remote-Rechner verfügbaren Daten zu.

Achtung! Die Remote-Lizenzierung hat nichts mit der CodeMeter Netzwerklizenzierung zu tun. Die CodeMeter Mechanismen beruhen auf der CodeMeter Runtime und dienen dazu, die Lizenz von einem Produkt aus zu belegen bzw. freizugeben.
Die zenon Remote-Lizenzierung dient dazu, Lizenzen remote zu aktivieren, deaktivieren und zu verwalten.

Da beide System unterschiedliche Aufgaben zu erfüllen haben und unterschiedliche Transportlayer verwenden, kann es durchaus vorkommen, dass ein Dongle vom einem der beiden Systeme erkannt wird und vom anderen nicht.

Remote angebotene Funktionalitäten:

  • Lizenzen aktivieren (online wie offline)
  • Lizenzen aktivieren per online Sammelaktivierung
  • Lizenzen Produkten zuordnen
  • Lizenzen zurückgeben
  • Lizenzen ausleihen/verleihen (ab Version zenon 8.10/zenon Analyzer 3.30)

Noch in diesem Kapitel

Lizenzierung lokal oder remote

Dienst zenLicTransfer


Lizenzierung lokal oder remote

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Remote Lizenzierung > Lizenzierung lokal oder remote

Sie können Lizenzen lokal oder remote - auf entfernten Rechnern - aktivieren und Produkten zuweisen. Per Default erfolgt die Lizenzierung lokal.

Voraussetzungen Remote-Aktivierung:

  • Der Remote-Rechner ist im Netzwerk erreichbar.
  • Der Lizenzdienst zenLicTransfer ist am Remote-Rechner aktiv und erreichbar.

Remote-Lienzierung

Um die Lizenzierung auf remote umzustellen:

  1. Klicken Sie in der Kopfzeile der COPA-DATA Lizenzverwaltung auf den Pfeil neben Lokale Lizenzierung.

    Der Bereich für diese Option wird geöffnet.

  2. Deaktivieren Sie die Checkbox Lokale Lizenzierung.

    Der Bereich wird umbenannt in Remote Lizenzierung.

    Der Bereich zur Eingabe eines Verbindungsnamens wird frei geschaltet.

  3. Geben Sie den Namen oder die IP-Adresse des Remote-Rechners an.
  4. Klicken Sie auf Verbinden.

    Die Verbindung wird hergestellt. Alle weiteren Aktionen in der COPA-DATA Lizenzverwaltung werden auf dem Remote-Rechner ausgeführt.

Tipp Tipp

Sie können die Remote-Lizenzierung auch nutzen, um auf Rechnern, die über keine Internetanbindung verfügen, Lizenzen online zu aktivieren. Die COPA-DATA Lizenzverwaltung übernimmt dabei die Funktion eines Proxy (Vermittlungsrechner).

Dialogeinstellungen

Option

Beschreibung

Lokale Lizenzierung/Remote Lizenzierung [Rechner]

Auswahl, ob Lizenzierung lokal oder auf einem Remote-Rechner erfolgt.

Zeigt an, welche Art der Lizenzierung ausgewählt ist. Bei Remote Lizenzierung wird der Rechnername oder die IP-Adresse des Remote-Rechners angezeigt.

Beim Umschalten werden Lizenz- und Dongle-Daten neu geladen.

Lokale Lizenzierung

Aktiviert und deaktiviert lokale Lizenzierung:

  • Aktiv: Die Lizenzierung erfolgt lokal.
  • Inaktiv: Die Lizenzierung erfolgt remote auf dem bei Remote Verbindungsnamen festgelegten Rechner.

Default: Aktiv

Remote Verbindungsname

Eingabe der Verbindungsdaten zum entfernten Rechner: Computername oder IP-Adresse. Es können IPv4- oder IPv6-Adressen eingegeben werden.

Nur verfügbar, wenn Lokale Lizenzierung inaktiv ist.

Verbinden

Stellt Verbindung zum Remote-Rechner her.

Aktualisieren

Lädt Lizenz- und Dongle-Daten vom lokalen oder remote Rechner neu.


Dienst zenLicTransfer

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Remote Lizenzierung > Dienst zenLicTransfer

Für die Übertragung von Lizenzinformationen auf einen Remote-Rechner nutzt die COPA-DATA Lizenzverwaltung den Dienst License Transfer Service (zenLicTransfer). Dieser wird automatisch mit dem Betriebssystem gestartet. Der Dienst öffnet einen TCP-Serverport und nimmt Verbindungen von der COPA-DATA Lizenzverwaltung an. Die Kommunikation ist mit AES verschlüsselt und auf eine gleichzeitige Verbindung limitiert.

Der Dienst kommuniziert per Default über den Port 50784. Dieser Port kann über das Startup Tool in der Registerkarte Listening ports angepasst werden. Änderungen des Ports müssen jeweils lokal und remote durchgeführt werden.

Dieser Dienst führt auch automatische Aktualisierungen von Lizenzen aus.


Listen filtern und sortieren

zenon Analyzer > Lizenzierung > COPA-DATA Lizenzverwaltung > Hauptanwendung > Listen filtern und sortieren

Listen können gefiltert und sortiert angezeigt werden.

Listen filtern

Optionen für Filter.

Option

Beschreibung

Eingabefeld

Eingabe der Zeichenfolge, nach der gefiltert werden soll.

aA

Schaltet um zwischen:

  • Groß-/Kleinschreibung wird nicht berücksichtigt
  • Groß-/Kleinschreibung wird berücksichtigt

Default: Groß-/Kleinschreibung wird nicht berücksichtigt

Symbol Filter

Klick auf Filtersymbol öffnet Liste zur Auswahl eines Filterkriteriums.

Default: Enthält

Filterkriterien

Als Kriterien für Filterausdrücke stehen zur Verfügung:

Kriterium | Beschreibung
Filter entfernen | Entfernt alle Filterkriterien. Es werden wieder alle Zeilen angezeigt.
Enthält | Es werden alle Einträge angezeigt, die diese Zeichenfolge enthalten. (Default-Einstellung.)
Enthält nicht | Es werden alle Einträge angezeigt, die diese Zeichenfolge nicht enthalten.
Ist leer | Es werden alle leeren Zellen angezeigt.
Ist nicht leer | Es werden alle Zellen angezeigt, die mindestens ein Zeichen enthalten. Auch Leerzeichen werden als Zeichen gewertet.

Listen sortieren

Um eine Liste zu sortieren:

  1. Klicken Sie in den Kopf der Spalte, nach der die Liste sortiert werden soll.
  2. Klicken Sie erneut, um die Sortierung zu ändern.

    Es werden drei Sortierungen der Reihe nach durchlaufen:

    • Aufsteigend: Die Liste wird von 0 - 9 und von a - z sortiert.
      Anzeige durch Pfeil nach oben.
    • Absteigend: Die Liste wird von 9 - 0 und von z - a sortiert
      Anzeige durch Pfeil nach unten.
    • Unsortiert: Die Liste wird im ursprünglichen Zustand angezeigt, also so, wie sie angelegt wurde.


Lizenzierung über Kommandozeile - Automatisierung

zenon Analyzer > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung

Das Kommandozeilentool LicenseManagerAutomation.exe ermöglicht es, Lizenzen nicht nur manuell mittels einer Benutzeroberfläche zu aktiviert, sondern auch automatisiert in großen Mengen. Damit sind auch Sammelaktivierungen im Netzwerk möglich.

Folgende Funktionalitäten stehen zur Verfügung:

  • Einzellizenz aktivieren
  • Massenaktivierung mittels Sammeldatei
  • Alle Lizenzen eines Rechners updaten
  • Lizenz an erster Stelle in License.ini eintragen

Alle Funktionalitäten stehen sowohl lokal als auch remote zur Verfügung

Aufruf

  • Aufruf: LicenseManagerAutomation.exe
  • Pfad: %ProgramFiles(x86)%\Common Files\COPA-DATA\STARTUP
  • Syntax: LicenseManagerAutomation.exe [Aktion] [Seriennumer] [Dongle-Typ] [Option]
  • Präfix für Argumente:
    • Kurzform Argument: - (-a)
    • Langform Argument: -- (--action)
  • Argumente:
    • Groß-/Kleinschreibung wird ignoriert.
    • Reihenfolge ist beliebig.
  • Werte: Groß-/Kleinschreibung wird beachtet, wenn nicht anders angegeben.
  • Beispiel Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard –-WriteInIni
  • Beispiel Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard –wi

Fehlermeldungen

Bei falscher Eingabe eines Arguments wird ein dementsprechender Fehler ausgegeben und ein LOG-Eintrag geschrieben. Zusätzlich wird eine Hilfe zur Eingabe der Argumente aufgeschaltet.

Farbkodierung der Anzeige:

  • Rot: Fehler
  • Grün: Erfolgsmeldung
  • Weiß: Hilfe

Rückgabewerte:

  • 0: Erfolg.
    Lizenz wurde erfolgreich aktiviert.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.

Argumente

Argument Kurzbezeichner /

Argument Langform

Werte

-a

--action

Kommando für die Anwendung.
Wird ergänzt mit einem dieser Werte:

  • ActivateOnline:
    Online-Aktivierung durchführen.
  • ActivateOnlineFile:
    Online-Aktivierung für Lizenzen aus einer Datei.
    Benötigt -f mit Angabe des Dateipfades.
  • WriteIniTop:
    Trägt die Seriennummer für jedes Produkt an erster Stelle in der License.ini ein.
  • UpdateAll:
    Führt für alle Lizenzen ein Update aus.

Beispiel: -a ActivateOnline

Hinweis: Eingabe des Arguments ohne Wert zeigt Hilfe zu Argumenten und Werten an.

-sn

--SerialNumber

Übergabe der Seriennummer.
Wird für die Aktionen ActivateOnline und WriteIniTop benötigt.

-dt

--DongleType

Typ des Dongles:

  • Hard: Hardware-Dongle
  • SoftStd: Rechnergebundener Software-Dongle Standard
  • SoftVM: Rechnergebundener Software-Dongle VirtualMachine
  • SoftVMDataCenter: Rechnergebundener Software-Dongle VM DataCenter
  • Soft: Der Dongle - Standard oder Virtual Machine - wird dynamisch ausgewählt. In einer Virtual Machine wird der Software-Dongle VirtualMachine gewählt, auf einem physikalischen Rechner der Software-Dongle Standard.
    Ist für den Dongle DATA_CENTER_LICENSE gesetzt, dann wird bei einer Virtual Machine der Dongle-Typ Software-Dongle VM DataCenter gewählt.

Wird für die Aktionen ActivateOnline und ActivateOnlineFile benötigt.

Hinweis: Es kann nur -dt oder -di verwendet werden.

-di

--DongleIdentification

ID des Dongles.

Jeder Dongle verfügt über eine eindeutige ID.
Z. B. : 3-4035811 für einen Hardware-Dongle oder 130-636662578 für einen Software-Dongle.

Wird für die Aktionen ActivateOnline und ActivateOnlineFile benötigt.

Hinweis: Es kann nur -dt oder -di verwendet werden.

-wi

--WriteIni

Optionales Argument für die Aktionen ActivateOnline und ActivateOnlineFile.

Aktivierte Lizenz wird in die License.ini geschrieben.

Hinweis: Dieses Argument sollte immer mit angegeben sein.

-r

--Remote

Optionales Argument für die Aktionen ActivateOnline, ActivateOnlineFile und WriteIniTop.

Hostname oder IP Adresse des Remote-Systems.
Wenn nicht angegeben: Localhost

-f

--File

Wird für die Aktion ActivateOnlineFile benötigt.

Dateipfad zur liqSN-Datei. Es muss der vollständige Pfad angegeben werden.

Beispiele

Beispiele für Aufrufe:

  • Lizenz für den ersten gefundenen Hardware-Dongle online aktivieren:
    • LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard
  • Lizenz für den Dongle mit der ID 3-4035811 aktivieren:
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -di 3-4035811
  • Lizenz für den Dongle mit der ID 3-4035811 aktivieren und an erste Stelle der License.ini schreiben:
    • LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleIdentification 3-4035811 –-WriteInIni
  • Lizenz C00WU-Z5SVK-UCGC2-00000-01633 an erste Stelle der License.ini schreiben:
    • LicenseManagerAutomation.exe -a WriteIniTop -sn C00WU-Z5SVK-UCGC2-00000-01633
  • Alle in der License.ini gelisteten Lizenzen updaten:
    • LicenseManagerAutomation.exe --action UpdateAll
  • Lizenz für den ersten gefundenen Hardware-Dongle am Remote-System 129.0.0.1 online aktivieren:
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -r 129.0.0.1
  • Alle Lizenzen aus einer Lizenzdatei für den ersten gefundenen Dongle auf einem Remote-System aktivieren, das in der Datei angegeben wird:
    • LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Hard

Weitere Beispiele erhalten Sie nach Aufruf von LicenseManagerAutomation.exe ohne weitere Werte und Argumente.

Verwendung von Benutzerdaten

Bei der Lizenzierung über die COPA-DATA Lizenzverwaltung per Dialog oder Kommandozeile werden auch Benutzerdaten erfasst und gespeichert. Diese Daten dienen dazu, verlorene oder beschädigte Lizenzen wiederherzustellen. Die Daten werden lokal bei COPA-DATA in Österreich gespeichert.

Erfasst werden:

  • Betriebssystem: Art und Version.
  • Netzwerkadressen: Alle am Rechner vorhandenen Netzwerkadressen.
  • Full Qualified Host Name
  • Benutzername und Domäne

Diese Daten werden für den Rechner erfasst, auf dem die Lizenzierung ausgeführt wird. Wird die Lizenzierung Remote ausgeführt, werden diese Daten auch für den Zielrechner erfasst.

Deaktivierung

Die Erfassung dieser Daten kann in der COPA-DATA Lizenzverwaltung deaktiviert werden. Es können dann weiterhin Lizenzen bezogen und verwaltet werden. Support und technische Unterstützung für die Lizenzierung sind aber aufgrund fehlender Daten nicht möglich.

Wird die Erfassung deaktiviert, kann COPA-DATA folgende Dienstleistungen nicht mehr anbieten:

  • Automatisches Einspielen von Lizenzen auf Remote Rechnern.
  • Nachverfolgung, auf welchem Rechner die Lizenz von wem aktiviert wurde.
    Damit kann bei Lizenzverlust auch keine Unterstützung beim Suchen der Lizenz angeboten werden. Auch können verlorene Lizenzen dann nicht im Kulanzweg ersetzt werden.

Daten,die bis zur Deaktivierung erhoben wurden, bleiben gespeichert.

Noch in diesem Kapitel

Einzellizenz aktivieren

Massenaktivierung mittels Sammeldatei

Alle Lizenzen eines Rechners updaten

Lizenz an erster Stelle in License.ini eintragen


Einzellizenz aktivieren

zenon Analyzer > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Einzellizenz aktivieren

Der Wert ActivateOnline aktiviert eine Lizenz online, entweder lokal oder remote.

Als Zieldongle kann angegeben werden:

  • fixer Dongle mittels Dongle ID
  • Hardware-Dongle
  • Software-Dongle für:
    • physikalischen Rechner
    • Virtual Machine

attention Achtung

Geben Sie immer das Argument --WriteInIni oder -wi an, damit die Lizenz auch an erster Stelle in die License.ini eingetragen wird.

Diese Funktionalität verfügt über viele Kombinationsmöglichkeiten. Siehe Liste mit allen Argumenten in der Übersicht. Die wichtigsten Beispiele sind hier angeführt. Weitere Beispiel finden Sie, wenn Sie LicenseManagerAutomation.exe ohne weitere Argumente aufrufen.

Aufruf

Aufruf für Hardware Dongle lokal:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --WriteInIni

Aufruf für Hardware Dongle remote:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -r 127.0.0.1 -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --Remote 127.0.0.1 --WriteInIni

Hinweis: Anstelle der IPv4 Adresse können Sie auch eine IPv6 Adresse oder den Rechnernamen des Zielrechners angeben.

Aufruf für Software Dongle lokal:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Soft-wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Soft--WriteInIni

Aufruf für Software Dongle remote:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Soft-r 127.0.0.1 -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --Remote 127.0.0.1 --WriteInIni

Hinweis: Anstelle der IPv4 Adresse können Sie auch eine IPv6 Adresse oder den Rechnernamen des Zielrechners angeben.

Meldungen

Rückgabewerte:

  • 0: Erfolg.
    Lizenz wurde erfolgreich aktiviert.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Massenaktivierung mittels Sammeldatei

zenon Analyzer > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Massenaktivierung mittels Sammeldatei

Der Wert ActivateOnlineFile aktiviert online alle Lizenzen, die in der Sammeldatei angegeben sind.

Als Zieldongle kann angegeben werden:

  • fixer Dongle mittels Dongle-ID
  • Hardware-Dongle
  • Software-Dongle für:
    • physikalischen Rechner
    • Virtual Machine

Wenn Sie bei COPA-DATA mehre Lizenzen bestellen, dann erhalten Sie zusätzlich zu den Lizenzscheinen eine Sammeldatei (*.LicSN). Diese Datei können Sie nutzen, um die Lizenzen zentral zu verwalten und von einer zentralen Stelle aus zu aktivieren.

Die Sammeldatei ist eine CSV-Datei, die mit jedem beliebigen Texteditor oder einer Tabellenkalkulation bearbeitet werden kann.

  • Spaltentrennzeichen: Semikolon (;) oder Tabulator (\t)

Spaltenaufbau:

Spalte

Bezeichnung

Beschreibung

1

Seriennummer

Die eindeutige Seriennummer jeder Lizenz.

2

Artikelname

Enthält den Artikelnamem der Lizenz.
Dient nur zur Information und hat keine funktionale Auswirkung.

3

Zielrechner

Angabe des Zielrechners:

  • Wenn noch nicht lizenziert:
    Rechnername auf den die Lizenz übertragen werden soll. Es können verwendet werden: IPv4-Adresse, IPv6-Adresse oder Rechnername.
  • Wenn bereits lizenziert:
    Rechnername auf den die Lizenz übertragen wurde.

4

Benutzername

Windows Benutzername, von dem die Lizenz aktiviert wurde.
Dient nur zur Information.

5

Aktiviert

Anzeige des Status der Aktivierung:

  • True: aktiviert
  • False oder leer: nicht aktiviert

Bei True wird diese Lizenz bei der Abarbeitung über die Kommadozeile nicht mehr berücksichtigt.

6

Fehlertext

Falls bei der Aktivierung ein Fehler aufgetreten ist, wird der Fehler hier protokolliert.

Die Originaldatei ist nur mit den ersten beiden Spalten gefüllt.

Um die Datei für die Sammelaktivierung über die COPA-DATA Lizenzverwaltung oder die Kommandozeile zu nutzen:

  • Tragen Sie für jede Lizenz in die Spalte 3 den Zielrechner ein.

    Beispiel:

    • Original-Zeile der Sammeldatei: C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;
    • Ergänzen Sie diese Zeile:C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;MyPCtoLicense

attention Achtung

Stellen Sie sicher, dass Sie in jeder Zeile der Sammeldatei einen Zielrechner in die 3. Spalte eingetragen haben.

Ablauf

Ablauf beim Lizenzieren:

  • Die Einträge aus der Datei werden zeilenweise eingelesen und nacheinander online aktiviert.
  • Die Seriennummer sowie der Rechnername oder die IP-Adresse werden aus der Datei ausgelesen.
  • Der Ziel-Dongle-Typ wird aus dem Argument der Kommandozeile entnommen.
  • Wurde eine Lizenz erfolgreich aktiviert, wird die LicSN-Datei aktualisiert.
  • Ist bei der Aktivierung ein Fehler aufgetreten, wird der Fehlergrund in die Spalte 6 der Datei geschrieben.
  • Bei Verbindungsproblemen zum Lizenzierungs-Server wird der gesamte Vorgang abgebrochen. Bei allen anderen Fehlern wird versucht, die nächste Lizenz zu aktivieren.

Meldung nach jeder Seriennummer:

  • Rot: Fehler
  • Grün: Erfolgsmeldung

attention Achtung

Geben Sie immer das Argument --WriteInIni oder -wi an, damit die Lizenz auch an erster Stelle in die License.ini eingetragen wird.

Hinweis: Bei dieser Art der Aktivierung muss der Parameter -r (--Remote) nicht angegeben werden. Der Remote-Rechner muss in der dritten Spalte der Sammeldatei eingetragen sein.

Aufruf

Aufruf für Hardware Dongle:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnlineFile -f C:\Users\Public\Desktop\SerialNumber.LicSN -dt Hard -wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Hard --WriteInIni

Aufruf für Software Dongle:

  • Kurzform: LicenseManagerAutomation.exe -a ActivateOnlineFile -f C:\Users\Public\Desktop\SerialNumber.LicSN -dt Soft-wi
  • Langform: LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Soft--WriteInIni

Meldungen

Rückgabewerte:

  • 0: Erfolgsmeldung.
    • 0: Keine Lizenz wurde aktiviert.
    • 1-n: n Lizenzen wurden erfolgreich aktiviert.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Alle Lizenzen eines Rechners updaten

zenon Analyzer > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Alle Lizenzen eines Rechners updaten

Der Wert UpdateAll aktualisiert alle lokalen Lizenzen, die in der Datei License.ini eingetragen sind. Netzwerklizenzen und Demo-Lizenzen werden nicht berücksichtigt.

Diese Funktion kann nicht remote ausgeführt werden.

Aufruf

Kurzform:

LicenseManagerAutomation.exe -a UpdateAll

Langform:

LicenseManagerAutomation.exe --action UpdateAll

Meldungen

Rückgabewerte:

  • 0: Erfolg. Keine Lizenz wurde aktualisiert.
  • 1-n: Erfolg: n Lizenzen aktualisiert.
  • -1: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Lizenz an erster Stelle in License.ini eintragen

zenon Analyzer > Lizenzierung > Lizenzierung über Kommandozeile - Automatisierung > Lizenz an erster Stelle in License.ini eintragen

Das Argument WriteIniTop trägt die angegeben Seriennummer für alle Produkte, die in der Lizenz enthalten sind, an erster Stelle in die Datei License.ini an erster Stelle für das jeweilige Produkt ein.

Beispiel: In der Lizenz sind die Produkte Editor, Runtime und Process Gateway enthalten. Durch den Befehl wird die Lizenz bei allen drei Produkten an erster Stelle eingetragen.

Aufruf

Beispiel für Aufruf:

  • Kurzform: LicenseManagerAutomation.exe -a WriteIniTop -sn C00WU-Z5SVK-UCGC2-00000-01633
  • Langform: LicenseManagerAutomation.exe --action WriteIniTop --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633

Ablauf

Bei der Lizenzierung über die Kommandozeile gilt:

  • Im ersten Schritt wird die Seriennummer validiert.
  • Dann wird die Lizenz lokal und im Netzwerk gesucht.
    Hinweis: Wird eine Demo-Seriennummer eingegeben, wird nur lokal gesucht.

Nur wenn die Lizenz gefunden wird, wird sie in die Datei License.ini eingetragen.

Meldungen

Rückgabewerte:

  • 0: Erfolg.
    Lizenz wurde erfolgreich eingetragen.
  • -1: Ungültige Argumente.
    Es wurden falsche Argumente angegeben.
  • -2: Fehler:
    Zum Beispiel: Keine Verbindung zum Lizenzdepot, oder Zielrechner nicht erreichbar.


Lizenzarten

zenon Analyzer > Lizenzierung > Lizenzarten

Für COPA-DATA Produkte stehen Lizenzen für unterschiedliche Einsatzzwecke sowie vorkonfigurierte Bundles zur Verfügung. Zusätzlich wird jedes Produkt mit einer Demo-Lizenz ausgeliefert. Details zu Produkten, Editionen und Bundles entnehmen Sie der für Ihre Version gültigen COPA-DATA Preisliste.

Lizenzen können genutzt werden mit einem:

  • Hardware-Dongle: Frei übertragbare Lizenz auf einem Hardware-USB-Dongle.
  • Software-Dongle Standard: Rechnergebundene Lizenz auf einem Software-Dongle.
    Dabei handelt es sich um eine Datei auf dem Rechner.
  • Software-Dongle Virtual Machine: Rechnergebundene Lizenz für die Verwendung in virtuellen Maschinen.
    Dabei handelt es sich um eine Datei in einer virtuellen Maschine.

Lizenzen können:

  • Lokal oder im Netzwerk zur Verfügung stehen.
  • Mit einem fixen Ablaufdatum versehen sein.
  • Für eine bestimmte Nutzungsdauer konfiguriert sein.
  • Für ein bestimmtes Zeit-Kontingent konfiguriert sein.
  • Zurückgegeben und damit auf ein anderes System übertragen werden.

Achtung: Lizenzen mit einer bestimmten Nutzungsdauer können nicht zurückgegeben werden.

Noch in diesem Kapitel

Bundles und Lizenzanzahl/Netzwerklizenzen

Gültigkeitsende und Nutzungszeitraum

Zeit-Kontingent

Demo-Modus und Demo-Lizenzen

Education & Training


Bundles und Lizenzanzahl/Netzwerklizenzen

zenon Analyzer > Lizenzierung > Lizenzarten > Bundles und Lizenzanzahl/Netzwerklizenzen

Die COPA-DATA Lizenzierung berücksichtigt Bundels, Lizenzmengen und Netzwerklizenzen.

Bundle

Ein Bundle bezeichnet eine Lizenz, in der mehrere Produkte zusammengefasst sind. Zum Beispiel sind im Bundle Entwicklungsumgebung ein Editor und eine Runtime integriert. In der Preisliste wird ein Bundle als ein Artikel mit einer spezifischen Artikelnummer geführt.

Jedes Produkt wird von der Lizenzierung einzeln verwaltet. Der Lizenzausbau (Module, Anzahl TAGs usw.) ist für alle Produkte einen Bundles gleich. Diese informationen werden beim Bundle gespeichert und nicht beim Produkt.
Beispiel: Verfügt das Bundle über 2000 TAGs, so können sowohl im Editor als auch in der Runtime 2000 TAGs genutzt werden.

Die Produkte eines Bundles müssen nicht auf dem selben Rechner verwendet werden. Sie können auch aufgeteilt werden. Z. B. läuft der Editor auf Rechner A, die Runtime auf Rechner B.

Lizenzanzahl/Netzwerklizenzen

Bei jeder Lizenz wird eine Lizenzanzahl mit angegeben.
Default: 1

Bei einer Lizenzanzahl größer 1 können die Produkte entsprechend mehrfach genutzt werden.

Die Lizenzanzahl ist eine Einstellung für das Bundle. Verfügt das Bundle über eine Lizenzanzahl 3, dann können z. B. 3 Editoren und 3 Runtimes gestartet werden. Da auf einem Rechner immer nur ein Editor und/oder eine Runtime laufen können, muss die CodeMeter Runtime bei einer Lizenzzahl höher 1 als Netzwerk Server eingerichtet werden.

HTML Web Engine

Bei der HTML Web Engine wird die Anzahl der Instanzen lizenziert, z.B. 5 Instanzen. Befindet sich eine solche Lizenz in einem Bundle mit Lizenzanzahl größer 1, dann multiplizieren sich die Instanzen entsprechend.
Beispiel: Lizenzanzahl 3 mit jeweils 5 Instanzen ergibt 15 HTML Web Engine Instanzen, die gestartet werden können.


Gültigkeitsende und Nutzungszeitraum

zenon Analyzer > Lizenzierung > Lizenzarten > Gültigkeitsende und Nutzungszeitraum

Gültigkeitsende

Bei Lizenzen kann ein fixes Gültigkeitsende (=Ablaufdatum) als Datum + Uhrzeit hinterlegt sein.

Das Gültigkeitsende ist in den Dongle einprogrammiert und kann nur durch ein Lizenzupdate verändert werden. Das Gültigkeitsende ist eine Eigenschaft des Bundles und beeinflusst damit alle Produkte des Bundles.

Nutzungszeitraum

Bei Lizenzen kann ein Nutzungszeitraum hinterlegt sein.

Der Nutzungszeitraum definiert, wie lange die Lizenz ab dem ersten Start verwendet werden kann, beispielsweise 30 Tage ab dem ersten Start. Der Nutzungszeitraum ist eine Eigenschaft des Bundles und beeinflusst damit alle Produkte des Bundles. Das erste Produkt, das gestartet wird, startet die Laufzeit des Zeitraums. Dieses Datum wird im Dongle abgelegt, und kann nur durch ein Lizenzupdate verändert werden.

Ausnahme: Der Nutzungszeitraum für Demo-Lizenzen ist pro Produkt abgelegt. Jedes Produkt verfügt somit über seinen eigenen Nutzungszeitraum.


Zeit-Kontingent

zenon Analyzer > Lizenzierung > Lizenzarten > Zeit-Kontingent

Wenn für eine Lizenz ein Zeit-Kontingent ausgestellt wurde, wird die Laufzeit in Minuten abgerechnet. Die Restlaufzeit wird fälschungssicher im Dongle abgespeichert.

Dabei gilt:

  • Jede angebrochene Minute wird vom Zeit-Kontingent abgezogen.
  • Die Nutzungszeit läuft auch nach dem Abstecken eines Dongles weiter und wird später nachgetragen.
  • Reconnect: Wird beim automatischen Wechsel zwischen Lizenzen eine gültige Lizenz ohne Zeit-Kontingent als Ersatzlizenz verwendet, dann wird das Zählen der Zeit pausiert bis erneut ein Dongle mit Zeit-Kontingent aktiv wird.


Demo-Modus und Demo-Lizenzen

zenon Analyzer > Lizenzierung > Lizenzarten > Demo-Modus und Demo-Lizenzen

Jede Installation beinhaltet:

  • Demo-Lizenzen: Ermöglichen Ihnen, ein Produkt für eine bestimmte Zeitspanne zu testen.
  • Demo-Modus: Ermöglicht Ihnen, ein Produkt zu starten und für 10 Minuten zu nutzen. Danach wird es wieder geschlossen.

Jede Installation beinhaltet mindestens eine Demo-Lizenz. Diese hat eine vordefinierte Laufzeit oder Anzahl erlaubter Starts. Sind diese aufgebraucht, dann kann das Produkt weiter im Demo-Modus gestartet werden, wird aber nach 10 Minuten Laufzeit beendet. Welche Nutzungsdauer zur Verfügung steht, erfahren Sie in der COPA-DATA Lizenzverwaltung in der Registerkarte Lizenzverwendung in den Details der Lizenz.

COPA-DATA Produkte sind:

  • zenon Editor mit zenon Logic Workbench als Modul
  • zenon Runtime
  • zenon Web Server und Web Client
  • HTML Web Engine
  • Process Gateway und OPC DA Server
  • zenon Logic Workbench und Runtime

Demo-Lizenzen haben eigene Software-Dongles. Diese können nicht für andere Lizenzen benutzt werden. Die letzte vorhandene Demo-Lizenz kann über die COPA-DATA Lizenzverwaltung nicht gelöscht werden.

Die verbleibende Laufzeit und die Anzahl der noch möglichen Starts für Demo-Lizenzen und Demo-Modus werden im Startbildschirm sowie in der Versions- und Lizenzinformation angezeigt.

Fehlende Demo-Lizenz

Ist auf Ihrem Rechner keine Demo-Lizenz verfügbar, dann:

  1. Öffnen Sie die COPA-DATA Lizenzverwaltung.
  2. Öffnen Sie die Registerkarte Lizenzverwendung.
  3. Wählen Sie die gewünschte Demo-Lizenz.
  4. Wählen Sie das gewünschte Produkt.
  5. Klicken Sie auf die Schaltfläche ganz rechts in der Liste.
    Die Schaltfläche wird grün eingefärbt und die Lizenz wird nun verwendet.

Hinweis: Ist auch in der COPA-DATA Lizenzverwaltung keine Demo-Lizenz verfügbar, kontaktieren Sie Ihren COPA-DATA Vertriebspartner.

Tipp Tipp

Sie können Demo-Lizenzen nutzen, um Produkte und Editionen zu testen. Ordnen Sie dazu die Demo-Lizenz in der COPA-DATA Lizenzverwaltung an erster Stelle der Lizenzliste ein. Beim nächsten Start des Produkts wird diese Lizenz verwendet.


Education & Training

zenon Analyzer > Lizenzierung > Lizenzarten > Education & Training

Lizenzen für Education & Training Modus werden speziell für Ausbildungszwecke ausgestellt.

Sie erlauben maximal 90 Minuten Laufzeit, dann wird das Programm automatisch beendet. Nach dem Neustart stehen wieder 90 Minuten Laufzeit zur Verfügung.


Versionsüberprüfung und Wartungszeitraum/Wartungsvertrag

zenon Analyzer > Lizenzierung > Versionsüberprüfung und Wartungszeitraum/Wartungsvertrag

Ab der Version 8.00 wird die Produktversion in der Lizenz gespeichert. Nur wenn die Produktversion der Lizenz und die Produktversion des Produkts übereinstimmen, wird das Produkt gestartet. Ansonsten wird eine entsprechende Fehlermeldung angezeigt.

Besteht ein gültiger Wartungsvertrag (SLA/SUS/CDDN), dann wird in der Lizenz ein Wartungszeitraum hinterlegt. Alle Versionen, die innerhalb dieses Wartungszeitraums freigegeben worden sind, werden von der Lizenz abgedeckt.

Die Überprüfung erfolgt bei allen Produkten in dieser Reihenfolge:

  1. Wartungszeitraum vorhanden und gültig für das Produkt.
    • Ja: Produkt startet.
    • Nein: Nächster Schritt der Überprüfung.
  2. Produktversion in Lizenz stimmt mit Produktversion überein.
    • Ja: Produkt startet.
    • Nein: Lizenz ist ungültig. Produkt startet nicht.

Beispiel:

Die Lizenz hat einen Wartungszeitraum von 1.1.2018 - 31.12.2020. Alle Versionen, die innerhalb dieses Zeitraums von COPA-DATA freigegeben wurden, laufen mit dieser Lizenz. Alle anderen Versionen (früher oder später) können nicht gestartet werden.


Produktspezifische Themen

zenon Analyzer > Lizenzierung > Produktspezifische Themen

Dieses Kapitel enthält Details zu COPA-DATA Produkten:

Noch in diesem Kapitel

Variablen: Passende Lizenzgröße auswählen

Client-Lizenz

Treiber lizenzieren

zenon Analyzer lizenzieren


Variablen: Passende Lizenzgröße auswählen

zenon Analyzer > Lizenzierung > Produktspezifische Themen > Variablen: Passende Lizenzgröße auswählen

Lizenzen für zenon Editor und Runtime werden immer für eine bestimmte Anzahl an TAGs (Variablen) ausgestellt. Ein TAG entspricht einer externen Variablen, unabhängig vom Datentyp. Interne Variablen werden nicht als TAG gezählt. TAGs werden ausschließlich für die Lizenzierung verwendet. Für die Ermittlung der Lizenzgröße wird die Summe der TAGs von folgenden Treibern herangezogen: Alle SPS und Bus Treiber.
Nicht gezählt werden: Interne Prozessvariablen (Intern Treiber für interne Verwendung ohne Zeitstempel) sowie Prozessvariablen vom System Treiber, Mathematik Treiber und Simulator Treiber.

Für die Ermittlung der Lizenzgröße wird die Summe der TAGs folgender Treiber herangezogen:

  • SPS Treiber und Bus Treiber.
  • Intern Treiber mit vollständiger Unterstützung aller Zeitstempel (intern und extern) und vollständiger Statusanzeige.
    Weitere Informationen dazu finden Sie in der Treiberdokumentation des Intern Treibers im Kapitel Lizenzierung und Anzeige zur Runtime.

Nicht gezählt werden Variablen von:

  • Intern Treiber ohne Unterstützung des externen Zeitstempels und eingeschränkter Anzeige der Statusbits.
    Weitere Informationen dazu finden Sie in der Treiberdokumentation des Intern Treibers im Kapitel Lizenzierung und Anzeige zur Runtime.
  • System Treiber
  • Mathematik Treiber
  • Simulator Treiber
  • Alternative Datenpunkte Treiber

TAGs können Sie für Editor und Runtime jeweils in folgenden Abstufungen lizenzieren:

  • 64 TAGs
  • 128 TAGs
  • 256 TAGs
  • 512 TAGs
  • 1.024 TAGs
  • 2.048 TAGs
  • 4.096 TAGs
  • 8.192 TAGs
  • 16.384 TAGs
  • 65536 TAGs
  • unbegrenzt

Anzeige in zenon

In der Statuszeile der Detailansicht der Variablen können folgende Informationen ausgelesen werden:

Wie viele Variablen:

  • sind im Projekt vorhanden
  • werden gefiltert angezeigt
  • sind ausgewählt
  • werden im Projekt verwendet
  • sind lizenziert


Client-Lizenz

zenon Analyzer > Lizenzierung > Produktspezifische Themen > Client-Lizenz

Client-Lizenzen können Sie nutzen, wenn:

  • das Startprojekt ein Einzelplatzprojekt oder ein Client-Projekt ist
  • das Startprojekt maximal 64 lizenzpflichtige TAGs nutzt, falls es kein Client-Projekt ist
  • alle Unterprojekte Client-Projekte sind


Treiber lizenzieren

zenon Analyzer > Lizenzierung > Produktspezifische Themen > Treiber lizenzieren

Treiber müssen zur Verwendung in der Runtime lizenziert sein. Dazu stehen unterschiedliche Modelle zur Verfügung. Die Lizenzmodelle können gemischt werden. In diesem Fall ergänzen sich die Lizenzierungen. Wurde kein Treiber lizenziert, dann können zur Runtime nur die lizenzfreien Treiber verwendet werden. Im Editor können immer alle Treiber verwendet werden.

Hinweis: Für die Verwendung in der Runtime Simulation (Modul Prozess-Rekorder) benötigen Treiber keine Lizenz.

Lizenzmodelle:

Für Treiber stehen folgende Lizenzmodelle zur Verfügung:

Lizenzmodell

Beschreibung

Beispiel

Einzelizenzierung

Es werden bestimmte Treiber dezidiert lizenziert. Zur Runtime stehen nur diese lizenzpflichtigen Treiber zur Verfügung.

Der IEC850 Treiber ist lizenziert.
Zur Runtime kann nur der IEC850 Treiber verwendet werden, sowie alle lizenzfreien Treiber, wie interne Treiber.

Gruppenlizenzierung einzeln

Treiber werden über Preisgruppen lizenziert.
Zur Verfügung stehen:

  • Preisgruppe A
  • Preisgruppe B
  • Preisgruppe C
  • Preisgruppe R

Jede Gruppe enthält bestimmte Treiber. Welche Treiber enthalten sind, entnehmen Sie der für Ihre Produktversion gültigen Preisliste.

Aus jeder Gruppe kann die lizenzierte Anzahl der Treiber verwendet werden. Es können mehrere Gruppen parallel lizenziert werden.

Lizenziert sind 3 Treiber der Gruppe A und 2 Treiber der Gruppe R.
Zur Runtime können 5 Treiber aus diesen beiden Gruppen verwendet werden. Dies gilt zusätzlich zu Treibern, die einzeln lizenziert wurden.

Gruppenlizenzierung ABC

Eine bestimmte Anzahl an Treibern der Gruppen A, B oder C sind lizenzierbar. Treiber der Gruppe R sind dabei nicht enthalten

Lizenziert sind 3 Treiber der Gruppen ABC. Zur Runtime können damit 3 Treiber egal welcher Gruppe (außer R) verwendet werden. Dies gilt zusätzlich zu Treibern, die einzeln lizenziert wurden.

Mengenlizenzierung

Es wird eine bestimmte Anzahl beliebiger Treiber lizenziert. Zur Runtime kann jeder beliebige Treiber verwendet werden, solange die Gesamtzahl nicht erreicht ist. Ausgenommen davon sind die Treiber für SICAM 230.

Lizenziert sind 5 Treiber allgemein.
Zur Runtime können 5 beliebige Treiber verwendet werden. Dies gilt zusätzlich zu Treibern, die einzeln oder über eine Gruppe lizenziert wurden.

Freie Treiber

Einige Treiber sind lizenzfrei. Diese können jederzeit verwendet werden. Sie werden auch bei Mengenlizenzierungen nicht von der lizenzierten Anzahl abgezogen.

Es wurde kein Treiber lizenziert. Zur Runtime kann aber der Intern Treiber verwendet werden.

Kundenspezifische Treiber

Entwickelt ein Kunde auf Basis des Treiberkits seine eigenen Treiber, müssen diese nicht lizenziert werden.

SICAM 230 Treiber. (Preisgruppe K)

Fallen nicht unter die zenon Treiber-Lizenzmodelle und müssen einzeln lizenziert werden. Diese Treiber werden nicht über die Mengenlizenzierung lizenziert.

Example Beispiel

Lizenziert sind 5 Treiber allgemein, 3 Treiber der Gruppe R und der IEC850-Treiber. Es wird erst der IEC850-Treiber geprüft, dann die Preisgruppe R, dann die Mengenlizenzierung.
Ergebnis: Zur Runtime können 9 Treiber verwendet werden:

  • IEC850 Treiber.
    Auch dann, wenn er Teil der Gruppe R ist.
  • 3 Treiber der Gruppe R.
    Zusätzlich zum IEC850 Treiber
  • 5 weitere beliebige Treiber.
    Zusätzlich zu den 3 Treibern der Gruppe R und zum IEC850 Treiber

Prüfung zur Runtime

Zur Runtime werden alle Projekte inklusive Unterprojekte auf die Lizenzierung der verwendeten Treiber überprüft. Ist ein Treiber nicht lizenziert, dann wird eine Fehlermeldung ausgegeben und ein Eintrag in die LOG-Datei geschrieben. Die Runtime wird beendet. Nicht lizenziert ist ein Treiber, wenn er über keines der verfügbaren Modelle eine gültige Lizenz erhält

Ablauf der Überprüfung:

  1. Erst wird überprüft, ob es sich um einen lizenzfreien Treiber handelt.
    Ist das der Fall, wird er akzeptiert. Er wird bei der Einzellizenzierung, der Gruppenlizenzierung und der Mengenlizenzierung nicht mehr beachtet.
  2. Handelt es sich um keinen lizenzfreien Treiber, wird die Einzellizenzierung geprüft.
    Ist der Treiber hier enthalten, wird er akzeptiert. Er wird bei der Gruppenlizenzierung und der Mengenlizenzierung nicht mehr beachtet.
  3. Ist der Treiber in der Einzellizenzierung nicht enthalten, wird die Gruppenlizenzierung geprüft.
    Ist der Treiber hier enthalten, wird er akzeptiert. Er wird bei der Mengenlizenzierung nicht mehr beachtet.
  4. Ist der Treiber in der Gruppenlizenzierung nicht enthalten, wird die Mengenlizenzierung überprüft.
    Steht hier noch eine Lizenz für einen Treiber zur Verfügung, wird er akzeptiert.
  5. Ist der Treiber in keinem Modell enthalten, wird er als nicht lizenziert bewertet.

Hinweis: SICAM 230 Treiber müssen immer einzeln lizenziert werden. Sie werden extra geprüft und können nicht mit den anderen zenon Lizenzmodellen abgedeckt werden.

Welche Treiber lizenziert sind, können Sie jederzeit überprüfen:

  • in der COPA-DATA Lizenzverwaltung
  • im Editor in der Lizenzinformation
  • zur Runtime über die Funktion Lizenzinformation anzeigen

Verhalten bei Unterlizenzierung

Wird zur Runtime festgestellt, dass nicht lizenzierte Treiber verwendet werden, wird eine entsprechende Fehlermeldung ausgegeben. Die Meldung gibt an, dass mindestens 1 Treiber nicht lizenziert wurde. Danach wird die Runtime beendet.

So passen Sie die Lizenzierung an:

  1. Öffnen Sie die COPA-DATA Lizenzverwaltung.
  2. Überprüfen Sie in der Registerkarte Lizenzverwendung:
    • Welche Lizenz wird aktuell für die Runtime verwendet.
    • Wie viele und welche Treiber wurden lizenziert.
  3. Überprüfen Sie in der Projektierung, welche Treiber verwendet werden.
  4. Lizenzieren Sie die fehlenden Treiber.
  5. Starten Sie die Runtime erneut.
  6. Die Treiber-Lizenzen werden überprüft und die Runtime startet bei erfolgreicher Prüfung.


zenon Analyzer lizenzieren

zenon Analyzer > Lizenzierung > Produktspezifische Themen > zenon Analyzer lizenzieren

Die Komponenten des zenon Analyzer müssen über eine gültige Lizenz verfügen. Dabei müssen Server und Clients für die gleiche Version lizenziert sein.

Die Eingabe der Lizenzdaten erfolgt über die COPA-DATA Lizenzverwaltung. Dieser Dialog wird auch für andere COPA-DATA Produkte verwendet.

Hinweis: Achten Sie auf ausreichende Lizenzierung, um alle Benutzer mit fixer Lizenz sowie eventuell weitere Benutzer mit Lizenzen auszustatten.

Einschränkungen

Ohne gültige Lizenz gelten folgende Einschränkungen:

  • Es ist kein Zugriff von außen über die Standard-Zugriffsseite möglich.
  • Es ist keine Connector-Funktionalität gegeben.
  • Reportvorlagen und Reports können nicht verwendet werden.
  • ZAMS, Dateneditoren und Prediction Model Manager können zwar ohne Lizenz gestartet werden, erlauben aber keine Verbindung zum Analyzer Server.
    Ohne Verbindung sind nur möglich:
    • Konfiguration der Anwendung
    • Öffnen von Versionshinweis
    • Öffnen der Hilfe
    • Öffnen der COPA-DATA Lizenzverwaltung (nur ZAMS)
      Hinweis: Bei Lizenzverlust im laufenden Betrieb werden alle in ZAMS geöffneten Reports geschlossen. Vor dem Schließen wird das Speichern angeboten.

Lizenzierung in Arbeitsgruppen

Zur Lizenzierung für Rechner, die sich nicht in Domänen, sondern in Windows Arbeitsgruppen befinden, beachten Sie die Vorgangsweise in Kapitel Lizenzierung in Arbeitsgruppen.

Noch in diesem Kapitel

Lizenzierung in Arbeitsgruppen


Lizenzierung in Arbeitsgruppen

zenon Analyzer > Lizenzierung > Produktspezifische Themen > zenon Analyzer lizenzieren > Lizenzierung in Arbeitsgruppen

Die Lizenzierung für zenon Analyzer in Windows Arbeitsgruppen unterscheidet sich von der Lizenzierung für Domänen.

Voraussetzungen

Für die Lizenzierung innerhalb von Arbeitsgruppen muss der zenon Analyzer Lizenzdienst im Modus Workgroup arbeiten.
Dazu müssen folgende Voraussetzungen erfüllt sein:

  • Der Rechner, der als Analyzer Server fungiert, muss Mitglied der Arbeitsgruppe sein.
  • Alle Benutzer der Arbeitsgruppe müssen auch am Analyzer Server vorhanden sein.
  • Der Lizenzdienst am Analyzer Server muss im Benutzerkontext eines Benutzers der Arbeitsgruppen laufen. So werden andere Rechner in der Arbeitsgruppe als Mitglieder der Gruppe erkannt.

Lizenzdienst Benutzerkontext ändern

So ändern Sie den Benutzerkontext für den Lizenzdienst:

  1. Öffnen Sie die Verwaltung der lokalen Dienste.
  2. Navigieren Sie zum Dienst zrsLicSrv.
  3. Stoppen Sie den Dienst.
  4. Klicken Sie im Kontextmenü des Dienstes auf Eigenschaften.

    Der Dialog mit den Eigenschaften des Dienstes wird geöffnet.

  5. Öffnen Sie die Registerkarte Anmelden.
  6. Aktivieren Sie den Radiobutton Dieses Konto.
  7. Geben Sie Benutzername, Kennwort und Kennwortbestätigung für den gewünschten Benutzer ein.
  8. Schließen Sie den Dialog mit Klick auf OK.
  9. Starten Sie den Dienst.


Versions- und Lizenzinformationen anzeigen

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen

Welche Version und welche Lizenz Sie aktuell nutzen und welche Module darin inkludiert sind, sehen Sie in der Lizenzinformation des jeweiligen Produkts.

Noch in diesem Kapitel

zenon Editor

zenon Runtime

zenon Logic Workbench

zenon Logic Runtime

zenon Web Server

HTML Web Engine

Process Gateway

OPC DA Server

zenon Analyzer


zenon Editor

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Editor

Um Lizenzinformationen im Editor anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Option

Beschreibung

Version

Versionsnummer des Editors.

Edition

Verwendete Edition.

Seriennummer

Seriennummer der Lizenz.

Ablaufzeit (optional)

Zeigt bei befristeter Lizenz Informationen über das Ablaufdatum.

Detailinformationen

Information über lizenzierte:

  • Version
  • Variablen
  • Module und deren Ausbau

Lizenzverwaltung öffnen

Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Schließen

Schließt den Dialog.


zenon Runtime

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Runtime

Um Lizenzinformationen in der Runtime anzuzeigen:

  1. Projektieren Sie die Funktion Lizenzinformation anzeigen.
  2. Führen Sie diese zur Runtime aus.

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Option

Beschreibung

Version

Versionsnummer der Runtime.

Edition

Verwendete Edition.

Seriennummer

Seriennummer der Lizenz.

Ablaufzeit (optional)

Zeigt bei befristeter Lizenz Informationen über das Ablaufdatum.

Detailinformationen

Information über lizenzierte:

  • Version
  • Variablen
  • Module und deren Ausbau

Schließen

Schließt den Dialog.


zenon Logic Workbench

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Logic Workbench

Um Lizenzinformationen in der zenon Logic Workbench anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Parameter/Schaltflächen | Beschreibung
Version | Versionsnummer der integrierten Workbench.
Edition | Verwendete Edition.
Serial number | Seriennummer der Lizenz.
Detail information | Zeigt Details zur Lizenz an.
Open license administration | Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.
Close | Schließt den Dialog.


zenon Logic Runtime

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Logic Runtime

Um die Lizenzinformationen anzuzeigen:

  1. Klicken Sie bei laufender Runtime doppelt auf das Symbol für die zenon Logic im Systemtray.

    Der Dialog mit Statusinformationen wird geöffnet.

  2. Klicken Sie in der linken oberen Ecke auf das Logo von zenon Logic.
  3. Wählen Sie in der Dropdownliste Über zenon Logic Runtime... aus.

    Der Dialog mit den Lizenzinformationen wird geöffnet.

Dialog Lizenzinformation

Option | Beschreibung
Lizenzinformationen | Zeigt Informationen zur aktuell genutzten Lizenz an.
OK | Schließt den Dialog.
Lizenzverwaltung öffnen | Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.


zenon Web Server

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Web Server

Um Lizenzinformationen anzuzeigen:

  1. Öffnen Sie die Systemsteuerung oder das Startmenü.
  2. Klicken Sie auf zenon Web Server.

    Der Dialog für Konfiguration und Lizenzierung wird geöffnet.

Dialog zenon Web Server

Option

Beschreibung

Active Clients

Liste der aktuell verbundenen zenon Web Clients.

State:

Zeigt Version und Status des Web Servers an:

Mögliche Versionen:

  • zenon Web Server
  • zenon Web Server Pro
  • zenon Web Server Pro Light

Mögliche Statusmeldungen:

  • running:
    Web Server läuft mit gültiger Lizenz
  • stopped:
    Web Server wurde gestoppt
  • Demomodus:
    Web Server läuft im Demomodus ohne Lizenz
  • not installed:
    Web Server nicht als Dienst registriert oder Installationsfehler

Max. number of clients:

Maximale Zahl an Clients, die sich zum Web Server verbinden dürfen. Zahl wird durch Lizenz definiert.
Im Demomodus sind 2 Clients für 30 Minuten lizenziert.

Default: 0

Number of active clients:

Zeigt die Zahl der aktuell verbundenen Clients an.

HTTP tunnelling

Aktiv: HTTP Tunneling ist aktiviert.

Nicht verfügbar in der Web Server Pro Light-Version.
Hinweis: Kann nur geändert werden, wenn der Web Server im Status gestoppt ist. Im laufenden Betrieb kann nicht umgeschaltet werden.

Default: inaktiv

Start

Startet den Web Server.

Stop

Stoppt den Web Server.

Refresh

Aktualisiert die Anzeige.

Diagnosis Viewer

Öffnet den Diagnose Viewer zur Auswertung von Fehlermeldungen.

License Manager

Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

License ínformation

Zeigt Informationen zur aktuell genutzten Lizenz an.

  • Falls genutzt: Demo-Lizenz / Education & Training Lizenz
  • lizenzierte Produktversionen
  • Seriennummer
  • Ablaufzeit/Nutzungsdauer

License errors

Zeigt Informationen zu Fehler bei den gefundenen Lizenzen an.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


HTML Web Engine

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen > HTML Web Engine

Um Lizenzinformationen in der HTML Web Engine anzuzeigen:

  1. Öffnen Sie das Menü Hilfe.
  2. Klicken Sie auf Info über... .

    Der Dialog Lizenzinformation wird geöffnet.

Dialog Lizenzinformation

Option

Beschreibung

Version

Versionsnummer des Editors.

Edition

Verwendete Edition.

Serial number

Seriennummer der Lizenz.

Detail information

Information über lizenzierte:

  • Version
  • Variablen
  • Module und deren Ausbau

Open license manager

Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Close

Schließt den Dialog.


Process Gateway

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen > Process Gateway

Um Lizenzinformationen im Process Gateway anzuzeigen:

  1. Öffnen Sie das Process Gateway.
  2. Klicken Sie die Schaltfläche About.

    Der Dialog About wird geöffnet.

Dialog About

Option | Beschreibung
Lizenzinformationen | Informationen zu lizenzierten Modulen inklusive Seriennummer.
OK | Schließt den Dialog.
Open license manager | Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.

Wird das Process Gateway ohne bestehende Modulkonfiguration geöffnet, muss zuerst ein Modul gewählt werden. Nach Auswahl eines Moduls wird der entsprechende Startdialog für das Process Gateway geöffnet. Dabei ist die Schaltfläche Settings so lange inaktiv, bis das Process Gateway lizenziert ist.


OPC DA Server

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen > OPC DA Server

Um Lizenzinformationen im Process Gateway anzuzeigen:

  1. Öffnen Sie den OPC DA Server.
  2. Klicken Sie auf About.

    Der Dialog About wird geöffnet.

Dialog About

Option | Beschreibung
Lizenzinformationen | Informationen zu lizenzierten Modulen inklusive Seriennummer.
OK | Schließt den Dialog.
Open license manager | Öffnet die COPA-DATA Lizenzverwaltung. Mit diesem Tool können Lizenzen aktiviert, zurückgegeben und verwaltet werden. Dazu wird die Seriennummer benötigt.


zenon Analyzer

zenon Analyzer > Lizenzierung > Versions- und Lizenzinformationen anzeigen > zenon Analyzer

Um die vom Analyzer Server verwendete Lizenz anzuzeigen:

  1. Wählen Sie im Ribbon Analyzer Server den Befehl Lizenz anzeigen.

    Der Dialog mit den Lizenzinformationen wird geöffnet.

Option

Beschreibung

Lizenzdetails

Zeigt Details der aktuellen Lizenz an, vor allem:

  • Seriennummer
  • lizenzierte Versionen
  • lizenzierte Clients
  • Daten zu Gültigkeit und Ablauf

Enthaltene Themen

Anzeige der Reportthemen, die in dieser Lizenz enthalten sind.

OK

Schließt das Fenster.

Details zur Lizenzierung siehe auch Kapitel Lizenzierung.


Redundanter Lizenzschutz

zenon Analyzer > Lizenzierung > Redundanter Lizenzschutz

In manchen Anlagen ist eine ständige Verfügbarkeit unabdingbar. Es muss unbedingt sichergestellt werden, dass auch der Lizenzschutz immer erreichbar ist. Für solche Anwendungsfälle kann eine Lizenz-Suchliste in der COPA-DATA Lizenzverwaltung erstellt werden.

Diese Suchliste wird sowohl beim Starten berücksichtigt, als auch im laufenden Betrieb. Alle Produkte versuchen immer die nächste Lizenz in der Liste zu belegen. Demo-Lizenzen werden dabei nicht berücksichtigt. Fällt während des laufenden Betriebs eine Lizenz aus, wird automatisch die nächste Lizenz als Ersatzlizenz verwendet, sofern sie den Regeln entspricht.

Regeln für den Reconnect

  • Die Reihenfolge der Abfrage entspricht der Reihenfolge in der License.ini. Diese wird über die COPA-DATA Lizenzverwaltung in der Registerkarte Lizenzverwendung festgelegt.
  • Es werden maximal 10 Lizenzen abgefragt.
  • Während der Laufzeit werden Demo-Lizenzen nicht als Ersatzlizenzen berücksichtigt. Sie werden übersprungen.
  • Eine Ersatzlizenz muss für die genutzte Produktversion gültig sein und mindestens den gleichen Lizenzausbau aufweisen wie die ursprüngliche Lizenz. Sie kann auch über einen höheren Lizenzausbau verfügen, z.B. mehr TAGs, mehr Module usw. Es werden aber immer nur die in der ursprünglichen Lizenz verfügbaren Ausbauten zur Verfügung gestellt.
  • Die Edition muss in beiden Lizenzen dieselbe sein.
  • Beispiele:
    • Beispiel 1: Die beim ersten Start der Runtime verwendete Lizenz ist eine Operator-Lizenz. Die Ersatzlizenz ist eine Supervisor-Lizenz. Die Ersatzlizenz kann nicht genutzt werden, da die Edition nicht dieselbe ist.
    • Beispiel 2: Die beim ersten Start der Runtime verwendete Lizenz hat 2000 TAGs, die Module Archivserver, Erweiterter Trend und zwei Treiber lizenziert. Die Ersatzlizenz hat 4000 TAGs, zusätzlich das Modul Message Control und drei Treiber lizenziert. Die Ersatzlizenz wird verwendet. Die erhöhte TAG-Anzahl, die neuen Module und Treiber können jedoch nicht genutzt werden.

Verhalten beim Neustart

Beim Neustart wird ebenso die Lizenzsuchliste in der License.ini berücksichtigt.
Der Unterschied zum Reconnect:

  • Es wird kein Vergleich mit der ersten Lizenz durchgeführt
  • Der volle Lizenzausbau der Lizenz wird berücksichtigt
  • Demo-Lizenzen werden berücksichtigt.
    Achtung: Das kann zu unerwünschtem Verhalten führen.
    Haben Sie z. B. als zweite Lizenz eine Demo-Lizenz eingetragen, ist das Verhalten bei Neustart und Reconnect unterschiedlich:
    • Beim Reconnect wird die Demo-Lizenz übersprungen und die dritte Lizenz verwendet.
    • Beim Neustart wird die Demo-Lizenz gestartet.


Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

zenon Analyzer > Lizenzierung > Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Dieses Kapitel beschreibt die Vorgangsweise, wenn ein Software-Dongle verwendet wird und die Festplatte ausgetauscht oder das Betriebssystem neu installiert wird.
Hinweis: Bei Hardware-Dongles muss beim neu Aufsetzen des Betriebssystems die Lizenz erneut übernommen werden. Details siehe Kapitel Lizenz von Hardware-Dongle übernehmen.

Software-Dongle: Geplanter Festplattentausch - Betriebssystem neu aufsetzen

Falls Sie vorhaben, die Festplatte mit dem Betriebssystem (in der Regel Laufwerk C) auszutauschen oder das Betriebssystem neu aufzusetzen:

  1. Geben Sie Lizenzen rechtzeitig zurück.
  2. Tauschen Sie die Festplatte und/oder setzen Sie das Betriebssystem neu auf.
  3. Aktivieren Sie die Lizenzen wieder.

Details dazu lesen Sie im Kapitel Lizenz übertragen/übersiedeln.

Software-Dongle: Ungeplanter Festplattentausch

Wird die Festplatte mit dem Laufwerk C defekt, dann kann die Lizenz nicht mehr ans Lizenzdepot zurückgegeben werden. Die Lizenz ist damit verloren. Das gilt auch, wenn das Betriebssystem neu aufgesetzt wurde, ohne dass zuvor die Lizenz zurückgegeben wurde. In der Regel kann jedoch dieselbe Seriennummer wieder für eine Reaktivierung verwendet werden.

attention Achtung

Es dürfen keine anderen Komponenten als die Festplatte getauscht werden. Werden auch andere Komponenten geändert, muss eine Ersatzlizenz ausgestellt werden.

Um eine Lizenz bei einem Festplattentausch wiederherzustellen:

  1. Setzen Sie den Rechner neu auf und installieren Sie zenon neu.
  2. Starten Sie die COPA-DATA Lizenzverwaltung.
  3. Wechseln Sie in der erweiterten Ansicht zur Registerkarte Lizenz aktivieren.
  4. Wählen Sie Offline-Aktivierung aus.
  5. Geben Sie dieselbe Seriennummer ein, die bei der letzten Aktivierung verwendet wurde.
  6. Klicken Sie auf Lizenz-Anforderungsdatei erstellen.
  7. Öffnen Sie den Webbrowser.
  8. Öffnen Sie auf keinen Fall die Web-Adresse, die im Dialog angezeigt wird!
    Öffnen Sie stattdessen unbedingt diese Web-Adresse:
    https://copadata-license.copadata.com/restore.php

    Achtung: Wird der Host-Rechner nicht als ident mit dem ursprünglichen Aktivierungsrechner erkannt, erfolgt eine Fehlermeldung. In diesem Fall muss eine Ersatzlizenz angefordert werden.

  9. Laden Sie die Anforderungsdatei <SN>.LicRec hoch.
  10. Laden Sie die Update-Datei <SN>.LicUpd herunter.
  11. Übernehmen Sie die Update-Datei in der COPA-DATA Lizenzverwaltung.
  12. Laden Sie die Bestätigungsdatei <SN>.LicConf hoch.

Ihre Lizenz ist wieder einsatzbereit.


Lizenzbruch bei Software-Dongles

zenon Analyzer > Lizenzierung > Lizenzbruch bei Software-Dongles

Lizenzen für Software-Dongles sind rechnergebunden. Sie können nur auf den ursprünglich lizenzierten Rechnern verwendet werden. Werden Sie auf anderen Rechnern verwendet, dann werden sie ungültig.

Ob eine Lizenz beim physikalischen Umbau eines Rechners weiter genutzt werden kann, hängt davon ab, welche und wie viele Komponenten geändert werden. Die Änderung des Rechnernamens oder der Tausch einer Festplatte (ausgenommen Laufwerk C) stellen in der Regel kein Problem dar.

info Info

Lizenzen können zurückgegeben und neu aktiviert werden. Damit ist es möglich, eine Lizenz ohne Lizenzbruch auf einen anderen Rechner oder eine andere Virtual Machine zu übertragen.

Arten von Software-Dongles

Software-Dongles stehen in verschiedenen Ausprägungen zur Verfügung. Diese unterscheiden sich in Einsatzmöglichkeiten und in Auslösern für Lizenzbruch.

Dongle-Typ

Funktionalität

Lizenzbruch

Software-Dongle Standard:
(Rechnergebundene Lizenz)
  • Lizenz ist nur auf dem Rechner gültig, auf dem sie aktiviert wurde.
  • Lizenz kann nur auf einem physikalischen Rechner verwendet werden, aber nicht in einer Virtual Machine.

Bei folgenden Ereignissen wird die Lizenz ungültig:

  • Die Hardware des Rechners wird geändert.
  • Das Betriebssystem wird neu installiert. Details dazu lesen Sie im Kapitel Festplatte defekt - Festplatte tauschen - Betriebssystem neu aufsetzen.

Software-Dongle VirtualMachine:

(Rechnergebundene Lizenz für Virtual Machine)
  • Lizenz ist nur auf dem Host-Rechner gültig, auf dem die Virtual Machine aktiviert wurde.
  • Lizenz kann in einer Virtual Machine und auf einem physikalischen Rechner verwendet werden.

Bei folgenden Ereignissen wird die Lizenz ungültig:

  • Die Virtual Machine wird auf einen anderen Host-Rechner übertragen.
  • Die Hardware des Host-Rechners wird geändert wird.

Software-Dongle VM DataCenter:

(Lizenz für Virtual Machine in Data Center)
  • Lizenz kann in einer Virtual Machine in einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) sowie in privaten Data Centers verwendet werden.
  • Die Virtual Machine kann innerhalb des Data Centers auf unterschiedliche Host-Systeme verschoben werden.

Bei folgenden Ereignissen wird die Lizenz ungültig:

  • Die Virtual Machine wird kopiert.

Lizenzbruch

Bricht eine Lizenz, wird in der COPA-DATA Lizenzverwaltung eine entsprechende Meldung angezeigt. Abhängig von der Ursache des Lizenzbruchs, kann die Lizenz wiederhergestellt werden oder muss durch eine neue Lizenz ersetzt werden.

Achtung: Notieren Sie bei Lizenzbruch immer die betroffenen Seriennummern! Sind die Seriennummern nicht mehr feststellbar, muss die Dongle-ID bekanntgegeben werden. Notieren Sie daher immer die in der Fehlermeldung angezeigte Dongle-ID. Nur so kann der Lizenzgeber herausfinden, welche Lizenzen am Dongle aktiviert waren. Aus gebrochenen Software-Dongles können keinerlei andere Informationen ausgelesen werden.

Wiederherstellung und Ersatzlizenzen

Wird ein Software-Dongle ungültig, dann können die darin enthaltenen Lizenzen unter bestimmten Bedingungen wiederhergestellt oder neu angefordert werden.

  • Wiederherstellung des ursprünglichen Zustands.
    Der Software-Dongle wird dadurch wieder gültig. Danach kann die Lizenz im regulären Ablauf übertragen werden.
  • Wiederherstellung ist nicht mehr möglich: Anforderung einer Ersatzlizenz.

Lizenz wiederherstellen:

Eine Lizenz kann wiederhergestellt werden, wenn der physikalische Zustand des Hosts wieder in den Ausgangszustand zurückgesetzt werden kann.

  1. Sellen Sie den ursprünglichen Hardwarezustand des Rechners wieder her. Beispielsweise in dem sie die Virtual Machine wieder auf das ursprünglichen Host-System zurück transferieren.
    Auschlaggebend für den ursprungszustand dazu ist der Zeitpunkt der zenon Installation. Bei der Installation wird der Software-Dongle an die Hardware gebunden.
  2. Die Lizenz wird wieder gültig.
  3. Geben Sie die Lizenz zurück.
  4. Transferieren Sie die Virtual Machine oder ändern Sie die Hardware des Rechners.
  5. Aktivieren Sie die Lizenz erneut.

Ersatzlizenz anzufordern:

In folgenden Fällen kann eine Ersatzlizenz ausgestellt werden:

  • Eine Lizenz ist gebrochen und kann nicht wiederhergestellt werden.
  • Eine Lizenz ist bedingt durch einen Festplattendefekt unwiederbringlich verloren. Siehe auch Kapitel: Festplattendefekt - Festplatte tauschen - Betriebssystem neu aufsetzen

Beim Ausstellen einer Ersatzlizenz wird der bisherige Dongle gesperrt. Er kann nicht mehr verwendet werden. Alle Lizenzen, die auf dem Dongle gespeichert waren, werden damit ungültig. Für die Erstellung von Ersatzlizenzen werden die verlorenen Seriennummern benötigt. Sind diese nicht mehr feststellbar, so können diese über die die Dongle-ID herausgefunden werden.

  1. Löschen sie die gebrochene Lizenz
  2. Kontaktieren Sie Ihren Vertriebspartner.
  3. Fordern Sie eine neue Lizenz an.
  4. Aktivieren Sie die neue Lizenz.

attention Achtung

Virtual Machine in Data Center:

In einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) sowie in privaten Data Centers kann auch das automatisierte Wechseln des Host-Systems einen Lizenzbruch bei einer Virtual Machine auslösen. Fordern Sie in diesem Fall beim Lizenzaussteller eine Lizenz an, die für Data Center geeignet ist.


Wechsel zwischen Virtual Machine und Virtual Machine DataCenter

zenon Analyzer > Lizenzierung > Wechsel zwischen Virtual Machine und Virtual Machine DataCenter

Eine Virtual Machine kann entweder mit dem Dongle-Typ Software-Dongle VirtualMachine oder mit dem Dongle-Typ Software-Dongle VM DataCenter betrieben werden. In der Regel wird der Dongle-Typ Software-Dongle VirtualMachine verwendet. Wird die Virtual Machine in einem öffentlichen Data Center wie Microsoft Azure oder Amazon Web Services (AWS) oder in einem privaten Data Center betrieben, wird dringend empfohlen, den Dongle-Typ Software-Dongle VM DataCenter zu verwenden. Sonst wird bei jedem Wechsel des Host-Systems der Software-Dongle brechen. Die Wechsel können in der Regel vom Benutzer nicht beeinflusst werden. Eine Freischaltung für diesen Dongle-Typ muss beim Lizenzgeber beantragt werden.

Der Wechsel erfolgt manuell über Umstellung in der COPA-DATA Lizenzverwaltung oder automatisch durch das Einspielen einer entsprechenden Lizenz.

Manueller Wechsel von Virtual Machine zu Virtual Machine DataCenter

Manuelle Umstellung über COPA-DATA Lizenzverwaltung:

  1. Starten Sie die COPA-DATA Lizenzverwaltung in der Virtual Machine.
  2. Falls auf dem Dongle Lizenzen vorhanden sind, geben Sie diese zurück.
  3. Öffnen Sie die Registerkarte Einstellungen.
  4. Klicken Sie auf die Schaltfläche Software-Dongle auf Dongle-Typ "VM DataCenter" wechseln.

    Hinweis: Diese Schaltfläche wird nur bei Lizenzierung in einer Virtual Machine angezeigt.

  5. Bestätigen Sie die Sicherheitsabfrage.

    Der vorhandene Software-Dongle VirtualMachine wird gelöscht und ein Software-Dongle VM DataCenter wird angelegt.
    Die Schaltfläche ändert ihre Funktionalität auf Software-Dongle auf Dongle-Typ "Virtual Machine" wechseln.

  6. Aktivieren Sie die benötigten Lizenzen auf dem neuen Dongle.

Um einen Dongle auf Software-Dongle VirtualMachine zu ändern, durchlaufen Sie die Schritte erneut und klicken Sie auf Software-Dongle auf Dongle-Typ "Virtual Machine" wechseln.

Automatisches Umschalten des Dongles beim Einspielen einer Lizenz

Die Dongles Software-Dongle VirtualMachine und Software-Dongle VM DataCenter können auch automatisch umgeschaltet werden.

Das passiert, wenn:

  • der Ziel-Dongle leer ist
    und
  • eine entsprechende Lizenz darauf aktiviert wird

Sind bereits Lizenzen vorhanden, wird eine Fehlermeldung angezeigt.

Hinweise:

  • Wird eine Lizenz , die für Software-Dongle VM DataCenter freigeschaltet ist, auf einem Software-Dongle VirtualMachine aktiviert, dann verliert die Lizenz ihre Eigenschaft, in Data Center hardwareunabhängig eingesetzt werden zu können.
  • Wird der Dongle-Typ während des Lizenzierungsvorgangs automatisch umgestellt, der Lizenzierungsvorgang schlägt aber fehl, dann wird der Dongle-Typ nicht zurück gestellt.

Beispiel

Auf einem Dongle Software-Dongle VirtualMachine wird eine Lizenz für Software-Dongle VM DataCenter online aktiviert. Der Dongle enthält noch keine Lizenz. Er wird automatisch umgestellt auf einen Software-Dongle VM DataCenter.


Lizenzabfrage während des Betriebes

zenon Analyzer > Lizenzierung > Lizenzabfrage während des Betriebes

Im laufenden Betrieb wird die Lizenz für das verwendete Produkt regelmäßig überprüft. Ist keine Lizenz mehr vorhanden, wird versucht, die Verbindung wieder herzustellen. Gelingt das nicht, werden der Rechner und das Netzwerk auf weitere passende Lizenzen überprüft.

Regeln für den Reconnect

  • Die Reihenfolge der Abfrage entspricht der Reihenfolge in der License.ini. Diese wird über die COPA-DATA Lizenzverwaltung in der Registerkarte Lizenzverwendung festgelegt.
  • Es werden maximal 10 Lizenzen abgefragt.
  • Während der Laufzeit werden Demo-Lizenzen nicht als Ersatzlizenzen berücksichtigt. Sie werden übersprungen.
  • Eine Ersatzlizenz muss für die genutzte Produktversion gültig sein und mindestens den gleichen Lizenzausbau aufweisen wie die ursprüngliche Lizenz. Sie kann auch über einen höheren Lizenzausbau verfügen, z.B. mehr TAGs, mehr Module usw. Es werden aber immer nur die in der ursprünglichen Lizenz verfügbaren Ausbauten zur Verfügung gestellt.
  • Die Edition muss in beiden Lizenzen dieselbe sein.
  • Beispiele:
    • Beispiel 1: Die beim ersten Start der Runtime verwendete Lizenz ist eine Operator-Lizenz. Die Ersatzlizenz ist eine Supervisor-Lizenz. Die Ersatzlizenz kann nicht genutzt werden, da die Edition nicht dieselbe ist.
    • Beispiel 2: Die beim ersten Start der Runtime verwendete Lizenz hat 2000 TAGs, die Module Archivserver, Erweiterter Trend und zwei Treiber lizenziert. Die Ersatzlizenz hat 4000 TAGs, zusätzlich das Modul Message Control und drei Treiber lizenziert. Die Ersatzlizenz wird verwendet. Die erhöhte TAG-Anzahl, die neuen Module und Treiber können jedoch nicht genutzt werden.

Lizenzverlust ohne Ersatzlizenz

Wird keine gültige Lizenz während der Laufzeit gefunden, verhalten sich die Produkte wie folgt:

  • zenon Runtime: Die Runtime läuft weiter.
    Es werden Einträge in die CEL geschrieben. Mittels der Systemtreibervariable Lizenzschutz vorhanden kann das Vorhandensein des Lizenzschutzes lokal und im Netzwerk überwacht werden.
  • zenon Web Server: Der zenon Web Server läuft weiter.
    Es werden entsprechende Informationen Im zenon Web Server Dialog angezeigt.
  • zenon Editor: Der Editor wird beendet.
  • HTML Web Engine: Wird weiter ausgeführt.
  • zenon Logic, Process Gateway und OPC DA Server: Alle Produkte werden weiter ausgeführt.
    Der Lizenzverlust wird im Dialog Info über... angezeigt.
  • zenon Analyzer ZAMS: Wird beendet.
  • zenon Analyzer Report Launcher: Neue Reports können nicht geöffnet werden. Geöffnete Reports können nicht aktualisiert werden.

Für alle Produkte gilt: Wenn keine Lizenz zur Verfügung steht, kann das Produkt nicht neu gestartet werden. Die Produkte laufen also maximal bis zum nächsten Neustart. Der Demo-Modus kann weiter genutzt werden.

Mögliche Gründe für Lizenzverlust

Wenn Ihr Produkt Lizenzverlust meldet, kann es dafür eine Reihe von Gründen geben.
Die häufigsten Ursachen für Lizenzverlust sind:

  • Die Netzwerkverbindung zum Lizenzserver ist nicht mehr verfügbar.
  • Der Hardware-Dongle wurde entfernt.
  • Die Lizenz ist abgelaufen.
  • Das Zeit-Kontingent für das Produkt ist erschöpft.


Rechner-Defekt bei Software-Dongle: 30 Tage Demo-Lizenz nutzen

zenon Analyzer > Lizenzierung > Rechner-Defekt bei Software-Dongle: 30 Tage Demo-Lizenz nutzen

Tritt bei einem Rechner ein Hardwareproblem aus, zum Beispiel kaputte Festplatte, dann sind Software-Lizenzen meistens davon betroffen. Entweder bricht die Lizenz oder sie ist gar nicht mehr vorhanden.

In diesem Fall können Sie bis zum Ersatz der Lizenz eine Demo-Lizenz verwenden. Alle Runtime Demo-Lizenzen verfügen über 30 Tage Laufzeit ab dem ersten Start. Ausgenommen: Virtual Machine Demo-Lizenzen.

Sollten Sie die Demo-Lizenz vorher noch nie verwendet haben, dann stehen Ihnen nun 30 Tage ab dem ersten Start des Produktes zur Verfügung. Der Nutzungszeitraum wird für jedes Produkt (Editor/Runtime/Web Server usw...) einzeln gestartet.


Besonderheiten beim Client-Server-Betrieb

zenon Analyzer > Lizenzierung > Besonderheiten beim Client-Server-Betrieb

Bei der Lizenzierung von Modulen im Client-Server-Betrieb gelten folgende Besonderheiten:

Modul

Beschreibung

Archivserver

Folgende Fälle werden unterschieden:

  • Server und Client lizenziert:
    Archive können am Client geöffnet und bearbeitet werden.
  • Server lizenziert und Client nicht lizenziert:
    Archive können am Client geöffnet, aber nicht bearbeitet werden.
  • Archivserver nicht lizenziert und Standalone gestartet:
    Das Bild Archiv-Nachbearbeitung kann geöffnet werden, die einzelnen Archive können jedoch nicht bearbeitet werden.

Automatic Line Coloring

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Batch Control

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Last-Management

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Message Control

Der Client holt sich die Lizenz vom Server und benötigt keine eigene Lizenz. Verfügt der Server über keine eigene Lizenz, kann der Client das Modul nicht nutzen.

Everywhere Server by zenon

Der Everywhere Server holt sich die Lizenz von der Runtime. Verfügt die Runtime über keine entsprechende Lizenz, kann der Everywhere Server nicht genutzt werden. Das kann dazu führen, dass zwar die Runtime läuft, der Everywhere Server jedoch auf Grund fehlender Lizenzen nicht gestartet werden kann.


Seriennummer

zenon Analyzer > Lizenzierung > Seriennummer

Jedes COPA-DATA Produkt muss über eine Seriennummer lizenziert werden.
Die Seriennummer wird nach bestimmten Regeln erstellt. Sie besteht aus 5 Gruppen zu jeweils 5 Zeichen und enthält eine Prüfsumme. Die letzten 10 Stellen enthalten eine fortlaufende Zahl und machen die Seriennummer leicht voneinander unterscheidbar.

Beispiel: C00GF-2SQ5T-QWERT-00000-00035

Die Seriennummer darf nur bestimmte alphanumerische Zeichen enthalten:

  • Erlaubte Zeichen:
    • Nur arabische Ziffern: 0-9
    • Nur Großbuchstaben aus dem lateinischen Alphabet.
    • A-N
    • P-Z
  • Verbotene Zeichen:
    • Buchstabe O, damit es keine Verwechslungen mit der Ziffer 0 gibt.
    • Sonderzeichen


License.ini Datei

zenon Analyzer > Lizenzierung > License.ini Datei

Die Informationen zur Lizenzierung werden in der Datei License.ini abgelegt. Aktionen zur Lizenzierung werden aber immer über die COPA-DATA Lizenzverwaltung ausgeführt.

Pfad zur License.ini: %programdata%\COPA-DATA\System
Tipp: Sie können den Pfad auch mit der Umgebungsvariable %CD_System% aufrufen.

attention Achtung

Bearbeiten Sie die Datei License.ini nie manuell!
Änderungen an dieser Datei können dazu führen, dass korrekt lizenzierte Produkte nicht mehr genutzt werden können. Führen Sie Aktionen zur Lizenzierung immer über die COPA-DATA Lizenzverwaltung durch.


CodeMeter Voraussetzungen

zenon Analyzer > Lizenzierung > CodeMeter Voraussetzungen

Für die Lizenzierung wird Hardware und Software von CodeMeter verwendet.
Dafür müssen folgende Voraussetzungen erfüllt sein:

Allgemein:

  • Die CodeMeter Runtime Version muss 6.60 oder höher sein und am Rechner laufen.

Hardware-Dongle:

  • Der Hardware-Dongle muss aus der Serie 3 oder höher sein. Die Seriennummer dieser Dongles beginnt mit 3. Zum Beispiel: 3-1234567.
    Dongles der Serien 1 und 2 werden nicht unterstützt.
  • CodeMeter Dongles gibt es in verschiedenen Bauformen, wie interne und externe USB Sticks sowie SD-, PCMCIA- und C-Fast-Karten. Alle Bauformen verfügen intern über den gleichen Sicherheitschip und können verwendet werden.
  • Der CodeMeter Hardware-Dongle muss am lokalen Rechner oder als Server auf einem Netzwerkrechner verfügbar sein.
  • Für Virtuelle Maschinen (VMs) wird von Wibu System empfohlen, den Dongle nicht per USB Port in die VM durchzureichen. Betreiben Sie den Dongle stattdessen als Wibu-Server im Host System und greifen Sie per Netzwerk darauf zu.

Netzwerk:

  • Bei Lizenzabfragen von Netzwerk-Dongles muss der CodeMeter Dienst als Netzwerk Server aktiviert sein.
    Empfehlung: Tragen Sie den Server am Client System in die Server-Suchliste ein.

Hinweis: Beim Start der COPA-DATA Lizenzverwaltung wird die CodeMeter Runtime auf die korrekte Version überprüft. Bei Fehler wird eine entsprechende Meldung angezeigt und die Lizenzierung wird abgebrochen. Installieren Sie in diesem Fall die aktuelle CodeMeter Runtime.


CodeMeter Software

zenon Analyzer > Lizenzierung > CodeMeter Software

Die von COPA-DATA verwendeten Dongles für die Lizenzierung basieren auf CodeMeter Hardware und Software. Die Verwaltung der Lizenzen erfolgt über die COPA-DATA Lizenzverwaltung. Der CodeMeter Webadmin stellt zusätzliche Funktionen zur Verwaltung zur Verfügung. Diese werden im Regelbetrieb aber nicht benötigt.

Detaillierte Hilfe zur Verwendung von CodeMeter erhalten Sie über die in CodeMeter integrierte Hilfe.
Diese rufen Sie auf über:

  • Kontrollzentrum: Klicken Sie im Menü Hilfe auf den Eintrag Hilfe.
  • WebAdmin: Klicken Sie in der zweiten Menüzeile auf das Fragezeichen.
    Die CodeMeter Hilfe wird kontextsensitiv aufgerufen.

Hinweis: Beschreibungen des CodeMeter WebAdmin beziehen sich auf dessen Version 6.60. Dieses Handbuch behandelt die wichtigsten Anwendungsfälle für zenon Benutzer.

Voraussetzungen

Damit die Lizenzierung über CodeMeter funktioniert, müssen folgende Voraussetzungen erfüllt sein:

Allgemein:

  • Die CodeMeter Runtime Version muss 6.60 oder höher sein und am Rechner laufen.

Hardware-Dongle:

  • Der Hardware-Dongle muss aus der Serie 3 oder höher sein. Die Seriennummer dieser Dongles beginnt mit 3. Zum Beispiel: 3-1234567.
    Dongles der Serien 1 und 2 werden nicht unterstützt.
  • CodeMeter Dongles gibt es in verschiedenen Bauformen, wie interne und externe USB Sticks sowie SD-, PCMCIA- und C-Fast-Karten. Alle Bauformen verfügen intern über den gleichen Sicherheitschip und können verwendet werden.
  • Der CodeMeter Hardware-Dongle muss am lokalen Rechner oder als Server auf einem Netzwerkrechner verfügbar sein.
  • Für Virtuelle Maschinen (VMs) wird von Wibu System empfohlen, den Dongle nicht per USB Port in die VM durchzureichen. Betreiben Sie den Dongle stattdessen als Wibu-Server im Host System und greifen Sie per Netzwerk darauf zu.

Netzwerk:

  • Bei Lizenzabfragen von Netzwerk-Dongles muss der CodeMeter Dienst als Netzwerk Server aktiviert sein.
    Empfehlung: Tragen Sie den Server am Client System in die Server-Suchliste ein.

attention Achtung

Wird der CodeMeter Dongle im laufenden Betrieb entfernt, dann schließt sich zenon und wird im Demo-Modus geöffnet, bis wieder eine gültige Lizenz erkannt wird.

Noch in diesem Kapitel

Kontrollzentrum

WebAdmin

Zertifizierte Uhrzeit aktualisieren

Netzwerk-Dongles

CodeMeter Dongle als HID oder Laufwerk konfigurieren

Fehlerbehebung


Kontrollzentrum

zenon Analyzer > Lizenzierung > CodeMeter Software > Kontrollzentrum

Das CodeMeter Kontrollzentrum starten Sie über: Windows -> CodeMeter -> CodeMeter Control Center.
Das CodeMeter Kontrollzentrum wird mit 2 Registerkarten geöffnet:

  • Lizenz: Enthält Informationen zu den gefundenen Dongles und ermöglicht Aktionen mit Dongles und Lizenzen.
  • Ereignisse: Zeigt die Anzahl der angeschlossenen Sticks, der Lizenz-Einträge, der gefundenen Firm-Items und alle Zugriffe auf den CodeMeter Runtime-Server an. Um die Einträge dauerhaft zu protokollieren, aktivieren Sie im Menü Datei den Eintrag Protokollierung.

Noch in diesem Kapitel

Registerkarte Lizenz


Registerkarte Lizenz

zenon Analyzer > Lizenzierung > CodeMeter Software > Kontrollzentrum > Registerkarte Lizenz

In dieser Registerkarte werden Dongles und Lizenzen angezeigt und konfiguriert.

Option

Beschreibung

Lizenz

Listet alle aktiven CodeMeter Dongles auf.

Name:

Individueller Name des ausgewählten Dongles. Bei Hardware-Dongles, kann der Name über die Schaltfläche mit dem Stift (rechts davon) geändert werden.

Serien-Nr.:

Seriennummer des ausgewählten Dongles.

Version:

Version der Firmware des ausgewählten Dongles.

Empfehlung: Verwenden Sie immer die aktuellste Firmware.
Um die Firmware zu aktualisieren: Klicken Sie auf die Pfeil-Schaltfläche. Das Online-Update über einen Wibu-Server wird gestartet.

Kapazität:

Anzeige des freien Speicherplatzes in Prozent und Bytes auf dem Dongle.

Symbole:

Drei Symbole ermöglichen Aktionen mit dem Dongle:

  • Stift: Umbenennen des Namens des Dongles.
  • Lampe: Ausgewählten Stick blinken lassen.
  • Pfeil: Aktualisieren der Firmware des ausgewählten Sticks.

Status

Anzeige und eventuell Änderung des Status für einen Dongle.

Hardware-Dongle:
Auswahl des Status des ausgewählten CodeMeter Dongles über Radiobuttons.

  • Deaktiviert:
    Der angeschlossene Dongle ist deaktiviert und kann von keiner Anwendung verwendet werden.
  • Aktiviert solange angeschlossen:
    Der Stick ist aktiviert solange er angeschlossen ist. Nach dem Entfernen vom PC wird er automatisch deaktiviert.
  • Aktiviert:
    Der Stick ist voll aktiviert und bleibt dies auch nach dem Entfernen.
    Empfohlener Status: Stellt sicher, dass bei Verlust des Sticks nicht von Unbefugten auf Lizenzen und persönlichen Daten (z. B.: CmPasswordManager) zugegriffen werden kann.

Änderungen müssen über das Dongle-Kennwort bestätigt werden.

Software-Dongle:

  • Anzeige des Lizenzstatus.

Lizenzaktualisierung

Startet den Assistenten zum Hinzufügen, Ändern und Löschen von Lizenzen.

Hinweis: Steht für COPA-DATA Produkte nicht zur Verfügung. Lizenzen werden über die COPA-DATA Lizenzverwaltung verwaltet.

Auswerfen

Gibt den Stick frei zum Entfernen.
Nur verfügbar für Hardware-Dongles.

Kennwort ändern

Ermöglicht das Ändern des Kennworts.
Nur verfügbar für Hardware-Dongles.

Lizenz löschen

Löscht ausgewählte Lizenz.
Nur verfügbar für Software-Dongles.
Achtung: Diese Option darf auf keine Fall ausgeführt werden, da eine Wiederherstellung der Lizenzen, die auf dem Dongle gespeichert waren, nicht möglich ist.
Für Demo-Modus Software-Dongles gilt: Diese können nach dem Löschen nicht mehr eingespielt werden.

CodeMeter ist gestartet/CodeMeter ist gestoppt

Information, ob der CodeMeter Dienst läuft. Kann im Menü Aktion geändert werden.
Achtung: Der Dienst kann über das Kontrollzentrum nicht gestoppt oder neu gestartet werden, da der zenon Lizenz Transfer Dienst vom CodeMeter Dienst abhängig ist. Ein Beenden des Dienstes ist nur über die Anwendung services.msc des Betriebssystems möglich.

WebAdmin

Startet den Webbrowser mit der Administrationsoberfläche für Dongles. Dazu muss der Port 22350 offen sein. Details siehe Kapitel WebAdmin.


WebAdmin

zenon Analyzer > Lizenzierung > CodeMeter Software > WebAdmin

Der CodeMeter WebAdmin dient zur Konfiguration und Verwaltung von Dongles im Netzwerk.

Um den CodeMeter WebAdmin zu starten:

  1. Öffnen Sie das CodeMeter Kontrollzentrum.
  2. Klicken Sie auf die Schaltfläche WebAdmin.

    Der CodeMeter WebAdmin wird im Webbrowser geöffnet.

Alternativ verwenden Sie folgenden Link: http://localhost:22350/index.html

Detaillierte Informationen zu den einzelnen Einstellungen finden Sie in der CodeMeter WebAdmin-Hilfe. Sie erreichen diese über das Symbol Fragezeichen (?) im WebAdmin. Die wichtigsten Optionen und Hinweise finden Sie auch in diesem Dokument.

attention Achtung

Der CodeMeter WebAdmin nutzt standardmäßig den Port 22350.
Beachten Sie:

  • Wird eine andere Firewall als die im Windows Betriebssystem integrierte Firewall verwendet, muss dieser Port frei gegeben werden.
  • Wird der Port geändert, kann die WebAdmin-Oberfläche nicht mehr gestartet werden, da der Port Teil der Adresse ist.
    Z. B: http://localhost:22350/configuration/extra.html
    Falls Sie den Port verändert haben, und nicht mehr wissen, wie die Portnummer lautet, können Sie in der Registry nachsehen. Öffnen Sie dazu Regedit.exe und navigieren Sie zum Knoten: HKEY_LOCAL_MACHINE\SOFTWARE\WIBU-SYSTEMS\CodeMeter\Server\CurrentVersion. Im Eintrag NetworkPort finden Sie die aktuelle Portnummer. Tragen den dort verwendeten Port in die Adresszeile des Browsers statt 22350 ein.
    Passen Sie dann den Port im WebAdmin über Einstellungen -> Erweitert -> Extras an.


Zertifizierte Uhrzeit aktualisieren

zenon Analyzer > Lizenzierung > CodeMeter Software > Zertifizierte Uhrzeit aktualisieren

Sie können die im Dongle gespeicherte zertifizierte Uhrzeit über die CodeMeter Zeitserver aktualisieren. Dazu benötigen Sie Zugang zum Internet.

Um die Uhrzeit zu aktualisieren:

  1. Starten Sie den CodeMeter WebAdmin.
  2. Überprüfen Sie Ihre Netzwerkeinstellungen:
    1. Sind die Proxy-Einstellungen im CodeMeter Webadmin korrekt?
    2. Sind Ihre Zugangsdaten aktuell?
  3. Navigieren zum Menü Container.
  4. Wählen Sie den gewünschten Dongle.
  5. Klicken Sie auf CMContainer Infos

  6. Wählen Sie den Eintrag Zertifizierte Uhrzeit (CM Container).
  7. Klicken Sie auf das Symbol zum Aktualisieren.
  8. Sie erhalten einen Hinweis, dass alle Sticks aktualisiert werden.
  9. Klicken Sie auf OK.

    Sie erhalten eine Information über die durchgeführte Aktualisierung.
    Tipp: Bei einer Fehlermeldung überprüfen Sie vor allem Ihre Zugangsdaten für den Proxy Server.


Netzwerk-Dongles

zenon Analyzer > Lizenzierung > CodeMeter Software > Netzwerk-Dongles

Jede Lizenz kann im Netzwerk verwendet werden. Damit CodeMeter Dongles im Netzwerk erreicht werden können, muss der CodeMeter Runtime Dienst als Netzwerk Server gestartet werden.

Dazu:

  1. Öffnen Sie den CodeMeter Webadmin: http://localhost:22350/configuration/server_access.html.
    Den WebAdmin können Sie auch über das CodeMeter Control Center starten.

  2. Navigieren Sie zur Seite Einstellungen -> Basis -> Server-Zugriff und setzen Sie die Option Netzwerk-Server aktivieren.
  3. Klicken Sie auf die Schaltfläche Übernehmen.

    Der CodeMeter Runtime Dienst wird neu gestartet.

Damit stehen alle lokal angeschlossenen Hardware- und Software-Dongles über das Netzwerk zur Verfügung. Ausgenommen sind Demo-Lizenzen auf Demo-Dongles. Diese können immer nur lokal genutzt werden.

Noch in diesem Kapitel

Server-Suchliste für Netzwerk-Dongles einrichten

Überprüfen ob ein Dongle im Netzwerk gefunden wird


Server-Suchliste für Netzwerk-Dongles einrichten

zenon Analyzer > Lizenzierung > CodeMeter Software > Netzwerk-Dongles > Server-Suchliste für Netzwerk-Dongles einrichten

Das Finden von Dongles im Netzwerk erfolgt über Mechanismen der CodeMeter Runtime. Diese sind unabhängig von zenon und können nur durch CodeMeter beeinflusst werden. Wird ein Dongle von CodeMeter nicht gefunden, so wird er auch von zenon Produkten nicht gefunden.

info Info

Nicht zu Verwechseln ist der CodeMeter Mechanismus mit dem Mechanismus der COPA-DATA Lizenzverwaltung.

Diese baut eine direkte Verbindung über den zenon Lizenztransfer auf. Diese Verbindung unterscheidet sich grundsätzlich von der CodeMeter Verbindung.

Der CodeMeter Mechanismus sucht Dongles immer zuerst lokal. Wird lokal die gesuchte Lizenz nicht gefunden, wird im Netzwerk gesucht. Dabei wird standardmäßig ein Broadcast verwendet.
Broadcasts haben folgende Nachteile:

  • Es werden immer alle Rechner im Netzwerk gesucht.
    Dadurch kann es vor allem bei großen Netzwerken und bei vielen Dongles im Netzwerk zu langen Antwortzeiten kommen.
  • Dongles, welche die gesuchte Lizenz nicht besitzen, werden abgefragt.
    Dadurch wird das Netzwerk und die CodeMeter Runtime unnötig belastet.
  • Broadcasts funktionieren nur im lokalen Subnet.
    Befindet sich der Dongle in einem anderem Subnet, dann wird der Dongle nicht gefunden.

Empfehlung: Tragen Sie Dongles in die Server-Suchliste ein. Damit vermeiden Sie die beschriebenen Einschränkungen.

Um einen CodeMeter Server in die Serversuchliste einzutragen:

  1. Starten Sie den CodeMeter WebAdmin: http://localhost:22350/configuration/server_search_list.html.
    Den WebAdmin können Sie auch über das CodeMeter Control Center starten.
  2. Navigieren Sie zu Einstellungen -> Basis -> Server-Suchliste.

  3. Fügen Sie den Server mit Klick auf das Pluszeichen hinzu.
  4. Bei mehreren Servern: Reihen Sie die Server mit den Pfeil-Symbolen in der gewünschten Reihenfolge der Abfrage.
  5. Übernehmen Sie die Einstellungen mit Klick auf die Schaltfläche Übernehmen.


Überprüfen ob ein Dongle im Netzwerk gefunden wird

zenon Analyzer > Lizenzierung > CodeMeter Software > Netzwerk-Dongles > Überprüfen ob ein Dongle im Netzwerk gefunden wird

Das finden von Dongles im Netzwerk erfolgt über Mechanismen der CodeMeter Runtime. Daher erfolgt auch die Prüfung am besten über die CodeMeter Mechanismen:

  1. Starten Sie den CodeMeter WebAdmin: http://localhost:22350/index.html.
    Den WebAdmin können Sie auch über das CodeMeter Control Center starten.
  2. Am unteren linken Rand sehen Sie den Eintrag Aktueller Server: localhost (127.0.0.1).
    Klicken Sie auf die Schaltfläche

    Ein Dialog mit allen gefundenen CodeMeter Netzwerk Servern wird geöffnet.

  3. Wählen Sie den gewünschten Server aus, um zu kontrollieren, ob der gesuchte Dongle gefunden wird.
    Achtung: Sie sind remote mit dem CodeMeter Server verbunden. Alle angezeigten Informationen stammen vom Remote-Rechner.

Scheint der gesuchte Server nicht in der Liste auf, dann prüfen Sie:

  • Ist die CodeMeter Runtime als Netzwerk Server aktiviert?
  • Ist der Server in die Server Suchliste eingetragen?
    Wurde der TCP/IP Port der CodeMeter Runtime verändert?
    Der Standard Port ist 22350 und sollte nicht geändert werden. Falls Sie den Port verändert haben, und nicht mehr wissen, wie die Portnummer lautet, können Sie in der Registry nachsehen. Öffnen Sie dazu Regedit.exe und navigieren Sie zum Knoten: HKEY_LOCAL_MACHINE\SOFTWARE\WIBU-SYSTEMS\CodeMeter\Server\CurrentVersion. Im Eintrag NetworkPort finden Sie die aktuelle Portnummer. Stellen Sie Am Besten die Portnummer auf Default 22350 zurück.
    Der Port muss auf allen CodeMeter Rechnern gleich sein.
  • Ist die CodeMeter Runtime durch eine Firewall blockiert?
    Überprüfen Sie die Firewall-Einstellungen sowohl am Server als auch am Client.


CodeMeter Dongle als HID oder Laufwerk konfigurieren

zenon Analyzer > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren

Standardmäßig wird der Dongle als HID (Human Interface Device) ins System integriert. Diese Konfiguration wird empfohlen. Der Dongle kann bei Bedarf aber auch als lokaler Massenspeicher oder Wechseldatenträger konfiguriert werden.

Voraussetzungen:

  • CodeMeter Container mit der Kennung "2-xxxxxxx" oder "3-xxxxxxx".
  • Mindestens CodeMeter Firmware 2.02.
  • CodeMeter Runtime 6.60 und höher. Sollte Ihre installierte CodeMeter Version kleiner sein, können Sie von Wibu Systems (www.wibu.com) die aktuelle CodeMeter Runtime downloaden.

Konfigurationen

CodeMeter Sticks können konfiguriert werden als:

Gerät

Beschreibung

Einschränkungen

HID
(Human Interface Device)

Dongle wird als HID am System angemeldet.
Der Dongle wird damit nicht in der Liste der verfügbaren Laufwerke angezeigt und belegt keinen Laufwerksbuchstaben.

Default für Sticks ohne Speicher.

Spezielle USB Host-Treiber werden nicht benötigt.

Nur verfügbar für CodeMeter Dongles ohne Speicher.

Lokaler Massenspeicher (Mass Storage Device - MSD)

Der Dongle wird als festes lokales Laufwerk mit eigenem Laufwerksbuchstaben angezeigt und verwaltet.

Kann dazu führen, dass:

  • das Betriebssystem für den Dongle zu wenig Speicherplatz meldet
  • das Symbol für den Windows Papierkorb nicht mehr angezeigt wird
  • in einer Virtual Machine der Dongle nicht gefunden wird

Wechseldatenträger

Der Dongle wird als Wechseldatenträger mit eigenem Laufwerksbuchstaben angezeigt und verwaltet.

Der Dongle muss über einen Flash-Speicher verfügen.

Bei einer Konfiguration als Wechseldatenträger:

  • kann bei Systemen, die als Boot-Methode USB-Laufwerke zulassen, das Booten des Rechners verhindert werden
  • erscheint der Dongle als Laufwerk in der Taskleiste und kann damit jederzeit entfernt (ausgeworfen) werden

Ablauf Dongle neu konfigurieren

Status Dongle

Ziel

Ablauf

HID

Lokaler Massenspeicher
  • Konfiguration als Massenspeicher.
  • Konfiguration als lokale Festplatte.

HID

Wechseldatenträger
  • Konfiguration als Massenspeicher.
    Wird automatisch als Wechseldatenträger konfiguriert.

Lokaler Massenspeicher

Wechseldatenträger
  • Konfiguration als Wechseldatenträger.

Wechseldatenträger

Lokaler Massenspeicher
  • Konfiguration als lokale Festplatte.

Lokaler Massenspeicher

HID
  • Konfiguration als HID

Wechseldatenträger

HID
  • Konfiguration als HID

Syntax und Kommandos zur Dongle-Konfiguration

Im CodeMeter Command Prompt stehen Kommandos und Parameter zur Konfiguration der Dongles zur Verfügung.

Syntax: cmu32 /s <serial> --[Kommando Parameter]

  • cmu32: Aufruf.
  • /s (/s): Eingabe Seriennummer des Dongles, für den Aktion gelten soll.
  • --[Kommando Parameter]: Eingabe Kommando und eventuell Parameter.

Kommandos:

Kommando | Bedeutung
cmu32 /s <serial> --show-config-disk | Konfiguration für Stick mit bestimmter Seriennummer anzeigen.
cmu32 /s <serial> --set-config-disk | Stick mit bestimmter Seriennummer konfigurieren.
cmu32 /h | Zeigt die Hilfe zu weiteren Kommandos und Parametern an.

Parameter:

Parameter | Bedeutung
HidCommunication | Konfiguration als HID. Nur möglich, wenn kein Flash-Speicher vorhanden ist.
MsdCommunication | Konfiguration als Massenspeicher. Dongles mit dieser Konfiguration können als lokale Massenspeicher oder Wechseldatenträger konfiguriert werden.
RemovableDisk | Konfiguration als Wechseldatenträger. Setzt MsdCommunication voraus. Aus Status HID nicht direkt möglich.
LocalDisk | Konfiguration als lokale Festplatte. Setzt MsdCommunication voraus. Aus Status HID nicht direkt möglich.

Beispiele:

  • Konfiguration anzeigen: cmu32 /s3-1234567 --show-config-disk
  • Stick als HID konfigurieren: cmu32 /s3-1234567 --set-config-disk HidCommunication

Noch in diesem Kapitel

Dongle als lokalen Massenspeicher konfigurieren

Dongle als HID konfigurieren

Dongle als Wechseldatenträger konfigurieren


Dongle als lokalen Massenspeicher konfigurieren

zenon Analyzer > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren > Dongle als lokalen Massenspeicher konfigurieren

Um den Dongle in der USB-Kommunikation als fixen lokalen Massenspeicher (Mass Storage Device) anzusprechen:

  1. Überprüfen Sie den Status des Dongles über CodeMeter Command Prompt, den CodeMeter WebAdmin oder den Dateibrowser des Betriebssystems.

    Es ist kein Laufwerk zugeordnet (HID) oder ein Wechseldatenträger wird angezeigt.

  2. Rufen Sie den CodeMeter Command Prompt cmu auf: Start -> Programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Ist der Dongle aktuell als HID konfiguriert, dann:

    • Geben Sie in der gestarteten Kommandozeile ein: cmu32 /s <serial> --set-config-disk MsdCommunication
      Der Dongle wird als Massenspeicher konfiguriert.
    • Entfernen Sie den Dongle und stecken Sie ihn wieder an.
    • Geben Sie in der Kommandozeile ein: cmu32 /s <serial> --set-config-disk LocalDisk
      Der Dongle wird als fixer lokaler Massenspeicher konfiguriert.

    Ist der Dongle aktuell als Wechseldatenträger konfiguriert, dann:

    • Geben Sie in der Kommandozeile ein: cmu32 /s <serial> --set-config-disk LocalDisk
      Der Dongle wird als fixer lokaler Massenspeicher konfiguriert.

    Hinweis: Für <serial> geben Sie die Seriennummer des Sticks ein.

  3. Entfernen Sie den Dongle vom Rechner.
  4. Verbinden Sie den Dongle wieder mit dem Rechner.

    Im CodeMeter Command Prompt und im CodeMeter WebAdmin wird der Dongle jetzt als lokaler Massenspeicher angezeigt, im Dateibrowser des Betriebssystems mit Laufwerksbuchstabe.


Dongle als HID konfigurieren

zenon Analyzer > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren > Dongle als HID konfigurieren

Um den Dongle in der USB-Kommunikation als Human Interface Device (HID) anzusprechen:

  1. Überprüfen Sie den Status des Dongles über CodeMeter Command Prompt, den CodeMeter WebAdmin oder den Dateibrowser des Betriebssystems.
  2. Es ist ein lokaler Massenspeicher oder ein Wechseldatenträger, jeweils mit Laufwerksbuchstabe, zugeordnet.

  3. Rufen Sie den CodeMeter Command Prompt cmu auf: Start -> Programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Geben Sie in der gestarteten Kommandozeile ein: cmu32 /s <serial> --set-config-disk HidCommunication
    Der Dongle wird als HID konfiguriert.
    Hinweis: Für <serial> geben Sie die Seriennummer des Sticks ein.

  4. Entfernen Sie den Dongle vom Rechner.
  5. Verbinden Sie den Dongle wieder mit dem Rechner.
  6. Im CodeMeter Command Prompt und im CodeMeter Kontrollzentrum wird der Dongle jetzt als HID ohne Laufwerksbuchstabe angezeigt. Im Dateibrowser des Betriebssystems wird er nicht mehr angezeigt.


Dongle als Wechseldatenträger konfigurieren

zenon Analyzer > Lizenzierung > CodeMeter Software > CodeMeter Dongle als HID oder Laufwerk konfigurieren > Dongle als Wechseldatenträger konfigurieren

Um den Dongle in der USB-Kommunikation als Wechseldatenträger anzusprechen:

  1. Überprüfen Sie den Status des Dongles über CodeMeter Command Prompt, den CodeMeter WebAdmin oder den Dateibrowser des Betriebssystems.

    Es ist kein Laufwerk zugeordnet (HID) oder ein lokaler Massenspeicher mit festem Laufwerksbuchstaben.

  2. Rufen Sie die CodeMeter Kommandozeile cmu auf: Start -> Programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Ist der Dongle aktuell als HID konfiguriert, dann:

    • Geben Sie in der gestarteten Kommandozeile ein: cmu32 /s <serial> --set-config-disk MsdCommunication
      Der Dongle wird Massenspeicher in der Ausprägung Wechseldatenträger konfiguriert.

    Ist der Dongle aktuell als fixer lokaler Massenspeicher konfiguriert, dann:

    • Geben Sie in der Kommandozeile ein: cmu32 /s <serial> --set-config-disk RemovableDisk
      Der Dongle wird als Wechseldatenträger konfiguriert.

    Hinweis: Für <serial> geben Sie die Seriennummer des Sticks ein.

  3. Entfernen Sie den Dongle vom Rechner.
  4. Verbinden Sie den Dongle wieder mit dem Rechner.

    Im CodeMeter Command Prompt und im CodeMeter Kontrollzentrum wird der Dongle jetzt als Wechseldatenträger angezeigt, im Dateibrowser des Betriebssystems mit Laufwerksbuchstabe.


Fehlerbehebung

zenon Analyzer > Lizenzierung > CodeMeter Software > Fehlerbehebung

Fehler

Lösung

zenon läuft nur im Demo-Modus.

Überprüfen Sie per CodeMeter und/oder COPA-DATA Lizenzverwaltung:

  • Ist der Dongle angeschlossen und über CodeMeter Mechanismen erreichbar?
  • Ist die Lizenz beim jeweiligen Produkt an erster Stelle eingetragen?
  • Ist die Lizenz abgelaufen?
  • Ist der Software-Dongle gebrochen?
  • Belegt ein anderes Produkt auf einem anderen Rechner die Lizenz? (http://localhost:22350/license_monitoring/sessions.html)

Dongle wird nicht gefunden.
  • Überprüfen Sie die Netzwerkeinstellungen.
  • Befindet sich der Stick in einer anderen Domäne, fügen Sie ihn zur Serversuchliste hinzu.
  • Erhöhen Sie die UDP-Antwortzeit.
  • Handelt es sich um eine Virtual Machine, dann konfigurieren Sie den Stick als Wechseldatenträger.
    Achtung: Die Konfiguration als Wechseldatenträger kann - abhängig von der Rechnerkonfiguration - auch dazu führen, dass ein Rechner nicht mehr bootet.
  • Konfigurieren Sie den Stick als HID.

Fehler 410
(bei SD Karten)

Die Verbindung zur SD-Karte ist instabil. Verwenden Sie einen externen Kartenleser.

Zertifizierte Uhrzeit kann nicht aktualisiert werden.

Überprüfen Sie:

  • Proxy-Einstellungen, vor allem Zugangsdaten und Passwort.
  • Liste der Zeitserver unter Einstellungen -> Zeitserver
    z. B.: cmtime.codemeter.com, cmtime.codemeter.de, cmtime.codemeter.fr, cmtime.codemeter.us.

Fehlermeldung bei Aktualisierung der Lizenz beim Einspielen einer WibuCmRaU Datei:

Fehler beim Update des CmSticks x-xxxxxxx:
Dieses Update kann nicht mehr eingespielt werden. Der Inhalt des CmSticks ist auf einem neueren Stand, Fehler 229.

Das Update für diese Lizenz wurde bereits auf den Dongle übertragen. Der Dongle ist auf dem aktuellsten Stand.

Windows Betriebssystem meldet:

Wenig Speicherplatz

Der Dongle wird als lokaler Speicher identifiziert. In einigen Fällen kann dies dazu führen, dass das Betriebssystem "Zu wenig Speicherplatz" meldet.

Diese Meldung kann ignoriert werden.

Alternativ kann der Dongle als HID konfiguriert werden. Damit scheint er nicht mehr in der Windows Laufwerksliste auf.

Windows Betriebssystem zeigt Symbol für den Papierkorb nicht mehr an.

Wenn der Dongle als fixes lokales Laufwerk identifiziert wird, kann es zu diesem Verhalten kommen.

Alternativ kann der Dongle als HID konfiguriert werden. Damit scheint er nicht mehr in der Windows Laufwerksliste auf.


Konfigurationsdatei zenAnalyzer.ini

zenon Analyzer > Konfigurationsdatei zenAnalyzer.ini

In der Konfigurationsdatei zenAnalyzer.ini werden Einstellungen für den zenon Analyzer gesetzt. Diese Dokumentation enthält Informationen für Systemadministratoren, die direkt in diese INI-Datei eingreifen wollen.

Die INI-Datei finden Sie im Pfad %cd_system%.
Sie ist nur vorhanden, wenn der Analyzer Server installiert ist. Sind nur der Report Launcher und/oder ZAMS am System vorhanden, existiert auch keine zenAnalyzer.ini.

info Info

Einstellungen sollten prinzipiell über die Oberfläche des zenon Analyzer vorgenommen werden. Änderungen in den INI-Dateien sind Experten vorbehalten.

Die zenAnalyzer.ini enthält folgende Abschnitte:

Abschnitt | Beschreibung
[NETZ] | Einstellungen zur Verbindungssicherheit.
[USER_LEVELS_3] | Informationen zu Benutzer und Benutzerberechtigungen.
[DEDICATED_USERS_3] | Konfiguration dedizierter Benutzer.
[CONNECTION_ZA2] | Informationen für Verbindungen zur Datenbank der Version ZA2.
[CONNECTION_ZAX] | Informationen für Verbindungen zur Datenbank der Version ZA3 und höher.
[DEBUG] | Aktivierung des Debugging.

Die Reihenfolge der Abschnitte und der Einträge in den Abschnitten kann variieren.

Speicherformat der INI-Dateien

Zum Lesen der INI-Dateien werden systembedingt nur ANSI und Unicode unterstützt.

attention Achtung

UTF-8 Speicherformat wird nicht unterstützt!

Sichern Sie ihre INI-Dateien deshalb immer als Textdatei im ANSI- oder Unicode-Format.

Noch in diesem Kapitel

Verbindungssicherheit und Timeout [NETZ]

Benutzer [USER_LEVELS_3]

Dedizierte Nutzer [DEDICATED_USERS_3]

Verbindung zu ZA2 [CONNECTION_ZA2]

Verbindung zu ZA3 und höher [CONNECTION_ZAX]

Fehlersuche [DEBUG]


Verbindungssicherheit und Timeout [NETZ]

zenon Analyzer > Konfigurationsdatei zenAnalyzer.ini > Verbindungssicherheit und Timeout [NETZ]

Einstellungen für die Verbindungssicherheit und Timeout

Verbindungssicherheit

Einstellungen zur Verbindungssicherheit dürfen nur über das ZAMS gesetzt werden. Verwenden Sie dazu den Dialog Verbindungssicherheit konfigurieren.

attention Achtung

Manuelle Änderung dieser Einträge in der zenAnalyzer.ini können dazu führen, dass keine Verbindung zum Analyzer Server, Lizenzserver oder Report Server mehr möglich ist.

Timeout

Eintrag | Beschreibung
RUNTIME_CONNECTOR_TIMEOUT_MSEC= | Verbindungstimeout des Connector Clients in Millisekunden. Wird vom Connector Stub vor jedem Aufruf einer Connector-Funktion ausgelesen. Änderungen werden sofort mit dem Speichern der zenAnalyzer.ini übernommen. Default: 300000 (5 Minuten)


Benutzer [USER_LEVELS_3]

zenon Analyzer > Konfigurationsdatei zenAnalyzer.ini > Benutzer [USER_LEVELS_3]

Einstellungen für die Benutzerberechtigungen.

Diese Einstellungen dürfen nur über das ZAMS gesetzt werden. Verwenden Sie dazu den Dialog Zugriffsrechte Analyzer Anwendungen.

attention Achtung

Manuelle Änderung dieser Einträge in der zenAnalyzer.ini können dazu führen, dass keine Verbindung zum Analyzer Server mehr möglich ist.

Diese Einträge werden vom Lizenzserver geschrieben, wenn er ein entsprechendes Kommando erhält. Die Einträge werden gelesen, wenn der Lizenzserver startet. Manuelle Änderungen in der INI-Datei werden nur berücksichtigt, wenn der Lizenzserver-Service zrsLicSrv neu gestartet wird.


Dedizierte Nutzer [DEDICATED_USERS_3]

zenon Analyzer > Konfigurationsdatei zenAnalyzer.ini > Dedizierte Nutzer [DEDICATED_USERS_3]

Einstellungen für dedizierte Benutzer mit fixer Lizenz.
Diese Einstellungen nehmen Sie im ZAMS über den Dialog Benutzer mit fixer Lizenz vor.

Diese Einträge werden vom Lizenzserver geschrieben, wenn er ein entsprechendes Kommando erhält. Die Einträge werden gelesen, wenn der Lizenzserver startet. Manuelle Änderungen in der INI-Datei werden nur berücksichtigt, wenn der Lizenzserver-Service zrsLicSrv neu gestartet wird.


Verbindung zu ZA2 [CONNECTION_ZA2]

zenon Analyzer > Konfigurationsdatei zenAnalyzer.ini > Verbindung zu ZA2 [CONNECTION_ZA2]

Einträge für die Verbindung des Connector Stubs zu einem Connector Container. Diese Einträge können nicht mit einem Tool erstellt werden. Daher müssen Sie bei Bedarf manuell in der INI-Datei geändert werden.

Die Einträge werden gelesen, wenn die erste Connector-Funktion nach dem SQL Server Start ausgeführt wird, die eine Verbindung mit einem Connector Conatainer benötigt. Werden diese Einträge geändert, muss sichergestellt werden, dass der Connector Stub die neuen Einträge verwendet. Dazu muss die SQL-Server Instanz, die für den Analyzer 2.xx verwendet wird, neu gestartet werden.

Eintrag

Beschreibung

[CONNECTION_ZA2]

Konfiguration der Datenbank-Verbindung der Connector Stub Komponente, die die Verbindung zum Connector Container herstellt.

Diese Einstellungen betreffen nur die Verbindung zu einer Analyzer Server Instanz ZA2. Verbindungen zu anderen Instanzen werden über die Einstellungen in Verbindung zu ZA3 und höher [CONNECTION_ZAX] konfiguriert.

USER=

Benutzername für die Verbindung.

Default: ReportingUser

PW=

Passwort für die Verbindung.
Das Passwort kann offen oder verschlüsselt eingegeben werden.

Hinweis: Die Eingabe eines verschlüsselten Passworts ist nicht über die INI-Datei möglich.

Default: Copa-Data

SQLINSTANCE=

Angabe der SQL-Server Instanz, zu der die Verbindung erfolgen soll.

Default: Localhost\ZA2


Verbindung zu ZA3 und höher [CONNECTION_ZAX]

zenon Analyzer > Konfigurationsdatei zenAnalyzer.ini > Verbindung zu ZA3 und höher [CONNECTION_ZAX]

Einträge für die Verbindung des Connector Stubs zu einem Connector Container. Diese Einträge können nicht mit einem Tool erstellt werden. Daher müssen Sie bei Bedarf manuell in der INI-Datei geändert werden.

Die Einträge werden gelesen, wenn die erste Connector-Funktion nach dem SQL Server Start ausgeführt wird, die eine Verbindung mit einem Connector Conatainer benötigt. Werden diese Einträge geändert, muss sichergestellt werden, dass der Connector Stub die neuen Einträge verwendet. Dazu muss die SQL-Server Instanz, die für den Analyzer 3.xx (oder höher) verwendet wird, neu gestartet werden.

Eintrag

Beschreibung

[CONNECTION_ZAX]

Konfiguration der Datenbank-Verbindung der Connector Stub Komponente, die die Verbindung zum Connector Container herstellt.

Diese Einstellungen betreffen nur die Verbindung zu einer Analyzer Server Instanz ZA3 oder höher. Verbindungen zu Instanzen der Version 2.xx werden über die Einstellungen in Verbindung zu ZA2 [ CONNECTION_ZA2 ] konfiguriert.

USER=

Benutzername für die Verbindung.

Default: ReportingUser

PW=

Passwort für die Verbindung.
Das Passwort kann offen oder verschlüsselt eingegeben werden.

Hinweis: Die Eingabe eines verschlüsselten Passworts ist nicht über die INI-Datei möglich.

Default: Copa-Data

SQLINSTANCE=

Angabe der SQL-Server Instanz, zu der die Verbindung erfolgen soll.

Default: Localhost\ZA3


Fehlersuche [DEBUG]

zenon Analyzer > Konfigurationsdatei zenAnalyzer.ini > Fehlersuche [DEBUG]

Einstellungen für das Debugging.

Diese Einstellungen können nur manuell in der INI-Datei vorgenommen werden.

Parameter

Beschreibung

[DEBUG]

Einstellungen für das Schreiben von erweiterten LOG-Einträgen.

EXTENDEDLOG=

Schaltet das Schreiben von erweiterten LOG-Einträgen aus oder ein:

  • 0: aus
  • 1: ein

Zu dem Zeitpunkt, an dem der erste LOG-Eintrag geschrieben werden soll, ist noch Schreibschutz aktiviert. Um sicherzustellen, dass auch der erste Eintrag geschrieben wird, muss der Lizenzserver-Service zrsLicSrv neu gestartet werden.

Default: 0


Datenaufbereitung

zenon Analyzer > Datenaufbereitung

Die Datenaufbereitung erfolgt mehrschichtig. Damit können Daten aus verschieden Quellen und Formaten universell ausgewertet und einfach gewartet werden.

  • Ebene 1: Datenabstraktion
    Auf unterster Ebene erfolgt die Datenabstraktion bzw. –vereinheitlichung. Sie stellt sicher, dass die Quelldaten für den eigentlichen Auswertealgorithmus immer im selben Format und in gleicher Weise zur Verfügung stehen.
  • Ebene 2: Verdichtung und Verrechnung
    Eine Ebene darüber erfolgt die eigentliche Verdichtung und Verrechnung zu jenen Daten, die letztendlich im Report dargestellt werden sollen. Diese Stufe ist bereits unabhängig von der Datenherkunft und somit universell.
  • Ebene 3: Report
    Die Ausgabedaten der zweiten Ebene werden dann im Report als dritte Ebene in grafische Form gebracht. Die Darstellung im Report ist wiederum unabhängig der zur Verrechnung notwendigen Algorithmen in der zweiten Ebene. Das bedeutet, dass im Report keine Berechnungen und Verdichtungen erfolgen sollen, die über reine Anzeige hinaus gehen (z. B. Formatierung von Lokalzeit o.ä.).

Noch in diesem Kapitel

Ebene 1: Datenabstraktion

Ebene 2: Verdichtung und Verrechnung

Ebene 3: Report


Ebene 1: Datenabstraktion

zenon Analyzer > Datenaufbereitung > Ebene 1: Datenabstraktion

Bei der Datenabstraktion werden zwei Kategorien von Daten unterschieden:

  1. Projektierungsdaten

    Diese bleiben über die Laufzeit grundsätzlich fest und werden hier als Metadaten bezeichnet.
    Die Metadaten werden beim Import in die Datenbank vom Import-Wizard abstrahiert bzw. vereinheitlicht. Sie liegen damit unabhängig von ihrer ursprünglicher Herkunft im de Format vor, wie im Kapitel Datenstrukturen definiert.

  2. Laufzeitdaten
    Die eigentlichen Laufzeitdaten sind jene Daten, die üblicherweise die Grundlage für alle Auswertungen bilden. Sie werden hier als Nutzdaten bezeichnet.

    Laufzeitdaten werden über Connectoren abgegriffen. COPA-DATA liefert einen Runtime-Connector und SQL-Connector mit dem zenon Analyzer aus. Individuelle Erweiterungen können in Absprache mit COPA-DATA in die Connectoren integriert werden.

Connector-Container

Der Connector-Container ist eine Anwendung (EXE), die am Quellsystem läuft und die Connector-Plugins (DLLs) lädt und ausführt. Der Connector-Container ist ein normaler Anwenderprozess (kein Dienst o.ä.), der üblicherweise mit der Applikation gestartet wird, welche die Daten liefern soll. Der Connector-Container öffnet einen TCP-Port und wartet auf Query-Anfragen vom Connector-Stub, worauf er das angefragten Connector-Plugin lädt und die zur Anfrage passende Zugriffsfunktion aufruft. Die Rückgabedaten werden dann an den Connector-Stub zurück gesendet. Es können mehrere Queries von verschiedenen TCP-Verbindungen parallel durchgeführt werden, wenn das Quellsystem das unterstützt.

Im Normalbetrieb ist der Connector-Container als Icon im Task-Tray eingetragen und hat kein Hauptfenster. Zusätzliche Statusinformationen können dort über einen Statusdialog angezeigt werden.

Mehr im Handbuch für Report-Entwickler im Kapitel Connectoren.

Dialog

Option | Beschreibung
Number of connectes Clients | Zeigt die Zahl der verbundenen Clients an.
Minimize | Minimiert den Dialog in den Infobereich der Taskleiste.
Exit | Beendet den Connector-Container.

Neustart

Wurde der Connector-Container beendet, kann er erneut gestartet werden durch:

  • Neustart des Rechners.
  • Manuellen Start.
    • Ab Windows 8: Task-Manager -> Registerkarte -> Autostart -> Connector-Container -> Dateipfad öffnen -> Doppelklick auf zrsConnector.exe.
    • Andere Betriebssysteme: Dateipfad öffnen -> Doppelklick auf zrsConnector.exe.
      Pfad 32-Bit: %Program Files (x86)%\Common Files\COPA-DATA\Connectors


Ebene 2: Verdichtung und Verrechnung

zenon Analyzer > Datenaufbereitung > Ebene 2: Verdichtung und Verrechnung

Jegliche Art der Verdichtung und Verrechnung der in Ebene 1 aufbereiteten Nutzdaten erfolgt in Stored Procedures. Diesen werden, wenn nötig, Filterkriterien über Parameter übergeben.

Die Stored Procedures sind unabhängig vom Format der Nutzdaten und von der visuellen Ausprägung des Ergebnisses. Sie beinhalten nur die Berechnungsalgorithmik und die Filtermethodiken bezogen auf die Metadaten.

So weit technisch möglich, sind sie auch unabhängig von konkreten Annahmen über die Metadaten, also unabhängig von konkreten Variablennamen. Ist dies nicht möglich, wird die Zuordnung zu diesen festen Metadatenbestandteilen am Anfang der Stored Procedure als eigener klar ersichtlicher Block realisiert, um projektspezifischen von universellem Auswerteteil zu trennen.


Ebene 3: Report

zenon Analyzer > Datenaufbereitung > Ebene 3: Report

Die in Ebene 2 generierten Ergebnisdaten werden in einem Report der SQL Server 2016 Reporting-Services grafisch formatiert. Im Report selbst erfolgen keine Berechnungen. Auch wird nie direkt auf Datenbanktabellen zugegriffen, sondern nur auf die Stored Procedures aus Ebene 2. Die Reports sind damit:

  • völlig unabhängig von der Datenbankstruktur
  • universell und
  • austauschbar


ZAMS - zenon Analyzer Management Studio

zenon Analyzer > ZAMS - zenon Analyzer Management Studio

Im zenon Analyzer Management Studio (ZAMS) stellen Sie die Reports bereit, die von Anwendern im Report Launcher aufgerufen, konfiguriert und angezeigt werden.
Hier starten Sie auch die externen Tools:

  • Manual Data
  • EditorMetadata Editor
  • Migration Tool
  • Prediction Model Manager

ZAMS ist die zentrale Anwendung für:

  • die Konfiguration des zenon Analyzer
  • das Erstellen von Reports aus den von COPA-DATA gelieferten Report-Vorlagen
  • das Erstellen, Bearbeiten und Löschen von Report-Abonnements und den dazugehörigen Zeitplänen am Analyzer Server
  • das Erstellen und Löschen von Linked Servern in der SQL Server Instanz des Analyzer Servers
  • das Bearbeiten von Metadatenbanken
  • das Migrieren von Datenbanken, Reports und Abonnements

info Info

ZAMS wird in der Sprache des Betriebssystems gestartet. Ist diese Sprache nicht in ZAMS implementiert oder fehlt die entsprechende Sprachdatei, wird ZAMS in Englisch gestartet. Details zu den Sprachen lesen Sie im Kapitel Spracheinstellungen.

Kommunikation

ZAMS kommuniziert über die Microsoft SQL Server 2016 Management Objects mit der Analyzer-Datenbank. Es verbindet sich:

  • zum SQL Server 2016 Reporting Service Web Service Endpunkt ReportService 2016 des Analyzer Servers
  • zur gewählten Datenbank am Analyzer Server
  • zum zrsLicSrv am Analyzer Server

Voraussetzungen Software

Für den Einsatz von ZAMS wird folgende Software vorausgesetzt:

  • Microsoft .NET Framework 4.6.2
    Dieses muss vor der Installation des ZAMS bereits am Rechner vorhanden sein.

Fehlerbehandlung

Fehlermeldungen, Warnungen und Nachrichten werden im Ausgabefenster entsprechend den gesetzten Optionen angezeigt.

Noch in diesem Kapitel

ZAMS starten

Beispiel für die Konfiguration

Checkliste bei Lizenzfehlern

Oberfläche

Analyzer Server und Reports

SQL-Server managen

RDL-Vorlagen verwalten

Reportstile

Cache löschen

Auswahl Ordner im Netzwerk

Sprachtabelle

Archivemulation

Berechnete Archive

Benutzerverwaltung und Zugriffsrechte


ZAMS starten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > ZAMS starten

Das zenon Analyzer Management Studio (ZAMS) wird mit dem zenon Analyzer installiert.

Bei der Installation wird der Benutzer, der das Setup ausführt, als Benutzer mit fixer Lizenz mit Berechtigungsebene 3 eingetragen.

Um ZAMS zu starten:

  1. Wählen Sie im Windows Startmenü den Eintrag COPA-DATA -> ZAMS
    oder
    führen Sie einen Doppelklick auf eine ZAMS Reportdatei ( .zams_rep) aus.

    ZAMS startet.

  2. Der Verbindungsdialog wird, je nach Einstellung in den Optionen, geöffnet.
    Wird er nicht angezeigt, kann er per Klick auf Mit Analyzer Server verbinden gestartet werden:

  3. Wählen Sie über Klick auf Verbindungsprofil die gewünschte Verbindung aus oder erstellen Sie eine neue Verbindung.
  4. Klicken Sie auf OK:
    • Der Verbindungstest wird durchgeführt.
    • Die Datenbankstruktur wird geprüft und die Lizenzvalidierung durchgeführt.
    • Die Verbindung wird aufgebaut.

    Hinweis: Wenn nötig, wird jeweils eine Fortschrittsanzeige eingeblendet.

    ZAMS steht zur Konfigration von Reports bereit.

Hinweis: Falls die Verbindung aufgrund fehlender Lizenzen scheitert, können Sie die COPA-DATA Lizenzverwaltung starten und eine Lizenz aktivieren oder zuweisen. Voreinstellungen für Verbindungsprofile, Bereitstellung von Reports und Nachrichten im Ausgabefenster treffen Sie in den Einstellungen im Menü Datei.

Übernahme der Konfiguration aus einer Vorversion

Beim Start einer neuen Version des ZAMS wird, sofern noch keine aktuellen Konfigurationsdateien zur Verfügung stehen, die Konfiguration der Vorversion übernommen. Dazu müssen deren Konfigurationsdateien noch auf dem Rechner vorhanden sein. Die Übernahme geschieht für jeden Benutzer extra.


Beispiel für die Konfiguration

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Beispiel für die Konfiguration

Ein Unternehmen möchte den zenon Analyzer einsetzen. Im Unternehmensnetzwerk stehen als Rechner zur Verfügung:

  • der Analyzer Server mit Namen SRV
  • eine Engineering Station mit Namen ENG

Beide liegen in der Domäne TEST. In der Domäne existieren folgende Benutzer:

  • TEST\Admin: Netzwerkadministrator.
    Nur dieser Benutzer darf Programme auf den Rechnern installieren. Dieser Benutzer soll als Administrator Zugriff auf den Analyzer haben, jedoch nicht permanent eine Lizenz belegen.
  • TEST\ZamsAdmin: Dieser Benutzer ist der zukünftige Analyzer Administrator.
    Er soll alle Analyzer Anwendungen einsetzen dürfen und sämtliche administrativen Aufgaben am Analyzer mit dem ZAMS erledigen können. Für diesen Benutzer soll eine Lizenz reserviert werden.
  • TEST\ReportViewer1, TEST\ReportViewer2 und TEST\ReportViewer3: Diese 3 Benutzer sollen Reports am Analyzer betrachten und ausführen dürfen, jedoch soll für keinen dieser Benutzer permanent eine Lizenz belegt werden.

Konfiguration

  1. TEST\Admin führt das Analyzer Server Setup auf dem Rechner SRV aus. Dieser Benutzer ist nach Abschluss des Setup als Benutzer mit fixer Lizenz mit Berechtigungseben 3 am Lizenzserver eingetragen. Er hat Administratorrechte sowohl in der SQL Server Instanz als auch am Report Launcher. Sonst hat kein Benutzer Zugriffsrechte auf den Analyzer.
  2. Der Benutzer TEST\Admin stellt sicher, dass der Dongle am Rechner SRV angesteckt ist und aktiviert die Dongle-Lizenz mit der COPA-DATA Lizenzverwaltung.
  3. TEST\Admin führt das ZAMS Setup auf dem Rechner ENG aus.
  4. TEST\Admin startet das ZAMS auf dem Rechner ENG. Die Verbindung wird zum Server SRV\ZA3 und auf diesem Server zur Datenbank ZA_DATA hergestellt. Beim Verbindungsaufbau erkennt das ZAMS, dass der Benutzer TEST\Admin die Berechtigungsebene 3 hat und eine Lizenz für ihn belegt werden konnte.
  5. Der Benutzer TEST\Admin
    1. startet im ZAMS die Verwaltung der Zugriffsrechte auf die Analyzer Anwendungen
    2. fügt den Benutzer TEST\ZamsAdmin hinzu
    3. setzt für diesen das höchstmögliche Zugriffsrecht
    4. bestätigt den Dialog mit OK.
  6. Der Benutzer TEST\Admin
    1. startet im ZAMS die Verwaltung der Report Launcher Zugriffsrechte
    2. fügt den Benutzer TEST\ZamsAdmin als Administrator zur Konfiguration der Systemzugriffsrechte hinzu
    3. fügt den selben Benutzer bei den Objektzugriffsrechten des Stammordners hinzu
    4. setzt seine Zugriffsrechte dort auf Content Manager
    5. bestätigt den Dialog mit OK.
  7. Der Benutzer TEST\Admin beendet das ZAMS und meldet sich vom Rechner ENG ab.
  8. Der Benutzer TEST\ZamsAdmin meldet sich am Rechner ENG an und startet das ZAMS. Die Verbindung wird zum Server SRV\ZA3 und auf diesem Server zur Datenbank ZA_DATA hergestellt. Beim Verbindungsaufbau erkennt das ZAMS, das der Benutzer TEST\ZamsAdmin die Berechtigungsebene 3 hat und eine Lizenz für ihn belegt werden konnte.
  9. Der Benutzer TEST\ZamsAdmin
    1. startet im ZAMS die Verwaltung der Benutzer mit fixer Lizenz
    2. fügt sich selbst hinzu
    3. entfernt den Benutzer TEST\Admin aus der Liste
    4. beendet den Dialog.
  10. Der Benutzer TEST\ZamsAdmin
    1. startet im ZAMS die Verwaltung der Zugriffsrechte für den Report Launcher
    2. fügt die 3 Benutzer TEST\ReportViewer1, TEST\ReportViewer2 und TEST\ReportViewer3 als Benutzer zur Konfiguration der Systemzugriffsrechte hinzu
    3. fügt dieselben 3 Benutzer bei den Objektzugriffsrechten des Stammordners hinzu
    4. belässt deren Zugriffsrechte dort auf Browser
    5. bestätigt den Dialog mit OK

Die Konfiguration wurde erfolgreich durchgeführt.


Checkliste bei Lizenzfehlern

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Checkliste bei Lizenzfehlern

Kann das ZAMS aufgrund von Lizenzfehlern keine Verbindung aufbauen oder wird die Verbindung abgebrochen, überprüfen Sie:

  • Ist der Dongle vom Analyzer Server aus erreichbar?
  • Ist die Lizenz aktiviert und dem zenon Analyzer zugewiesen?
  • Ist der TCP Port 50779 am Analyzer Server offen?
  • Kann der Lizenz-Client mit dem Lizenz-Server kommunizieren?
    Hinweis: Z. B. Firewalls oder Netzwerkausfälle können das verhindern.
  • Hat der Benutzer die benötigte Berechtigungsebene?
  • Ist für den Benutzer eine Lizenz verfügbar?
    Hinweis: Benutzer mit fixer Lizenz belegen Lizenzen, auch wenn sie nicht verbunden sind.
  • Ist die Reportvorlage bzw. der Report im Lizenzumfang enthalten?


Oberfläche

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche

Die Oberfläche des ZAMS besteht aus:

  • Menüs, Ribbons und Symbolleisten:
    Diese enthalten Elemente, die den Zugriff auf Aktionen und Befehle ermöglichen.
    Es stehen zur Verfügung:
    • Menü Datei
    • Ribbons
    • Symbolleiste Schnellzugriff
  • Hauptfenster:
    Kann mehrere Seiten enthalten. Jede Seite verfügt über eine Registerkarte. Die Navigation erfolgt über Klick auf die jeweilige Registerkarte.
    Die Seiten können über Klick auf das X in der Registerkarte geschlossen werden.
    • Startseite: Seite, die beim Start geöffnet wird.
    • Reportseiten: Seiten zur Darstellung und Konfiguration von Reports. Jeder Report wird in einer eigenen Seite angezeigt und konfiguriert.
      Jede Reportseite enthält:

      - Symbol in Registerkarte, ob der Report korrekt validiert werden konnte.

      - Bereich zur Verwaltung der Datenquellen und der Filtereinstellungen.

      - Design-Bereich für die grafische Konfiguration des Reports.

  • Eigenschaftenfenster:
    Konfiguration der Report-Einstellungen. Diese Fenster kann ausgeblendet werden.
  • Ausgabefenster:
    Zeigt Fehler, Warnungen, Meldungen und Statusnachrichten an.
    Das Fenster kann ausgeblendet werden.
  • Statuszeile:
    Zeigt Hinweise zu Verbindungen, Reports und Aktionen an.
  • Schiebelinien:
    Ermöglichen es, das Größenverhältnis zwischen einzelnen Bereichen anzupassen.

Beim Beenden des ZAMS werden Positionen und Größen der Fensters sowie der Aufklappzustand und die Positionen der Schiebelinien gespeichert.

Hinweis: Über die Aktion Default-Layout im Ribbon Ansicht kann die Ansicht der Oberfläche auf den Auslieferungszustand zurückgesetzt werden.

Verfügbarkeit

Ob ein Eintrag und das korrespondierende Symbol aktiv sind oder nicht, hängt von diesen Faktoren ab:

  • Ist eine Verbindung hergestellt und verfügt diese über eine gültige Lizenz?
  • Sind Reports geöffnet und ist der momentan aktiv geschaltene Report schreibgeschützt?
  • Läuft gerade eine Aktion in einem Hintergrund-Thread (z.B. Bereitstellen, Im Report Builder öffnen)?
  • Konfiguration der Verbindungssicherheit oder des E-Mail Servers: ZAMS muss am gleichen Rechner wie der Analyzer Server laufen.

Dabei gilt: Ein Faktor wird nur beachtet, wenn alle übergeordneten Faktoren den Eintrag als aktiv ansehen.

Soll eine Aktion ausgeführt werden, die den Verbindungs- oder Lizenzstatus verändern kann, werden zuvor alle Reports geschlossen. Der Benutzer wird darauf hingewiesen und kann das Schließen unterbrechen. Konnten nicht alle Reports geschlossen werden, wird die Aktion nicht ausgeführt.

Fortschrittsanzeige

Operationen in ZAMS werden durch Fortschrittsanzeigen visualisiert:

  • Schrittanzeige: Prozesse in mehreren Schritten werden durch eine entsprechende Anzeige mit Informationen zu den einzelnen Schritten dargestellt.
  • Fortschrittsanzeige: Wenn Operationen im ZAMS länger als 2 Sekunden dauern und keine Schrittanzeige verfügbar ist, wird eine allgemeine Fortschrittsanzeige in Form eines Ladebalkens angezeigt.

Noch in diesem Kapitel

Menüs und Ribbons

Einstellungen

Hauptfenster

Eigenschaftenfenster

Ausgabefenster

Statuszeile

Tastenkombinationen


Menüs und Ribbons

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Menüs und Ribbons

Die Navigation in ZAMS wird über Menüs und Ribbons organisiert.
Folgende Menüs und Ribbons stehen zur Verfügung:

Menü:

  • Datei

Ribbons:

  • Analyzer Server
  • SQL-Server
  • Optionen
  • Report
  • Design (Nur verfügbar, wenn ein Reportfenster den Fokus hat.)
  • Ansicht

Aufbau Ribbons

Ribbons bestehen aus:

  • Registerkarte:
    Ermöglicht Auswahl des Ribbon und enthält Beschriftung. Ist zu wenig Platz für das Anzeigen des gesamten Ribbon zur Verfügung, wird eine Standardschaltfläche angezeigt. Klick darauf öffnet ein Menü mit den Aktionen und eventuell weiteren Standardschaltflächen.
  • Ribbon-Gruppe:
    Unterteilen das Ribbon in Gruppen. Diese enthalten eine oder mehrere Aktionen und/oder Standardschaltflächen.
  • Standardschaltflächen:
    Zeigen das Vorhandensein von Untermenüs an.
  • Aktionen:
    Ermöglichen die Konfiguration und öffnen Dialoge.
    Aktionen werden mit einem kurzen Untertitel gekennzeichnt. Eine längere Beschreibung ist über einen Tooltip verfügbar.

Ribbons können ausgeblendet oder wieder angezeigt werden über die Aktion Ribbon minimieren/Ribbon wiederherstellen in der Symbolleiste Schnellzugriff. Ausblenden ist auch per Doppelklick auf die Registerkarte eines Ribbon möglich.

Beispiel Ribbon SQL-Server

  • Registerkarte: SQL-Server
  • Ribbon-Gruppen:
    • Datenbank
    • Datenbanksicherung
    • Administration
    • Datenverarbeitung
  • Default-Schaltfläche in der Ribbon-Gruppe Datenbanksicherung:
    • Wiederherstellen
      Enthält die Aktionen Wiederherstellen, als neue Datenbank rücklesen und Reporting Services Datenbank wiederherstellen.
  • Aktionen in der Ribbon-Gruppe Datenbank:
    • Neu
    • Konvertieren

Noch in diesem Kapitel

Datei

Schnellzugriff

Analyzer Server

SQL-Server

Optionen

Report

Design

Ansicht


Datei

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Menüs und Ribbons > Datei

Das Menü Datei enthält eine Liste von allgemeinen Aktionen und eine Liste der Reports, die zuletzt bearbeitet wurden.

Aktionen

Aktion

Beschreibung

Neuer Report

Öffnet ein neues Fenster zum Erstellen eines Reports und setzt den Fokus auf das Ribbon Report.

Reportdefinition öffnen

Öffnet ein neues Reportfenster zur Auswahl eines bestehenden Reports oder Erstellen eines neuen Reports.

Reportdefinition speichern

Speichert den Report des Fensters, das den Fokus hat.

Reportdefinition speichern als

Speichert den Report des Fensters, das den Fokus hat unter einem neuen Namen.

Alle Reportdefinitionen speichern

Speichert alle geöffneten Reportdefinitionen.

Report schließen

Schließt den aktuell aktiven Report.

Tastenkombination: Strg+F4
Hinweis: Mit der Tastenkombination kann nur ein Reportfenster geschlossen werden. Das Startfenster kann nur über Klick auf die Schaltfäche X geschlossen werden.

Alle Reports schließen

Schließt alle geöffneten Reports.

Tastenkombination: Strg+Umschalt+F4

Einstellungen

Öffnet den Dialog mit den Einstellungen für:

  • Verbindungsprofile
  • Bereitstellung
  • Ausgabemeldungen
  • Spracheinstellungen
  • Datenbank-Sicherungen

Versionsinformation Analyzer Server

Öffnet Fenster mit Informationen zu:

  • Version des Betriebssystems
  • Version des zenon Analyzer

Versionshinweis

Öffnet Fenster mit Informationen zur ZAMS-Version.

Hilfe

Öffnet die Online-Hilfe.
Tastenkombination: F1

Beenden

Beendet ZAMS.

Liste Reports

Diese Liste zeigt die zuletzt bearbeiteten Reports an, sortiert nach letzter Nutzung mit dem aktuellsten Report an oberster Stelle.
Die Zahl der Reports in der Liste wird in den Einstellungen in der Registerkarte Verbindungsprofile über die Option Maximale Anzahl an Reports in Historie festgelegt.


Schnellzugriff

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Menüs und Ribbons > Schnellzugriff

Das Ribbon enthält 5 vordefinierte Aktionen und ein Konfigurationsmenü. Diese Aktionen können nicht individuell angepasst werden.
Die Symbolleiste für den Schnellzugriff kann wahlweise über oder unter den Ribbons angezeigt werden.

Standardbelegung

Aktion

Beschreibung

Mit Analyzer Server verbinden

Öffnet den Dialog mit den Verbindungsprofilen.

Reportdefinition speichern

Speichert den Report, der den Fokus hat.

Alle Reportdefinitionen speichern

Speichert alle geöffneten Reportdefinitionen.

Report bereitstellen

Ermöglicht die Bereitstellung des aktiven Reports.

Nur verfügbar, wenn keine Validierungsfehler vorhanden sind. Validierungsfehler werden in einem Tooltip angezeigt.

Alle Reports bereitstellen

Ermöglicht die Bereitstellung aller geöffneten Reports.

Nur verfügbar, wenn keine Validierungsfehler vorhanden sind. Validierungsfehler werden in einem Tooltip angezeigt.

Rückgängig

Ermöglicht es, Aktionen in der Konfiguration rückgängig zu machen. Klick auf das Symbol macht genau die letzte Aktion rückgängig. Klick auf den Pfeil öffnet die Dropdownliste mit der Anzahl der Schritte.

Aktionen in Dialogfenstern können nicht rückgängig gemacht werden.

Wiederherstellen

Ermöglicht es, rückgängig gemachte Aktionen wiederherzustellen. Klick auf das Symbol stellt genau die letzte rückgängig gemachte Aktion wieder her. Klick auf den Pfeil öffnet die Dropdownliste mit der Anzahl der Schritte.

Die Schaltfläche steht nur zur Verfügung, wenn:

  • davor mindestens 1 Schritt rückgängig gemacht wurde
  • seit dem rückgängig Machen keine Aktion in der Reportkonfiguration vorgenommen wurde

Konfigurationsmenü:
Symbolleiste für den Schenllzugriff anpassen

Ermöglicht die Anpassung der Anzeige der Symbolleiste und des Ribbon:

  • Schnellzugriffsleiste anpassen:
    Aktuell nicht verfügbar.
  • Unter dem Ribbon anzeigen:
    Zeigt die Symbolleiste für den Schnellzugriff unter dem Ribbon an.
  • Ribbon minimieren/Ribbon wiederherstellen:
    Blendet Ribbons aus oder ein. Ausblenden ist auch per Doppelklick auf die Registerkarte eines Ribbon möglich.


Analyzer Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Menüs und Ribbons > Analyzer Server

Das Ribbon enthält Aktionen für den Analyzer Server.

Aktionen

Analyzer Server

Verbindung zum Analyzer Server.

Aktion | Beschreibung
Verbinden | Öffnet Dialog mit Verbindungsprofilen.

Einstellungen

Einstellungen am Analyzer Server.

Aktion | Beschreibung
Verbindungssicherheit | Öffnet den Dialog zur Konfiguration der Verbindungssicherheit. Hinweis: Diese Funktionalität steht nur zur Verfügung, wenn das ZAMS am Analyzer Server läuft und zu einer Analyzer Datenbank mit gültiger Lizenz am selben Rechner verbunden ist und keine andere Aufgabe im Hintergrund läuft.
E-Mail Server | Öffnet den Dialog, um einen E-Mail Server zu konfigurieren. Hinweis: Diese Funktionalität steht nur zur Verfügung, wenn das ZAMS am Analyzer Server läuft und zu einer Analyzer Datenbank mit gültiger Lizenz am selben Rechner verbunden ist und keine andere Aufgabe im Hintergrund läuft.
Aktivierungsaufruf | Öffnet den Dialog zur Konfiguration eines Aktivierungsaufrufs. Dieser initialisiert die Reporting Services und verhindert, dass der Cache geleert wird. Dieser periodische Aufruf kann die Wartezeit beim Aufrufen des Report Launcher sowie beim Verbinden von ZAMS und Migration Tool verkürzen.

Benutzerverwaltung

Konfiguration der Benutzer und deren Rechte.

Aktion | Beschreibung
Analyzer Anwendungen | Öffnet Dialog zur Verwaltung der Zugriffsrechte auf die Analyzer Anwendungen.
Report Launcher | Öffnet Dialog zur Verwaltung der Zugriffsrechte auf die Objekte im Report Launcher.
Lizenzreservierung | Öffnet Dialog zur Verwaltung der Benutzer mit fixer Lizenz.

Lizenz

Anzeige und Konfiguration der Lizenzen.

Aktion

Beschreibung

Lizenz anzeigen

Öffnet Dialog mit Informationen zur aktuellen Lizenz:

  • Seriennummer
  • Lizenzstatus
  • lizenzierte Reportthemen

Produkt lizenzieren

Öffnet den Wizard/Dialog der COPA-DATA Lizenzverwaltung.


SQL-Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Menüs und Ribbons > SQL-Server

Das Ribbon enthält Aktionen für den SQL-Server.

Aktionen

Datenbank

Datenbanken erstellen und konvertieren.

Aktion | Beschreibung
Neu | Öffnet den Dialog zum Erstellen einer neuen Analyzer Datenbank.
Konvertieren | Startet die Konvertierung von Datenbanken, deren Versionsnummer kleiner als die aktuelle Versionsnummer ist.

Datenbanksicherung

Datenbanken sichern und wiederherstellen.

Aktion

Beschreibung

Erstellen

Öffnet den Dialog zum Erstellen einer Datenbanksicherung.

Automatisiert

Öffnet den Dialog zum Verwalten der automatisch erstellten Datenbanksicherungen.

Wiederherstellen

Enthält Aktionen zum:

  • Wiederherstellen:
    Öffnet den Dialog zum Rücklesen einer Datenbanksicherung.
  • Als neue Datenbank rücklesen:
    Öffnet den Dialog zum Rücklesen einer Datenbanksicherung als neue Datenbank.
  • Reporting Services Datenbank wiederherstellen:
    Öffnet den Dialog zum Rücklesen der Reporting Services Datenbank.

Dateien verwalten

Öffnet den Dialog zum Verwalten der Sicherungsdateien der Datenbanken.

Administration

Verwaltungsaufgaben.

Aktion | Beschreibung
Linked Server | Öffnet den Dialog zur Verwaltung der Linked Server.
Metadaten-Indizes | Öffnet den Dialog zur Verwaltung der Metadaten-Indizes.

Datenverarbeitung

Konfiguration von Connectoren und Archiven.

Aktion | Beschreibung
SCADA SQL-Connector | Öffnet den Dialog zum Erstellen eines SQL Connectors.
Connector für Fremddatenbanken | Startet die Konfiguration des Connectors für Fremddatenbanken.
Berechnete Archive | Startet den Dialog zur Konfiguration berechneter Archive.
Emulierte Archive | Öffnet den Dialog zur Konfiguration emulierter Archive.
SQL Server-Erweiterungen aktualisieren | Erneuert die SQL Server-Erweiterungen. Ergebnis wird im Ausgabefenster angezeigt.


Optionen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Menüs und Ribbons > Optionen

Das Ribbon enthält Aktionen für die Optionen.

Aktionen

Tools

Editoren und Tools.

Aktion | Beschreibung
Metadata Editor | Ermöglicht es, Anzeigenamen und Beschreibungen anzupassen, Anlageninformationen einzutragen und Effizienzklassen-Modelle zu erstellen.
Manual Data Editor | Ermöglicht die Bearbeitung von Tabellen für Preis- und Normwerte in einer zenon Analyzer Metadaten Datenbank sowie die Verwaltung von Gradtagszahlen.
Migration Tool | Ermöglicht die Migration der Analyzer Server.

Automatisierung

Automatisierung über Zeitpläne und Abonnements.

Aktion | Beschreibung
Zeitpläne | Öffnet Dialog zur Verwaltung der Zeitpläne für die Verteilung von Reports.
Abonnements | Öffnet Dialog zur Verwaltung der Report-Abonnements.

Anpassung

Anpassung von Farben, Sprache und Vorlagen.

Aktion | Beschreibung
Reportstile | Öffnet den Dialog zur Erstellung, Bearbeitung und Verwaltung von Reportstilen.
RDL-Vorlagen | Öffnet den Dialog zum Verwalten von RDL-Vorlagen.
Sprachtabelle | Öffnet den Dialog zur Konfiguration der Sprachtabelle.

Cache

Operationen für den Cache.

Aktion | Beschreibung
Löschen | Aktualisiert den ZAMS Cache.


Report

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Menüs und Ribbons > Report

Das Ribbon enthält Aktionen für die Erstellung, Bearbeitung und Verwaltung von Reports.

Aktionen

Report

Befehle in der Ribbon-Gruppe Report:

Aktion

Beschreibung

Bereitstellen

Ermöglicht die Bereitstellung des aktiven Reports.

Nur verfügbar, wenn keine Validierungsfehler vorhanden sind. Validierungsfehler werden in einem Tooltip angezeigt.

Alle Bereitstellen

Ermöglicht die Bereitstellung aller geöffneten Reports.

Nur verfügbar, wenn keine Validierungsfehler vorhanden sind. Validierungsfehler werden in einem Tooltip angezeigt.

Struktur aktualisieren

Stellt den aktiven Report bereit und behält dabei das aktuelle Layout bei. Alle Report-Elemente sowie Kopfzeile und Fußzeile werden beibehalten.

Nur verfügbar, wenn keine Validierungsfehler vorhanden sind. Validierungsfehler werden in einem Tooltip angezeigt.

Struktur für alle aktualisieren

Stellt alle geöffneten Reports bereit und behält dabei das jeweils aktuelle Layout bei. Alle Report-Elemente sowie Kopfzeile und Fußzeile werden beibehalten.

Nur verfügbar, wenn keine Validierungsfehler vorhanden sind. Validierungsfehler werden in einem Tooltip angezeigt.

CD_REPORTLAUNCHER>

Report Launcher starten und Reports öffnen.

Aktion | Beschreibung
Start | Öffnet den Report Launcher. Beim Starten des Report Launcher oder Öffnen von Reports im Report Launcher wird der Internet Explorer vom ZAMS direkt als ActiveX angesprochen.
Report öffnen | Öffnet den aktuell im ZAMS angezeigten Report im Report Launcher.
Alle Reports öffnen | Öffnet alle aktuell im ZAMS geöffneten Reports im Report Launcher.

Report Builder

Microsoft Report Builder starten und Reports öffnen. Der Report Builder muss dazu bereits am System vorhanden sein.
Hinweis: Für das ZAMS wird der Report Builder mitinstalliert. Im Report Launcher kann der Report Builder über eine Schaltfläche im Hauptverzeichnis von der Microsoft Website heruntergeladen werden.

Aktion | Beschreibung
Start | Öffnet den Microsoft Report Builder.
Report öffnen | Öffnet den aktiven Report im Microsoft Report Builder. Hinweis: Der Report Builder wird nur dann gestartet, wenn der Report am Server auffindbar ist.
Alle öffnen | Öffnet alle geöffneten Reports im Microsoft Report Builder. Hinweis: Der Report Builder wird nur für am Server auffindbare Reports gestartet. Achtung: Für jeden zu öffnenden Report wird für jede Sprachvariante eine eigene Report Builder Instanz geöffnet. Sollen mehr als 10 Instanzen geöffnet werden, wird eine Warnung angezeigt und ein Dialog geöffnet, in dem das Öffnen abgebrochen werden kann.


Design

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Menüs und Ribbons > Design

Das Ribbon enthält Aktionen für das Design von Reports.

Zur Verfügung stehen Bereiche für:

  • Rückgängig/Wiederherstellen von Aktionen
  • Einfügen von Reportelementen
  • Layout
  • den Parameterbereich
  • die Parameterbereichszelle

Hinweis: Wird nur eingeblendet, wenn Reports angezeigt werden. Welche Aktionen angeboten werden, hängt ab von der gewählten Reportvorlage, dem Konfigurationsstatus des Reports und der Position der Einfügemarke im Designbereich.

Aktionen

Rückgängig/Wiederherstellen

Aktionen zum Einfügen von Reportelementen:

Aktion

Beschreibung

Rückgängig

Ermöglicht es, Aktionen in der Konfiguration rückgängig zu machen. Klick auf das Symbol macht genau die letzte Aktion rückgängig. Klick auf den Pfeil öffnet die Dropdownliste mit der Anzahl der Schritte.

Aktionen in Dialogfenstern können nicht rückgängig gemacht werden.

Wiederherstellen

Ermöglicht es, rückgängig gemachte Aktionen wiederherzustellen. Klick auf das Symbol stellt genau die letzte rückgängig gemachte Aktion wieder her. Klick auf den Pfeil öffnet die Dropdownliste mit der Anzahl der Schritte.

Die Schaltfläche steht nur zur Verfügung, wenn:

  • davor mindestens 1 Schritt rückgängig gemacht wurde
  • seit dem rückgängig Machen keine Aktion in der Reportkonfiguration vorgenommen wurde

Reportelemente

Aktionen zum Einfügen von Reportelementen:

Aktion | Beschreibung
Tabelle | Fügt eine Tabelle in den Designbereich ein. Beim Einfügen wird ein Dialog zur Auswahl und Konfiguration geöffnet. Welche Tabellentypen zur Verfügung stehen, hängt ab von der Reportvorlage.
Diagramme | Auswahl eines Diagramms. Beim Einfügen wird ein Dialog zur Konfiguration geöffnet. Welche Diagrammtypen zur Verfügung stehen, hängt ab von der Reportvorlage.

Layout

Nur verfügbar, wenn ein Report ausgewählt ist, eine Reportvorlage vorhanden ist und keine Validierungsfehler aufgetreten sind.
Enthält Aktionen zur Konfiguration des Layouts:

Aktion

Beschreibung

Generiere Layout

Fügt ein Standardlayout in den Designbereich ein.

Klick auf das Symbol erzeugt alle Elemente für den gesamten Report. Entspricht der Detailauswahl Gesamter Report.

Klick auf die Pfeiltaste öffnet eine Dropdownliste zur Auswahl der gewünschten Aktion:

  • Parameterbereich und Reportname
  • Report Hauptteil
  • Gesamter Report

Parameterbereich

Aktionen für den Parameterbereich.
Werden angezeigt bei einem Klick in einen leeren Parameterbereich.

Aktion

Beschreibung

Neue Spalte hinzufügen

Fügt eine neue Spalte ein, sofern genügend Platz vorhanden ist.

Neue Zeile hinzufügen

Fügt eine neue Zeile ein, sofern genügend Platz vorhanden ist.

Letzte Spalte löschen

Löscht die äußerst rechte Spalte.
Voraussetzungen:

  • Es darf keine der Zellen dieser Spalte mit einer Zelle einer Nachbarspalte verknüpft sein.
  • Keine Zelle dieser Spalte darf konfiguriert sein.

Letzte Zeile löschen

Löscht die unterste Zeile.
Voraussetzung: Keine Zelle dieser Zeile darf konfiguriert sein.

Parameterbereichszelle

Aktionen für Zellen im Parameterbereich.
Werden angezeigt bei Klick in ein Element im Parameterbereich.

Aktion | Beschreibung
Mit linker Zelle zusammenführen | Verbindet die ausgewählte Zelle mit der links von ihr befindlichen Zelle. Die Reportparameter der zweiten Zelle werden überschrieben.
Mit rechter Zelle zusammenführen | Verbindet die ausgewählte Zelle mit der rechts von ihr befindlichen Zelle. Die Reportparameter der zweiten Zelle werden überschrieben.
Teilen | Teilt eine verbundene Zelle wieder in ihre ursprünglichen Zellen auf. Die äußerst linke Zelle behält den konfigurierten Reportparameter. Die neu erstellten Zellen bleiben leer.


Ansicht

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Menüs und Ribbons > Ansicht

Das Ribbon enthält Aktionen für die Anzeige des ZAMS.

Aktionen

Ansicht

Layout und Startseite.

Aktion

Beschreibung

Default-Layout

Stellt die Konfiguration der ZAMS-Oberfläche auf den Auslieferungszustand zurück.

Zurückgestellt werden:

  • Dialoge, die größenveränderbar und/oder verschiebbar sind
  • die Fenstergröße
  • abhängig vom Dialog auch Spaltenbreiten
  • Einstellungen für Trenner
  • Aufklappzustände

Startseite

Öffnet die Startseite.


Einstellungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Einstellungen

Die Einstellungen für das ZAMS erreichen Sie über den Menüpunkt Einstellungen im Menü Datei. Sie stehen unabhängig von einer Verbindung zum Analyzer Server und unabhängig von einer gültigen Lizenzen zur Verfügung. Die Einstellungen sind deaktiviert, wenn einer der folgenden Aktionen ausgeführt wird: Öffnen, Bereitstellen, Alle bereitstellen, Im Microsoft Report Builder öffnen oder Alle im Microsoft Report Builder öffnen.

In den Einstellungen werden konfiguriert:

  • Verbindungsprofile
  • Bereitstellung von Reports
  • Meldungen im Ausgabefenster
  • Spracheinstellungen
  • Datenbanksicherungen

Noch in diesem Kapitel

Verbindungsprofile

Bereitstellung

Ausgabemeldungen

Spracheinstellungen

Datenbank-Sicherungen


Verbindungsprofile

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Einstellungen > Verbindungsprofile

In dieser Registerkarte definieren Sie das Startverhalten des ZAMS.

Option

Beschreibung

Verbindungsprofile

Einstellungen für Verbindungsprofile.

Maximale Verbindungsprofile

Anzahl der Verbindungsprofile, die gespeichert werden. Wird die eingestellte Anzahl durch Anlegen eines neuen Verbindungsprofils überschritten, dann wird das Profil, das am längsten nicht mehr verwendet wurde, gelöscht.

Eingabe in Feld oder Konfiguration über Pfeiltasten.

  • Minimum: 1
  • Maximum: 255

Verbindungsprofile verwalten

Öffnet den Dialog zur Verwaltung der Verbindungsprofile.

Maximale Anzahl an Reportdefinitionen in Historie.

Anzahl der Reportdefinitionen, die im Menü Datei und auf der Startseite in der Liste der Zuletzt bearbeitete Reportdefinitionen angezeigt werden.

  • Minimum: 0 (es wird kein Report angezeigt)
  • Maximum: 255
    Wird durch einen hinzukommenden Report das erlaubte Maximum überschritten, dann wird der älteste Eintrag gelöscht.

Default: 3

Dieser Wert gilt für alle Verbindungsprofile. Mit Klick auf OK wird das neue Maximum in die Konfiguration geschrieben. Alle Verbindungsprofile werden sofort auf Einhaltung des Maximums geprüft. Wenn nötig, werden die ältesten Einträge gelöscht.

Einträge können über die Schaltfläche x einzeln aus der Liste entfernt werden. Das Entfernen eines Eintrags wird automatisch angeboten, wenn eine Reportdefintion der Liste zum Öffnen gewählt wird und diese im Speicherpfad nicht mehr vorhanden ist. Die Liste kann auch komplett gelöscht werden.

Aktion bei Programmstart

Definition der Aktion beim Start des ZAMS.

Verbindungsdialog ausblenden

Aktiv: Es wird nur das Hauptfenster angezeigt.

Verbindungsdialog mit Standardeinstellungen anzeigen

Aktiv: Der Dialog für den Verbindungsaufbau wird mit den Werten für ein neues Verbindungsprofil geöffnet.

Verbindungsdialog mit zuletzt benutztem Profil anzeigen

Aktiv: Der Dialog für den Verbindungsaufbau wird mit den Werten für das zuletzt genutzte Verbindungsprofil geöffnet.

Timeout für SQL Server-Anweisung

Eingabe des SQL Server Statement Timeouts.

Dieses Timeout tritt in Kraft, wenn ein einzelnes SQL Statement länger als hier definiert läuft, z. B. bei der Sicherung oder Wiederherstellung einer großen Datenbank. Bei neuen Verbindungen wird der aktuell eingestellte Wert für das Timeout verwendet. Wird dieser in den Optionen geändert, dann werden bestehende Verbindungen an den neuen Wert angepasst.

Das Timeout kann auf einen Wert zwischen 1 Minute und 7 Tagen eingestellt werden.

Eingabeelemente:

  • Zahlenelement:
    Eingabe der Quantität direkt in das Feld oder über Pfeiltasten.
    Mögliche Werte für:
    - Tage: 1 - 7
    - Stunden: 1 - 168
    - Minuten: 1 - 10080
  • Dropdownliste für Granularität:
    Mögliche Werte:
    - Minuten
    - Stunden
    - Tage
    Diese Auswahl beeinflusst den Wertbereich des Zahlenelements.

Default: 4 Stunden

Liste für aktuelles Verbindungsprofil löschen

Klick auf die Schaltfläche löscht die Liste der zuletzt verwendeten Reportdefinitionen der aktuellen Verbindung von der Startseite. Vor dem Löschen erfolgt eine Sicherheitsabfrage.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Verbindungsprofile verwalten


Verbindungsprofile verwalten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Einstellungen > Verbindungsprofile > Verbindungsprofile verwalten

Verbindungsprofile werden in einem eigenen Dialog verwaltet. Sie können gelöscht und editiert werden. Der Aufbau und die Konfiguration sind ident für:

  • ZAMS
  • Metadata Editor
  • Manual Data Editor
  • Prediction Model Manager

Es können aber immer nur die Profile des jeweiligen Tools verwaltet werden.
Verbindungsprofile für das Migration Tool werden in einem eigenen Dialog verwaltet.

attention Achtung

Änderungen in diesem Dialog werden nur ausgeführt, wenn auch der übergeordnete Dialog, aus dem die Verwaltung der Profile geöffnet wurde, mit Klick auf OK bestätigt wird.

Option

Beschreibung

Liste Verbindungsprofile

Die Tabelle zeigt alle editierbaren Verbindungsprofile an.

Hinweis: Metadata Editor und Manual Data Editor können die ZAMS-Verbindungsprofile nicht bearbeiten.

Es werden folgende Spalten angezeigt:

  • Verbindungsprofil: Profilname
  • Server Computername: Computername des SQL Servers
  • Datenbank: verknüpfte Datenbank
  • Abgesicherte Kommunikation: Anzeige über Checkbox, ob Kommunikation abgesichert erfolgt

Mehrfachauswahl ist möglich.

Alle auswählen

Markiert alle Einträge.

Auswahl aufheben

Hebt die Markierung von Einträgen auf.

Bearbeiten

Öffnet den Dialog zur Bearbeitung eines Profils.

Löschen

Löscht die markierten Verbindungsprofile ohne Nachfrage. Nur verfügbar, wenn mindestens ein Profil ausgewählt wurde.

Schließen

Schließt den Dialogs. Das Speichern oder Verwerfen der Änderungen wird vom übergeordneten Optionen-Dialog vorgenommen (siehe die 3 Optionen-Dialoge oben).

Noch in diesem Kapitel

Bearbeiten


Bearbeiten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Einstellungen > Verbindungsprofile > Verbindungsprofile verwalten > Bearbeiten

Aktivierung oder Deaktivierung der Verbindungssicherheit für bestehender Profile.

Option

Beschreibung

Verbindungssicherheit

Einstellungen für die Verbindungssicherheit. Die Einträge müssen der Konfiguration am Server entsprechen.

Abgesicherte Kommunikation

Aktivierung oder Deaktivierung der verschlüsselten Kommunikation.

  • Aktiv: Die Kommunikation erfolgt verschlüsselt. Für die Verbindung müssen, je nach Grad der Verschlüsselung, Passwörter für den Lizenzdienst eingegeben werden.
  • Inaktiv: Die Kommunikation erfolgt nicht verschlüsselt.

Verbindungspasswort zum Lizenzserver

Eingabe des Passworts für die Verbindung zum Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Nur aktiv, wenn die Optionen Abgesicherte Kommunikation und Passwörter speichern aktiviert sind.

Änderungspasswort des Lizenzservers

Eingabe des Änderungspassworts am Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Nur aktiv, wenn die Optionen Abgesicherte Kommunikation und Passwörter speichern aktiviert sind.

Passwörter speichern

Festlegung, ob die Verbindungspasswörter im Verbindungsprofil gespeichert werden.
Das Speichern erfolgt als von Hardware und Benutzer abhängiger Hash des Passworts.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Bereitstellung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Einstellungen > Bereitstellung

In dieser Registerkarte legen Sie fest:

  • welche Aktionen beim Bereitstellen von Reports und beim Speichern automatisch passieren sollen
  • Speicherpfad für Reportdefinitionen
  • Zugriffsrechte Objekte
  • Pfad für Bereitstellung

Automatisierung

Hier definieren Sie das Verhalten bei der Bereitstellung für:

  • das Speichern der Reportdefinitionen
  • das Überschreiben von Reports am Analyzer Server
  • das Öffnen von Reports im Microsoft Report Builder

Für alle diese Aktionen stehen drei Vorgehensweisen zur Verfügung:

  • Ja: Führt Aktion automatisch durch.
  • Nein: Führt Aktion nicht durch.
  • Abfrage: Öffnet den Dialog mit Abfrage der Benutzer-Entscheidung.
    Hinweis: Ein Abbruch des Dialogs für die Abfrage wird als Nein interpretiert und das Bereitstellen wird weiter fortgesetzt.

Der Speicherpfad für die Reportdefinitonsdateien kann vorausgewählt werden.

Zugriffsrechte Objekte

Über zwei Optionen definieren Sie, ob Zugriffsrechte vererbt werden oder nur für den angemeldeten Benutzer gelten.

Ordner und Reportname für Bereitstellung

Der Ordner und der Reportname für die Bereitstellung können im Abschnitt Bereitstellungsordner und Reportname auf unterschiedliche Weisen vergeben werden:

  • Report Launcher Stammordner:
    Reports werden im Stammordner des Report Launcher gespeichert.
  • Von erster hinzugefügter Reportvorlage übernehmen:
    Bei dieser Option gilt:
    • Der Ordner wird von der ersten gewählten Reportvorlage bestimmt.
    • Der Reportname wird von der Auswahl der Reportvorlage übernommen.
    • Diese Einstellungen gelten je Sprache.

    Beispiel: Für einen neuen Report wird die Reportvorlage Archivtrend aus dem Thema Archivanalyse gewählt. Als Ordner am Analyzer Server wird automatisch Archivanalyse gewählt. Ist dieser nicht vorhanden, wird er erstellt. Alle weiteren Reports werden ebenfalls automatisch in diesem Ordner abgelegt. Der Reportname wird automatisch Archivtrend benannt.

  • Benutzerdefinierter Pfad:
    Es wird ein vom Benutzer vorgegebener Name für den Ordner verwendet. Ist dieser noch nicht vorhanden, wird er automatisch am Server angelegt.
    Der Reportname wird im der Reportvorlage eingegeben.

Hinweis: Der Reportname darf maximal 126 Zeichen lang sein. Reportname und Reportpfad dürfen in Summe maximal 252 Zeichen lang sein.

Dialog Bereitstellung

Option

Beschreibung

Reportdefinition vor Bereitstellung speichern

Entscheidung ob Reports vor der Bereitstellung auf die Festplatte gespeichert werden.

Default: Abfrage

Reports auf Analyzer Server überschreiben

Entscheidung, ob Reports am Analyzer Server überschrieben werden.
Wirkt sich nur aus, wenn die Option Reportdefinition vor Bereitstellung speichern auf Ja oder Abfrage gestellt wurde.

Default: Abfrage

Reports nach Bereitstellung im Microsoft Report Builder öffnen

Entscheidung, ob Reports nach erfolgreicher Bereitstellung im Microsoft Report Builder geöffnet werden.

Default: Nein

Speicherpfad der Reportdefinitions-Dateien

Ordner, in dem die Reports gespeichert werden. Klick auf Schaltfläche ... öffnet Browser zur Auswahl eines Ordners. Report-Dateien haben die Dateinamenerweiterung .zams_rep. Der Pfad wird pro Benutzer gespeichert.

Default: %Public%\Documents\Analyzer_Reports

Zugriffsrechte für neue Objekte vom übergeordnete Objekt übernehmen
  • Aktiv: Neu erstellte Objekte erhalten die gleichen Zugriffsrechte wie das ihnen übergeordnete Objekt.

Zugriff auf neue Objekte nur für aktuell angemeldeten Benutzer
  • Aktiv: Nur der beim Erstellen der neuen Objekte verbundene Benutzer erhält Zugriff auf diese neuen Objekte. Dafür wird ihm die Rolle Content Manager zugewiesen.

Bereitstellungsordner und Reportname

Auswahl über Radiobuttons, wie der Pfad und der Reportname bestimmt werden:

  • Report Launcher Stammordner
  • Von erster hinzugefügter Reportvorlage übernehmen
  • Benutzerdefinierter Pfad

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Ausgabemeldungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Einstellungen > Ausgabemeldungen

In dieser Registerkarte definieren Sie die Anzeige von Meldungen im Ausgabefenster.

Option

Beschreibung

Fehler im Ausgabenfenster anzeigen
  • Aktiv: Fehler werden im Ausgabefenster angezeigt.

Warnungen im Ausgabenfenster anzeigen
  • Aktiv: Warnungen werden im Ausgabefenster angezeigt.

Meldungen im Ausgabenfenster anzeigen
  • Aktiv: Benachrichtigungen werden im Ausgabefenster angezeigt.

Ausgabenfenster löschen, wenn eine Bereitstellung gestartet wird
  • Aktiv: Das Ausgabefenster wird geleert, sobald eine Funktion zur Report-Bereitstellung ausgeführt wird.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Spracheinstellungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Einstellungen > Spracheinstellungen

Im ZAMS können die Sprache für die ZAMS-Oberfläche und die Sprache für die Reports unabhängig von der Sprache des Betriebssystems vordefiniert werden.

ZAMS-Sprache beim ZAMS-Start

Beim Start des ZAMS wird Betriebssystemsprache erkannt und gesetzt. Wurde in den Optionen eine andere Sprache für die ZAMS-Oberfläche festgelegt, dann wird diese verwendet. Kann nicht in die vordefinierte Sprache umgeschaltet werden, bleibt die Sprache des Betriebssystems aktiv.

Die Umschaltung der ZAMS-Oberflächensprache betrifft alle Bereiche des ZAMS, also auch Reportvorlagen und Datendateien.

Sprache konfigurieren

Um die Spracheinstellungen zu konfigurieren:

  1. Öffnen Sie das Menü Datei.
  2. Wählen Sie den Befehl Einstellungen.
  3. Öffnen Sie die Registerkarte Spracheinstellungen.
  4. Wählen Sie gewünschte Sprache für ZAMS und/oder die Reports.

Dialog Sprachumschaltung

Option

Beschreibung

Sprache für das zenon Analyzer Management Studio

Auswahl der Sprache für die ZAMS-Oberfläche aus Dropdownliste. Die zur Verfügung stehenden Sprachen werden in der Schreibweise der jeweiligen Sprache dargestellt.

Die Sprache wird sofort nach Umstellung und Klick auf OK umgestellt.

Spracheinstellungen für Reports

Konfiguration der Sprachen für die Bereitstellung von Reports.

Bereitstellung in der Sprache des zenon Analyzer Management Studios

Aktiv: Reports werden immer in der Sprache erstellt, die in der Option Sprache für das zenon Analyzer Management Studio gewählt wurde.

Inaktiv: Reports werden in den Sprachen bereitgestellt, deren Checkboxen in der Option Reports in folgenden Sprachen bereitstellen aktiviert wurden.

Default: aktiv

Reports in folgenden Sprachen bereitstellen

Die Sprachen für Reports können individuell definiert werden. Um eine Sprache auszuwählen, muss die Checkbox vor der Sprache aktiviert werden.

Position der Sprachkennzeichnung

Einstellung für die Vorgangsweise, wie Reports entsprechend ihrer Sprachzuordnung abgelegt und in der Option Alle Report Bereitstellungspfade der Reportkonfiguration angezeigt werden.
Zur Verfügung stehen folgende Optionen:

  • Erster Ordner im Reportpfad am Analyzer Server
  • Letzter Ordner im Reportpfad am Analyzer Server
  • Präfix im Reportnamen am Analyzer Server
  • Suffix im Reportnamen am Analyzer Server

(Nähere Informationen siehe folgende Optionen.)
  • Erster Ordner im Reportpfad am Analyzer Server

Aktiv: Für jede Sprache wird ein eigenes Ordner-System erstellt. Dazu wird im Pfad für den Report an erster Stelle ein Ordner mit der jeweiligen Sprachbezeichnung erstellt, darunter befinden sich die Ordner für die Themen. Die Reports werden in den ihnen zugeordneten Ordnern abgelegt.

Zum Beispiel: /DE/Alarmanalyse/Alarmliste

/EN/Alarmanalyse/Alarmliste

  • Letzter Ordner im Reportpfad am Analyzer Server

Aktiv: Alle Sprachen haben eine gemeinsame Ordner-Struktur für das Thema. Dazu wird im Pfad für den Report unter dem Ordner des Themas ein Ordner mit der jeweiligen Sprachbezeichnung erstellt. Die Reports werden in den ihnen zugeordneten Ordnern abgelegt.

Zum Beispiel: /Alarmanalyse/DE/Alarmliste

/Alarmanalyse/EN/Alarmliste

  • Präfix im Reportnamen am Analyzer Server

Aktiv: Dem Reportnamen werden Sprachbezeichner vorangestellt. Dazu werden Reports werden im jeweiligen Ordner für das Thema abgelegt. Jeder Report erhält ein Präfix mit der Sprachbezeichnung und einem Unterstrich..

Zum Beispiel: /Alarmanalyse/DE_Alarmliste

/Alarmanalyse/EN_Alarmliste

  • Suffix im Reportnamen am Analyzer Server

Aktiv: An den Reportnamen werden Sprachbezeichner angehängt. Dazu werden Reports im Ordner für das jeweilige Thema abgelegt. Jeder Report erhält ein Suffix mit einem Unterstrich und der Sprachbezeichnung.

Zum Beispiel: /Alarmanalyse/Alarmliste_DE

/Alarmanalyse/Alarmliste_DE

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Datenbank-Sicherungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Einstellungen > Datenbank-Sicherungen

In dieser Registerkarte werden der Pfad für die Datenbank-Sicherung und die Zahl der zu erstellenden Sicherungsdateien konfiguriert.

Option

Beschreibung

Ordner für Datenbanksicherungsdateien

Listet alle konfigurierten Datenbanksicherungspfade auf:

  • Name der SQL-Server Instanz:
    Instanz, die gesichert werden soll.
  • Pfad für Datenbank-Sicherung:
    Ordner, in dem die Sicherung angelegt wird

In der Tabelle kann genau eine Zeile markiert werden. Die markierte Zeile kann dann bearbeitet oder gelöscht werden.

Hinweis: Hinzufügen ist an dieser Stelle nicht möglich, da die Datenbanksicherung immer nur für die aktuell verbundene SQL Server Instanz arbeitet. Das Bearbeiten im Dialog funktioniert aber auch ohne bestehende Verbindung.

Bearbeiten

Öffnet Dialog zur Bearbeitung des Sicherungspfades.

Löschen

Löscht den ausgewählten Eintrag.

Sicherungsdateien

Konfiguration der Optionen für die Sicherungsdateien.

Datenbank-Sicherungsdateien komprimieren

Einstellung, ob Sicherungsdateien komprimiert werden.

  • Aktiv: Sicherungsdateien werden komprimiert.

Einstellung wirkt sich aus auf alle:

  • ab dem Ändern der Option manuell erzeugten Sicherungen
  • neu erzeugten oder geänderten automatisierten Sicherungen
  • neuen bei der Datenbankkonvertierung impliziten Datenbanksicherungen

Bestehende Datenbanksicherungsaufgaben werden nicht verändert. Diese müssen explizit über den passenden Menüpunkt geändert werden.

Datenbanksicherungsaufgaben werden als komprimiert oder unkomprimiert erkannt und entsprechend angezeigt. Diese Erkennung und Anzeige ist unabhängig vom Status dieser Option.

Anzahl der Sicherungsdateien für jede Datenbank begrenzen

  • Aktiv: Die Anzahl der erstellten Sicherungsdateien wird begrenzt. Die Begrenzung wird in der Option Anzahl der Sicherungsdateien pro Datenbank definiert.
    Sobald das Maximum erreicht wurde, wird beim Anlegen einer neuen Sicherungsdatei die jeweils älteste gelöscht.
  • Inaktiv: Es werden unlimitiert Sicherungsdateien erstellt.
    Achtung: Beachten Sie die den zur Verfügung stehenden Speicherplatz. Wird das Limit des Speichermediums erreicht, werden keine weiteren Sicherungsdateien mehr angelegt.

Maximale Anzahl an Sicherungsdateien pro Datenbank

Einstellung für die Anzahl der maximal anzulegenden Sicherungsdateien.

  • Minimum: 1
  • Maximum: 100
  • Default: 1

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Option

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA3: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA3: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35


Hauptfenster

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Hauptfenster

Das Hauptfenster enthält die Startseite und alle Reportseiten. Für jeden Report wird eine eigene Seite geöffnet.

Die Navigation zwischen den Seiten erfolgt über Klick auf die jeweilige Registerkarte. Um eine Seite zu schließen, klicken Sie auf das X in der Registerkarte.
Tipp: Sie können auch Tastenkombinationen nutzen:

  • Strg+F4: Schließt den aktiven Report.
  • Strg+Umschalt+F4: Schließt alle Reports.

Noch in diesem Kapitel

Startseite

Reportseite


Startseite

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Hauptfenster > Startseite

Die Startseite wird beim Starten des ZAMS automatisch geöffnet. Sie enthält je nach Verbindungsstatus unterschiedliche Elemente.
Wurde die Startseite geschlossen, kann Sie über die Aktion Startseite im Ribbon Ansicht wieder geöffnet werden.

Keine Verbindung

Existiert keine Verbindung zu einem Analyzer Server, steht zur Verfügung:

  • Aktionen: Schnellzugriff auf oft genutzte Aktionen.
    • Mit Analyzer Server verbinden: Öffnet den Dialog zur Herstellung einer Verbindung.
    • Produkt lizenzieren: Öffnet die COPA-DATA Lizenzverwaltung. Damit können Lizenzen aktiviert und zugewiesen werden.

Verbindung hergestellt

Ist eine Verbindung zu einem Analyzer Server hergestellt, stehen zur Verfügung:

  • Aktionen: Schnellzugriff auf oft genutzte Aktionen.
    • Mit Analyzer Server verbinden: Öffnet den Dialog zur Herstellung einer Verbindung.
    • Neuer Report: Erstellt einen neuen Report und öffnet den Dialog zur Auswahl einer Reportvorlage.
    • Report öffnen: Öffnet Dialog zur Auswahl eines gespeicherten Reports.
  • Zuletzt verwendete Reportdefinitionen: Liste der zuletzt gespeicherten Reportdefinitionen.
    Über die Schaltfläche x können einzelnen Reportdefinitionen aus der Liste gelöscht werden. Die komplette Liste kann in den Einstellungen der Verbindungsprofile gelöscht werden.


Reportseite

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Hauptfenster > Reportseite

In der Reportseite werden Reportvorlagen für einen Report ausgewählt, konfiguriert und im Report angeordnet. Die Konfiguration der Report-Einstellungen erfolgt im Eigenschaftenfenster.

Hinweise:

  • Sind mehrere Reports geöffnet, wird jeder Report in einer eigenen Seite mit Registerkarte dargestellt. Der Name wird im Indikator der Registerkarte angezeigt.
  • Jeder Report kann mehrere Reportvorlagen als Grundlage nutzen.
  • Wird der Mauszeiger über den Indikator der Registerkarte bewegt, wird der komplette Pfad zum Speicherort eingeblendet.
  • Reports, die noch ungespeicherte Änderungen enthalten, werden mit einem Asterisk neben dem Namen markiert.
  • Reports, die schreibgeschützt sind, werden mit einem entsprechenden Hinweis in Klammern im Registertitel angezeigt.

Überblick Reportseite

  1. Reportname
  2. Zeitfilter
  3. Report-Einstellungen (Konfigurationselemente)
  4. Main Dataset
  5. Dataset hinzufügen
  6. Designbereich: Reportname
  7. Designbereich: Parameter
  8. Designbereich: Reportelemente (Diagramme, Tabellen)
  9. Eigenschaften für Filter und Einstellungen
  10. Registerkarte mit:
    • Reporttitel
    • Symbol für Validierung:
      - Rufzeichen: Validierungsfehler in der Reportvorlage
      - Grüner Haken: Erfolgreiche Validierung

Element

Beschreibung

Reportname (1)

Anzeige des Reportnamens. Dieser wird über die Eigenschaften konfiguriert. Die Anzeige des namens im Report Launcher wird über das entsprechende Kontrollelement im Designbereich (6) gesteuert.

Zeitfilter (2)

Konfiguration der Zeitfilter. Diese werden immer im oberen Bereich der Report-Einstellungen angezeigt:

  • Filtersymbol mit Pluszeichen: Fügt neuen Filter hinzu.
    Symbol neben Filter fügt Variante für konfigurierten Filter hinzu.
    Symbol unter dem Filter fügt einen neuen Basisfilter hinzu.
  • Filtersymbol mit Pluszeichen: Entfernt den dazugehörigen Filter.

Es können insgesamt bis zu 5 Zeitfilter konfiguriert werden.

Report-Einstellungen (3)

Anzeige der für den jeweiligen Report benötigten Konfigurationselemente für Datenherkunft oder Datenaufbereitung.

Sie beziehen sich direkt auf die Daten des Reports oder bieten eine Detailkonfiguration für andere Report-Einstellungen.

Reportvorlagen/Hauptdatasets (4)

Jede Spalte rechts der Filter enthält ein Hauptdataset. Eine Reportvorlage besitzt mindestens ein Hauptdataset, kann aber auch mehrere besitzen.

Symbol mit rotem X löscht die Reportvorlage aus der Tabelle.

Gruppierungen

Wurde mehr als eine Reportvorlage gewählt, dann können die jeweiligen Report-Einstellungen über Schaltflächen verknüpft oder getrennt werden.

Linien in den Zellen der Hauptdatasets zeigen die Zugehörigkeit von Report-Einstellungen zu Hauptdatasets an:

  • Durchgezogen: Ist diesem Hauptdataset zugeordnet.
  • Schraffiert: Ist diesem Hauptdataset nicht zugeordnet. Sie kann aber zugeordnet werden.
  • Keine Linie: Keine Zuordnung zu diesem Hauptdataset möglich.

Das Verknüpfen erfolgt über Symbole oder per Drag&Drop.

Drag&Drop:

Wird die Maus über eine Linie bewegt, zeigt der Mauszeiger an, ob die Report-Einstellungen verknüpft werden können.

  • Mauszeiger als Hand: Einstellung kann mit einer anderen verknüpft werden (Quelle).
  • Mauszeiger mit Rechteck: Ziel kann mit Quelle verknüpft werden.
  • Mauszeiger mit durchgestrichenem Kreis: Keine Verknüpfung möglich.

Symbole:

  • Symbol zusammenführen [image]: Klick auf Symbol verknüpft Hauptdatasets.
    Damit gilt die Konfiguration für alle verknüpften Report-Einstellung.
  • Symbol auflösen [image]: Trennt verknüpfte Hauptdatasets wieder auf.
    Die Einstellungen werden für Report-Einstellung extra getroffen.

Hinweis: Die Symbole für Verknüpfung und Trennung sind nur sichtbar, wenn die damit verbundene Aktion auch ausgeführt werden kann.

Reportvorlage hinzufügen (5)

Klick auf die Schaltfläche öffnet den Dialog zur Auswahl einer Reportvorlage. Es können maximal 5 Reportvorlagen gleichzeitig benutzt werden. Sind 5 Reportvorlagen im Report geladen, wird die Schaltfläche deaktiviert.

Design-Bereich (6, 7, 8)

Hier können über die Registerkarte Design Tabellen und Grafiken eingefügt und platziert werden.

Achtung: Diese Konfiguration ist kein Ersatz für den MS Report Builder, bietet nur eine eingeschränkte Voransicht und entspricht nicht unbedingt der späteren Ansicht im Report Launcher.

Eigenschaften (9)

Eigenes Fenster, in dem die Eigenschaften der Konfigurationselemente bearbeitet werden.

Registerkarte

Die Registerkarte für die Reportvorlage enthält:

  • den Dateinamen für die Reportvorlage *.zams.rep
  • ein Symbol für die Validierung der Konfiguration

Anzeige Validierung:

  • Rufzeichen: Validierungsfehler in der Reportvorlage
  • Grüner Haken: Erfolgreiche Validierung

Allgemeine Hinweise

Datenbeschriftungen

Datenbeschriftungen bei Tortendiagrammen befinden sich immer außerhalb der Tortensegmente.

Report-Einstellungen

Details zu den Report-Einstellungen lesen Sie im Kapitel Elemente im Report und in der Dokumentation der Reporterstellung.

Noch in diesem Kapitel

Grafische Konfiguration im Design-Bereich

Ablauf Konfiguration


Grafische Konfiguration im Design-Bereich

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Hauptfenster > Reportseite > Grafische Konfiguration im Design-Bereich

Der Design-Bereich ermöglicht die Zusammenstellung eines Reports mit den grafischen Elementen, die später beim Erzeugen des Reports im Report Launcher verwendet werden sollen.

Achtung: Diese Konfiguration ist kein Ersatz für den MS Report Builder, bietet nur eine eingeschränkte Voransicht und entspricht nicht unbedingt der späteren Ansicht im Report Launcher.

Element

Beschreibung

Werkzeugleiste

Enthält Eigenschaften zur Konfiguration von:

  • Rastergröße
  • Höhe
  • Breite
  • Reportname anzeigen
  • Parameterbereich anzeigen

Reportname

Anzeige des Reportnamens.
Kann ausgeblendet werden.

Reportparameter

Anzeige der Reportparameter.
Können ausgeblendet werden.

Grafische Elemente

Darstellung des Reports über Tabellen und/oder Grafiken.
Konfiguration über die Symbole im Ribbon Design.

Tipp: Benutzen Sie die Aktion Generiere Layout, um im Designbereich ein Standardlayout anzulegen.

Elemente im Reportbereich

Die Elemente im Reportbereich werden per Drag&Drop oder über Eigenschaften platziert und konfiguriert. Vor allem:

  • Reportname
  • Parameteranzeige
  • Reportelemente:
    • Tabellen
    • Diagramme

    Nach der Auswahl eines Reportelements im Ribbon kann das Element im Designbereich positioniert werden. Sobald sich die Maus in einem Bereich befindet, in dem das Element abgelegt werden kann, wird anstelle des Mauszeigers das entsprechende Element symbolisiert. Nach Klick in den Designbereich, wird das Element an der entsprechenden Mausposition eingefügt.

Größen und Position

Reportelemente haben, wenn sie markiert werden, Griffe am Rand, mit denen die Größe und Position per Drag&Drop verändert werden kann. Verschieben ist nur innerhalb der Reportgrenzen möglich. Im Eigenschaftenfenster können die Position und Größe ebenfalls verändert werden. Die Mindestgröße ist abhängig vom jeweiligen Typ des Reportelements.

Für alle Reportelemente können das Hauptdataset und der Zeitfilter festgelegt werden.

Bei den Größen- und Positionseingaben gilt:

  • Alle Größen und Positionen werden in Millimeter angegeben und berechnet.
  • Eingaben werden auf den maximal zulässigen Wert korrigiert.
    Zum Beispiel: Wird eine Breite von 1 eingegeben, dann wird der Wert auf die minimal mögliche Breite, die sich aufgrund des Inhalts des Reports ergibt, gesetzt.
  • Reportelemente dürfen sich nicht überschneiden, können aber direkt aneinander grenzen.
    Während der Konfiguration werden Überschneidungen durch rote Einfärbung optisch angezeigt.
  • Werden Reportelemente beim Einfügen zu nahe am Rand positioniert, werden sie automatisch verschoben.
  • Sind Reportelemente zu groß für die konfigurierte Reportbreite, wird diese automatisch angepasst.

Werkzeugleiste

Das Aussehen des Reportbereichs kann über verschiedene Aktionen in der Werkzeugleiste konfiguriert werden:

Werkzeug

Beschreibung

Rastergröße

Einstellung der Rastergröße. Alle im Report vorhandenen Elemente werden an diesem Raster ausgerichtet.

  • Minimum: 1 mm
  • Maximum: 10 mm

Default: 1 mm

Das Raster wird im Hintergrund des Reports angezeigt. Reportelemente können nur in diesem Raster positioniert werden.

Ausnahmen: Reportparameter sowie Elemente innerhalb der Elemente (wie Parameterausgabebereich und Tabellenspalten).

Wird die Rastergröße geändert, werden alle bereits konfigurierten Reportelemente an die neue Rastergröße angepasst. Dabei wird eventuell auch die Reportbreite vergrößert.

Breite

Einstellung der Reportbreite des Bereichs in Millimeter.

  • Minimum: 45 mm und abhängig vom Inhalt
  • Maximum: 10000 mm

Default: 200 mm

Die Breite kann nur über den Wert dieser Eigenschaft verändert werden. Werden Elemente an den Rand gezogen, hat das keine Auswirkung auf die Breite.

Die Breite wird eventuell automatisch angepasst, wenn:

  • die Rastergröße erhöht wird
  • Reportelemente zu groß für die konfigurietre Breite sind, zum Beispiel, wenn Tabellenspalten hinzugefügt werden und die Tabelle bereits den vorkonfigurierten Rand erreicht hat

Höhe

Einstellung der Reporthöhe des Bereichs in Millimeter.

  • Minimum: 3 x Rastergröße
  • Maximum: 10000 mm

Default: 200 mm

Die Höhe kann nur über den Wert dieser Eigenschaft verändert werden. Werden Elemente an den Rand gezogen, hat das keine Auswirkung auf die Höhe.

Die Höhe wird eventuell automatisch angepasst, wenn:

  • die Rastergröße erhöht wird
  • Tabellenzeilen hinzugefügt werden und die Tabelle bereits den vorkonfigurierten Rand erreicht hat

Reportname anzeigen

Einstellung, ob der Reportname im Kopfbereich des Reports angezeigt wird.

Default: aktiv

Parameterbereich anzeigen

Einstellung, ob die Reportparameter im Kopfbereich des Reports angezeigt werden.

Default: aktiv


Ablauf Konfiguration

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Hauptfenster > Reportseite > Ablauf Konfiguration

Um einen Report zu konfigurieren:

  1. Erstellen Sie einen neuen Report oder öffnen Sie einen vorhanden.
  2. Wählen Sie die gewünschte Reportvorlage aus.
    Sie können auch mehrere Reportvorlagen zu einen Report verbinden. Klicken Sie dazu auf das grüne Pluszeichen im Kopfbereich.
  3. Entscheiden Sie bei mehreren Reportvorlagen, welche Report-Einstellungen durch Gruppierung verknüpft werden.
  4. Konfigurieren Sie die Eigenschaften der Report-Einstellungen im Eigenschaftenfenster.
  5. Wählen Sie bei Bedarf die benötigten Aktionen im Ribbon Design, zum Beispiel:
    • Tabelle einfügen
    • Diagramm einfügen
    • Generiere Layout
    • Aktionen für die Report-Parameter

Hinweis: Sie können die Anzeige des Design-Bereichs mit dem Schieberegler in der Statuszeile zoomen.

Details zur Konfiguration von Reports lesen Sie in den Abschnitten Report erstellen und Beispiele für Reportkonfiguration.


Eigenschaftenfenster

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Eigenschaftenfenster

Im Eigenschaftenfenster werden die Eigenschaften der Report-Einstellungen konfiguriert.

Details zu den Report-Einstellungen lesen Sie im Kapitel Elemente im Report und in der Dokumentation der Reporterstellung.

Eigenschaftenfenster minimieren

Das Eigenschaftenfenster kann auch minimiert werden. Um das Fenster zu minimieren oder wieder einzublenden, klicken Sie auf den Pfeil in der linken Ecke neben den Schaltflächen oder auf eine freie Fläche der Leiste.


Ausgabefenster

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Ausgabefenster

Das Ausgabefenster listet in einer Tabelle Fehlermeldungen, Warnungen, Informationen und Statusmeldungen auf. Diese Hinweise können gefiltert und gelöscht werden. Welche Arten von Meldungen angezeigt werden, wird in den Optionen festgelegt.

Anzeige im Ausgabefenster

Eigenschaft

Beschreibung

Schaltflächen

Steuern Anzeige der Nachrichten und das Ausblenden oder Einblenden des Fensters. Die Einstellung der Schaltflächen wird beim Schließen von ZAMS gespeichert.

Alles Löschen

Entleert die gesamte Tabelle.

Fehler

Zeigt die Anzahl der in der Tabelle anzeigbaren Fehler. Klick auf Schaltfläche schaltet Anzeige in Tabelle ein/aus.

Warnungen

Zeigt die Anzahl der in der Tabelle anzeigbaren Warnungen. Klick auf Schaltfläche schaltet Anzeige in Tabelle ein/aus.

Meldungen

Zeigt die Anzahl der in der Tabelle anzeigbaren Nachrichten. Klick auf Schaltfläche schaltet Anzeige in Tabelle ein/aus.

Statusmeldungen

Zeigt die Anzahl der in der Tabelle angezeigten Statusnachrichten. Diese können nicht ausgeblendet werden.

Tabelle

Enthält Fehlermeldungen, Warnungen, Informationen und Statusmeldungen.

  • Nachrichten können mit den Spaltentiteln sortiert werden. Klick auf den jeweiligen Spaltenkopf sortiert die Tabelle nach dieser Spalte. Ein zweiter Klick invertiert die Sortierung. Die Standardsortierung erfolgt nach Spalte 1 (Nummerierung) aufsteigend.
  • Ein Doppelklick auf eine Nachricht in der Tabelle zeigt den Report, in dessen Kontext die Nachricht erstellt wurde, im Report-Bereich des Hauptfensters an. Dazu muss der Report bereits geöffnet sein.
  • Nachrichten werden beim Schließen von ZAMS gelöscht.

Nummerierung

Enthält fortlaufende Nummerierung. Die Nummern werden den Nachrichten chronologisch nach ihrem Eintreffen zugeordnet.

Symbol

Symbol, das die Art der Nachricht anzeigt. Die Symbole entsprechen den Symbolen auf den Schaltflächen.

Sortierreihenfolge aufsteigend:

  • Fehler
  • Warnung
  • Information
  • Statusinformation

Sortierung aufsteigend erfolgt in umgekehrter Reihenfolge.

Zeitstempel

Zeigt den Zeitstempel des Zeitpunkts, zu dem die Nachricht erstellt wurde.

Meldungsnr.

Eindeutige ID der Nachricht.

Beschreibung

Erklärung der Meldung.

Quelle

Name des betroffenen Reports zum Zeitpunkt der Nachrichtenerstellung. Wurde die Nachricht nicht im Kontext eines Reports erstellt, bleibt diese Spalte leer.

Ausgabenfenster minimieren

Das Ausgabefenster kann auch minimiert werden. Um das Fenster zu minimieren oder wieder einzublenden, klicken Sie auf den Pfeil in der linken Ecke neben den Schaltflächen oder auf eine freie Fläche der Leiste. Bei minimiertem Fenster werden keine Meldungen angezeigt. Die Schaltflächen mit Anzeige der jeweils verfügbaren Meldungen werden weiterhin angezeigt.


Statuszeile

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Statuszeile

Die Statusanzeige des ZAMS Informiert über Verbindung und Objekte.
Sie besteht aus mehreren Abschnitten:

  • Symbol, das den Status der Verbindung anzeigt,
    mögliche Status sind:
    • Keine Verbindung hergestellt
    • Verbindung hergestellt
    • Abgesicherte Verbindung hergestellt
  • Verbindungsnachricht: Anzeige des Servers und der Datenbank
  • Nachricht, die die aktuelle Aufgabe beschreibt
  • Fortschrittsanzeige, die bei Bedarf eingeblendet wird und bei länger dauernden Arbeitsschritten den Fortschritt anzeigt für:
    • Report öffnen
    • alle Reports speichern
    • alle Reports bereitstellen
    • alle Reports in Microsoft Report Builder öffnen


Tastenkombinationen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Oberfläche > Tastenkombinationen

Im ZAMS stehen Ihnen bei der Konfiguration von Reports folgende Tastenkombinationen zur Verfügung:

Hilfe

Tastenkombination | Bedeutung
F1: | Öffnet die Online-Hilfe.

Lizenzierung

Tastenkombination | Bedeutung
Strg+L: | Zeigt die Lizenzinformationen an.
Strg+Umschalt+L: | Öffnet den Dialog zur Lizenzierung des Produkts.

Reports

Tastenkombination | Bedeutung
Strg+N: | Erstellt einen neuen Report und öffnet den Dialog zur Auswahl einer Reportvorlage.
Strg+O: | Öffnet den Dialog zur Auswahl eines exisitierenden Reports.

Bereitstellung

Tastenkombination | Bedeutung
Strg+D: | Startet den Ablauf zur Bereitstellung des aktuellen Reports.
Strg+Alt+D: | Startet den Ablauf zur Bereitstellung aller geöffneten Reports.

Reportdefinitionen

Tastenkombination | Bedeutung
Strg+S: | Speichert den aktuellen Report in einer Reportdefinitionsdatei.
Strg+Umschalt+S: | Öffner den Dialog, um eine Reportdefinitionsdatei unter einem anderem Namen zu speichern.
Strg+Alt+S: | Speichert alle geöffneten Reportdefinitionsdateien.

Reportfenster

Tastenkombination | Bedeutung
Strg+F4: | Schließt das aktuelle Reportfenster.
Strg+Umschalt+F4: | Schließt alle geöffneten Reportfenster.

Serververbindung

Tastenkombination | Bedeutung
Strg+Umschalt+C: | Öffnet den Dialog zur Herstellung einer Verbindung zum Server.
Strg+I: | Zeigt Informationen zur aktuellen Serververbindung an.


Analyzer Server und Reports

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports

Im ZAMS können Sie:

  • Analyzer Server managen
  • Verbindungssicherheit konfigurieren
  • Reports erstellt und verwalten
  • Reports bereitstellen
  • RDL-Vorlagen verwalten
  • das Reporthandling automatisieren
  • Lizenzen anzeigen und eingeben
  • Abläufe automatisieren
  • Cache löschen

Fehlende UDF

Bei einigen Aktionen wird die Datenbank auf Aktualität überprüft. Werden fehlende UDF festgestellt, erhalten Sie eine entsprechende Fehlermeldung:

Mögliche Aktionen:

  • Ja: Die fehlenden UDF werden automatisch erstellt. Sie können mit der gewünschten Konfiguration fortfahren.
  • Nein: Die Aktion wird abgebrochen.

Kreisabhängigkeiten bei Archiven

Bei der Konfiguration muss darauf geachtet werden, dass keine Kreisabhängigkeit von Variablen entsteht. Diese könnte zum Absturz der SQL Server Instanz führen. Bei der Konfiguration von emulierten Archiven, Archiven von Fremddatenbanken und berechneten Archiven erfolgt im ZAMS automatisch eine entsprechende Prüfung. Konfigurationen, die zu Kreisabhängigkeiten führen, werden verhindert.

Noch in diesem Kapitel

Informationen zum Analyzer Server

Verbindung konfigurieren

Verbindungssicherheit

Lizenz anzeigen

Lizenz eingeben

Reporting Services Aktivierungsaufruf konfigurieren

E-Mail Server konfigurieren

Automatisierung


Informationen zum Analyzer Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Informationen zum Analyzer Server

Sie können über das Ribbon Analyzer Server:

  • ZAMS zum Analyzer Server verbinden
  • einen Aktivierungsaufruf für den Analyzer Server konfigurieren
  • den Lizenzstatus des Analyzer Servers abfragen
  • neue Lizenz zuwesien
  • die Verbindungssicherheit konfigurieren

Server-Informationen

Um Informationen zur Version des Analyzer Servers zu erhalten:

  1. Wählen Sie im Menü Datei den Befehl Versionsinformation Analyzer Server.

    Das Informationsfenster wird aufgeschaltet.

  2. Sie erhalten Informationen zu:
    • Betriebssystem des Rechners mit dem Analyzer Server
    • die Version des laufenden Analyzer Servers


Verbindung konfigurieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Verbindung konfigurieren

Um ein neues Verbindungsprofil anzulegen, wählen Sie:

  • beim Start des ZAMS als Profil neues Profil anlegen
    oder
  • bei laufendem ZAMS im Ribbon Analyzer Server den Befehl Verbinden

Der Dialog zur Konfiguration wird aufgeschaltet:

Option

Beschreibung

Verbindungsprofil

Auswahl des Verbindungsprofils aus Dropdownliste.
Das Profil besteht aus Pfad für Server\Datenbank.

  • Neues Profil erstellen: erstellt ein neues Profil.

Verbindungssicherheit

Einstellungen für die Verbindungssicherheit. Die Einträge müssen der Konfiguration am Server entsprechen.

Abgesicherte Kommunikation

Aktivierung oder Deaktivierung der verschlüsselten Kommunikation.

  • Aktiv: Die Kommunikation erfolgt verschlüsselt. Für die Verbindung müssen, je nach Grad der Verschlüsselung, Passwörter für den Lizenzdienst eingegeben werden.
  • Inaktiv: Die Kommunikation erfolgt nicht verschlüsselt.

Hinweis: Abgesicherte Kommunikation kann für bestehende Verbindungsprofile nicht konfiguriert werden. Es muss ein neues Profil angelegt werden.

Verbindungspasswort zum Lizenzserver

Eingabe des Passworts für die Verbindung zum Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Änderungspasswort des Lizenzservers

Eingabe des Änderungspassworts am Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Passwörter speichern

Festlegung, ob die Verbindungspasswörter im Verbindungsprofil gespeichert werden.
Das Speichern erfolgt als von Hardware und Benutzer abhängiger Hash des Passworts.

Serverliste aktualisieren

Klick startet Suche nach vorhandenen Servern, zu denen sich ZAMS verbinden kann.

Dazu wird eine Liste aller im Netzwerk verfügbaren SQL Server Instanzen überprüft, ob auf den dazugehörigen Rechnern der ReportService2010 Web Service Endpunkt und der Lizenz Server erreichbar sind.

Hinweis: Sind sehr viele SQL-Server im System vorhanden, kann die Überprüfung längere Zeit in Anspruch nehmen. Der Verlauf wird über eine Fortschrittsanzeige visualisiert.

Datenbankserver angeben

Klick öffnet Dialog zur Eingabe eines bestimmen Servers.

Empfohlene Vorgangsweise, wenn die Namen von Rechner und SQL-Server-Instanz des Analyzer Servers bekannt sind.

Server Computername

Auswahl des Computernamens des Servers, zu dem sich ZAMS verbinden soll, aus Dropdownliste.

Wird der gewünschte Server nicht angezeigt, kann er über die Schaltfläche Serverliste aktualisieren gesucht oder über Datenbankserver angeben hinzugefügt werden.

Hinweis: localhost ist kein gültiger Eintrag, da localhost in der Domäne unbekannt ist. localhost wird immer durch den Computernamen ersetzt.

Datenbank

Auswahl der Datenbank, die ZAMS benutzen soll, aus Dropdownliste.

OK

Übernimmt alle Eingaben, validiert sie, erstellt das Verbindungsprofil, schließt den Dialog und stellt die Verbindung her.

Abbrechen

Verwirft alle Eingaben und schließt den Dialog ohne eine Verbindung herzustellen.

Neues Profil erstellen

Beim Erstellen eines neuen Profils wird das zuletzt verwendete Profil als Vorlage benutzt. Der Server wird übernommen, die Datenbankliste wird neu befüllt, wobei die Datenbankauswahl auch übernommen wird. Um ein neues Profil zu erstellen:

  1. Wählen Sie in der Eigenschaft Verbindungsprofil die Option Neues Profil erstellen.
  2. Tragen Sie, wenn benötigt, die Daten zur Verbindungssicherheit ein.
  3. Wählen Sie Server und Datenbank.
  4. Bestätigen Sie die Angaben mit Klick auf die Schaltfläche OK.

Serverliste aktualisieren

Um die Liste der angezeigten Server zu aktualisieren, klicken Sie im Dialog für das Verbindungsprofil auf die Schaltfläche Serverliste aktualisieren. Die Suche nach Servern, zu denen sich ZAMS verbinden kann, wird gestartet. Eine Fortschrittsanzeige zeigt Ihnen dabei:

  • den jeweils aktuell untersuchten Rechner im Netzwerk
  • mit einem grünen Balken den Fortschritt der Suche

Nach Abschluss der Suche wird die Fortschrittsanzeige geschlossen. Die gefundenen Server werden in der Dropdownliste Server Computername angezeigt.

Hinweis: Sind sehr viele SQL-Server im System vorhanden, kann die Überprüfung längere Zeit in Anspruch nehmen.

Server manuell auswählen

Um den Compuernamen des Servers manuell zu definieren, klicken Sie im Dialog für das Verbindungsprofil auf die Schaltfläche Datenbankserver angeben. Der Dialog zur Verbindung mit einem bestimmten Server wird geöffnet.

Option

Beschreibung

Server Computername

Eingabe des Computernamens des Servers, zu dem sich ZAMS verbinden soll. Für gesicherte Verbindungen muss ein Zertifikat installiert werden. Dieses verlangt den Servernamen als FQDN (Fully Qualified Domain Name).

  • Beispiel ungesichert: myserver
  • Beispiel gesichert: myserver.mydomain.com

Hinweis: localhost ist kein gültiger Eintrag, da localhost in der Domäne unbekannt ist. localhost wird immer durch den Computernamen ersetzt.

Fortschrittsanzeige

Zeigt den Verlauf des Verbindungsversuchs an.

Gelingt der Versuch nicht, wird ein Fenster mit einer Fehlermeldung angezeigt und im ZAMS Ausgabefenster ein Fehlerreport angezeigt.

OK

Übernimmt Änderungen, validiert sie und schließt Dialog.

Abbrechen

Verwirft Änderungen und schließt Dialog.


Verbindungssicherheit

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Verbindungssicherheit

Die Kommunikation im zenon Analyzer kann verschlüsselt erfolgen. Ausgenommen von der Verschlüsselung ist die Kommunikation zum Connector Container.
Die Konfiguration erfolgt über das ZAMS und wird für die Verbindungsherstellung und Kommunikation verwendet. ZAMS speichert die Konfiguration und die Verbindungsprofile, wenn ein anderes Tool vom ZAMS aus gestartet wird. Manual Data Editor und Meta Data Editor prüfen beim Laden der eigenen Verbindungsprofile, ob für ZAMS bereits ein Verbindungsprofil mit dem gleichen Namen wie das eigene Verbindungsprofil existiert. In diesem Fall wird das Verbindungsprofil mit dem jüngsten Zeitstempel für die Verwendung geladen.

Verschlüsselung Dienste

Dienst

Server

Client

SQL Server

Entscheidet über Verschlüsselung.

Keine Konfiguration nötig.

Report Server

Entscheidet über Verschlüsselung.

Der Server benötigt ein Zertifikat.

Clients für Web Server Report Launcher müssen die passende URL zur Verbindung verwenden (HTTP oder HTTPS).

Lizenzdienst

Entscheidet über Verschlüsselung.

Clients benötigen das Verbindungspasswort.
Zur Authentifizierung bei Änderungen mittels ZAMS oder MIgrationstool wird auch das Änderungspasswort benötigt.

Diese Passwörter können mit Verbindungsprofilen gespeichert werden. Clients ohne Oberfläche lesen ihre Konfiguration aus den Einträgen für den Lizenzdienst aus.

Hinweis: Gespeicherte Passwörter können nur bei unveränderter PC-Hardware und gleichem Windows-Benutzer wiederverwendet werden.

Die für die Verschlüsselung benötigten Zertifikate können auch selbst erstellt werden.

info Info

Für Report-Entwickler steht ein Tool zur Verfügung, mit dem die Konfiguration zurückgesetzt werden kann. Details dazu siehe Handbuch zenon Analyzer für Entwickler; Abschnitt Tool: Analyzer Security Configuration.

Protokolle und Verschlüsselung

Übersicht über die Dienste und deren Verschlüsselung:

Dienst /Verbindung

Protokoll

Verschlüsselung

Authentifizierung

Lizenzdienst

TCP

AES 256

Hashes: SHA 256

Passwort.

  • Server: Passwörter werden beim Speichern hardwareabhängig verschlüsselt.
  • Applikationen: Passwörter können optional gespeichert werden und werden hardware- und benutzerabhängig verschlüsselt.

SQL-Server-Instanz

TCP

SSl

Windows-Benutzer (empfohlen) oder eigenes Passwort für SQL-Server.

Reporting Services Dienst

HTTP

SSl

Windows-Benutzer.

Verbindung SQL Server Instanz zu Connector Container

TCP

keine

Empfehlung: Erlauben Sie in der Firewall vor dem Runtime Server die Kommunikation über den Port 50778 (Connector Container) nur Clients, die dies benötigen.

Betrieb ohne Verschlüsselung

Wird der zenon Analyzer ohne aktivierte Verschlüsselung betrieben, dann wird empfohlen:

  • Keine Internetverbindung für Rechner mit Datenbanken.
  • Keine Internetverbindung für Lizenzserver.
  • Fernzugriff nur über VPN.

Noch in diesem Kapitel

Zertifikate

Verbindungssicherheit konfigurieren

Erweiterte Einstellungen

Umschalten von gesichert auf ungesichert


Zertifikate

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Verbindungssicherheit > Zertifikate

Für die Absicherung des Report Server wird ein Zertifikat benötigt.
Passende Zertifikate können mit dem Everywhere Certificate Creator erstellt werden.

Anforderungen

Anforderungen für Report Server Zertifikate:

  • Als Subject muss der vollständige Domänenname des Analyzer Servers angegeben werden. Dieser wird in der URL verwendet.
    Anderenfalls melden die Browser Probleme mit der Zertifikat-Sicherheit.
    Hinweis: Manche Browser melden auch dann ein ungültiges Zertifikat, wenn das verwendete Zertifikat nicht von einer dem Browser bekannten Stelle ausgestellt wurde.
  • Die Aufruf-URL des Report Launcher und der Name des Analyzer Servers bei den diversen Tools, z.B. ZAMS, muss mit dem im Zertifikat angegebenen Namen übereinstimmen. Anderenfalls kann die HTTPS-Verbindung nicht hergestellt werden.

Weitere Details für Anforderungen an Zertifikate finden Sie im Microsoft TechNet: https://technet.microsoft.com/en-us/library/ms189067(v=sql.105).aspx

Zugriff durch SQL Server

Die SQL Server Instanz muss auf den Private Key des Zertifikats zugreifen können.
Dafür gibt es 2 Möglichkeiten:

  • Unsicher: Geben Sie der SQL Server Instanz (Dienstbenutzer) lokale Administrator-Rechte. Von dieser Vorgangsweise wird aus Gründen der Systemsicherheit ausdrücklich abgeraten.
  • Empfohlen: Geben Sie dem Dienstbenutzer der SQL Server Instanz Zugriffsrechte.
    Dazu:
    • Öffnen Sie die Computer-Zertifikatsverwaltung.
    • Führen Sie einen Rechtsklick auf das Zertifikat aus.
    • Wählen Sie Manage private keys.
    • Geben Sie dem Dienstbenutzer der SQL Server Instanz Zugriffsrechte.

      Der Name des Dienstbenutzers hängt ab von der SQL-Instanz.
      Beispiel: NT Service\MSSQL$ZA3
      Hinweis: Es muss der volle Namen angegeben werden. Die oft angezeigte Kurzbezeichnung des Benutzers kann nicht verwendet werden.


Verbindungssicherheit konfigurieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Verbindungssicherheit > Verbindungssicherheit konfigurieren

Die Verbindungssicherheit wird im Dialog Konfiguration der Verbindungssicherheit konfiguriert.

Um den Dialog zu öffnen, wählen Sie im Ribbon Analyzer Server den Eintrag Verbindungssicherheit. Der Eintrag ist nur auswählbar, wenn sich Analyzer Server und ZAMS am gleichen Rechner befinden.

Verbindungssicherheit konfigurieren

Um die Verbindungssicherheit zu konfigurieren:

  1. Wählen Sie den gewünschten Typ aus.
  2. Wählen Sie bei Abgesicherter Kommunikation die Zertifikate aus.
  3. Vergeben und bestätigen Sie das Verbindungspasswort und das Änderungspasswort für den Lizenzserver.
  4. Entscheiden Sie, ob der Lizenzserver auch nicht abgesicherte Kommunikation erlaubt.
  5. Wenn nötig, konfigurieren Sie über Klick auf die Schaltfläche Erweitert das Standardverhalten bei falscher Passworteingabe.
  6. Entscheiden Sie, ob die Passwörter im Verbindungsprofil gespeichert oder bei jeder Verbindung neu eingegeben werden.

Dialog Konfiguration der Verbindungssicherheit

Option

Beschreibung

Sicherheitstyp der Verbindung

Auswahl der Art der gesicherten Verbindung aus Dropdownliste:

  • Nicht abgesicherte Kommunikation:
    Jegliche Kommunikation für alle Dienste erfolgt ungesichert. (Nicht empfohlen.)
  • Nicht abgesicherte Kommunikation. Abgesicherte Kommunikation mit dem Lizenzserver erlaubt.:
    SQL Server Instanz und Report Server kommunizieren ausschließlich ungesichert. Der Lizenzdienst erlaubt gesicherte und ungesicherte Kommunikation.
  • Abgesicherte Kommunikation:
    Alle Dienste verwenden gesicherte Kommunikation. Beim Lizenzdienst kann zusätzlich entschieden werden, ob auch ungesicherte Kommunikation erlaubt ist.
    (Empfohlen.)

Report Server Zertifikat

Auswahl des Zertifikats für die Absicherung der HTTP-Verbindungen und der Web Service Verbindungen für den Report Server. Es stehen alle lokal erzeugten Zertifikate zur Verfügung.

Nur verfügbar, wenn beim Sicherheitstyp der Verbindung alle Dienste abgesichert werden. Ist diese Dropdownliste aktiv, muss ein Eintrag gewählt werden.

SQL Server Zertifikat

Auswahl des Zertifikats für die Absicherung der Verbindungen für die SQL Server Instanz.

Es stehen alle lokal erzeugten Zertifikate zur Verfügung. Alternativ können Zertifikate vom SQL Server erstellt werden.

Nur verfügbar, wenn beim Sicherheitstyp der Verbindung alle Dienste abgesichert werden. Ist diese Dropdownliste aktiv, muss ein Eintrag gewählt werden.

Verbindungspasswort zum Lizenzserver

Eingabe des Passworts für die Verbindung zum Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Beachten Sie die Vorgaben im Abschnitt Regeln für Passwörter.

Nur verfügbar, wenn der Lizenzdienst abgesichert kommunizieren darf.

Passwort bestätigen

Wiederholung des Passworts für die Verbindung zum Lizenzserver.

Änderungspasswort des Lizenzservers

Eingabe des Änderungspassworts am Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann. Wird von ZAMS und Migrationstool verwendet.

Beachten Sie die Vorgaben im Abschnitt Regeln für Passwörter.

Nur verfügbar, wenn der Lizenzdienst abgesichert kommunizieren darf.

Passwort bestätigen

Wiederholung des Passworts für Änderungen am Lizenzserver.

Lizenzserver erlaubt eine nicht abgesicherte Kommunikation

Festlegung, ob der Lizenzdienst neben gesicherter auch ungesicherte Kommunikation erlaubt.

  • Aktiv: Lizenzserver erlaubt auch ungesicherte Kommunikation.
  • Inaktiv: Lizenzserver erlaubt nur gesicherte Kommunikation.

Mögliche Einstellungen und Aktivität werden vom Sicherheitstyp bestimmt:

  • Nicht abgesicherte Kommunikation:
    Checkbox nicht verfügbar.
  • Nicht abgesicherte Kommunikation. Abgesicherte Kommunikation mit dem Lizenzserver erlaubt.:
    Checkbox aktiv und nicht verfügbar.
  • Abgesicherte Kommunikation:
    Checkbox aktiv und kann deaktiviert werden.

Erweitert

Bei einem Klick auf „Extended" wird der ZAMS Dialog für erweiterte Einstellungen der Analyzer Server Verbindungssicherheit gestartet. Wird dieser mit OK bestätigt, so werden die Änderungen aus diesem Dialog übernommen.

Passwörter im Verbindungsprofil speichern

Festlegung, ob die Verbindungspasswörter im Verbindungsprofil gespeichert werden.
Das Speichern erfolgt als von Hardware und Benutzer abhängiger Hash des Passworts.

Nur verfügbar, wenn alle Dienste abgesichert werden sollen. Zusätzlich wird ihre Aktivität von der beim Aufschalten des Dialogs vorhandenen Konfiguration bestimmt:

Ist die Initialkonfiguration Abgesicherte Kommunikation, dann ist die Checkbox so lange inaktiv, bis alle Passwörter für den Lizenzdienst neu eingegeben wurden.

So lange noch kein Passwort neu eingegeben wurde, ist die Checkbox dann aktiv, wenn im aktuell verwendeten Verbindungsprofil gespeicherte Passwörter vorhanden sind.

Beispiel-Laufzeitverhalten:

  • Der Dialog wird mit einer Konfiguration für Abgesicherte Kommunikation und einem Verbindungsprofil mit gespeicherten Passwörtern gestartet:
    Checkbox ist inaktiv und nicht verfügbar.
  • Eines der Eingabefelder für die Lizenzdienst-Passwörter wird geändert:
    Checkbox wird inaktiv und ist nicht verfügbar.
  • Die verbleibenden Eingabefelder für Lizenzdienst-Passwörter werden geändert:
    Checkbox ist in dem Moment verfügbar, in dem das letzte ungeänderte Passwort geändert wird.

Dialog beenden

Option | Beschreibung
OK | Klick auf OK startet die Validierung des Dialogs. Treten Validierungsfehler auf, dann werden diese über einen Benachrichtungsdialog dargestellt und der Dialog bleibt offen. Treten keine Validierungsfehler auf, wird der Dialog geschlossen und die Änderungen werden übernommen.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Regeln für Passwörter

Bei der Vergabe von Passwörtern gilt:

  • Das Eingabefeld darf nicht leer sein.
  • Minimale Länge: 8 Zeichen
  • Maximale Länge 20 Zeichen
  • Das Passwort darf keine Leerzeichen oder Zeilenumbrüche beinhalten.
  • Das Passwort muss aus mindestens 3 der folgenden Kategorien jeweils mindestens 1 Zeichen beinhalten:
    • Großbuchstaben: A-Z
    • Kleinbuchstaben: a-z
    • Ziffern: 0-9
    • Sonderzeichen: alle anderen gültigen Zeichen.
      Verboten sind: Leerzeichen, Absatzschaltung und Zeilenschaltung.)
  • Das eingegebene Passwort muss mit dem eingegebenen Bestätigungspasswort übereinstimmen.

Hinweis: Die Passwörter für Anmeldung und Änderung am Lizenzserver dürfen ident sein. Es wird aber empfohlen, unterschiedliche Passwörter zu verwenden.


Erweiterte Einstellungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Verbindungssicherheit > Erweiterte Einstellungen

In diesem Dialog konfigurieren Sie Einstellungen für Fehler bei der Passworteingabe und das Verhalten des Servers:

  • Anzahl der erlaubten Fehleingaben
  • Zeitraum, in dem die Fehleingaben erfolgen müssen, um gemeinsam gezählt zu werden
  • Sperrzeit für den Client bei mehrfacher Fehleingabe
  • erlaubte Zeitdifferenz bei der Authentifizierung

Dialog Erweiterte Einstellungen

Option

Beschreibung

Erlaubte Anzahl falscher Passworteingaben

Anzahl der Fehlversuche, nach denen ein Client gesperrt wird:

  • Minimum: 1
  • Maximum: 1000

Default: 3

Zeit zum Zurücksetzen des Fehlerzählers

Anzahl der Sekunden, nach denen ein Fehlversuch vergessen wird:

  • Minimum: 1
  • Maximum: 86400 (1 Tag)

Default: 60 (1 Minute)

Client Sperrzeit

Anzahl der Sekunden, die ein Client nach einer Sperre gesperrt bleibt:

  • Minimum: 1
  • Maximum: 86400 (1 Tag)

Default: 3600 (1 Stunde)

Erlaubte Zeitdifferenz für Authentifizierung

Erlaubte Abweichung des Zeitstempels des Clients vom aktuellen Zeitstempel des Servers bei der Authentifizierung in Sekunden:

  • Minimum: 1
  • Maximum: 86400 (1 Tag)

Default: 10

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Umschalten von gesichert auf ungesichert

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Verbindungssicherheit > Umschalten von gesichert auf ungesichert

Das Umschalten einer gesicherten auf eine ungesicherte Verbindung hängt ab von der Konstellation am Rechner:

  • Umschalten einer Installation zwischen gesichert und ungesichert
  • Umschalten von 2 Installationen zwischen gesichert und ungesichert (zB 3.00 & 4.00)
  • Parallelbetrieb einer gesicherten und ungesicherten Installation (zB 3.00 & 2.20)

Hinweis: Alle Installationen befinden sich immer am gleichen Rechner.

Eine Installation

Umschalten einer Installation zwischen gesichert und ungesichert:

  • Ausgangssituation: Es ist nur eine zenon Analyzer Installation auf dem Rechner vorhanden. Diese ermöglicht gesicherte Verbindungen.
  • Vorgangsweise: Die Konfiguration kann über das ZAMS beliebig geändert werden, da keine Weiteren Installationen auf dem Rechner betroffen sind.

2 Installationen

Umschalten von 2 Installationen zwischen gesichert und ungesichert:

  • Ausgangssituation: Es sind zwei zenon Analyzer Installationen (A und B) auf dem Rechner vorhanden, die sichere Kommunikation erlauben.
  • Vorgangsweise: Um vollständige Konnektivität zu gewährleisten, müssen die richtigen Schritte in der richtigen Reihenfolge durchgeführt werden.

Umschalten von ungesichert auf gesichert

Ausgangspunkt: A und B kommunizieren im Klartext.

Konfiguration:

  1. A wird als gesicherte Verbindung konfiguriert.
    Der Lizenzdienst lässt Klartextverbindungen zu.
    Ergebnis: A kommuniziert gesichert, B kommuniziert im Klartext.
  2. B wird als gesicherte Verbindung konfiguriert. Das wird im Dialog initial als teilweise gesichert angezeigt.
    Der Lizenzdienst untersagt Klartextverbindungen.
    Ergebnis: A und B kommunizieren gesichert.

Umschalten von gesichert auf ungesichert

Ausgangspunkt: A und B kommunizieren gesichert.

Konfiguration:

  1. A wird als teilweise gesicherte Verbindung konfiguriert.
    SQL Server und Report Server kommunizieren im Klartext.
    Lizenzdienst kommuniziert verschlüsselt und erlaubt Klartext.
    Ergebnis: A kommuniziert im Klartext, B kommuniziert gesichert.
  2. B wird als ungesicherte Verbindung konfiguriert.
    Ergebnis: A und B kommunizieren im Klartext.

Parallelbetrieb

Parallelbetrieb einer gesicherten und ungesicherten Installation.

  • Ausgangssituation: Es sind zwei zenon Analyzer Installationen auf dem Rechner vorhanden.
    A kann Klartext und gesichert, B kann nur Klartext.
  • Vorgangsweise: Um vollständige Konnektivität zu gewährleisten, muss beim Umschalten von ungesichert auf gesichert die richtige Konfiguration gewählt werden.
    Beim Umschalten von gesichert auf ungesichert können keine Probleme auftreten.

Umschalten von ungesichert auf gesichert

Ausgangspunkt: A und B kommunizieren im Klartext.

Konfiguration:

  • A wird als gesicherte Verbindung konfiguriert.
    Der Lizenzdienst lässt Klartextverbindungen zu.
    Ergebnis: A kommuniziert gesichert, B kommuniziert im Klartext.


Lizenz anzeigen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Lizenz anzeigen

Um die vom Analyzer Server verwendete Lizenz anzuzeigen:

  1. Wählen Sie im Ribbon Analyzer Server den Befehl Lizenz anzeigen.

    Der Dialog mit den Lizenzinformationen wird geöffnet.

Option

Beschreibung

Lizenzdetails

Zeigt Details der aktuellen Lizenz an, vor allem:

  • Seriennummer
  • lizenzierte Versionen
  • lizenzierte Clients
  • Daten zu Gültigkeit und Ablauf

Enthaltene Themen

Anzeige der Reportthemen, die in dieser Lizenz enthalten sind.

OK

Schließt das Fenster.

Details zur Lizenzierung siehe auch Kapitel Lizenzierung.


Lizenz eingeben

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Lizenz eingeben

Um neue Lizenzdaten einzugeben:

  1. Wählen Sie im Ribbon Analyzer Server die Schaltfläche Produkt lizenzieren.
    Bei fehlender Lizenz, steht auch auf der Startseite eine entsprechende Aktion zur Verfügung.

    Die COPA-DATA Lizenzverwaltung wird geöffnet.

  2. Aktivieren Sie Ihre Lizenz und/oder weisen Sie die Lizenz dem zenon Analyzer zu.


Reporting Services Aktivierungsaufruf konfigurieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Reporting Services Aktivierungsaufruf konfigurieren

Die Caches der Reporting Services werden vom Server regelmäßig geleert, wenn nicht darauf zugegriffen wird. Anwendungen, die darauf zugreifen, müssen dann warten, bis er neu aufgebaut wurde. Das gilt auch, wenn sich der Inhalt nicht geändert hat. Der Reporting Services Aktivierungsaufruf initialisiert regelmäßig die Reporting Services und verhindert, dass der Cache geleert wird. Dieser periodische Aufruf kann die Wartezeit beim Aufrufen des Report Launcher sowie beim Verbinden von ZAMS und Migrationstool verkürzen.

Um einen Aktivierungsaufruf zu konfigurieren:

  1. Klicken Sie im Ribbon Analyzer Server auf den Menüpunkt Aktivierungsaufruf.
  2. Der Dialog zur Konfiguration wird geöffnet.
  3. Wählen Sie das gewünschte Intervall aus der Dropdownliste.
  4. Schließen Sie den Dialog mit Klick auf OK.

Dialog Reporting Services Aktivierungsaufruf

Option

Beschreibung

Reporting Services Aktivierungsaufruf aktivieren
  • Aktiv: Ein Aktivierungsaufruf ist konfiguriert und wird ausgeführt. Das Intervall des Aufrufs wird mit der Option Intervall der Ausführung des Aktivierungsaufrufs festgelegt.

Intervall der Ausführung des Aktivierungsaufrufs

Auswahl des Intervalls für den Aktivierungsaufruf aus Dropdownliste. Zur Verfügung stehen:

  • 1 Stunde
  • 2 Stunden
  • 3 Stunden
  • 4 Stunden
  • 6 Stunden
  • 12 Stunden
  • 24 Stunden

Default: 1 Stunde

Hinweis: Es stehen nur Werte zur Verfügung, durch die die Zahl 24 ohne Rest teilbar ist. Damit wird sichergestellt, dass der Aufruf immer periodisch erfolgen kann.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


E-Mail Server konfigurieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > E-Mail Server konfigurieren

Um Reports per E-Mail verschicken zu können, muss der SMTP-Server konfiguriert sein. Dies erfolgt im ZAMS über den Eintrag E-Mail Server im Ribbon Analyzer Server - Einstellungen.

attention Achtung

Diese Funktionalität steht nur zur Verfügung, wenn das ZAMS am Analyzer Server läuft und zu einer Analyzer Datenbank mit gültiger Lizenz am selben Rechner verbunden ist und keine andere Aufgabe im Hintergrund läuft.

Die E-Mail selbst konfigurieren Sie mit Report-Abonnements verwalten in der Registerkarte Auslieferungsmethode.

Konfiguration

Um den E-Mail Versand zu konfigurieren:

  1. Klicken Sie im Ribbon Analyzer-Server auf den Eintrag E-Mail Server.
  2. Der Dialog zur Konfiguration wird geöffnet. Bereits bestehende Einträge werden eingelesen und angezeigt. Die bestehende Konfiguration wird in einer eigenen Datei gesichert.
    Wurde beim Einlesen ein Fehler entdeckt, wird eine Meldung ins Ausgabefenster geschrieben und der Dialog beendet.
  3. Konfigurieren Sie die benötigten Eigenschaften im Dialog.
    Details siehe Abschnitt Konfigurationsdialog.
  4. Bestätigen Sie die Änderungen mit Klick auf OK.
    Die Änderungen werden in die aktuelle Konfiguration geschrieben. Tritt dabei ein Fehler auf, wird die zuvor gesicherte Konfiguration verwendet.

Hinweis: Bei Aktionen, die länger dauern, wird ein Fortschrittsbalken angezeigt.

Empfehlung: Verbinden Sie nach Abschluss der Konfiguration ZAMS neu zum Analyzer Server.

Konfigurationsdialog

Option

Beschreibung

SMTP-Server

Angabe des SMTP Servers.

IP-Adresse, UNC-Name oder vollqualifizierter Domänenname.

Ping

Klick auf Schaltfläche führt einen Ping zum eingegebenen Server aus.

Nur verfügbar, wenn ein Server angegeben wurde. Das Ergebnis des Pings wird in einer Nachrichtenbox ausgegeben.

Port

Eingabe des TCP-Ports für SMTP am eingegebenen Server.

Mögliche Werte: 0 bis 65535.

Fehleingaben werden in einem Tooltip angezeigt und nicht übernommen.

Kontoname

Eingabe des Kontonamens.

Wurde für den SMTP-Server kein Kontoname konfiguriert, kann das Feld leer bleiben.

Verwenden Sie die Eigenschaft Absenderadresse, um ein E-Mail-Konto zum Senden von Reports anzugeben.

Timeout (Sekunden)

Gibt an, wie viele Sekunden auf eine gültige Socket-Verbindung mit dem SMTP-Dienst gewartet wird. Danach wird der Vorgang abgebrochen.

Mögliche Werte: Ganzzahl größer als 0.

Default: 30 Sekunden.

Achtung: Wert wird ignoriert, wenn als Sendemethode SMTP Server im Netzwerk gewählt wird.

Fehleingaben werden in einem Tooltip angezeigt und nicht übernommen.

SMTP-Dienst Pickup-Ordner

Eingabe eines lokalen Speicherpfades, aus dem der SMTP-Dienst ausgehende E-Mails abruft.

Es muss sich um einen vollqualifizierten lokalen Ordnerpfad (z. B. D:\rs-emails) handeln.

Durchsuchen...

Öffnet den Dialog zur Auswahl eines Ordners.

Validieren

Klick auf Schaltfläche prüft, ob der eingegebene Pfad existiert.

Nur verfügbar, wenn ein Pfad eingegeben wurde.

Das Ergebnis der Validierung wird in einer Nachrichtenbox ausgegeben.

Verwendung von SSL

Festlegung, ob SSL verwendet werden kann. Auswahl aus Dropdownliste:

  • Verwendung von SSL nicht definiert
  • SSL nicht verwenden
  • SSL verwenden

Sendemethode

Auswahl der Sendemethode für E-Mails aus Dropdownliste:

  • Sendemethode nicht angegeben
  • Lokaler SMTP-Dienst Pickup Ordner
  • SMTP-Server im Netzwerk

Authentifizierung für den SMTP-Server im Netzwerk

Auswahl der Authentifizierungsmethode. Auswahl aus Dropdownliste:

  • Authentifizierung nicht definiert
  • Keine Authentifizierung
  • NTLM-Authentifizierung

Absenderadresse

Eingabe einer Absenderadresse für E-Mails. Erforderlich, wenn Sie einen SMTP-Remoteserver verwenden.

Format: abc@host.xyz

Bei der Adresse sollte es sich um ein gültiges E-Mail-Konto mit der Berechtigung zum Senden von E-Mails handeln.

Bei Fehleingaben wird die Hintergrundfarbe des Eingabefeldes auf rot geändert und ein Tooltip angezeigt.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Automatisierung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Automatisierung

Folgende Aktionen konfigurieren und starten Sie im Ribbon Optionen in der Ribbon-Gruppe Automatisierung:

  • Bereitstellen von Reports über Zeitpläne
  • Report-Abonnements

Noch in diesem Kapitel

Zeitpläne verwalten

Report-Abonnements verwalten


Zeitpläne verwalten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Automatisierung > Zeitpläne verwalten

Damit die Bereitstellung von Reports über Zeitpläne automatisiert werden kann, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Um Zeitpläne für die Bereitstellung von Reports zu erstellen und zu verwalten:

  1. Wählen Sie in der Ribbon-Gruppe Optionen den Eintrag Zeitpläne.

    Der Dialog zur Verwaltung der Zeitpläne wird geöffnet.

    Bereits konfigurierte Zeitpläne werden angezeigt.

  2. Erstellen Sie einen neuen Zeitplan oder bearbeiten Sie einen existierenden.

Option

Beschreibung

Verfügbare Zeitpläne

Anzeige und Filterung der bereits verfügbaren Zeitpläne.

Filterfeld

Eingabe eines Filters für die Liste Zeitpläne.

Es werden nur jene Zeitpläne in der Liste angezeigt, die dem Filterkriterium entsprechen.

Wildcards:

  • ?: Wildcard für genau 1 Zeichen
  • *: Wildcard für 0 oder mehr Zeichen

Ist im Filterausdruck keine Wildcard enthalten, wird beim Filtern automatisch * am Ende angefügt.
Zum Beispiel:

  • „" (leeres Feld) wird zu *
  • test wird zu test*
  • t?st bleibt t?st

Liste Zeitpläne

Liste aller bereits konfigurierten und verfügbaren Zeitpläne.

Zeitplaneigenschaften

Zeigt die bereits konfigurierten Eigenschaften des in der Liste markierten Zeitplans an.

  • Name des Zeitplans
  • Details zum Zeitplan
  • Startzeitpunkt des Zeitplans
  • Endzeitpunkt des Zeitplans
  • Status des Zeitplans
  • Zeitpunkt der letzten Ausführung des Zeitplans
  • Zeitpunkt der nächsten Ausführung des Zeitplans

Achtung: Die Texte können in unterschiedlichen Sprachen dargestellt werden. Sie stammen teilweise vom ZAMS und teilweise vom Web Service. Diese können in unterschiedlichen Sprachen konfiguriert sein.

Neu

Öffnet den Dialog zum Erstellen eines neuen Zeitplans.

Bearbeiten

Öffnet den Dialog zum Bearbeiten eines Zeitplans.

Löschen

Löscht den ausgewählten Zeitplan aus der Liste und von Analyzer Server.

Wird ein zu löschender Zeitplan bei einem oder mehreren Abonnements verwendet, dann wird für jedes Abonnement eine Warnung ausgegeben. Der Benutzer muss entscheiden, ob mit dem Zeitplan alle betroffenen Abonnements gelöscht werden sollen.

  • Ja: Es werden erst die betroffenen Abonnements und dann der Zeitplan gelöscht.
  • Nein: Weder Abonnements noch Zeitplan werden gelöscht.

Aktualisieren

Aktualisiert Liste Zeitpläne.

Schließen

Schließt den Dialog.

Zeitpläne anlegen und bearbeiten

Um einen neuen Zeitplan anzulegen:

  1. Klicken Sie auf die Schaltfläche Neu.

    Der Dialog wird wird mit den Defaults für alle Eingabemöglichkeiten geöffnet.

Um einen bestehenden Zeitplan zu verändern:

  1. Markieren Sie den gewünschten Zeitplan in der Liste.
  2. Klicken Sie auf Bearbeiten.

    Der Dialog wird mit den Werten für den gewählten Zeitplan geöffnet.

Um einen Zeitplan zu löschen:

  1. Markieren Sie den gewünschten Zeitplan in der Liste.
  2. Klicken Sie auf Löschen.

    Der Zeitplan wird gelöscht.

Dialog zum Anlegen und Bearbeiten eines Zeitplans

Option

Beschreibung

Allgemein

Allgemeine Einstellungen für den Zeitplan:

  • Name
  • Wiederholungsmuster

Name

Name des Zeitplans.

Wiederholungsmuster

Wiederholungsmuster für den Zeitplan. Es gibt folgende Muster:

  • Einmalig
  • Minuten und Stunden
  • Tage
  • Wochentage
  • Kalendertage in Monaten
  • Wochentage pro Monat

Die Muster werden im Bereich Wiederholungsmuster konfiguriert.

Start- und Ablaufdatum

Start- und Ende-Zeitpunkte für den Plan.

Startzeit

Startdatum.

Startzeit

Startzeit.

Zeitplan hat Ablaufdatum

Aktiv: Zeitplan hat ein definiertes Ablaufdatum.

Kann nur aktiviert werden, wenn das Muster nicht Einmalig ist.

Ablaufdatum

Ablaufdatum.

Wiederholungsmuster

Konfiguration der Wiederholungen. Details siehe Abschnitt "Wiederholungen konfigurieren".

OK

Übernimmt die gewählte Konfiguration und schließt den Dialog.

Cancel

Schließt den Dialog ohne eine Aktion auszuführen.

Fehler während der Aktion verhindern das Bestätigen des Dialogs mit OK und werden über Nachrichten im Ausgabefenster und Nachrichtenfenster angezeigt.

Wiederholungen konfigurieren

attention Achtung

Wird ein bereits konfigurierter Zeitplan erneut zum Bearbeiten aufgeschaltet, kann es vorkommen, dass die Konfiguration nicht mehr dem zuvor eingegeben Muster entspricht. Die Ausführungszeiten des Zeitplans bleiben gleich, nur die Anzeige der Konfiguration ist betroffen.

Hintergrund: Der Web Service untersucht die Konfiguration eines Zeitplans und wandelt sie abhängig von seiner Konfiguration, wenn möglich, in ein einfacheres Muster um.

Zum Beispiel: In Wochentage wurde jeder Tag aktiviert und das Wochen-Intervall auf 1 eingestellt. Der Web Service macht daraus das einfachere Muster Tage mit einem Intervall von 1.

Einmalig

Wird nur einmal ausgeführt. Die Einstellungen für Wiederholungsmuster stehen damit nicht zur Verfügung.

Minuten und Stunden

Definiert den Abstand zwischen zwei Ausführungen des Zeitplans in Stunden und Minuten.

Option | Beschreibung
Stunden | Angabe der Stunde.
Minuten | Angabe der Minute.

Hinweis: Wird in beiden Eigenschaften 0 eingestellt, führt dies zu einem Fehler.

Tage

Definiert den Abstand zwischen zwei Ausführungen des Zeitplans in Tagen.

Option | Beschreibung
Tage | Anzahl der Tage zwischen zwei Ausführungen.

Hinweis: Wird 0 eingestellt, führt dies zu einem Fehler.

Wochentage

Definiert den Abstand zwischen zwei Ausführungen in Wochentagen und Ausführungswochen.

Option | Beschreibung
Zeitraum in Wochen | Abstand zwischen den Ausführungen in Wochen.
Wochentage | Wochentage, an denen der Zeitplan ausgeführt werden soll.

Beispiel: Ein Zeitplan für „jeden zweiten Mittwoch" würde zum Beispiel den Mittwoch als Ausführungstag markiert haben und ein Wochenintervall von 2 aufweisen.

Hinweis: Werden keine Tage markiert oder für Wochen 0 eingestellt, führt dies zu einem Fehler.

Kalendertage in Monaten

Definiert den Abstand zwischen zwei Ausführungen des Zeitplans über Tage und Ausführungsmonate.

Option | Beschreibung
Tage pro Monat | Aktivierung der aktiven Tage über die Checkboxen. Hinweis: Die möglichen Ausführungsdaten orientieren sich am kürzesten Monat Februar. Daher sind sie auf 28 begrenzt.
Monate | Aktivierung der aktiven Monate.

Hinweis: Ist in einer der Eigenschaften kein Eintrag aktiviert, führt dies zu einem Fehler.

Wochentage pro Monat

Definiert den Abstand zwischen zwei Ausführungen des Zeitplans in aktiven Wochentagen nach Ausführungswoche und Ausführungsmonat

Option | Beschreibung
Wochentage | Auswahl der aktiven Wochentage.
Monat | Auswahl der Monate, in denen die ausgewählten Tage aktiv sind..
Woche in Monat | Auswahl, in welcher Woche der aktiven Monate, der Zeitplan ausgeführt wird.

Hinweis: Ist in einer der Eigenschaften kein Eintrag aktiviert, führt dies zu einem Fehler.

Einschränkungen

  • Kalendertage in Monaten sind auf 1 - 28 beschränkt (entspricht dem Februar in Nicht-Schaltjahren)
  • das Ereignis "Monatsende" ist nicht verfügbar


Report-Abonnements verwalten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Automatisierung > Report-Abonnements verwalten

Voraussetzung: Damit Reports abonniert werden können, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Um Reports zu abonnieren:

  1. Wählen Sie im Ribbon Optionen in der Ribbon-Gruppe Automatisierung den Eintrag Abonnements.

    Der Dialog zur Verwaltung der Abonnements wird geöffnet

Option

Beschreibung

Liste Report-Abonnements

Liste der bereits konfigurierten Abonnements mit Detailinformationen:

  • Beschreibung: Beschreibung des Abonnements.
  • Report: Im Abonnement verwendeter Report.
  • Besitzer: Besitzer des Abonnements.
  • Abonnentenzustand: Status des Abonnements.
  • Letzte Ausführung: Zeitpunkt der letzten Ausführung des Abonnements.

Neu

Öffnet den Dialog zum Anlegen eines neuen Abonnements mit den Defaults für alle Eingabemöglichkeiten.

Die Tabelle mit den Abonnements wird aktualisiert, nachdem der geöffnete Dialog bestätigt wurde.

Bearbeiten

Öffnet den Dialog zum Bearbeiten des ausgewählten Abonnements mit den für das gewählte Abonnement konfigurierten Werten.
Die Tabelle mit den Abonnements wird aktualisiert, nachdem der geöffnete Dialog wieder geschlossen wurde.

Löschen

Löscht das markierte Abonnement ohne Rückfrage.
Die Tabelle mit den Abonnements wird nach dem Ausführen der Aktion aktualisiert.

Aktualisieren

Aktualisiert die Liste Report-Abonnements.

Schließen

Schließt den Dialog.

attention Achtung

In allen Dialogen dieser Funktion kann es zu Vermischungen verschiedener Sprachen kommen.

Hintergrund: Die Texte werden vom ZAMS, vom Web Service und auch von Microsoft Extension DLLs (für die Zustell-Methoden der Abonnements) erstellt. Diese Quellen unterstützen je nach Installation und Konfiguration unterschiedliche Sprachen.

Abonnements anlegen und bearbeiten

Um eine neues Abonnement anzulegen:

  1. Klicken Sie auf die Schaltfläche Neu.

    Der Dialog wird wird mit den Defaults für alle Eingabemöglichkeiten geöffnet.

Um eine bestehendes Abonnement zu verändern:

  1. Markieren Sie das gewünschte Abonnement in der Liste.
  2. Klicken Sie auf Bearbeiten.

    Der Dialog wird mit den Werten für den gewählten Zeitplan geöffnet.

Um eine Abonnement zu löschen:

  1. Mmarkieren Sie das gewünschte Abonnement in der Liste.
  2. Klicken Sie auf Löschen.

    Das Abonnement wird gelöscht.

Dialog Abonnement anlegen oder bearbeiten

Option | Beschreibung
Allgemeine Einstellungen | Konfiguration der allgemeinen Einstellungen für das Abonnement.
Reportparameter | Konfiguration der Parameter für den ausgewählten Report.
Auslieferungsmethode | Konfiguration der Auslieferungsmethode für den Report.
Vorheriges | Wechselt zur vorherigen Registerkarte. In dieser Registerkarte nicht aktiv.
Nächstes | Wechselt zur nächsten Registerkarte.
OK | Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog. Nur verfügbar, wenn kein ungültigen Angaben vorhanden sind. Eingabefelder mit ungültigen Inhalten werden rot hinterlegt.
Abbrechen | Verwirft Änderungen und schließt den Dialog.

Hinweis: Fehler während der Konfiguration verhindern das Bestätigen des Dialogs mit OK und werden im Ausgabefenster angezeigt.

Noch in diesem Kapitel

Allgemeine Einstellungen

Reportparameter

Auslieferungsmethode


Allgemeine Einstellungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Automatisierung > Report-Abonnements verwalten > Allgemeine Einstellungen

In dieser Registerkarte wählen Sie Report, Auslieferungsmethode und Zeitplan aus. Reportparameter und Auslieferungsmethode konfigurieren Sie in den folgenden Registerkarten.

Option

Beschreibung

Allgemeine Einstellungen

Allgemeine Einstellungen für das Abonnement.

Report

Auswahl eines Reports für das Abonnement aus Dropdownliste.
Diese Auswahl bestimmt, welche Eigenschaften in der Gruppe Reportparameter angeboten werden.

Auslieferungsmethode

Auswahl einer Methode, mit der der Report zugestellt wird aus Dropdownliste:

  • Report als freigegebene Datei speichern:
    Der Report wird in einem freigegebenen Ordner auf einem Netzlaufwerk gespeichert.
    Diese Option steht immer zur Verfügung. Weitere Optionen hängen von der Konfiguration der Reporting Services ab.
  • Report mit E-Mail versenden:
    Der Report wird mit E-Mail versendet.
    Steht nur bei entsprechender Konfiguration der Reporting Services zur Verfügung.

Diese Auswahl bestimmt, welche Eigenschaften in der Gruppe Auslieferungsmethode angeboten werden.

Zeitplan

Auswahl eines Zeitplans für das Abonnement.

Hinweis: Am Analyzer Server kann der Zeitplan für das Abonnement direkt beim Abonnement erstellt und mit diesem gespeichert werden. Das wird vom ZAMS nicht unterstützt.

Zeitpläne verwalten

Öffnet den Dialog zur Erstellung und Bearbeitung von Zeitplänen.

Wird dieser ausgeführt, wird die Tabelle mit den Zeitplänen in der Liste der Zeitplan aktualisiert.

Vorheriges

Wechselt zur vorherigen Registerkarte.
In dieser Registerkarte nicht aktiv.

Nächstes

Wechselt zur nächsten Registerkarte.

OK

Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog.

Bei ungültigen Angaben bleibt der Dialog ohne Speicherung geöffnet und die Fehlkonfigurationen werden angezeigt.

Abbrechen

Verwirft Änderungen und schließt den Dialog.


Reportparameter

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Automatisierung > Report-Abonnements verwalten > Reportparameter

In dieser Registerkarte werden die Reportparameter konfiguriert. Die Steuerelemente werden in Gruppen angezeigt, die Gruppierungen werden automatisch von oben nach unten in einer oder mehreren Spalten dargestellt.

Option

Beschreibung

Anzeige der Steuerelemente

Abhängig von dem in der Registerkarte Allgemeine Einstellungen ausgewählten Report werden die jeweiligen Steuerelemente zur Konfiguration angeboten. Die Labels über den Steuerelementen für die Parameter stammen immer aus dem Report.

Empfehlung: Aktivieren Sie beim Steuerelement Zeitspanne die Checkbox Standardwert verwenden, um die beim Report konfigurierten Werte zu verwenden.

Vorherige

Wechselt zur vorherigen Registerkarte.

Nächste

Wechselt zur nächsten Registerkarte.

OK

Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog.

Bei ungültigen Angaben bleibt der Dialog ohne Speicherung geöffnet und die Fehlkonfigurationen werden angezeigt.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

info Info

Beachten Sie bei Parametern mit Mehrfachauswahl:

  • Wird die Checkbox für Verwendung der Standardwerte des Parameters abgewählt
  • und werden anschließend alle in der Auswahlliste des Parameters aktivierten Werte abgewählt,
  • dann werden für diese Parameter automatisch wieder die Standardwerte gesetzt.

Technischer Hintergrund: Der Report-Server setzt alle Parameter, die über Standardwerte verfügen und ohne Werte übergeben werden, auf die Standardwerte zurück.


Auslieferungsmethode

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server und Reports > Automatisierung > Report-Abonnements verwalten > Auslieferungsmethode

In dieser Registerkarte definieren Sie die Zustellmethode für den Report. Als Standardmethode steht Report als freigegebene Datei speichern immer zur Verfügung. Weitere Methoden hängen von der Konfiguration der Reporting Services ab. In dieser Dokumentation wird neben der Standardmethode auch die Methode Report mit E-Mail versenden vorgestellt. Die Methode wird in der Registerkarte Allgemeine Einstellungen ausgewählt.

Eingaben in dieser Registerkarte werden bei jeder Änderung eines Parameterwertes validiert.

attention Achtung

Die Sprache der Parameter für die Auslieferungsmethode entspricht der Sprache, in der der SQL-Server läuft. Die Sprache kann daher von der konfigurierten Sprache abweisen. Es können auch Einträge in unterschiedlichen Sprachen vorhanden sein.

Report als freigegebene Datei speichern

Option

Beschreibung

Dateiname

Name der Datei, in der der Report gespeichert wird.

Darf nicht leer sein und muss einen gültigen Namen enthalten.
Verboten sind folgende Zeichen: /\?|<>:*"

Pfad

UNC-Pfad des freigegebenen Ordners, in dem die Datei gespeichert wird. Darf nicht leer sein und muss einen gültigen UNC-Dateipfad enthalten. Klick auf Schaltfläche Durchsuchen öffnet Dialog zur Auswahl eines freigegebenen Ordners auf einem Netzlaufwerk.

Achtung: Aus technischen Gründen kann es in dem UNC-Browser-Dialog notwendig sein, Benutzername und Passwort einzugeben. Diese Eingabe bezieht sich auf den Zugriff für freigegebene Laufwerke und ist nicht ident mit den Parameterfeldern für Benutzername und Kennwort.

Renderformat

Auswahl des Datenformats aus Dropdownliste für das Speichern des Reports.

Schreibmodus

Auswahl aus Dropdownliste was bei einer bereits existierenden Datei passieren soll:

  • Keine: Die Datei wird zwar erstellt, aber wieder verworfen. Es wird nichts geschrieben.
  • Automatisch inkrementieren: Informationen werden dazu geschrieben.
  • Überschreiben: Die Datei wird überschrieben.

Dateierweiterung

Konfiguration, ob zur Report-Datei eine Dateiendung angefügt wird:

  • Ja: Die Datei wird mit einer zur Eigenschaft Renderformat passenden Dateiendung ergänzt.
  • Nein: Datei wird ohne Dateiendung gespeichert.

Benutzername

Benutzername für den Zugriff auf den freigegebenen Ordner.

Muss eingegeben werden, damit die Validierung erfolgreich ist. Es wird nur das Vorhandensein der Eingabe geprüft.

Kennwort

Passwort für den Zugriff auf den freigegebenen Ordner. Dieses wird nicht im Klartext dargestellt und wird vom Web Service beim erneuten Aufschalten des Abonnements nicht geliefert.

Muss eingegeben werden, damit die Validierung erfolgreich ist. Es wird nur das Vorhandensein der Eingabe geprüft.

Use file share account

Ermöglicht den Zugriff auf einen zentralen Datenspeicher. Damit können alle Abonements zentral mit einem Benutzer verwaltet werden.

Die Zugangsdaten (Speicherort, Benutzername und Passwort) werden im Reporting Services Configuration Manager konfiguriert.

Bei Auslieferungmethode muss nur festgelegt werden, ob dieser Speicherort benutzt wird:

  • Ja: Der zentrale Speicherort wird benutzt.
  • Nein: Jedes Abonnement wird extra mit eigenen Zugangsdaten verwaltet.

Navigation

Vorheriges | Wechselt zur vorherigen Registerkarte.
Nächstes | Wechselt zur nächsten Registerkarte. In dieser Registerkarte nicht aktiv.

Dialog beenden

OK | Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog. Bei ungültigen Angaben bleibt der Dialog ohne Speicherung geöffnet und die Fehlkonfigurationen werden angezeigt.
Abbrechen | Verwirft Änderungen und schließt den Dialog.

Report mit E-Mail versenden

Damit Reports per E-Mail verschickt werden können, muss der SQL-Server entsprechend konfiguriert sein. Die Konfiguration erfolgt im ZAMS über den Eintrag E-Mail-Server im Ribbon Analyzer Server.

Konfiguration der Versandmethode

Option

Beschreibung

An

Adresse des Empfängers.

Darf nicht leer sein und muss eine gültige Liste von E-Mail-Adressen enthalten. Vorgaben für Adressen:

  • Erlaubte Zeichen sind: a-z, A-Z, 0-9, !#$%&'*+-/=?^_`{|}~.
  • Syntax: [lokaler Teil]@Domäne Teil]
  • mehrere Adressen werden durch Semikolon (;) getrennt
  • genau ein @ Zeichen in der gesamten Adresse
  • keine zwei Punkte (..) hintereinander
  • Regeln für lokalen Teil und Domäne:
    - darf nicht mit Punkt (.) beginnen
    - darf nicht mit Punkt (.) enden
    - muss mindestens 1 gültiges Zeichen beinhalten
    - darf kein ungültiges Zeichen beinhalten

Cc

Adressen von Kopie-Empfängern.

Darf leer sein. Muss bei Inhalt eine Liste gültiger E-Mail-Adressen enthalten.

Bcc

Adressen von versteckten Kopie-Empfängern.

Darf leer sein. Muss bei Inhalt eine Liste gültiger E-Mail-Adressen enthalten.

Antwort an

Adresse, an die eine Antwort zugestellt wird.

Darf leer sein. Muss bei Inhalt eine Liste gültiger E-Mail-Adressen enthalten.

Bericht einschließen

Auswahl, ob Report mitgesendet wird.

  • Ja: Report wird als Datei an die E-Mail angehängt.
  • Nein: Es wird nur eine E-Mail mit der Nachricht, dass ein Report zur Verfügung steht, verschickt. Der Report selbst wird nicht verschickt.
    Tipp: Es kann auch über die Option Link einschließen ein Link zum Report eingefügt werden.

Renderformat

Auswahl des Datenformats aus Dropdownliste für das Speichern des Reports.

Priorität

Auswahl der Priorität der E-Mail aus Dropdownliste:

  • Hoch
  • Normal
  • Niedrig

Betreff

Betreff der E-Mail. Folgende Textbausteine können automatisiert ersetzt werden:

  • @ReportName: Namen des Reports
  • @ExecutionTime: Datum und die Uhrzeit der Report-Erstellung.

Kommentar

Zusatztext für die E-Mail.

Link einschließen

Auswahl, ob ein Link zum Report in die Nachricht eingeschlossen wird:

Ja: Ein Hyperlink zum Report wird in die E-Mail eingefügt.

Nein: Es wird kein Hyperlink eingefügt.

Vorheriges

Wechselt zur vorherigen Registerkarte.

Nächstes

Wechselt zur nächsten Registerkarte.

In dieser Registerkarte nicht aktiv.

OK

Übernimmt die Konfiguration, erstellt das Abonnement und schließt den Dialog.

Nur verfügbar, wenn kein ungültigen Angaben vorhanden sind. Eingabefelder mit ungültigen Inhalten werden rot hinterlegt.

Abbrechen

Verwirft Änderungen und schließt den Dialog.


SQL-Server managen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen

Über das Ribbon SQL-Server erreichen Sie die Werkzeuge zum Managen der SQL-Verbindungen und der Datenbanken:

Datenbank

Datenbanken erstellen und konvertieren.

Aktion | Beschreibung
Neu | Öffnet den Dialog zum Erstellen einer neuen Analyzer Datenbank.
Konvertieren | Startet die Konvertierung von Datenbanken, deren Versionsnummer kleiner als die aktuelle Versionsnummer ist.

Datenbanksicherung

Datenbanken sichern und wiederherstellen.

Aktion

Beschreibung

Erstellen

Öffnet den Dialog zum Erstellen einer Datenbanksicherung.

Automatisiert

Öffnet den Dialog zum Verwalten der automatisch erstellten Datenbanksicherungen.

Wiederherstellen

Enthält Aktionen zum:

  • Wiederherstellen:
    Öffnet den Dialog zum Rücklesen einer Datenbanksicherung.
  • Als neue Datenbank rücklesen:
    Öffnet den Dialog zum Rücklesen einer Datenbanksicherung als neue Datenbank.
  • Reporting Services Datenbank wiederherstellen:
    Öffnet den Dialog zum Rücklesen der Reporting Services Datenbank.

Dateien verwalten

Öffnet den Dialog zum Verwalten der Sicherungsdateien der Datenbanken.

Administration

Verwaltungsaufgaben.

Aktion | Beschreibung
Linked Server | Öffnet den Dialog zur Verwaltung der Linked Server.
Metadaten-Indizes | Öffnet den Dialog zur Verwaltung der Metadaten-Indizes.

Datenverarbeitung

Konfiguration von Connectoren und Archiven.

Aktion | Beschreibung
SCADA SQL-Connector | Öffnet den Dialog zum Erstellen eines SQL Connectors.
Connector für Fremddatenbanken | Startet die Konfiguration des Connectors für Fremddatenbanken.
Berechnete Archive | Startet den Dialog zur Konfiguration berechneter Archive.
Emulierte Archive | Öffnet den Dialog zur Konfiguration emulierter Archive.
SQL Server-Erweiterungen aktualisieren | Erneuert die SQL Server-Erweiterungen. Ergebnis wird im Ausgabefenster angezeigt.

Timeout Connector-Funktionen

Vor jedem Aufruf einer Connector-Funktion wird aus der zenAnalyzer.ini der eingestellte Timeout ausgelesen. Dieser kann dort bei Bedarf angepasst werden. Änderungen werden sofort übernommen. Es sind keine Neustarts von Prozessen, Diensten oder Rechner nötig.

Noch in diesem Kapitel

SQL Server-Erweiterungen aktualisieren

SCADA SQL-Connector erstellen

Connector für Fremddatenbanken erstellen

Neue Analyzer Datenbank

Datenbanken konvertieren

Manuelle Datenbanksicherungen

Datenbanksicherungsdatei als neue Datenbank rücklesen

Sicherung der Reporting Services Datenbank rücklesen

Automatisierte Datenbanksicherungen verwalten

Datenbanksicherungsdateien verwalten

Linked Server verwalten

Metadaten-Indizes verwalten

Archivemulation konfigurieren


SQL Server-Erweiterungen aktualisieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > SQL Server-Erweiterungen aktualisieren

Diese Funktion ist verfügbar, wenn eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz besteht.

Mit Auswahl der Aktion SQL Server-Erweiterungen aktualisieren:

  • aktualisieren Sie die Datenbank-Assembly zrsUserFunctions
    oder
  • erstellen diese, wenn sie noch nicht vorhanden ist, und aktualisieren die dazugehörigen SQL UDFs in der Datenbank

Ablauf:

  1. Auf der aktuell verbundenen SQL Server Instanz werden alle Analyzer-Datenbanken in der aktuellen Strukturversion gefunden.
  2. Für jede gefundene Datenbank werden die Datenbank-Assemblies (zrsUserFunctions, Prediction.ModelStorage, Prediction.PredictionEngine) und die daraus exportierten Funktionen aktualisiert.
  3. Eine Statusnachricht im Ausgabefenster informiert, für wie viele der gefundenen Datenbanken die Aktualisierung erfolgreich war.

Bestehende SCADA SQL-Connectoren bleiben erhalten und werden nicht verworfen.


SCADA SQL-Connector erstellen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > SCADA SQL-Connector erstellen

Um einen SQL Connector zu erstellen:

  1. Wählen Sie im Ribbon SQL-Server im Bereich Datenverarbeitung den Eintrag SCADA SQL-Connector.
  2. Der Dialog zum Erstellen eines SQL Connectors mit den beiden Registerkarten Datenbanken und Projekte wird geöffnet.

info Info

Um einen SQL Connector erstellen zu können, muss:

  • eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen
  • in der aktuell verbundenen Datenbank mindestens ein Projekt vorhanden sein

Datenbanken

Auswahl der Datenbanken und Linked Server, in denen nach Tabellen gesucht werden soll.

attention Achtung

Weder angezeigt noch konfiguriert werden können:

  • Archive, die über den Connector für Fremddatenbanken importiert wurden
  • emulierte Archive
  • berechnete Archive

Option

Beschreibung

Aktuell verbundene SQL-Server-Instanz

Eigenschaften der SQL Serverinstanz, zu der ZAMS gerade verbunden ist.

Aktuell verbundene Datenbank [NAME]
  • Aktiv: In der gerade verbundenen Datenbank soll nach Tabellen gesucht werden.

Der Name, der aktuell verbundenen Datenbank, wird am Ende der Option angezeigt.

Andere Datenbanken auf der aktuell verbundenen SQL-Server-Instanz

Auswahl von Datenbanken auf der momentan verbundenen SQL Server Instanz, in denen nach Tabellen gesucht werden soll.

Auswahl erfolgt über Aktivierung der Checkboxen:

  • Alle auswählen: Aktiviert oder deaktiviert Checkboxen für alle verfügbaren Datenbanken.
  • Checkbox vor Datenbank: Wählt die jeweilige Datenbank aus oder ab.

Linked Server

Linked Server auf der SQL Server Instanz, zu der das ZAMS gerade verbunden ist.

SQL

Enthält ausschließlich Linked SQL Server.

Provider: SQLNCLI

Auswahl erfolgt über Aktivierung der Checkboxen:

  • Alle auswählen: Aktiviert oder deaktiviert Checkboxen für alle verfügbaren Datenbanken.
  • Checkbox vor Datenbank: Wählt die jeweilige Datenbank aus oder ab.

Azure

Enthält ausschließlich Linked SQL Azure-Server.

Provider: SQLNCLI11

Auswahl erfolgt über Aktivierung der Checkboxen:

  • Alle auswählen: Aktiviert oder deaktiviert Checkboxen für alle verfügbaren Datenbanken.
  • Checkbox vor Datenbank: Wählt die jeweilige Datenbank aus oder ab.

Oracle

Enthält ausschließlich Linked Oracle Server.

Provider: OraOLEDB.Oracle

Auswahl erfolgt über Aktivierung der Checkboxen:

  • Alle auswählen: Aktiviert oder deaktiviert Checkboxen für alle verfügbaren Datenbanken.
  • Checkbox vor Datenbank: Wählt die jeweilige Datenbank aus oder ab.

ODBC

Enthält ausschließlich Linked ODBC Server.

Provider: MSDASQL

Auswahl erfolgt über Aktivierung der Checkboxen:

  • Alle auswählen: Aktiviert oder deaktiviert Checkboxen für alle verfügbaren Datenbanken.
  • Checkbox vor Datenbank: Wählt die jeweilige Datenbank aus oder ab.

OK

Schließt den Dialog, speichert die Konfiguration beider Registerkarten und öffnet den Dialog zur Konfiguration des SQL Connectors.

Dieser wird über drei Registerkarten parametriert:

  • AML, CEL und Kontextliste
  • Archiv-Tabellen
  • Schichttabellen

Details siehe entsprechende Abschnitte.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.

Hinweis: Standardmäßig sind alle Datenquellen aktiviert.

info Info

Das ZAMS kann nach importierbaren Tabellen suchen in:

  • Datenbanken auf der aktuell verbundenen SQL Server Instanz.
  • Datenbanken auf Linked SQL Server Instanzen.
  • Per ODBC verknüpfte Datenbanken. Diese unterliegen Einschränkungen.
    Hinweis: Die Konfiguration des ODBC Treibers für SQL Server wird im Kapitel Konfiguration der Provider beschrieben.
  • Datenbanken auf Linkes Oracle Server
  • Datenbanken in MS Azure

Die Metadaten für virtuelle Archive werden in neuen Metadatentabellen abgelegt. Achtung: Bei Linked SQL Servern wird lesender Zugriff auf die Datenbank „master" benötigt, um die Datenbanken auf dem Linked SQL Server aufzulisten. Bei allen Datenbanken auf SQL Server Instanzen wird lesender Zugriff auf die System-Views benötigt, um die Spalten und deren Datentypen erkennen zu können.

Projekte

In dieser Registerkarte legen Sie fest, für welche Daten welches Projekts nach Tabellen gesucht werden soll. Die Quell-Datenbanken für die verfügbaren Projekt wurden in der Registerkarte Datenbanken festgelegt.

Option

Beschreibung

Projektauswahl

Auswahl eines Projekts.

Wurde ein Projekt gewählt, wird die Gruppe Projektkonfiguration befüllt und kann konfiguriert werden. Die Konfiguration kann für jedes verfügbare Projekt durchgeführt werden.
Mit Klick auf OK werden alle Konfigurationen für alle Projekte übernommen.

Projektkonfiguration

Konfiguration des gewählten Projekts.

Suche neue Daten für dieses Projekt
  • Aktiv: In diesem Projekt wird nach Tabellen gesucht. Weitere Optionen werden eingeblendet.
  • Inaktiv: In diesem Projekt wird nicht nach Tabellen gesucht.

Alarmmeldeliste
  • Aktiv: AML-Tabellen (Tabellenname endet mit _ALARM) werden gesucht.

Chronologische Ereignisliste
  • Aktiv: CEL-Tabellen (Tabellenname endet mit _CEL) werden gesucht.

Schichtdaten
  • Aktiv: Schichttabellen werden gesucht.
    Die zu suchenden Schichttabellen werden aus der Metadatentabelle EQUIPMENTSHIFT entnommen.

Kontextlisten
  • Aktiv: Kontextlisten für Alarmursachen werden gesucht.

Suche Datentabellen für diese Archive

Auswahl der Datentabellen für Archive.
Es werden Tabellen folgender Typen angeboten:

  • Archivdaten:
    [Projektname]_[Archivkurzbezeichnung]
  • Variablen im Archiv:
    [Projektname]_VARIABLES
  • Chargendaten:
    [Projektname]_[Archivkurzbezeichnung]_LOT
    Nach dieser Tabelle wird nur gesucht, wenn das Archiv in den Metadaten als Chargenarchiv definiert ist (Spalte LOTARCHIV in der Metadatentabelle ARCHIVE).

Auswahl erfolgt über Aktivierung der Checkboxen:

  • Alle auswählen: Aktiviert oder deaktiviert Checkboxen für alle verfügbaren Datentabellen.
  • Checkbox vor Datenbank: Wählt die jeweilige Datentabelle aus oder ab.

OK

Schließt den Dialog, speichert die Konfiguration beider Registerkarten für alle konfigurierten Projekte und öffnet den Dialog zur Konfiguration des SQL Connectors.

Dieser wird über drei Registerkarten parametriert:

  • AM, CEL und Kontextliste
  • Archivtabellen
  • Schichttabellen

Details siehe entsprechende Abschnitte.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.

Noch in diesem Kapitel

Konfiguration des SQL Connectors

Konfiguration der Archivtabellen

Konfiguration der Schichttabellen


Konfiguration des SQL Connectors

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > SCADA SQL-Connector erstellen > Konfiguration des SQL Connectors

Klick auf die Schaltfläche OK im Dialog zum Erstellen eines SQL Connectors öffnet den Dialog zur Konfiguration des SQL Connectors. Vor dem Öffnen des Dialogs wird für jedes Projekt eine Standardkonfiguration erstellt.

Der Dialog besteht aus drei Registerkarten:

  • AML, CEL und Kontextliste
  • Archivetabellen
  • Schichttabellen

Nach der Konfiguration werden die Einstellungen gespeichert. Beim nächsten Aufruf des Dialogs werden die zuletzt gespeicherten Einstellungen angezeigt.

Dialog AML, CEL und Kontextliste

Option

Beschreibung

Projektauswahl

Auswahl des Projekts aus Dropdownliste setzt Vorgaben für zu konfigurierende Eigenschaften. Auswahl gilt für alle drei Registerkarten.

AML-Tabellenauswahl

Konfiguration der zu verwendenden AML-Tabelle.

Auswahl der gewünschten AML-Tabelle aus Dropdownliste. Diese enthält alle gefundenen AML-Tabellen und einen Eintrag für nicht erzeugen.

Unterhalb der Dropdownliste wird die Beschreibung der gewählten Tabelle angezeigt. Diese informiert auch, ob die Tabelle über Informationen zu Alarmursachen (Kontextliste) verfügt.

Hinweis: Bei Verbindungenzu einem MS Azure Server wird der Konfiguration als Präfix AZURE - vorangestellt.

CEL-Tabellenauswahl

Konfiguration der zu verwendenden CEL-Tabelle.

Auswahl der gewünschten CEL-Tabelle aus Dropdownliste. Diese enthält alle gefundenen CEL-Tabellen und einen Eintrag für nicht erzeugen.

Wurden keine Tabellen gefunden, enthält die Dropdownliste einen entsprechenden Eintrag und wird deaktiviert.

Hinweis: Bei Verbindungenzu einem MS Azure Server wird der Konfiguration als Präfix AZURE - vorangestellt.

Auswahl Tabelle Kontextliste

Konfiguration der zu verwendenden AML-Tabelle.

Auswahl der gewünschten Kontextliste-Tabelle aus Dropdownliste. Diese enthält alle gefundenen Kontextliste-Tabellen und einen Eintrag für nicht erzeugen.

Unterhalb der Dropdownliste wird die Beschreibung der gewählten Tabelle angezeigt.

Hinweis: Bei Verbindungenzu einem MS Azure Server wird der Konfiguration als Präfix AZURE - vorangestellt.

Standardkonfiguration wiederherstellen

Setzt alle Tabellen für das ausgewählte Projekt auf die Standardkonfiguration zurück.

OK

Speichert Einstellungen aller drei Registerkarten, schließt den Dialog und erstellt den SQL Connector.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.

Dialog Archivtabellen

Option

Beschreibung

Projektauswahl

Auswahl des Projekts aus Dropdownliste setzt Vorgaben für zu konfigurierende Eigenschaften. Auswahl gilt für alle drei Registerkarten.

Liste Tabellen

Zeigt alle bei der Konfiguration der Tabellensuche aktiv geschalteten Archive für das gewählte Projekt und die dazu gefundenen Tabellen an. Angezeigt werden:

  • Archivname
  • Archivdatentabelle
  • Archivvariablentabelle
  • Chargentabelle

Wurden für ein Archiv keine Archivdatentabellen gefunden oder soll dieses nicht in den SQL Connector eingebunden werden, bleiben die Spalten für Archivvariablentabelle und Chargentabelle leer.

Tabellenkonfiguration

Öffnet den Dialog zur Konfiguration der Archivtabellen für das gewählte Projekt. Nachdem Schließen dieses Dialogs, wird die Tabelle aktualisiert.

Standardkonfiguration wiederherstellen

Setzt die Archiv-Tabellen für alle Archive des gerade angezeigte Projekts auf die Standardkonfiguration zurück.

OK

Speichert Einstellungen aller drei Registerkarten, schließt den Dialog und erstellt sen SQL Connector.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.

Dialog Schicht-Tabellen

Option

Beschreibung

Projektauswahl

Auswahl des Projekts aus Dropdownliste setzt Vorgaben für zu konfigurierende Eigenschaften. Auswahl gilt für alle drei Registerkarten.

Liste Schichten

Zeigt die in der Konfiguration gewählten Schichttabellen für alle Anlagengruppen. Angezeigt werden:

  • Anlagengruppennamen
  • Schichttabelle

Wurden für eine Anlagengruppe keine Schichttabellen gefunden oder wurde diese so konfiguriert, dass sie nicht in den SQL Connector aufgenommen wird, dann wird das in der Tabelle entsprechend angezeigt.

Tabellenkonfiguration

Öffnet den Dialog zur Konfiguration der Schichttabellen für das gewählte Projekt. Nach dem Schließen dieses Dialogs, wird die Tabelle aktualisiert.

Standardkonfiguration wiederherstellen

Setzt die Schicht-Tabellen für alle Anlagenmodelle des gerade angezeigte Projekts auf die Standardkonfiguration zurück.

OK

Speichert Einstellungen aller drei Registerkarten, schließt den Dialog und erstellt den SQL Connector.

Abbrechen

Bricht den Ablauf zur Erstellung des SQL Connectors ab und schließt den Dialog.


Konfiguration der Archivtabellen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > SCADA SQL-Connector erstellen > Konfiguration der Archivtabellen

Option

Beschreibung

Projektauswahl

Auswahl des Projekts aus Dropdownliste. Das in Konfiguration des SQL Connectors gewählte Projekt ist bereits ausgewählt.

Übersicht

Zeigt Konfiguration aller Archive im Projekt. Angezeigt werden:

  • Archivname
  • Archivdatentabelle
  • Archivvariablentabelle
  • Chargentabelle

Sind für ein Archiv keine Archivdatentabellen vorhanden, bleiben die Spalten für die Archivvariablentabelle und die Chargentabelle für dieses Archiv leer.

Konfiguration

Konfiguration der Tabellen.

  • Liste auf der linken Seite:
    Auswahl eines zu konfigurierenden Archivs.
  • Registerkarten auf der rechten Seite:
    Drei Registerkarten zur Konfiguration der Archivdatentabelle, der Archivvariablentabelle und der Chargentabelle für das in der Liste gewählte Archiv.

Konfiguration der Registerkarten:

Jede Registerkarte besteht aus einer Dropdownliste und einem Textfeld.

Sind keine Tabellen vorhanden, wird das in der Dropdownliste vermerkt und diese ist inaktiv.

Sind Tabellen vorhanden, enthält die Dropdownliste alle verfügbaren Tabellen und einem Eintrag für das Ausschließen vom SQL Connector (do not build).

Wird in der Dropdownliste eine Tabelle gewählt, dann zeigt das Textfeld die Beschreibung der Tabelle an.

Wird die Auswahl in der Dropdownliste geändert, hat das je nach Registerkarte folgende Auswirkung:

  • Archivdatentabelle:
    Wird der Eintrag für Ausschließen vom SQL Connector gewählt, dann wird das auch in den Dropdownlisten für die Variablentabelle und die Chargentabelle geändert.
    Wird eine Tabelle gewählt, dann werden für die Variablentabelle und die Chargentabelle Tabellen in der gleichen Datenbank gesetzt, sofern diese vorhanden sind.
    Danach werden die Übersichtstabelle und die Warnungsliste aktualisiert.
  • Archivvariablentabelle:
    Die Übersichtstabelle und die Warnungsliste werden aktualisiert.
  • Chargentabelle:
    Die Übersichtstabelle und die Warnungsliste werden aktualisiert.

Hinweis: Bei Verbindungenzu einem MS Azure Server wird der Konfiguration als Präfix AZURE - vorangestellt.

Warnungen

Liste mit Warnungen, die die Konfiguration betreffen. Mögliche Ursachen:

  • Eine Datentabelle ist gesetzt und es ist keine Variablentabelle gesetzt.
  • Die Variablentabelle liegt in einer anderen Datenbank als die Datentabelle.
  • Eine Datentabelle ist gesetzt und es handelt sich um ein Chargenarchiv, eine Chargentabelle ist gesetzt und die Chargentabelle befindet sich in einer anderen Datenbank als die Datentabelle.
  • Eine Variablentabelle ist gesetzt, obwohl keine Datentabelle gesetzt ist.
  • Eine Chargentabelle ist gesetzt, obwohl keine Datentabelle gesetzt ist.

OK

Prüft, ob die Warnungsliste leer ist.

  • Leer: Der Dialog wird geschlossen und die Änderungen werden gespeichert.
  • Nicht leer: Benutzerabfrage, ob die Konfiguration trotz bestehender Warnungen gespeichert werden soll:
    Nein: Der Dialog bleibt offen und die Änderungen an der Konfiguration werden noch nicht gespeichert.
    Ja: Der Dialog wird geschlossen und die Änderungen an der Konfiguration werden gespeichert.

Abbrechen

Schließt den Dialog und verwirft die Änderungen an der Konfiguration.


Konfiguration der Schichttabellen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > SCADA SQL-Connector erstellen > Konfiguration der Schichttabellen

Option

Beschreibung

Projektauswahl

Auswahl des Projekts aus Dropdownliste. Das in Konfiguration des SQL Connectors gewählte Projekt ist bereits ausgewählt.

Übersicht

Zeigt die Konfiguration aller Anlagenmodelle und aller Anlagengruppen an, für die in den Metadaten für dieses Projekt eine Schichttabelle definiert ist. Angezeigt werden:

  • Anlagenmodellname
  • Schichttabelle
  • Konfiguration Vererbung:
    Enthält bei Anlagenmodellen und Anlagengruppen mit aktiver Vererbung der Schichttabelle den Namen des übergeordneten Elements..
    Der Aufbau der Vererbungshierarchie wird in der Achtung-Box unter dieser Tabelle erklärt.

Werden für ein Anlagenmodell keine Tabellen gefunden oder ist dieses vom SQL Connector ausgeschlossen, wird das in der entsprechenden Zeile in der Spalte Shift table vermerkt.

Konfiguration

Besteht aus:

  • Liste mit Anlagenmodellen:
    Komplette Vererbungshierarchie der Anlagenmodelle für das eingestellte Projekt
  • Checkbox Konfiguration vom übergeordneten Anlagenmodell übernommen.
  • Dropdownliste
  • Textfeld

Liste Anlagenmodelle

Auswahl eines Anlagenmodells durch Klick auf gewünschtes Modell.

Konfiguration vom übergeordneten Anlagenmodell übernommen.
  • Aktiv: Konfiguration wird vom übergeordneten Element übernommen.

Nur aktivierbar, wenn es sich nicht um ein Wurzelelement in der Vererbungshierarchie der Anlagenmodelle für das gewählte Projekt handelt.

Dropdownliste Schichttabelle

Konfiguration der Schichttabelle für das ausgewählte Anlagenmodell.

  • Sind für das Anlagenmodell keine Schichttabellen vorhanden, so wird das in der Dropdownliste angezeigt und die Liste wird inaktiv gesetzt.
  • Wird die Schichttabelle von einem übergeordneten Eintrag geerbt, dann wird in die Dropdownliste die geerbte Schichttabelle eingetragen und die Liste wird inaktiv gesetzt.
  • In allen anderen Fällen ist die Schichttabelle konfigurierbar und die Dropdownliste zeigt alle für das gewählte Anlagenmodell verfügbaren Schichttabellen sowie einem Eintrag zum Ausschließen des Anlagenmodells aus dem SQL Connector an.
    Wird in der Dropdownliste eine Änderung vorgenommen, so wird diese an alle von dem gewählten Anlagenmodell erbenden Anlagenmodelle weitergegeben.

Hinweis: Bei Verbindungenzu einem MS Azure Server wird der Konfiguration als Präfix AZURE - vorangestellt.

Textfeld

Enthält die Beschreibung der in der Dropdownliste gewählten Schichttabelle.

OK

Speichert alle Änderungen an der Konfiguration und schließt den Dialog.

Cancel

Verwirft alle Änderungen an der Konfiguration und schließt den Dialog.

Beim Öffnen des Dialogs wird die Vererbungshierarchie der Anlagenmodelle für jedes Projekt aufgebaut und es wird entschieden, welche Vererbungen aktiv sind.

attention Achtung

Diese Hierarchie muss nicht mit der Hierarchie im Anlagenmodell im zenon Editor übereinstimmen, da hier auch die in den Metadaten eingetragenen Schichttabellen berücksichtigt werden. Folgende Entscheidungsrichtlinien werden dabei angewandt:

  • Ein Anlagenmodell X kann die Schichttabellenkonfiguration nur dann von einem anderen Anlagenmodell Y erben, wenn das Anlagenmodell X in der zenon Anlagenmodellierung ein direktes Child vom Anlagenmodell Y ist und die Sammlung der verfügbaren Schichttabellen für beide Anlagenmodelle identisch ist.
  • Kann ein Element von keinem anderen erben, wird es zu einem Wurzelelement für die Liste Anlagenmodelle.
  • Eine mögliche Vererbung ist dann aktiv, wenn ein Element und sein übergeordnetes Element für die Verwendung der gleichen Schichttabelle konfiguriert sind.


Connector für Fremddatenbanken erstellen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen

Im ZAMS können Connectoren für Fremddatenbanken konfiguriert werden. Dazu werden Tabellen aus Fremddatenbanken als virtuelle Archive in ZAMS abgebildet. Diese virtuellen Archive werden in Reports als Archive, analog zu SCADA-Archiven und emulierten Archiven, eingebunden.

Das ZAMS passt bei der Konfiguration die Metadaten und Userdefined Functions (UDFs) in der Datenbank an. In der Datenbank werden nur die für die UDF-Erstellung notwendigen Metadaten gespeichert. Es werden keinerlei Nutzdaten in der Analyzer Datenbank abgelegt. Die Nutzdaten werden bei jeder Lese-Anforderung für ein virtuelles Archiv direkt von der Quelltabelle gelesen.

info Info

Das ZAMS kann nach importierbaren Tabellen suchen in:

  • Datenbanken auf der aktuell verbundenen SQL Server Instanz.
  • Datenbanken auf Linked SQL Server Instanzen.
  • Per ODBC verknüpfte Datenbanken. Diese unterliegen Einschränkungen.
    Hinweis: Die Konfiguration des ODBC Treibers für SQL Server wird im Kapitel Konfiguration der Provider beschrieben.
  • Datenbanken auf Linkes Oracle Server
  • Datenbanken in MS Azure

Die Metadaten für virtuelle Archive werden in neuen Metadatentabellen abgelegt. Achtung: Bei Linked SQL Servern wird lesender Zugriff auf die Datenbank „master" benötigt, um die Datenbanken auf dem Linked SQL Server aufzulisten. Bei allen Datenbanken auf SQL Server Instanzen wird lesender Zugriff auf die System-Views benötigt, um die Spalten und deren Datentypen erkennen zu können.

Um einen Connector für Fremddatenbanken erstellen zu können, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

info Info

Für virtuelle Archive mit dem Connector für Fremddatenbanken muss die Datenquelle Archiv lauten. Variablen aus diesen Archiven stehen nicht für die Datenquellen AML oder CEL zur Verfügung.

Connector erstellen

Um einen Connector für Fremddatenbanken zu erstellen:

  1. Wählen Sie im Ribbon SQL-Server im Bereich Datenverarbeitung den Eintrag Connector für Fremddatenbanken.
  2. Bestätigen Sie die Wahl mit Klick auf OK. Der Dialog zur Auswahl verfügbarer Datenbanken wird geöffnet.
  3. Wählen Sie die gewünschten Datenbanken.
  4. Der Dialog zur Konfiguration der Archive für den Connector für Fremddatenbanken wird geöffnet.
  5. Konfigurieren Sie die Archive mit dem Wizard oder manuell.
  6. Die Archive werden im Dialog Archive für den Connector für Fremddatenbanken angezeigt und können noch bearbeitet werden.
  7. Bestätigen Sie den Dialog mit Klick auf OK.

    Die Archive werden erstellt und können in Reports verwendet werden.

info Info

Bei der Konfiguration werden Eingaben in Textfelder evaluiert. Dialoge können nur mit OK bestätigt werden, wenn keine Validierungsfehler vorhanden sind.

Generell gilt:

  • Für Anzeigename, Namen, Referenzen, Identifikationen und Bedeutungen sind verboten: Komma (,) und einfaches Hochkomma (').
  • Für Beschreibungen, Einheiten und Statustext ist verboten: Komma (,).

Fehler werden in Popup-Meldungen erklärt.

Einschränkungen für Daten aus ODBC-Quellen

Bei Daten, die via ODBC eingebunden werden, gelten folgende Einschränkungen:

  • Der Datentyp der Variablen wird immer durch den Datentyp der Wertspalte festgelegt. Das betrifft Wertspalte der Tabelle bei Variablenidentifikationsspalte und Wertspalte und Wertspalte der Variablen bei Eine Wertspalte für jede Variable. Diese Sind im Dialog nicht auswählbar.
  • Ein Fehler wird gemeldet, wenn folgende Bedingungen zutreffen:
    • Daten für ein Archiv, dessen Quelltabelle via ODBC angebunden ist werden abgefragt.
    • Die Tabelle ist vom Typ Variablenidentifikationsspalte und Wertspalte.
    • Die Variablen im Archiv haben unterschiedliche Datentypen.
  • Bei numerischen Werten ist der Wertebereich eingeschränkt:
    • Alle Werte, die größer als 1010 sind, werden als 1010 verarbeitet.
    • Alle Werte, die im Bereich -(10-10) bis 10-10 sind, werden als 0 verarbeitet.
    • Alle Werte, die kleiner als -(1010) sind, werden als -(1010) verarbeitet.

"OraOLEDB.Oracle" für Linked Oracle Server

Fremddatenarchive für Oracle-Linked-Server werden über den OPENQUERY-Mechanismus abgefragt.
Details siehe Kapitel Konfiguration der Provider.

Noch in diesem Kapitel

Auswahl verfügbarer Datenbanken

Neues Archiv mit Wizard

Archiv manuell erstellen oder bearbeiten

Variable bearbeiten


Auswahl verfügbarer Datenbanken

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Auswahl verfügbarer Datenbanken

Im Dialog zur Auswahl verfügbarer Datenbanken werden die Datenbanken ausgewählt, die nach importierbaren Tabellen durchsucht werden sollen. Diese können dann im Dialog Archive für den Connector für Fremddatenbanken konfiguriert werden.

Auswahl verfügbarer Datenbanken

Option

Beschreibung

Datenbanken auf der derzeit verbundenen SQL Server-Instanz

Anzeige der Datenbanken der aktuell verbundenen SQL Server-Instanz. Mehrfachauswahl ist möglich. Ausgewählte Datenbanken werden über Klick auf die Schaltfläche Hinzufügen zur Liste Inkludierte Datenbanken hinzugefügt.

Hinzufügen

Fügt alle in der Liste ausgewählten Datenbanken zur Liste Inkludierte Datenbanken hinzu. Es werden nur Datenbanken hinzugefügt, die sich noch nicht in der Liste Inkludierte Datenbanken oder in der Liste Obligatorisch zu inkludierende Datenbanken befinden.

Alle hinzufügen

Fügt alle in der Listevorhandenen Datenbanken zur Liste Inkludierte Datenbanken hinzu. Es werden nur Datenbanken hinzugefügt, die sich noch nicht in der Liste Inkludierte Datenbanken oder in der Liste Obligatorisch zu inkludierende Datenbanken befinden.

Datenbanken auf Linked Servern

Auswahl eines Linked Server aus Dropdownliste und Anzeige seiner Datenbanken in der Liste. Mehrfachauswahl ist möglich.

Ausgewählte Datenbanken werden über Klick auf die Schaltfläche Hinzufügen zur Liste Inkludierte Datenbanken hinzugefügt

Ist der Linked Server vom Typ ODBC, kann keine Datenbank gewählt werden. Stattdessen wird ein Datenbank-Erkennungstext in die Liste eingefügt. Dieser stellt die Datenbank für diesen Linked Server dar.

Falls es bei der Verbindung zu Linked ODBC Servern zu Problemen kommt:

  • Prüfen Sie, ob der Linked Server auf die korrekte System-DSN verweist und ob die richtigen Anmeldedaten eingegeben wurden. Prüfen Sie auch den Inhalt der System-DSN prüfen.
  • Prüfen Sie, ob der ODBC Treiber für SQL Server (Name: MSDASQL) korrekt eingestellt ist. Einstellungen siehe Kapitel Konfiguration der Provider.

Hinzufügen

Fügt alle in der Liste ausgewählten Datenbanken zur Liste Inkludierte Datenbanken hinzu. Es werden nur Datenbanken hinzugefügt, die sich noch nicht in der Liste Inkludierte Datenbanken oder in der Liste Obligatorisch zu inkludierende Datenbanken befinden.

Alle hinzufügen

Fügt alle in der Listevorhandenen Datenbanken zur Liste Inkludierte Datenbanken hinzu. Es werden nur Datenbanken hinzugefügt, die sich noch nicht in der Liste Inkludierte Datenbanken oder in der Liste Obligatorisch zu inkludierende Datenbanken befinden.

Inkludierte Datenbanken

Anzeige aller hinzugefügten Datenbanken. Diese werden bei Klick auf OK nach importierbaren Tabellen durchsucht. Mehrfachauswahl ist möglich.

Über die Schaltfläche Entfernen können Datenbanken aus der Liste entfernt werden.

Datenbanken, die von Linked Servern kommen, werden in der Syntax [Linked Server Name] [Datenbankname] angezeigt.

Entfernen

Entfernt alle ausgewählten Datenbanken aus der Liste.

Alle entfernen

Entfernt alle vorhandenen Datenbanken aus der Liste.

Obligatorisch zu inkludierende Datenbanken

Anzeige aller Datenbanken, die nach importierbaren Tabellen durchsucht werden müssen, weil ein existierendes virtuelles Archiv auf sie verweist. Die Liste wird nur angezeigt und kann nicht bearbeitet werden.

Datenbanken, die von Linked Servern kommen, werden in der Syntax [Linked Server Name] [Datenbankname] angezeigt.

OK

Übernimmt alle Einstellungen, schließt den Dialog, durchsucht alle ausgewählten Datenbanken nach importierbaren Tabellen und öffnet den Dialog Archive für den Connector für Fremddatenbanken.

Sind die Listen Inkludierte Datenbanken und Obligatorisch zu inkludierende Datenbanken leer, wird eine Fehlermeldung angezeigt.

Abbrechen

Verwirft alle Konfigurationen und schließt den Dialog.

Dialog Archive für den Connector für Fremddatenbanken

Konfiguration der Archive für die importierten Datenbanken. Erstellen Sie neue Archive mit dem Wizard oder manuell und bearbeiten Sie existierende Archive.

Im Dialog werden folgende Symbole verwendet:

  • : Wizard
  • : Neu
  • : Bearbeiten
  • : Löschen

Option

Beschreibung

Liste Archive

Anzeige der konfigurierten Archive mit folgenden Detailinformationen:

  • Archivname
  • Projektname
  • Zykluszeit
  • Quelldatenbank
  • Tabelle in der Quelldatenbank
  • Anzahl der Variablen

Die Archive werden in der Reihenfolge ihrer Erstellung angezeigt.

Schaltflächen zum Bearbeiten der Liste und der Archive

Zum Bearbeiten stehen folgende Symbole zur Verfügung:

Leiste:

  • Wizard: Öffnet den Wizard zum Erstellen eines Archivs. Nach dem Erstellen eines Archivs wird automatisch der Dialog zum Bearbeiten eines Archivs geöffnet. Passen Sie hier das erstellte Archiv an
  • Neu: Öffnet den Dialog zum Erstellen eines Archivs.

Archive:

  • Bearbeiten: Öffnet den Dialog zum Bearbeiten eines Archivs. Dieser entspricht dem Dialog zum Erstellen eines Archivs. Es können allerdings keine neuen Variablen erstellt werden.
  • Löschen: Löscht das Archiv ohne Sicherheitsabfrage aus der Liste.

OK

Übernimmt alle Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Einstellungen und schließt den Dialog.


Neues Archiv mit Wizard

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Neues Archiv mit Wizard

Mit dem Wizard werden Archiv, Datenquelle und Regeln festgelegt und die Variablen dann automatisch erzeugt. Im Anschluss daran können diese individuell angepasst werden.

Um ein neues Archiv mit dem Wizard zu erstellen:

  1. Klicken Sie im Dialog Archive für den Connector für Fremddatenbanken auf das Symbol für den Wizard.
  2. Konfigurieren Sie die Registerkarten:
    • Datenquelle
    • Archivmetadaten
    • Variablenerzeugungsregeln
  3. Überprüfen Sie die Konfiguration in der Registerkarte Zusammenfassung und Ausführung.
  4. Klicken Sie auf Variablen erzeugen.
  5. Die konfigurierten Variablen werden erzeugt.
  6. Der Dialog zum Erstellen/Bearbeiten eines Archivs wird geöffnet.
  7. Passen Sie die automatisch erstellte Konfiguration bei Bedarf an.
  8. Schließen Sie den Dialog.
  9. Das Archiv wird in der Liste angezeigt und kann über das Symbol Bearbeiten jederzeit zur weiteren Anpassung geöffnet werden.

Noch in diesem Kapitel

Archivmetadaten

Datenquelle

Variablenerzeugungsregeln

Zusammenfassung und Ausführung


Archivmetadaten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Neues Archiv mit Wizard > Archivmetadaten

Konfiguration der Archivmetadaten:

Option | Beschreibung
Projekt | Projekt, dem das Archiv zugeordnet ist. Auswahl aus Dropdownliste.
Kennung | Kennung des Archivs. Diese muss für alle Archive innerhalb des Projekts eindeutig sein. Bei der Validierung darf das Feld nicht leer sein.
Anzeigename | Anzeigename für das Archiv. Dieser muss für alle Archive innerhalb des Projekts eindeutig sein. Bei der Validierung darf das Feld nicht leer sein.

Navigation

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorhergehenden Registerkarte.
In der ersten Registerkarte inaktiv.

Nächste

Wechselt zur nächsten Registerkarte.
In der letzten Registerkarte inaktiv.

Variablen erzeugen

Die Variablenerstellung wird gestartet.

Nur in der letzten Registerkarte aktiv und nur, wenn keine Validierungsfehler festgestellt wurden. Werden Validierungsfehler gefunden, werden diese angezeigt, die Schaltfläche bleibt inaktiv.

Nach der Variablenerstellung wechselt die Schaltfläche zu OK. Damit kann die Erzeugung des Archivs gestartet werden.

Abbrechen

Verwirft alle Eingaben und schließt den Dialog.


Datenquelle

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Neues Archiv mit Wizard > Datenquelle

Konfiguration der Datenquelle:

Option

Beschreibung

Server

Auswahl des Datenbankservers aus Dropdownliste. Die aktuell verbundene Server-Instanz wird durch den nachgestellten Hinweis (derzeit verbunden) gekennzeichnet.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Datenbank

Auswahl der Datenbank am gewählten Server aus Dropdownliste. Alle Datenbanken des gewählten Servers stehen zur Verfügung.

Nur verfügbar, wenn ein Server gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Tabelle

Auswahl der Quelltabelle aus Dropdownliste. Alle in der gewählten Datenbank vorhandenen Tabellen stehen zur Verfügung.

Nur verfügbar, wenn eine Datenbank gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Tabellentyp

Auswahl des Tabellentyps aus Dropdownliste. Verfügbar sind:

  • Variablenidentifikationsspalte und Wertspalte: flache Liste
  • Eine Wertspalte für jede Variable: pivotiert

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Zeitstempeltyp

Auswahl des Zeitstempeltyps aus Dropdownliste. Verfügbar sind:

  • UTC Zeitstempel-Objekt
  • Zeitstempelobjekt in Lokalzeit des Servers
  • Unixzeit
  • Unixzeit und Millisekunden in zwei Spalten
  • Unixzeit und Millisekunden in einer Spalte

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Spalte für Zeitstempel

Auswahl des Zeitstempelspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für die aktuelle Zeitstempeltypeinstellung zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein.

Spalte für Millisekunden

Auswahl der Millisekundenspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Millisekundenspalte zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als Zeitstempeltyp Unixzeit mit Millisekunden gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Variablenerkennungsspalte

Auswahl der Variablenerkennungsspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Variablenidentifikationsspalte zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als als Tabellentyp Variablenidentifikationsspalte und Wertspalte gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Wertspalte

Auswahl der Wertspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Wertspalte zulässig ist, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als als Tabellentyp Variablenidentifikationsspalte und Wertspalte gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Navigation

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorhergehenden Registerkarte.
In der ersten Registerkarte inaktiv.

Nächste

Wechselt zur nächsten Registerkarte.
In der letzten Registerkarte inaktiv.

Variablen erzeugen

Die Variablenerstellung wird gestartet.

Nur in der letzten Registerkarte aktiv und nur, wenn keine Validierungsfehler festgestellt wurden. Werden Validierungsfehler gefunden, werden diese angezeigt, die Schaltfläche bleibt inaktiv.

Nach der Variablenerstellung wechselt die Schaltfläche zu OK. Damit kann die Erzeugung des Archivs gestartet werden.

Abbrechen

Verwirft alle Eingaben und schließt den Dialog.


Variablenerzeugungsregeln

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Neues Archiv mit Wizard > Variablenerzeugungsregeln

Konfiguration der Regeln für das Erstellen von Variablen:

Option

Beschreibung

Regeln für das Erzeugen der Identifikation

Konfiguration, wie die Variablenreferenz erzeugt wird. Diese muss innerhalb des Projekts eindeutig sein und den Regeln für Namen entsprechen. Auswahl aus Dropdownliste:

  • Variablenerkennungstext
  • Variablenerkennungstext mit Präfix
  • Variablenerkennungstext mit Suffix
  • Variablenerkennungstext mit Präfix und Suffix

Bei der Validierung darf das Feld nicht leer sein.

Identifikationspräfix

Eingabe eines Präfix für die Variablenreferenz.

Nur verfügbar, wenn eine der Referenz-Erzeugungsvarianten mit Präfix gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Identifikationssuffix

Eingabe eines Suffix für die Variablenreferenz.

Nur verfügbar, wenn eine der Referenz-Erzeugungsvarianten mit suffix gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Regeln für das Erzeugen der Anzeigenamen

Konfiguration, wie der Anzeigename der Variablen generiert wird. Dieser muss innerhalb des Projekts eindeutig sein und den Regeln für Namen entsprechen.

Auswahl aus Dropdownliste:

  • Variablenerkennungstext
  • Variablenerkennungstext mit Präfix
  • Variablenerkennungstext mit Suffix
  • Variablenerkennungstext mit Präfix und Suffix

Bei der Validierung darf das Feld nicht leer sein.

Anzeigenamenpräfix

Eingabe eines Präfix für den Anzeigenamen.

Nur verfügbar, wenn eine Erzeugungsvariante für den Anzeigenamen mit Präfix gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Anzeigenamensuffix

Eingabe eines Präfix für den Anzeigenamen.

Nur verfügbar, wenn eine Erzeugungsvariante für den Anzeigenamen mit Suffix gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Regel zum Definieren des Datentyps

Konfiguration der Regel zum Setzen des Datentyps. Auswahl aus Dropdownliste:

  • Datentyp immer auf numerisch setzen
  • Datentyp immer auf Text setzen
  • Datentyp basierend auf dem Spaltendatentyp erkennen

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Empfehlung: Wählen Sie für diese Option im Zweifel Datentyp basierend auf dem Spaltendatentyp erkennen. Damit stellen Sie sicher, dass es beim Anlegen oder Ausführen der UDF zu keinem Konvertierungsfehler kommt.

Navigation

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorhergehenden Registerkarte.
In der ersten Registerkarte inaktiv.

Nächste

Wechselt zur nächsten Registerkarte.
In der letzten Registerkarte inaktiv.

Variablen erzeugen

Die Variablenerstellung wird gestartet.

Nur in der letzten Registerkarte aktiv und nur, wenn keine Validierungsfehler festgestellt wurden. Werden Validierungsfehler gefunden, werden diese angezeigt, die Schaltfläche bleibt inaktiv.

Nach der Variablenerstellung wechselt die Schaltfläche zu OK. Damit kann die Erzeugung des Archivs gestartet werden.

Abbrechen

Verwirft alle Eingaben und schließt den Dialog.


Zusammenfassung und Ausführung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Neues Archiv mit Wizard > Zusammenfassung und Ausführung

Anzeige der Konfiguration und Erstellen des Archivs. Beim Wechsel zu dieser Registerkarte werden die Eingaben in den anderen Registerkarten validiert.

Ist die Konfiguration fehlerfrei, dann:

  • ist die Schaltfläche Variablen erzeugen aktiv
  • können Variablen erzeugt und ein Archiv erstellt werden

Wurden Fehler gefunden, dann:

  • ist die Schaltfläche Variablen erzeugen inaktiv
  • werden Konfigurationsfehler im Fenster angezeigt

Konfigurationsfehler gefunden

Option | Beschreibung
Anzeige Konfiguration | Zeigt das Ergebnis der Validierung an. Gefundene Fehler werden aufgelistet.
Vorherige | Wechselt zur vorhergehenden Registerkarte.
Nächste | Inaktiv.
Variablen erzeugen | Inaktiv solange Konfigurationsfehler vorhanden sind.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.

Variablen und Archiv erzeugen

Wurde die Konfiguration fehlerfrei durchgeführt, dann können erst die Variablen und dann das Archiv erzeugt werden.

Variablen erzeugen

Option | Beschreibung
Anzeige Konfiguration | Zeigt das Ergebnis der Validierung an.
Vorherige | Wechselt zur vorhergehenden Registerkarte.
Nächste | Inaktiv.
Variablen erzeugen | Die Variablenerstellung wird gestartet. Nur aktiv, wenn keine Validierungsfehler festgestellt wurden. Nach der Variablenerstellung wechselt die Schaltfläche zu OK.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.

Archiv erzeugen

Nach dem Erzeugen der Variablen kann das Archiv erstellt werden.

Option | Beschreibung
Anzeige Variablenerstellung | Listet alle erstellten Variablen auf.
Vorherige | Wechselt zur vorhergehenden Registerkarte.
Nächste | Inaktiv.
OK | Erstellt das konfigurierte Archiv und schließt den Dialog.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Archiv manuell erstellen oder bearbeiten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Archiv manuell erstellen oder bearbeiten

Mit diesem Dialog werden Metadaten, Datenquelle und Variablen manuell konfiguriert.

Dieser Dialog wird angeboten beim:

  • Erstellen eines neuen Archivs
  • Bearbeiten eines existierenden Archivs
  • Anpassen eines mit dem Wizard erstellten Archivs

Um ein Archiv manuell zu erstellen oder zu bearbeiten:

  1. Klicken Sie im Dialog Archive für den Connector für Fremddatenbanken auf das Symbol für Neues Archiv.
  2. Konfigurieren Sie die Registerkarten:
    • Metadaten
    • Datenquelle
    • Variablen
  3. Schließen Sie den Dialog.
  4. Das Archiv wird in der Liste angezeigt und kann über das Symbol Bearbeiten jederzeit zur weiteren Anpassung geöffnet werden.

Noch in diesem Kapitel

Metadaten

Datenquelle

Variablen

Regeln Namensvergabe


Metadaten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Archiv manuell erstellen oder bearbeiten > Metadaten

Konfiguration der Metadaten:

Option | Beschreibung
Projekt | Projekt, dem das Archiv zugeordnet ist. Auswahl aus Dropdownliste. Nur verfügbar, wenn ein Archiv neu erstellt wird. Wird die Auswahl geändert, werden alle bereits erstellten Variablen im Archiv gelöscht.
Kennung | Kennung des Archivs. Diese muss für alle Archive innerhalb des Projekts eindeutig sein. Nur verfügbar, wenn ein Archiv neu erstellt wird. Bei der Validierung darf das Feld nicht leer sein.
Anzeigename | Anzeigename für das Archiv. Dieser muss für alle Archive innerhalb des Projekts eindeutig sein. Bei der Validierung darf das Feld nicht leer sein.
Beschreibung | Beschreibungstext für das Archiv.
Zykluszeit | Konfiguration der Zykluszeit des Archivs.
Zugewiesene Anlagengruppe | Anzeige aller verfügbaren Anlagenmodelle als Baum mit Checkboxen. Auswahl durch Aktivierung der Checkboxen vor den gewünschten Anlagengruppen.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt das Archiv. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Datenquelle

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Archiv manuell erstellen oder bearbeiten > Datenquelle

Konfiguration der Datenquelle:

Option

Beschreibung

Server

Auswahl des Datenbankservers aus Dropdownliste. Die aktuell verbundene Server-Instanz wird durch den nachgestellten Hinweis (derzeit verbunden) gekennzeichnet.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt. Und alle erstellten Variablen werden gelöscht.

Bei der Validierung darf das Feld nicht leer sein.

Datenbank

Auswahl der Datenbank am gewählten Server aus Dropdownliste. Alle Datenbanken des gewählten Servers stehen zur Verfügung.

Nur verfügbar, wenn ein Server gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt. Und alle erstellten Variablen werden gelöscht.

Bei der Validierung darf das Feld nicht leer sein.

Tabelle

Auswahl der Quelltabelle aus Dropdownliste. Alle in der gewählten Datenbank vorhandenen Tabellen stehen zur Verfügung.

Nur verfügbar, wenn eine Datenbank gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt. Und alle erstellten Variablen werden gelöscht.

Bei der Validierung darf das Feld nicht leer sein.

Tabellentyp

Auswahl des Tabellentyps aus Dropdownliste. Verfügbar sind:

  • Variablenidentifikationsspalte und Wertspalte: flache Liste
  • Eine Wertspalte für jede Variable: pivotiert

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt. Und alle erstellten Variablen werden gelöscht.

Bei der Validierung darf das Feld nicht leer sein.

Zeitstempeltyp

Auswahl des Zeitstempeltyps aus Dropdownliste. Verfügbar sind:

  • UTC Zeitstempel-Objekt
  • Zeitstempelobjekt in Lokalzeit des Servers
  • Unixzeit
  • Unixzeit und Millisekunden in zwei Spalten
  • Unixzeit und Millisekunden in einer Spalte

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Wird die Auswahl während der Konfiguration der Registerkarte geändert, werden die davon abhängigen Einstellungen dieser Registerkarte zurückgesetzt.

Bei der Validierung darf das Feld nicht leer sein.

Spalte für Zeitstempel

Auswahl des Zeitstempelspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für die aktuelle Zeitstempeltypeinstellung zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein.

Spalte für Millisekunden

Auswahl der Millisekundenspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Millisekundenspalte zulässig sind, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als Zeitstempeltyp Unixzeit mit Millisekunden gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Variablenerkennungsspalte

Auswahl der Variablenerkennungsspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Variablenidentifikationsspalte zulässig sind, stehen zur Verfügung

Nur verfügbar, wenn eine Tabelle gewählt wurde und als als Tabellentyp Variablenidentifikationsspalte und Wertspalte gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Wertspalte

Auswahl der Wertspalte aus Dropdownliste. Alle Spalten der gewählten Tabelle, deren Datentyp für eine Wertspalte zulässig ist, stehen zur Verfügung.

Nur verfügbar, wenn eine Tabelle gewählt wurde und als als Tabellentyp Variablenidentifikationsspalte und Wertspalte gewählt wurde.

Bei der Validierung darf das Feld nicht leer sein, wenn es aktiv ist.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt das Archiv. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Variablen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Archiv manuell erstellen oder bearbeiten > Variablen

Konfiguration der Variablen.

Im Dialog werden folgende Symbole verwendet:

  • : Neu
  • : Bearbeiten
  • : Löschen

Option

Beschreibung

Liste Variablen

Anzeige der konfigurierten Variablen mit folgenden Detailinformationen:

  • Variablenname
  • Variablenerkennungstext
  • Datentyp
  • Maßeinheit

Die Variablen werden in der Reihenfolge ihrer Erstellung angezeigt.

Schaltflächen zum Bearbeiten der Liste und der Variablen

Zum Bearbeiten stehen folgende Symbole zur Verfügung:

Leiste:

  • Neu: Öffnet den Dialog zum Erstellen einer Variablen.
    Nur aktiv, wenn aufgrund der Konfiguration Variablen erzeugt werden können.
    Dazu muss:
    - ein Projekt gewählt worden sein
    - die Datenquellendefinition vollständig sein
    - bei Tabellentyp pivotiert mindestens ein Variablenerkennungstext zur Verfügung stehen

Variablen:

  • Bearbeiten: Öffnet den Dialog zum Bearbeiten einer Variablen. Dieser entspricht dem Dialog zum Erstellen einer Variablen. Es können allerdings keine neuen Variablen erstellt werden.
  • Löschen: Löscht die Variable ohne Sicherheitsabfrage aus der Liste.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt das Archiv. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.

Variablen erzeugen

Um eine neue Variable zu erzeugen:

  1. Klicken Sie auf die Schaltfläche Neu (Stern).
  2. Der Dialog zum Erstellen/Bearbeiten von Variablen wird geöffnet.
  3. Konfigurieren Sie die Registerkarten für:
    • Metadaten
    • Zugewiesene Anlagengruppen
    • Zugewiesene Bedeutungen
    • Statustexte
  4. Schließen Sie den Dialog mit Klick auf OK.
  5. Die Variable wird in der Liste angezeigt und kann jederzeit über die Schaltflächen bearbeitet oder gelöscht werden.


Regeln Namensvergabe

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Archiv manuell erstellen oder bearbeiten > Regeln Namensvergabe

Für Variablenname und Anzeigename sind verboten:

  • Komma
  • Zeilenschaltungen
  • Absatzschaltungen
  • Tabulatoren
  • Leerzeichen

Bei der Übernahme werden diese Eigenschaften überprüft und an die Regeln angepasst.
Das bedeutet:

  1. Kommata, Zeilenschaltungen, Absatzschaltungen und Tabulatoren werden entfernt.
  2. Leerzeichen am Anfang und Ende werden entfernt.
  3. Mehrere aufeinanderfolgende Leerzeichen im Text werden zu einem Leerzeichen zusammengefasst.
  4. Leerzeichen im Text werden durch Unterstriche ersetzt.


Variable bearbeiten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Variable bearbeiten

"Regeln Namensvergabe" auch integrieren

Noch in diesem Kapitel

Metadaten

Zugewiesene Anlagengruppen

Zugewiesene Bedeutungen

Statustexte


Metadaten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Variable bearbeiten > Metadaten

In dieser Registerkarte werden die Metadaten der Variablen konfiguriert. Abhängig von der Einstellung für Tabellentyp in der Konfiguration der Datenquelle in der Archivkonfiguration steht diese Registerkarte in zwei Ausprägungen zur Verfügung:

Tabellentyp flache Liste: Variablenerkennungstext wird in Feld eingetragen

Tabellentyp pivotiert: Variablenerkennungstext wird aus Dropdownliste gewählt

Tabellentyp "Flache Liste"

Option

Beschreibung

Variablenname

Name der Variablen. Dieser muss innerhalb des Projekts eindeutig sein und den Regeln für Namen entsprechen.

Bei der Validierung darf das Feld nicht leer sein.

Anzeigename

Anzeigename der Variablen angegeben. Dieser muss innerhalb des Projekts eindeutig sein und den Regeln für Namen entsprechen.

Bei der Validierung darf das Feld nicht leer sein.

Beschreibung

Beschreibungstext zur Variablen .

Datentyp

Datentyp der Variablen. Auswahl aus Dropdownliste:

  • Numerischer Wert
  • Text

Hinweis: Erlaubt der Spaltendatentyp keine Konvertierung auf Numerischer Wert, dann ist hier Text vorausgewählt und die Dropdownliste ist deaktiviert.

Bei der Validierung darf das Feld nicht leer sein.

Maßeinheit

Eingabe der Maßeinheit der Variablen.

Variablenerkennungstext

Eingabe des Variablenerkennungstexts. Möglichkeit hängt ab von Tabellentyp in der Konfiguration der Datenquelle in der Archivkonfiguration:

  • Flache Liste: Eingabefeld zur Eingabe des Erkennungstextes der Variablen.
  • Pivotiert: Dropdownliste zur Auswahl des Erkennungstextes. Zur Verfügung stehen alle Spaltennamen der Tabelle.
    Ausnahmen: Spaltennamen, die bereits für Zeitstempelspalte, Millisekundenspalte oder eine andere Variable im Archiv verwendet wurden.

Bei der Validierung darf das Feld nicht leer sein.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt die Variable. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.

Tabellentyp "Pivotiert"

Konfiguration analog zu Tabellentyp Flache Liste.


Zugewiesene Anlagengruppen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Variable bearbeiten > Zugewiesene Anlagengruppen

Konfiguration der Anlagengruppen:

Option | Beschreibung
Zugewiesene Anlagengruppe | Anzeige aller verfügbaren Anlagenmodelle als Baum mit Checkboxen. Auswahl durch Aktivierung der Checkboxen vor den gewünschten Anlagengruppen.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt die Variable. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Zugewiesene Bedeutungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Variable bearbeiten > Zugewiesene Bedeutungen

Konfiguration der Bedeutungen:

Option | Beschreibung
Zugewiesene Bedeutung | Eingabe einer Bedeutung in das Feld
Hinzufügen | Klick fügt Eintrag im Feld Zugewiesene Bedeutung zur Liste zugewiesener Bedeutungen hinzu.
Liste zugewiesener Bedeutungen | Zeigt alle aktuell konfigurierten Bedeutungen an. Mehrfachauswahl ist möglich.
Entfernen | Klick entfernt alle ausgewählten Bedeutungen aus der Liste zugewiesener Bedeutungen.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt die Variable. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Statustexte

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Connector für Fremddatenbanken erstellen > Variable bearbeiten > Statustexte

Konfiguration des Statustexts:

Option | Beschreibung
Numerischer Eintrag | Eingabe für Wert für des Status .
Textfeld | Eingabe Statustext.
Hinzufügen | Klick fügt Eintrag zur Liste der Statustexte hinzu.
Liste der Statustexte | Zeigt alle aktuell konfigurierten Statustexte an. Anzeigeformat: [Wert]: [Text] Mehrfachauswahl ist möglich.
Entfernen | Klick entfernt alle ausgewählten Statustexte.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Schließt den Dialog und erstellt die Variable. Werden Validierungsfehler festgestellt, wird der Ablauf unterbrochen und eine Meldung mit den festgestellten Fehlern angezeigt.
Abbrechen | Verwirft alle Eingaben und schließt den Dialog.


Neue Analyzer Datenbank

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Neue Analyzer Datenbank

Damit eine neue Analyzer Datenbank erstellt werden kann, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Um eine neue Analyzer Datenbank zu erstellen:

  1. Klicken Sie im Ribbon SQL Server auf den Eintrag Neu.

    Der Dialog zum Erstellen einer neuen Datenbank wird geöffnet.

  2. Konfigurieren Sie die Einstellungen.

Option

Beschreibung

Datenbankname

Name der neu zu erstellenden Datenbank.

Bleibt dieses Feld leer oder wird der Name einer bereits auf der SQL Server Instanz existierenden Datenbank eingegeben, wird eine Fehlermeldung ausgegeben.

Nach Erstellung mit neuer Datenbank verbinden
  • Aktiv: Nach erfolgreicher Datenbankerstellung wird die aktuelle Verbindung geschlossen und eine Verbindung zur gerade neu erstellten Datenbank wird aufgebaut.
  • Inaktiv: Nach erfolgreicher Datenbankerstellung bleibt die Verbindung zur aktuellen Datenbank bestehen

Verbindungssicherheit

Einstellungen für die Verbindungssicherheit. Die Einträge müssen der Konfiguration am Server entsprechen.

Sichere Verbindung

Aktivierung oder Deaktivierung der verschlüsselten Kommunikation.

  • Aktiv: Die Kommunikation erfolgt verschlüsselt. Für die Verbindung müssen, je nach Grad der Verschlüsselung, Passwörter für den Lizenzdienst eingegeben werden.
  • Inaktiv: Die Kommunikation erfolgt nicht verschlüsselt.

Hinweis: Abgesicherte Kommunikation kann für bestehende Verbindungsprofile nicht konfiguriert werden. Es muss ein neues Profil angelegt werden.

Verbindungspasswort zum Lizenzserver

Eingabe des Passworts für die Verbindung zum Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Änderungspasswort des Lizenzservers

Eingabe des Änderungspassworts am Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Passwort speichern

Festlegung, ob die Verbindungspasswörter im Verbindungsprofil gespeichert werden.
Das Speichern erfolgt als von Hardware und Benutzer abhängiger Hash des Passworts.

OK

Übernimmt alle Eingaben, erstellt die Datenbank, führt den eventuell nötigen Verbindungsaufbau durch und schließt den Dialog.

Abbrechen

Verwirft alle Eingaben und schließt den Dialog ohne eine Datenbank zu erstellen.


Datenbanken konvertieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Datenbanken konvertieren

Datenbanken, die mit dem zenon Analyzer ab Version 2.0 erstellt wurden können in die jeweils verwendete höhere Version konvertiert werden. Wird in ZAMS eine Datenbank mit einer niedrigeren Versionsnummer als das ausgeführte ZAMS geöffnet, wird diese in die neuere Version konvertiert. Datenbanken mit einer Version kleiner als zenon Analyzer 2.0 werden vom ZAMS nicht konvertiert. Bei der Konvertierung werden die Datenbankstruktur und die Lizenz überprüft.

Ab Version 2.10 erkennt ZAMS die Version der Metadatenstrukturdefinition einer Datenbank und kann deren Struktur überprüfen. Alle ab Version 2.10 erstellten Datenbanken verfügen über eine Versionierung der Datenbankstruktur.

Die Überprüfung der Version einer Datenbank wird gestartet, wenn:

  • eine Verbindung zu einer Datenbank aufgebaut wird
  • die manuelle Konvertierung der Datenbanken gestartet wird

Datenbank manuell konvertieren

Um Datenbanken zu konvertieren:

  1. Öffnen Sie das Ribbon SQL-Server.
  2. Wählen Sie den Eintrag Konvertieren.
  3. ZAMS überprüft alle vorhandenen Datenbanken auf deren Version und Struktur.
    Die Suche und deren Ergebnisse werden im Ausgabefenster dokumentiert.
  4. Werden konvertierbare Datenbanken gefunden, dann werden diese zur Konvertierung angeboten:
    1. Der Dialog zur Konfiguration der Datenbankkonvertierung mit zwei Registerkarten wird geöffnet.
    2. Wählen Sie die Datenbanken, die konvertiert werden sollen, und den Sicherungspfad aus.

      Hinweis: Achten Sie auf die Informationen im Kommentar. Eventuell sind nach der Konvertierung weitere Aktionen nötig, z.B. die Neuerstellung des SCADA SQL-Connectors.

    3. Starten Sie die Konvertierung mit Klick auf OK.
  5. Werden keine Datenbanken gefunden, die konvertiert werden können, wird die Suche beendet und im Ausgabefenster werden entsprechende Meldungen angezeigt.

Dialog Konfiguration der Datenbankkonvertierung

Dieser Dialog ermöglicht die Auswahl der zu konvertierenden Datenbanken und die Konfiguration des Speicherpfades.

Datenbanken

Auswahl der zu konvertierenden Datenbanken.

Option

Beschreibung

Liste Datenbanken

Listet alle vorhandenen Datenbanken auf. Ist ein Zeile grau hinterlegt, kann die darin genannte Datenbank nicht konvertiert werden. Details enthält die Spalte Kommentar.

Angezeigt werden:

  • Checkbox: Auswahl der Datenbank.
    Aktiv: Datenbank zur Konvertierung ausgewählt.
    Ausgewählt können nur Datenbanken werden, die technisch konvertiert werden können.
    Default für konvertierbare Datenbanken: aktiv
  • Datenbankname: Name der Datenbank.
  • Version: Version der Datenbank.
  • Kommentar: Begründung, warum eine Datenbank nicht konvertiert werden kann oder von welcher zu welcher Version eine Datenbank konvertiert werden kann. Achten Sie auf Hinweise auf Aktionen, die nach der Konvertierung durchgeführt werden müssen.

Den Ordner mit den LOG-Dateien nach Abschluss der Konvertierung öffnen.

Aktiv: Nach der Konvertierung wird der Ordner mit den LOG-Dateien zur Konvertierung geöffnet.

OK

Übernimmt Einstellungen aller Registerkarten und startet Konvertierung.

Abbrechen

Verwirft Einstellungen aller Registerkarten und bricht Konvertierung ab.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Sicherungspfad

Konfiguration der Pfades für die Sicherungsdateien und Auswahl, ob diese nach erfolgreicher Konvertierung gelöscht werden.

Option

Beschreibung

Datenbanksicherungsdateien im gleichen Pfad wie die Datenbankdateien speichern

Aktiv: Die Datenbank-Sicherungsdateien werden lokal im gleichen Ordner wie die Datenbankdateien am Analyzer Server abgelegt.

Da das ein anderer Rechner als der ZAMS-Rechner sein kann, kann der Zugriff auf dessen Dateisystem nicht garantiert werden. Daher könen die dort abgelegten Sicherungsdateien nach erfolgreicher Konvertierung nicht automatisch vom ZAMS gelöscht werden.

Datenbanksicherungen in einer Netzwerkfreigabe speichern

Aktiv: Die Datenbank-Sicherungsdateien werden

in einer Netzwerkfreigabe abgelegt.

Eingabe des Ordners in Textfeld oder Auswahl aus Dialog nach Klick auf die Schaltfläche Durchsuchen.

Achtung: Es muss sichergestellt werden, dass der Benutzer, in dessen Kontext die SQL-Server Instanz läuft, Zugriff auf diese Freigabe mit folgenden Rechten hat:

  • lesen
  • schreiben
  • überschreiben

Durchsuchen

Öffnet Dialog zur Auswahl einer Netzwerkfreigabe.

Datenbanksicherungen nach erfolgreicher Konvertierung löschen

Aktiv: Die Datenbank-Sicherungsdateien werden nach erfolgreicher Konvertierung der Datenbank gelöscht.

Voraussetzung: Die Sicherungsdateien befinden sich in einer Netzwerkfreigabe.

Die Option wird für jede Datenbank extra ausgeführt. Werden z. B. 5 Datenbanken konvertiert und eine Konvertierung schlägt fehl, dann:

  • werden 4 Sicherungsdateien gelöscht
  • wird die Sicherungsdatei der fehlgeschlagenen Konvertierung erhalten

Den Ordner mit den LOG-Dateien nach Abschluss der Konvertierung öffnen.

Aktiv: Nach der Konvertierung wird der Ordner mit den LOG-Dateien zur Konvertierung geöffnet.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Konvertierungshinweise

Beachten Sie bei der Konvertierung von Datenbanken vor allem:

  • Wird eine Datenbank mit einer Versionsnummer kleiner 2 konvertiert, dann gilt bei Konvertierung zu:
    • Version 2 oder höher: Der SCADA SQL-Connector muss neu erstellt werden, um emulierte Archive in Reports verfügbar zu haben.
    • Version 3: Der SCADA SQL-Connector muss neu erstellt werden, um Archive für den Import aus Fremddatenbanken verfügbar zu haben.
  • Wird eine Datenbank mit einer Versionsnummer kleiner 3 konvertiert, dann gilt bei Konvertierung zu:
    • Version 3 oder höher: Der SCADA SQL-Connector muss neu erstellt werden, um Archive für den Import aus Fremddatenbanken verfügbar zu haben.
  • Wird eine Datenbank mit einer Versionsnummer kleiner 5 konvertiert, dann gilt bei Konvertierung zu:
    • Version 5 oder höher: Alarm- und Event-SQL-Connectoren werden auf Werkszustand zurückgesetzt. Diese müssen nach der Konvertierung neu gebaut werden.


Manuelle Datenbanksicherungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Manuelle Datenbanksicherungen

Datenbanken können manuell gesichert werden. Sicherungsdateien können rückgelesen und verwaltet werden. Ob eine Datenbank gesichert bzw. rückgelesen werden kann, hängt von ihrem Typ ab.

Automatisierte Sicherungen werden im Kapitel Automatisierte Datenbanksicherungen beschrieben.

Noch in diesem Kapitel

Datenbanktypen

Datenbanksicherungen erstellen

Datenbanksicherungen wiederherstellen


Datenbanktypen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Manuelle Datenbanksicherungen > Datenbanktypen

Folgende Typen von Datenbanken werden unterschieden:

Typ

Beschreibung

Sichern

Rücklesen

Systemdatenbanken

Name ist

  • master
  • model
  • msdb
  • tempdb

-

-

Report Server Datenbanken

Name beginnt mit

  • ReportServer$

+

- *

Analyzer Metadaten Datenbanken
  • Keine System-Datenbank
  • Keine Report Server Datenbank.
  • Analyzer Metadatendefinition-Version ist feststellbar.

+

+

Andere Datenbanken

Keine der Bedingungen für die anderen Typen wurde erfüllt.

+

+

* Hintergrund: Um Report Server Datenbanken rückzulesen, müsste der Dienst ReportServer gestoppt und nach dem Rücklesen neu gestartet werden, wofür Administrator-Rechte am Analyzer Server benötigt werden.


Datenbanksicherungen erstellen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Manuelle Datenbanksicherungen > Datenbanksicherungen erstellen

Von Datenbanken können Sicherungen erstellt werden, sofern ihr Typ das zulässt. Details zu den rücklesbaren Typen finden Sie im Kapitel Datenbanktypen.

Datenbanken sichern

Um Datenbanken zu sichern:

  1. Öffnen Sie das Ribbon SQL-Server.
  2. Wählen Sie in der Ribbon-Gruppe Datenbanksicherung den Eintrag Erstellen.

    Der Dialog zur Auswahl der Datenbanken wird geöffnet.

  3. Aktivieren Sie die Checkboxen vor allen zu sichernden Datenbanken .
  4. Klicken Sie auf OK.

Option

Beschreibung

Liste der Datenbanken

Zeigt alle verfügbaren Datenbanken an

  • Checkbox: Um eine Datenbank zu sichern, muss die Checkbox aktiviert sein.
  • Datenbankname: Zeigt Datenbankname an.
  • Datum und Uhrzeit der aktuellsten Sicherung: Zeigt Datum und Uhrzeit der aktuell vorhandenen Sicherung an.

Pfad und Anzahl der Sicherungen werden im Menü Optionen, in der Registerkarte Datenbanksicherungen der Einstellungen festgelegt.

Alle auswählen

Wählt alle angezeigten Datenbanken zur Sicherung aus.

Auswahl aufheben

Hebt Datenbankauswahl auf.

OK

Übernimmt Auswahl, schließt Dialog und erstellt Sicherungen.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Option

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA3: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA3: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35


Datenbanksicherungen wiederherstellen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Manuelle Datenbanksicherungen > Datenbanksicherungen wiederherstellen

Gesicherte Datenbankdateien können zurückgelesen werden. Details zu den rücklesbaren Typen finden Sie im Kapitel Datenbanktypen.

Datenbanksicherungen wiederherstellen

Um Datenbanksicherungen rückzulesen:

  1. Öffnen Sie das Ribbon SQL-Server.
  2. Wählen Sie in der Ribbon-Gruppe Datenbanksicherung den Eintrag Wiederherstellen.

    Der Dialog zur Auswahl der Datenbanken wird geöffnet.

  3. Aktivieren Sie die Checkboxen vor allen rückzulesenden Datenbanken.
  4. Wählen Sie jeweils in der Spalte Zeitstempel der aktuellsten Sicherung die gewünschte Version aus der Dropdownliste aus.
  5. Klicken Sie auf OK.

Option

Beschreibung

Liste der Datenbanken

Zeigt alle verfügbaren Datenbanken an

  • Checkbox: Um eine Datenbanksicherung rückzulesen, muss die Checkbox aktiviert sein.
  • Datenbankname: Zeigt den Datenbanknamen an.
  • Zeitstempel der aktuellsten Sicherung: Zeigt Dropdownliste mit Datum und Uhrzeit aller vorhandenen Sicherung.

Alle auswählen

Wählt alle angezeigten Datenbanken zur Sicherung aus.

Auswahl aufheben

Hebt Datenbankauswahl auf.

OK

Übernimmt Auswahl, schließt Dialog und liest gesicherte ausgewählte Datenbanksicherungen zurück. Beachten Sie dabei:

  • Wenn die derzeit verbundene Metadaten-Datenbank von einer Sicherung rückgelesen werden soll, muss die Verbindung nach dem Rücklesen neu aufgebaut werden. Der Benutzer muss dies vor dem Beginn des Rücklesens bestätigen.
  • Bei jeder Analyzer Metadaten-Datenbank wird nach erfolgreichem Rücklesen die Version der Metadatenstruktur in der Datenbank festgestellt und eine Strukturprüfung durchgeführt. Wird bei mindestens einer Datenbank eine veraltete Struktur festgestellt, hat der Benutzer die Möglichkeit, die Datenbankkonvertierung direkt zu starten. Diese Option ist inaktiv, wenn die Verbindung nach dem Rücklesen neu aufgebaut werden muss.

Abbrechen

Verwirft Änderungen und schließt Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Option

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA3: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA3: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35


Datenbanksicherungsdatei als neue Datenbank rücklesen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Datenbanksicherungsdatei als neue Datenbank rücklesen

Eine Datenbanksicherungsdatei kann als neue Datenbank rückgelesen werden. Dabei kann die Sicherungsdatei auch von einer Datenbank stammen, die es auf der SQL Server Instanz noch nicht gibt.

Die Datenbanksicherungsdatei muss folgenden Ansprüchen genügen:

  • Der Name der Datenbanksicherungsdatei muss folgender Syntax entsprechen: [Datenbankname]_[yyyy]_[MM]_[dd]_[HH]_[mm]_[ss].bak.
  • Es gibt nur eine Datenbanksicherung in der Datenbanksicherungsdatei.
  • Die in der Sicherungsdatei gesicherte Datenbank hat exakt den Namen, der im Dateinamen der Sicherungsdatei vorkommt.
  • Die Datenbanksicherungsdatei ist durch eine Checksumme auf Beschädigung/Manipulation überprüfbar.

Alle mit dem ZAMS erstellten Datenbanksicherungsdateien erfüllen alle dieser Ansprüche.

Der Zieldatenbankname kann mit dem Quelldatenbanknamen identisch sein, sofern noch keine Datenbank mit diesem Namen existiert. Damit kann eine bestehende Datenbank von einem Analyzer Server auf den anderen übertragen werden durch:

  • sichern auf dem ursprünglichen Server
  • kopieren der Sicherungsdatei
  • rücklesen auf den Zielserver mit neuem Namen, der dem alten Namen entspricht

Datenbanksicherung als neue Datenbank rücklesen

Um eine Sicherung als neue Datenbank rückzulesen:

  1. Öffnen Sie das Ribbon SQL-Server.
  2. Wählen Sie in der Ribbon-Gruppe Datenbanksicherung den Eintrag Wiederherstellen -> Als neue Datenbank rücklesen.

    Der Dialog zur Auswahl einer Sicherungsdatei wird geöffnet.

  3. Wählen Sie die gewünschte Datenbank aus.
  4. Vergeben Sie einen Namen für die neue Datenbank.
  5. Schließen Sie den Dialog mit Klick auf OK.

Hinweis: Entstehen beim Rücklesen Konflikte bei der Synchronisation der Benutzer-Zugriffsrechte, wird der Benutzer über einen Dialog informiert und kann entscheiden, ob die Datenbank trotzdem erstellt werden soll.

Dialog Rücklesen einer Datenbanksicherungsdatei als neue Datenbank

Option

Beschreibung

Quelldatenbank

Auswahl der Quelldatenbank aus Dropdownliste.

Die Quelldatenbank ist jene Datenbank, welche in der Sicherungsdatei enthalten ist. Es werden alle gefundenen Quelldatenbanken aufgelistet.

Zeitstempel der Sicherung

Auswahl des Zeitstempels, der rückgelesen werden soll. Alle zur Verfügung stehenden Sicherungsdateien der gewählten Quelldatenbank werden nach dem Zeitstempel ihrer Sicherung gelistet.

Name der neuen Datenbank

Eingabe des Namens der neuen Datenbank.

Der Name muss folgende Kriterien erfüllen:

  • Darf nicht leer bleiben.
  • Darf nicht von einer bereits auf dem Zielserver bestehenden Datenbank verwendet werden.
    Diese Prüfung unterscheidet nicht zwischen Groß-/Kleinschreibung. Zum Beispiel: Der Name DATA kann nicht verwendet werden, wenn bereits eine Datenbank namens data besteht.

Die Schaltfläche OK ist nur dann bedienbar, wenn die Validierung des Namens erfolgreich ist.

Nach dem Rücklesen zur neuen Datenbank verbinden

Aktiv: Beim Rücklesen wird auch eine Verbindung zur neuen Datenbank hergestellt.

Aktiviert und nicht bedienbar, wenn die Option Nach dem Verbinden den SQL Connector in der neuen Datenbank erstellen aktiv ist.

Nach dem Verbinden den SQL Connector in der neuen Datenbank erstellen
  • Aktiv: Beim Rücklesen wird nach dem Verbindungsaufbau zur neuen Datenbank die SQL Connector Erzeugung gestartet.

Nur aktivierbar, wenn die Option Nach dem Rücklesen zur neuen Datenbank verbinden aktiv ist.

Konfiguriere den Connector für Fremddatenbanken nach Verbindungsherstellung
  • Aktiv: Beim Rücklesen wird nach dem Verbindungsaufbau zur neuen Datenbank die Konfiguration des Imports von Fremddatenbanken gestartet.

Hinweis: Sind Nach dem Verbinden den SQL Connector in der neuen Datenbank erstellen und Konfiguriere den Connector für Fremddatenbanken nach Verbindungsherstellung aktiviert, dann erfolgt die Konfiguration in dieser Reihenfolge:

  • SQL-Connector
  • Import von Fremddatenbanken

Nur aktivierbar, wenn die Option Nach dem Rücklesen zur neuen Datenbank verbinden aktiv ist.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Sicherung der Reporting Services Datenbank rücklesen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Sicherung der Reporting Services Datenbank rücklesen

Sicherungen der Reporting Services Datenbank können in ZAMS rückgelesen werden, wenn sich der Analyzer Server am selben Rechner wie ZAMS befindet.

Um eine Sicherung rückzulesen:

  1. Wählen Sie im Ribbon SQL-Server den Befehl Sicherung der Reporting Services Datenbank rücklesen.
    Dieser steht nur zur Verfügung, wenn das ZAMS zu einem Analyzer Server verbunden ist, der sich am selben Rechner wie das ZAMS befindet. Der Vergleich erfolgt über den vom .NET Framework gelieferten NetBIOS Namen des lokalen Computers und dem vom SQL Server Verbindungsobjekt gelieferten NetBIOS Namen des SQL-Server Computers.
  2. Der Dialog zur Auswahl einer Sicherung wird geöffnet.
  3. Wählen Sie die gewünschte Sicherung.
  4. Bestätigen Sie das Rücklesen mit Klick auf OK.

Dialog Sicherungsdatei rücklesen

Option | Beschreibung
Dropdownliste | Auswahl der rückzulesenden Datei. Die Identifikation erfolgt anhand des Zeitstempels der Sicherung.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Automatisierte Datenbanksicherungen verwalten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten

Datenbanksicherungen können automatisiert ausgeführt werden. Diese Sicherungsdateien können in einem eigenen Dialog verwaltet werden.

Hinweis: Automatisierte Datenbanksicherungen sollten so konfiguriert werden, dass sie dann laufen, wenn der Analyzer Server nichts zu tun hat. Dabei müssen auch Report-Abonnements beachtet werden. Werden z.B. auf einem Analyzer Server jeden Sonntag um 02:00:00 Abonnements abgearbeitet, dann ist das kein geeigneter Zeitpunkt für das Durchführen einer Datenbanksicherung.

Um eine automatisierte Sicherung einzurichten oder zu bearbeiten:

  1. Öffnen Sie das Ribbon SQL-Server.
  2. Wählen Sie in der Ribbon-Gruppe Datenbanksicherung den Eintrag Automatisiert.

    Der Dialog zur Verwaltung automatisierter Sicherungen wird geöffnet.

Option

Beschreibung

Symbol

Zeigt an, ob der Sicherungsauftrag aktiv oder inaktiv ist.

Liste der Sicherungsaufträge

Tabelle aller erkannten Sicherungsaufträge. Angezeigt werden:

  • Name: Eindeutiger Name des Sicherungsauftrags. Groß-/Kleinschreibung wird nicht überprüft.
  • Beschreibung: Individuelle Beschreibung des Auftrags.
  • Statusinformation: Hinweis, ob der Sicherungsauftrag aktiv ist, wann er das letzte Mal ausgeführt wurde und was das Ergebnis der letzten Ausführung war.
  • Zeitplan: Beschreibung des zugeordneten Zeitplans.
  • Speicherpfad: Pfad für Datenbanksicherungsdateien.
  • Inkludierte Datenbanken: Auflistung der zu sichernden Datenbanken plus Hinweis, ob und auf wie viele Dateien die Anzahl der Datenbanksicherungsdateien begrenzt ist.

Es kann immer nur ein Auftrag ausgewählt werden.

Aktualisieren

Aktualisiert den Inhalt der Liste.

Neu

Legt einen neuen Sicherungsauftrag an.

Dazu wird ein Dialog geöffnet mit der Konfiguration für:

  • Allgemeine Einstellungen
  • Datenbanken
  • Zeitpläne der Aufträge

Bearbeiten

Öffnet den ausgewählten Sicherungsauftrag zur Bearbeitung mit dem Dialog für:

  • Allgemeine Einstellungen
  • Datenbanken
  • Zeitpläne der Aufgaben

Löschen

Löscht den ausgewählten Sicherungsauftrag nach einer Sicherheitsabfrage.

Aufgabe aktivieren

Aktiviert den ausgewählten Sicherungsauftrag.

Aufgabe deaktivieren

Deaktiviert den ausgewählten Sicherungsauftrag.

Schließen

Schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Sicherungsaufträge anlegen und bearbeiten

Sicherungsaufträge werden in einem Dialog mit drei Registerkarten konfiguriert. Der Dialog wird bei Klick auf die Schaltfläche Neu oder Bearbeiten geöffnet.

Option

Beschreibung

Allgemeine Einstellungen

Konfiguration der allgemeinen Einstellungen für eine Datenbanksicherung.

Datenbanken

Auswahl der zu sichernden Datenbanken.

Zeitpläne der Aufträge

Zeitpläne für die Sicherung mit Details für:

  • Allgemeine Einstellungen
  • Wiederholung
  • Wiederholung im Tag
  • Dauer

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Option

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA3: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA3: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35

Noch in diesem Kapitel

Definition Datenbanksicherungsauftrag

Allgemeine Einstellungen

Datenbanken

Zeitpläne der Aufträge

Beispiel automatisierte Datenbanksicherung


Definition Datenbanksicherungsauftrag

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten > Definition Datenbanksicherungsauftrag

Da am SQL-Server viele Aufträge automatisiert ausgeführt werden, ist die Erkennung eines Auftrags als Datenbanksicherung restriktiv definiert. So wird verhindert, dass Datenbanksicherungsaufträge andere Aufgaben, wie etwa Abonnements, beeinflussen.

Ein SQL-Server Agent Job wird nur dann als Analyzer Datenbanksicherungsauftrag erkannt, wenn alle folgenden Bedingungen erfüllt werden:

  1. Der Auftrag ist von der Kategorie Database Maintenance.
  2. Der Auftrag enthält ausschließlich Schritte, die einer der folgenden Bedingungen entsprechen:
  • Name beginnt mit Backup und Typ ist Transact SQL.
    Unterbedingungen für diese Schritte:
    • Felder für Datenbanknamen und Dateipfad sind im Kommandotext vorhanden und mit verarbeitbaren Werten gefüllt.
    • Es gibt für die Datenbank noch keinen anderen Schritt, weder Backup noch Reduce Files.
    • Der Kommandotext entspricht dem mit dem Datenbanknamen und dem Dateipfad parametrierten SQL Script Template DbAutoBackup_RunBackup.
  • Name beginnt mit Reduce Files und Typ ist CMD Execute.
    Unterbedingungen für diese Schritte:
    • Felder für Dateipfad und Datenbank-GUID sind im Kommandotext vorhanden und mit verarbeitbaren Werten gefüllt.
    • Kombination aus Dateipfad und Datenbank-GUID führt zu einer BAT-Datei.
    • Der Kommandotext entspricht dem mit Dateipfad und Datenbank-GUID parametrierten SQL Script Template DbAutoBackup_CallBat.
    • In der BAT-Datei sind die Felder für Datenbankname, Dateipfad und maximale Dateianzahl vorhanden und mit verarbeitbaren Werten gefüllt.
    • Für diese Datenbank gibt es noch keinen anderen Schritt vom Typ Reduce Files.
    • Der Skript-Text in der BAT-Datei entspricht dem mit Dateipfad, Datenbank-GUID, Datenbankname und maximaler Dateianzahl parametrierten SQL Script Template DbAutoBackup_BatReduceFiles.
  • Darüber hinaus gilt, dass alle Schritte inklusive der Unterpunkte der Reduce Files Schritte den gleichen Dateipfad verwenden müssen.


Allgemeine Einstellungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten > Allgemeine Einstellungen

In dieser Registerkarten werden allgemeine Einstellungen für automatisierte Sicherungsaufträge konfiguriert.

Option | Beschreibung
Name des Datenbanksicherungsauftrag | Eingabe eines eindeutigen Namens für den Datenbanksicherungsauftrag.
Beschreibung des Datenbanksicherungsauftrag | Eingabe einer Beschreibung für des Datenbanksicherungsauftrags.
Datenbanksicherungsauftrag ist aktiviert | Aktiv: Der Auftrag wird entsprechend ihrer Konfiguration und ihres Zeitplans ausgeführt.
Ordner für Datenbanksicherungsdateien | Ordner, in dem die Sicherungsdateien gespeichert werden. Nur Anzeige. Pfad und Anzahl der Sicherungen werden im Menü Optionen, in der Registerkarte Datenbanksicherungen der Einstellungen festgelegt.
Maximale Anzahl an Datenbanksicherungsdateien | Maximale Anzahl der Sicherungsdateien, die gespeichert werden. Nur Anzeige. Pfad und Anzahl der Sicherungen werden im Menü Optionen, in der Registerkarte Datenbanksicherungen der Einstellungen festgelegt.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Datenbanken

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten > Datenbanken

In dieser Registerkarte werden die zu sichernden Datenbanken ausgewählt.

Option

Beschreibung

Verfügbare Datenbanken

Liste der Datenbanken, die für den Sicherungsauftrag ausgewählt werden können. Bereits ausgewählte Datenbanken werden in dieser Liste nicht mehr angezeigt.

Schaltflächen für Zuweisung

Schaltflächen, um Datenbanken zwischen Listen zu verschieben:

  • >: Verschiebt markierte Datenbanken zur Liste Inkludierte Datenbanken.
  • >>: Verschiebt alle Datenbanken zur Liste Inkludierte Datenbanken.
  • <: Verschiebt markierte Datenbanken zur Liste Verfügbare Datenbanken.
  • <<: Verschiebt alle Datenbanken zur Liste Verfügbare Datenbanken.

Inkludierte Datenbanken

Liste der Datenbanken, die mit dieser Aufgabe gesichert werden.

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Zeitpläne der Aufträge

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten > Zeitpläne der Aufträge

In dieser Registerkarte werden die Zeitpläne für die Sicherungsaufträge konfiguriert.

Option | Beschreibung
Existierende Auftragszeitpläne | Listet alle für diesen Auftrag angelegten Zeitpläne auf.
Beschreibung des gewählten Zeitplans | Zeigt Details des in der Liste Existierende Auftragszeitpläne ausgewählten Zeitplans an.
Neu | Öffnet Dialog zum Anlegen eines neuen Zeitplans.
Bearbeiten | Öffnet Dialog zum Bearbeiten des ausgewählten Zeitplans.
Löschen | Löscht den ausgewählten Zeitplan.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Zeitplan neu anlegen oder bearbeiten

Klick auf die Schaltfläche neu oder Bearbeiten öffnet den Dialog zum Konfigurieren eines Zeitplans:

Registerkarten | Beschreibung
Allgemeine Einstellungen | Allgemeine Einstellungen für den Zeitplan.
Wiederholung | Konfiguration des Wiederkehrverhaltens für Tage. Die zur Verfügung stehenden Kontrollelemente hängen ab von der Auswahl des Wiederholungsmusters in der Registerkarte Allgemeine Einstellungen.
Wiederholung im Tag | Konfiguration des Wiederkehrverhaltens innerhalb eines Tags. Die zur Verfügung stehenden Kontrollelemente hängen ab von der Auswahl des Wiederkehrschemas in der Registerkarte Allgemeine Einstellungen.
Dauer | Konfiguration des Zeitbereichs, in dem der Zeitplan aktiv ist
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: In ZAMS sind nur wiederkehrende Zeitpläne konfigurierbar, da Zeitplantypen wie Einmal ausführen, Immer wenn sich die CPU im Leerlauf befindet oder Immer bei Start des SQL Server Agent Dienstes sich nicht für die Durchführung einer regelmäßigen automatisierten Datenbanksicherung eignen.

Noch in diesem Kapitel

Allgemeine Einstellungen

Wiederkehr

Wiederholung im Tag

Dauer


Allgemeine Einstellungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten > Zeitpläne der Aufträge > Allgemeine Einstellungen

In dieser Registerkarte wird das Muster für die Wiederholung des Sicherungsauftrags konfiguriert.

Option

Beschreibung

Name des Zeitplans

Eingabe des Namens für den Zeitplan.

Wiederholungsmuster

Auswahl des Wiederholungsmusters aus Dropdownliste:

  • Täglich: Der Auftrag wird in bestimmten Tagesabständen ausgeführt.
  • Wöchentlich: Der Auftrag wird an bestimmten Wochentagen in bestimmten Wochenabständen ausgeführt.
  • Monatlich, Tag im Monat: Der Auftrag wird an einem bestimmten Tag in bestimmten Monatsabständen ausgeführt.
  • Monatlich, Tag in einer Woche im Monat: Der Auftrag wird einmal im Monat mit einem bestimmten Monatsabstand aktiv, und zwar an einem Wochentag in einer bestimmten Woche, z. B. jedes 3. Monat und dann am Montag in der dritten Woche dieses Monats.

Hinweis: Details werden jeweils in der Registerkarte Wiederholung konfiguriert.

Wiederholungsschema im Tag

Auswahl eines Wiederkehrschemas für den Tag. Dieses Schema bestimmt, wie oft und wann der Zeitplan an aktiven Tagen ein Ereignis auslöst. Auswahl aus Dropdownliste:

  • Einmalig: Der Zeitplan löst an aktiven Tagen genau einmal zu einem bestimmten Zeitpunkt ein Ereignis aus, z. B. um 02:00:00. Details werden in der Registerkarte Wiederholung im Tag konfiguriert.
  • Wiederkehrend: Der Zeitplan löst an aktiven Tagen in einem bestimmten Zeitbereich ein Ereignis periodisch mit einem bestimmten Abstand aus, z.B. alle 10 Minuten von 02:00:00 bis 05:00:00. Details werden in der Registerkarte Wiederholung im Tag konfiguriert.

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Wiederkehr

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten > Zeitpläne der Aufträge > Wiederkehr

In dieser Registerkarte wird das Wiederholungsmuster konfiguriert. Die zur Verfügung stehenden Optionen hängen ab von der Konfiguration in der Registerkarte Allgemeine Einstellungen. Zur Verfügung stehen:

  • Täglich: Die Aufgabe wird in bestimmten Tagesabständen ausgeführt.
  • Wöchentlich: Die Aufgabe wird an bestimmten Wochentagen in bestimmten Wochenabständen ausgeführt.
  • Monatlich, Tag im Monat: Die Aufgabe wird an einem bestimmten Tag in bestimmten Monatsabständen ausgeführt.
  • Monatlich, Tag in einer Woche im Monat: Die Aufgabe wird einmal im Monat mit einem bestimmten Monatsabstand aktiv, und zwar an einem Wochentag in einer bestimmten Woche.

Konfiguration "Täglich"

Option

Beschreibung

Tage

Konfiguration, der wievielte Tag jeweils ein Tag mit aktivem Zeitplan ist. Manuelle Eingabe oder Konfiguration über Pfeiltasten.

  • Minimum: 1
  • Maximum: 99

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Konfiguration "Wöchentlich"

Option

Beschreibung

Wochen

Konfiguration, in der wievielten Woche, die in der Option Tage in der Woche gewählten Wochentage aktiv sind. Manuelle Eingabe oder Konfiguration über Pfeiltasten:

  • Minimum: 1
  • Maximum: 99

Tage in der Woche

Auswahl der Wochentage, an denen der Auftrag ausgeführt wird. Auswahl durch Aktivierung der Checkbox.

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Konfiguration "Monatlich, Tag im Monat"

Option

Beschreibung

Tag im Monat

Auswahl des aktiven Tags im Monat. Manuelle Eingabe oder Auswahl über Pfeiltasten:

  • Minimum: 1
  • Maximum: 31

Monate

Auswahl des Monatsabstands zwischen aktiven Tagen. Manuelle Eingabe oder Auswahl über Pfeiltasten:

  • Minimum: 1
  • Maximum: 99

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Konfiguration "Monatlich, Tag in einer Woche im Monat"

Option

Beschreibung

Tag in der Woche

Auswahl des Wochentages, an dem der Zeitplan aktiv ist, aus Dropdownliste:

  • Montag
  • Dienstag
  • Mittwoch
  • Donnerstag
  • Freitag
  • Samstag
  • Sonntag
  • Täglich
  • Wochentag
  • Wochenendtag

Woche im Monat

Auswahl einer Woche im Monat, in welcher der zuvor gewählte Tag aktiv ist, aus Dropdownliste:

  • Erste Woche
  • Zweite Woche
  • Dritte Woche
  • Vierte Woche
  • Letzte Woche

Monate

Auswahl des Monatsabstands zwischen aktiven Tagen. Manuelle Eingabe oder Auswahl über Pfeiltasten:

  • Minimum: 1
  • Maximum: 99

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Wiederholung im Tag

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten > Zeitpläne der Aufträge > Wiederholung im Tag

In dieser Registerkarte wird das Wiederkehrschema für den Tag konfiguriert. Dieses Schema bestimmt, wie oft und wann der Zeitplan an aktiven Tagen ein Ereignis auslöst. Die zur Verfügung stehenden Optionen hängen ab von der Konfiguration in der Registerkarte Allgemeine Einstellungen. Zur Verfügung stehen:

  • Einmalig: Der Zeitplan löst an aktiven Tagen genau einmal zu einem bestimmten Zeitpunkt ein Ereignis aus.
  • Wiederkehrend: Der Zeitplan löst an aktiven Tagen in einem bestimmten Zeitbereich ein Ereignis periodisch mit einem bestimmten Abstand aus.

Konfiguration "Einmalig"

Option | Beschreibung
Zeitplan kommt um | Auswahl des Zeitpunkts in Stunden, Minuten und Sekunden, wann der Zeitplan an aktiven Tagen ein Ereignis auslöst. Manuelle Eingabe oder Auswahl über Pfeiltasten.
Anzeige der Konfiguration | Zeigt die aktuelle Konfiguration des Zeitplans an.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Konfiguration "Wiederkehrend"

Option

Beschreibung

Quantität der Wiederholung

Anzahl der Wiederholungen. Manuelle Eingabe oder Konfiguration über Pfeilelemente:

  • Minimum: 1
  • Maximum: 99

Granularität der Wiederholung

Granularität der Wiederholungsperiode. Auswahl aus Dropdownliste:

  • Sekunde(n)
  • Minute(n)
  • Stunde(n)

Wiederholung startet um

Definiert Startzeitpunkt der Aktivitätsperiode des Zeitplans an aktiven Tagen. Manuelle Eingabe oder Konfiguration über Pfeilelemente.

Wiederholung endet um

Definiert Endzeitpunkt der Aktivitätsperiode des Zeitplans an aktiven Tagen. Manuelle Eingabe oder Konfiguration über Pfeilelemente.

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Dauer

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten > Zeitpläne der Aufträge > Dauer

In dieser Registerkarte wird die Gültigkeitsdauer des Zeitplans konfiguriert.

Option

Beschreibung

Zeitplan beginnt am

Konfiguration des Beginns der Gültigkeit für diesen Zeitplan. Manuelle Eingabe oder Auswahl aus Dropdown-Kalender.

Nur Tage, ab diesem Datum können aktive Tage werden.
Zum Beispiel: Startdatum 1. April 2014. Der erste Sicherungsauftrag kann am 1. April um 00:00:00 gestartet werden.

Zeitplan endet am

Aktiv: Für diesen Zeitplan wird ein Ablaufdatum festgelegt. Manuelle Eingabe oder Auswahl aus Dropdown-Kalender.

Nur Tage, die vor diesem Datum liegen, können aktive Tage werden. Zum Beispiel: Enddatum 1. Mai 2014. Der letzte Sicherungsauftrag kann am 30. April um 23:59:59 gestartet werden.

Das Enddatum muss größer als das Startdatum sein.

Anzeige der Konfiguration

Zeigt die aktuelle Konfiguration des Zeitplans an.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Beispiel automatisierte Datenbanksicherung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Automatisierte Datenbanksicherungen verwalten > Beispiel automatisierte Datenbanksicherung

Für ein Beispiel zur automatisierten Datenbanksicherung wird angenommen:

  • Am 1. 1. 2013 wird ein Analyzer Server in Betrieb genommen.
    • Die Datenbanken am Server sollen jeden Sonntag um 20:00:00 gesichert werden.
    • Dabei entstehen keine Konflikte mit Abonnements, da diese erst am Montag um 02:00:00 beginnen.
    • Es sollen pro Datenbank jeweils die letzten 10 Sicherungsdateien behalten werden.
  • Am 11.3.2013 wird festgestellt, dass der Server am 10.3.2013, noch vor der Durchführung der Backups, einen Hardwareschaden an den Festplatten hatte.
    • Nach Austausch der Platten sollen die letzten Backups vor dem Hardwareschaden rückgelesen werden.
    • Die von den fehlerhaften Festplatten erstellten Backups sollen gelöscht werden.

Das Beispiel besteht aus 3 Schritten:

  1. Automatisiertes Backup Konfigurieren
  2. Unbrauchbare Sicherungsdateien löschen
  3. Korrekte Sicherungen zurücklesen

Automatisches Backup Konfigurieren

  1. Im ZAMS wird die Verwaltung automatisierter Datenbanksicherungen gestartet.
  2. Darin wird der Ablauf zum Erzeugen eines neuen automatisierten Datenbanksicherungsauftrags gestartet.
  3. Es werden alle Datenbanken in den neuen Auftrag inkludiert.
  4. Der Zeitplan des neuen Auftrags wird so eingestellt, dass der Auftrag immer am Sonntag um 02:00:00 durchgeführt wird, also:
    • wöchentlich, mit einer Woche Abstand
    • nur Sonntag aktiver Tag
    • einmal pro aktivem Tag ausführen, und zwar um 02:00:00
  5. Der neue Datenbanksicherungsauftrag wird ausgeführt.

Unbrauchbare Dateien löschen

  1. Im ZAMS wird die Verwaltung der Datenbanksicherungsdateien gestartet.
  2. Die Dateiliste wird nach Zeitstempeln sortiert.
  3. Dadurch werden die am 10.3.2013 erstellten Sicherungen gruppiert.
  4. Die Sicherungsdateien vom 10.3.2013 werden gelöscht.

Sicherungen wiederherstellen

  1. Im ZAMS wird der Ablauf zum Rücklesen von Datenbanksicherungen gestartet.
  2. Alle Datenbanken werden markiert.
  3. Da automatisch die aktuellste Sicherungsdatei vorgewählt wird (vom 3.3.2013, da die Dateien vom 10.3.2013 gelöscht wurden), kann das Rücklesen jetzt mit Klick auf OK angestoßen werden.


Datenbanksicherungsdateien verwalten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Datenbanksicherungsdateien verwalten

Automatisiert und manuell angelegte Sicherungen können in einem eigenen Dialog verwaltet werden.

Um Datenbanksicherungen zu verwalten:

  1. Öffnen Sie das Ribbon SQL-Server.
  2. Wählen Sie in der Ribbon-Gruppe Datenbanksicherung den Eintrag Dateien verwalten.

    Der Dialog zur Verwaltung der Sicherungsdateien wird geöffnet.

Option

Beschreibung

Tabelle der Sicherungsdateien

Zeigt alle erstellen Sicherungsdateien mit folgenden Informationen an:

  • Name der Sicherungsdatei: Dateinamen im vollständigen UNC Format
  • Datenbankname: Namen der Datenbank, zu der die Datei gehört
  • Datum und Uhrzeit der Sicherung: Zeitstempel der Datenbanksicherung, die in der Datei liegt
  • Status der Sicherung: Statustext, ob die Prüfsumme der Sicherung gültig ist. Ungültig bedeutet beschädigte Sicherungsdatei.

Es kann jeweils eine Datei ausgewählt werden.

Trennleiste

Trennt beide Tabellen und kann mit der Maus verschoben werden, um den Anzeigebereich einer Tabelle zu vergrößern.

Tabelle der Eigenschaften

Zeigt Details zur Datei, die in der oberen Tabelle gewählt wurde. Die Tabelle enthält Namen und Werte der Eigenschaften.

Details zu diesen Eigenschaften lesen Sie in:

http://msdn.microsoft.com/en-us/library/ms178536.aspx.

Aktualisieren

Aktualisiert die Ansicht.

Löschen

Löscht die ausgewählte Datei und aktualisiert die Ansicht.

Ordner öffnen

Öffnet den Ordner mit den Sicherungsdateien im Windows Explorer.

Schließen

Schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Speicherpfad für Datenbanksicherungsdateien

Beim ersten Aufruf eines Sicherungsauftrags für die noch kein Pfad festgelegt wurde, wird zur Definition eines Speicherpfades aufgefordert. Dieser Pfad wird dann für alle Sicherungen und Rücksicherungen verwendet. Dieser Pfad wird in den Optionen in der Registerkarte Datenbanksicherungen der Einstellungen verwaltet.

Hinweis: Es wird empfohlen, für die Sicherung einen Pfad am Analyzer Rechner zu verwenden.

Option

Beschreibung

Netzwerkfreigabepfad zum Speichern der Datenbanksicherungsdateien von [Datenbank]

Es muss ein gültiger UNC-Pfad eingegeben werden.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl einer Netzwerkfreigabe.

Es wird überprüft, ob:

  • die Syntax des Pfades gültig ist :
    Nur gültige Pfade schalten die Schaltfläche OK frei.
  • der Pfad existiert:
    Beim Klick auf OK wird der Pfad nur übernommen, wenn er auch erreichbar ist.
  • der Pfad von bereits verwendeten abweicht:
    Wird ein Pfad definiert, der sich von einem bereits verwendeten Pfad unterscheidet, wird eine entsprechende Meldung ausgegeben. Der Pfad kann angelegt werden. Der bereits existierende Datenbanksicherungsauftrag kann dann zwar aktiviert, deaktiviert und gelöscht werden, kann aber nicht mehr bearbeitet werden.

Der konfigurierte Pfad wird für jeden Benutzer individuell gespeichert.

Achtung: Die Zugriffsrechte auf Netzwerkfreigaben müssen korrekt gesetzt sein. Details siehe Abschnitt Zugriffsrechte auf Netzwerkfreigabe korekt setzen.

OK

Übernimmt den Pfad und schließt den Dialog.

Abbrechen

Verwirft Änderungen und schließt den Dialog.

Zugriffsrechte auf Netzwerkfreigabe korrekt setzen

Damit alle Datenbanksicherungsaktionen korrekt ablaufen, müssen die Zugriffsrechte auf die Netzwerkfreigabe des Datenbanksicherungsordners stimmen. Dabei gilt:

  • Der Ordner muss sich am Analyzer Server befinden, da lokal am Analyzer Server definierte Benutzer darauf zugreifen müssen.
  • Da der Ordner sowohl vom Analyzer Server als auch vom ZAMS Rechner mit dem gleichen Pfad erreichbar sein muss, muss er im Netzwerk freigegeben werden. Somit ist der Ordner dann per UNC-Pfad von überall im Netzwerk mit dem gleichen Pfad erreichbar.
  • Folgende Benutzer müssen Vollzugriff auf die Netzwerkfreigabe haben:
    • NT SERVICE\MSSQL$ZA3: Dient zum Erstellen und Rücklesen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext die SQL-Server Instanz läuft.
    • NT SERVICE\SQLAgent$ZA3: Dienst zum automatisierten Erstellen von Sicherungen.
      Lokal am Analyzer Server definiert. Virtueller, von SYSTEM abgeleiteter, Benutzer, in dessen Kontext der SQL-Server Agent läuft.
    • Jeder ZAMS-Benutzer: Zum Erstellen und Rücklesen von Sicherungen, Verwalten von Sicherungsdateien und Verwalten von automatisierten Sicherungsaufträgen.

Dateiname für Sicherung

Der Dateiname einer Datenbanksicherungsdatei folgt diesem Schema: [Datenbankname]_yyyy_MM_dd_HH_mm_ss.bak

Z.B.: ZA_DATA_2013_02_12_14_11_35.bak = Sicherung von ZA_DATA am 12.2.2013 um 14:11:35


Linked Server verwalten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Linked Server verwalten

Diese Funktion ist verfügbar, wenn eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz besteht.

Beim Start dieser Funktion wird von der SQL Server Instanz eine Liste der Linked Server geholt. Diese Liste stammt von der Datenbank, mit der das ZAMS verbunden ist.

Option | Beschreibung
Liste der Linked Server | Enthält alle Linked Server. Der Ausdruck in der Klammer enthält den Provider für die Verbindung. Es werden immer alle Linked Server angezeigt, auch wenn sie von einem nicht unterstützten Typ sind.
Neuer Microsoft SQL Server | Holt alle im Netzwerk verfügbaren SQL Server Instanzen und öffnet den Dialog zur Konfiguration eines Linked SQL Servers.
Neuer Microsoft SQL Azure-Server | Öffnet den Dialog zur Konfiguration eines Microsoft SQL Azure-Servers. Hinweis: Jede Datenbank auf einer SQL Azure-Instanz muss aus technischen Gründen als eigener Linked Server eingefügt werden. Allgemeine Informationen zu MS Azure finden Sie auch im Handbuch MS Azure.
Neuer Oracle Server | Öffnet den Dialog zur Konfiguration eines Linked Oracle Servers. Hinweis: Diese Schaltfläche ist nur aktiv, wenn auf der SQL Server Instanz der Oracle-OLEDB-Provider (OraOLEDB.Oracle) gefunden wird.
Neuer ODBC Server | Öffnet den Dialog zur Konfiguration eines Linked ODBC Servers.
Löschen | Löscht den in der Liste markierten Linked Server.
Schließen | Schließt den Dialog

Am SQL Server 2016 sind noch weitere Provider für Linked Server verfügbar. Ebenso sind Provider von Drittherstellern verfügbar, für die der Oracle OLE DB Provider ein Beispiel ist. Soll ein anderer Provider verwendet werden, als einer der hier vorkonfigurierten, dann kann der Linked Server manuell über das SQL Server Management Studio erstellt werden.

Noch in diesem Kapitel

Konfiguration der Provider

Linked SQL Server

Linked Microsoft Azure-Server

Linked Oracle Server

Linked ODBC Server


Konfiguration der Provider

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Linked Server verwalten > Konfiguration der Provider

Ein Provider ist ein Treiber für den SQL Server, der ihm den Zugriff auf andere Datenbanksysteme erlaubt. Analog zu den Treibern in einem HMI/SCADA-System wie zenon müssen die Treiber konfiguriert werden, damit die Kommunikation funktioniert. Die Linked Server folgender Treiber können vom SQL Connector angesprochen werden:

  • SQLNCLI für Linked SQL Server
  • SQLNCLI11 für SQL Azure
  • OraOLEDB.Oracle für Linked Oracle Server
  • MSDASQL für Linked ODBC Server

Die Provider finden Sie im SQL Server Management Studio im Object Explorer im Pfad:
[Verbundene Instanz] -> Server Objects -> Linked Servers -> Providers

Einstellungen, die in den Eigenschaften der Provider gemacht werden, gelten nur für die Instanz, unter der der Provider im Object Explorer eingetragen ist.

„SQLNCLI" für Linked SQL Server

Dieser Provider kann auf den Standardeinstellungen belassen werden.

Ansprache der Tabellen: [Linked Server Name].[Datenbankname].[Schemaname].[Tabellenname]

„SQLNCLI11" für Linked SQL Azure Server

Dieser Provider kann auf den Standardeinstellungen belassen werden.

Ansprache der Tabellen: AZURE - [Linked Server Name]..[Schemaname].[Tabellenname]

Hinweis: Das Präfix AZURE - dient zur Unterscheidung von den ident aufgebauten Linked Oracle Datenbanken.

"OraOLEDB.Oracle" für Linked Oracle Server

Fremddatenarchive für Oracle-Linked-Server werden über den OPENQUERY-Mechanismus abgefragt

Voraussetzungen

Installierter und korrekt konfigurierter Oracle Client mit OLE DB Provider. Die Oracle Database Client Software muss installiert sein.
Neben dem Provider muss auch ein Eintrag für den Datenbankserver in der Konfiguration des Oracle Client existieren. Wie dieser konfiguriert wird, hängt von der verwendeten Version des Oracle Client ab. Informationen dazu finden Sie in der Dokumentation der verwendeten Oracle Client Version.

Konfiguration

Zur Konfiguration:

  1. Starten Sie das SSMS und verbinden Sie es mit ZA3.
  2. Navigieren Sie zu Server Objects --> Linked Servers --> Providers.
  3. Öffnen Sie die Eigenschaften von OraOLEDB.Oracle.
  4. Aktivieren Sie folgende Optionen:
    • Dynamic Parameter
    • Nested queries
    • Allow inprocess
    • Not transacted updates
    • Supports 'Like' operator
  5. Deaktivieren Sie alle anderen Optionen.

Ansprache der Tabellen: [Linked Server Name]..[Schemaname].[Tabellenname]

Hinweis: Tritt bei der Analyse einer Tabelle ein Fehler auf, wird dieser als Nachricht im Ausgabefenster angezeigt. Die Tabelle wird übersprungen.

„MSDASQL" für Linked ODBC Server

In den Eigenschaften dieses Providers müssen die CheckBoxen wie im folgenden Screenshot dargestellt gesetzt sein:

Ansprache der Tabellen: [Linked Server Name]...[Tabellenname]

Wird eine dieser Einstellungen geändert, müssen sämtliche Linked Server, die diesen Provider verwenden, neu erstellt werden, damit die Änderungen übernommen werden.

Hinweis: Die Datenquelle (DSN oder ODBC Connection String) muss so konfiguriert sein, dass auf dem Zieldatenbanksystem nur eine Datenbank verwendet wird. Wie ein Datenbankclient für ODBC als System-DSN konfiguriert werden kann, lesen Sie in der Dokumentation des verwendeten Datenbankclients.


Linked SQL Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Linked Server verwalten > Linked SQL Server

Konfiguration eines Linked SQL Servers.

Option | Beschreibung
Server | Eintrag für SQL Server Instanz. Entweder Auswahl aus Dropdownliste oder Angabe einer eigenen Instanz. Eintrag ist gleichzeitig der Name für den Linked Server, wie vom Provider vorgeschrieben.
Benutzername | Benutzername.
Passwort | Passwort. Wird nicht im Klartext dargestellt.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Linked Microsoft Azure-Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Linked Server verwalten > Linked Microsoft Azure-Server

Konfiguration eines Linked Microsoft Azure-Servers:

  1. Klicken Sie im Dialog zur Verwaltung des Linked Server auf die Schaltfläche Neuer Microsoft Azure-Server.

    Der Dialog zur Konfiguration eines Servers wird geöffnet.

  2. Vergeben Sie einen Namen für den Server.
  3. Geben Sie den Instanznamen ein.
    Hinweis: Diesen finden Sie auf Microsoft Azure.
  4. Geben Sie den Namen der Datenbank ein.
  5. Geben Sie den Benutzernamen für den Zugriff ein.
  6. Geben Sie das Passwort für den Zugriff ein.
  7. Klicken Sie auf OK.

    Der Linked Server wird angelegt und der Dialog zur Erstellung geschlossen.
    Dann wird der neue Linked Server einem Verbindungstest unterzogen.
    Verläuft der Test erfolglos, erfolgt eine Abfrage, ob die neuen Einstellungen beibehalten werden sollen:

    • Ja: Einstellungen bleiben erhalten und werden in der Liste angezeigt.
    • Nein: Einstellungen werden verworfen und der Server wird aus der Liste entfernt.

info Info

Jede Datenbank auf einer SQL Azure-Instanz muss aus technischen Gründen als eigener Linked Server eingefügt werden.

Dialog Konfiguration

Option | Beschreibung
Name Linked Server | Name des Linked Server.
Microsoft SQL Azure-Instanzname | Name der SQL Azure Instanz. Kann aus Microsoft Azure ausgelesen werden. Syntax: [Beliebige Zeichenfolge].[Datenbank].windows.net
Datenbank auf Microsoft SQL Azure-Instanz | Eingabe des Datenbanknamens. Kann aus Microsoft Azure ausgelesen werden.
Benutzername | Eingabe des Benutzernamen.
Passwort | Passwort. Wird nicht im Klartext dargestellt.
OK | Übernimmt Einstellungen und schließt den Dialog. Danach wird ein Verbindungstest durchgeführt. Kann die Verbindung nicht hergestellt werden, wird das Verwerfen der Konfiguration angeboten.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Linked Oracle Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Linked Server verwalten > Linked Oracle Server

Konfiguration eines Linked Oracle Servers

Option | Beschreibung
Linked server name | Namen des neuen Linked Oracle Servers. Der Name darf nicht bereits für einen existierenden Linked Server vergeben sein.
Product name | Beliebiger Produktname.
Data source | Verbindungsname für den Oracle OLEDB Provider. Details zu Installation und Parametrierung des Oracle Providers entnehmen Sie der Oracle Dokumentation.
Username | Benutzername
Password | Passwort. Wird nicht im Klartext dargestellt.
OK | Übernimmt Einstellungen und schließt den Dialog.
Cancel | Verwirft alle Änderungen und schließt den Dialog.


Linked ODBC Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Linked Server verwalten > Linked ODBC Server

Konfiguration eines Linked ODBC Servers.

Option | Beschreibung
Name Verbindungsserver | Namen des neuen Linked ODBC Servers. Der Name darf nicht bereits für einen existierenden Linked Server vergeben sein.
Produktname | Beliebiger Produktname.
Datenquelle (DSN) | Angabe des zu verwendenden DSN-Eintrags. Wird hier nichts eingegeben, muss im Feld Provider string der Provider String spezifiziert werden.
Provider-String | Angabe des zu verwendenden Provider Strings an. Wird hier nichts eingegeben, muss im Feld Data source (DSN) der DSN Eintrag spezifiziert werden.
Benutzername | Benutzername.
Passwort | Passwort. Wird nicht im Klartext dargestellt.
OK | Übernimmt Einstellungen und schließt den Dialog. Eines der beiden Felder Data source (DSN) oder Provider string darf leer sein.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Metadaten-Indizes verwalten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Metadaten-Indizes verwalten

Damit die Metadaten-Indizes gewartet werden können, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.

Um die Metadaten-Indizes zu warten:

  1. Wählen Sie im Ribbon SQL-Server den Befehl Metadaten-Indizes.

    Der Dialog mit der Anzeige der Fragmentierung der Metadaten-Indizes wird geöffnet.

Die Größe des Fensters kann durch Ziehen mit der Maus angepasst werden. Position und Größe werden beim Speichern abhängig vom Benutzer und der ZAMS Version gespeichert.

Option

Beschreibung

Tabelle

Tabellenname.

Index

Indexname.

Aufzeichnungen

Anzahl der Einträge im Index.

Seiten

Anzahl der Seiten, auf denen der Index gespeichert ist.

Interne Fragmentierung

Wert zeigt an, wie viele Prozent der Pages, auf denen der Index gespeichert ist, ungenutzt sind. Eine hohe interne Fragmentierung erhöht den Speicherplatz, den der Index belegt. Das kann die Indexperformance senken, da mehr Pages gelesen werden müssen. Kritische Werte werden farblich hervorgehoben:

  • gelb: Wert größer als 5 %
  • rot: Wert höher als 30 %

Indizes ohne Einträge haben immer eine interne Fragmentierung von 100 %. Indizes, die 1 oder 0 Pages belegen, sind von der Hervorhebung ausgeschlossen.

Externe Fragmentierung

Wert gibt an, wie viele der Pages des Index nicht durchgängig gespeichert sind.

Eine Page ist dann nicht durchgängig gespeichert, wenn ihre logische Position zwischen anderen Index-Pages im Index ungleich ihrer physischen Position zwischen anderen Index-Pages auf dem Speichermedium ist.

Eine hohe externe Fragmentierung verringert die Index-Performance, da beim Lesen des Index oft zwischen Speicherbereichen auf dem Speichermedium hin- und hergesprungen werden muss.

Kritische Werte werden farblich hervorgehoben:

  • gelb: Wert größer als 5 %
  • rot: Wert höher als 30 %

Indizes, die 1 oder 0 Pages belegen, haben immer eine externe Fragmentierung von 0 %.

Standardmäßig ist die Tabelle nach dieser Spalte absteigend geordnet.

Indexstatistik

Öffnet den Dialog zur Anzeige der Indexstatistiken.

Indexwartung

Öffnet den Dialog zur Indexwartung.

Schließen

Schließt den Dialog.

Indexstatistik

Option | Beschreibung
Index | Auswahl des Index aus Dropdownliste. Abhängig von dieser Auswahl werden die folgenden Tabellen mit Daten befüllt.
Statistik-Kopfzeile | Header mit Metadaten.
Dichtevektor | Dichtevektor zum Messen der Korrelationen zwischen Spalten.
Histogram | Histogramm für Verteilung der Werte.
Schließen | Schließt Dialog.

Weiterführende Informationen zur Interpretation der Werte finden Sie zum Beispiel online auf:

  • MSDN: http://msdn.microsoft.com/en-us/library/ms174384(v=sql.90).aspx
  • SQL ServerCentral: http://www.sqlservercentral.com/articles/Stairway+Series/72446/ (Anmeldung erforderlich)

Indexwartung

Option

Beschreibung

Index name

Name des Index.

Wartungsmaßnahme

Mögliche Wartungsaktionen. Beim Aufschalten wird für jeden Index die passende Wartungsaktion vorausgewählt. Im Regelfall kann der Dialog ohne Änderungen mit OK bestätigt werden.

Auswahl aus Dropdownliste:

  • No maintenance:
    Keine Aktion durchführen.
    Immer verfügbar.
  • Recompute index statistics:
    Erneuert die Statistiken.
    Nur verfügbar, wenn der Index mehr als 0 Pages belegt.
    Aktion muss kaum durchgeführt werden, da der SQL Server dafür gute Automatismen besitzt.
  • Reorganize index:
    Index reorganisieren. (Schließt Recompute index statistics ein.)
    Nur verfügbar, wenn der Index mehr als 0 Pages belegt.
  • Rebuild index:
    Baut den Index neu auf. (Schließt Recompute index statistics und Reorganize index ein.)
    Nur verfügbar, wenn der Index mehr als 0 Pages belegt.

OK

Führt die gewählten Aktionen durch und beendet den Dialog.

Abbrechen

Beendet den Dialog ohne eine Aktion durchzuführen.

Sollten eine Aktion fehlschlagen, wird vor dem Beenden ein Nachrichtenfenster mit den Indizes, deren Wartung fehlschlug, angezeigt.

Noch in diesem Kapitel

Best Practice für Wartungsaktionen


Best Practice für Wartungsaktionen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Metadaten-Indizes verwalten > Best Practice für Wartungsaktionen

Das Eruieren der passenden Wartungsaktion orientiert sich an Best Practices für Indexwartung. Sie folgt diesem Schema:

  1. Wenn der Index mehr als 1 Page belegt und die externe Fragmentierung >= 5 %: Index neu bauen;

    sonst weiter

  2. Wenn der Index mehr als 1 Page belegt und die interne Fragmentierung >= 30 %: Index neu bauen;

    sonst weiter

  3. Wenn der Index mehr als 1 Page belegt und die interne Fragmentierung >= 5 %: Index neu organisieren;

    sonst weiter

  4. Keine Wartung

Weiter Informationen zur Indexierung finden Sie im Kapitel Indizierung von Datenbanktabellen - Best Practice.


Archivemulation konfigurieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > SQL-Server managen > Archivemulation konfigurieren

Im ZAMS können Sie Archive emulieren, die aus Ableitung von Zählern aus Einträgen in AML, CEL und Archive in zenon bestehen.

Um die Archivemulation zu konfigurieren:

  1. Wählen Sie im Ribbon SQL-Server den Eintrag Emulierte Archive.
  2. Klicken Sie auf die Schaltfläche Neu, um ein neues emuliertes Archiv zu erstellen,
    oder Bearbeiten, um ein bestehendes emuliertes Archiv zu verändern:

Details zur Archivemulation und zur Konfiguration emulierter Archive lesen Sie im Abschnitt Archivemulation.


RDL-Vorlagen verwalten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > RDL-Vorlagen verwalten

RDL Vorlagen werden bei der Bereitstellung von Reports verwendet. Sie beinhalten immer die Report-Kopfzeile mit allen darin enthaltenen Elementen wie Texte, Grafiken usw.

RDL-Vorlagen können in ZAMS über das Ribbon Optionen rückgelesen und verwaltet werden.

Möglich ist:

  • Rücklesen einer RDL-Vorlage von einer RDL-Datei auf dem Rechner.
  • Rücklesen einer RDL-Vorlage von einem Report am Server.
  • Importieren von RDL-Vorlagen aus anderen ZAMS-Versionen.
  • Auswählen der für die Bereitstellung zu verwendenden RDL Vorlage.
  • Löschen von RDL Vorlagen.

Noch in diesem Kapitel

Von RDL-Datei lesen

Von Report am Server lesen

Von anderen Anwendungsversionen importieren


Von RDL-Datei lesen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > RDL-Vorlagen verwalten > Von RDL-Datei lesen

RDL-Vorlagen können aus RDL-Dateien am Rechner gelesen werden. Dazu:

  1. Klicken Sie im Dialog RDL-Vorlagen verwalten auf die Schaltfläche Von RDL-Datei lesen.
  2. Der Datei-Browser wird geöffnet.
  3. Navigieren Sie zur gewünschten RDL-Datei.
    Die Datei muss eine Kopfzeile enthalten.
  4. Der Dialog zur Benennung der neuen Vorlage wird geöffnet.
  5. Vergeben Sie einen eindeutigen Namen.
  6. Klicken Sie auf OK.
  7. Die neue Vorlage wird in die Liste eingetragen.


Von Report am Server lesen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > RDL-Vorlagen verwalten > Von Report am Server lesen

RDL-Vorlagen können aus Reports am Analyzer Server gelesen werden. Dazu:

  1. Klicken Sie im Dialog RDL-Vorlagen verwalten auf die Schaltfläche Von Report am Server lesen.
  2. Der Dialog zur Auswahl eines Reports wird geöffnet.
    Es werden alle gefundenen Reports entsprechend ihrer Speicherpfade in einer Baumstruktur dargestellt.

  3. Navigieren Sie zum gewünschten Report.
    Der Report muss eine Kopfzeile enthalten.
  4. Der Dialog zur Benennung der neuen Vorlage wird geöffnet.
  5. Vergeben Sie einen eindeutigen Namen.
  6. Klicken Sie auf OK.
  7. Die neue Vorlage wird in die Liste eingetragen.


Von anderen Anwendungsversionen importieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > RDL-Vorlagen verwalten > Von anderen Anwendungsversionen importieren

RDL-Vorlagen können aus RDL-Dateien am Rechner gelesen werden. Die zu importierenden Dateien müssen sich im Unterordner RDL-Templates der ZAMS Version befinden. Zum Beispiel: %ProgramData%\COPA-DATA\zenon AnalyzerAnalyzer\ZAMS_[Version]\RDL_Templates.

Dazu:

  1. Klicken Sie im Dialog RDL-Vorlagen verwalten auf die Schaltfläche Von anderen Anwendungsversionen importieren.
  2. Der Dialog mit der Liste aller RDL-Dateien anderer Versionen mit Kopfzeile wird geöffnet.

  3. Wählen Sie gewünschten Vorlagen aus.
  4. Wählen Sie bei Bedarf die gewünschte Version aus.
  5. Bei Namenskonflikten: Entscheiden Sie ob die zu importierende Vorlage umbenannt oder die vorhandene Vorlage überschrieben wird.
  6. Vergeben Sie bei Bedarf einen eindeutigen neuen Namen.
  7. Klicken Sie auf OK.

    Die neuen Vorlagen werden in die Liste eingetragen.

Dialog Import RDL-Vorlagen

Option

Beschreibung

Symbol Status

Anzeige, ob eine Vorlage mit diesem Namen bereits existiert.

Checkbox

Auswahl einer Vorlage zum Import durch Aktivierung der Checkbox.

Name der RDL-Vorlage

Name der gewählten RDL-Vorlage.
Nur Anzeige.

Import von Version

Auswahl der Version der gewählten RDL-Vorlage aus Dropdownliste.

Nur aktiv, wenn Vorlagen aus unterschiedlichen ZAMS Versionen mit gleichem Namen vorhanden sind.

Problembehandlung bei Kollision

Auswahl der Aktion bei Vorlagen, deren Name bereits verwendet wird:

  • Importierte Vorlage umbenennen: Das Schema wird beim Import umbenannt. Im Feld Importname wird der aktuelle Name mit einer Ziffer in Klammern ergänzt. Der Name kann in diesem Feld individuell angepasst werden.
  • Existierende Vorlage überschreiben: Die vorhandene RDL-Datei wird durch die zu importierende ersetzt.

Default: Importiertes Vorlage umbenennen

Nur aktiv, wenn beim Import ein Namenskonflikt besteht.

Importname

Eingabe eines eindeutigen Namens für die zu importierende Vorlage:

  • Der Name darf nicht leer sein.
  • Der Name darf von keiner anderen Vorlage verwendet werden.

Nur aktiv, wenn beim Import ein Namenskonflikt besteht und der Konflikt durch umbenennen gelöst wird.

Alle auswählen

Klick wählt alle angezeigten Vorlagen aus.

Auswahl aufheben

Klick hebt die aktuelle Auswahl auf.

OK

Übernimmt Einstellungen und schließt den Dialog.

Soll eine bereits vorhandene Vorlage überschrieben werden, erfolgt eine Sicherheitsabfrage.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Reportstile

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile

Reportstile geben Ihnen die Möglichkeit, grafische Elemente individuell zu konfigurieren und Reports zuzuweisen. Reportstile sind modular aufgebaut und werden zentral definiert. Sie ermöglichen die zentrale Konfiguration von Schriften, Linien, Rahmen, Farben, Farbverläufen und Markern.

Standardmäßig wird der zenon Analyzer mit dem Reportstil Analyzer Initial ausgeliefert. Dieser ist vordefiniert und initial allen Reports zugewiesen. Es können zusätzlich beliebig viele individuelle Stile erstellt und zugewiesen werden. Die Zuweisung von individuellen Reportstilen kann erfolgen:

  • generell für alle neu erstellten Reports
  • gezielt für einzelne, bestehende Reports

Reportstile können über XML exportiert und importiert werden.

attention Achtung

Beim Zeichnen von Markierungen in Diagrammen wird der Rahmenstil der Markierungen von den SQL Server Reporting Services ignoriert.

Reportstile

Es stehen zwei Arten von Reportstilen zur Verfügung:

  • COPA-DATA Standard
  • individuell erstellte Reportstil

COPA-DATA Standard

Als Standard wird der Reportstil Analyzer Initial ausgeliefert.
Dieser:

  • ist fix definiert und kann nicht verändert werden
  • kann nicht exportiert werden
  • kann nicht durch importierte Dateien überschrieben werden
  • kann nicht gelöscht werden
  • wird initial allen Reports zugewiesen
  • wird automatisch zugewiesen, wenn ein individuell erstellter Reportstil nicht mehr verfügbar ist

Individuelle Reportstile

Individuelle Reportstile können Benutzer im ZAMS:

  • erstellen und bearbeiten
  • exportieren
  • importieren
  • löschen
  • allen neu erstellten oder einzelnen Reports zuweisen

Noch in diesem Kapitel

Reportstile verwalten und zuweisen

Reportstile erstellen und bearbeiten

Reportstile importieren

Reportstile exportieren

Stilgruppen und Stile

Eigenschaften für Reportstile


Reportstile verwalten und zuweisen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Reportstile verwalten und zuweisen

Sie können Reportstile:

  • erstellen
  • bearbeiten
  • zuweisen
  • löschen
  • exportieren und importieren
  • kopieren

Reportstile zuweisen

Reportstile können generell allen neu erstellten Reports oder individuell einzelnen Reports zugewiesen werden.

Initialer Reportstil

Um einen Reportstil allen neuen Reportvorlagen zuzuweisen:

  1. Öffnen Sie das Ribbon Optionen.
  2. Klicken Sie auf den Eintrag Reportstile.

    Der Dialog zur Verwaltung der Reportstile wird geöffnet.

  3. Wählen Sie den gewünschten Stil aus der Liste durch Klick in den Radiobutton.
  4. Bestätigen Sie Ihre Auswahl mit Klick auf die Schaltfläche OK.

Dieser Reportstil wird automatisch zugewiesen:

  • allen neu erstellten Reportvorlagen
  • allen Reportvorlagen, die über keinen Stil verfügen

Reportstil individuell zuweisen

Um einen Reportstil einer bestimmten Reportvorlage zuzuweisen:

Öffnen Sie die Reportvorlage im ZAMS.Zeigen Sie die Eigenschaften für die Reporteinstellungen an.
Klicken Sie dazu zum Beispiel in einen freien Bereich des Design-Bereichs.

  1. Navigieren Sie zur Eigenschaft Reportstil.
  2. Wählen Sie aus der Dropdownliste den gewünschten Reportstil.
  3. Speichern Sie die Reportvorlage.

Hinweis: Wird der verknüpfte Reportstil gelöscht, dann wird der Reportvorlage automatisch der Stil Analyzer Initial zugewiesen.

Reportstil löschen

Um einen Reportstil zu löschen:

  1. Wählen Sie den Reportstil im Dialog Reportstile verwalten aus.
  2. Klicken Sie auf das Symbol zum Löschen (X).

    Ein Symbol mit grünem Haken wird als Löschbestätigung angezeigt.

  3. Klicken Sie auf die Löschbestätigung.

    Der Reportstil wird gelöscht.
    Sollte er noch mit Reportvorlagen verknüpft sein, wird in diesen Reportvorlagen der Stil Analyzer Initial verknüpft.

Reportstil kopieren

Reportstile können nicht direkt kopiert werden. Sie können aber über Export und Import eines Stils eine Kopie erstellen.

Um einen Reportstil zu kopieren:

  1. Exportieren Sie die Vorlage in eine XML-Datei
  2. Importieren Sie die XML-Datei.
  3. Beim Import wird ein Konflikt angezeigt.
  4. Wählen Sie für Problembehandlung bei Kollision die Option: Importierte Stile umbenennen.
  5. Vergeben Sie einen neuen Namen.
  6. Klicken Sie auf OK.

    Die importierte Vorlage wird mit den bisherigen Einstellungen unter neuem Namen angelegt.

Noch in diesem Kapitel

Dialog Reportstile verwalten


Dialog Reportstile verwalten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Reportstile verwalten und zuweisen > Dialog Reportstile verwalten

Mit diesem Dialog verwalten Sie Reportstile und weisen Sie diese Reports generell zu.

Option

Beschreibung

Liste Reportstile

Liste der verfügbaren Reportstile. Der Stil Analyzer Initial ist immer vorhanden. Er kann weder verändert, noch exportiert oder gelöscht werden.

Alle anderen Stile können bearbeitet werden. Dazu stehen zwei Symbole zur Verfügung:

  • Bearbeiten (Symbol Werkzeugschlüssel):
    Öffnet den Dialog zum Bearbeiten des Reportstils.
  • Löschen (Symbol X):
    Löscht den ausgewählten Reportstil aus der Liste. Das Löschen muss mit einem weiteren Klick auf das Symbol mit dem grünen Haken bestätigt werden.
    Wird der gelöschte Reportstil von einem Report verwendet, dann wird diesem automatisch der Reportstil Analyzer Initial zugewiesen.

Pluszeichen

Öffnet den Dialog zum Erstellen eines neuen Reportstils.

XML-Import

Öffnet den Dialog zum Importieren eines Reportstils in eine XML-Datei.

XML-Export

Öffnet den Dialog zum Exportieren eines Reportstils in eine XML-Datei

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Reportstile erstellen und bearbeiten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Reportstile erstellen und bearbeiten

Reportstile können individuell erstellt und bearbeitet werden. Bei der Konfiguration werden Eigenschaften, Stile und Stilgruppen bearbeitet.
Für Stile und Eigenschaften gilt:

  • Eine Eigenschaft kann in mehreren Stilen verwendet werden.
  • Ein Stil kann in Eigenschaften als Wert verwendet werden.

Dialog Konfiguration Reportstile

Der Dialog für die Konfiguration der Reportstile ist in mehrere Abschnitte gegliedert:

Position

Element

Beschreibung

Oben links

Name für Reportstil

Eingabe des Namens für den Reportstil.

Der Name:

  • muss eindeutig sein
  • darf keine führenden oder schließenden Leerzeichen enthalten

Links außen

Liste der Stilgruppen

Listet alle verfügbaren Stilgruppen auf. Jede Stilgruppe enthält mindestens einen Stil.

Pfeile zeigen voneinander abhängige Stilgruppen an:

  • Roter Pfeil: Die ausgewählte Stilgruppe verwendet Elemente dieser Stilgruppe.
  • Blauer Pfeil: Elemente der ausgewählten Stilgruppe werden in dieser Stilgruppe verwendet.

Mitte

Liste der Stile für die ausgewählte Stilgruppe

Listet alle Stile einer Stilgruppe auf. Diese werden über Eigenschaften konfiguriert.

Rechts außen

Eigenschaften des ausgewählten Stils

Die Eigenschaften spezifizieren einen Stil.

Eigenschaften können Stile enthalten.
Zum Beispiel wird eine Farbe über den entsprechenden Stil in der Stilgruppe Farben definiert.

Eigenschaften, die Stile verwenden, verweisen mit einem grünen Pfeil auf den jeweiligen Stil. Klick auf den Pfeil wechselt zum entsprechenden Stil.

Unten Mitte

Anzeige der Eigenschaften, die den gewählten Stil verwenden

Zeigt alle Eigenschaften an, die den ausgewählten Stil verwenden.

Klick auf ein Element wechselt zur entsprechenden Eigenschaft.

Unten rechts

OK

Klick auf Schaltfläche übernimmt Konfiguration und schließt den Dialog.

Unten rechts

Abbrechen

Beendet Konfiguration, verwirft Änderungen.

Hinweis: Bei Neuerstellung wird der Reportstil auch bei Abbruch erstellt und in die Liste eingetragen. Seine Konfiguration entspricht dem Stil Analyzer Initial.

Abhängigkeiten und Verknüpfungen

Stile werden durch Eigenschaften definiert. Eigenschaften können Stile verwenden. Die Zusammenhänge werden durch Pfeile und Links angezeigt.

Zum Beispiel Analyzer Initial:

  • Die Stilgruppe Schriftstile enthält den Stil Schrift für Wertfelder.
  • Dieser Stil besteht aus den Eigenschaften Name, Schriftart, Schriftgröße, Farbe und Schriftstärke.
  • Die Eigenschaft Farbe Schwarz wird in der Stilgruppe Farben im Stil Schwarz definiert.
  • Der Stil Schrift für Wertfelder wird verwendet in den Eigenschaften: Schrift für Wertfelder, Grafikachsenschrift, Legendenschrift, Schrift Datenbezeichnung, Achsenschrift und Datenzellenschrift.

Reportstil erstellen

Um einen neuen Reportstil zu erstellen:

  1. Klicken Sie im Ribbon Optionen auf Reportstile.

    Der Dialog zur Verwaltung von Reportstilen wird geöffnet.

  2. Klicken Sie auf das Symbol zum Hinzufügen eines neuen Reportstils (grünes Pluszeichen).

    Der Dialog zur Konfiguration wird geöffnet.

  3. Vergeben Sie einen eindeutigen Namen.
  4. Konfigurieren Sie die gewünschten Stile.
    Hinweis: Beim ersten Aufschalten verfügt der neue Reportstil über die Einstellungen des Stils Analyzer Initial.
  5. Beenden Sie die Konfiguration mit Klick auf OK.
  6. Schließen Sie den Dialog zur Verwaltung der Reportstile mit Klick auf OK.

Reportstil bearbeiten

Um einen Reportstil zu bearbeiten:

  1. Öffnen Sie den Dialog Reportstile verwalten.
  2. Wählen Sie den gewünschten Stil in der Liste Reportstile.
  3. Klicken Sie auf das Symbol zum Bearbeiten (Schraubenschlüssel).

    Der Dialog zum Konfigurieren eines Reportstils wird geöffnet.

Reportstil umbenennen

Um einen Reportstil umzubenennen:

  1. Öffnen Sie den Dialog Reportstile verwalten.
  2. Wählen Sie den gewünschten Stil in der Liste Reportstile.
  3. Klicken Sie auf das Symbol zum Bearbeiten.

    Der Dialog zum Definieren eines Reportstils wird geöffnet.

  4. Ändern Sie in der Option Name für Reportstil den Namen.
  5. Bestätigen Sie die Änderung mit Klick auf die Schaltfläche OK.
  6. Schließen Sie den Dialog zur Verwaltung der Reportstile mit Klick auf OK.


Reportstile importieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Reportstile importieren

Reportstile können aus einer XML-Datei importiert werden.
Um einen Reportstil zu importieren:

  1. Aktivieren Sie das Ribbon Optionen.
  2. Klicken Sie auf Reportstile.

    Der Dialog zum Verwalten der Reportstile wird geöffnet.

  3. Klicken Sie auf das Symbol für XML-Import.

    Der Dialog zur Auswahl einer XML-Datei wird geöffnet.
    Dieser Dialog wird immer in der Sprache des Betriebssystems angezeigt.

  4. Wählen Sie den Speicherort und die gewünschte XML-Datei aus.
  5. Klicken Sie auf OK.
  6. Der Dialog für den Import wird geöffnet.

    Alle in der XML-Datei enthaltenen importierbaren Reportstile werden zum Import angeboten.
    Wenn ein bereits vergebener Name importiert werden soll, wird ein Validierungsfehler angezeigt, und der Dialog kann nicht bestätigt werden.
    Treten Kollisionen mit vorhandenen Reportstilen auf, werden diese angezeigt.
    Bei Konflikten, entscheiden Sie, ob der zu importierende Reportstil:

    • einen vorhandenen überschreibt
    • unter neuem Namen angelegt wird
    • nicht importiert wird
  7. Klicken Sie auf OK.

    Die ausgewählten Reportstile werden importiert.

Dialog Reportstil importieren

Beim Import einer XML-Datei mit Reportstilen werden alle darin enthaltenen Reportstile in einem Dialog angezeigt.

Option

Beschreibung

Liste der Reportstile

Listet alle vorhandenen individuell erstellten Reportstile auf. Diese können per Klick in die Checkbox für den Import ausgewählt werden.

Symbol

Zeigt an, ob bereits ein Reportstil mit diesem Namen existiert.

Name für Reportstil

Name des zu importierenden Reportstils. Klick in Checkbox markiert Reportstil für den Import.

Problembehandlung bei Kollision

Ist bereits ein Reportstil mit gleichem Namen vorhanden, werden zwei Optionen zur Lösung des Konflikts angeboten.
Auswahl aus Dropdownliste:

  • Importierte Stile umbenennen:
    Importiert den Stil unter einem neuen Namen. Der neue Name muss in der Spalte Importname eingegeben werden.
  • Überschreibe bestehenden Stil: Importiert den Stil und überschreibt dabei den bereits vorhandenen.

Default: Importierte Stile umbenennen

Importname

Name für den zu importierenden Reportstil. Nur verfügbar, wenn Kollisionen vorhanden sind. Klick in das Feld ermöglicht die Bearbeitung des vorgeschlagenen Default-Namens.

Default: [existierender Name] [fortlaufende Nummer]

OK

Übernimmt Auswahl, schließt diesen Dialog und importiert die gewählten Reportstile

Abbrechen

Bricht den Import ab und schließt den Dialog.


Reportstile exportieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Reportstile exportieren

Reportstile können in eine XML-Datei exportiert werden.
Um einen Reportstil zu exportieren:

  1. Aktivieren Sie das Ribbon Optionen.
  2. Klicken Sie auf Reportstile.

    Der Dialog zum Verwalten der Reportstile wird geöffnet.

  3. Klicken Sie auf das Symbol für XML-Export.

    Der Dialog zur Auswahl der Reportstile wird geöffnet

  4. Wählen Sie die gewünschten Reportstile durch Klick in die Checkbox aus.
  5. Klicken Sie auf OK.

    Der Dialog zur Auswahl eines Speicherorts wird geöffnet.
    Dieser Dialog wird immer in der Sprache des Betriebssystems angezeigt.

  6. Wählen Sie den Speicherort aus und vergeben Sie einen Dateinamen.
  7. Klicken Sie auf OK.

    Die gewählten Reportstile werden in einer XML-Datei gespeichert.

Dialog zur Auswahl der Reportstile

Für den Export der Reportstile werden alle individuell konfigurierten Stile angeboten. Der Stil Analyzer Initial kann nicht exportiert werden.

Option | Beschreibung
Liste der Reportstile | Listet alle vorhandenen individuell erstellten Reportstile auf. Diese können per Klick in die Checkbox für den Export ausgewählt werden.
OK | Übernimmt Auswahl, schließt diesen Dialog und öffnet den Dialog zur Auswahl eines Speicherorts für die Export-Datei. Nur verfügbar, wenn mindestens ein Reportstil ausgewählt wurde.
Abbrechen | Bricht den Export ab und schließt Dialog.


Stilgruppen und Stile

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile

Reportstile sind in Stilgruppen und Stile organisiert. Jede Stilgruppe enthält mindestens einen Stil. Stile können bearbeitet und neu hinzugefügt werden. Die Listeneinträge sind so sortiert, dass die Basisbausteine sich oben befinden. Daher stehen die Farbe an erster Stelle und die Stileigenschaften, die alle anderen Stile benutzen, an unterster Stelle.

Als Stilgruppen stehen zur Verfügung:

  • Farben
  • Schriftstile
  • Linienstile
  • Rahmenstile
  • Farbverläufe für Hintergrund
  • Farblisten
  • Stile für Marker
  • Stil für Linie mit Marker
  • Stilliste für Linie mit Marker
  • Stileigenschaften

Stil hinzufügen

Um einer Stilgruppe einen neuen Stil hinzuzufügen:

  1. Klicken Sie auf das Symbol zum Hinzufügen (grünes Kreuz).

    Ein neuer Stil mit den Defaultwerten wird erstellt.

  2. Konfigurieren die Eigenschaft des neuen Stils.
  3. Schließen Sie den Dialog mit Klick auf OK.

Stil löschen

Um einen Stil zu löschen:

  1. Wählen Sie den Stil aus.
  2. Klicken Sie auf das Symbol zum Entfernen (rotes X).

    Der Stil wird ohne Sicherheitsabfrage aus der Liste entfernt.

Hinweis: Stile können nur gelöscht werden, wenn sie an keiner anderen Stelle verwendet werden.

Noch in diesem Kapitel

Farben

Schriftstile

Linienstile

Rahmenstile

Farbverläufe für Hintergrund

Farblisten

Stile für Marker

Stil für Linie mit Marker

Stilliste für Linie mit Marker

Stileigenschaften


Farben

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Farben

Diese Stilgruppe definiert Werte für Farben. Die hier festgelegten Farben werden von allen weiteren Elementen verwendet. Dabei werden sie über die Eigenschaft Name identifiziert.

Es stehen vordefinierte Farben zur Verfügung. Diese können beliebig angepasst und erweitert werden.

Vordefinierte Farben:

  • Schwarz
  • Rahmengrau
  • Rauchiges Weiß
  • Weiß
  • Gainsboro
  • Mattgrau
  • Kastanienbraun
  • Reihenfarbe 1
  • Reihenfarbe 2
  • Reihenfarbe 3
  • Reihenfarbe 4
  • Reihenfarbe 5
  • Reihenfarbe 6
  • Reihenfarbe 7
  • Reihenfarbe 8
  • Reihenfarbe 9
  • Reihenfarbe 10
  • Hellgrau
  • Dunkelgrau
  • Silber
  • Rot
  • Olivgrün
  • Gelb
  • Grün

Farben anpassen und hinzufügen

Um eine Farbe anzupassen:

  1. Klicken Sie auf die gewünschte Farbe.
  2. Konfigurieren die Eigenschaft Name:
    Vergeben Sie den gewünschten Namen.
  3. Konfigurieren Sie die Eigenschaft Farbe.
    Klick auf den Pfeil neben der Farbanzeige öffnet den Dialog zur Farbauswahl.

Um eine Farbe hinzuzufügen:

  1. Klicken Sie auf das Symbol zum Hinzufügen (grünes Kreuz).

    Eine neue Farbe mit den Defaultwerten Neue Farbe und Schwarz wird erstellt.

  2. Konfigurieren die Eigenschaft Name:
    Vergeben Sie den gewünschten Namen.
  3. Konfigurieren Sie die Eigenschaft Farbe.
    Klick auf den Pfeil neben der Farbanzeige öffnet den Dialog zur Farbauswahl.


Schriftstile

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Schriftstile

Diese Stilgruppe definiert Schriften. Schriften können aus den auf dem System verfügbaren Schriftarten ausgewählt oder frei eingegeben werden. Die freie Eingabe ermöglicht die Verwendung einer Schriftart, die am Analyzer Server vorhanden, in ZAMS aber nicht verfügbar ist. Bei der Konfiguration wird nicht überprüft, ob die ausgewählte Schriftart bei der Reportausführung am Analyzer Server auch verfügbar ist.

Stil

Eigenschaften und Default-Werte

Titelschrift

Eigenschaften:

  • Name: Titelschrift
  • Schriftart: Arial
  • Schriftgröße: 16 pt
  • Farbe: Schwarz
  • Schriftstärke: Fett

Schrift für Wertfelder

Eigenschaften:

  • Name: Schrift für Wertfelder
  • Schriftart: Arial
  • Schriftgröße: 8 pt
  • Farbe: Schwarz
  • Schriftstärke: Normal

Parameter Titelschrif t

Eigenschaften:

  • Name: Parameter Titelschrift
  • Schriftart: Arial
  • Schriftgröße: 7 pt
  • Farbe: Schwarz
  • Schriftstärke: Normal

Schrift für Parameterwerte

Eigenschaften:

  • Name: Schrift für Parameterwerte
  • Schriftart: Arial
  • Schriftgröße: 12 pt
  • Farbe: Schwarz
  • Schriftstärke: Fett

Fußzeilenschrift

Eigenschaften:

  • Name: Fußzeilenschrift
  • Schriftart: Arial
  • Schriftgröße: 6 pt
  • Farbe: Schwarz
  • Schriftstärke: Fett

Schrift für Tabellenüberschrift

Eigenschaften:

  • Name: Schrift für Tabellenüberschrift
  • Schriftart: Arial
  • Schriftgröße: 9 pt
  • Farbe: Schwarz
  • Schriftstärke: Fett

Schrift für Tabellengruppierung

Eigenschaften:

  • Name: Schrift für Tabellengruppierung
  • Schriftart: Arial
  • Schriftgröße: 8 pt
  • Farbe: Schwarz
  • Schriftstärke: Fett

Titelschrift für benutzerdefinierte Reportelemente

Eigenschaften:

  • Name: Titelschrift für benutzerdefinierte Reportelemente
  • Schriftart: Arial
  • Schriftgröße: (kein Defaultwert)
  • Farbe: Schwarz
  • Schriftstärke: Normal

Effizienzklassen Schriftart

Eigenschaften:

  • Name: Effizienzklassen Schriftart
  • Schriftart: Arial
  • Schriftgröße: 10 pt
  • Farbe: Silber
  • Schriftstärke: Fett


Linienstile

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Linienstile

Diese Stilgruppe definiert Stile für die Darstellung von Linien:

Stil

Eigenschaften und Default-Werte

Fußzeilenlinie

Eigenschaften:

  • Name: Fußzeilenlinie
  • Linienstil: Durchgezogen
  • Linienstärke: 2,0 pt
  • Farbe: Rahmengrau

Linie für Diagrammraster

Eigenschaften:

  • Name: Linie für Diagrammraster
  • Linienstil: Durchgezogen
  • Linienstärke: 1,5 pt
  • Farbe: Gainsboro

Grafikachsenlinie

Eigenschaften:

  • Name: Grafikachsenlinie
  • Linienstil: Durchgezogen
  • Linienstärke: 1,5 pt
  • Farbe: Mattgrau

Skalierungsunterbrechungslinie

Eigenschaften:

  • Name: Skalierungsunterbrechungslinie
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Kastanienbraun

Linie für Netzdiagramm

Eigenschaften:

  • Name: Linie für Netzdiagramm
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Mattgrau

Fehlerlinie

Eigenschaften:

  • Name: Fehlerlinie
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Rot

Warnlinie

Eigenschaften:

  • Name: Warnlinie
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Gelb

Linie für Durchschnitt

Eigenschaften:

  • Name: Linie für Durchschnitt
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Grün

Trendlinie 1

Eigenschaften:

  • Name: Trendlinie 1
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Reihenfarbe 1

Trendlinie 2

Eigenschaften:

  • Name: Trendlinie 2
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Reihenfarbe 3

Trendlinie 3

Eigenschaften:

  • Name: Trendlinie 3
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Reihenfarbe 4

Trendlinie 4

Eigenschaften:

  • Name: Trendlinie 4
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Reihenfarbe 7

Trendlinie 5

Eigenschaften:

  • Name: Trendlinie 5
  • Linienstil: Durchgezogen
  • Linienstärke: 1,0 pt
  • Farbe: Reihenfarbe 10


Rahmenstile

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Rahmenstile

Diese Stilgruppe definiert Stile für die Darstellung von Rahmen:

Stil

Eigenschaften und Default-Werte

Parameter für Rahmenlinie

Eigenschaften:

  • Name: Parameter für Rahmenlinie
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 2,0 pt
  • Farbe: Rahmengrau

Rahmen für Datenbezeichnung

Eigenschaften:

  • Name: Rahmen für Datenbezeichnung
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 3,0 pt
  • Farbe: Hellgrau

Rahmen für Marker

Eigenschaften:

  • Name: Rahmen für Marker
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 1,0 pt
  • Farbe: Reihenfarbe 5

Rahmen für Boxplot-Marker

Eigenschaften:

  • Name: Rahmen für Boxplot-Marker
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 1,0 pt
  • Farbe: Rot

Rahmen für Tabellenüberschrift

Eigenschaften:

  • Name: Rahmen für Tabellenüberschrift
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 2,0 pt
  • Farbe: Dunkelgrau

Rand der Tabellenzelle

Eigenschaften:

  • Name: Rand der Tabellenzelle
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 1,0 pt
  • Farbe: Dunkelgrau

Rahmen für Trend-Marker 1

Eigenschaften:

  • Name: Rahmen für Trend-Marker 1
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 1,0 pt
  • Farbe: Reihenfarbe 1

Rahmen für Trend-Marker 2

Eigenschaften:

  • Name: Rahmen für Trend-Marker 2
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 1,0 pt
  • Farbe: Reihenfarbe 3

Rahmen für Trend-Marker 3

Eigenschaften:

  • Name: Rahmen für Trend-Marker 3
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 1,0 pt
  • Farbe: Reihenfarbe 4

Rahmen für Trend-Marker 4

Eigenschaften:

  • Name: Rahmen für Trend-Marker 4
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 1,0 pt
  • Farbe: Reihenfarbe 7

Rahmen für Trend-Marker 5

Eigenschaften:

  • Name: Rahmen für Trend-Marker 5
  • Randlinienstil: Durchgezogen
  • Randlinienstärke: 1,0 pt
  • Farbe: Reihenfarbe 10


Farbverläufe für Hintergrund

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Farbverläufe für Hintergrund

Diese Stilgruppe definiert Stile für Farbverläufe im Hintergrund.

Stil

Eigenschaften und Default-Werte

Grafikhintergrund

Eigenschaften:

  • Name: Grafikhintergrund
  • Farbe: Gainsboro
  • Farbe: Weiß
  • Farbverlaufstyp: Keiner

Hintergrund für Kreisdiagramm

Eigenschaften:

  • Name: Hintergrund für Kreisdiagramm
  • Farbe: Gainsboro
  • Farbe: Weiß
  • Farbverlaufstyp: Zentrieren


Farblisten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Farblisten

Diese Stilgruppe definiert Stile für Farblisten:

Stil

Eigenschaften und Default-Werte

Diagrammfarben

Eigenschaften:

  • Name: Diagrammfarben
  • Werte:
    Verwendet:
    Reihenfarbe 1
    Reihenfarbe 2
    Reihenfarbe 3
    Reihenfarbe 4
    Reihenfarbe 5
    Reihenfarbe 6
    Reihenfarbe 7
    Reihenfarbe 8
    Reihenfarbe 9
    Reihenfarbe 10
    Verfügbar:
    alle anderen Farben

Farben für Netzdiagramm

Eigenschaften:

  • Name: Diagrammfarben
  • Werte:
    Verwendet:
    Reihenfarbe 1
    Reihenfarbe 3
    Reihenfarbe 4
    Reihenfarbe 7
    Reihenfarbe 10
    Verfügbar:
    alle anderen Farben

Konfiguration

Die Listen bestehen aus zwei Bereichen:

  • Listen oben: Enthält alle ausgewählten Einträge. Diese werden bei der Darstellung im <REPORTLAUNCHER> verwendet. Diese Liste muss mindestens einen Eintrag enthalten.
  • Liste unten: Enthält die verfügbaren, noch nicht ausgewählten Einträge.

Einträge verschieben und ordnen

  • Die Einträge können zwischen den beiden Listen mittels Drag&Drop oder über die Pfeilsymbole verschoben werden.
  • Die Reihenfolge in einer Liste kann mittels Drag&Drop geändert werden.


Stile für Marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Stile für Marker

Diese Stilgruppe definiert Stile für die Darstellung von Marker:

Stil

Eigenschaften und Default-Werte

Diagramm-Marker

Eigenschaften:

  • Name: Diagramm-Marker
  • Stil für Marker: Quadrat
  • Farbe: Reihenfarbe 5
  • Markierungsgröße: 3,75 pt
  • Randlinienstil: Rahmen für Marker

Boxplot-Marker

Eigenschaften:

  • Name: Boxplot-Marker
  • Stil für Marker: Kreuz
  • Farbe: Rot
  • Markierungsgröße: 3,75 pt
  • Randlinienstil: Rahmen für Boxplot-Marker

Trend-Marker 1

Eigenschaften:

  • Name: Trend-Marker 1
  • Stil für Marker: Quadrat
  • Farbe: Reihenfarbe 1
  • Markierungsgröße: 3,75 pt
  • Randlinienstil: Rahmen für Trend-Marker 1

Trend-Marker 2

Eigenschaften:

  • Name: Trend-Marker 2
  • Stil für Marker: Raute
  • Farbe: Reihenfarbe 3
  • Markierungsgröße: 3,75 pt
  • Randlinienstil: Rahmen für Trend-Marker 2

Trend-Marker 3

Eigenschaften:

  • Name: Trend-Marker 3
  • Stil für Marker: Kreuz
  • Farbe: Reihenfarbe 4
  • Markierungsgröße: 3,75 pt
  • Randlinienstil: Rahmen für Trend-Marker 3

Trend-Marker 4

Eigenschaften:

  • Name: Trend-Marker 4
  • Stil für Marker: Stern5
  • Farbe: Reihenfarbe 7
  • Markierungsgröße: 3,75 pt
  • Randlinienstil: Rahmen für Trend-Marker 4

Trend-Marker 5

Eigenschaften:

  • Name:Trend-Marker 5
  • Stil für Marker: Stern10
  • Farbe: Reihenfarbe 10
  • Markierungsgröße: 3,75 pt
  • Randlinienstil: Rahmen für Trend-Marker 5


Stil für Linie mit Marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Stil für Linie mit Marker

Diese Stilgruppe definiert Stile für die Darstellung von Linien mit Marker:

Stil

Eigenschaften und Default-Wert

Trendlinie mit Marker 1

Eigenschaften:

  • Name: Trendlinie mit Marker 1
  • Linienstil: Trendlinie 1
  • Markerstil: Trend-Marker 1

Trendlinie mit Marker 2

Eigenschaften:

  • Name: Trendlinie mit Marker 2
  • Linienstil: Trendlinie 2
  • Markerstil: Trend-Marker 2

Trendlinie mit Marker 3

Eigenschaften:

  • Name: Trendlinie mit Marker 3
  • Linienstil: Trendlinie 3
  • Markerstil: Trend-Marker 3

Trendlinie mit Marker 4

Eigenschaften:

  • Name: Trendlinie mit Marker 4
  • Linienstil: Trendlinie 4
  • Markerstil: Trend-Marker 4

Trendlinie mit Marker 5

Eigenschaften:

  • Name: Trendlinie mit Marker 5
  • Linienstil: Trendlinie 5
  • Markerstil: Trend-Marker 5


Stilliste für Linie mit Marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Stilliste für Linie mit Marker

Diese Stilgruppe definiert den Stil für die Darstellung von Stillisten für Linie mit Marker:

Stil

Eigenschaften und Default-Werte

Trendlinie mit Marker

Eigenschaften:

  • Name: Trendlinie mit Marker
  • Linien:
    Verwendet:
    Trendlinie mit Marker 1
    Trendlinie mit Marker 2
    Trendlinie mit Marker 3
    Trendlinie mit Marker 4
    Trendlinie mit Marker 5
    Verfügbar:
    (leer)

Konfiguration

Die Listen bestehen aus zwei Bereichen:

  • Listen oben: Enthält alle ausgewählten Einträge. Diese werden bei der Darstellung im <REPORTLAUNCHER> verwendet. Diese Liste muss mindestens einen Eintrag enthalten.
  • Liste unten: Enthält die verfügbaren, noch nicht ausgewählten Einträge.

Einträge verschieben und ordnen

  • Die Einträge können zwischen den beiden Listen mittels Drag&Drop oder über die Pfeilsymbole verschoben werden.
  • Die Reihenfolge in einer Liste kann mittels Drag&Drop geändert werden.


Stileigenschaften

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Stileigenschaften

Diese Stilgruppe definiert unabhängige Stile für:

  • Textfelder
  • Parameter Ausgabebereich
  • Fußzeile
  • Diagramme
    • Benutzerdefinierte Reportelemente (CRI)
  • Tabellen

Allgemein

Stil

Eigenschaften und Default-Werte

Textfelder

Eigenschaften:

  • Schrift für Reportname: Titelschrift
  • Schrift für Bezeichnungsfelder: Titelschrift
  • Schrift für Wertfelder: Schrift für Wertfelder

Parameter Ausgabebereich

Eigenschaften:

  • Parameterfeld: Parameter für Rahmenlinien
  • Hintergrundfarbe für Parameter: Rauchiges Weiß
  • Schrift für Parameterbezeichnung: Parameter Titelschrift
  • Schrift für Parameterwerte: Schrift für Parameterwerte

Fußzeile

Eigenschaften:

  • Fußzeilenschrift: Fußzeilenschrift
  • Fußzeilenlinie: Fußzeilenlinie

Diagramme

Stil

Eigenschaften und Default-Werte

Zeichenbereich

Eigenschaften:

  • Netzlinien: Warnlinie
  • Hintergrundfarbe des Grafikbereichs: Weiß
  • Sekundärfarbe für Diagrammfläche-Hintergrund: Gainsboro

Hintergrund

Eigenschaften:

  • Hintergrund des Grafikobjekts: Grafikhintergrund
  • Hintergrundfarbe des Kreisdiagrammobjekts: Hintergrund für Kreisdiagramm

Achsen

Eigenschaften:

  • Grafikachsenschrift: Schrift für Wertfelder
  • Grafikachsenlinie: Grafikachsenlinie
  • Skalierungsunterbrechungslinie: Skalierungsunterbrechungslinie
  • Abstand Skalierungsunterbrechung: 2,0 %

Inhalt

Eigenschaften:

  • Farbe für Diagrammreihen: Diagrammfarben
  • Linienfarbe für Flächendiagramm: Reihenfarbe 5
  • Flächendiagramm Flächenfarbe: Reihenfarbe 5
  • Transparenz für Flächenfarbe des Flächendiagramms: 29 %
  • Serienfarbe für Netzdiagramm: Farben für Netzdiagramm
  • Transparenz für Netzdiagramm-Serienfarbe: 45 %
  • Netzdiagrammserien-Rahmen: Linie für Netzdiagramm

Bezeichnungen

Eigenschaften:

  • Legendenschrift: Schrift für Wertfelder
  • Feld Datenbezeichnung: Rahmen für Datenbezeichnung
  • Hintergrundfarbe für Datenbezeichnung:
  • Schrift Datenbezeichnung: Schrift für Wertfelder
  • Diagramm-Marker: Diagramm-Marker

Benutzerdefinierte Reportelemente

Eigenschaften für die Konfiguration der Benutzerdefinierten Reportelemente:

  • Boxplot
  • Effizienzklassen
  • Gantt Diagramme
  • Histogramm
  • Rasterdiagramm
  • Sankey Diagramm
  • Trend mit Grenzen

Details siehe Kapitel Benutzerdefinierte Reportelemente konfigurieren.

Tabellen

Stil

Eigenschaften und Default-Werte

Tabellen

Eigenschaften:

  • Hintergrundfarbe für gerade Zeilen: Weiß
  • Hintergrundfarbe für ungerade Zeile: Rauchiges Weiß
  • Überschriftenzellenschrift: Schrift für Tabellenüberschrift
  • Datenzellenschrift: Schrift für Wertfelder
  • Schriftart für Gruppierungs-Überschrift: Schrift für Tabellengruppierung
  • Überschriftenzellenrand: Rahmen für Tabellenüberschrift
  • Datenzellenrand: Rand der Tabellenzelle

Noch in diesem Kapitel

Benutzerdefinierte Reportelemente (CRI) konfigurieren


Benutzerdefinierte Reportelemente (CRI) konfigurieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Stilgruppen und Stile > Stileigenschaften > Benutzerdefinierte Reportelemente (CRI) konfigurieren

Benutzerdefinierte Reportelemente werden in der Gruppe Stileigenschaften im Bereich Diagramme/Benutzerdefinierte Reportelemente konfiguriert.

Benutzerdefinierte Reportelemente:

  • Boxplot
  • Effizienzklassen
  • Gantt Diagramme
  • Histogramm
  • Rasterdiagramm
  • Sankey Diagramm
  • Trend mit Grenzen

Um benutzerdefinierte Reportelemente zu konfigurieren, wählen Sie im Dialog für Reportstile die passenden Eigenschaften aus und vergeben Sie die gewünschten Werte.

Dialog Konfiguration

Stil

Eigenschaften und Default-Werte

Benutzerdefinierte Reportelemente

Allgemeine Eigenschaften für benutzerdefinierte Reportelemente:

  • Titelschrift: Titelschrift für benutzerdefinierte Reportelemente
  • Achsenschrift: Schrift für Wertfelder
  • Achsenfarbe: Schwarz
  • Hintergrundfarbe des Grafikbereichs: Weiß
  • Hintergrundfarbe des Grafikobjekts: Rauchiges Weiß
  • Gantt-Diagramm - Farbe für "Kein Ereignis": Reihenfarbe 5
  • Gantt-Diagramm Ereignis Default-Farbe: Reihenfarbe 1
  • Effizienzklassen Schriftart: Effizienzklassen Schriftart

Boxplot

Eigenschaften für Boxplot:

  • Boxplot-Marker: Boxplot-Marker
  • Farbliste für Boxplot: Diagrammfarben
  • Transparenz für Boxplot Boxenfüllung: 50 %
  • Boxplot Median-Farbe: Olivgrün

Trend mit Grenzen

Eigenschaften für Trend mit Grenzen:

  • Fehlerlinie für Trend mit Grenzen: Fehlerlinie
  • Warnlinie für Trend mit Grenzen: Warnlinie
  • Durchschnittslinie für Trend mit Grenzen: Linie für Durchschnitt
  • Transparenz für Trend mit Grenzen: 70 %
  • Linien für Trend mit Grenzen: Trendlinie mit Marker

Histogramm

Eigenschaften für Histogramm:

  • Farbliste Histogramm: Diagrammfarben
  • Histogramm Transparenz: 50 %
  • Glockenkurve Linienstil: Durchgezogen
  • Glockenkurve Linienbreite: 1,0 pt
  • Statistischer Indikator Linienstil: Gestrichelt
  • Statistischer Indikator Linienbreite: 1,0 pt

Spezielle benutzerdefinierte Reportelemente

Für einige benutzerdefinierte Reportelemente stehen detaillierte Informationen zur Konfiguration zur Verfügung. Diese sind vor allem für Reportentwickler gedacht:

  • Boxplot
  • Histogramm
  • Trend mit Grenzen

Boxplot

Dieses benutzerdefinierte Reportelement stellt Boxplots dar.

Elemente:

  • Titel (optional)
    Ist der Titel zu lange für den definierten Platz, wird eine Fehlermeldung angezeigt.
  • Zeichenbereich (links)
  • Legende (rechts)

Zeichenbereich:

  • 1 Box je Variable:
    • 1 Farbe je Variable. Beim Erreichen des Endes der Farbliste, wird wieder von vorne begonnen.
    • Darstellung von links nach rechts.
    • Variablen werden alphabetisch aufsteigend sortiert.
  • Unteres Ende der Box: unteres Quartil
  • Oberes Ende der Box: oberes Quartil
  • Horizontale Linie innerhalb der Box: Median
  • Horizontale Linien oberhalb und unterhalb der Box (mit der Box durch vertikale Linie verbunden): unterer und oberer Whisker
  • Markierungen über dem oberen Whisker oder unter dem unteren Whisker: Ausreißer
    Definition Ausreißer:
    • höher als oberes Quartil + 1,5 * Quartilsabstand
    • niedriger als unteres Quartil – 1,5* Quartilsabstand)

    Marker werden für Ausreißer separat eingefärbt.
    Sind zu viele Variablen im Diagramm wird ein Fehler gemeldet. 1 Box benötigt mindestens 3 Ausreißer-Marker-Breiten.

Legende:

  • Darf maximal 50 % der Gesamtbreite des Elements benötigen.
  • 1 Zeile je Variable.
    Einfärbung und Sortierung wie Boxen.
  • Wird ein Text zu lange, wird er gekürzt.
    Modus: Ein Teil aus der Mitte des Textes wird durch ... ersetzt.
    Hintergrund: Der Variablenname steht immer am Ende des vollen Namens (Projekt#Archiv – Variable).
  • Sind mehr Variablen vorhanden, als in der Box dargestellt werden können, dann wird anstelle der letzten zeichenbaren Variablen ... in die Legende geschrieben.

Eigenschaften in der Kategorie Data:

Name | Beschreibung
DataSetName | Name des Datasets.
HigherQuartile | Feldzugriff für das obere Quartil.
HigherWhisker | Feldzugriff für den oberen Whisker.
IsOutlier | Feldzugriff für das Outlier-Flag.
LowerQuartile | Feldzugriff für das untere Quartil.
LowerWhisker | Feldzugriff für den unteren Whisker.
Median | Feldzugriff für den Median.
Timestamp | Feldzugriff für den Zeitstempel.
Unit | Feldzugriff für die Einheit.
Value | Feldzugriff für den Wert.
VariableName | Feldzugriff für den Variablennamen.

Trend mit Grenzen

Dieses benutzerdefinierte Reportelement ermöglicht das Zeichnen von 1-N Trendlinien mit Grenzlinien (Zielwert, Warngrenzen, Fehlergrenzen).

Eigenschaften in der Kategorie Data:

Name | Beschreibung | Default
DataSetName | Name des Datasets, aus dem die Daten stammen | Leer
VariableName | Zugriff auf die Spalte für den Variablennamen | Leer
OrderIndex | Zugriff auf die Spalte für die Sortierungsnummer eines Werts | Leer
StartTimeStamp | Zugriff auf die Spalte für den Startzeitstempel eines Werts | Leer
EndTimeStamp | Zugriff auf die Spalte für den Endzeitstempel eines Werts | Leer
Value | Zugriff auf die Spalte für einen Wert | Leer
Unit | Zugriff auf die Spalte für die Einheit eines Werts | Leer

Eigenschaften in der Kategorie Grenzen:

Name | Beschreibung | Default
HigherErrorLimit | Obere Fehlergrenze | 0
HigherWarningLimit | Obere Warngrenze | 0
TargetValue | Zielwert | 0
LowerWarningLimit | Untere Warngrenze | 0
LowerErrorLimit | Untere Fehlergrenze | 0

Bei Validierungsfehlern wird nichts gezeichnet und eine Fehlermeldung angezeigt.

Validierungen:

  • Wenn nicht anders beschrieben, darf keine Eigenschaft leer bleiben.
  • Ist nur 1 Variable vorhanden, darf der Variablenname leer bleiben.
  • Sind 2 oder mehr Variablen vorhanden, muss jede Variable einen eindeutigen Namen haben.
  • Für das gewählte Element der horizontalen Achse gilt: Jeder Wert muss in dieser Spalte einen Wert haben, der innerhalb der Variablen eindeutig ist.
  • Werden nur die Fehlergrenzen angezeigt, muss die obere Fehlergrenze größer der unteren Fehlergrenze sein.
  • Werden alle Grenzen angezeigt, gilt: Untere Fehlergrenze < Untere Warngrenze < Zielwert < Obere Warngrenze < Obere Fehlergrenze.

Hinweise zum Zeichnen:

  • Die Legende wird nur gezeichnet, wenn mindestens eine Variable vorhanden ist und deren Name nicht leer ist.
  • Beschriftungen werden mit Einheit angezeigt, wenn alle Variablen die gleiche Einheit haben und diese nicht leer ist.
  • Würden sich Beschriftungen für Grenzen überschneiden, werden diese verschoben, bis die Überschneidung aufgehoben ist. Dabei verlassen die Beschriftungen allerdings nicht den Bereich der Achse.
  • Auf den Achsen werden Zuweisungslinien zwischen den Beschriftungen und der von ihnen repräsentierten Position auf der Achse gezeichnet.
  • Zeitstempel werden auf der horizontalen Achse zweizeilig angezeigt. Ist die Sortierungsnummer gewählt, wird diese einzeilig dargestellt.

Histogramm

Dieses benutzerdefinierte Reportelement stellt Histogramme dar.

Grafische Darstellung (CRI):

  • Alles, was zu einer Variable gehört, hat die gleiche Farbe.
  • Häufigkeitsverteilung erfolgt in Klassen (Säulen).
  • Glockenkurve ist per Default aktiviert und wird mit durchgezogener Linie dargestellt. Kann deaktiviert werden.
  • Minimum, Durchschnitt, Maximum, Sigma, 2 x Sigma, 3 x Sigma: Alle optional deaktivierbar.
    • Default: Nur 1-Sigma ist aktiviert und wird mit strichlierten Linien dargestellt.
  • Farben und Alpha-Wert für Säulenfüllung sind in den Reportstilen konfigurierbar.
  • Das CRI zeigt nur auf den Achsen Werte an.

Elemente:

  • Titel (optional)
    Ist der Titel zu lange für den definierten Platz, wird eine Fehlermeldung angezeigt.
  • Zeichenbereich (links)
  • Legende (rechts)

Zeichenbereich:

  • Ein Histogramm je Variable:
    • 1 Farbe je Variable. Beim Erreichen des Endes der Farbliste wird wieder von vorne begonnen.
    • Darstellung von links nach rechts.
    • Variablen werden alphabetisch aufsteigend sortiert.
    • Die Klassenanzahl wird aus der Anzahl der Werte abgeleitet:
      Minimum: 7 Klassen
      Maximum: 20 Klassen
      Dazwischen: vn für 50 < n < 400 (n ist die Anzahl der klassifizierten Werte)
  • Gauss’sche Glockenkurve: Aus den Werten der jeweiligen Variable errechnet. Per Default eingeblendet.
    Linienstil und Linienbreite sind konfigurierbar. Default jeweils durchgezogene Linie mit einer Breite von 1 Punkt.
  • Linien für Minimum, Maximum, und 1, 2, 3 Standardabweichungen (Sigma) werden aus den Werten der jeweiligen Variable errechnet.
    Per Default sind die Linien für 1 Sigma eingeblendet.
    Linienstil und Linienbreite sind konfigurierbar. Default jeweils strichlierte Linie mit einer Breite von 1 Punkt.
  • Zeichenfläche:
    Die Zeichenfläche wird an den von den Histogrammen benötigten Platz angepasst. In der vertikalen Dimension wird zusätzlich noch die Höhe der Glockenkurve berücksichtigt. Der Höhepunkt der Glockenkurve ist somit immer sichtbar. Zusätzlich wird um die dargestellten Daten noch ein Rand von 5% nach links, rechts und oben berücksichtigt. Damit stoßen die Elemente nicht direkt an den Rand der Zeichenfläche.
    Auf die Indikatorlinien wird keine Rücksicht genommen. Es können sich also z.B. die Sigma-Linien ausserhalb der Zeichenfläche befinden und damit unsichtbar sein.
  • Histogramme:
    Wenn unterschiedliche Variablen mit sehr verschiedenen Wertebereichen verwendet werden, die dazu führen, dass die Histogramme sehr gedrängt gezeichnet werden, sind die Daten eventuell nur eingeschränkt sichtbar.

Legende:

  • Darf maximal 50 % der Gesamtbreite des Elements benötigen.
  • 1 Zeile je Variable.
    Einfärbung und Sortierung wie Histogramme.
  • Wird ein Text zu lange, wird er gekürzt.
    Modus: Ein Teil aus der Mitte des Textes wird durch ... ersetzt.
    Hintergrund: Der Variablenname steht immer am Ende des vollen Namens (Projekt#Archiv – Variable).
  • Sind mehr Variablen vorhanden, als in der Box dargestellt werden können, dann wird anstelle der letzten zeichenbaren Variablen ... in die Legende geschrieben.

Vertikale Achse:

  • Anstatt einer Einheit hat das Histogramm einen eigenes konfigurierbaren Text für die vertikale Achse.

Eigenschaften in der Kategorie Data:

Name | Beschreibung
Average | Feldzugriff für Durchschnitt einer Variable.
ClassLower | Feldzugriff für untere Klassengrenze.
ClassHigher | Feldzugriff für obere Klassengrenze.
Count | Feldzugriff für Anzahl der Werte in einer Klasse.
DataSetName | Name des Datasets. Ist immer vorhanden.
Maximum | Feldzugriff für Maximum einer Variable.
Minimum | Feldzugriff für Minimum einer Variable.
StandardDeviation | Feldzugriff für die Standardabweichung einer Variable.
Unit | Feldzugriff für die Einheit.
Variable | Feldzugriff für den Variablennamen.


Eigenschaften für Reportstile

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile

Stile werden durch Eigenschaften definiert. Für jede Eigenschaft kann genau ein Wert ausgewählt werden. Der Wert einer Eigenschaft kann auch ein anderer Stil sein. In diesem Fall verweist ein grüner Pfeil als Link auf diesen Stil.

Werteingabe

Die Eingabe von Werten erfolgt, abhängig von der Eigenschaft, durch:

  • Auswahl aus einer Dropdownliste
  • Auswahl aus einer Farbpalette
  • Auswahl aus einer Liste
  • direkte Eingabe in ein Feld
  • Konfiguration mit einem Spincontrol

Noch in diesem Kapitel

Name

Farben

Linien

Marker

Schriften


Name

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Name

Mit der Eigenschaft Name konfigurieren Sie den Namen eines Stils.

Eigenschaft | Beschreibung
Name | Name des Stils. Freie Eingabe in Textfeld. Einschränkung: Führende oder schließende Leerzeichen sind nicht möglich.


Farben

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben

Eigenschaften zur Konfiguration von Farben.

Noch in diesem Kapitel

Achsenfarbe

Boxplot Median-Farbe

Transparenz für Boxplot Boxenfüllung

Transparenz für Flächenfarbe des Flächendiagramms

Transparenz für Netzdiagramm Serienfarbe

Transparenz für Trend mit Grenze

Farbe

Farbe für Diagrammreihe

Farbliste für Boxplot

Farbliste Histogramm

Farbverlaufstyp

Flächendiagramm Flächenfarbe

Gantt-Diagramm Ereignis Default-Farbe

Gantt-Diagramm Farbe für "Kein Ereignis"

Hintergrundfarbe des Grafikbereichs (Benutzerdefinierte Reportelemente)

Hintergrundfarbe des Grafikobjekts (Benutzerdefinierte Reportelemente)

Hintergrundfarbe des Grafikbereichs (Zeichenbereich)

Hintergrund des Grafikobjekts (Zeichenbereich)

Hintergrundfarbe des Kreisdiagrammobjekts

Hintergrundfarbe für Datenbezeichnung

Hintergrundfarbe für gerade Zeilen

Hintergrundfarbe für Parameter

Hintergrundfarbe für ungerade Zeilen

Histogramm Transparenz

Linienfarbe für Flächendiagramm

Netzdiagrammserien-Rahmen

Sekundärfarbe für Diagrammfläche-Hintergrund

Serienfarbe für Netzdiagramm

Werte


Achsenfarbe

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Achsenfarbe

Mit der Eigenschaft Achsenfarbe konfigurieren Sie Benutzerdefinierte Reportelemente in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Achsenfarbe | Auswahl der Farbe für die Achsen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Schwarz


Boxplot Median-Farbe

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Boxplot Median-Farbe

Mit der Eigenschaft Boxplot Median-Farbe konfigurieren Sie einen Boxplot in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Boxplot Median-Farbe | Auswahl der Farbe für die Median-Anzeige im Boxplot aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Olivgrün


Transparenz für Boxplot Boxenfüllung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Transparenz für Boxplot Boxenfüllung

Mit der Eigenschaft Transparenz für Boxplot Boxenfüllung konfigurieren Sie einen Boxplot in der Gruppe Stileigenschaften.

Eigenschaft

Beschreibung

Transparenz für Boxplot Boxenfüllung

Eingabe der Transparenz in Prozent durch Direkteingabe oder über die Pfeiltasten des Kontrollelements.

  • 100: Volle Transparenz, durchsichtig
  • 0: Keine Transparenz, undurchsichtig

Default: 50 %


Transparenz für Flächenfarbe des Flächendiagramms

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Transparenz für Flächenfarbe des Flächendiagramms

Mit der Eigenschaft Transparenz für Flächenfarbe des Flächendiagramms konfigurieren Sie den Inhalt in der Gruppe Stileigenschaften.

Eigenschaft

Beschreibung

Transparenz für Flächenfarbe des Flächendiagramms

Eingabe der Transparenz in Prozent durch Direkteingabe oder über die Pfeiltasten des Kontrollelements.

  • 100: Volle Transparenz, durchsichtig
  • 0: Keine Transparenz, undurchsichtig

Default: 71 %


Transparenz für Netzdiagramm Serienfarbe

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Transparenz für Netzdiagramm Serienfarbe

Mit der Eigenschaft Transparenz für Netzdiagramm Serienfarbe konfigurieren Sie den Inhalt in der Gruppe Stileigenschaften.

Eigenschaft

Beschreibung

Transparenz für Netzdiagramm Serienfarbe

Eingabe der Transparenz in Prozent durch Direkteingabe oder über die Pfeiltasten des Kontrollelements.

  • 100: Volle Transparenz, durchsichtig
  • 0: Keine Transparenz, undurchsichtig

Default: 45 %


Transparenz für Trend mit Grenze

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Transparenz für Trend mit Grenze

Mit der Eigenschaft Transparenz für Trend mit Grenze konfigurieren Sie einen Trend mit Grenzen in der Gruppe Stileigenschaften.

Eigenschaft

Beschreibung

Transparenz für Trend mit Grenze

Eingabe der Transparenz in Prozent durch Direkteingabe oder über die Pfeiltasten des Kontrollelements.

  • 100: Volle Transparenz, durchsichtig
  • 0: Keine Transparenz, undurchsichtig

Default: 70 %


Farbe

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Farbe

Mit der Eigenschaft Farbe konfigurieren Sie die Farben, die im Report und von anderen Stilen verwendet werden.

Eigenschaft

Beschreibung

Farbe

Die Konfiguration erfolgt, abhängig vom Stil:

  • Auswahl der Farbe aus einer Palette.
    Klick auf Pfeil neben Farbe öffnet den Dialog zur Farbauswahl.
  • Auswahl der Farbe nach Name. Diese wird in der Reportstilgruppe Farben Farben verwaltet.


Farbe für Diagrammreihe

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Farbe für Diagrammreihe

Mit der Eigenschaft Farbe für Diagrammreihe konfigurieren Sie den Inhalt in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Farbe für Diagrammreihe | Auswahl der Farbliste für die Diagrammreihen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farblisten. Default: Diagrammfarben


Farbliste für Boxplot

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Farbliste für Boxplot

Die Eigenschaft Farbliste für Boxplot konfigurieren Sie einen Boxplot in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Farbliste für Boxplot | Auswahl der Farblisten für Boxplot aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farblisten. Default: Diagrammfarben


Farbliste Histogramm

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Farbliste Histogramm

Mit der Eigenschaft Farbliste für Histogramm konfigurieren Sie ein Histogramm in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Farbliste für Histogramm | Auswahl der Farblisten für Histogramme aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farblisten. Default: Diagrammfarben


Farbverlaufstyp

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Farbverlaufstyp

Mit der Eigenschaft Farbverlaufstyp konfigurieren Sie den Verlauf von Farben in der Gruppe Farbverläufe.

Eigenschaft

Beschreibung

Farbverlaufstyp

Auswahl eines Farbverlaufstyps aus Dropdownliste. Der Hintergrund wird mit dem gewählten Verlaufstyp, ausgehend von der Basisfarbe hin zur Verlaufsendfarbe, eingefärbt. Folgende Werte stehen zur Verfügung:

  • Keiner
  • Links rechts
  • Oben unten
  • Zentrieren
  • Diagonal links
  • Vertikal zentriert

Hinweis: Die Typen Diagonal rechts und Horizontal zentriert stehen nicht zur Verfügung. Wenn Sie diese Typen verwenden möchten, können Sie diese im Microsoft Report Builder in den Eigenschaften des Grafikobjekts auswählen. Werden diese Typen über dynamische Ausdrücke gesetzt, zum Beispiel einen .NET Codeaufruf, dann werden sie wie Oben unten dargestellt.


Flächendiagramm Flächenfarbe

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Flächendiagramm Flächenfarbe

Mit der Eigenschaft Flächendiagramm Flächenfarbe konfigurieren Sie den Inhalt in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Flächendiagramm Flächenfarbe | Auswahl der Farbe für die Fläche eines Flächendiagramms aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Reihenfarbe 5


Gantt-Diagramm Ereignis Default-Farbe

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Gantt-Diagramm Ereignis Default-Farbe

Mit der Eigenschaft Gantt-Diagramm Ereignis Default-Farbe konfigurieren Sie Benutzerdefinierte Reportelemente in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Gantt-Diagramm Ereignis Default-Farbe | Auswahl der Default-Farbe für Ereignisse im Gantt-Diagramm. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Reihenfarbe 1


Gantt-Diagramm Farbe für "Kein Ereignis"

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Gantt-Diagramm Farbe für "Kein Ereignis"

Mit der Eigenschaft Gantt-Diagramm Farbe für "Kein Ereignis" konfigurieren Sie Benutzerdefinierte Reportelemente in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Gantt-Diagramm Farbe für "Kein Ereignis" | Auswahl der Default-Farbe für Ereignisse im Gantt-Diagramm. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Reihenfarbe 5


Hintergrundfarbe des Grafikbereichs (Benutzerdefinierte Reportelemente)

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Hintergrundfarbe des Grafikbereichs (Benutzerdefinierte Reportelemente)

Mit der Eigenschaft Hintergrundfarbe des Grafikbereichs konfigurieren Sie Benutzerdefinierte Reportelemente in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Hintergrundfarbe des Grafikbereichs | Auswahl der Hintergrundfarbe des Grafikbereichs aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Weiß


Hintergrundfarbe des Grafikobjekts (Benutzerdefinierte Reportelemente)

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Hintergrundfarbe des Grafikobjekts (Benutzerdefinierte Reportelemente)

Mit der Eigenschaft Hintergrundfarbe des Grafikobjekts konfigurieren Sie Benutzerdefinierte Reportelemente in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Hintergrundfarbe des Grafikobjekts | Auswahl der Farbe für den Hintergrund eines Grafikobjekts aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Rauchiges Weiß


Hintergrundfarbe des Grafikbereichs (Zeichenbereich)

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Hintergrundfarbe des Grafikbereichs (Zeichenbereich)

Mit der Eigenschaft Hintergrundfarbe des Grafikbereichs konfigurieren Sie den Zeichenbereich in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Hintergrundfarbe des Grafikbereichs | Auswahl der Farbe für den Hintergrund aus Dropdownliste. Der Hintergrund des Grafikbereichs ist jener Bereich, in dem sich die eigentliche Grafik befindet. Der Bereich wird von den Achsen begrenzt. Der Hintergrund des Grafikbereichs wird zeilenweise abwechselnd mit der Hintergrundfarbe und der Sekundärfarbe eingefärbt. Kreisdiagramme haben in diesem Bereich immer einen transparenten Hintergrund. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Weiß


Hintergrund des Grafikobjekts (Zeichenbereich)

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Hintergrund des Grafikobjekts (Zeichenbereich)

Mit der Eigenschaft Hintergrund des Grafikobjekts konfigurieren Sie den Hintergrund in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Hintergrund des Grafikobjekts | Auswahl des Farbverlaufs für den Hintergrund eines Grafikobjekts aus Dropdownliste. Der Objekthintergrund ist jener Bereich, den das Grafikobjekt im Report inklusive Legende und Achsen einnimmt Die Liste enthält alle Einträge der Stilgruppe Farbverläufe . Default: Grafikhintergrund


Hintergrundfarbe des Kreisdiagrammobjekts

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Hintergrundfarbe des Kreisdiagrammobjekts

Mit der Eigenschaft Hintergrundfarbe des Kreisdiagrammbereichs konfigurieren Sie den Hintergrund in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Hintergrundfarbe des Grafikbereichs | Auswahl der Farbe für den Hintergrund von Kreisdiagrammen. Der Hintergrund ist jener Bereich, in dem sich die eigentliche Grafik befindet. Der Bereich wird von den Achsen begrenzt. Kreisdiagramme haben in diesem Bereich immer einen transparenten Hintergrund. Andere Diagramme verfügen über einen Verlauf von zwei Farben. Die Liste enthält alle Einträge der Stilgruppe Farbverläufe für Hintergrund. Default: Hintergrund für Kreisdiagramm


Hintergrundfarbe für Datenbezeichnung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Hintergrundfarbe für Datenbezeichnung

Mit der Eigenschaft Hintergrundfarbe für Datenbezeichnung konfigurieren Sie Bezeichnungen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Hintergrundfarbe für Datenbezeichnung | Auswahl der Farbe für den Hintergrund der Datenbezeichnung aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Hellgrau


Hintergrundfarbe für gerade Zeilen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Hintergrundfarbe für gerade Zeilen

Mit der Eigenschaft Hintergrundfarbe für gerade Zeilen konfigurieren Sie Tabellen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Hintergrundfarbe für gerade Zeilen | Auswahl der Hintergrundfarbe für gerade Zeilen in der Tabelle aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Weiß


Hintergrundfarbe für Parameter

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Hintergrundfarbe für Parameter

Mit der Eigenschaft Hintergrundfarbe für Parameter konfigurieren Sie den Parameter-Ausgabebereich in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Hintergrundfarbe für Parameter | Auswahl der Farbe für die Hintergrundfarbe für das Parameterfeld aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Rahmenstile. Default: Rauchiges Weiß


Hintergrundfarbe für ungerade Zeilen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Hintergrundfarbe für ungerade Zeilen

Mit der Eigenschaft Hintergrundfarbe für ungerade Zeilen konfigurieren Sie Tabellen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Hintergrundfarbe für ungerade Zeilen | Auswahl der Hintergrundfarbe für ungerade Zeilen in der Tabelle aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Rauchiges Weiß


Histogramm Transparenz

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Histogramm Transparenz

Mit der Eigenschaft Histogramm Transparenz konfigurieren Sie ein Histogramm in der Gruppe Stileigenschaften.

Eigenschaft

Beschreibung

Histogramm Transparenz

Eingabe der Transparenz für das Histogramm in Prozent.

  • 100: Volle Transparenz, durchsichtig
  • 0: Keine Transparenz

Default: 50 %


Linienfarbe für Flächendiagramm

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Linienfarbe für Flächendiagramm

Mit der Eigenschaft Linienfarbe für Flächendiagramm konfigurieren Sie den Inhalt in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Linienfarbe für Flächendiagramm | Auswahl der Farbe für die Linien in einem Flächendiagramm aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Reihenfarbe 5


Netzdiagrammserien-Rahmen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Netzdiagrammserien-Rahmen

Mit der Eigenschaft Netzdiagrammserien-Rahmen konfigurieren Sie den Inhalt in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Netzdiagrammserien-Rahmen | Auswahl des Linienstils für den Rahmen von Netzdiagrammserien aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Linie für Netzdiagramm


Sekundärfarbe für Diagrammfläche-Hintergrund

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Sekundärfarbe für Diagrammfläche-Hintergrund

Mit der Eigenschaft Sekundärfarbe für Diagrammfläche-Hintergrund konfigurieren Sie den Zeichenbereich in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Sekundärfarbe für Diagrammfläche-Hintergrund | Auswahl der Sekundärfarbe für den Hintergrund aus Dropdownliste. Der Hintergrund des Grafikbereichs ist jener Bereich, in dem sich die eigentliche Grafik befindet. Der Bereich wird von den Achsen begrenzt. Der Hintergrund des Grafikbereichs wird zeilenweise abwechselnd mit der Hintergrundfarbe und der Sekundärfarbe eingefärbt. Kreisdiagramme haben in diesem Bereich immer einen transparenten Hintergrund. Die Liste enthält alle Einträge der Stilgruppe Farben. Default: Weiß


Serienfarbe für Netzdiagramm

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Serienfarbe für Netzdiagramm

Mit der Eigenschaft Serienfarbe für Netzdiagramm konfigurieren Sie den Inhalt in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Serienfarbe für Netzdiagramm | Auswahl der Farbliste für die Serienfarben eiens Netzdiagramms aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Farblisten. Default: Farben für Netzdiagramm


Werte

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Farben > Werte

Mit der Eigenschaft Werte konfigurieren Sie die Elemente von Farblisten. Sie enthält die Farben, die zur Konfiguration zur Verfügung stehen.

Konfiguration

Die Listen bestehen aus zwei Bereichen:

  • Listen oben: Enthält alle ausgewählten Einträge. Diese werden bei der Darstellung im <REPORTLAUNCHER> verwendet. Diese Liste muss mindestens einen Eintrag enthalten.
  • Liste unten: Enthält die verfügbaren, noch nicht ausgewählten Einträge.

Einträge verschieben und ordnen

  • Die Einträge können zwischen den beiden Listen mittels Drag&Drop oder über die Pfeilsymbole verschoben werden.
  • Die Reihenfolge in einer Liste kann mittels Drag&Drop geändert werden.


Linien

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien

Eigenschaften zur Konfiguration von Linien.

Noch in diesem Kapitel

Abstand Skalierungsunterbrechung

Datenzellenrand

Durchschnittslinie für Trend mit Grenze

Feld Datenbezeichnung

Fehlerlinie für Trend mit Grenze

Fußzeilenlinie

Glockenkurve Linienbreite

Glockenkurve Linienstil

Grafikachsenlinie

Linien

Linien für Trend mit Grenze

Linienstil

Linienstärke

Netzlinien

Parameterfeld

Randlinienstil

Randlinienstärke

Skalierungsunterbrechungslinie

Statistischer Indikator Linienbreite

Statistischer Indikator Linienstil

Überschriftenzellenrand

Warnlinie für Trend mit Grenze


Abstand Skalierungsunterbrechung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Abstand Skalierungsunterbrechung

Mit der Eigenschaft Abstand Skalierungsunterbrechung konfigurieren Sie Achsen in der Gruppe Stileigenschaften.

Eigenschaft

Beschreibung

Abstand Skalierungsunterbrechung

Einstellung des Abstands zwischen den beiden Linien, die eine Unterbrechung kennzeichnen. Eingabe des Abstands in Prozent.
Die Eingabe ist in Stufen mit einer Genauigkeit von 0,5 möglich.

  • Minimum: 1,0
  • Maximum: 10,0

Default: 2 %

Hinweis: Darstellung der Werte der Skalierungsunterbrechungen im PDF mit SQL Server 2016

Für die PDF-Rendering-Engine der SQL Server 2016 Reporting Services wurden bei bestimmten Werten für die Skalierungsunterbrechungen Probleme mit der Validierung der eingegebenen Werte berichtet. Sollen hier vom Standardschema abweichende Werte eingestellt werden, wird folgende Vorgangsweise empfohlen:

  1. Ändern Sie immer nur einen Wert zur Zeit.
  2. Bestätigen Sie dann den Dialog mit OK.
  3. Stellen Sie einen Report mit Grafik als Test bereit.
  4. Führen Sie den Report aus und exportieren Sie ihn in ein PDF.
  5. Wird die Grafik in der PDF-Datei mit dem Report nicht angezeigt, so wird der gerade geänderte Wert nicht korrekt erkannt. Korrigieren Sie den Wert und testen Sie ihn erneut.


Datenzellenrand

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Datenzellenrand

Mit der Eigenschaft Datenzellenrand konfigurieren Sie Tabellen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Datenzellenrand | Auswahl des Rahmens von Datenzellen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Rahmenstile. Default: Rand der Tabellenzelle


Durchschnittslinie für Trend mit Grenze

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Durchschnittslinie für Trend mit Grenze

Mit der Eigenschaft Durchschnittslinie für Trend mit Grenze konfigurieren Sie einen Trend mit Grenzen in der Gruppe Stileigenschaften verwendet.

Eigenschaft | Beschreibung
Durchschnittslinie für Trend mit Grenze | Auswahl der Linienart aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Linie für Durchschnitt


Feld Datenbezeichnung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Feld Datenbezeichnung

Mit der Eigenschaft Feld Datenbezeichnung konfigurieren Sie Bezeichnungen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Feld Datenbezeichnung | Auswahl des Rahmens für das Feld Datenbezeichnung aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Rahmenstile. Default: Rahmen für Datenbezeichnung


Fehlerlinie für Trend mit Grenze

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Fehlerlinie für Trend mit Grenze

Mit der Eigenschaft Fehlerlinie für Trend mit Grenze konfigurieren Sie einen Trend mit Grenzen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Fehlerlinie für Trend mit Grenze | Auswahl der Linienart aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Fehlerlinie


Fußzeilenlinie

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Fußzeilenlinie

Mit der Eigenschaft Fußzeilenlinie konfigurieren Sie die Fußzeile in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Fußzeilenlinie | Auswahl der Linienart aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Fußzeilenlinie


Glockenkurve Linienbreite

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Glockenkurve Linienbreite

Mit der Eigenschaft Glockenkurve Linienbreite konfigurieren Sie ein Histogramm in der Gruppe Stileigenschaften.

Eigenschaft

Beschreibung

Glockenkurve Linienbreite

Eingabe der Breite in pt in Feld.

  • Minimum: 1
  • Maximum: 100

Default: 1 pt


Glockenkurve Linienstil

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Glockenkurve Linienstil

Mit der Eigenschaft Glockenkurve Linienstil konfigurieren Sie ein Histogramm in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Glockenkurve Linienstil | Auswahl des Linienstils aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Durchgezogen


Grafikachsenlinie

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Grafikachsenlinie

Mit der Eigenschaft Grafikachsenlinie konfigurieren Sie Achsen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Grafikachsenlinie | Auswahl der Farbe für die Achsen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Grafikachsenlinie


Linien

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Linien

Mit der Eigenschaft Linien konfigurieren Sie die Linien in der Gruppe Stilliste für Linie mit Marker.

Eigenschaft | Beschreibung
Linien | Auswahl der Linien aus Liste Verfügbar und Positionierung in Liste Verwendet per Drag&Drop. Die Liste enthält alle Einträge der Stilgruppe Stile für Marker. Default: alle verwendet

Konfiguration

Die Listen bestehen aus zwei Bereichen:

  • Listen oben: Enthält alle ausgewählten Einträge. Diese werden bei der Darstellung im <REPORTLAUNCHER> verwendet. Diese Liste muss mindestens einen Eintrag enthalten.
  • Liste unten: Enthält die verfügbaren, noch nicht ausgewählten Einträge.

Einträge verschieben und ordnen

  • Die Einträge können zwischen den beiden Listen mittels Drag&Drop oder über die Pfeilsymbole verschoben werden.
  • Die Reihenfolge in einer Liste kann mittels Drag&Drop geändert werden.


Linien für Trend mit Grenze

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Linien für Trend mit Grenze

Mit der Eigenschaft Linien für Trend mit Grenze konfigurieren Sie einen Trend mit Grenzen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Linien für Trend mit Grenze | Auswahl der Linienart aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Trendlinie mit Marker


Linienstil

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Linienstil

Mit der Eigenschaft Linienstil konfigurieren Sie die unterschiedliche Darstellung von Linien in der Gruppe Linienstile.

Eigenschaft

Beschreibung

Linienstil

Auswahl des Linienstils aus Dropdownliste.
Folgende Stile stehen zur Verfügung:

  • Keine
  • Durchgezogen
  • Gestrichelt
  • Punktiert
  • Strich Punkt
  • Strichpunkt-Punkt

Default: Durchgezogen


Linienstärke

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Linienstärke

Mit der Eigenschaft Linienstärke konfigurieren Sie die Dicke der Linien in der Gruppe Linienstile.

Eigenschaft

Beschreibung

Linienstärke

Einstellung der Linienstärke in pt.
Eingabe in Feld oder über Pfeiltasten in 0,5 Schritten.

  • Minimum: 1
  • Maximum: 100

Default: 1,5


Netzlinien

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Netzlinien

Mit der Eigenschaft Netzlinien konfigurieren Sie den Zeichenbereich in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Netzlinien | Auswahl des Stils für Netzlinien aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Linie für Diagrammraster


Parameterfeld

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Parameterfeld

Mit der Eigenschaft Parameterfeld konfigurieren Sie die Darstellung des Parameter-Ausgabebereichs in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Parameterfeld | Auswahl des Rahmens für das Parameterfeld aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Rahmenstile. Default: Parameter für Rahmenlinie


Randlinienstil

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Randlinienstil

Mit der Eigenschaft Randlinienstil konfigurieren Sie die unterschiedliche Darstellung von Linien für Rahmen in der Gruppe Rahmenstile.

Eigenschaft

Beschreibung

Randlinienstil

Auswahl des Randlinienstils aus Dropdownliste.
Folgende Werte stehen zur Verfügung:

  • Keine
  • Durchgezogen
  • Doppelt
  • Gestrichelt
  • Punktiert

Default: Durchgezogen


Randlinienstärke

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Randlinienstärke

Mit der Eigenschaft Randlinienstärke konfigurieren Sie die Definition der Dicke der Randlinien in der Gruppe Rahmenstile.

Eigenschaft

Beschreibung

Randlinienstärke

Einstellung der Linienstärke in pt.
Eingabe in Feld oder über Pfeiltasten in 0,5 Schritten.

  • Minimum: 1
  • Maximum: 100

Default: 1,0


Skalierungsunterbrechungslinie

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Skalierungsunterbrechungslinie

Mit der Eigenschaft Skalierungsunterbrechungslinie konfigurieren Sie Achsen der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Skalierungsunterbrechungslinie | Auswahl des Stils für die Linie der Skalierungsunterbrechung aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Skalierungsunterbrechungslinie


Statistischer Indikator Linienbreite

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Statistischer Indikator Linienbreite

Mit der Eigenschaft Statistischer Indikator Linienbreite konfigurieren Sie ein Histogramm in der Gruppe Stileigenschaften.

Eigenschaft

Beschreibung

Statistischer Indikator Linienbreite

Eingabe der Breite in pt in Feld.

  • Minimum: 1
  • Maximum: 100

Default: 1 pt


Statistischer Indikator Linienstil

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Statistischer Indikator Linienstil

Mit der Eigenschaft Statistischer Indikator Linienstil konfigurieren Sie ein Histogramm in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Statistischer Indikator Linienstil | Auswahl des Linienstils aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Gestrichelt


Überschriftenzellenrand

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Überschriftenzellenrand

Mit der Eigenschaft Überschriftenzellenrand konfigurieren Sie Tabellen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Überschriftenzellenrand | Auswahl des Rahmens von Überschriftenzellen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Rahmenstile. Default: Rahmen für Tabellenüberschrift


Warnlinie für Trend mit Grenze

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Linien > Warnlinie für Trend mit Grenze

Mit der Eigenschaft Warnlinie für Trend mit Grenze konfigurieren Sie einen Trend mit Grenzen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Warnlinie für Trend mit Grenze | Auswahl der Linienart aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Linienstile. Default: Warnlinie


Marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Marker

Eigenschaften zur Konfiguration von Marker.

attention Achtung

Beim Zeichnen von Markierungen in Diagrammen wird der Rahmenstil der Markierungen von den SQL Server Reporting Services ignoriert.

Noch in diesem Kapitel

Boxplot-Marker

Diagramm-Marker

Markerstil

Markierungsgröße

Stil für Marker


Boxplot-Marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Marker > Boxplot-Marker

Mit der Eigenschaft Boxplot-Marker konfigurieren Sie einen Boxplot in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Boxplot-Marker | Auswahl des Markers für Boxplot aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Stile für Marker. Default: Boxplot-Marker


Diagramm-Marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Marker > Diagramm-Marker

Mit der Eigenschaft Diagramm-Marker konfigurieren Sie Bezeichnungen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Diagramm-Marker | Auswahl des Markers für Diagramme aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Stile für Marker. Default: Diagramm-Marker


Markerstil

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Marker > Markerstil

Mit der Eigenschaft Markerstil konfigurieren Sie Trendlinien mit Marker in der Gruppe Stil für Linie mit Marker.

Eigenschaft | Beschreibung
Markerstil | Auswahl des Markers für Trendlinien aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Stile für Marker.


Markierungsgröße

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Marker > Markierungsgröße

Mit der Eigenschaft Markierungsgröße konfigurieren Sie Marker in der Gruppe Stile für Marker.

Eigenschaft

Beschreibung

Markierungsgröße

Konfiguration der Größe des Markers.

Direkte Eingabe oder über Pfeiltasten in 0,25 pt Schritten:

  • Minimum: 1
  • Maximum: 100

Default: 3,75 pt


Stil für Marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Marker > Stil für Marker

Mit der Eigenschaft Stil für Marker konfigurieren Sie Trendlinien mit Marker in der Gruppe Stile für Marker.

Eigenschaft

Beschreibung

Stil für Marker

Auswahl des Stils für die Darstellung des Markers aus Dropdownliste:

  • Quadrat
  • Kreis
  • Raute
  • Dreieck
  • Kreuz
  • Stern 4
  • Stern 5
  • Stern 6
  • Stern 10


Schriften

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften

Eigenschaften zur Konfiguration der Schriften.

Noch in diesem Kapitel

Achsenschrift

Datenzellenschrift

Effizienzklassen Schriftart

Fußzeilenschrift

Grafikachsenschrift

Legendenschrift

Schrift Datenbezeichnung

Schrift für Bezeichnungsfelder

Schrift für Parameterbezeichnung

Schrift für Parameterwerte

Schrift für Reportname

Schrift für Wertfelder

Schriftart

Schriftart für Gruppierungs-Überschrift

Schriftgröße

Schriftstärke

Titelschrift

Überschriftenzellenschrift


Achsenschrift

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Achsenschrift

Mit der Eigenschaft Achsenschrift konfigurieren Sie Benutzerdefinierte Reportelemente in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Achsenschrift | Auswahl der Schrift für die Achsen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Schrift für Wertfelder


Datenzellenschrift

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Datenzellenschrift

Mit der Eigenschaft Datenzellenschrift konfigurieren Sie Tabellen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Datenzellenschrift | Auswahl der Schrift für Datenzellen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Schrift für Wertfelder


Effizienzklassen Schriftart

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Effizienzklassen Schriftart

Mit der Eigenschaft Effizienklassen Schriftart konfigurieren Sie Benutzerdefinierte Reportelemente in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Effizienklassen Schriftart | Auswahl der Schrift für die Effizienzklassen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Effizienzklassen Schriftart


Fußzeilenschrift

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Fußzeilenschrift

Mit der Eigenschaft Fußzeilenschrift konfigurieren Sie die Fußzeile in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Fußzeilenschrift | Auswahl der Schriftart für die Fußzeile aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Fußzeilenschrift


Grafikachsenschrift

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Grafikachsenschrift

Mit der Eigenschaft Grafikachsenschrift konfigurieren Sie Achsen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Grafikachsenschrift | Auswahl der Schrift für die Achsen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Schrift für Wertfelder


Legendenschrift

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Legendenschrift

Mit der Eigenschaft Legendenschrift konfigurieren Sie Bezeichnungen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Legendenschrift | Auswahl der Schrift für die Grafik-Legende aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Schrift für Wertfelder


Schrift Datenbezeichnung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schrift Datenbezeichnung

Mit der Eigenschaft Schrift Datenbezeichnung konfigurieren Sie Bezeichnungen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Schrift Datenbezeichnung | Auswahl der Schrift für die Datenbezeichner aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Schrift für Wertfelder


Schrift für Bezeichnungsfelder

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schrift für Bezeichnungsfelder

Mit der Eigenschaft Schrift für Bezeichnungsfelder konfigurieren Sie Textfelder in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Schrift für Bezeichnungsfelder | Auswahl der Schriftart für Bezeichnungsfelder aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Titelschrift


Schrift für Parameterbezeichnung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schrift für Parameterbezeichnung

Mit der Eigenschaft Schrift für Parameterbezeichnung konfigurieren Sie den Parameter Ausgabebereich in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Schrift für Parameterbezeichnung | Auswahl der Schriftart für Parameterbezeichner aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Parameter Titelschrift


Schrift für Parameterwerte

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schrift für Parameterwerte

Mit der Eigenschaft Schrift für Parameterwerte konfigurieren Sie den Parameter Ausgabebereich in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Schrift für Parameterwerte | Auswahl der Schriftart für Parameterwerte aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Schrift für Parameterwerte


Schrift für Reportname

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schrift für Reportname

Mit der Eigenschaft Schrift für Reportname konfigurieren Sie Textfelder in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Schrift für Reportname | Auswahl der Schriftart für die Darstellung des Reportnamens aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Titelschrift


Schrift für Wertfelder

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schrift für Wertfelder

Mit der Eigenschaft Schrift für Wertfelder konfigurieren Sie Textfelder in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Schrift für Wertfelder | Auswahl der Schriftart für Wertfelder aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Schrift für Wertfelder


Schriftart

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schriftart

Mit der Eigenschaft Schriftart konfigurieren Sie die verfügbaren Schriften in der Gruppe Schriftstile.

Eigenschaft

Beschreibung

Schriftart

Auswahl einer Schriftart aus Dropdownliste oder freie Eingabe einer Schriftart:

  • Dropdownliste:
    Enthält eine Auswahl der auf dem System verfügbaren Schriftarten.
  • Direkte Eingabe:
    Ermöglicht die Benennung einer Schriftart, die am Analyzer Server vorhanden, in ZAMS aber nicht verfügbar ist.

Achtung: Es erfolgt keine Validierung, ob die konfigurierte Schriftart auch am Analyzer Server verfügbar ist.


Schriftart für Gruppierungs-Überschrift

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schriftart für Gruppierungs-Überschrift

Mit der Eigenschaft Schriftart für Gruppierungs-Überschrift konfigurieren Sie Tabellen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Schriftart für Gruppierungs-Überschrift | Auswahl der Schrift für Überschriften einer Gruppierung aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Schrift für Tabellengruppierung


Schriftgröße

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schriftgröße

Mit der Eigenschaft Schriftgröße konfigurieren Sie die Größe der Schriften in der Gruppe Schriftstile.

Eigenschaft

Beschreibung

Schriftgröße

Einstellung der Schriftgröße in pt über Pfeiltasten oder Eingabe in das Zahlenfeld.

  • Minimum: 1
  • Maximum: 100


Schriftstärke

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Schriftstärke

Mit der Eigenschaft Schriftstärke konfigurieren Sie die Schriftauszeichnung in der Gruppe Schriftstile.

Eigenschaft

Beschreibung

Schriftstärke

Auswahl der Schriftstärke aus Dropdownliste.
Zur Verfügung stehen:

  • Dünn
  • Extra dünn
  • Sehr dünn
  • Normal
  • Mittel
  • Halbfett
  • Fett
  • Sehr fett
  • Extra fett


Titelschrift

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Titelschrift

Mit der Eigenschaft Titelschrift konfigurieren Sie Benutzerdefinierte Reportelemente in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Titelschrift | Auswahl der Schrift für den Titel aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Titelschrift für benutzerdefinierte Reportelemente


Überschriftenzellenschrift

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Reportstile > Eigenschaften für Reportstile > Schriften > Überschriftenzellenschrift

Mit der Eigenschaft Überschriftenzellenschrift konfigurieren Sie Tabellen in der Gruppe Stileigenschaften.

Eigenschaft | Beschreibung
Überschriftenzellenschrift | Auswahl der Schrift für Überschriftenzellen aus Dropdownliste. Die Liste enthält alle Einträge der Stilgruppe Schriftstile. Default: Schrift für Tabellenüberschrift


Cache löschen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Cache löschen

Werden Metadaten geändert oder die Daten der Reportvorlagen aktualisiert, muss der Cache gelöscht werden.

Standardmäßig wird der Cache gelöscht:

  • wenn das ZAMS mit einer anderen Datenbank verbunden ist als die, deren Daten benötigt werden, und die Daten abgerufen werden
  • das ZAMS neu gestartet wird

Zusätzlich kann das Löschen des Caches manuell ausgelöst werden über: Ribbon Optionen -> Cache -> Löschen.
Diese Aktion emuliert für die Cache-Manager Objekte einen ZAMS-Neustart.

Hinweis: Diese Aktion steht unabhängig von der Verbindung zum Analyzer Server und unabhängig von einer gültigen Lizenz zur Verfügung.
Diese Aktion ist nicht verfügbar, wenn eine der Aktionen Öffnen, Bereitstellen, Alle bereitstellen, Im Report Builder öffnen oder Alle im Report Builder öffnen ausgeführt wird.

info Info

Diese Aktion Cache löschen bezieht sich nur auf das ZAMS und ist nicht ident mit der Funktion Cacheaktualisierung im Report Launcher.


Auswahl Ordner im Netzwerk

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Auswahl Ordner im Netzwerk

Der Dialog zur Auswahl einer Netzwerkfreigabe wird angezeigt, wenn aus ZAMS ein Ordner im Netzwerk als Speicherort für Dateien ausgewählt wird. Die Anzeige des Dialogs und seine Inhalte werden vom Betriebssystem gesteuert.

Option | Beschreibung
Anzeige Netzwerk | Zeigt Netzwerk an. Klick auf Ordner startet Suche nach Rechnern im Netzwerk und zeigt diese an. Da es etwas dauert, alle verfügbaren Rechner im Windows Netzwerk aufzulisten, kann der Knoten Netzwerk erst nach einigen Sekunden aufgeklappt werden.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Option | Beschreibung
Anzeige Netzwerk | Zeigt im Netzwerk vorhandene Rechner an. Klick auf Rechner zeigt freigegebene Ordner an. Klick auf Ordner markiert diesen zur Übernahme als Speicherort.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Sprachtabelle

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle

Die Sprachtabelle stellt auf Basis von Schlüsselwörtern Texte für Reports in verschiedenen Sprachen zur Verfügung. Damit können Systemtexte in mehrere Sprachen übersetzt und eigene Schlüsselwörter hinzugefügt und übersetzt werden. Die Texte aus der Sprachtabelle werden beim Bereitstellen eines Reports in das RDL eingefügt.

Benutzer können über die Sprachtabelle:

  • Systemtexte ändern
    (ausgenommen Namen und Beschreibungen von Themen und Vorlagen)
  • eigene Sprachen hinzufügen und löschen
  • Sprachen ausblenden
  • eigene Schlüsselwörter hinzufügen und löschen
  • die Sprachtabelle auf den Standard der Systemtexte zurücksetzen
  • alle oder geänderte Einträge in eine XML-Datei exportieren und aus dieser importieren
  • Einträge sortieren und filtern

Die Sprachtabelle starten Sie über:

  • den Eintrag Sprachtabelle im Ribbon Optionen
    oder
  • das entsprechende Symbol im Dialog Sprachtabelle-Schlüsselwort auswählen für die Auswahl von Texten oder Schlüsselwörter der Eigenschaften

Sprachen

Die Sprachtabelle stellt Systemtexte in acht Sprachen zur Verfügung:

  • Chinesisch
  • Deutsch
  • Englisch
  • Französisch
  • Italienisch
  • Russisch
  • Spanisch
  • Tschechisch
  • Weitere Sprachen können benutzerdefiniert hinzugefügt werden.

Dialog Sprachtabelle

Option

Beschreibung

Symbolleiste

Enthält:

  • Dropdownliste zur Vorfilterung, welche Schlüsselwörter angezeigt werden.
  • Symbole für das Hinzufügen,Löschen, Bearbeiten, Exportieren und Importieren von Sprachen und Einträgen

Einträge in Dropdownliste:

  • Geänderte:
    Zeigt nur die vom Benutzer geänderten Systemtexte an.
  • Benutzerdefinierte:
    Zeigt nur vom Benutzer angelegte Schlüsselwörter an.
  • Benutzerdefinierte und geänderte:
    Zeigt nur vom Benutzer angelegte Schlüsselwörter und/oder geänderte Systemtexte an.
  • Alle:
    Zeigt alle Schlüsselwörter an.

Tabelle

Anzeige der Schlüsselwörter und der entsprechenden Texte in den Systemsprachen und benutzerdefinierten Sprachen:

  • Für jedes Schlüsselwort existiert eine Zeile.
  • Für jede Sprache existiert je eine Spalte.
  • Sprachen, die für die Bereitstellung ausgewählt sind, werden farblich hervorgehoben. Diese können nicht gelöscht oder ausgeblendet werden.
  • Die erste Spalte beinhaltet das Schlüsselwort.
    Schlüsselwörter für Systemtexte sind nicht änderbar. Spracheinträge sind änderbar.
  • Die Spalten der Sprachtabelle können sortiert und gefiltert werden.

Das Symbol in der ersten Spalte zeigt die Art des Eintrags ein:

  • Zahnrad: Systemtext
  • Bleistift: individueller Text

Zeilen werden zum Bearbeiten automatisch ausgewählt, wenn:

  • ein neues Schlüsselwort erstellt wurde
  • ein Schlüsselwort geändert wurde
  • eine leere Zeile entdeckt wird

OK

Validiert die Eingabe, übernimmt alle gültigen Änderungen und schließt den Dialog.

Werden bei der Validierung Fehler entdeckt, wird ein Hinweis angezeigt und der Dialog bleibt geöffnet.

Damit ein Eintrag gültig ist:

  • müssen alle Zellen einer Zeile Einträge enthalten
  • darf jedes Schlüsselwort nur einmal verwendet werden

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

In der Sprachtabelle navigieren

Um in der Sprachtabelle zu navigieren, haben Sie mehrere Möglichkeiten:

  • Tabulator-Taste: Springt um eine Zelle nach rechts weiter. Beim Erreichen des Zeilenendes wird in die erste Zelle der nächsten Zeile gewechselt.
    Mit Festell-Taste +Tabulator erfolgt der Wechsel nach links und nach oben. Das funktioniert im Ansichtsmodus und im Editiermodus.
  • Eingabe-Taste: Springt um eine Zelle nach unten. Funktioniert nur im Editiermodus.
  • Pfeil-Tasten: Mit den Pfeil-Tasten navigieren Sie durch die Tabelle, wen Sie sich im Ansichtsmodus befinden. Die Richtung der Pfeil-Taste gibt die Richtung der Navigation vor. Jeder Tastendruck springt um eine Zelle in die gewählte Richtung.
    Weitere Tastenkombinationen im Ansichtsmodus:
    • Pos1: Springt in erste Zelle der Zeile.
    • Steuerung-Taste+Ende: Springt in letzte Zelle der Zeile.
    • Steuerung-Taste+Pos1: Springt in erste Zelle der Tabelle.
    • Steuerung-Taste+Ende: Springt in letzte Zelle der Tabelle.
    • Bild auf: Springt um eine Bildschirmseite nach oben.
    • Bild ab: Springt um eine Bildschirmseite nach untern.

Noch in diesem Kapitel

Symbolleiste

Filtern und sortieren

Sprachen hinzufügen und entfernen

Schlüsselwörter und Einträge bearbeiten

Einträge übernehmen

XML-Export und XML-Import

Auswahl Schlüsselwort aus Sprachtabelle


Symbolleiste

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle > Symbolleiste

Symbol

Beschreibung

Systemtext zurücksetzen

Setzt den Text für dieses Schlüsselwort für die ausgewählte Sprache ohne Sicherheitsabfrage auf den Standardtext zurück.

Nur verfügbar, wenn eine Zelle mit einer Sprache für einen Systemtext ausgewählt wurde.

Alle Systemtexte für diese Zeile zurücksetzen

Setzt den Text für dieses Schlüsselwort für alle Sprachen nach einer Sicherheitsabfrage auf den Standardtext zurück.

Nur verfügbar, wenn eine Zelle in einer Zeile mit einem System-Schlüsselwort ausgewählt wurde.

Alle Systemtexte für diese Sprache zurücksetzen

Setzt den Text für alle Schlüsselwörter für die ausgewählte Sprache nach einer Sicherheitsabfrage auf den Standardtext zurück.

Nur verfügbar, wenn eine Zelle mit einer Sprache für einen Systemtext ausgewählt wurde.

Zeile löschen

Löscht die ausgewählte Zeile nach einer Sicherheitsabfrage.

Nur verfügbar, wenn eine Zelle mit einem eigenen Eintrag ausgewählt wurde.

Neue Zeile

Öffnet den Dialog zum Definieren eines Schlüsselworts. Wird dieser mit OK beendet, wird eine neue Zeile mit dem definierten Schlüsselwort in die Tabelle eingefügt und der Fokus auf diesen Eintrag gesetzt.

Schlüsselwort ändern

Öffnet den Dialog zum Definieren eines Schlüsselworts. Wird dieser mit OK beendet, dann wird der Fokus auf diesen Eintrag gesetzt.

Nur verfügbar, wenn eine Zelle mit einem eigenen Eintrag ausgewählt wurde.

Neue Sprache hinzufügen

Klick auf Pfeil öffnet Menü zum:

  • Einblenden einer ausgeblendeten Sprache
  • Hinzufügen einer neuen Sprache

Sprache löschen

Klick auf Pfeil öffnet Menü zum:

  • Ausblenden der ausgewählten Sprache
  • Löschen der ausgewählten Sprache

Einzelnen Text von anderer Sprache übernehmen

Übernimmt für die ausgewählte Zelle einen Text von einer anderen Sprache. Klick auf Pfeiltaste öffnet Liste mit verfügbaren Sprachen.

Alle leeren Texte mit anderer Sprache auffüllen

Füllt alle leeren Zellen der ausgewählten Sprache mit Text einer anderen Sprache auf. Klick auf Pfeiltaste öffnet Liste mit verfügbaren Sprachen.

Alle Texte von anderer Sprache übernehmen

Füllt alle Zellen der ausgewählten Sprache mit Text einer anderen Sprache auf. Klick auf Pfeiltaste öffnet Liste mit verfügbaren Sprachen.

XML-Export

Öffnet den Dialog zum Exportieren von Einträgen in eine XML-Datei.

XML-Import

Öffnet den Dialog zum Importieren von Einträgen aus einer XML-Datei.


Filtern und sortieren

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle > Filtern und sortieren

Die Einträge könne sortiert und gefiltert angezeigt werden.

Sortieren

Um die Tabelle zu sortieren:

  1. Klicken Sie in den Kopf der Spalte, nach der die Liste sortiert werden soll.
  2. Klicken Sie erneut, um die Sortierung zu ändern.

    Es werden drei Sortierungen der Reihe nach durchlaufen:

    • Aufsteigend: Die Liste wird von 0 - 9 und von a - z sortiert.
      Anzeige durch Pfeil nach oben.
    • Absteigend: Die Liste wird von 9 - 0 und von z - a sortiert
      Anzeige durch Pfeil nach unten.
    • Unsortiert: Die Liste wird im ursprünglichen Zustand angezeigt, also so, wie sie angelegt wurde.

Filtern

Die anzuzeigenden Einträge können gefiltert werden über:

  • Dropdownliste Auswahl Schlüsselwörter
  • Filter in der Tabelle

Vorfilterung über Dropdownliste

Um die anzuzeigenden Einträge vorzufiltern, wählen Sie die gewünschte Ansicht über die Dropdownliste Auswahl Schlüsselwörter:

  • Geänderte:
    Zeigt nur die vom Benutzer geänderten Systemtexte an.
  • Benutzerdefinierte:
    Zeigt nur vom Benutzer angelegte Schlüsselwörter an.
  • Benutzerdefinierte und geänderte:
    Zeigt nur vom Benutzer angelegte Schlüsselwörter und/oder geänderte Systemtexte an.
  • Alle:
    Zeigt alle Schlüsselwörter an.

HInweis: Ist Geänderte ausgewählt und wird ein neues benutzerdefiniertes Schlüsselwort hinzugefügt, dann wird er Filter automatisch auf Benutzerdefinierte und geänderte eingestellt.

Filterung in der Tabelle

Über den Filter in der Tabelle können Sie Einträge gezielt suchen oder ausschließen.
Die Filter der einzelnen Spalten können miteinander kombiniert werden.

Um zu filtern:

  1. Klicken Sie in der Kopfzeile in das Filterfeld der gewünschten Spalte.
  2. Tragen Sie den Filterbegriff ein.
    Per Default wird mit dem Filterkriterium Enthält gefiltert.
  3. Um das Filterkriterium zu ändern, klicken Sie auf das Filtersymbol neben dem Filterfeld.
    Die Liste der Filterkriterien wird geöffnet.
  4. Wählen Sie das gewünschte Filterkriterium.

    Sobald Sie das Filterfeld verlassen oder die Eingabe-Taste drücken, wird der Filter angewandt.

Um einen Filter aufzuheben:

  1. Klicken Sie auf das Filtersymbol der gewünschten Spalte.
    Die Liste der Filterkriterien wird geöffnet.
  2. Klicken Sie auf die Schaltfläche Filter entfernen.
    Damit wird der Filter für diese Spalte entfernt. Filter in anderen Spalten werden weiter angewandt.

    Alternativ: Löschen Sie den Eintrag im Filterfeld und verlassen Sie das Eingabefeld oder drücken Sie die Eingabe-Taste.

Filterdialog

Option

Beschreibung

Eingabefeld

Eingabe der Zeichenfolge, nach der gefiltert werden soll.

aA

Schaltet um zwischen:

  • Groß-/Kleinschreibung wird nicht berücksichtigt
  • Groß-/Kleinschreibung wird berücksichtigt

Default: Groß-/Kleinschreibung wird nicht berücksichtigt

Symbol Filter

Klick auf Filtersymbol öffnet Liste zur Auswahl eines Filterkriteriums.

Default: Enthält

Filterkriterien

Als Kriterien für Filterausdrücke stehen zur Verfügung:

Kriterium | Beschreibung
Filter entfernen | Entfernt alle Filterkriterien. Es werden wieder alle Zeilen angezeigt.
Ist gleich | Es werden alle Einträge mit exakt der eingegebenen Zeichenfolge angezeigt.
Ist nicht gleich | Es werden alle Einträge angezeigt, die nicht exakt der eingegebenen Zeichenfolge entsprechen.
Beginnt mit | Es werden alle Einträge angezeigt, die mit der Zeichenfolge beginnen.
Endet mit | Es werden alle Einträge angezeigt, die mit der Zeichenfolge enden.
Enthält | Es werden alle Einträge angezeigt, die diese Zeichenfolge enthalten. (Default-Einstellung.)
Enthält nicht | Es werden alle Einträge angezeigt, die diese Zeichenfolge nicht enthalten.
Ist leer | Es werden alle leeren Zellen angezeigt. Hinweis: Sprachtabellen dürfen für existierende Schlüsselwörter keine leeren Zellen enthalten.
Ist nicht leer | Es werden alle Zellen angezeigt, die mindestens ein Zeichen enthalten. Auch Leerzeichen werden als Zeichen gewertet.


Sprachen hinzufügen und entfernen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle > Sprachen hinzufügen und entfernen

Zu den vorhandenen Systemsprachen können weitere Sprachen hinzugefügt und wieder gelöscht, sowie Sprachen aus- und eingeblendet werden. Systemsprachen können ausgeblendet, aber nicht gelöscht werden.

Sprache hinzufügen

Um eine benutzerdefinierte Sprache hinzuzufügen:

  1. Klicken Sie auf den Pfeil neben dem Symbol für Neue Sprache hinzufügen.

    Die Dropdownliste wird geöffnet.

  2. Klicken Sie auf das Symbol für Neue Sprache hinzufügen.

    Der Dialog zur Auswahl einer neuen Sprache wird geöffnet.

  3. Wählen Sie die gewünschte Sprache aus.
  4. Wählen Sie bei bedarf die Sprache, von der die Texte übernommen werden sollen.
  5. Klicken Sie auf OK.

    Die Sprache wird in der Spalte rechts der Schlüsselwörter eingefügt.

Sprache löschen

Um eine benutzerdefinierte Sprache zu löschen:

  1. Wählen Sie die Spalte mit der zu löschenden Sprache aus.
  2. Klicken Sie auf den Pfeil neben dem Symbol für Sprache löschen.

    Die Dropdownliste wird geöffnet.

  3. Klicken Sie auf das Symbol für Sprache löschen.

    Die Sprache wird nach einer Sicherheitsabfrage gelöscht.

Hinweis: Nicht gelöscht werden, können:

  • Systemsprachen
  • Sprachen, die für die Bereitstellung ausgewählt wurden

Sprache ausblenden

Um eine Sprache auszublenden:

  1. Klicken Sie in die Spalte mit der Sprache, die ausgeblendet werden soll.
  2. Klicken Sie auf den Pfeil neben dem Symbol für Sprache löschen.

    Die Dropdownliste wird geöffnet.

  3. Klicken Sie auf das Symbol für Sprache ausblenden.

    Die Sprache wird ausgeblendet.

Hinweis: Ausgeblendete Sprachen stehen für die Bereitstellung nicht zur Verfügung. Eine Sprache, die für die Bereitstellung ausgewählt wurde, kann nicht ausgeblendet werden.

Sprache einblenden

Um eine ausgeblendete Sprache wieder einzublenden:

  1. Klicken Sie auf den Pfeil neben dem Symbol für Neue Sprache hinzufügen.

    Die Dropdownliste wird geöffnet. Alle ausgeblendeten Sprachen werden angezeigt.

  2. Klicken Sie auf die gewünschte Sprache.

    Die Sprache wird rechts neben der Spalte Schlüsselwörter angezeigt.

Noch in diesem Kapitel

Dialog Neue Sprache hinzufügen


Dialog Neue Sprache hinzufügen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle > Sprachen hinzufügen und entfernen > Dialog Neue Sprache hinzufügen

Neue Sprachen werden über einen Dialog hinzugefügt.

Dialog

Option | Beschreibung
Sprache | Auswahl der gewünschten Sprache aus Dropdownliste.
Von Sprache kopieren | Auswahl einer existierenden Sprache aus Dropdownliste. Übernimmt alle Einträge von der ausgewählten Sprache in die neu angelegte Sprache.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Schlüsselwörter und Einträge bearbeiten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle > Schlüsselwörter und Einträge bearbeiten

Einträge in der Sprachtabelle können bearbeitet, neu erstellt und gelöscht werden.

Schlüsselwort neu

Es können neue individuelle Schlüsselwörter erstellt werden.
Um ein neues Schlüsselwort zu erstellen:

  1. Klicken Sie in der Symbolleiste auf das Symbol für neuen Eintrag (Stern).

    Der Dialog zum Definieren eines Schlüsselworts wird geöffnet.

  2. Tragen Sie das gewünschte Schlüsselwort ein.

    Hinweis: Das Schlüsselwort darf in der Sprachtabelle nur einmal vorkommen und nur gültige Zeichen enthalten.
    Gültig sind alle alphanumerischen Zeichen.

  3. Bestätigen Sie den Eintrag mit Klick auf OK.
    • Das Schlüsselwort wird in eine neue, leere Zeile eingetragen.
    • Alle vorhandenen Spalten werden mit dem Schlüsselwort befüllt.
    • Der Fokus wird auf diese Zeile gesetzt.
  4. Ersetzen Sie das Schlüsselwort in den betreffenden Sprachen durch die jeweilige Übersetzung.

    Hinweis: Die Sprachtabelle kann nur mit OK beendet werden, wenn alle Zellen einen Eintrag enthalten. Das gilt auch für den XML-Export und XML-Import.

Einträge bearbeiten

Es können alle Spracheinträge und alle individuellen Schlüsselwörter bearbeitet werden.

Spracheintrag ändern

Um einen Spracheintrag zu ändern:

  1. Klicken Sie in den gewünschten Eintrag.

    Die Zelle wird zum Bearbeiten geöffnet

  2. Ändern Sie den Eintrag.
  3. Um die Änderung zu übernehmen:
    Drücken Sie Tabulator-Taste, drücken Sie die Eingabe-Taste, der klicken Sie in eine andere Zelle.

    Die Änderung wird übernommen

Schlüsselwort ändern

Individuelle Schlüsselwörter können geändert werden. Schlüsselwörter für Systemtetxte können nicht verändert werden.
Um ein individuelles Schlüsselwort zu bearbeiten:

  1. Wählen Sie die Zeile mit dem gewünschten Schlüsselwort aus.
  2. Klicken Sie in der Symbolleiste auf das Symbol für Schlüsselwort ändern (Etikett).

    Der Dialog zum Definieren eines Schlüsselworts wird geöffnet. Das aktuelle Schlüsselwort ist im Eingabefeld eingetragen.

  3. Tragen Sie das neue Schlüsselwort ein.

    Hinweis: Das Schlüsselwort darf in der Sprachtabelle nur einmal vorkommen und nur gültige Zeichen enthalten.
    Gültig sind alle alphanumerischen Zeichen.

  4. Bestätigen Sie den Eintrag mit Klick auf OK.

    Das Schlüsselwort wird geändert und der Fokus auf diese Zeile gesetzt.

Eintrag löschen

Individuelle Einträge können gelöscht werden.
Um einen Spracheintrag zu löschen:

  1. Markieren Sie die gewünschte Zeile.
  2. Klicken Sie auf das Symbol zum Löschen (X).
  3. Bestätigen Sie die Sicherheitsabfrage.

    Das Schlüsselwort wird mit allen dazugehörenden Spracheinträgen gelöscht.

Auf Systemtexte zurücksetzen

Geänderte Spracheinträge können auf die Standard-Systemtexte zurückgesetzt werden. Das Zurücksetzen kann erfolgen für:

  • ein Schlüsselwort einer Sprache (eine Zelle)
  • ein Schlüsselwort (eine Zeile)
  • eine Sprache (eine Spalte)

Um einen Spracheintrag für ein Schlüsselwort zurückzusetzen:

  1. Markieren Sie die gewünschte Zelle durch Klick.
  2. Klicken Sie auf das Symbol für Systemtext zurücksetzen (1. Symbol von links).

    Der Eintrag wird ohne Sicherheitsabfrage zurückgesetzt.

Um alle Spracheinträge für ein Schlüsselwort zurückzusetzen:

  1. Markieren Sie die gewünschte Zeile durch Klick in eine Zelle dieses Schlüsselworts.
  2. Klicken Sie auf das Symbol für Alle Systemtexte für diese Zeile zurücksetzen (2. Symbol von links).
  3. Bestätigen Sie die Sicherheitsabfrage.

    Alle Spracheinträge für das Schlüsselwort werden auf Default zurückgesetzt.

Um alle Schlüsselwörter für eine Sprache zurückzusetzen:

  1. Markieren Sie die gewünschte Sprache durch Klick in eine Zelle dieser Sprache.
  2. Klicken Sie auf das Symbol für Alle Systemtexte für diese Sprache zurücksetzen (3. Symbol von links).
  3. Bestätigen Sie die Sicherheitsabfrage.

    Alle Einträge dieser Sprache werden auf auf den Default zurückgesetzt.

Noch in diesem Kapitel

Eingabedialog für ein Schlüsselwort


Eingabedialog für ein Schlüsselwort

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle > Schlüsselwörter und Einträge bearbeiten > Eingabedialog für ein Schlüsselwort

Dieser Dialog wird geöffnet, um neue Schlüsselwörter zu erstellen oder bestehende Schlüsselwörter zu ändern.
Hinweis: Schlüsselwörter für Systemtexte können nicht geändert werden.

Option

Beschreibung

Eingabefeld

Eingabe des Schlüsselworts.

Defaultwert hängt ab vom Kontext:

  • Erstellen eines neuen Schlüsselworts: leer
  • Ändern eines bestehenden Schlüsselworts: aktuelles Schlüsselwort

Das Eingabefeld wird bei jeder Änderung validiert. Jeder Validierungsfehler führt zum Deaktivieren der Schaltfläche OK. Validierungskriterien:

  • Das Eingabefeld darf nicht leer sein.
  • Es dürfen nur alphanumerische Zeichen verwendet werden.
  • Der Text wird von keinem anderen Sprachtabelleneintrag als Schlüsselwort verwendet

Validierungsfehler werden als Tooltip für das Eingabefeld angezeigt.

OK

Übernimmt Einstellungen und schließt den Dialog.
Nur verfügbar, wenn der Eintrag positiv validiert wurde.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Einträge übernehmen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle > Einträge übernehmen

Einträge für Sprachen können von anderen Sprachen übernommen werden.
Möglichkeiten der Textübernahme:

  • Einzelnen Text von anderer Sprache übernehmen
  • Alle leeren Texte mit anderer Sprache auffüllen
  • Alle Texte von anderer Sprache übernehmen

Einzelnen Text von anderer Sprache übernehmen

Um einen einzelnen Text von einer anderen Sprache zu übernehmen:

  1. Wählen Sie das Feld in der Zielsprache aus.
  2. Klicken Sie auf den Pfeil neben das Symbol für Einzelnen Text von anderer Sprache übernehmen.

    Die Liste der verfügbaren Sprachen wird angezeigt.

  3. Wählen Sie die gewünschte Sprache.

    Der Eintrag in der Zielsprache wird durch den Eintrag der gewählten Sprache ersetzt.

Alle leeren Texte mit anderer Sprache auffüllen

Um alle leren Felder mit Texten einer anderen Sprache aufzufüllen:

  1. Wählen Sie die Zielsprache aus.
  2. Klicken Sie auf den Pfeil neben das Symbol für Alle leeren Texte mit anderer Sprache auffüllen.

    Die Liste der verfügbaren Sprachen wird angezeigt.

  3. Wählen Sie die gewünschte Sprache.

    Alle leeren Felder in der Zielsprache werden nach einer Sicherheitsabfrage durch die Einträge der gewählten Sprache ersetzt.

Alle Texte von anderer Sprache übernehmen

Um alle Felder mit Texten einer anderen Sprache zu befüllen:

  1. Wählen Sie die Zielsprache aus.
  2. Klicken Sie auf den Pfeil neben das Symbol für Alle Texte von anderer Sprache übernehmen.

    Die Liste der verfügbaren Sprachen wird angezeigt.

  3. Wählen Sie die gewünschte Sprache.

    Alle Felder in der Zielsprache werden nach einer Sicherheitsabfrage durch die Einträge der gewählten Sprache ersetzt.


XML-Export und XML-Import

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle > XML-Export und XML-Import

Einträge der Sprachtabelle können in eine XML-Datei exportiert und aus einer XML-Datei importiert werden.

Sprachtabellen exportieren

Die Sprachtabelle kann in eine XML-Datei exportiert werden.
Beim Export kann unterschieden werden zwischen:

  • alle Einträge
  • nur geänderte Einträge
    Änderungen werden immer als Unterschied zu den fest definierten Systemtexten verstanden. Sie beziehen sich also nicht auf bereits exportierte Einträge.

Um Einträge zu exportieren:

  1. Klicken Sie in der Symbolleiste auf den Pfeil neben dem Symbol XML-Export.

    Die Dropdownliste wird geöffnet.

  2. Wählen Sie die Art des Exports:
    • Nur geänderte als XML exportieren
    • Alle als XML exportieren

    Der Dialog zur Konfiguration des Exports wird geöffnet.
    Sind keine Texte für einen Export vorhanden, wird eine Fehlermeldung angezeigt.

  3. Wählen Sie die gewünschten Einträge für den Export aus.
    Die Auswahl erfolgt über die Aktivierung/Deaktivierung der Checkbox vor dem Eintrag. Standardmäßig sind alle Einträge vorausgewählt.
    Sie können alle Checkboxen einer Zeile oder Spalte oder der gesamten Tabelle über die Symbolleiste aktivieren oder deaktivieren.
  4. Klicken Sie auf OK.
    Der Dialog zur Vergabe eines Dateinamens wird geöffnet.
  5. Wählen Sie einen Speicherort und einen Dateinamen.
  6. Klicken Sie auf OK.
    Die Einträge werden nach erfolgreicher Validierung exportiert.
    Hinweis: Für die erfolgreiche Validierung muss jede Zelle einen Inhalt haben und jedes Schlüsselwort eindeutig sein.

Dialog XML-Export

Option

Beschreibung

Symbolleiste

Symbole zur Konfiguration der Elementauswahl.

Von links nach rechts:

  • Alle Texte auswählen
  • Auswahl für alle Texte aufheben
  • Alle Texte für diese Zeile auswählen
  • Auswahl der Texte für dieser Zeile aufheben
  • Alle Texte für die markierte Sprache auswählen
  • Auswahl der Texte für die ausgewählte Sprache aufheben

Liste der Einträge

Zeigt Liste der Einträge, die exportiert werden können, an. Die Auswahl der tatsächlich zu exportierenden Einträge erfolgt über die Checkboxen vor den Einträgen.

  • Zeile 1: Sprachdefinition. Kann nicht bearbeitet werden. Alle weiteren Zeilen zeigen Schlüsselwörter und Spracheinträge.
    Je geändertem Eintrag in der Sprachtabelle gibt es eine Zeile. Wurde der dem Schlüsselwort zugeordnete Text nicht geändert, bleibt die jeweilige Zelle leer.
  • Spalte 1: Schlüsselwort und Symbol für Systemeinträge (Zahnrad) und individuelle Einträge (Stift).
    Für jede Sprache, für die Änderungen existieren, wird eine eigene Spalte angezeigt.

Checkbox:

  • angehakt: wird exportiert
  • leer: wird nicht exportiert

Die Auswahl kann auch über die Symbole der Symbolleiste erfolgen.

Diese Tabelle kann nicht sortiert und nicht gefiltert werden.

OK

Übernimmt Konfiguration, schließt den Konfigurationsdialog, öffnet den Dialog zur Auswahl eines Dateinamens und exportiert die Einträge.

Nur verfügbar, wenn mindestens eine Checkbox aktiviert wurde.

Abbrechen

Verwirft alle Konfigurationen und schließt den Dialog.

Sprachtabelle importieren

Individuelle Schlüsselwörter und Einträge für Sprachtabellen können aus einer XML-Datei importiert werden.

Um Einträge zu importieren:

  1. Klicken Sie in der Symbolleiste auf das Symbol XML-Import.

    Der Dialog zur Auswahl einer XML-Datei wird geöffnet.

  2. Wählen Sie die gewünschte Datei aus.
    Der Dialog zur Konfiguration des Imports wird geöffnet.
  3. Wählen Sie die Einträge für den Import aus.
    Die Auswahl erfolgt über die Aktivierung/Deaktivierung der Checkbox vor dem Eintrag. Standardmäßig sind alle Einträge vorausgewählt.
    Sie können alle Checkboxen einer Zeile oder Spalte oder der gesamten Tabelle über die Symbolleiste aktivieren oder deaktivieren.
    Bestehen Konflikte für bereits vorhandene Einträge werden diese über ein Warnsymbol angezeigt. Importierte Einträge überschreiben bei Konflikten bereits bestehende Einträge.
  4. Klicken Sie auf OK.
    Die Einträge werden nach erfolgreicher Validierung der Datei importiert.
    Hinweis: Für die erfolgreiche Validierung muss jede Zelle einen Inhalt haben und jedes Schlüsselwort eindeutig sein. Vor dem Import ausgeblendete Sprachen bleiben ausgeblendet. Zusätzlich hinzugefügt wird nur die neu importierte Sprache.

Dialog XML-Import

Option

Beschreibung

Symbolleiste

Symbole zur Konfiguration der Elementauswahl.

Von links nach rechts:

  • Alle Texte auswählen
  • Auswahl für alle Texte aufheben
  • Alle Texte für diese Zeile auswählen
  • Auswahl der Texte für dieser Zeile aufheben
  • Alle Texte für die markierte Sprache auswählen
  • Auswahl der Texte für die ausgewählte Sprache aufheben

Liste der Einträge

Zeigt Liste der Einträge, die importiert werden können, an. Die Auswahl der tatsächlich zu importierenden Einträge erfolgt über die Checkboxen vor den Einträgen.

  • Zeile 1: Sprachdefinition. Kann nicht bearbeitet werden. Alle weiteren Zeilen zeigen Schlüsselwörter und Spracheinträge.
    Je importierbaren Eintrag in der Sprachtabelle gibt es eine Zeile.
  • Spalte 1: Schlüsselwort und Symbol für Systemeinträge (Zahnrad) und individuelle Einträge (Stift).
    Für jede Sprache, für die ein importierbarer Eintrag existiert, wird eine eigene Spalte angezeigt.
  • Existiert bereits ein Eintrag in der Tabelle, wird das durch ein Warnsymbol (gelbes Dreieck mit Ausrufezeichen) angezeigt. Importierte Einträge überschreiben bereits vorhandene Einträge.

Checkbox:

  • aktiv: wird exportiert
  • inaktiv: wird nicht exportiert

Die Auswahl kann auch über die Symbole der Symbolleiste erfolgen.

Diese Tabelle kann nicht sortiert und nicht gefiltert werden.

OK

Übernimmt Konfiguration, schließt den Konfigurationsdialog und importiert die Einträge.

Nur verfügbar, wenn mindestens eine Checkbox aktiviert wurde.

Abbrechen

Verwirft alle Konfigurationen und schließt den Dialog.


Auswahl Schlüsselwort aus Sprachtabelle

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Sprachtabelle > Auswahl Schlüsselwort aus Sprachtabelle

Bei den Eigenschaften der Reportelemente können für verschiedene Eigenschaften Schlüsselwörter festgelegt werden. Die Auswahl erfolgt über den Dialog Sprachtabelle-Schlüsselwort auswählen.
Die anzuzeigenden Einträge können gefiltert werden über:

  • Dropdownliste Auswahl Schlüsselwörter
  • Filter in der Tabelle

Schlüsselwort auswählen

Um ein Schlüsselwort auszuwählen:

  1. Öffnen Sie den Dialog über die entsprechende Schaltfläche der Eigenschaft.
    Wählen Sie die gewünschte Ansicht über die Dropdownliste Auswahl Schlüsselwörter:
    • Empfohlene
    • Geänderte
    • Benutzerdefinierte
    • Benutzerdefinierte und geänderte
    • Alle

  2. Wählen Sie das gewünschte Schlüsselwort.
    Es kann nur ein Schlüsselwort ausgewählt werden.
  3. Wählen Sie ein Suffix, wenn benötigt. Damit können gleiche Schlüsselwörter in den Eigenschaften besser unterschieden werden.
    Das Suffix kann eine Zahl zwischen 1 und 10 sein und wird an das Schlüsselwort angehängt.
  4. Schließen Sie den Dialog mit Klick auf OK.

Dialog Sprachtabelle-Schlüsselwort auswählen

Option

Beschreibung

Auswahl Schlüsselwörter

Auswahl der anzuzeigenden Schlüsselwörter. Auswahl aus Dropdownliste:

  • Empfohlene:
    Vom System vorgeschlagene Schlüsselwörter.
  • Geänderte:
    Zeigt nur die vom Benutzer geänderten Systemtexte an.
  • Benutzerdefinierte:
    Zeigt nur vom Benutzer angelegte Schlüsselwörter an.
  • Benutzerdefinierte und geänderte:
    Zeigt nur vom Benutzer angelegte Schlüsselwörter und/oder geänderte Systemtexte an.
  • Alle:
    Zeigt alle Schlüsselwörter an.

Symbol Sprachtabelle bearbeiten

Klick auf das Symbol öffnet die Sprachtabelle zur Bearbeitung.

Tabelle der Schlüsselwörter

Bietet entsprechend der Konfiguration in der Eigenschaft Auswahl Schlüsselwörter passende Schlüsselwörter zur Auswahl an. Es werden die Schlüsselwörter und die Übersetzungen angezeigt.

Die Tabelle kann sortiert und gefiltert werden.

Suffix an Text anhängen

Ermöglicht die Eingabe eines Suffix um gleichlautende Texte in den Eigenschaften zu unterscheiden.

  • Aktiv: An den Text des Schlüsselworts wird ein Suffix angehängt.
    Eingabe direkt in Feld oder Auswahl über die Pfeiltasten.
    Mögliche Auswahl: Ziffern von 1 bis 10

Hinweis: Muss ein Schlüsselwort eindeutig sein und wurde kein Suffix gewählt, dann wird bei identen Schlüsselwörtern automatisch ein Suffix erstellt und angehängt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Archivemulation

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation

Im ZAMS können Sie Archive emulieren, die von Zählern aus Einträgen in AML, CEL und Archiven im zenon abgeleitet werden. Ein emuliertes Archiv besteht aus Metadaten für Archive und Variablen. Diese werden entsprechend der Konfiguration periodisch berechnet.

Quellen für Basisarchive und für Zurücksetzereignisse:

  • emulierte zenon Archive
  • andere emulierte Archive
  • emulierte Archive vom Connector für Fremddatenbanken

Für emulierte Archive, die nicht aus zenon kommen, muss die Datenquelle Archiv lauten. Variablen aus diesen Archiven stehen nicht für die Datenquellen AML oder CEL zur Verfügung.

Daten der emulierten Archive können unabhängig vom gewählten Connector direkt aus der Analyzer Datenbank gelesen werden. Für Reports ist die Datenherkunft - zenon Archiv oder emuliertes Archiv - transparent. Emulierte Archive werden im ZAMS konfiguriert.

info Info

Bei der Konfiguration werden Eingaben in Textfelder evaluiert. Dialoge können nur mit OK bestätigt werden, wenn keine Validierungsfehler vorhanden sind.

Generell gilt:

  • Für Anzeigename, Namen, Referenzen, Identifikationen und Bedeutungen sind verboten: Komma (,) und einfaches Hochkomma (').
  • Für Beschreibungen, Einheiten und Statustext ist verboten: Komma (,).

Fehler werden in Popup-Meldungen erklärt.

Archivemulation konfigurieren

Um die Archivemulation zu konfigurieren:

  1. Wählen Sie im Ribbon SQL-Server den Eintrag Emulierte Archive.

    Die aktuelle Konfiguration der emulierten Archive wird geladen.

    Der Dialog zur Verwaltung der emulierten Archive wird angezeigt.

  2. Klick auf die Schaltfläche OK übernimmt alle durchgeführten Änderungen.

info Info

Für die Konfiguration eines emulierten Archivs müssen die Metadaten mindestens enthalten:

  • ein Projekt
  • eine Variable

Für die Konfiguration einer emulierten Archivvariablen steht die Datenquelle Archiv nur dann zur Verfügung, wenn mindestens ein Archiv in den Metadaten vorhanden ist.

Konfigurationsdialog

Der Dialog zur Konfiguration zeigt beim Start alle vorhandenen emulierten Archive an.

Option

Beschreibung

Liste Archive

Zeigt alle konfigurierten Archive an. Die Liste enthält:

  • Archivname: Name des Archivs
  • Projektname: Name des Projekts, dem das Archiv zugeordnet ist
  • Zykluszeit: konfigurierte Zykluszeit des Archive
  • Anzahl der Variablen: Zahl der Variablen im Archiv
  • Emulationsaufgabenausführung: Informationen über die letzte Ausführung des SQL Server Agent Jobs, der dem Archiv zugeordnet ist
  • Schaltflächen zum Erstellen, Bearbeiten und Löschen von emulierten Archiven

Neu

Öffnet den Dialog zur Erstellung eines neues Archivs.

Bearbeiten

Öffnet den Dialog zur Bearbeitung des ausgewählten Archivs.

X

Löscht das Archiv nach einer Sicherheitsabfrage.

Achtung: Mit der Archivkonfiguration werden auch alle Daten des Archivs gelöscht.

Hinweis: Das Archiv kann nur gelöscht werden, wenn es von keinem anderen virtuellen Archiv (Berechnetes Archiv, Emuliertes Archiv, Archiv vom Connector für Fremddatenbanken) verwendet wird.

OK

Übernimmt Einstellungen und schließt den Dialog.

Damit schreibt das ZAMS die Änderungen in die Datenbank und zum SQL Server Agent. Treten Beim Schreiben der Konfiguration Fehler auf, werden diese im Ausgabefenster des ZAMS angezeigt.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Verwendung von Zeitstempel

Die Archivemulation verwendet Zeitstempel nur dann, wenn eine Variable einen Wert gewechselt hat. Es muss sichergestellt sein, dass alle Wertänderungen zur Verfügung stehen.

Für die AML gilt: Hier steht auch ein Zeitstempel für Alarm geht zur Verfügung. Dieser wird nicht verwendet, sondern durch den Zeitstempel für Alarm kommt des nächsten Alarms ersetzt.

Hintergrund: Für die Emulation wird ein konstanter Datenstrom der Basisvariablen benötigt. Es darf keinen Zeitpunkt geben, an dem die Variable keinen Wert hat. Bei Alarmen ist die Zeit für Alarm geht kleiner als die Zeit für Alarm kommt des nächsten Alarms. Fehlt ein Eintrag für eine Wertänderung der Basisvariablen, so ist für die Emulation immer noch der alte Wert gesetzt, da diese Wertänderung in den Basisdaten für die Emulation nicht auftaucht. Dadurch kann es zu einem Rechenfehler (Negativwerte) kommen.

Löschen von emulierten Archiven

Für das Löschen von emulierten Archiven gilt:

  • Emulierte Archive und Variablen in emulierten Archiven können nur gelöscht werden, wenn keine anderen emulierten Archive von ihnen abhängen. Bei dieser Prüfung werden alle Variablen im Archiv berücksichtigt - inklusive Basisvariablen für die Wertberechnung und das Zurücksetzen.
  • Wird eine bestehende (in der Datenbank liegende) emulierte Variable als Basisvariable oder Zurücksetzbasisvariable für eine neue emulierte Variable verwendet, kann sie nicht mehr gelöscht werden. Das gilt auch nach dem Löschen der neu emulierten Variable - wenn also keine Abhängigkeit mehr besteht - solange die Konfiguration der emulierten Archive nicht beendet wurde.
    Das gilt auch für das bestehende emulierte Archiv, aus dem die emulierte Variable entstammt.
  • Werden eine bestehende emulierte Variable oder ein bestehendes emuliertes Archiv gelöscht, so stehen diese Variable oder dieses Archiv bei der Auswahl der Datenquellenaus für neue emulierte Variablen nicht mehr zur Verfügung, auch wenn die Änderung noch nicht in die Datenbank geschrieben wurde.
  • Archive vom Connector für Fremddatenbanken und Variablen in diesen Archiven können nur dann gelöscht werden, wenn keine emulierten Archive von ihnen abhängen.

Noch in diesem Kapitel

Bearbeitungsmodi

Emuliertes Archiv erstellen

Emuliertes Archiv bearbeiten

Hinweise für Report-Entwickler


Bearbeitungsmodi

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Bearbeitungsmodi

Die Schaltflächen Neu und Bearbeiten öffnen den jeweiligen Konfigurationsdialog, abhängig vom Status des Archivs:

  • Neues Archiv erstellen: Ein komplett neues Archiv wird erstellt. Alle Einstellungen für Archiv-Variablen können modifiziert werden.
  • Neu erstelltes Archiv bearbeiten: Ein neu erstelltes Archiv, das noch nicht in die Datenbank geschrieben wurde, wird bearbeitet. Beziehungsweise ein Archiv, das bereits gespeichert und wieder bearbeitbar gemacht wurde.
    • Archiv: Alle Einstellungen können bearbeitet werden, ausgenommen zugeordnetes Projekt und Referenz.
    • Variablen: Alle Einstellungen können bearbeitet werden.
  • Bestehendes Archiv bearbeiten: Ein Archiv, das in einer vorangegangenen Konfiguration angelegt und gespeichert wurde, wird bearbeitet. Dieses wurde bereits in die Datenbank geschrieben und hat damit Einträge in den Metadatentabellen.
    • Standard:

      Archiv: Es kann ausschließlich die Datenberechnung geändert werden.

      Variablen: Werden nur lesend angezeigt.

    • Bearbeiten ermöglichen: Die Bearbeitung des Archivs kann ermöglicht werden, ausgenommen zugeordnetes Projekt und Referenz. Dabei werden vorhandene Daten gelöscht.


Emuliertes Archiv erstellen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen

Um ein neues emuliertes Archiv zu erstellen:

  1. Wählen Sie im Ribbon SQL-Server den Eintrag Emulierte Archive.

    Der Dialog zur Konfiguration emulierter Archive wird geöffnet:

  2. Klicken Sie auf das Symbol Neu, um ein neues Archiv zu erstellen.

    Der Dialog zur Konfiguration eines emulierten Archivs wird geöffnet.

Option | Beschreibung
Metadaten | Konfiguration der Metadaten.
Variablen | Konfiguration der Variablen.
Datenberechnung | Konfiguration der Datenberechnung.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Noch in diesem Kapitel

Metadaten

Variablen

Datenberechnung


Metadaten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen > Metadaten

In dieser Registerkarte werden die Metadaten konfiguriert.

Option

Beschreibung

Projektname

Auswahl aus der Dropdownliste mit allen vorhandenen Projektnamen.

Für neue Projekte wird standardmäßig das erste eingetragene Projekt gewählt.

Achtung: Wird diese Auswahl geändert und befinden sich bereits Variablen in der Variablenliste, so wird diese entleert!

Kennung

Eingabe der Kennung für das Archiv.

  • Maximale Länge: 128 Zeichen
  • Darf nicht leer sein.
  • Darf nicht von einem anderen Archiv, das demselben Projekt zugeordnet ist, verwendet werden. Groß-/Kleinschreibung wird nicht berücksichtigt.

Anzeigename

Eingabe des Anzeigenames des Archivs.

  • Maximale Länge: 128 Zeichen
  • Darf nicht leer sein.
  • Darf nicht von einem anderen Archiv, das demselben Projekt zugeordnet ist, verwendet werden. Groß-/Kleinschreibung wird nicht berücksichtigt.

Detailinfomation

Eingabe der Beschreibung des Archivs.

  • Maximale Länge: 256 Zeichen

Archiv beginnt am

Festlegung von Datum und Uhrzeit für den Archivstart.

  • Datum: Eingabe des Datums oder Auswahl aus Kalender.
  • Uhrzeit: Eingabe der Uhrzeit oder Einstellung mit Pfeiltasten.

Eingabe in UTC.

Frühester Zeitpunkt: 1.1.2013 00:00:00

Zykluszeit

Festlegung der Zykluszeit für das Archiv. Eingabe des Intervalls oder Einstellung mit Pfeiltasten.

Wert muss größer als 0 sein

Default: 1 Minute

Zugewiesene Anlagengruppen

Zuordnung von Anlagengruppen zum Archiv. Auswahl durch Aktivierung der Checkbox vor der gewünschten Anlagengruppe.

Klick auf das Zeichen + expandiert Gruppe.

Default: Keine Zuordnung.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Hinweis: Leere Pflichtfelder und Felder, deren Validierung negativ ist, werden rot hinterlegt angezeigt.

Unterschiede bei Bearbeitung neuer Archive

Werden bereits erstellte, aber noch nicht gespeicherte, Archive bearbeitet, weist der Dialog folgende Unterschiede auf:

  • Alle Felder: Die bereits gesetzten Werte werden statt der Vorgabewerte angezeigt.
  • Projektname: Die Dropdownliste zur Projektauswahl ist deaktiviert.
  • Kennung: Die Eingabe für die Referenz ist deaktiviert.
  • Zugewiesene Anlagengruppen: Verfügt das Anlagenmodell oder eines seiner Elemente über eine eine aktive Zuordnung, dann wird der komplette Zweig der Gruppe angezeigt.

Unterschiede bei Bearbeitung gespeicherter Archive

Werden bereits gespeicherte Archive bearbeitet, weist der Dialog standardmäßig folgende Unterschiede auf:

  • Alle Felder: Die bereits gesetzten Werte werden statt der Vorgabewerte angezeigt.
  • Alle Eingabemöglichkeiten sind deaktiviert.

Die Bearbeitung bereits gespeicherter Archive kann wieder aktiviert werden.


Variablen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen > Variablen

In dieser Registerkarte werden emulierte Variablen angelegt und bearbeitet.

Bei der Validierung des Dialogs zum Erstellen eines emulierten Archivs muss mindestens eine emulierte Variable vorhanden sein. Emulierte Variablen, welche die gleiche Basisvariable haben, müssen auch die gleiche Datenherkunft haben. Das schließt auch Variablen ein, die zusätzliche Zurücksetzereignisse für Absolutzähler liefern. Variablen könne auch dupliziert werden.

Option

Beschreibung

Variablenliste

Zeigt alle konfigurierten Variablen an. Die Liste enthält:

  • Anzeigename: Name, mit dem die Variable angzeigt wird
  • Anzeigename der Basisvariablen: Name der Variablen für die Werteberechnung
  • Typ der emulierten Variablen:
  • Datenquelle: Herkunft der Basisvariablen

Beim Erstellen eines neuen Archivs ist diese Liste standardmäßig leer.

Symbol: Neu

Öffnet den Dialog zum Anlegen neuer Variablen.

Symbol: Duplizieren

Erstellt auf Basis der ausgewählten Variablen eine neue Variable und öffnet den Dialog zur Konfiguration der Variablen. Dieser Dialog ist mit den Werten des Basisvariablen befüllt. Name und Anzeigename der Variablen müssen eindeutig sein. In der duplizierten Variablen werden diese mit Zahlen in Klammern eindeutig gemacht.

Symbol: Bearbeiten

Öffnet den Dialog zum Bearbeiten der ausgewählten Variablen.

Symbol: Löschen

Löscht die ausgewählte Variable.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Unterschiede bei Bearbeitung gespeicherter Archive

Werden bereits gespeicherte Archive bearbeitet, weist der Dialog folgende Unterschiede auf:

  • Es können keinen neuen Variablen angelegt werden.
  • Es können keine Variablen gelöscht werden.
  • Es können keine Variablen bearbeitet werden.
  • Das Symbol Anzeigen ermöglicht es, die Konfiguration der Variablen anzuzeigen.

Noch in diesem Kapitel

Emulationskonfiguration

Metadaten

Zugewiesene Anlagengruppen

Zugewiesene Bedeutungen

Basisvariablenregeln

Zusätzliche Zurücksetzereignisse


Emulationskonfiguration

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen > Variablen > Emulationskonfiguration

In dieser Registerkarte werden die emulierten Variablen angelegt.

Option

Beschreibung

Typ der emulierten Variablen

Auswahl des Typs der emulierten Variable aus Dropdownliste. Je nach gewähltem Typ werden alle oder nur ausgewählte Registerkarten angezeigt und Optionen eventuell deaktiviert.

Emulationstypen:

  • Absoluter Zeitzähler
    Alle Registerkarten werden angezeigt.
    Default bei Erstkonfiguration.
  • Relativer Zeitzähler
    Einstellungen aus Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Absoluter Ereigniszähler
    Alle Registerkarten werden angezeigt.
  • Relativer Ereigniszähler
    Einstellungen aus Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Summe
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Zeitkorrigierter Mittelwert
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Minimum
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Maximum
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
  • Differenzzähler
    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

Weitere Informationen zu den Emulationstypen siehe Abschnitt Details Emulationstypen.

Initialwert

Eingabe des Initialwerts der Variable zum Zeitpunkt des Archivstarts.

Nur verfügbar, wenn der Typ der emulierten Variablen ein Absolutzähler ist (Absoluter Zeitzähler, Absoluter Ereigniszähler).

  • Minimum: 0
  • Maximum: 1000000

Zeitzählerauflösung (Sekunden)

Auflösung des Zeitzählers in Sekunden.

Nur verfügbar, wenn der Typ der emulierten Variablen ein Zeitzähler ist (Absoluter Zeitzähler, Relativer Zeitzähler).

  • Minimum: 1
  • Maximum: 86400 (1 Tag)

Beispiele:

  • 60: Minutenzähler
  • 3600: Stundenzähler
  • 86400: Tageszähler

Datenquelle

Auswahl einer Datenquelle für die Basisvariable aus Dropdownliste:

  • Alarmmeldeliste
  • Chronologische Ereignisliste
  • Archiv

Quellarchiv

Auswahl eines Quellarchivs aus Dropdownliste. Die Liste enthält alle Archive des Projekts, das im Dialog Metadaten ausgewählt wurde. Das schließt auch emulierte Archive ein, die bereits in den Metadaten gespeichert wurden.

Nur verfügbar, wenn als Datenquelle Archiv gewählt wurde.

Basisvariable

Auswahl einer Basisvariablen aus Dropdownliste, deren Werte die Werte der emulierten Variablen abgeleitet werden.

Abhängig von der Datenquelle stehen zur Verfügung für:

  • Datenquelle Alarmmeldeliste oder Chronologische Ereignisliste: Alle verfügbaren Variablen des Projekts, das im Dialog Metadaten ausgewählt wurde. Das schließt auch emulierte Variablen ein, die bereits in den Metadaten gespeichert wurden.
  • Datenquelle Archiv: Alle Variablen, die in den Metadaten dem Archiv mit einer Verdichtung von Rohwert (0) zugeordnet sind. Das schließt auch emulierte Archive ein, die bereits in den Metadaten gespeichert wurden.

Initialwert der Basisvariablen

Eingabe des Initialwerts der Basisariablen zum Zeitpunkt des Archivstarts.

  • Minimum: 0
  • Maximum: 1000000

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Details Emulationstypen

In der Registerkarte Emulationskonfiguration stehen in der Dropdownliste Typ der emulierten Variablen 8 Emulationstypen zur Auswahl.

Für alle Emulationstypen gilt: Liegt am Beginn der Archivkapsel kein Wert vor (Wertänderung erfolgte exakt mit dem Startzeitpunkt der Archivkapsel), dann wird maximal bis zum Startzeitpunkt des emulierten Archivs versucht, einen gültigen Wert vor dem Start der Archivkapsel für die Basisvariable zu finden. Wird ein entsprechender Wert gefunden, so wird dieser zum Startzeitpunkt der Archivkapsel verwendet. Anderenfalls wird der konfigurierte Initialwert verwendet.

Mögliche Werte für Emulationstypen:

  • Absoluter Zeitzähler

    In jeder Archivkapsel des emulierten Archivs wird mit der eingestellten Zeitzählerauflösung gezählt, wie lange die Basisvariable in einem der durch die Basisvariablenregeln festgelegten Zustände war. Der Zähler kann durch die definierten Zurücksetzregeln (Registerkarten Basisvariablenregeln und Zusätzliche Zurücksetzereignisse) auf 0 gesetzt werden. Am Ende der Archivkapsel wird der Wert des Zählers in die emulierte Variable im emulierten Archiv geschrieben.

    Startwert der aktuellen Archivkapsel: Endwert der letzten Archivkapsel.

    Alle Registerkarten werden angezeigt.

  • Relativer Zeitzähler

    In jeder Archivkapsel des emulierten Archivs wird mit der eingestellten Zeitzählerauflösung gezählt, wie lange die Basisvariable in einem der durch die Basisvariablenregeln festgelegten Zustände war. Ein Relativzähler kann nicht auf 0 zurückgesetzt werden. Am Ende der Archivkapsel wird der Wert des Zählers in die emulierte Variable im emulierten Archiv geschrieben.

    Startwert der aktuellen Archivkapsel: immer 0.

    Einstellungen aus Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Absoluter Ereigniszähler

    In jeder Archivkapsel des emulierten Archivs wird gezählt, wie oft die Basisvariable in einen der durch die Basisvariablenregeln festgelegten Zustände gewechselt hat. Der Zähler kann durch die definierten Zurücksetzregeln (Registerkarten Basisvariablenregeln und Zusätzliche Zurücksetzereignisse) auf 0 gesetzt werden. Am Ende der Archivkapsel wird der Wert des Zählers in die emulierte Variable im emulierten Archiv geschrieben.

    Startwert der aktuellen Archivkapsel: Endwert der letzten Archivkapsel.

    Alle Registerkarten werden angezeigt.

  • Relativer Ereigniszähler

    In jeder Archivkapsel des emulierten Archivs wird gezählt, wie oft die Basisvariable in einen der durch die Basisvariablenregeln festgelegten Zustände gewechselt hat. Ein Relativzähler kann nicht auf 0 zurückgesetzt werden. Am Ende der Archivkapsel wird der Wert des Zählers in die emulierte Variable im emulierten Archiv geschrieben.

    Startwert der aktuellen Archivkapsel: immer 0.

    Einstellungen aus Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Summe

    In jeder Archivkapsel werden alle Werte der Basisvariablen aufsummiert. Die Summe wird am Ende der Archivkapsel in die emulierte Variable im emulierten Archiv geschrieben.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Zeitkorrigierter Mittelwert

    In jeder Archivkapsel wird der zeitkorrigierte Mittelwert aller Werte der Basisvariablen in der Archivkapsel berechnet. Der zeitkorrigierte Mittelwert wird am Ende der Archivkapsel in die emulierte Variable im emulierten Archiv geschrieben.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Minimum

    In jeder Archivkapsel wird das Minimum aller Werte der Basisvariablen in der Archivkapsel berechnet. Das Minimum wird am Ende der Archivkapsel in die emulierte Variable im emulierten Archiv geschrieben.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Maximum

    In jeder Archivkapsel wird das Maximum aller Werte der Basisvariablen in der Archivkapsel berechnet. Das Maximum wird am Ende der Archivkapsel in die emulierte Variable im emulierten Archiv geschrieben.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.

  • Differenzzähler

    Rechnet einen in zenon oder in der Archivemulation aufgezeichneten Absoluten Zeitzähler in einen Relativen Zeitzähler um.

    Einstellungen aus Basisvariablenregeln und Zusätzliche Zurücksetzereignisse sind nicht relevant und werden nicht angezeigt.
    Details zur Berechnung für Entwickler finden Sie im Kapitel Ablauf Differenzzähler im Handbuch zenon Analyzer für Entwickler.

info Info

Bei zyklischen Archiven in zenon werden Millisekunden nicht verwendet. Sie werden zwar berechnet, aber auf >0 gesetzt. Ausnahme: Ersatzwerte.

Das muss beim Holen der Daten berücksichtigt werden. Da die minimale Lesezykluszeit eines zyklischen Archivs 1 Sekunde ist, kann maximal 1 Wert pro Sekunde kommen.


Metadaten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen > Variablen > Metadaten

In dieser Registerkarte werden die Metadaten konfiguriert.

Option

Beschreibung

Variablenname

Eingabe des Variablennamens:

  • Maximale Länge: 128 Zeichen.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.
  • Darf nicht von einer anderen Variablen, die demselben Projekt zugeordnet ist, verwendet werden. Groß-/Kleinschreibung wird nicht berücksichtigt.

Anzeigename

Eingabe des Anzeigenamens der Variablen.

  • Maximale Länge: 128 Zeichen
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.
  • Darf nicht von einer anderen Variablen, die demselben Projekt zugeordnet ist, verwendet werden. Groß-/Kleinschreibung wird nicht berücksichtigt.

Beschreibung

Beschreibung der Variablen.

Maximale Länge: 256 Zeichen

Maßeinheit

Maßeinheit der Variablen.

Maximale Länge: 50 Zeichen

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Hinweis: Leere Pflichtfelder und Felder, deren Validierung negativ ist, werden rot hinterlegt angezeigt.


Zugewiesene Anlagengruppen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen > Variablen > Zugewiesene Anlagengruppen

In dieser Registerkarte werden die Anlagengruppen konfiguriert.

Option

Beschreibung

Baum mit Anlagengruppen

Auswahl der gewünschten Anlagengruppen aus Baumstruktur. Auswahl erfolgt durch Aktivierung der Checkboxen vor den gewünschten Gruppen.

  • Anzeige bei Neuerstellung: geschlossener Baum
  • Anzeige bei Bearbeitung: alle aktivierten Gruppen werden angezeigt und deren Zweige ausgeklappt

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Zugewiesene Bedeutungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen > Variablen > Zugewiesene Bedeutungen

In dieser Registerkarte werden die Bedeutungen konfiguriert.

Option | Beschreibung
Eingabefeld | Eingabe einer Bedeutung. Maximale Länge: 50 Zeichen
Hinzufügen | Klick auf Schaltfläche fügt Bedeutung aus dem Eingabefeld zur Liste der Bedeutungen hinzu.
Liste der Bedeutungen | Enthält alle zugewiesenen Bedeutungen. Mehrfachauswahl mit den Tasten Ctrl+linker Mausklick bzw. Umschalt+linker Mausklick ist möglich.
Entfernen | Entfernt alle markierten Einträge aus der Liste der Bedeutungen.
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Basisvariablenregeln

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen > Variablen > Basisvariablenregeln

In dieser Registerkarte werden die Regeln für die Basisvariablen konfiguriert.

Nur verfügbar für folgende Typen emulierter Variablen:

  • Absoluter Zeitzähler
  • Relativer Zeitzähler
  • Absoluter Ereigniszähler
  • Relativer Ereigniszähler

Option

Beschreibung

Liste der Regeln

Anzeige der konfigurierten Regeln.

Bei neu angelegten Variablen ist die Liste leer. Bei bereits existierenden Variablen werden angezeigt:

  • Vergleichstyp
  • Vergleichswert
  • Setzt Zähler zurück

Zusätzlich zu konfigurierten Regeln wird immer eine leere Regel angeboten, wenn der Dialog wurde in einem editierbaren Modus geöffnet wird und die Regeln (Reset) das zulassen.

In einer leeren Regel sind alle Kontrollelemente, ausgenommen der Vergleichstyp, deaktiviert.

Vergleichstyp

Auswahl des Vergleichstyps aus Dropdownliste. Zur Verfügung stehen:

  • Gleich (=)
  • Kleiner (<)
  • Kleiner oder gleich (<=)
  • Größer (>)
  • Größer oder gleich (>=)
  • Ungleich (!=)
  • Bereich: Vergleicht zwei Werte miteinander und blendet weitere Eingabefelder für Vergleichstyp und Vergleichswert ein.

Vergleichswert

Eingabe des Vergleichswerts.

Zähler zurücksetzen
  • Aktiv: Zähler wird zurückgesetzt, wenn die Regel erfüllt wird.

Nur verfügbar, wenn der Typ der emulierten Variablen ein Absolutzähler ist (Absoluter Zeitzähler, Absoluter Ereigniszähler).

Symbol: Löschen

Klick auf Schaltfläche löscht Regel.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Bereiche

Der Vergleichstyp Bereiche definiert einen Bereich zwischen zwei Werten. Folgende Regeln stehen zur Verfügung:

  • [Zahl] < X < [Zahl]
  • [Zahl] < X <= [Zahl]
  • [Zahl] <= X < [Zahl]
  • [Zahl] <= X <= [Zahl]

Hinweis zur Validierung

Bei der Validierung der Eingaben vor Erstellung der Variablen dürfen sich die gesetzten Regeln nicht überschneiden.

Beispiele für Überschneidungen:

  • 2 oder mehr Regeln sind auf Gleich (=) gesetzt und haben den selben Wert.
  • 1 oder mehr Regeln ist auf Gleich (=) gesetzt und hat einen Wert, der Größer (>)/Kleiner oder gleich (<=) dem Vergleichswert einer existierenden Größer (>)/Kleiner oder gleich (<=) Regel ist.
  • 2 Regeln verwenden beide einen größer Vergleich (egal ob Größer (>) oder Größer oder gleich (>=)).
  • 2 Regeln verwenden beide einen kleiner Vergleich (egal ob Kleiner (<) oder Kleiner oder gleich (<=)).
  • Die Wertebereiche einer Größer oder gleich (>=) und einer Kleiner oder gleich (<=) Regel überlappen sich. Mindestens eine Zahl ist in beiden Bereichen vorhanden.


Zusätzliche Zurücksetzereignisse

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen > Variablen > Zusätzliche Zurücksetzereignisse

In dieser Registerkarte werden Ereignisse für Absolutzähler konfiguriert, die zusätzlich zu den bereits in der Registerkarte Basisvariablenregeln definierten Ereignissen zum Zurücksetzen der Baisvariablen führen.

Nur verfügbar für folgende Typen emulierter Variablen:

  • Absoluter Zeitzähler
  • Absoluter Ereigniszähler

Option

Beschreibung

Zusätzliche Zurücksetzereignisse für den Zähler von Basisvariablen verwenden

  • Aktiv: Ereignisse zum Zurücksetzen des Absolutzählers werden zusätzlich zur Konfiguration in der Registerkarte Basisvariablenregeln von einer weiteren Basisvariablen gesetzt. Diese setzt die in der Registerkarte Emulationskonfiguration gewählte Basisvariable für den Zähler zurück.

Datenquelle

Auswahl einer Datenquelle aus Dropdownliste für die Variable, von der das Zurücksetzereignis kommt:

  • Alarmmeldeliste
  • Chronologische Ereignisliste
  • Archiv

Quellarchiv

Auswahl eines Quellarchivs aus Dropdownliste für die Variable, von der Zurücksetzereignisse kommen. Die Liste enthält alle Archive des Projekts, das im Dialog Metadaten ausgewählt wurde. Das schließt auch emulierte Archive ein, die bereits in den Metadaten gespeichert wurden.

Nur verfügbar, wenn als Datenquelle Archiv gewählt wurde.

Basisvariable

Auswahl einer Basisvariablen aus Dropdownliste, von der die zusätzlichen Zurücksetzereignisse kommen.

Abhängig von der Datenquelle stehen zur Verfügung für:

  • Datenquelle Alarmmeldeliste oder Chronologische Ereignisliste: Alle verfügbaren Variablen des Projekts, das im Dialog Metadaten ausgewählt wurde. Das schließt auch emulierte Variablen ein, die bereits in den Metadaten gespeichert wurden.
  • Datenquelle Archiv: Alle Variablen, die in den Metadaten dem Archiv mit einer Verdichtung von Rohwert (0) zugeordnet sind. Das schließt auch emulierte Archive ein, die bereits in den Metadaten gespeichert wurden.

Liste der Regeln

Anzeige der konfigurierten Regeln.

Bei neu angelegten Variablen ist die Liste leer. Bei bereits existierenden Variablen werden angezeigt:

  • Vergleichstyp
  • Vergleichswert

Zusätzlich zu konfigurierten Regeln wird immer eine leere Regel angeboten, wenn der Dialog wurde in einem editierbaren Modus geöffnet wird und die Regeln (Reset) das zulassen.

In einer leeren Regel sind alle Kontrollelemente, ausgenommen der Vergleichstyp, deaktiviert

Vergleichstyp

Auswahl des Vergleichstyps aus Dropdownliste. Zur Verfügung stehen:

  • Gleich (=)
  • Kleiner (<)
  • Kleiner oder gleich (<=)
  • Größer (>)
  • Größer oder gleich (>=)
  • Ungleich (!=)
  • Bereich: Vergleicht zwei Werte miteinander und blendet weitere Eingabefelder für Vergleichstyp und Vergleichswert ein.

Vergleichswert

Eingabe des Vergleichswerts.

Symbol: Löschen

Klick auf Schaltfläche löscht Regel.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

attention Achtung

Die Liste der Regeln für gültige zusätzliche Zurücksetzereignisse muss bei der Validierung mindestens eine Regel beinhalten, wenn die Option Zusätzliche Zurücksetzereignisse für den Zähler von Basisvariablen verwenden aktiviert wurde.

Bereiche

Der Vergleichstyp Bereiche definiert einen Bereich zwischen zwei Werten. Folgende Regeln stehen zur Verfügung:

  • [Zahl] < X < [Zahl]
  • [Zahl] < X <= [Zahl]
  • [Zahl] <= X < [Zahl]
  • [Zahl] <= X <= [Zahl]

Hinweis zur Validierung

Bei der Validierung der Eingaben vor Erstellung der Variablen dürfen sich die gesetzten Regeln nicht überschneiden.

Beispiele für Überschneidungen:

  • 2 oder mehr Regeln sind auf Gleich (=) gesetzt und haben den selben Wert.
  • 1 oder mehr Regeln ist auf Gleich (=) gesetzt und hat einen Wert, der Größer (>)/Kleiner oder gleich (<=) dem Vergleichswert einer existierenden Größer (>)/Kleiner oder gleich (<=) Regel ist.
  • 2 Regeln verwenden beide einen größer Vergleich (egal ob Größer (>) oder Größer oder gleich (>=)).
  • 2 Regeln verwenden beide einen kleiner Vergleich (egal ob Kleiner (<) oder Kleiner oder gleich (<=)).
  • Die Wertebereiche einer Größer oder gleich (>=) und einer Kleiner oder gleich (<=) Regel überlappen sich. Mindestens eine Zahl ist in beiden Bereichen vorhanden.


Datenberechnung

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv erstellen > Datenberechnung

In dieser Registerkarte wird die Datenberechnung konfiguriert. Die Optionen sind in allen drei Bearbeitungsmodi uneingeschränkt konfigurierbar.

Option

Beschreibung

Werte werden berechnet

Aktiv: Werte werden im SQL Server Agent für das emulierte Archiv berechnet.

Maximaler Connector-
Datenblockzeitraum (Stunden)

Festlegung, für welchen Zeitbereich in Stunden maximal Connectordaten in einem Aufruf geholt werden dürfen. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

  • Minimum: 1
  • Maximum 10000
  • Default: 1

Wird insgesamt ein größerer Zeitbereich benötigt, so werden mehrere Connectoraufrufe hintereinander durchgeführt.

Beispiel:

  • Es sollen Connectordaten für drei Tage abgeholt werden.
  • Der Abruf soll in drei Teilen erfolgen.
  • Eintrag in das Feld: 24

Hintergundinformation: Werden sehr große Datenmengen in einem Aufruf geholt, dann kann eventuell für den Runtime Server der Arbeitsspeicher zu klein werden. Bei Archivdaten zum Beispiel führt das zu einem "Out-Of-Memory" Fehler. Das entsprechende Benachrichtigungsfenster blockiert dann den Runtime Server bis die Meldung am Server selbst bestätigt wird. Diese Situation kann mit entsprechender Konfiguration vermieden werden.

Minimale Deltazeit (Stunden)

Festlegung, wie alt in Stunden eine Archivkapsel des emulierten Archivs sein muss, bevor Werte für sie berechnet werden. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Minimum: 0

Maximum: 10000

Default: 0

Beispiel:

  • Eintrag: 10
  • Aktuelle Zeitpunkt: 2013-06-06; 16:00:00
  • Ziel: Ab 00:00:00 am 6. Juni 2013 soll pro Stunde eine Archivkapsel geschrieben werden.
  • Es werden nur Werte für die Archivkapseln von 00:00:00 bis 05:00:00 am 2013-06-06 berechnet und geschrieben.
  • Grund: Die Archivkapseln von 06:00:00 bis 16:00:00 am 2013-06-06 sind noch nicht älter als 10 Stunden.

Hintergrund: Dürfen Daten nur bis zu einem bestimmten Zeitpunkt weiterverarbeitet werden, zum Beispiel nur bis zum letzten SQL Export, kann dies hier konfiguriert werden.

Connector

Auswahl des Connectors aus Dropdownliste, der zum Holen der Daten für Basisvariablen verwendet werden soll.

Berechnungszeitplan

Konfiguration des Zeitplans für die Berechnung von Werten.

Zeitplan beginnt am

Festlegung, ab welchem Zeitpunkt der Zeitplan laufen soll. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Einmal pro Tag alle N Tage

Aktiv: Die Berechnung wird alle N Tage zu einer bestimmten Urzeit durchgeführt.

  • N Tage: Konfiguration mit Option Anzahl der Tage
  • Uhrzeit: Konfiguration mit Option Ausführen um

Anzahl der Tage

Festlegung des Abstand zwischen zwei Berechnungen in Tagen. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Minimum: 1

Maximum: 100

Ausführen um

Festlegung, zu welcher Uhrzeit am Tag N die Berechnung ausgeführt wird. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Alle N Stunden täglich

Aktiv: Die Berechnung wird täglich alle N Stunden in einem bestimmten Abstand durchgeführt.

  • Abstand: Konfiguration mit Option Anzahl der Stunden
  • Startzeit: Konfiguration mit Option Beginnen um

Anzahl der Stunden

Festlegung des Abstand zwischen zwei Berechnungen in Stunden. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

  • Minimum: 1
  • Maximum: 23

Beginnen um

Festlegung, zu welcher Uhrzeit täglich die erste Berechnung ausgeführt wird. Eingabe in Feld oder Konfiguration mit Pfeiltasten.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Beispiele

Einmal wöchentlich

Die Berechnung soll ab sofort jeden Sonntag um 00:05:00 durchgeführt werden.

Konfiguration:

  1. aktivieren Sie die Option Einmal pro Tag alle N Tage
  2. Anzahl der Tage: 7
  3. Ausführen um: 00:00:05
  4. Zeitplan beginnt am: beliebiger Sonntag in der Vergangenheit

12 mal täglich

Die Berechnung soll ab 1.1.2014 alle 2 Stunden 15 Minuten nach der vollen Stunde durchgeführt werden.

Konfiguration:

  1. aktivieren Sie die Option Alle N Stunden täglich
  2. Alle N Stunden täglich: 2
  3. Beginnen um: 00:15:00
  4. Zeitplan beginnt am: 01.01.2014


Emuliertes Archiv bearbeiten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Emuliertes Archiv bearbeiten

Um ein emuliertes Archiv zu bearbeiten:

  1. Falls der Dialog noch nicht geöffnet ist, wählen Sie im Ribbon SQL-Server den Eintrag Emulierte Archive.

    Der Dialog zur Konfiguration emulierter Archive wird geöffnet.

  2. Markieren Sie das gewünschte Archiv.
  3. Klicken Sie auf die Schaltfläche Bearbeiten, um die Konfiguration zu ändern.

    Der Dialog zur Konfiguration eines emulierten Archivs wird geöffnet.

    Hinweis: Welche Einstellungen geändert werden können, hängt davon ab, in welchem Status sich das Archiv befindet.

Neues Archiv bearbeiten

Ein neues Archiv ist bereits angelegt und enthält Daten, wurde aber noch nicht zum SQL Server Agent geschrieben Das heißt: Dieser Dialog wurde seit der ersten Konfiguration noch nicht beendet.

  • Archiv: Alle Einstellungen können bearbeitet werden, ausgenommen Projekt und Kennung.
  • Variablen: Alle Einstellungen können bearbeitet werden.

Gespeichertes Archiv bearbeiten

Ein gespeichertes Archiv ist bereits angelegt, enthält Daten und wurde bereits zum SQL Server Agent geschrieben. Das heißt: Dieser Dialog wurde nach der ersten Konfiguration mit Klick auf OK beendet und wird jetzt erneut geöffnet.

  • Archiv: In der Grundeinstellung kann ausschließlich die Datenberechnung geändert werden.
    Über die Schaltfläche Bearbeiten ermöglichen kann das Archiv mit Ausnahme von Projektzuweisung und Name wieder bearbeitet werden. Diese Schaltfläche steht nur zur Verfügung, wenn das emulierte Archiv bereits gespeichert wurde und nicht zur erneuten Bearbeitung frei geschaltet wurde.
    Details sieh Abschnitt Bearbeiten ermöglichen.

  • Variablen: Werden nur lesend angezeigt.

Bearbeiten ermöglichen

Um ein bereits gespeichertes emuliertes Archiv erneut zu bearbeiten:

  1. Klicken Sie auf die Schaltfläche Bearbeiten ermöglichen.
  2. Bestätigen Sie die Sicherheitsabfrage.
  3. Die Daten in der Tabelle EMULATED_DATA werden gelöscht.
  4. Bearbeiten Sie das Archiv und speichern Sie es erneut.


Hinweise für Report-Entwickler

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archivemulation > Hinweise für Report-Entwickler

Ein emuliertes Archiv besteht aus Metadaten für Archive und Variablen. Diese werden entsprechend der Konfiguration über einen SQL Server Agent Job periodisch berechnet.

Für emulierte Archive werden folgende Metadaten, SPs und UDFs verwendet:

Metadaten

  • Emulated_Archive
  • Emulated_Variable
  • Emulated_Variable_Configuration
  • Emulated_Data
  • Stored Procedures

Stored Procedures

  • CalculateEmulatedArchiveValues

User Defindes Functionblocks

  • GetTotalSeconds


Berechnete Archive

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Berechnete Archive

Berechnete Archive stellen anderen Reports mit Formeln berechnete Werte als Archiv zur Verfügung. Die Daten werden dabei nicht gespeichert, sondern immer wieder neu berechnet.

Klick auf die Schaltfläche Neu (Stern) öffnet den Dialog zur Konfiguration eines neuen Berechneten Archivs.

Legende:

  • : Neu
  • : Bearbeiten
  • : Löschen

info Info

Bei der Konfiguration werden Eingaben in Textfelder evaluiert. Dialoge können nur mit OK bestätigt werden, wenn keine Validierungsfehler vorhanden sind.

Generell gilt:

  • Für Anzeigename, Namen, Referenzen, Identifikationen und Bedeutungen sind verboten: Komma (,) und einfaches Hochkomma (').
  • Für Beschreibungen, Einheiten und Statustext ist verboten: Komma (,).

Fehler werden in Popup-Meldungen erklärt.

Noch in diesem Kapitel

Berechnetes Archiv erstellen und bearbeiten


Berechnetes Archiv erstellen und bearbeiten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Berechnete Archive > Berechnetes Archiv erstellen und bearbeiten

Um die Berechnung von Archiven zu starten:

  1. Öffnen Sie das Ribbon SQL Server.
  2. Wählen Sie im Abschnitt Datenverarbeitung den Eintrag Berechnete Archive.

    Der Dialog zum Erstellen und Konfigurieren berechneter Archive wird geöffnet:

    Legende:

    • neu:
  3. Klicken Sie auf das Symbol für neu.

    Der Dialog zur Konfiguration wird geöffnet.

  4. Konfigurieren Sie Metadaten und Variablen.

    Der neue Eintrag wird zur Liste hinzugefügt.

Legende:

  • : Neu
  • : Bearbeiten
  • : Löschen

Option

Beschreibung

Liste Berechnete Archive

Listet alle konfigurierten Berechneten Archive auf. Die Liste zeigt:

  • Archivname: Anzeigename des Archivs.
  • Projektname: Anzeigename des Projekts, dem das Archiv zugeordnet ist.
  • Zykluszeit: Zykluszeit des Archivs.
  • Anzahl der Variablen: Anzahl der Variablen im Archiv.

Symbol neu

Klick öffnet den Dialog zur Konfiguration eines neuen Berechneten Archivs mit der Registerkarte Metadaten.

Symbol bearbeiten

Klick öffnet den Dialog zur Konfiguration des Berechneten Archivs, um Änderungen an der Konfiguration vorzunehmen.

Symbol löschen

Klick löscht das Berechnete Archiv und alle darin enthaltenen Variablen ohne Rückfrage.

Hinweis: Das Archiv kann nur gelöscht werden, wenn es von keinem anderen virtuellen Archiv (Berechnetes Archiv, Emuliertes Archiv, Archiv vom Connector für Fremddatenbanken) verwendet wird.

OK

Bei einem Klick darauf wird der Dialog geschlossen und die Änderungen werden gespeichert.

Abbrechen

Bei einem Klick darauf wird der Dialog geschlossen und die Änderungen werden verworfen.

Noch in diesem Kapitel

Metadaten

Variablen


Metadaten

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Berechnete Archive > Berechnetes Archiv erstellen und bearbeiten > Metadaten

In diesem Dialog werden die Archivmetadaten und die Metadaten und Berechnungsdaten aller im Archiv enthaltenen Variablen bearbeitet.

Wird der Dialog für die Bearbeitung eines existierenden berechneten Archivs aufgeschalten, so werden die Eingabeelemente im Dialog mit den Daten des Archivs initialisiert.

Option

Beschreibung

Projekt

Auswahl des Projekts, dem das Archiv zugeordnet wird aus Dropdownliste. Alle Variablen im Berechneten Archiv werden automatisch diesem Projekt zugeordnet.

Wird dieser Eintrag geändert, dann werden alle dafür bereits konfigurierten Variablen gelöscht.

Hinweis: Die Dropdownliste ist deaktiviert, wenn mindestens eine Variable dieses Archivs von einem anderen virtuellen Archiv verwendet wird.

Kennung

Eingabe der Kennung für das Archiv.

Bei der Validierung darf das Feld nicht leer sein.

Anzeigename

Eingabe des Anzeigenames für das Archiv.

Bei der Validierung darf das Feld nicht leer sein.

Beschreibung

Optionale Beschreibung für das Archiv.

Connector

Connector für das Holen der Variablenfeld-Daten für die Werteberechnung. Auswahl aus Dropdownliste.

Zykluszeit

Eingabe der Zykluszeit für das Archiv.

  • dd: Tage
  • HH: Stunden
  • mm: Minuten
  • ss: Sekunden

Eingabe in Felder oder Konfiguration über Pfeilsymbole.

Zugewiesene Anlagengruppen

Anlagengruppen, denen das Archiv zugeordnet wird. Auswahl durch Aktivierung der Checkbox vor der jeweiligen Gruppe.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Validierung

  • Beim Archiv müssen folgende einträge besetzt sein:
    • Projektauswahl
    • Archivreferenz
    • Archivanzeigename
    • Connector
  • Darüber hinaus dürfen folgende Archiveinträge keine Kollisionen mit anderen Archiven im gleichen Projekt haben:
    • Archivreferenz
    • Archivanzeigename
  • Bei Variablen müssen für alle Variablen folgende Regeln eingehalten werden:
    • Variablenname und Anzeigename müssen besetzt sein und dürfen zu keiner Kollision mit anderen Variablen des gleichen Projekts führen
    • Jede Variable muss bei der Werteberechnung genau ein aktives Feld haben.


Variablen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Berechnete Archive > Berechnetes Archiv erstellen und bearbeiten > Variablen

Konfiguration der Berechneten Variablen.

Wird der Dialog für die Bearbeitung eines existierenden berechneten Archivs aufgeschalten, so werden die Eingabeelemente im Dialog mit den Daten des Archivs initialisiert.

Legende:

Neu:

Duplizieren:

Löschen:

Variablen

Anzeige und Erstellung der Berechneten Variablen.

Option

Beschreibung

Symbol neu

Klick auf das Symbol fügt eine neue berechnete Variable in die Liste ein.

Variablenname und Variablenanzeigename werden automatisch generiert. Dabei werden Überschneidungen vermieden.

Die automatisch erstellten Einträge können in der Gruppe Metadaten geändert werden.

Symbol Duplizieren

Klick auf das Symbol dupliziert alle gewählten Variablen. Dabei werden auch die Berechnungsformeln dupliziert.

Variablenname und Variablenanzeigename werden basierende auf der Quellvariable automatisch generiert. Dabei werden Überschneidungen vermieden.

Die automatisch erstellten Einträge können in der Gruppe Metadaten geändert werden.

Symbol Löschen

Bei einem Klick auf das Symbol werden alle gewählten Variablen ohne Rückfrage gelöscht.

Vor dem Löschen wird geprüft, ob eine der gewählten Variablen in einem anderen virtuellen Archiv verwendet wird. Ist das der Fall, wird das Löschen verweigert.

Liste Variablen

Die Liste enthält alle erzeugten Variablen mit Informationen zu:

  • Variablenname
  • Variablenanzeigename
  • Beschreibung
  • Maßeinheit
  • Anzahl der zugewiesenen Bedeutungen
  • Anzahl der zugewiesenen Anlagengruppen
  • Anzahl der Statusnamen

In der Liste ist die Mehrfachauswahl von Variablen möglich.
Bei Mehrfachauswahl gilt:

  • Felder der anderen Eingabegruppen werden immer mit den Werten der zuerst gewählten Variablen befüllt.
  • Änderungen in einem Eingabefeld in einer der anderen Eingabegruppen wirken sich auf alle ausgewählten Variablen aus.

Metadaten

Konfiguration der Metadaten für die Variablen.

Option

Beschreibung

Variablenname

Name der Variablen.

  • Darf nicht leer sein.
  • Muss im Projekt eindeutig sein.

Nur verfügbar, wenn genau eine Variable ausgewählt wurde.

Anzeigename

Anzeigename der Variablen.

  • Darf nicht leer sein.
  • Muss im Projekt eindeutig sein.

Nur verfügbar, wenn genau eine Variable ausgewählt wurde.

Beschreibung

Beschreibung der Variablen.

Maßeinheit

Maßeinheit der Variablen.

Zugewiesene Anlagengruppen

Konfiguration der Arbeitsgruppen, die der Variablen zugewiesen werden.

Option | Beschreibung
Zugewiesene Anlagengruppen | Auswahl der Anlagengruppen, die der Variablen zugewiesen werden. Auswahl durch Aktivierung der Checkbox vor der Gruppe.

Berechnungsformel

Konfiguration der Formel für die Variable.

Option

Beschreibung

Formelfeld

Zeigt Formel der berechneten Variablen an.

Wird trotz Konfiguration der Berechnung keine Formel angezeigt, kann das folgende Ursachen haben:

  • Es ist kein Berechnungsfeld zugeordnet.
    Dies führt zu einem Validierungsfehler.
  • Das Berechnungsfeld ist kein Formelfeld, sondern zum Beispiel ein Kostenfeld.

Formeln konfigurieren

Öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln ohne Verdichtung. Nur verfügbar, wenn in der Liste genau eine Variable gewählt wurde.

Der Dialog wird im Modus für berechnete Archive gestartet.
Achtung: Bei der Konfiguration der Formel darf in den unterschiedlichen Registerkarten die Option Feld für Berechnete Variable nur genau einmal gewählt werden. Bei diesem Feld muss es sich um ein Formelfeld handeln.

Zugewiesene Bedeutungen

Konfiguration und Zuweisung der Bedeutungen.

Option | Beschreibung
Feld Bedeutung | Eingabe einer neuen Bedeutung.
Hinzufügen | Ordnet die Bedeutung aus dem Feld Bedeutung der Variablen zu.
Liste Bedeutungen | Zeigt alle konfigurierten Bedeutungen an. Mehrfachauswahl ist möglich.
Entfernen | Klick auf Schaltfläche entfernt alle in der Liste ausgewählten Bedeutungen.

Statusnamen

Konfiguration und Zuweisung der Statusnamen.

Option | Beschreibung
Zahlenelement | Eingabe des Wertes des Status. Muss eindeutig sein.
Eingabefeld | Eingabe des Statustextes für diesen Wert. Muss eindeutig sein.
Hinzufügen | Fügt den eingegebenen Wert mit dem eingegebenen Statustext in das Listenfeld ein. Weder Wert noch Text dürfen bereits existieren.
Liste Statusnamen | Zeit alle vorhandenen Einträge an. Mehrfachauswahl ist möglich. Format: [Wert]: [Text]
Entfernen | Klick auf Schaltfläche entfernt alle in der Liste ausgewählten Statusnamen.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Benutzerverwaltung und Zugriffsrechte

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte

Die Benutzerverwaltung für den zenon Analyzer wird im ZAMS organisiert. Sie besteht vor allem aus der Verwaltung der:

  • Zugriffsrechte auf Analyzer Anwendungen
  • Zugriffsrechte im Report Launcher
  • Benutzer mit fixer Lizenz

Gesetzte Rechte für Benutzer und Objekte im ZAMS und Report Launcher werden jeweils nach deren Bestätigung im Dialog durch Klick auf OK gesetzt und angewandt.

Benutzer können domänenübergreifend und in Benutzergruppen verwaltet werden. Für Benutzer mit fixer Lizenz und die Verwaltung von Zugriffsrechten für Analyzer Anwendungen muss im Auswahldialog jeder Benutzer einzeln verwaltet werden. Die Verwaltung nach Gruppen ist über die Konfiguration des Filters für Benutzergruppen möglich. Dazu wird der Gruppenname als Filterbedingung eingegeben und anschließend alle Benutzer ausgewählt.

Für die Verwaltung von Zugriffsrechten im Report Launcher können Benutzergruppen im Auswahldialog direkt gewählt werden.

Überprüfung der Benutzerlizenzen

ZAMS und Report Launcher überprüfen regelmäßig, ob für den verbundenen Benutzer am verbundenen Analyzer Server eine Lizenz am Lizenzserver belegt werden kann.

Treten Fehler bei der Lizenzierung oder Verbindung auf, beachten Sie die Checkliste bei Lizenzfehlern.

Noch in diesem Kapitel

Konfiguration Benutzersuche

Auswahl von Benutzern und Benutzergruppen

Benutzer mit fixer Lizenz

Grundlagen der Benutzer-Zugriffsrechte

Zugriffsrechte Analyzer Anwendungen

Zugriffsrechte Report Launcher


Konfiguration Benutzersuche

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Konfiguration Benutzersuche

Beim Aufschalten von Dialogen zur Zuordnung eines Benutzerprofils wird, sofern noch keine Benutzer im ZAMS hinterlegt sind, die Benutzersuche geöffnet. Hier legen Sie fest, wie und an welchen Orten nach Benutzern für das Füllen der Benutzerliste gesucht werden soll:

  • Direkteingabe ohne Validierung:
    Eingabe eines Benutzernamens für eine Domäne ohne Validierung. Das ermöglicht das Hinzufügen von Benutzern aus einer Domäne durch ZAMS-Benutzer, die keinen Zugriff auf diese Domäne haben. Damit kann der Analyzer zum Beispiel bei einem Integrator lokal konfiguriert und später in die Domäne des Kunden integriert werden.
    Um einen Benutzer direkt hinzuzufügen:
    1. Installieren Sie den Analyzer mit einem lokalen Benutzer.
    2. Verbinden Sie den Rechner mit der Domäne.
    3. Öffnen Sie ZAMS mit dem vorhandenen Benutzer.
    4. Klicken Sie im Ribbon Analyzer Server auf Analyzer Anwendungen.

      Der Dialog Suche nach Benutzern und Gruppen wird geöffnet. Wird er nicht angezeigt, dann löschen Sie zuerst den Cache.

    5. Aktivieren Sie den Radiobutton Direkteingabe von Benutzernamen (ohne Überprüfung).
    6. Klicken Sie auf OK.

      Der Dialog Konfiguration der Zugriffsrechte wird geöffnet.

    7. Klicken Sie auf Hinzufügen.

      Der Dialog Direkteingabe von Benutzern und Gruppen wird geöffnet.

    8. Tragen Sie den vollständigen Benutzernamen entsprechend der Syntax ein: Domäne\Benutzername.
    9. Klicken Sie auf OK.

      Die Eingabe wird übernommen und der Dialog geschlossen.
      Der ZAMS-Benutzer hat jetzt Zugriff auf die Domäne.

  • Direktabfrage:
    Gezielte Abfrage der Domäne und der Caches erst beim Hinzufügen von Benutzern. Dabei gilt:
    • Gruppen sind in den Filtern erst verfügbar, wenn sie im Cache vorhanden sind. Sie müssen also bereits einmal gefunden worden sein - unabhängig davon, ob sie hinzugefügt wurden.
    • Gefundene Benutzer und Gruppen werden gecached.
    • Lokal am Analyzer Server definierte Benutzer können nicht hinzugefügt werden.
    • Lokal am Analyzer Server definierte Gruppen können nicht hinzugefügt oder gefiltert werden.
  • Benutzer und Gruppen cachen:
    Bei der ersten Abfrage nach Benutzern werden alle Benutzer und Gruppen der definierten Domänen und lokal gesucht und gecacht. Bei Domänen mit vielen Benutzern und Gruppen kann dies längere Zeit in Anspruch nehmen.

Dialog Suche nach Benutzern und Gruppen

Option

Beschreibung

Direkteingabe von Benutzernamen (ohne Überprüfung)

Eingabe eines Benutzernamens für eine Domäne ohne Validierung. Domäne und Benutzername werden über die Konfiguration der Zugriffsrechte eingefügt.

Wird eine Gruppe statt Benutzer eingegeben, so wird die Gruppe als Benutzer eingetragen. Bei der Konfiguration von Zugriffsrechten für Analyzer Anwendungen und beim Zuordnen fixer Lizenzen führt das zu unbrauchbaren Konfigurationen. Für den Report Launcher aber können auch Gruppen hinzugefügt werden.

Achtung: Es erfolgt keine Validierung der Eingabe. Nicht korrekte Eingaben führen dazu, dass der Analyzer Server in der Domäne nicht angemeldet werden kann.

Direktabfrage von Benutzern und Gruppen (nur in Domänen)
  • Aktiv: Benutzer und Gruppen werden erst bei Bedarf gesucht.

Bestätigung vor dem Suchen nach Gruppen und Benutzern
  • Aktiv: Wird beim Suchen eines Objekts in der Domäne kein Benutzer gefunden, erfolgt eine Sicherheitsabfrage zur weiteren Suche.

Hintergrund: Wird in der Domäne kein Benutzer gefunden, wird nach einer Gruppe gesucht. Wird eine Gruppe gefunden, werden alle in der Gruppe enthaltenen Benutzer gesucht. Das kann lange Zeit in Anspruch nehmen.

Nur verfügbar, wenn Direktabfrage von Benutzern und Gruppen aktiviert wurde.

Benutzer und Gruppen von diesen Orten laden:
  • Aktiv: Benutzern und Gruppen werden sofort gesucht und gecacht. Das kann bei großen Domänen längere Zeit in Anspruch nehmen.

Lokal am Analyzer Server "[Rechnername]" definierte Benutzer

  • Aktiv: Es wird nach lokal am Analyzer Server definierten Benutzern und Benutzergruppen gesucht.

Nur verfügbar, wenn Benutzer und Gruppen von diesen Orten laden aktiviert wurde.

In der Domäne "[Domänenname]"

  • Aktiv: Es wird in der Domäne des momentan verbundenen Benutzers nach Domänenbenutzern und Benutzergruppen gesucht.

Das Erkennen erfolgt in drei Schritten:

  • Zuerst wird versucht, den Namen der Domäne, in welcher der Benutzer definiert ist, zurückzugeben.
  • Schlägt dies fehl, wird versucht den Namen der Domäne, in welche der Computer integriert ist, zurückzugeben.
  • Schlägt dies fehl, wird der Computername zurückgegeben.

Nur verfügbar, wenn Benutzer und Gruppen von diesen Orten laden aktiviert wurde.

In den Domänen

Eingabe einer Domäne, in der nach Benutzern und Benutzergruppen gesucht werden soll. Übernahme durch Klick auf die Schaltfläche Hinzufügen.

Nur verfügbar, wenn Benutzer und Gruppen von diesen Orten laden aktiviert wurde.

Hinzufügen

Fügt die im Eingabefeld In den Domänen benannte Domäne zur Domänenliste hinzu.

Die Eingabe wird nur dann übernommen, wenn sie:

  • noch nicht in der Liste steht
  • nicht identisch mit der Domain des aktuell verbundenen Benutzers ist
  • nicht identisch mit dem Analyzer Server Computernamen ist

Bei der Überprüfung wird Groß-/Kleinschreibung nicht beachtet.

Domänenliste

Enthält alle individuell hinzugefügten Domänen. Mehrfachauswahl ist möglich.

Löschen

Löscht alle markierten Domänen aus der Domänenliste.

OK

Übernimmt und validiert die Konfiguration, schließt den Dialog und startet die Suche.

Abbrechen

Verwirft die Konfiguration und schließt den Dialog.

Hinweis: Die gewählte Einstellung wird in der ZAMS-Konfiguration gespeichert und beim nächsten Anzeigen des Dialogs als Voreinstellung selektiert. Die gewählte Einstellung gilt für die gesamte ZAMS-Sitzung.

Cache der Benutzersuche löschen

Um die Art der Suche zu ändern, muss entweder ZAMS neu gestartet oder der Cache gelöscht werden.

Um den Cache der Benutzersuche zu löschen:

  1. Öffnen Sie das Ribbon Optionen.
  2. Wählen Sie in der Ribbon-Gruppe Cache den Eintrag Löschen.

    Gecachte Benutzer und Gruppen werden aus dem Cache entfernt.

    Beim nächsten Aufschalten eines Dialogs zur Benutzerverwaltung wird wieder der Dialog zur Konfiguration der Benutzersuche aufgeschaltet.


Auswahl von Benutzern und Benutzergruppen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Auswahl von Benutzern und Benutzergruppen

Benutzer und Benutzergruppen werden je nach Konfiguration der Suche unterschiedlich hinzugefügt:

  • Direkteingabe: Direkteingabe von Benutzernamen, wenn der angemeldete ZAMS-Benutzer keinen Zugriff auf die Domäne hat. Der Rechner muss mit der Domäne verbunden sein.
  • Direktabfrage: Der Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, werden alle Mitglieder dieser Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached: Der Dailog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Bei der Konfiguration der Zugriffsrechte für den Report Launcher können Benutzergruppen und Benutzer aus Gruppen ausgewählt werden. Bei allen anderen Dialogen für Benutzerrechte können Benutzer aus Gruppen, aber keine Benutzergruppen, ausgewählt werden.

Abläufe

Beim Holen von Benutzerdaten gilt:

  • Haben zwei Benutzer den gleichen Anzeigenamen, wird das Auslesen der aktuell gelesenen Benutzerdatenquelle abgebrochen.
  • Haben zwei Benutzergruppen den gleichen Anzeigenamen, wird das Auslesen der aktuell gelesenen Benutzerdatenquelle abgebrochen.
  • Hat eine Gruppe den gleichen Anzeigenamen wie ein Benutzer, wird die betroffene Benutzergruppe ignoriert. Das Auslesen wird aber fortgesetzt.

Noch in diesem Kapitel

Dialog Direkteingabe von Benutzern und Gruppen

Dialog Benutzer und Benutzergruppen suchen

Dialog Benutzer auswählen

Dialog Benutzer und Benutzergruppen auswählen


Dialog Direkteingabe von Benutzern und Gruppen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Auswahl von Benutzern und Benutzergruppen > Dialog Direkteingabe von Benutzern und Gruppen

Wird im Dialog zur Auswahl von Benutzern die Option Direkteingabe von Benutzernamen (ohne Überprüfung) ausgewählt, dann wird beim Hinzufügen eines neuen Benutzers dieser Dialog aufgeschalten:

Option

Beschreibung

Vollständiger Name des zu suchenden Eintrags

Eingabe des vollständigen Namen des einzutragenden Benutzers. Dieser besteht aus:

  • Domäne
  • Backslash
  • Benutzername

Beispiel: MAIN\J.Doe

Achtung: Falsche Einträge führen dazu, dass der Analyzer Server später nicht mit der Domäne verbunden werden und der Benutzer nicht angemeldet werden kann.

Suchen

Nicht verfügbar, da keine Validierung erfolgt.

Suchergebnis

Nicht verfügbar, da keine Validierung erfolgt.

OK

Übernimmt den eingetragenen Benutzer ohne weitere Validierung.

Abbrechen

Schließt den Dialog, ohne Benutzer zu übernehmen.


Dialog Benutzer und Benutzergruppen suchen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Auswahl von Benutzern und Benutzergruppen > Dialog Benutzer und Benutzergruppen suchen

Wird bei der Konfiguration der Benutzerrechte mit Direktabfrage nach einem Benutzer oder einer Benutzergruppe gesucht, wird der Dialog zur Suche geöffnet:

Option

Beschreibung

Vollständiger Name des zu suchenden Eintrags

Eingabe des vollständigen Namen des zu suchenden Objekts. Dieser besteht aus:

  • Domäne
  • Backslash
  • Benutzername

Beispiel: MAIN\J.Doe

Suchen

Klick startet Suche nach dem eingegebenen Suchbegriff.

Nur aktiv, wenn:

  • das Eingabefeld nicht leer ist
  • der Inhalt seit der letzten Sucher verändert wurde

Wird der Benutzer nicht in der Domäbe gefunden, erfolgt eine Abfrage, ob in allen Benutzergruppen der Domäne gesucht werden soll.

Suchergebnis

Zeigt das Suchergebnis an.

OK

Übernimmt gefundenen Benutzer oder alle gefundenen den Dialog-.

Nur verfügbar, wenn seit der letzten erfolgreichen Suche das Eingabefeld für den vollständigen Namen nicht verändert wurde.

Abbrechen

Schließt den Dialog, ohne Benutzer zu übernehmen.


Dialog Benutzer auswählen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Auswahl von Benutzern und Benutzergruppen > Dialog Benutzer auswählen

Werden in einem Konfigurationsdialog für Benutzerrechte neue Benutzer hinzugefügt, wird folgender Dialog aufgeschaltet.
Ausnahme: Bei der Konfiguration der Zugriffsrechte für den Report Launcher wird der Dialog Benutzer und Benutzergruppen auswählen aufgeschalten.

Option

Beschreibung

Filterbedingung für den Benutzernamen

Eingabe von Filterbedingungen für Benutzernamen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die das Filterkriterium im Text mit einer ihrer Namenseigenschaften erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Filterbedingung für die Benutzergruppe

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die zu einer der Benutzerguppen gehören, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Checkboxen

Aktiv: Benutzer ist zum Hinzufügen ausgewählt.

Benutzerliste

Anzeige der zur Auswahl zur Verfügung stehenden Benutzer. Diese Liste wird entsprechend den Einstellungen in der Konfiguration Benutzersuche zusammengestellt.

Sie enthält:

  • Benutzername: Anzeige des Benutzernamens.
  • Mitglied der Gruppen: Anzeige der Benutzergruppen, der ein Bneutzer angehört.
  • Beschreibung: Zeigt Informationen zum Benutzernamen und dessen Herkunft an.

Alle auswählen

Klick auf Schaltfläche wählt alle entsprechend der Filterbedingungen angezeigten Benutzer aus.

Auswahl aufheben

Klick auf Schaltfläche hebt Auswahl auf.

OK

Übernimmt Auswahl, schließt den Dialog und fügt ausgewählte Benutzer hinzu.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Dialog Benutzer und Benutzergruppen auswählen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Auswahl von Benutzern und Benutzergruppen > Dialog Benutzer und Benutzergruppen auswählen

Werden im Konfigurationsdialog für die Zugriffsrechte für den Report Launcher neue Benutzer oder Benutzergruppen hinzugefügt, wird ein Auswahldialog aufgeschaltet. Es können über zwei Registerkarten hinzugefügt werden:

  • Benutzer
  • Gruppen

Benutzer

Auswahl von Benutzern, die hinzugefügt werden sollen.

Option

Beschreibung

Filterbedingung für den Benutzernamen

Eingabe von Filterbedingungen für Benutzernamen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die das Filterkriterium im Text mit einer ihrer Namenseigenschaften erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Filterbedingung für die Benutzergruppe

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die zu einer der Benutzerguppen gehören, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Checkboxen

Aktiv: Benutzer ist zum Hinzufügen ausgewählt.

Benutzerliste

Anzeige der zur Auswahl zur Verfügung stehenden Benutzer. Diese Liste wird entsprechend den Einstellungen in der Konfiguration Benutzersuche zusammengestellt.

Sie enthält:

  • Benutzername: Anzeige des Benutzernamens.
  • Mitglied der Gruppen: Anzeige der Benutzergruppen, der ein Bneutzer angehört.
  • Beschreibung: Zeigt Informationen zum Benutzernamen und dessen Herkunft an.

Alle auswählen

Klick auf Schaltfläche wählt alle entsprechend der Filterbedingungen angezeigten Benutzer aus.

Auswahl aufheben

Klick auf Schaltfläche hebt Auswahl auf.

OK

Übernimmt Auswahl, schließt den Dialog und fügt ausgewählte Benutzer hinzu.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Gruppen

Auswahl von Benutzergruppen, die hinzugefügt werden sollen.

Option

Beschreibung

Filterbedingung

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzergruppen wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzergruppen angezeigt, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzergruppen werden nicht ausgeblendet.

Checkboxen

Aktiv: Benutzergruppe ist zum Hinzufügen ausgewählt.

Liste Benutzergruppen

Anzeige der zur Auswahl zur Verfügung stehenden Benutzergruppen. Diese Liste wird entsprechend den Einstellungen in der Konfiguration Benutzersuche zusammengestellt.

Sie enthält:

  • Gruppenname: Anzeige der Benutzergruppen, der ein Bneutzer angehört.
  • Beschreibung: Zeigt Informationen zum Benutzernamen und dessen Herkunft an.

Alle auswählen

Klick auf Schaltfläche wählt alle entsprechend der Filterbedingungen angezeigten Benutzergruppen aus.

Auswahl aufheben

Klick auf Schaltfläche hebt Auswahl auf.

OK

Übernimmt Auswahl, schließt den Dialog und fügt ausgewählte Benutzergruppen hinzu.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Benutzer mit fixer Lizenz

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Benutzer mit fixer Lizenz

In ZAMS können Benutzer fixe Lizenzen erhalten. Für diese wird immer eine Lizenz freigehalten. Ein Benutzer mit fixer Lizenz belegt damit auch dann eine Client-Lizenz am Lizenzserver, wenn er nicht verbunden ist. Es können maximal so viele Benutzer mit fixer Lizenz angelegt werden, wie Client-Lizenzen vorhanden sind. Beim Eingeben einer neuen zenon Analyzer Lizenz wird diese nur akzeptiert, wenn sie über genügend Client-Lizenzen für alle Benutzer mit fixer Lizenz verfügt.

Benutzern eine fixe Lizenz zuordnen

Um einem Benutzer eine fixe Lizenz zuzuordnen oder zu entziehen:

  1. Öffnen Sie das Ribbon Analyzer-Server.
  2. Wählen Sie in der Ribbon-Gruppe Benutzerverwaltung den Eintrag Lizenzreservierung.

    Der Dialog zur Verwaltung der Benutzer mit fixer Lizenz wird geöffnet

Option

Beschreibung

Filterbedingungen für den Benutzernamen

Eingabe von Filterbedingungen für Benutzernamen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die das Filterkriterium im Text mit einer ihrer Namenseigenschaften erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Filterbedingungen für die Benutzergruppe

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die zu einer der Benutzerguppen gehören, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Liste der Benutzer

Zeigt alle konfigurierten Benutzer mit fixer Lizenz an. Die Zugehörigkeit zu einer Benutzergruppe wird ebenfalls angezeigt.

Mehrfachauswahl ist möglich:

  • Steuerung-Taste+Mausklick: wählt mit jedem Klick einen zusätzlichen Benutzer aus
  • Umschalt-Taste+Mausklick: wählt alle Benutzer, die sich zwischen zwei Klicks befinden, aus
  • Klick auf Schaltfläche Alle auswählen wählt alle Benutzer in der Liste aus

Alle auswählen

Wählt alle Benutzer, die in der Liste der Benutzer angezeigt werden, aus.

Auswahl aufheben

Hebt Auswahl von Benutzern, die in der Liste der Benutzer angezeigt werden, auf.

Hinzufügen

Öffnet je nach Konfiguration der Benutzersuche einen Dialog zur Auswahl von Benutzern:

  • Direkteingabe:
    Der Dialog Dialog Direkteingabe von Benutzern und Gruppen wird geöffnet. Dieser ermöglicht die Direkteingabe von Benutzernamen und Benutzergruppen, wenn der angemeldete ZAMS-Benutzer keinen Zugriff auf die Domäne hat. Der Rechner muss mit der Domäne verbunden sein.
  • Direktabfrage:
    Der Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, werden alle Mitglieder dieser Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached:
    Der Dialog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Benutzer können nur hinzugefügt werden, wenn genügend Lizenzen zur Verfügung stehen. Im Dialog zum Hinzufügen von Benutzern werden alle Benutzer, die bereits über eine entsprechende Lizenz verfügen, ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein weiterer Benutzer hinzugefügt werden kann. Beachten Sie die entsprechende Meldung im Ausgabefenster.

Entfernen

Löscht ausgewählte Benutzer ohne Rückfrage aus der Liste.

Das erfolgreiche Entfernen eines Benutzers wird ebenso wie ein Fehlschlag im Ausgabefenster dokumentiert.

Schließen

Schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Grundlagen der Benutzer-Zugriffsrechte

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Grundlagen der Benutzer-Zugriffsrechte

Intern gibt es 4 Benutzer-Berechtigungsebenen. Jede Ebene schließt den Zugriff auf alle erlaubten Anwendungen aller darunterliegenden Ebenen ein, definiert jedoch eigene Datenbankzugriffsrechte. In den Dialogen werden an Stelle der Berechtigungsebenen die Anwendungen genannt, die mit den Berechtigungsebenen verbunden sind. Dadurch, dass die Zugriffsrechte am Report Launcher gesondert von den Zugriffsrechten auf die Analyzer Anwendungen - und damit auf die Datenbank - geregelt werden, ist es möglich, dass z. B. ein Benutzer Preise und Normwerte eingeben darf, jedoch keinen Zugriff auf Objekte am Analyzer Server hat.

Die 4 Berechtigungsebenen:

  • 0: Benutzer dürfen nur für den Report Launcher eine Lizenz belegen.
    Diese Berechtigungsebene wird automatisch an jeden Benutzer vergeben.

    Benutzer mit dieser Berechtigungsebene haben keinen Datenbankzugriff.

  • 1: Benutzer dürfen zusätzlich zu den Anwendungen der Berechtigungseben 0 auch das Editor-Tool für Preis- und Norm-Werte verwenden.

    Auf der SQL Server Instanz erhalten diese Benutzer je einen Login auf User-Niveau. In jeder Analyzer Metadaten Datenbank auf der SQL Server Instanz erhalten diese Benutzer je einen User mit Leserechten für alle Tabellen und Schreibrechten für die Tabellen PRICE und NORM.

  • 2: Benutzer dürfen zusätzlich zu den Anwendungen der Berechtigungseben 1 auch den Metadaten Editor und den Analyzer Export Wizard verwenden.

    Der Wizard belegt zwar keine Lizenz für den ausführenden Benutzer, der Benutzer muss jedoch die entsprechenden Datenbankzugriffsrechte haben, die mit dieser Berechtigungsebene gewährt werden. Auf der SQL Server Instanz erhalten diese Benutzer je einen Login auf User-Niveau. In jeder Analyzer Metadaten Datenbank auf der SQL Server Instanz erhalten diese Benutzer je einen User mit Leserechten und Schreibrechten für alle Tabellen.

  • 3: Benutzer dürfen zusätzlich zu Anwendungen der Berechtigungseben 2 auch das ZAMS verwenden.

    Auf der SQL Server Instanz erhalten diese Benutzer je einen Login auf Administrator-Niveau. Mit dem Administrator-Login erhalten diese Benutzer vom SQL Server automatisch Administrator-Zugriffsrechte auf alle Datenbanken in der SQL Server Instanz, auch auf nicht Analyzer Metadaten Datenbanken. Diese Benutzer sind deshalb Administratoren auf der SQL Server Instanz, weil sie neue Datenbanken erzeugen, Stored Procedures und Userdefined Functions erstellen, verändern und löschen, Indizes warten, Datenbanken sichern und wiederherstellen, externen Code in Datenbanken eingeben und Benutzerrechte verwalten müssen.


Zugriffsrechte Analyzer Anwendungen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Zugriffsrechte Analyzer Anwendungen

Die Analyzer Anwendungen umfassen:

  • Manual Data Editor
  • Metadata Editor
  • ZAMS

Die Zugriffsrechte auf diese Anwendungen werden für alle Benutzer in einem Dialog verwaltet. Dabei werden auch die passenden Zugriffsrechte auf allen Analyzer Metadaten Datenbanken auf der momentan verbundenen SQL Server Instanz geregelt.

info Info

Zugriffsrecht bedeutet im Kontext der Analyzer Anwendungen, dass sich ein Benutzer mit der Anwendung zum Analyzer Server verbinden darf.

Das heißt: Ein Benutzer kann auf dem Analyzer Server A ein Benutzer mit Berechtigungsebene 3 und gleichzeitig auf dem Analyzer Server B nur ein Benutzer mit Berechtigungsebene 1 sein.

Noch in diesem Kapitel

Konfiguration der Zugriffsrechte

Warnungsdetails für unterschiedliche Benutzer-Zugriffsrechte


Konfiguration der Zugriffsrechte

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Zugriffsrechte Analyzer Anwendungen > Konfiguration der Zugriffsrechte

Um für Benutzer die Zugriffsrechte auf die Analyzer Anwendungen zu konfigurieren:

  1. Öffnen Sie das Ribbon Analyzer-Server.
  2. Wählen Sie in der Ribbon-Gruppe Benutzerverwaltung den Eintrag Analyzer Anwendungen.

    Der Dialog zur Konfiguration der Zugriffsrechte wird geöffnet.

Option

Beschreibung

Filterbedingung für den Benutzernamen

Eingabe von Filterbedingungen für Benutzernamen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die das Filterkriterium im Text mit einer ihrer Namenseigenschaften erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Filterbedingung

Eingabe von Filterbedingungen für Benutzergruppen.

Die Liste der angezeigten Benutzer wird bei jeder Änderung im Eingabefeld aktualisiert. Es werden jeweils nur mehr Benutzer angezeigt, die zu einer der Benutzerguppen gehören, die die Bedingung erfüllen. Die Filterung erfolgt:

  • partiell: es genügt wenn die Zeichenfolge im Namen vorkommt
  • ohne Berücksichtigung der Groß-/Kleinschreibung

Bereits ausgewählte Benutzer werden nicht ausgeblendet.

Liste der Benutzer

Anzeige aller konfigurierten Benutzer.

Für jeden Benutzer wird angezeigt:

  • Zugehörigkeit zu Benutzergruppen.
  • Berechtigungen für Analyzer Anwendungen. Details siehe auch Abschnitt Grundlagen der Benutzer-Zugriffsrechte. Berechtigungen können durch Auswahl eines der Optionsfelder im Bereich Anwendungen, die von den aktuell markierten Benutzern verwendet werden dürfen verändert werden.

Benutzer mit der Berechtigungseben 0 (Report Launcher) werden nicht angezeigt, da der Lizenzserver ohnehin allen Benutzern Ebene 0 gewährt.

Hinweis: Der momentan verbundene Benutzer wird grau hinterlegt angezeigt. Seine Rechte können nicht verändert werden. Damit wird verhindert, dass durch eine Fehlkonfiguration alle Benutzer vom SQL-Server ausgesperrt werden.

Alle auswählen

Klick auf Schaltfläche wählt alle entsprechend der Filterbedingungen angezeigten Benutzer aus.

Auswahl aufheben

Klick auf Schaltfläche hebt Auswahl auf.

Hinzufügen

Öffnet je nach Konfiguration der Benutzersuche einen Dialog zur Auswahl von Benutzern:

  • Direkteingabe:
    Der Dialog Dialog Direkteingabe von Benutzern und Gruppen wird geöffnet. Dieser ermöglicht die Direkteingabe von Benutzernamen und Benutzergruppen, wenn der angemeldete ZAMS-Benutzer keinen Zugriff auf die Domäne hat. Der Rechner muss mit der Domäne verbunden sein.
  • Direktabfrage:
    Der Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, werden alle Mitglieder dieser Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached:
    Der Dialog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Bereits hinzugefügte Benutzer werden im Dialog ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein Benutzer hinzugefügt werden kann.

Entfernen

Löscht die ausgewählten Benutzer ohne Rückfrage aus der Liste.

Das Entfernen eines Benutzers kommt dem Setzen des Benutzers auf Berechtigungsebene 0 (Report Launcher) gleich, da der Lizenzserver allen Benutzern Ebene 0 gewährt und in beiden Fällen die Datenbankzugriffsrechte des Benutzers gelöscht werden.

Anwendungen, die von den aktuell markierten Benutzern verwendet werden dürfen

Auswahl der Berechtigungsebene für die in der Liste ausgewählten Benutzer. Die Ebenen sind hierarchisch geordnet. Elemente der Ebene 1 sind z.B. auch in Ebene 2 enthalten. Ebene 0 (Report Launcher) wird allen Benutzern zuerkannt. Rechte für den Report Launcher werden über die Report Launcher Zugriffsrechte verwaltet.

Berechtigungsebenen:

  • Manual Data Editor: Ebene 1.
    Benutzer dürfen das Editor-Tool für Preis- und Norm-Werte verwenden.
  • Metadata Editor: Ebene 2.
    Benutzer dürfen zusätzlich auch den Metadaten Editor und den Analyzer Export Wizard verwenden.
  • zenon Analyzer Management Studio.
    Ebene 3. Benutzer dürfen zusätzlich auch das ZAMS verwenden.

Sind in der Tabelle mehrere Benutzer markiert, so wird die Berechtigungseben des zuletzt gewählten Benutzers angezeigt. Ist kein Benutzer gewählt oder wurde auch der momentan verbundene Benutzer ausgewählt, kann die Berechtigungsebene nicht gesetzt werden.

Details zu den Berechtigungsebenen siehe auch Abschnitt Grundlagen der Benutzer-Zugriffsrechte.

Achtung: Wenn mehrere Benutzer markiert sind, wird bei einer Konfigurationsänderung die geänderte Konfiguration für alle markierten Benutzer gesetzt, unabhängig davon, ob diese derzeit unterschiedliche Konfigurationen aufweisen.

Warnungen

Nur sichtbar, wenn Fehler vorhanden sind. Besteht aus: Warnungssymbol, Text mit Warnhinweis und Schaltfläche zur Anzeige der Details.

Bedingung für Anzeige von Warnungen:

  • Der momentan verbundene Benutzer wurde für eine Konfigurationsänderung ausgewählt.
    Es wird ein Warnhinweis angezeigt. Die Schaltfläche ist nicht sichtbar.
  • Zwei oder mehr der ausgewählten Benutzer haben unterschiedliche Konfigurationen. Der Warnhinweis wird angezeigt. Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung.

Achtung: Die Anzeige einer Warnung bedeutet, dass Änderungen der Konfiguration un deren Bestätigung auch Änderungen für Objekte vornimmt, deren ursprüngliche Konfiguration von der hier angezeigten Konfiguration abweicht. Die ursprüngliche Konfiguration geht für diese Objekte dann verloren.

OK

Übernimmt Konfiguration und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Warnungsdetails für unterschiedliche Benutzer-Zugriffsrechte

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Zugriffsrechte Analyzer Anwendungen > Warnungsdetails für unterschiedliche Benutzer-Zugriffsrechte

Wurden Benutzer mit unterschiedlichen Einstellungen für die gemeinsame Konfiguration ausgewählt, dann wird im Dialog zur Konfiguration der Zugriffsrechte ein Warnhinweis eingeblendet. Die Details zur Warnung werden in einem eigenen Fenster angezeigt. In diesem Dialog können keine Eingaben vorgenommen werden:

Option

Beschreibung

Liste der Benutzer

Anzeige aller konfigurierten Benutzer.

Die erste Spalte zeigt ein Symbol mit der Art der Warnung:

  • Grauer Kreis: Vergleichsbasis. Als Basis wird die Konfiguration des zuletzt ausgewählten Benutzers gewählt.
  • Gelbes Dreieck: Unterscheidet sich von der Vergleichsbasis.
  • Grüner Haken: Stimmt mit Vergleichsbasis überein.

Die weiteren Spalten enthalten den Benutzernamen und die Anzeige der jeweiligen Berechtigungsebene.

Schließen

Schließt das Fenster.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Zugriffsrechte Report Launcher

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Zugriffsrechte Report Launcher

Bei den Zugriffsrechten für die Benutzer am Report Launcher wird zwischen 2 Arten von Rechten unterschieden:

  1. Benutzerprofile

    Diese definieren, ob ein Benutzer auf Objekte am Report Launcher und auf die dahinter liegenden SQL Server Reporting Services zugreifen darf und ob er die Konfiguration des Report Launcher und der dahinter liegenden SQL Server Reporting Services verändern darf. Es wird zwischen Benutzern (nur Objektzugriff) und Administratoren (Objektzugriff und Konfigurationsänderungen) unterschieden.

  2. Zugriffsrechte auf Objekte

    Diese definieren, welcher Benutzer mit welchen Rechten auf welche Objekte zugreifen darf.

    Achtung: Die Objektzugriffsrechte kommen erst dann zur Geltung, wenn der zugreifende Benutzer als Benutzer oder Administrator Systemzugriffsrechte hat!

Um die Zugriffsrechte zu konfigurieren:

  1. Öffnen Sie das Ribbon Analyzer-Server.
  2. Wählen Sie in der Ribbon-Gruppe Benutzerverwaltung den Eintrag Report Launcher.
  3. Der Dialog zur Konfiguration der Zugriffsrechte wird geöffnet.
    Dieser verfügt über zwei zu konfigurierende Registerkarten:
    • Benutzerprofil zuordnen
    • Zugriffsrechte definieren

Noch in diesem Kapitel

Benutzerprofil zuordnen

Zugriffsrechte zuordnen

Warnungsdetails für unterschiedliche Berechtigungsebenen


Benutzerprofil zuordnen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Zugriffsrechte Report Launcher > Benutzerprofil zuordnen

Option

Beschreibung

Liste Report Launcher Benutzer

Enthält die aktuell definierten Benutzer der SQL Server Reporting Services am Analyzer Server.

Benutzer können über die Schaltflächen Hinzufügen bzw. Entfernen hinzugefügt oder entfernt werden. Über die Schaltflächen >> bzw. << werden Benutzer zur Liste Report Launcher Administrator verschoben oder von dort hinzugefügt.

Mehrfachauswahl möglich.

Die Rechte des aktuell angemeldeten Benutzers können nicht verändert werden.

Hinzufügen

Hinzufügen eines Benutzers als Report Launcher Benutzers.

Öffnet je nach Konfiguration der Benutzersuche einen Dialog zur Auswahl von Benutzern:

  • Direktabfrage:
    Der Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, wird die Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached:
    Der Dialog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Benutzer, die bereits als Report Launcher Administratoren eingetragen sind, können über diesen Dialog nicht hinzugefügt werden. Diese können über die Schaltfläche << verschoben werden.

Bereits hinzugefügte Benutzer werden im Dialog ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein Benutzer hinzugefügt werden kann.

Entfernen

Löscht die ausgewählten Benutzer ohne Rückfrage aus der Liste.

Liste Report Launcher Administratoren

Enthält die aktuell definierten Administratoren der SQL Server Reporting Services am Analyzer Server.

Benutzer können über die Schaltflächen Hinzufügen bzw. Entfernen hinzugefügt oder entfernt werden. Über die Schaltflächen >> bzw. << werden Benutzer zur Liste Report Launcher Benutzer verschoben oder von dort hinzugefügt.

Mehrfachauswahl möglich.

Hinzufügen

Hinzufügen eines Benutzers als Report Launcher Administrator.

Öffnet je nach Konfiguration der Benutzersuche einen Dialog zur Auswahl von Benutzern:

  • Direktabfrage:
    Der Dialog Benutzer und Benutzergruppen suchen wird geöffnet. Wird ein Benutzer gefunden, wird dieser hinzugefügt. Wird eine Gruppe gefunden, wird die Gruppe hinzugefügt.
  • Benutzer und Gruppen gecached:
    Der Dialog Benutzer und Benutzergruppen auswählen wird geöffnet. Gecachte Benutzer und Gruppen werden zur Auswahl angeboten.

Benutzer, die bereits als Report Launcher Benutzer eingetragen sind, können über diesen Dialog nicht hinzugefügt werden. Diese können über die Schaltfläche >> verschoben werden.

Bereits hinzugefügte Benutzer werden im Dialog ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein Benutzer hinzugefügt werden kann.

Entfernen

Löscht die ausgewählten Benutzer ohne Rückfrage aus der Liste.

Schaltfläche >>

Verschiebt alle markierten Benutzer zur Gruppe der Administratoren.

Schalfläche <<

Verschiebt alle markierten Administratoren zur Gruppe der Benutzer.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Zugriffsrechte zuordnen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Zugriffsrechte Report Launcher > Zugriffsrechte zuordnen

Option

Beschreibung

Objektliste

Darstellung aller Objekte im Report Launcher in einer aufklappbaren Baumstruktur. In der Baumstruktur wird jedem Objekt ein Icon zugeordnet, das seinen Datentyp wiedergibt. Folgende Datentypen werden dargestellt:

  • Ordner
  • Datenquelle
  • Report bzw. verknüpfter Report
  • Anderer Typ

Für jedes Objekt existiert auch ein Symbol, das anzeigt, dass das Objekt seine Konfiguration erbt.

Bearbeitung:

Ist ein Objekt markiert, wird es zur Bearbeitung im rechten Teil des Dialogs freigegeben.

Es können auch mehrere Objekte gleichzeitig bearbeitet werden. Dazu werden Sie durch Aktivierung der vorangestellten Checkbox ausgewählt. Sind mehrere Objekte zum Bearbeiten ausgewählt, wird die Konfiguration des Objekts mit dem alphabetisch niedrigsten Pfad (am weitesten oben in der Baumansicht) dargestellt.

Werden Objekte mit unterschiedlichen Konfigurationen gemeinsam ausgewählt, wird eine Warnung angezeigt.

Alle aufklappen

Klick klappt alle Knoten auf.

Alle reduzieren

Klick klappt alle Knoten ein. Es wird nur noch der Stammordner angezeigt.

Alle auswählen

Aktiviert die Checkboxen aller sichtbaren Elemente.

Auswahl aufheben

Deaktiviert die Checkboxen aller Elemente.

Trennleiste

Linker Bereich (Baum mit Objekten) und rechter Bereich (Konfiguration) sind durch eine Trennleiste getrennt. Um das Verhältnis zwischen beiden Bereichen zu verändern, ziehen Sie die Trennleiste mit der Maus in die gewünschte Richtung.

Zugriffsrechte für dieses Objekt definieren

Aktiv: Die Rechte der Benutzer werden für die ausgewählten Objekte mit den folgenden Konfigurationselementen definiert.

Die Eigenschaften für das Objekt Stamm als oberstes Objekt müssen immer definiert werden.

Zugriffsrechte von übergeordnetem Objekt erben

Aktiv: Die ausgewählten Elemente erben ihre Eigenschaften vom übergeordneten Objekt.

Wird die Konfiguration vererbt, können die Benutzerrechte angezeigt, aber nicht verändert werden.

Achtung: Wird ein Objekt Zugriffsrechte von übergeordnetem Objekt erben eingestellt, so geht dessen zuvor gesetzte eigene Konfiguration verloren. Der Verlust der Konfiguration kann verhindert werden, indem der Dialog abgebrochen wird. Damit gehen aber auch alle anderen bisher vorgenommenen Änderungen verloren.

Konfigurierte Benutzer und deren Zugriffsrechte

Liste aller den ausgewählten Objekten zugeordneten Benutzer und deren Zugriffsrechte. Jeder Benutzer wird in einer eigenen Zeile dargestellt. Es können mehrere Benutzer gleichzeitige ausgewählt werden.

Angezeigt werden:

  • Benutzernamen
  • dem Benutzer zugeordnete Rollen; mehrere Rollen werden durch Beistriche getrennt angezeigt

Rollen

Die Rollen der Benutzer werden mit den Checkboxen unterhalb der Liste festgelegt. Jeder Benutzer kann mehrere Rollen gleichzeitig innehaben.

Sind in der Tabelle mehrere Benutzer markiert, so wird die Konfiguration des zuletzt gewählten Benutzers angezeigt. Jede Änderung wirkt sich dann auf alle markierten Benutzer aus.

Hat ein Benutzer keine Rollen auf einem Objekt inne, wird er beim Setzen der Konfiguration für dieses Objekt als gelöscht betrachtet. Es gibt folgende Rollen:

  • Browser
  • Content Manager
  • My Reports
  • Publisher
  • Report Builder

Nur verfügbar, wenn Zugriffsrechte für dieses Objekt definieren aktiviert wurde.

Hinzufügen

Öffnet den Dialog zum Hinzufügen von Benutzern.

Nur verfügbar, wenn Zugriffsrechte für dieses Objekt definieren aktiviert wurde. Es können nur Benutzer oder Benutzergruppen gewählt werden, die in der Registerkarte Benutzerprofil zuordnen konfiguriert wurden. Bereits hinzugefügte Benutzer werden im Dialog ausgefiltert. Der Dialog wird nur geöffnet, wenn mindestens ein Benutzer hinzugefügt werden kann.

Entfernen

Löscht alle ausgewählten Benutzer aus der Liste.

Nur verfügbar, wenn Zugriffsrechte für dieses Objekt definieren aktiviert wurde.

Browser

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf Ordner und Reports sehen und Reports abonnieren.

Content Manager

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf Content am Report Server verwalten. Das umfasst Ordner, Reports und Quellen.

My Reports

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf:

  • Reports und verknüpfte Reports publizieren
  • Ordner, Reports und Quellen im Ordner Meine Reports eines Benutzers verwalten

Publisher

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf Reports und verknüpfte Reports am Report Server publizieren.

Report Builder

Aktiv: Rolle wird ausgewählten Benutzern zugewiesen.

Benutzer darf Reportdefinitionen sehen und den Report Builder starten.

Warnungen

Nur sichtbar, wenn Fehler vorhanden sind. Besteht aus: Warnungssymbol, Text mit Warnhinweis und Schaltfläche zur Anzeige der Details.

Bedingung für Anzeige von Warnungen:

  • Es sind 2 oder mehrere Objekte in der Baumstruktur markiert, deren Konfigurationen unterschiedlich sind. Der Warnhinweis wird angezeigt. Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung.
  • Alle markierten Objekte in der Baumstruktur haben die selbe Konfiguration, aber zwei oder mehr markierte Benutzer haben unterschiedliche Konfigurationen. Der Warnhinweis wird angezeigt. Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung.

Achtung: Die Anzeige einer Warnung bedeutet, dass Änderungen der Konfiguration un deren Bestätigung auch Änderungen für Objekte vornimmt, deren ursprüngliche Konfiguration von der hier angezeigten Konfiguration abweicht. Die ursprüngliche Konfiguration geht für diese Objekte dann verloren.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

attention Achtung

In dieser Registerkarte sind die Rechte des momentan verbundenen Benutzers nicht gegen Veränderung geschützt. Fehlkonfigurationen bei der Rollenzuweisung können somit dazu führen, dass kein Benutzer mehr über ausreichende Adminmistrationsrechte am Report Server verfügt.


Warnungsdetails für unterschiedliche Berechtigungsebenen

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Benutzerverwaltung und Zugriffsrechte > Zugriffsrechte Report Launcher > Warnungsdetails für unterschiedliche Berechtigungsebenen

Werden Konfigurationen gewählt, die in Konflikt stehen und zum Verlust von bereits festgelegten Konfigurationen führen können, wird im Konfigurationsdialog eine Warnung eingeblendet. Warnungen werden eingeblendet, wenn:

  • 2 oder mehrere Objekte in der Baumstruktur markiert wurden, deren Konfigurationen unterschiedlich sind
  • zwei oder mehr markierte Benutzer unterschiedliche Konfigurationen aufweisen

Unterschiedliche Zugriffsrechte auf Objekte am Report-Server

Wurden mehrere Objekte gleichzeitig zur Konfiguration ausgewählt, die über unterschiedliche Einstellungen verfügen, wird im Konfigurationsdialog eine Warnung angezeigt:

Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung. In diesem Dialog können keine Eingaben vorgenommen werden:

Option

Beschreibung

Liste der Objekte

Anzeige aller ausgewählten Objekte.

Die erste Spalte zeigt ein Symbol mit der Art der Warnung:

  • Grauer Kreis: Vergleichsbasis. Als Basis wird die Konfiguration des Objekts mit dem alphabetisch niedrigsten Pfad (am weitesten oben in der Baumansicht) gewählt.
  • Grüner Haken: Stimmt mit Vergleichsbasis überein.
  • Gelbes Dreieck: Unterscheidet sich von der Vergleichsbasis.

Die zweite Spalte zeigt den Objektpfad an.

In dieser Liste kann jeweils eine Zeile ausgewählt werden. Die Konfigurationsdetails für das ausgewählte Objekt werden im unteren Bereich angezeigt.

Trennleiste

Oberer Bereich (Objekte) und unterer Bereich (Benutzer) sind durch eine Trennleiste getrennt. Um das Verhältnis zwischen beiden Bereichen zu verändern, ziehen Sie die Trennleiste mit der Maus in die gewünschte Richtung.

Zugriffsrechte von übergeordnetem Objekt erben

Symbol zeigt an, ob die Zuordnung des Konfigurationsmodus:

  • Vergleichsbasis ist (Raute) : Vergleichsbasis. Als Basis wird die Konfiguration des Objekts mit dem alphabetisch niedrigsten Pfad (am weitesten oben in der Baumansicht) gewählt.
  • mit Vergleichsbasis übereinstimmt (blauer Kreis)
  • sich von der Vergleichsbasis unterscheidet (gelbes Dreieck)

Die Checkbox zeigt den Konfigurationsmodus an:

  • aktiv: Objekt erbt Konfiguration von übergeordnetem Objekt
  • inaktiv: Objekt wird individuell konfiguriert

Liste der Benutzer und ihrer Rollen

Jede Zeile dieser Tabelle stellt einen Benutzer dar und hat eine der 3 folgenden Hintergrundfarben:

  • Weiß: Der Benutzer ist sowohl in der Vergleichsbasis als auch im gerade betrachten Objekt definiert.
  • Grau: Der Benutzer ist im gerade betrachteten Objekt definiert, in der Vergleichsbasis scheint er jedoch nicht auf.
  • Rot: Der Benutzer ist in der Vergleichsbasis definiert, im gerade betrachteten Objekt scheint er jedoch nicht auf.

Die Tabelle besteht aus den folgenden Spalten:

  • Symbol für den Typ der Zeile auf. Die Symbole entsprechen denenim Bereich Liste der Objekte.
  • Benutzernamen
  • Spalten mit den möglichen Rollen.
    Aktivierte Checkbox: Benutzer hat diese Rolle inne.

Schließen

Schließt das Fenster.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Rollen für Benutzer

Wurden Benutzer mit unterschiedlichen Einstellungen für die gemeinsame Konfiguration ausgewählt, dann wird im Dialog zur Konfiguration der Zugriffsrechte ein Warnhinweis eingeblendet:

Klick auf die Schaltfläche Details öffnet ein Fenster mit Details zur Warnung. In diesem Dialog können keine Eingaben vorgenommen werden:

Option

Beschreibung

Liste der Benutzer

Anzeige aller konfigurierten Benutzer.

Die erste Spalte zeigt ein Symbol mit der Art der Warnung:

  • Raute: Vergleichsbasis. Als Basis wird die Konfiguration des zuletzt ausgewählten Benutzers gewählt.
  • Blauer Kreis: Stimmt mit Vergleichsbasis überein.
  • Gelbes Dreieck: Unterscheidet sich von der Vergleichsbasis.

Die weiteren Spalten enthalten den Benutzernamen und die Anzeige der jeweiligen Rollen.
Aktivierte Checkbox: Benutzer hat diese Rolle inne.

Schließen

Schließt das Fenster.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.


Metadatenbank-Editoren

zenon Analyzer > Metadatenbank-Editoren

im zenon Analyzer stehen Editoren zur Bearbeitung von Metadaten zur Verfügung:

  • Manual Data Editor: Ermöglicht es, in einer zenon Analyzer Metadaten Datenbank die Tabellen für Preis- und Normwerte zu bearbeiten.
  • Metadata Editor: Ermöglicht die Bearbeitung von Benennungen und Beschreibungen diverser Objekte.

Die Anwendungen können aus dem ZAMS, aus dem Startmenü und aus dem Windows Explorer als eigenständige Programme gestartet werden.

Noch in diesem Kapitel

Metadata Editor

Manual Data Editor


Metadata Editor

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor

Der Metadata Editor ermöglicht es:

  • Anlageninformationen einzutragen
  • Anzeigenamen und Beschreibungen für Anlagen, Ereignisklassen, Ereignisgruppen, Benutzer, Projekte, Variablen und Archive anzupassen
  • Effizienzklassenmodelle zu erstellen und zu bearbeiten

Der Metadata Editor wird typischerweise zwischen dem Exportieren der Metadaten mit dem Analyzer Export Wizard und dem Beginn der Reporterstellung mit dem ZAMS eingesetzt.
Der Metadata Editor ist eine eigenständige Anwendung. Diese kann zur Bearbeitung aus ZAMS, aus dem Startmenü oder direkt über die Datei gestartet werden.

info Info

Werden Anzeigenamen von Objekten geändert, kann es nötig sein, Reports aus dem ZAMS heraus neu bereitzustellen oder neu zu konfigurieren. In der Regel genügt es, den Bearbeitungsdialog einmal zu öffnen und wieder zu schließen.

Voraussetzungen

Um den Metadata Editor mit einer Datenbank verwenden zu können, müssen folgende Voraussetzungen erfüllt sein:

  • Die Datenbank muss eine Analyzer Datenbank mindestens in Version 2 und mit gültiger Struktur sein.
  • Der Benutzer muss über die Rechte zum Bearbeiten der Metadaten verfügen.
    Diese Rechte können im ZAMS konfiguriert werden.

ZAMS

Um den Metadata Editor in ZAMS zu öffnen:

  1. Navigieren Sie in ZAMS zum Ribbon Optionen.
  2. Wählen Sie den Eintrag Metadata Editor.

    Der Metadata Editor wird gestartet. Zeitgleich wird Der Dialog zum Herstellen einer Verbindung geöffnet.

Start als Stand-Alone-Anwendung:

  • Wählen Sie im Windows Startmenü den Eintrag COPA-DATA -> Metadata Editor.
    Der Metadata Editor wird gestartet.

info Info

Bei der Konfiguration werden Eingaben in Textfelder evaluiert. Dialoge können nur mit OK bestätigt werden, wenn keine Validierungsfehler vorhanden sind.

Generell gilt:

  • Für Anzeigename, Namen, Referenzen, Identifikationen und Bedeutungen sind verboten: Komma (,) und einfaches Hochkomma (').
  • Für Beschreibungen, Einheiten und Statustext ist verboten: Komma (,).

Fehler werden in Popup-Meldungen erklärt.

Tastenkombinationen

Zur Bedienung der Anwendung stehen Ihnen folgende Tastenkombinationen zur Verfügung:

Tastenkombination | Beschreibung
F1 | Öffnet die Hilfe.
Strg+Umschalt+C | Öffnet den Dialog zur Herstellung einer Datenbankverbindung.
Strg+S | Sichert Änderungen.
Alt+F4 | Beendet den Editor.
Strg+Z | Eingabe rückgängig machen.
Strg+Y | Eingabe wiederholen.

Noch in diesem Kapitel

Verbindung herstellen

Hauptfenster

Aktionen

Menü, Symbolleiste und Statuszeile

Einstellungen


Verbindung herstellen

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Verbindung herstellen

Der Metadata Editor verwaltet seine eigenen Verbindungsprofile. Beim Start werden auch die Verbindungsprofile des ZAMS gelesen. Existieren im Metadata Editor und in ZAMS Profile mit gleichen Namen, so dominiert das Verbindungsprofil des Metadata Editors.

Um den Manual Data Editor mit einer Datenbank zu verbinden:

  1. Starten Sie den Metadata Editor Editor als Stand alone Tool aus dem Startmenü beziehungsweise über die EXE-Datei oder aus den Optionen im ZAMS.
    Bei bereits geöffnetem Metadata Editor wählen Sie im Menü Datei den Befehl Verbindung herstellen.

    Der Dialog zur Verbindung mit einem Server wird geöffnet.

  2. Wählen Sie über Klick auf Verbindungsprofil die gewünschte Verbindung aus oder erstellen Sie analog zur Verbindungskonfiguration des ZAMS eine neue Verbindung

    Hinweis: In diesem Verbindungsdialog wird für gesicherte Verbindung kein Änderungspasswort benötigt.

  3. Klicken Sie auf OK.
    1. Die Verbindung wird hergestellt.
    2. Die Benutzerberechtigung wird vom Lizenzserver abgefragt.
    3. Die Datenbank wird auf Korrektheit geprüft.
      Hinweis: Bei falschen Strukturen oder Versionen wird keine Verbindung hergestellt. Konvertierung ist nur mit ZAMS möglich.
    4. Daten werden geladen.
    5. Lizenz wird geholt.
      Fehler beim Holen der Lizenz werden in einem Pop-up angezeigt.
    6. Die geladenen Daten werden im Manual Data Editor dargestellt.

Hinweis: Beim Verbindungsaufbau gehen nicht gespeicherte Änderungen ohne Warnung verloren.


Hauptfenster

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Hauptfenster

Bereich

Beschreibung

Menüleiste

Menüs zur Bearbeitung und Speicherung der Objekte.

Symbolleiste

Symbole zur Bearbeitung und Speicherung der Objekte.

Fenster Objekttyp

Auswahl des zu bearbeitenden Objekttyps. Zur Verfügung stehen:

  • Anlagenmodellierung:
    Klick zeigt im Fenster Objekt-Auswahl die konfigurierten Anlagenmodelle aus Baum an.
  • Ereignisklassen:
    Klick zeigt im Fenster Objekt-Auswahl Ereignisklassen in einer gefilterten Liste ohne Projektbezug an.
  • Ereignisgruppen:
    Klick zeigt im Fenster Objekt-Auswahl Ereignisgruppen in einer gefilterten Liste ohne Projektbezug an.
  • Benutzer:
    Klick zeigt im Fenster Objekt-Auswahl Benutzer in einer gefilterten Liste ohne Projektbezug an.
  • Projekte:
    Klick zeigt im Fenster Objekt-Auswahl Projekte in einer gefilterten Liste ohne Projektbezug an.
  • Variablen:
    Klick zeigt im Fenster Objekt-Auswahl Variablen in einer gefilterten Liste mit Projektbezug an.
  • Archive:
    Klick zeigt im Fenster Objekt-Auswahl Archive in einer gefilterten Liste mit Projektbezug an.
  • Effizienzklassenmodelle:
    Klick zeigt im Fenster Objekt-Auswahl konfigurierte Effizienzklassenmodelle an. Diese werden im Bearbeitungsbereich erstellt und bearbeitet.
  • Referenzkurven:
    Auswahl von Referenzkurven.

Fenster Objekt-Auswahl

Auswahl der Objekte nach Listenart durch Markierung von Checkboxen oder Markierung der jeweiligen Zeile.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Statusleiste

Anzeige von Statusinformationen zu Verbindung und Aktionen.


Aktionen

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen

Im Metadata Editor können Anzeigenamen und Beschreibungen angepasst und Anlageninformationen eingetragen werden. Es stehen folgende Objekttypen für Änderungen zur Verfügung:

  • Anlagenmodellierung
  • Ereignisklassen
  • Ereignisgruppen
  • Benutzer
  • Projekte
  • Variablen
  • Archive
  • Effizienzklassenmodelle
  • Referenzkurven

Änderungen speichern

Änderungen werden über den Befehl oder das Symbol Änderungen speichern zur Datenbank übertragen und dort gespeichert. Das Übertragen der Änderungen wird überprüft und bei Gelingen bestätigt (Commit). Schlägt eine Änderung für eine Variable fehl, wird die Transaktion rückabgewickelt (Rollback).

attention Achtung

Tritt bei einer der Transaktions-Abschlussoperationen (Rollback oder Commit) ein Fehler auf, kann die Datenbank beschädigt und damit unbrauchbar werden.

Rückgängig machen - Wiederherstellen

Aktionen im Manual Data Editor können rückgängig gemacht bzw. wiederhergestellt werden.

Rückgängig machen

Um Aktionen rückgängig zu machen:

  1. Wählen Sie in der Symbolleiste den Befehl Rückgängig.
  2. Klick direkt auf das Symbol macht die letzte Aktion rückgängig.
  3. Klick auf die Schaltfläche öffnet ein Fenster mit verfügbaren Aktionen:

  4. Markieren Sie die gewünschten Aktionen.

    Es können mehrere zusammenhängende Aktionen von oben (zeitlich zuletzt ausgeführt) nach unten ausgewählt werden.

  5. Die Statuszeile zeigt an, wie viele Aktionen rückgängig gemacht werden.
  6. Klick auf die ausgewählten Aktionen, macht diese rückgängig.

Wiederherstellen

Um Aktionen wiederherzustellen:

  1. Wählen Sie in der Symbolleiste den Befehl Wiederherstellen.
  2. Klick direkt auf das Symbol stellt die letzte rückgängig gemachte Aktion wieder her.
  3. Klick auf die Schaltfläche öffnet ein Fenster mit verfügbaren Aktionen, die rückgängig gemacht wurden:

  4. Markieren Sie die gewünschten Aktionen.

    Es können mehrere zusammenhängende Aktionen von oben (zeitlich zuletzt rückgängig gemacht) nach unten ausgewählt werden.

  5. Die Statuszeile zeigt an, wie viele Aktionen wiederhergestellt werden.
  6. Klick auf die ausgewählten Aktionen, stellt diese wieder her.

Noch in diesem Kapitel

Anlagenmodellierung

Ereignisklassen

Ereignisgruppen

Benutzer

Projekte

Variablen

Archive

Effizienzklassenmodelle

Referenzkurven


Anlagenmodellierung

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Anlagenmodellierung

Für Anlagenmodelle können Metadaten und Anlageninformationen geändert werden. Für die Konfiguration stehen zwei Registerkarten zur Verfügung:

  • Metadaten
  • Anlageninformationen

Symbolleiste und Kontextmenü Anlagenmodellierung

Über die Symbolleiste und ein Kontextmenü, können Knoten erweitert oder reduziert und Checkboxen aktiviert bzw. deaktiviert werden. Die Funktionalität von Symbolleiste und Kontextmenü wirkt sich dabei unterschiedlich aus:

  • Symbole: Wirken auf alle alle Einträge im gesamten Baum. Beim Auswähen/Abwählen werden nur die sichtbaren Elemente berücksichtigt.
  • Befehle im Kontextmenü: Wirkt auf den ausgewählten Knoten und alle seine Unterknoten, unabhängig von ihrer Sichtbarkeit.

Symbolleiste

Die Symbole bedeuten von links nach recht:

Symbol | Beschreibung
Alle Einträge erweitern | Klick erweitert alle Knoten aller Anlagenmodelle.
Alle Einträge schließen | Klick klappt alle Knoten aller Anlagenmodelle ein. Es werden nur noch die Wurzelordner angezeigt.
Alle sichtbaren Einträge wählen | Klick aktiviert alle Checkboxen aller angezeigten Anlagenmodelle und Anlagengruppen. Eingeklappte Zweige werden nicht aktiviert.
Alle Einträge abwählen | Klick deaktiviert alle Checkboxen aller Anlagenmodelle und Anlagengruppen.

Kontextmenü

Rechtsklick auf ein Anlagenmodell oder eine Anlagengruppe öffnet ein Kontextmenü:

Befehl | Beschreibung
Eintrag und alle untergeordneten Einträge erweitern | Erweitert diesen Knoten und alle untergeordneten Elemente.
Eintrag und alle untergeordneten Einträge reduzieren | Klick schließt diesen Knoten und alle untergeordneten Elemente.
Eintrag und alle untergeordneten Einträge wählen | Aktiviert die Checkboxen für den gewählten Eintrag und alle untergeordneten Einträge.
Eintrag und alle untergeordneten Einträge abwählen | Deaktiviert die Checkboxen für den gewählten Eintrag und alle untergeordneten Einträge.

Noch in diesem Kapitel

Metadaten

Anlageninformationen


Metadaten

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Anlagenmodellierung > Metadaten

Um die Metadaten zu ändern:

  1. Wählen Sie im Fenster Objekttyp den Bereich Anlagenmodellierung aus.
  2. Wählen Sie im Fenster Objekt-Auswahl aus dem Baum der Anlagengruppen das gewünschte Objekt aus.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Anlagengruppen.

Die Objekte:

  • werden über Checkboxen ausgewählt
  • können nicht gefiltert werden
  • werden nach folgendem Schema angezeigt:
    Anzeigename: "Beschreibungstext"
  • erhalten einen Asterisk (*) als Suffix, wenn ein Text geändert wurde

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens einer Anlagengruppe.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für Anlagengruppen mit der gleichen übergeordneten Anlagengruppe eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Anlagengruppen.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des in der Liste ersten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Referenzkurve

Auswahl einer Referenzkurve aus Dropdownliste.

Die Auswahl wirkt sich auf alle gewählten Anlagengruppen aus. Es kann auch der Eintrag Keine Referenzgruppe zugeordnet gewählt werden. Damit werden alle Verknüpfungenzu Referenzkurven gelöst.

Wurden für die ausgewählten Anlagengruppen unterschiedliche Referenzkurven konfiguriert, dann wird die Dropdownliste rot umrandet dargestellt.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Anlageninformationen

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Anlagenmodellierung > Anlageninformationen

Um die Anlageninformationen zu ändern:

  1. Wählen Sie im Fenster Objekttyp den Bereich Anlagenmodellierung aus.
  2. Wählen Sie im Fenster Objekt-Auswahl aus dem Baum der Anlagengruppen das gewünschte Objekt aus.

    Hinweis: Sieg können Anlageninformationen auch für mehrere Objekte gleichzeitig ändern.

  3. Sind bereits Anlageninformationen vorhanden, werden diese im Bearbeitungsbereich angezeigt.
  4. Möchten Sie Anlageninformationen neu erstellen, klicken Sie auf die Schaltfläche Neu.
  5. Tragen Sie im Bearbeitungsbereich die gewünschten Informationen ein.

    Beachten Sie dabei:

    • Die Kennung darf nicht leer sein.
    • Jeder Eintrag innerhalb einer Anlagengruppe muss eine eindeutige Kennung haben.
  6. Fügen Sie bei Bedarf weitere Zeilen hinzu.
  7. Löschen Sie nicht benötigte Zeilen mit Klick auf die Schaltfläche X.
  8. Klicken Sie auf die Schaltfläche Anwenden.
  9. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Anlagengruppen.

Die Objekte:

  • werden über Checkboxen ausgewählt
  • können nicht gefiltert werden
  • werden nach folgendem Schema angezeigt:
    Anzeigename: "Beschreibungstext"
  • erhalten einen Asterisk (*) als Suffix, wenn ein Text geändert wurde

Bearbeitungsbereich

Jede Zeile im Bearbeitungsbereich entspricht einem Eintrag in der Tabelle EQUIPMENTINFO, der der gerade gewählten Anlagengruppe zugeordnet ist. Es können auch mehrere Anlagengruppen ausgewählt werden.

Werden mehrere Anlagengruppen mit unterschiedlichen Einträgen ausgewählt, dann wird am unteren Rand des Bearbeitungsbereichs eine Warnung angezeigt. Es werden dann die Einträge der Anlagengruppe mit der niedrigsten ID, die mehr als 0 Einträge hat, angezeigt.

Symbol: Neu

Klick auf Schaltfläche fügt eine neue Zeile hinzu.

Eine Zeile besteht aus folgenden Elementen:

  • Kennung (verpflichtend)
  • Textwert (optional)
  • Numerischer Wert (optional)
  • Maßeinheit (optional)

Kennung

Eingabe der Kennung für den Eintrag. Dabei gelten folgende Regeln:

  • Kennung darf nicht leer sein.
  • Jeder Eintrag innerhalb einer Anlagengruppe muss eine eindeutige Kennung haben.

Textwert

Eingabe eines Textwerts für den Eintrag.

Kann über Checkbox aktiviert/deaktiviert werden.

Numerischer Wert

Eingabe eines numerischen Werts für den Eintrag. Dabei gelten folgende Regeln:

  • Ist diese Option Wert aktiviert, muss hier eine gültige Gleitkommazahl stehen.

Kann über Checkbox aktiviert/deaktiviert werden.

Maßeinheit

Eingabe einer Einheit für den Eintrag.

Kann über Checkbox aktiviert/deaktiviert werden.

X

Klick auf Symbol löscht Zeile aus der Liste.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde. Eine Regelverletzung wird durch das Ändern der Hintergrundfarbe des Eingabefeldes und einen Tooltip angezeigt.


Ereignisklassen

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Ereignisklassen

Um Änderungen für Ereignisklassen vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Ereignisklassen aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Ereignisklassen.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Ereignisklassen.

Gefiltert werden kann nach:

  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens einer Ereignisklasse.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für die gesamte Datenbank eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Ereignisklassen.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Ereignisgruppen

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Ereignisgruppen

Um Änderungen für Ereignisgruppen vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Ereignisgruppen aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Ereignisgruppen.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Ereignisklassen.

Gefiltert werden kann nach:

  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens einer Ereignisgruppe.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für die gesamte Datenbank eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Ereignisgruppen.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Benutzer

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Benutzer

Um Änderungen für Benutzer vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Benutzer aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Benutzer.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Benutzer.

Gefiltert werden kann nach:

  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens eines Benutzers.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für die gesamte Datenbank eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Benutzern.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Projekte

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Projekte

In dieser Registerkarte können Sie vorhandene zenon Projekte verwalten sowie neue Projekte einfügen und verwalten.

Projekt einfügen

Um den zenon Analyzer mit Fremddatenbanken zu verwenden, benötigen Sie eventuell ein eigenes Projekt. Dieses können Sie im Metadata Editor anlegen und verwalten.

Achtung: Selbst erstellte Projekte können nicht mehr aus der Datenbank gelöscht werden.

Um ein Projekt einzufügen:

  1. Klicken Sie im Fenster Objekt-Auswahl auf die Schaltfläche zum Hinzufügen (grünes Pluszeichen).

    In der Liste der Projekte wird eine neue Zeile eingefügt.

    Die Kennung wird vom Metadata Editor vorgegeben und kann nicht geändert werden.

  2. Passen Sie Anzeigename und/oder Beschreibung an.
  3. Klicken Sie auf die Schaltfläche Anwenden.

    Das Projekt wird in die Datenbank eingetragen.

Projekte verwalten

Für alle Projekte können Anzeigename und Beschreibung geändert werden.

Um Projekte zu verwalten:

  1. Wählen Sie im Fenster Objekttyp den Bereich Projekte aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.

    Alle Änderungen werden rot hervorgehoben.

  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Dialog Projekte

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Projekte.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Projekte.

Gefiltert werden kann nach:

  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Hinzufügen
(Pluszeichen)

Erstellt in der Liste der Projekte ein neues Projekt. Die Kennung wird dabei fest vorgegeben. Das neue Projekt kann nach dem Speichern nicht mehr gelöscht werden.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens eines Projekts.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss für die gesamte Datenbank eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Projekten.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Variablen

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Variablen

Um Änderungen für Variablen vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Variablen aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Variablen.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)
  • Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Variablen.

Gefiltert werden kann nach:

  • Projekt
  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens einer Variablen.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss innerhalb eines Projekts eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Variablen.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Archive

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Archive

Um Änderungen für Archive vorzunehmen:

  1. Wählen Sie im Fenster Objekttyp den Bereich Archive aus.
  2. Filtern Sie bei Bedarf die Liste im Fenster Objekt-Auswahl.

    Markieren Sie den gewünschten Eintrag.

    Hinweis: Die Beschreibung können Sie auch für mehrere Objekte gleichzeitig ändern.

  3. Tragen Sie im Bearbeitungsbereich die gewünschten Änderungen für Anzeigename und/oder Beschreibung ein.
  4. Klicken Sie auf die Schaltfläche Anwenden.
  5. Klicken Sie auf das Symbol Änderungen speichern, um die Änderungen in die Datenbank zu schreiben.

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen.

Fenster Objekt-Auswahl

Auswahl der zu ändernden Archive.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)
  • Jede Zeile ist ein Eintrag.

Filter

Eingabe von Filterkriterien für die Liste der Ereignisklassen.

Gefiltert werden kann nach:

  • Projekt
  • Kennung
  • Anzeigename
  • Beschreibung

Es können Wildcards verwendet werden:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Anzeigename

Eingabe zur Änderung des Anzeigenamens eines Archivs.

Nur verfügbar, wenn genau 1 Element ausgewählt wurde. Für den Anzeigenamen gelten folgende Regeln:

  • darf nicht leer sein
  • muss innerhalb eines Projekts eindeutig sein

Beschreibung

Eingabe zur Änderung der Beschreibung von Archiven.

Hinweis: Werden mehrere Objekte mit unterschiedlichen Beschreibungen zur Änderung ausgewählt, dann wird die ursprüngliche Beschreibung des zuletzt gewählten Elements rot markiert angezeigt. Änderungen wirken sich auf alle markierten Objekte aus.

Anwenden

Klick auf Schaltfläche übernimmt die Änderungen. Diese werden erst mit Klick auf den Befehl oder das Symbol Änderungen speichern in die Datenbank geschrieben.

Nur verfügbar, wenn eine Änderung gemacht und keine Regel verletzt wurde.


Effizienzklassenmodelle

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Effizienzklassenmodelle

Effizienzklassenmodelle werden im Fenster Objekt-Auswahl verwaltet. Im Bearbeitungsbereich werden die zugehörigen Metadaten bearbeitet sowie Effizienzklassen erstellt und bearbeitet.

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen. Für Effizienzklassenmodelle klicken Sie auf das Symbol im Baum.

Fenster Objekt-Auswahl

Auswahl der zu bearbeitenden Effizienzklassenmodelle.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Effizienzklassenmodelle verwalten

Im Fenster Objekt-Auswahl werden Effizienzklassenmodelle angezeigt. Sie können gefiltert werden sowie neu erstellt, dupliziert und gelöscht werden.

Legende:

  • : neu
  • : duplizieren
  • : löschen

Filter

Option

Beschreibung

Filter

Gefiltert werden kann nach:

  • Anzeigename: Filterung nach Anzeigename. Nutzung von Wildcards möglich.
  • Maßeinheit: Filterung nach Maßeinheit. Nutzung von Wildcards möglich.
  • Normalisierung: Filterung auf Zeitnormalisierung. Auswahl aus Dropdownliste.

Filterung mit Wildcards:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Liste Effizienklassenmodelle

Liste Effizienklassenmodelle

Listet alle vorhandenen Effizienzklassenmodelle auf. Für jedes Modell werden angezeigt:

  • Anzeigename:
    Name, mit dem das Modell angezeigt wird.
  • Maßeinheit:
    Gewählte Maßeinheit
  • Normalisierung:
    Gewählte Zeitnormalisierung
  • Anzahl der Effizienzklassen:
    Menge der im Modell enthaltenen Effizienzklassen.

Es können mehrere Modelle gleichzeitig ausgewählt werden. Für ausgewählte Modelle können im Bearbeitungsbereich:

  • Metadaten konfiguriert werden
  • Effizienzklassen erstellt und bearbeitet werden

Symbol: Neu

Aktiv, wenn eine Verbindung zur Datenbank besteht.

Klick erstellt eine neue Zeile zur Konfiguration eines neuen Effizienzklassenmodells, setzt einen eventuell bestehenden Filter zurück und wählt das neue Modell zur Bearbeitung aus.

Symbol: Duplizieren

Aktiv, wenn eine Verbindung zur Datenbank besteht und mindestens ein Modell ausgewählt wurde.

Erstellt von allen ausgewählten Modellen ein Duplikat und öffnet den Dialog zur Konfiguration der duplizierten Modelle. Nach Bestätigung des Dialogs mit OK wird die Duplizierung durchgeführt, ein eventuell bestehender Filter wird zurückgesetzt und die duplizierten Modelle werden zur Bearbeitung ausgewählt.

Symbol: Löschen

Aktiv, wenn eine Verbindung zur Datenbank besteht und mindestens ein Modell ausgewählt wurde.

Löscht die ausgewählten Modelle ohne Sicherheitsabfrage.

Noch in diesem Kapitel

Metadaten

Effizienzklassen

Effizienzklassenmodelle duplizieren


Metadaten

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Effizienzklassenmodelle > Metadaten

Metadaten für die Effizienzklassenmodelle werden im Fenster Bearbeitungsbereich in der Registerkarte Metadaten konfiguriert.

Die Eingaben gelten immer für alle ausgewählten Effizienzklassenmodelle.
Felder, die für unterschiedliche Modelle unterschiedliche Konfigurationen aufweisen, werden rot markiert.

Option | Beschreibung
Anzeigename | Der Anzeigename darf nicht leer sein und muss datenbankweit eindeutig sein. Änderung ist nur möglich, wenn genau ein Effizienzklassenmodell ausgewählt wurde.
Maßeinheit | Konfiguration der Einheit der ausgewählten Effizienzklassenmodelle. Wurden mehrere Modelle mit unterschiedlichen Einheiten ausgewählt, wird das durch die ändert Schriftfarbe Rot angezeigt.
Normalisierung | Konfiguration der Zeitnormalisierung der ausgewählten Effizienzklassenmodelle. Wurden mehrere Modelle mit unterschiedlichen Zeitnormalisierungen ausgewählt, wird das durch einen roten Rahmen angezeigt.
Anwenden | Nur aktiv, wenn eine Änderung vorgenommen wurde und der Anzeigenamen gültig bzw. das Eingabefeld für den Anzeigename deaktiviert ist. Klick auf die Schaltfläche speichert die Änderungen für die ausgewählten Effizienzklassenmodelle. Achtung: Ungespeicherte Änderungen in der Registerkarte Effizienzklassen gehen dabei verloren.


Effizienzklassen

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Effizienzklassenmodelle > Effizienzklassen

Effizienzklassen für die Effizienzklassenmodelle werden im Fenster Bearbeitungsbereich in der Registerkarte Effizienklassen konfiguriert.

Die Eingaben gelten immer für alle ausgewählten Effizienzklassenmodelle.
Weisen unterschiedliche Modelle unterschiedliche Konfigurationen auf, wird dies mit einer Meldung neben der Schaltfläche Anwenden angezeigt.

Legende:

  • : neu
  • : löschen

Konfiguration:

Option

Beschreibung

Symbol: Neu

Klick auf Schaltfläche fügt eine neue Effizienzklasse mit Ober- und Untergrenze ein.

Anzeigename

Eingabe des Anzeigenamens der Effizienzklasse. Dieser muss innerhalb eines Modells eindeutig sein.

Untere Grenze

Konfiguration der Untergrenze.

Es gibt für jedes Modell genau eine Klasse ohne Untergrenze.

Höchster Wert

Konfiguration der Obergrenze.

Es gibt für jedes Modell genau eine Klasse ohne Obergrenze.

Farbe der Effizienzklasse

Konfiguration und Vorschau der Farbe für die Effizienzklasse.

  • Feld Vorschau: Zeigt die aktuell konfigurierte Farbe an.
  • Schaltfläche Farbe: Klick öffnet Farbpalette zur Auswahl einer Farbe. Wird dieser Dialog mit Klick auf OK beendet, wird die ausgewählte Farbe übernommen.

Symbol: Löschen

Nur für Effizienzklassen mit Ober- und Untergrenze vorhanden. Klick auf die Schaltfläche löscht die Effizienzklasse der dazugehörigen Zeile ohne Sicherheitsabfrage.

Anwenden

Nur aktiv, wenn eine Änderung vorgenommen wurde und die Anzeigenamen aller Effizienzklassen je Modell eindeutig und nicht leer sind.

Klick auf die Schaltfläche validiert die Eingaben. Werden keine Validierungsfehler entdeckt, so werden die konfigurierten Effizienzklassen für die ausgewählten Effizienzklassenmodelle gespeichert.

Achtung: Ungespeicherte Änderungen in der Registerkarte Metadaten gehen dabei verloren.

Hinweis: Die Warnung neben der Schaltfläche ist nur sichtbar, wenn Effizienzklassenmodelle mit unterschiedlichen Effizienzklassenkonfigurationen ausgewählt wurden.

Validierung

Beim Klick auf die Schaltfläche werden vor dem Speichern folgende Validierungen vorgenommen:

  • Alle Effizienzklassen werden auf gültige Bereiche überprüft: Obergrenze > Untergrenze, wenn beide vorhanden.
  • Es wird auf Grenzkollisionen geprüft.
    Kollision: 2 Klassen haben gleiche Obergrenze oder gleiche Untergrenze.
  • Prüfung, ob alle Effizienzklassen bündig aneinander anschließen:
    • Beginnend mit Klasse ohne Untergrenze.
    • Aufsteigend geordnet bis Klasse ohne Obergrenze.
    • Es darf keine Überschneidungen oder Lücken geben.

Werden Validierungsfehler entdeckt, so werden diese als Fehlermeldung in einem Popup dargestellt.


Effizienzklassenmodelle duplizieren

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Effizienzklassenmodelle > Effizienzklassenmodelle duplizieren

Mit Klick auf das Symbol Duplizieren im Fenster Objekt-Auswahl der Effizienzklassenmodelle wird ein Dialog mit den zu duplizierenden Effizienzklassenmodellen geöffnet. Diese können hier konfiguriert werden. Es können auch weitere Modelle zum Duplizieren hinzugefügt werden.

Zum Duplizieren werden im linken Bereich des Dialog die gewählten Ausgangsmodelle angezeigt. Im rechten Bereich können die dazugehörigen Duplikate konfiguriert werden.

Legende:

  • : löschen

Konfiguration:

Option

Beschreibung

Augangsmodell

Anzeige des Anzeigenamens des Ausgangsmodells für das Duplikat.
Für alle im Dialog Effizienzklassenmodelle ausgewählten Modelle ist bereits eine Zeile eingetragen.

Es können weitere Modelle zum Duplizieren hinzugefügt werden.

Dazu wählen Sie im leeren Eintrag der letzten Zeile ein Modell aus der Dropdownliste aus.
Damit werden alle weiteren Eingabefelder dieser Zeile aktiviert und sichtbar. Wenn es danach keine Zeile für ein neues Duplikat gibt, wird eine neue Zeile für ein neues Duplikat eingefügt.

Maßeinheit

Anzeige der Maßeinheit des Ausgangsmodells.

Normalisierung

Anzeige der Zeitnormalisierung des Ausgangsmodells.

Neues Modell

Eingabe des Anzeigenamens des Duplikats.
Dabei gilt:

  • Der Name muss datenbankweit eindeutig sein.
  • Der Initialwert ist der Anzeigename des Ausgangsmodells mit einem angehängten Zähler.

Maßeinheit

Eingabe der Maßeinheit des Duplikats.
Dabei gilt:

  • Der Initialwert ist die Maßeinheit des Ausgangsmodells.

Normalisierung

Konfiguration der Zeitnormalisierung des Duplikats.
Dabei gilt:

  • Der Initialwert ist die Normalisierung des Ausgangsmodells.
  • Wird diese Einstellung verändert, so wird das Feld Anpassungsfaktor für Klasse neu initialisiert.

Anpassungsfaktor für Klasse

Konfiguration des Anpassungsfaktors für die Klassengrenzen im Duplikatsmodell über ein Zahlenelement.

Beim Duplizieren werden die Klassen im Duplikatsmodell wie folgt generiert:

  • Die Klassen aus dem Ausgangsmodell werden dupliziert.
  • Anschließend werden ihre Grenzen mit dem hier eingestellten Faktor multipliziert.

Bei der Initialisierung wird der Faktor wie folgt errechnet:
[Minuten des Normalisierungsintervalls im Ausgangsmodell]/[Minuten des Normalisierungsintervalls im Duplikat]
Dabei gilt folgendes:

  • Eine Stunde hat 60 Minuten
  • Ein Tag hat 24 Stunden = 1440 Minuten
  • Eine Woche hat 7 Tage = 7 * 1440 Minuten
  • Ein Monat hat 30 Tage = 30 * 1440 Minuten
  • Ein Quartal hat 90 Tage = 90 * 1440 Minuten
  • Ein Jahr hat 365 Tage = 365 * 1440 Minuten

Symbol: Löschen

Klick auf Schaltfläche löscht die dazugehörige Duplikatskonfiguration ohne Sicherheitsabfrage.

OK

Übernimmt Konfiguration, schließt Dialog und zeigt Duplikate im Dialog Effizienzklassenmodelle an.

Abbrechen

Bricht die Duplizierung ab und schließt den Dialog.


Referenzkurven

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Referenzkurven

Referenzkurven werden im Fenster Objekt-Auswahl verwaltet. Im Bearbeitungsbereich werden die zugehörigen Metadaten bearbeitet sowie Referenzkurven erstellt und bearbeitet.

Option

Beschreibung

Fenster Objekttyp

Auswahl des Objekttyps, dessen Objekte geändert werden sollen. Für Referenzkurven klicken Sie auf das Symbol im Baum.

Fenster Objekt-Auswahl

Auswahl der zu bearbeitenden Referenzkurvenmodelle.

Die Objekte:

  • können gefiltert werden
  • werden über Klick auf die Zeile ausgewählt
    (Mehrfachauswahl ist möglich)
  • werden rot markiert, wenn sie geändert wurden
    (Die Markierung bleibt auch erhalten, wenn die Änderung rückgängig gemacht wird.)

Jede Zeile ist ein Eintrag.

Bearbeitungsbereich

Eingabe und Übernahme der Änderungen.

Referenzkurven verwalten

Im Fenster Objekt-Auswahl werden Referenzkurvenmodelle angezeigt. Sie können gefiltert werden sowie neu erstellt und gelöscht werden.

Legende:

  • : neu
  • : löschen

Filter

Option

Beschreibung

Filter

Gefiltert werden kann nach:

  • Anzeigename:
    Filterung nach Anzeigename.
  • Beschreibung:
    Filterung nach Beschreibung.
  • Indikatorname für X-Achse:
    Filterung nach Indikatorname der X-Achse.
  • Maßeinheit der X-Achse:
    Filterung nach Maßeinheit der X-Achse.
  • Indikatorname für Y-Achse:
    Filterung nach Indikatorname der Y-Achse.
  • Maßeinheit für Y-Achse:
    Filterung nach Maßeinheit der Y-Achse.

Für die Filter ist die Nutzung von Wildcards möglich.
Filterung mit Wildcards:

  • *: beliebige Anzahl beliebiger Zeichen
  • ?: genau 1 beliebiges Zeichen.

Enthält ein Filtertext keine Wildcard, wird automatisch * angehängt.

Anwenden

Wendet Filter auf Liste an.

Löschen

Setzt Filter zurück.

Liste Referenzkurvenmodelle

Liste Referenzkurvenmodelle

Listet alle vorhandenen Referenzkurvenmodelle auf. Für jedes Modell werden angezeigt:

  • Anzeigename:
    Name, mit dem das Referenzkurvenmodell angezeigt wird.
  • Beschreibung:
    Beschreibung.
  • Indikatorname der X-Achse:
    Indikatorname der X-Achse.
  • Maßeinheit der X-Achse:
    Gewählte Maßeinheit der X-Achse.
  • Indikatorname der Y-Achse:
    Indikatorname der Y-Achse.
  • Maßeinheit der Y-Achse:
    Gewählte Maßeinheit der Y-Achse.

Es können mehrere Referenzkurvenmodelle gleichzeitig ausgewählt werden. Für ausgewählte Modelle können im Bearbeitungsbereich:

  • Metadaten konfiguriert werden
  • Werte der Referenzkurven erstellt und bearbeitet werden

Symbol: Neu

Aktiv, wenn eine Verbindung zur Datenbank besteht.

Klick erstellt eine neue Zeile zur Konfiguration eines neuen Referenzkurvenmodells, setzt einen eventuell bestehenden Filter zurück und wählt das neue Referenzkurvenmodell zur Bearbeitung aus.

Symbol: Löschen

Aktiv, wenn eine Verbindung zur Datenbank besteht und mindestens ein Modell ausgewählt wurde.

Löscht die ausgewählten Referenzkurvenmodelle ohne Sicherheitsabfrage.

Noch in diesem Kapitel

Metadaten

Werte der Referenzkurve


Metadaten

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Referenzkurven > Metadaten

Metadaten für die Referenzkurven werden im Fenster Bearbeitungsbereich in der Registerkarte Metadaten konfiguriert.

Die Eingaben gelten immer für alle ausgewählten Referenzkurvenmodelle.
Felder, die für unterschiedliche Modelle unterschiedliche Konfigurationen aufweisen, werden rot markiert.

Option | Beschreibung
Anzeigename | Der Anzeigename darf nicht leer sein und muss datenbankweit eindeutig sein. Änderung ist nur möglich, wenn genau ein Referenzkurvenmodell ausgewählt wurde.
Beschreibung | Beschreibung der Referenzkurve.
Indikatorname für X-Achse | Indikatorname der X-Achse für die ausgewählten Referenzkurvenmodelle.
Maßeinheit der X-Achse | Einheit der X-Achse für die ausgewählten Referenzkurvenmodelle.
Indikatorname für Y-Achse | Indikatorname für die Y-Achse.
Maßeinheit für Y-Achse | Einheit der Y-Achse für die ausgewählten Referenzkurvenmodelle.
Anwenden | Nur aktiv, wenn eine Änderung vorgenommen wurde und der Anzeigenamen gültig bzw. das Eingabefeld für den Anzeigename deaktiviert ist. Klick auf die Schaltfläche speichert die Änderungen für die ausgewählten Referenzkurvenmodelle. Achtung: Ungespeicherte Änderungen in der Registerkarte Werte der Referenzkurve gehen dabei verloren.

info Info

Wurden mehrere Referenzkurvenmodelle zur Konfiguration ausgewählt und unterscheiden sich deren Werte, wird das über die Schriftfarbe Rot in der jeweiligen Eigenschaft angezeigt. Beim Anwenden der Änderungen werden alle gewählten Anlagengruppen mit dem neuen Wert überschrieben.


Werte der Referenzkurve

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Aktionen > Referenzkurven > Werte der Referenzkurve

In dieser Registerkarte werden Eingabe der Stützpunkte der Referenzkurve konfiguriert.

Die Eingaben gelten immer für alle ausgewählten Referenzkurvenmodelle.
Wurden Modelle mit unterschiedlichen Werten ausgewählt, erfolgt ein Hinweis neben der Schaltfläche Anwenden.

Option

Beschreibung

Tabelle Kurveneingabe

Tabelle zur Kurveneingabe mit Spalten für:

  • Horizontalwert (X-Achse )
  • Vertikalwert (Y-Achse)

Tabelle bearbeiten:

  • Zeile hinzufügen: Tragen Sie einen Wert in die unterste Zeile in der Zelle Wert für Horizontalwert ein. Damit wird darunter eine neue Zeile erstellt.
  • Löschen: Klicken Sie in die äußerst linke Zelle der Zeile. Die Zeile wird markiert. Drücken Sie die Entfernen-Taste.

Für die Konfiguration der Tabelle gilt:

  • Werte für Horizontalwert müssen in der Tabelle eindeutig und aufsteigend sein.
  • Es dürfen keine leeren Zellen vorhanden sein, ausgenommen die unterste Zeile.
  • Eingegebene Werte müssen sich auf Gleitkommazahlen mit doppelter Genauigkeit umrechnen lassen.

Vorschau

Klick auf die Schaltfläche zeigt die konfigurierten Werte als Vorschaubild an.

Vorschaubereich

Mit Klick auf die Schaltfläche Vorschau werden die Tabelleninhalte validiert und eine Vorschau auf das Diagramm angezeigt.

Anwenden

Nur aktiv, wenn eine Änderung vorgenommen wurde.

Klick auf die Schaltfläche validiert die Eingaben. Werden keine Validierungsfehler entdeckt, so werden die konfigurierten Referenzkurven für die ausgewählten Referenzkurvenmodelle gespeichert.

Achtung: Ungespeicherte Änderungen in der Registerkarte Metadata gehen dabei verloren.

Hinweis: Die Warnung neben der Schaltfläche ist nur sichtbar, wenn Referenzkurvenmodelle mit unterschiedlichen Referenzkurvenkonfigurationen ausgewählt wurden.


Menü, Symbolleiste und Statuszeile

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Menü, Symbolleiste und Statuszeile

Menü und Symbolleiste bieten eine Reihe von Befehlen zur Verwaltung des Metadata Editors.

Hinweis: Das Menü steht nur zur Verfügung, wenn der Metadata Editor als EXE-Datei aus ZAMS gestartet wird, aber nicht für das Control in der zenon Runtime.

Menü

Datei

Befehle für allgemeine Operationen.

Eintrag | Beschreibung
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Nicht gespeicherte Änderungen werden dann ohne weitere Rückfrage verworfen.
Änderungen übernehmen | Speichert alle vorgenommenen Änderungen in der Datenbank.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle seit der letzten Speicherung vorgenommenen Änderungen.
Einstellungen | Öffnet den Dialog für die Konfiguration der Einstellungen.
Beenden | Beendet den Manual Data Editor.

Bearbeiten

Befehle für Wiederholen und Rückgängigmachen von Aktionen.

Eintrag | Beschreibung
Rückgängig | Macht letzte Aktion rückgängig.
Wiederholen | Stellt letztes Rückgängig wieder her

Hilfe

Link zu Hilfe und Versionsinformation.

Eintrag | Beschreibung
Versionshinweis | Öffnet ein Fenster mit Informationen zur aktuellen Version.
Hilfe | Öffnet die Online-Hilfe.

Symbolleiste

Symbol | Beschreibung
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Nicht gespeicherte Änderungen werden dann ohne weitere Rückfrage verworfen.
Änderungen speichern | Speichert alle vorgenommenen Änderungen.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle seit der letzten Speicherung vorgenommenen Änderungen.
Rückgängig | Klick auf Symbol macht letzte Aktion rückgängig. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von Aktionen, die rückgängig gemacht werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block rückgängig gemacht werden.
Wiederherstellen | Klick auf Symbol stellt letztes Rückgängig wieder her. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von rückgängig gemachten Aktionen, die wiederhergestellt werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block wiederhergestellt werden.

Statuszeile

Informiert über Verbindung und Objekte.
Trennzeichen: |

Element

Beschreibung

Symbol

Zeigt den Verbindungsstatus an.

Mögliche Status sind:

  • Keine Verbindung hergestellt
  • Verbindung hergestellt aber der Analyzer Server hat keine gültige Lizenz
  • Verbindung hergestellt und der Analyzer Server hat eine gültige Lizenz
  • Abgesicherte Verbindung hergestellt, gültige Lizenz
  • Abgesicherte Verbindung hergestellt, ungültige Lizenz

Verbindungsinformation

Information zur aktiven Verbindung. Anzeige des Servers und der Datenbank.

Information [Objekte] gesamt

Information zur Anzahl, Auswahl und Status der ausgewählten Objekte.

Trennzeichen: /

Hinweis: Werden Änderungen rückgängig gemacht, dann wird der Zähler für die Anzahl der veränderten Objekte nicht dekremiert sondern behält seinen Wert.

Aktion

Information zur momentanen Aktion


Einstellungen

zenon Analyzer > Metadatenbank-Editoren > Metadata Editor > Einstellungen

In diesem Dialog konfigurieren Sie:

  • Anzahl der erlaubten Verbindungsprofile
  • Verwaltung der Verbindungsprofile
  • Sprache der Oberfläche des Editors

Um die Einstellungen zu konfigurieren:

  1. Öffnen Sie das Menü Datei.
  2. Wählen Sie den Eintrag Einstellungen.

    Der Dialog zur Konfiguration der Einstellungen wird geöffnet.

Dialog Einstellungen

Option

Beschreibung

Maximale Anzahl an Verbindungsprofilen

Legt fest, wie viele Verbindungsprofile für den Editor maximal angelegt werden dürfen:

  • Minimum: 1
  • Maximum: 255
  • Default: 10

Konfiguration durch manuelle Eingabe oder über Klick auf Pfeiltasten.

Hinweis: Da im Dialog für die Verbindungsherstellung auch die ZAMS-Verbindungsprofile dargestellt werden, können in der Dropdownliste zur Auswahl eines Profils mehr als die zugelassenen Verbindungsprofile angezeigt werden.

Verbindungsprofile verwalten

Öffnet den Dialog zur Verwaltung der Verbindungsprofile.

Sprache

Auswahl der gewünschten Sprache für die Oberfläche des Editors aus Dropdownliste.

Timeout für SQL Server-Anweisung

Eingabe des SQL Server Statement Timeouts.

Dieses Timeout tritt in Kraft, wenn ein einzelnes SQL Statement länger als hier definiert läuft, z. B. bei der Sicherung oder Wiederherstellung einer großen Datenbank. Bei neuen Verbindungen wird der aktuell eingestellte Wert für das Timeout verwendet. Wird dieser in den Optionen geändert, dann werden bestehende Verbindungen an den neuen Wert angepasst.

Das Timeout kann auf einen Wert zwischen 1 Minute und 7 Tagen eingestellt werden.

Eingabeelemente:

  • Zahlenelement:
    Eingabe der Quantität direkt in das Feld oder über Pfeiltasten.
    Mögliche Werte für:
    - Tage: 1 - 7
    - Stunden: 1 - 168
    - Minuten: 1 - 10080
  • Dropdownliste für Granularität:
    Mögliche Werte:
    - Minuten
    - Stunden
    - Tage
    Diese Auswahl beeinflusst den Wertbereich des Zahlenelements.

Default: 5 Minuten

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Manual Data Editor

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor

Der Manual Data Editor ermöglicht es, in einer zenon Analyzer Metadaten Datenbank die Tabellen für Preise, Standards und Gradtage zu bearbeiten und diese mit Variablen zu verknüpfen. Der Manual Data Editor ist eine eigenständige Anwendung. Diese kann zur Bearbeitung aus ZAMS, aus dem Startmenü oder direkt über die Datei gestartet werden.

ZAMS

Um den Manual Data Editor in ZAMS zu öffnen:

  1. Navigieren Sie in ZAMS zum Ribbon Optionen.
  2. Wählen Sie den Eintrag Manual Data Editor.

    Der Manual Data Editor wird gestartet. Zeitgleich wird der Dialog zum Herstellen einer Verbindung geöffnet.

Start als Stand-Alone-Anwendung:

  • Wählen Sie im Windows Startmenü den Eintrag COPA-DATA -> Manual Data Editor.
    Der Manual Data Editor wird gestartet.

Tastenkombinationen

Zur Bedienung der Anwendung stehen Ihnen folgende Tastenkombinationen zur Verfügung:

Tastenkombination | Beschreibung
F1 | Öffnet die Hilfe.
Strg+Umschalt+C | Öffnet den Dialog zur Herstellung einer Datenbankverbindung.
Strg+S | Sichert Änderungen.
Alt+F4 | Beendet den Editor.
Strg+Z | Eingabe rückgängig machen.
Strg+Y | Eingabe wiederholen.

Noch in diesem Kapitel

Verbindung herstellen

Hauptfenster

Konfiguration

Aktionen

Einstellungen


Verbindung herstellen

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Verbindung herstellen

Der Manual Data Editor verwaltet seine eigenen Verbindungsprofile. Beim Start werden auch die Verbindungsprofile des ZAMS gelesen. Existieren im Manual Data Editor und in ZAMS Profile mit gleichen Namen, so dominiert das Verbindungsprofil des Manual Data Editor.

Um den Manual Data Editor mit einer Datenbank zu verbinden:

  1. Starten Sie den Manual Data Editor Editor als Stand alone Tool aus dem Startmenü beziehungsweise über die EXE-Datei oder aus den Optionen im ZAMS.
    Bei bereits geöffnetem Manual Data Editor wählen Sie im Menü Datei den Befehl Verbindung herstellen.

    Der Dialog zur Verbindung mit einem Server wird geöffnet.

  2. Wählen Sie über Klick auf Verbindungsprofil die gewünschte Verbindung aus oder erstellen Sie analog zur Verbindungskonfiguration des ZAMS eine neue Verbindung.

    Hinweis: In diesem Verbindungsdialog wird für gesicherte Verbindung kein Änderungspasswort benötigt.

  3. Klicken Sie auf OK.
    1. Die Verbindung wird hergestellt.
    2. Die Benutzerberechtigung wird vom Lizenzserver abgefragt.
    3. Die Datenbank wird auf Korrektheit geprüft.
      Hinweis: Bei falschen Strukturen oder Versionen wird keine Verbindung hergestellt. Konvertierung ist nur mit ZAMS möglich.
    4. Daten werden geladen.
    5. Lizenz wird geholt.
      Fehler beim Holen der Lizenz werden in einem Pop-up angezeigt.
    6. Die geladenen Daten werden im Manual Data Editor dargestellt.

Hinweis: Beim Verbindungsaufbau gehen nicht gespeicherte Änderungen ohne Warnung verloren.


Hauptfenster

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Hauptfenster

Das Hauptfenster zeigt die in der aktuell verbundenen Datenbank vorhandenen Definitionen oder Variablen für die jeweils geöffnete Registerkarte.
Zur Verfügung stehen:

  • Preis (Definitionen)
  • Standard (Definitionen)
  • Gradtag (Definitionen)
  • Variable (Variablen)

Alle Einträge können sortiert und gefiltert werden. Beim Start wird die Registerkarte Preis angezeigt. Alle vorhandenen Daten werden ungefiltert dargestellt.

Bereich

Beschreibung

Menüzeile

Menüpunkte für:

  • Datei: Einträge für Verbindung herstellen, Änderungen verwalten, Einstellungen und Manual Data Editor beenden.
  • Bearbeiten: Einträge für Eingaben rückgängig machen und Eingaben wiederholen.
  • Hilfe: Versionshinweis und Link zur Online-Hilfe.

Symbolleiste

Ermöglicht folgende Aktionen:

  • Verbindung herstellen: Öffnet Dialog zum Herstellen einer Verbindung
  • Änderungen übernehmen: Speichert vorgenommene Änderungen.
  • Änderungen verwerfen: Verwirft vorgenommene Änderungen.
  • Rückgängig: Macht die letzte Aktion rückgängig.
  • Wiederholen: Wiederholt die letzte Aktion.

Liste Definitionen/Variablen

Anzeige und Konfiguration der konfigurierten Preisverläufe, Standards, Gradtagdefinitionen oder Variablen, abhängig von der aktuellen Registerkarte.

Trennleiste horizontal

Ermöglicht das Verschieben der Größenverhältnisse per Maus zwischen Liste und Einträge.

Einträge

Anzeige und Konfiguration der Einträge, abhängig von der ausgewählten Registerkarte und Variablen.

Dezimalstellen werden bis maximal 3 Stellen angezeigt.

Diagramm

Visualisierung der in Einträge konfigurierten Daten.
Das Diagramm wird nach jeder Änderung der Werte automatisch aktualisiert.

Trennleiste vertikal

Ermöglicht das Verschieben der Größenverhältnisse per Maus zwischen Liste der Einträge und Diagramm.

Statuszeile

Hinweis auf Verbindung und aktuelle Aktion.

  • Symbol: Zeigt den Verbindungsstatus an.
  • Text: Gibt Verbindungsstatus inklusive verbundenem Server und verbundener Datenbank an.
  • Text: Anzeige der Anzahl der Objekte für Gesamtanzahl, gefiltert und ausgewählt.
  • Text: Aktueller Vorgang.

Noch in diesem Kapitel

Menü, Symbolleisten und Statuszeile


Menü, Symbolleisten und Statuszeile

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Hauptfenster > Menü, Symbolleisten und Statuszeile

Menü und Symbolleiste bieten eine Reihe von Befehlen zur Verwaltung des Manual Data Editors und der Filterregeln.

Menü

Datei

Befehle für allgemeine Operationen.

Eintrag | Beschreibung
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Nicht gespeicherte Änderungen werden dann ohne weitere Rückfrage verworfen.
Änderungen übernehmen | Speichert alle an Variablen vorgenommenen Änderungen in der Datenbank.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle an Variablen seit der letzten Speicherung vorgenommenen Änderungen.
Einstellungen | Öffnet den Dialog für die Konfiguration der Einstellungen.
Beenden | Beendet den Manual Data Editor.

Bearbeiten

Befehle für Wiederholen und Rückgängigmachen von Aktionen.

Eintrag | Beschreibung
Rückgängig | Macht letzte Aktion rückgängig.
Wiederholen | Stellt letztes Rückgängig wieder her

Hilfe

Link zu Hilfe und Versionsinformation.

Eintrag | Beschreibung
Versionshinweis | Öffnet ein Fenster mit Informationen zur aktuellen Version.
Hilfe | Öffnet die Online-Hilfe.

Symbolleiste Editor

Symbol | Beschreibung
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Nicht gespeicherte Änderungen werden dann ohne weitere Rückfrage verworfen.
Änderungen übernehmen | Speichert alle an Preishistorie und Normhistorie vorgenommenen Änderungen.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle an Preishistorie und Normhistorie seit der letzten Speicherung vorgenommenen Änderungen.
Rückgängig | Klick auf Symbol macht letzte Aktion rückgängig. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von Aktionen, die rückgängig gemacht werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block rückgängig gemacht werden.
Wiederholen | Klick auf Symbol stellt letztes Rückgängig wieder her. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von rückgängig gemachten Aktionen, die wiederhergestellt werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block wiederhergestellt werden.

Symbolleiste Liste

Symbol | Beschreibung
Neu | Öffnet Dialog des jeweiligen Objekts zum Erstellen eines neuen Eintrags.
Bearbeiten | Öffnet Dialog zum Bearbeiten des ausgewählten Objekts.
Löschen | Löscht ausgewählte Objekte nach einer Sicherheitsabfrage.
Import | Öffnet Dialog zur Auswahl einer Datei für den Import.
Verknüpfte Variablen anzeigen | Öffnet einen Dialog zur Anzeige der verknüpften Variablen. Bei Mehrfachauswahl, werden die Variablen für das zuletzt gewählte Objekt angezeigt.

Hinweis: Welche Symbole angezeigt werden, hängt ab von der ausgewählten Registerkarte.

Statuszeile

Informiert über Verbindung und Objekte.
Trennzeichen: |

Element

Beschreibung

Symbol

Zeigt den Verbindungsstatus an.

Mögliche Status sind:

  • Keine Verbindung hergestellt
  • Verbindung hergestellt aber der Analyzer Server hat keine gültige Lizenz
  • Verbindung hergestellt und der Analyzer Server hat eine gültige Lizenz
  • Abgesicherte Verbindung hergestellt, gültige Lizenz
  • Abgesicherte Verbindung hergestellt, ungültige Lizenz

Verbindungsinformation

Information zur aktiven Verbindung. Anzeige des Servers und der Datenbank.

Information [Objekte] gesamt

Informationen zur Anzahl , Filterung und Auswahl der Objekte (Preise, Normen, Variablen).

Trennzeichen: /

Aktion

Information zur momentanen Aktion


Konfiguration

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration

Im Manual Data Editor werden Preise, Standardwerte (Normen) und/oder Gradtage definiert und mit Variablen verknüpft.

Die Definition der Parameter erfolgt in den Registerkarten:

  • Preis
  • Standard
  • Gradtag

In der Registerkarte Variable werden die Definitionen mit Variablen verknüpft.

Während der Konfiguration können Arbeitsschritte, die noch nicht gespeichert wurden, über die entsprechenden Symbole und Menüeinträge rückgängig gemacht und auch wiederhergestellt werden. Das Speichern erfolgt über das Symbol oder den Menüeintrag Änderungen übernehmen.

Bei Tabellen kann die Spaltenbreite angepasst werden durch:

  • Doppelklick auf den Spaltentrenner
  • ziehen mit der Maus am Spaltentrenner

Noch in diesem Kapitel

Preis

Standard

Gradtag

Variable


Preis

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Preis

In dieser Registerkarte werden Preise konfiguriert.

Die Registerkarte ist in drei Bereiche unterteilt:

  • Preisverlauf: Anzeige und Konfiguration der Preisverläufe (oben).
  • Preiseinträge: Anzeige und Konfiguration der Preiseinträge (links unten).
  • Diagramm: Anzeige des Verlaufs der definierten Preiseinträge (rechts unten).

Liste Preisverläufe

Die Liste enthält die konfigurierten Preise. Die Konfiguration erfolgt über die Symbole über der Liste.

Legende:

  • : Neu
  • : Bearbeiten
  • : Löschen
  • : Verknüpfte Variablen anzeigen

Option

Beschreibung

Symbole

Symbole zur Konfiguration der Preisverläufe.

  • Mit Neu und Bearbeiten werden Preisverläufe angelegt und editiert.
  • Löschen entfernt die ausgewählte Preisverläufe nach einer Sicherheitsabfrage.
  • Mit Verknüpfte Variablen anzeigen können alle mit einem Preisverlauf verknüpften Variablen angezeigt werden.

Anzeigename

Eindeutiger Name des Preisverlaufs.

Beschreibung

Beschreibung des Preisverlaufs.

Gültig ab

Datum der Gültigkeit des jüngsten Preiswerts.

Wert

Wert des jüngsten Preiswerts.

Währung

Währung des jüngsten Preiswerts.

Preisverlauf erstellen und bearbeiten

Um einen neuen Preisverlauf zu erstellen:

  1. Klicken Sie auf das Symbol Neu.

    Der Dialog zum Konfigurieren eines Preisverlaufs wird geöffnet.

  2. Vergeben Sie einen eindeutigen Namen.
  3. Vergeben Sie optional eine Beschreibung.
  4. Schließen Sie den Dialog mit Klick auf OK.
  5. Konfigurieren Sie die gewünschten Preiseinträge.

Um einen Preisverlauf zu bearbeiten, klicken Sie auf das Symbol Bearbeiten. Ändern Sie im Dialog die gewünschten Optionen.

Liste Preiseinträge

In der Liste der Preiseinträge fügen Sie Preise zu den Preisverläufen hinzu. Deren Verlauf wird im Diagramm neben der Liste angezeigt.

Legende:

  • : Neu
  • : Bearbeiten
  • : Löschen

Option

Beschreibung

Symbole

Symbole zur Konfiguration der Preise.

  • Mit Neu und Bearbeiten werden Preise angelegt und editiert.
  • Löschen entfernt den ausgewählten Preis nach einer Sicherheitsabfrage.

Anzeigename

Eindeutiger Name des Preises.

Beschreibung

Beschreibung des Preises.

Gültig ab

Datum der Gültigkeit des Preiswerts.

Wert

Wert des Preiswerts.

Währung

Währung des Preises.

Preiseintrag erstellen und bearbeiten

Um einen neuen Preiseintrag zu erstellen:

  1. Markieren Sie den Preisverlauf, für den der Eintrag erstellt werden soll.
  2. Klicken Sie in der Liste der Preiseinträge auf das Symbol Neu.

    Der Dialog zum Konfigurieren eines Preiseintrags wird geöffnet.

  3. Konfigurieren Sie, falls nötig, den Zeitstempel.
    Dieser kann später nicht mehr editiert werden.
  4. Tragen Sie den Preis ein.
  5. Tragen Sie die Währung ein.
  6. Schließen Sie den Dialog mit Klick auf OK.

Hinweis: Neue Werte werden erst beim Speichern in den Preisverlauf übernommen.

Um einen Preiseintrag zu bearbeiten, klicken Sie auf das Symbol Bearbeiten. Ändern Sie im Dialog die gewünschten Optionen.

Noch in diesem Kapitel

Dialog Preisverlauf

Dialog Preiseintrag


Dialog Preisverlauf

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Preis > Dialog Preisverlauf

Klick auf das Symbol Neu oder Bearbeiten in der Liste der Preisverläufe öffnet den Dialog zum Hinzufügen eines neuen Preisverlaufs:

Option | Beschreibung
Anzeigename | Eindeutiger Name des Preisverlaufs.
Beschreibung | Optionale Beschreibung des Preisverlaufs.
OK | Nur aktiv, wenn alle Eingaben gültig sind. Klick schließt den Dialog und fügt den neuen Preisverlauf hinzu.
Abbrechen | Schließt den Dialog ohne einen neuen Preisverlauf zu generieren.


Dialog Preiseintrag

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Preis > Dialog Preiseintrag

Klick auf das Symbol Neu oder Bearbeiten in der Liste der Preiseinträge öffnet den Dialog zum Hinzufügen eines neuen Preiseintrags:

Option

Beschreibung

Zeitstempel

Eingabe des Zeitpunktes, ab wann der neue Preiseintrag gültig ist. Dieser Zeitpunkt kann auch in der Vergangenheit liegen.

Die Eingabe erfolgt in:

  • Datumsfeld: Direkte Eingabe oder Auswahl aus Kalender. Klick auf Schaltfläche öffnet Kalender.
  • Uhrzeitfeld: Direkte Eingabe oder Konfiguration über Pfeiltasten.

Ein Zeitpunkt ist nur dann gültig, wenn er keine Zeitstempelkollision auslöst.

Hinweis: Nur beim neu Erstellen verfügbar. Kann später nicht bearbeitet werden.

Preis

Eingabe des Preises. Eingabefehler werden nicht zugelassen und durch einen Tooltip angezeigt. Das Dezimaltrennzeichen entspricht den Einstellungen der Sprache.

Währung

Eingabe der Währung für diesen Preis. Eingabefehler werden nicht zugelassen und durch einen Tooltip angezeigt.

OK

Nur aktiv, wenn alle Eingaben gültig sind. Klick schließt den Dialog und fügt den neuen Preiseintrag hinzu.

Abbrechen

Schließt den Dialog ohne einen neuen Preiseintrag zu generieren.


Standard

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Standard

In dieser Registerkarte werden Standards (Normen) konfiguriert.

Die Registerkarte ist in drei Bereiche unterteilt:

  • Standards: Anzeige und Konfiguration der Standards (oben).
  • Standardwerte: Anzeige und Konfiguration der Standardwerte (links unten).
  • Diagramm: Anzeige des Verlaufs der definierten Standardwerte (rechts unten).

Liste Standards

Die Liste enthält die konfigurierten Standards. Die Konfiguration erfolgt über die Symbole über der Liste.

Legende:

  • : Neu
  • : Bearbeiten
  • : Löschen
  • : Verknüpfte Variablen anzeigen

Option

Beschreibung

Symbole

Symbole zur Konfiguration der Standards.

  • Mit Neu und Bearbeiten werden Standards angelegt und editiert.
  • Löschen entfernt die ausgewählte Standards nach einer Sicherheitsabfrage.
  • Mit Verknüpfte Variablen anzeigen können alle mit einem Standdard verknüpften Variablen angezeigt werden.

Anzeigename

Eindeutiger Name des Standards.

Beschreibung

Beschreibung des Standards.

Gültig ab

Datum der Gültigkeit des jüngsten Standardwerts.

Wert

Wert des jüngsten Standardwerts.

Standard erstellen und bearbeiten

Um einen neuen Standard zu erstellen:

  1. Klicken Sie auf das Symbol Neu.

    Der Dialog zum Konfigurieren eines Standards wird geöffnet.

  2. Vergeben Sie einen eindeutigen Namen.
  3. Vergeben Sie optional eine Beschreibung.
  4. Schließen Sie den Dialog mit Klick auf OK.
  5. Konfigurieren Sie die gewünschten Standardwerte.

Um einen Standard zu bearbeiten, klicken Sie auf das Symbol Bearbeiten. Ändern Sie im Dialog die gewünschten Optionen.

Liste Standardwerte

In der Liste der Standardwerte fügen Sie Standardwerte zu den Standards hinzu. Deren Verlauf wird im Diagramm neben der Liste angezeigt.

Legende:

  • : Neu
  • : Bearbeiten
  • : Löschen

Option

Beschreibung

Symbole

Symbole zur Konfiguration der Standardwerte.

  • Mit Neu und Bearbeiten werden Standardwerte angelegt und editiert.
  • Löschen entfernt den ausgewählten Standardwert nach einer Sicherheitsabfrage.

Anzeigename

Eindeutiger Name des Standardwerts.

Beschreibung

Beschreibung des Standardwerts.

Gültig ab

Datum der Gültigkeit des Standardwerts.

Wert

Wert des Standardwerts.

Standardwert erstellen und bearbeiten

Um einen neuen Standardwert zu erstellen:

  1. Markieren Sie den Standard, für den der Eintrag erstellt werden soll.
  2. Klicken Sie in der Liste der Standardwerte auf das Symbol Neu.

    Der Dialog zum Konfigurieren eines Standardwerts wird geöffnet.

  3. Konfigurieren Sie, falls nötig, den Zeitstempel.
    Dieser kann später nicht mehr editiert werden.
  4. Tragen Sie den Wert ein.
  5. Schließen Sie den Dialog mit Klick auf OK.

Hinweis: Neue Werte werden erst beim Speichern in den Standard übernommen.

Um einen Standardwert zu bearbeiten, klicken Sie auf das Symbol Bearbeiten. Ändern Sie im Dialog die gewünschten Optionen.

Noch in diesem Kapitel

Dialog Standards

Dialog Standardwert


Dialog Standards

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Standard > Dialog Standards

Klick auf das Symbol Neu oder Bearbeiten in der Liste der Standards öffnet den Dialog zum Hinzufügen eines neuen Standards:

Option | Beschreibung
Anzeigename | Eindeutiger Name des Standards.
Beschreibung | Optionale Beschreibung des Standards.
OK | Nur aktiv, wenn alle Eingaben gültig sind. Klick schließt den Dialog und fügt den neuen Standard hinzu.
Abbrechen | Schließt den Dialog ohne einen neuen Standard zu generieren.


Dialog Standardwert

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Standard > Dialog Standardwert

Klick auf das Symbol Neu oder Bearbeiten in der Liste der Standardwerte öffnet den Dialog zum Hinzufügen eines neuen Standardwerts:

Option

Beschreibung

Zeitstempel

Eingabe des Zeitpunktes, ab wann der neue Standardwert gültig ist. Dieser Zeitpunkt kann auch in der Vergangenheit liegen.

Die Eingabe erfolgt in:

  • Datumsfeld: Direkte Eingabe oder Auswahl aus Kalender. Klick auf Schaltfläche öffnet Kalender.
  • Uhrzeitfeld: Direkte Eingabe oder Konfiguration über Pfeiltasten.

Ein Zeitpunkt ist nur dann gültig, wenn er keine Zeitstempelkollision auslöst.

Hinweis: Nur beim neu Erstellen verfügbar. Kann später nicht bearbeitet werden.

Standardwert

Eingabe des Standardwerts. Eingabefehler werden nicht zugelassen und durch einen Tooltip angezeigt. Das Dezimaltrennzeichen entspricht den Einstellungen der Sprache.

OK

Nur aktiv, wenn alle Eingaben gültig sind. Klick schließt den Dialog und fügt den neuen Standardwert zur Liste hinzu.

Abbrechen

Schließt den Dialog ohne einen neuen Standardwert zu generieren.


Gradtag

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Gradtag

In dieser Registerkarte werden Gradtage konfiguriert.

info Info

Die Gradtagzahl ist eine ortsabhängige Kenngröße, die lokale klimatische Bedingungen widerspiegelt. Man unterscheidet zwischen:

  • GTZnorm für das langjährige Mittel
  • GTZspez für die aktuelle Messung

GTZspez wird zum Beispiel für die Klimabereinigung von Verbrauchsmesswerten verwendet.

Die Gradtagzahl Gt oder GTZ wird errechnet, sobald die Außentemperatur unter der Heizgrenztemperatur liegt.

Die GTZ ist die Summe aus den Differenzen einer festgelegten Rauminnentemperatur und dem jeweiligen Tagesmittelwert der Außentemperatur über alle Tage eines Zeitraums, an denen die Außentemperatur unter der Heizgrenztemperatur des Gebäudes liegt.

Daten Deutschland - Österreich - Schweiz - Lichtenstein:

  • Deutschland:
    Nach VDI-Richtlinie 2067/DIN 4108 T6 wird die Innentemperatur bei 20° C und die Heizgrenze bei 15° C angenommen (GTZ20/15).
    Temperaturwerte können vom Deutscher Wetterdienst erworben werden.
    Diese Werte können in den Manual Data Editor importiert werden.
  • Österreich:
    Als Innentemperatur wird 20° C angenommen, die Heizgrenze liegt bei 12° C (HGT20/12).
    Temperaturwerte können von der ZAMG erworben werden.
  • Schweiz und Lichtenstein:
    Als Innentemperatur wird 20° C angenommen, die Heizgrenze liegt bei 12° C (HGT20/12).
    Temperaturwerte können von MeteoSchweiz erworben werden.

Die Registerkarte Gradtag ist in drei Bereiche unterteilt:

  • Gradtagdefinitionen: Anzeige und Konfiguration der Gradtagdefinitionen (oben).
  • Gradtagwerte: Anzeige und Konfiguration der Gradtagwerte (links unten).
  • Diagramm: Anzeige des Verlaufs der definierten Gradtagwerte (rechts unten).

Liste Gradtagdefinitionen

Die Liste enthält die konfigurierten Standardwerte. Die Konfiguration erfolgt über die Symbole über der Liste.

Legende:

  • : Neu
  • : Bearbeiten
  • : Löschen
  • : Importieren
  • : Verknüpfte Variablen anzeigen

Option

Beschreibung

Symbole

Symbole zur Konfiguration der Gradtagdefinitionen.

  • Mit Neu und Bearbeiten werden Gradtagdefinitionen angelegt und editiert.
  • Löschen entfernt die ausgewählte Gradtagdefintion nach einer Sicherheitsabfrage.
  • Importieren ermöglicht den Import von Gradtagdefinitionen vom Deutschen Wetterdienst im Format XLS,XLSX und XLSM. Aktuell
  • Mit Verknüpfte Variablen anzeigen können alle mit der Gradtagdefinition verknüpften Variablen angezeigt werden.

Anzeigename

Eindeutiger Name der Gradtagdefinition.

Beschreibung

Beschreibung der Gradtagdefinition.

Temperaturskala

Verwendete Temperaturskala des jüngsten Gradtagwerts.

Innentemperatur

Wert Innentemperatur.

Heizgrenztemperatur

Liegt die Außentemperatur unter dieser, wird der Tag als Heiztag betrachtet und der tägliche Gradtag wird berechnet.

Gradtagdefiniton erstellen und bearbeiten

Um eine neue Gradtagdefinition zu erstellen:

  1. Klicken Sie auf das Symbol Neu.

    Der Dialog zum Konfigurieren einer Gradtagdefinition wird geöffnet.

  2. Vergeben Sie einen eindeutigen Namen.
  3. Vergeben Sie optional eine Beschreibung.
  4. Schließen Sie den Dialog mit Klick auf OK.
  5. Konfigurieren Sie die gewünschten Gradtagwerte.

Um eine Gradtagdefiniton zu bearbeiten, klicken Sie auf das Symbol Bearbeiten. Ändern Sie im Dialog die gewünschten Optionen.

Liste Gradtagwerte

In der Liste der Standardwerte fügen Sie Gradtagwerte zu den Gradtagdefinitionen hinzu. Diese werden im Diagramm neben der Liste angezeigt.

Legende:

  • : Neu
  • : Bearbeiten
  • : Löschen

Option

Beschreibung

Symbole

Symbole zur Konfiguration der Gradttagwerte.

  • Mit Neu und Bearbeiten werden Gradttagwerte angelegt und editiert.
  • Löschen entfernt den ausgewählten Gradtagwert nach einer Sicherheitsabfrage.

Anzeigename

Eindeutiger Name des Gradtagwerts.

Beschreibung

Beschreibung des Gradtagwerts.

Zeitstempel

Datum der Gültigkeit des Gradtagwerts.

Gradtag

Eine Zahl, die angibt, wie stark die Heizung an diesem Tag aktiv war.

Heiztag

Anzeige, ob dieser Tag ein Heiztag ist.

Außenlufttemperatur

Temperatur der Außenluft an diesem Gradtag.

Mittlerer Gradtag

Langjähriges Mittel, z.B. 10 Jahre, des täglichen Gradtags für diesen Tag im Jahr.

Durchschnittliche Anzahl an Heiztagen

Angabe, wie oft im langjährigen Mittel dieser Tag im Jahr ein Heiztag war.

Tagesmittel der Lufttemperatur

Mittlerer Wert der Lufttemperatur an diesem Tag.

Gradtagwert erstellen und bearbeiten

Um einen neuen Gradttagwert zu erstellen:

  1. Markieren Sie die Gradtagdefinition, für die der Eintrag erstellt werden soll.
  2. Klicken Sie in der Liste der Gradttagwerte auf das Symbol Neu.

    Der Dialog zum Konfigurieren eines Gradtagwertswerts wird geöffnet.

  3. Konfigurieren Sie, falls nötig, den Zeitstempel.
    Dieser kann später nicht mehr editiert werden.
  4. Tragen Sie den Wert für täglicher Gradtag ein.
  5. Konfigurieren Sie optional weitere Werte:
    • Aktuelle Außenlufttemperatur
    • Mittlerer Gradtag
    • Durchschnittliche Anzahl der Heiztage
    • Tagesmittel der Lufttemperatur
    • Heiztag
  6. Schließen Sie den Dialog mit Klick auf OK.

Hinweis: Neue Werte werden erst beim Speichern in die Gradtagdefinition übernommen.

Um einen Standardwert zu bearbeiten, klicken Sie auf das Symbol Bearbeiten. Ändern Sie im Dialog die gewünschten Optionen.

Noch in diesem Kapitel

Dialog Gradtagdefinition

Dialog Gradtagwert

Gradtagwerte importieren


Dialog Gradtagdefinition

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Gradtag > Dialog Gradtagdefinition

Klick auf das Symbol Neu oder Bearbeiten in der Liste der Gradtagdefinitionen öffnet den Dialog zum Hinzufügen einer neuen Gradtagdefinition:

Option | Beschreibung
Anzeigename | Eindeutiger Name der Gradtagdefinition.
Beschreibung | Optionale Beschreibung der Gradtagdefinition
Temperaturskala | Angabe der verwendeten Skala.
Innentemperatur | Wert der Innentemperatur, der für die Berechnung der Gradtagzahl verwendet wird. Die Temperatur wird auf 3 Dezimalstellen genau angezeigt. Die dritte Stelle wird entsprechend der weiteren Stellen gerundet.
Heizgrenztemperatur | Angabe der Temperatur, ab der geheizt wird. Die Temperatur wird auf 3 Dezimalstellen genau angezeigt. Die dritte Stelle wird entsprechend der weiteren Stellen gerundet.
OK | Nur aktiv, wenn alle Eingaben gültig sind. Klick schließt den Dialog und fügt die neue Gradtagdefinition hinzu.
Abbrechen | Schließt den Dialog ohne eine neue Gradtagdefinition zu generieren.


Dialog Gradtagwert

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Gradtag > Dialog Gradtagwert

Klick auf das Symbol Neu oder Bearbeiten in der Liste der Standardwerte öffnet den Dialog zum Hinzufügen eines neuen Gradtagwerts:

Option

Beschreibung

Zeitstempel

Eingabe des Zeitpunktes, ab wann der neue Gradtagwert gültig ist. Dieser Zeitpunkt kann auch in der Vergangenheit liegen.

Die Eingabe erfolgt in:

  • Datumsfeld: Direkte Eingabe oder Auswahl aus Kalender. Klick auf Schaltfläche öffnet Kalender.

Ein Zeitpunkt ist nur dann gültig, wenn er keine Zeitstempelkollision auslöst.

Hinweis: Nur beim neu Erstellen verfügbar. Kann später nicht bearbeitet werden.

Täglicher Gradtag

Entsprechend der Gradtag-Formel berechneter Wert.

Aktuelle Außenlufttemperatur

Angabe der aktuellen Außen-Luftemperatur.

Mittlerer Gradttag

Durchschnittlicher Gradtagwert der letzten 10 Jahre.

Darf leer bleiben.

Durchschnittliche Anzahl der Heiztage

Angabe, wie oft dieser Tag in den letzten 10 Jahren ein Heiztag war.

Tagesmittel der Lufttemperatur

Mittlere Lufttemperatur dieses Tages.

Heiztag
  • Aktiv: Dieser Tag wird als Heiztag gewertet.

OK

Nur aktiv, wenn alle Eingaben gültig sind.
Klick schließt den Dialog und fügt den neuen Gradtagwert zur Liste hinzu.

Abbrechen

Schließt den Dialog ohne einen neuen Gradtagwert zu generieren.

Formel Gradtag

Die Gradtagzahl ist die Summe aus den Differenzen der festgelegten Rauminnentemperatur und dem jeweiligen Tagesmittelwert der Außentemperatur über alle Tage eines Zeitraums, an denen die Außentemperatur unter der Heizgrenztemperatur des Gebäudes liegt.


Gradtagwerte importieren

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Gradtag > Gradtagwerte importieren

Gradtagewerte können auch importiert werden.

Klick auf das Symbol Import in der Symbolleiste der Registerkarte Gradtag startet den Importvorgang.

Importiert werden können zur Zeit:

  • Gradtagzahlen des Deutschen Wetterdienstes im Format XLS,XLSX und XLSM.

Um Daten zu importieren:

  1. Klicken Sie auf die Schaltfläche Import.

    Der Dialog des Betriebssystems zur Auswahl einer Datei wird geöffnet.

  2. Wählen Sie die gewünschte GTZ-Datei aus.
  3. Klicken Sie auf Öffnen.

    Die Daten werden importiert.

Der Import kann über den Befehl Rückgängig wieder rückgängig gemacht werden.


Variable

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Konfiguration > Variable

In dieser Registerkarte verknüpfen Sie Preisverläufe, Standards und Gradtagdefinitionen mit Variablen.

Mit jeder Variablen können verknüpft werden:

  • ein Preisverlauf
  • eine Gradtagdefintion
  • mehrere Standards
    Hinweis: Bei mehreren Standards kann einer als Default ausgewählt werden.

Die Registerkarte ist in drei Bereiche unterteilt:

  • Variablenliste: Anzeige der auswählbaren Variablen und deren aktueller Konfiguration (oben).
  • Auswahl Preise/Gradtage: Auswahl eines Preisverlaufs und/oder einer Gradtagdefinition zur Verknüpfung mit einer Variablen(links unten).
  • Auswahl Standards: Auswahl eines oder mehrerer Standards zur Verknüpfung mit einer Variablen sowie Festlegung eines Default Standards (links unten).

Um eine Variable zu verknüpfen:

  1. Wählen Sie die gewünschte Variable aus.
  2. Wählen Sie die zu verknüpfenden Elemente:
    1. Preis
    2. Gradtag
    3. Standards
      Definieren Sie bei Bedarf einen Standard als Default.

Variablenliste

In der Variablenliste werden die zu bearbeitenden Variablen aufgelistet. Diese können gefiltert werden.

Es können mehrere Variablen gleichzeitig ausgewählt werden. Dabei gelten die in Windows üblichen Tastenkürzel. Bei Auswahl mehrerer Variablen werden in den Konfigurationsbereichen für Preis, Gradtag und Standards alle Felder rot markiert, die unterschiedliche Konfigurationen aufweisen.

Wird die Tabelle durch Änderung der Filterkriterien neu befüllt, dann wird versucht, die zuvor bestehende Variablenauswahl wieder herzustellen.

Die Tabelle enthält folgende Spalten:

  • Projektname: Name des Projekts, aus dem die Variable kommt.
  • Variablenname: Name der Variablen.
  • Maßeinheit: Maßeinheit für Variablenwerte.
  • Bedeutung: Mehrere Bedeutungen einer Variablen werden durch Zeilenumschaltungen getrennt.
  • Kennung: Name der Variablen in zenon Editor und Runtime.
  • Beschreibung: Beschreibung der Variablen.
  • Datentyp: Datentyp der Variablen.

    Achtung: Es können technisch auch Preise, Standards und Gradtage für Binär- und String-Variablen eingegeben werden. Das ist normalerweise aber nicht sinnvoll, da bei diesen Variablen in der Regel weder Kosten noch Zielverbräuche existieren.

  • Preisverlauf zugewiesen: Anzeige, ob ein Preisverlauf verknüpft wurde.
  • Standard zugewiesen: Anzeige, ob Standards verknüpft wurden.
  • Gradtagdefinition zugewiesen: Anzeige, ob eine Gradtagdefiniton verknüpft wurde.

Auswahl Preis und Gradtagdefinition

In diesem Bereich wählen Sie Preisverlauf und/oder Gradtagdefinition für die markierten Variablen aus:

Option | Beschreibung
Auswahl des Preisverlaufs | Auswahl eines Preisverlaufs aus Dropdownliste. Um einen bereits gewählten Eintrag zu entfernen, wählen Sie in der Dropdownliste den leeren Eintrag.
Auswahl der Gradtagdefinition | Auswahl einer Gradtagdefinition aus Dropdownliste. Um einen bereits gewählten Eintrag zu entfernen, wählen Sie in der Dropdownliste den leeren Eintrag.

Wurden mehrere Variablen mit bestehenden unterschiedlichen Preisverläufen oder Gradtagdefinitionen ausgewählt, wird das jeweilige Feld rot umrandet leer angezeigt.

Auswahl Standard

Für die Auswahl und Zuweisung von Standards stehen zwei Listen zu Verfügung:

Option

Beschreibung

Auswahl des Standards

Listen zur Verknüpfung von Standards mit Variablen.

Liste Auswahl Standards

Enthält alle Standards, die noch nicht ausgewählt wurden.

Symbole für Verknüpfung

Symbole zum Zuordnen von Standards:

Schaltflächen, um Standrads zwischen Listen zu verschieben:

  • >:
    Verschiebt markierten Standard zur Liste verknüpfte Standards.
  • >>:
    Verschiebt alle Standards zur Liste verknüpfte Standards.
  • <:
    Verschiebt markierten Standard zur Liste Auswahl Standards.
  • <<:
    Verschiebt alle Standards zur Liste Auswahl Standards.

Liste verknüpfte Standards

Enthält alle Standards, die bereits mit der ausgewählten Variablen verknüpft sind.

Default Standard

Auswahl eines Standards als Default.
Klick in Checkbox wählt dazugehörigen Standard als Default aus.

Es kann immer nur ein Standard als Default ausgewählt sein.

Wurden mehrere Variablen mit bestehenden unterschiedlichen Standards ausgewählt, werden die Auswahlfelder rot umrandet dargestellt; Standards, die nur für manche Variablen verfügbar sind, werden in roter Schrift hervorgehoben.


Aktionen

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Aktionen

Im Manual Data Editor können für jede Variable Daten für Preise, Standards und Gradtage manuell eingegeben und Variablen zugewiesen sowie in einem historischen Diagramm dargestellt werden. Die Variablen können gefiltert dargestellt werden.

Aktionen

Mögliche Aktionen:

  • Dateneingabe für:
    • Preis und Trenddiagramm
    • Standards und Trenddiagramm
    • Gradtage und Trenddiagramm
  • Verknüpfung von Variablen mit Preisen, Standards und Gradtagen
  • Aktionen im Editor:
    • Sortieren und filtern
    • Änderungen übernehmen
    • Rückgängig machen - Wiederherstellen
    • Verknüpfte Variablen anzeigen

Noch in diesem Kapitel

Filtern und sortieren

Änderungen übernehmen

Rückgängig machen - Wiederherstellen

Verknüpfte Variablen anzeigen


Filtern und sortieren

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Aktionen > Filtern und sortieren

Tabellen im Manual Data Editor können sortiert und gefiltert angezeigt werden.

Sortieren

Um eine Tabelle zu sortieren, klicken Sie in den Kopf der Spalte, nach der die Tabelle sortiert werden soll. Ein zweiter Klick invertiert die Sortierung, zum Beispiel von A - Z auf Z - A.

Filtern

Um eine Tabelle zu filtern:

  1. Klicken Sie in der gewünschten Spalte in das Feld für die Filterung.
    Hinweis: Für die Filterung einer Spalte mit binären Werten (z.B. Heiztag) klicken Sie auf das Symbol Pfeil.
  2. Geben Sie das Filterkriterium ein.

    Die Tabelle wird während der Eingabe an das Kriterium angepasst.
    Ist das Kriterium nicht korrekt und kann nicht angewandt werden, dann wird das Eingabefeld rot hervorgehoben.

  3. Geben Sie bei Bedarf weitere Filterkriterien in weiteren Spalten ein.

Filterregeln

Für die Filtereinstellungen gilt:

  • Alle aktiven Filter werden immer mit einem logischen UND verknüpft.
  • Für die Textsuche können die Zeichen * und % als Wildcards verwendet werden.
    Beide Zeichen stehen für eine beliebige Anzahl beliebiger Zeichen im Text. Sie können am Wortanfang, im Wort und am Wortende verwendet werden. Bei allen Eingaben in den Filter wird immer automatisch ein * am Wortende angenommen.
    Beispiel: Pr* findet Preis und Price aber nicht Par.
    Hinweis: Ist ein Filter beim Erstellen eines neuen Eintrags aktiv und entspricht der neue Eintrag nicht den Filterregeln, wird er nicht angezeigt.
  • Für Zahlen gilt:
    • =: Werte, die dem Argument entsprechen, werden gefunden.
      Das ist das Standardverhalten. = muss nicht vorangestellt werden.
      Beispiel: 5 findet alle Zeilen, die genau die Zahl 5 enthalten.
    • <: Werte, die kleiner oder gleich dem Argument sind werden gefunden.
      Beispiel: <5 findet alle Zeilen, die Werte enthalten, die entweder kleiner als 5 oder gleich 5 sind.
    • >: Werte, die größer oder gleich dem Argument sind werden gefunden.
      Beispiel: >5 findet alle Zeilen, die Werte enthalten, die entweder gleich 5 oder größer als 5 sind.
  • Für Datum gilt: Werte, die dem Argument entsprechen, werden gefunden.

Fehlerhafte Eingaben werden durch rote Hintergrundfarbe angezeigt. Es werden nur korrekte Filtereingaben angewandt.


Änderungen übernehmen

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Aktionen > Änderungen übernehmen

Änderungen werden über den Befehl oder das Symbol Änderungen übernehmen zur Datenbank übertragen und dort gespeichert. Das Übertragen der Änderungen wird überprüft und bei Gelingen bestätigt (Commit). Schlägt eine Änderung für eine Variable fehl, wird die Transaktion rückabgewickelt (Rollback).

attention Achtung

Tritt bei einer der Transaktions-Abschlussoperationen (Rollback oder Commit) ein Fehler auf, kann die Datenbank beschädigt und damit unbrauchbar werden.


Rückgängig machen - Wiederherstellen

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Aktionen > Rückgängig machen - Wiederherstellen

Aktionen im Manual Data Editor können rückgängig gemacht bzw. wiederhergestellt werden.
Diese Aktion ist möglich für alle Konfigurationen, die seit dem letzten Änderungen übernehmen getätigt wurden.

Rückgängig machen

Um Aktionen rückgängig zu machen:

  1. Wählen Sie in der Symbolleiste den Befehl Rückgängig.
  2. Klick direkt auf das Symbol macht die letzte Aktion rückgängig.
  3. Klick auf die Schaltfläche öffnet ein Fenster mit verfügbaren Aktionen:

  4. Markieren Sie die gewünschten Aktionen.

    Es können mehrere zusammenhängende Aktionen von oben (zeitlich zuletzt ausgeführt) nach unten ausgewählt werden.

  5. Die Statuszeile zeigt an, wie viele Aktionen rückgängig gemacht werden.
  6. Klick auf die ausgewählten Aktionen, macht diese rückgängig.

Wiederherstellen

Um Aktionen wiederherzustellen:

  1. Wählen Sie in der Symbolleiste den Befehl Wiederherstellen.
  2. Klick direkt auf das Symbol stellt die letzte rückgängig gemachte Aktion wieder her.
  3. Klick auf die Schaltfläche öffnet ein Fenster mit verfügbaren Aktionen, die rückgängig gemacht wurden:

  4. Markieren Sie die gewünschten Aktionen.

    Es können mehrere zusammenhängende Aktionen von oben (zeitlich zuletzt rückgängig gemacht) nach unten ausgewählt werden.

  5. Die Statuszeile zeigt an, wie viele Aktionen wiederhergestellt werden.
  6. Klick auf die ausgewählten Aktionen, stellt diese wieder her.

info Info

Beim Ausführen der Befehle Änderungen übernehmen und Änderungen verwerfen werden die Listen für Rückgängig und Wiederherstellen entleert. Die Funktionalität Rückgängig bzw. Wiederherstellen steht damit nur für Aktionen zur Verfügung, die nach dem Übernehmen oder Verwerfen ausgeführt wurden.


Verknüpfte Variablen anzeigen

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Aktionen > Verknüpfte Variablen anzeigen

Variablen, die mit Preisverläufen, Standards oder Gradtagzahlen verknüpft sind, können in einem Dialog angezeigt werden.
Um verknüpfte Variablen anzuzeigen:

  1. Markieren Sie das gewünschte Element.
  2. Klicken Sie auf das Symbol Verknüpfte Variablen anzeigen.

    Der Dialog wird geöffnet.

Dialog Verknüpfte Variablen

Die Liste zeigt alle mit dem gewählten Element verknüpften Variablen an. Die Liste kann gefiltert und sortiert werden.

Angezeigt werden:

  • Projektname: Name des Projekts, aus dem die Variable kommt.
  • Anzeigename: Name der Variablen.
  • Default Standard: Anzeige, ob Variable der Default Standard ist.
    (Nur für Standards verfügbar)


Einstellungen

zenon Analyzer > Metadatenbank-Editoren > Manual Data Editor > Einstellungen

In den Einstellungen konfigurieren Sie:

  • Anzahl der zu speichernden Verbindungen
  • Verbindungsprofile
  • Oberflächensprache,
  • Rückblickzeit für die Trendkurven
  • Standardwährung
  • Timeout SQL Server

Um die Einstellungen zu konfigurieren:

  1. Öffnen Sie das Menü Datei.
  2. Wählen Sie den Eintrag Einstellungen.

    Der Dialog zur Konfiguration der Einstellungen wird geöffnet.

Dialog Einstellungen

Option

Beschreibung

Maximale Anzahl an Verbindungsprofilen

Legt fest, wie viele Verbindungsprofile für den Editor maximal angelegt werden dürfen:

  • Minimum: 1
  • Maximum: 255
  • Default: 10

Konfiguration durch manuelle Eingabe oder über Klick auf Pfeiltasten.

Hinweis: Da im Dialog für die Verbindungsherstellung auch die ZAMS-Verbindungsprofile dargestellt werden, können in der Dropdownliste zur Auswahl eines Profils mehr als die zugelassenen Verbindungsprofile angezeigt werden.

Verbindungsprofile verwalten

Öffnet den Dialog zur Verwaltung der Verbindungsprofile.

Sprache

Auswahl der gewünschten Sprache für die Oberfläche des Editors aus Dropdownliste.

Trend Rückblickzeit

Legt fest, wie weit bei der Trenddarstellung von Preisen, Standards und Gradtagen maximal zurückgegangen wird. Die Eingabe erfolgt über ein Eingabefeld und eine Dropdownliste, die den Zeitraum definieren.

Eingabe des Zahlenwerts:

  • Minimum: 1
  • Maximum: 100
  • Default: 1

Konfiguration durch manuelle Eingabe oder über Klick auf Pfeiltasten.

Auswahl der Einheit aus Dropdownliste:

  • Stunden
  • Tage
  • Monate
  • Jahre

Default: 1 Jahr

Werden nicht erlaubte Werte manuell eingegeben, wird beim Schließen des Dialogs als Default 1 Jahr konfiguriert.

Standardwährung

Eingabe einer Zeichenfolge für die Standardwährung.

Timeout für SQL Server-Anweisung

Eingabe des SQL Server Statement Timeouts.

Dieses Timeout tritt in Kraft, wenn ein einzelnes SQL Statement länger als hier definiert läuft, z. B. bei der Sicherung oder Wiederherstellung einer großen Datenbank. Bei neuen Verbindungen wird der aktuell eingestellte Wert für das Timeout verwendet. Wird dieser in den Optionen geändert, dann werden bestehende Verbindungen an den neuen Wert angepasst.

Das Timeout kann auf einen Wert zwischen 1 Minute und 7 Tagen eingestellt werden.

Eingabeelemente:

  • Zahlenelement:
    Eingabe der Quantität direkt in das Feld oder über Pfeiltasten.
    Mögliche Werte für:
    - Tage: 1 - 7
    - Stunden: 1 - 168
    - Minuten: 1 - 10080
  • Dropdownliste für Granularität:
    Mögliche Werte:
    - Minuten
    - Stunden
    - Tage
    Diese Auswahl beeinflusst den Wertbereich des Zahlenelements.

Default: 5 Minuten

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Prediction Model Manager

zenon Analyzer > Prediction Model Manager

Prognosemodelle geben Auskunft über zu erwartende, zukünftige Werte und über Wechselwirkungen von Variablen. Der Prediction Model Manager dient der Erstellung und Verwaltung von Prognosemodellen. Die Ergebnisse der Prognosemodelle werden in Predictive Analytics Reports verwendet.

Der Prediction Model Manager ist eine eigenständige Anwendung. Diese kann zur Bearbeitung aus ZAMS, aus dem Startmenü oder direkt über die Datei gestartet werden. Der Prediction Model Manager ist nicht in der zenon Analyzer Standard-Lizenz enthalten. Er benötigt eine eigene Lizenz.

ZAMS

Um den Prediction Model Manager in ZAMS zu öffnen:

  1. Navigieren Sie in ZAMS zum Ribbon Optionen.
  2. Wählen Sie den Eintrag Prediction Model Manager.
    Hinweis: Der Eintrag wird nur angezeigt, wenn Predictive Analytics lizenziert wurde.

    Der Prediction Model Manager wird gestartet. Zeitgleich wird der Dialog zum Herstellen einer Verbindung geöffnet.

Startmenü

Start als Stand-Alone-Anwendung aus dem Startmenü:

  • Wählen Sie im Windows Startmenü den Eintrag COPA-DATA -> Prediction Model Manager.
    Der Prediction Model Manager wird gestartet.

Kommandozeile

Wird der Prediction Model Manager als EXE-Datei über die Kommandozeile gestartet, kann ein Verbindungsprofil übergeben werden.

  • Parameter: Servername\Datenbankname

Tastenkombinationen

Zur Bedienung der Anwendung stehen Ihnen folgende Tastenkombinationen zur Verfügung:

Tastenkombination | Beschreibung
F1 | Öffnet die Hilfe.
Strg+Umschalt+C | Öffnet den Dialog zur Herstellung einer Datenbankverbindung.
Strg+S | Sichert Änderungen.
Alt+F4 | Beendet den Editor.
Strg+Z | Eingabe rückgängig machen.
Strg+Y | Eingabe wiederholen.

Noch in diesem Kapitel

Verbindung herstellen

Hauptfenster

Visualisierungsfenster

Konfiguration

Prognosemodelle

Prognosemodelle bearbeiten

Prognosemodelle trainieren

Cache für Echtdaten

Eigenschaften


Verbindung herstellen

zenon Analyzer > Prediction Model Manager > Verbindung herstellen

Der Prediction Model Manager verwaltet seine eigenen Verbindungsprofile. Beim Start werden auch die Verbindungsprofile des ZAMS gelesen. Existieren im Prediction Model Manager und in ZAMS Profile mit gleichen Namen, so dominiert das Verbindungsprofil des Prediction Model Manager.

Um den Prediction Model Manager mit einer Datenbank zu verbinden:

  1. Starten Sie den Prediction Model Manager als Stand alone Tool aus dem Startmenü beziehungsweise über die EXE-Datei oder aus dem Ribbon Optionen im ZAMS.
    Bei bereits geöffnetem Prediction Model Manager wählen Sie im Menü Datei den Befehl Verbindung herstellen.

    Der Dialog zur Verbindung mit einem Server wird geöffnet.

  2. Wählen Sie über Klick auf Verbindungsprofil die gewünschte Verbindung aus oder erstellen Sie analog zur Verbindungskonfiguration des ZAMS eine neue Verbindung.

  3. Klicken Sie auf OK.
    • Die Verbindung wird hergestellt.
    • Die Benutzerberechtigung wird vom Lizenzserver abgefragt.
    • Die Datenbank wird auf Korrektheit geprüft.
      Hinweis: Bei falschen Strukturen oder Versionen wird keine Verbindung hergestellt. Konvertierung ist nur mit ZAMS möglich.
    • Daten werden geladen.
    • Lizenz wird geholt.
      Fehler beim Holen der Lizenz werden in einem Pop-up angezeigt.
    • Die geladenen Daten werden im Prediction Model Manager dargestellt.


Hauptfenster

zenon Analyzer > Prediction Model Manager > Hauptfenster

Der Prediction Model Manager teilt sich in:

  • Menü
  • Symbolleiste
  • Liste der verfügbaren Prognosemodelle
  • Eigenschaftenfenster mit den Eigenschaften für die Modelle
  • Visualisierungsfenster mit Visualisierungen und Kennzahlen der in der Liste ausgewählten Modelle
  • Statusleiste

info Info

Alle Änderungen im Prediction Model Manager werden erst gespeichert, wenn das Speichern über den entsprechenden Eintrag im Menü oder der Symbolleiste ausgelöst wird. Prognosemodelle mit ungesicherten Änderungen werden in der Liste mit einem entsprechenden Symbol gekennzeichnet.

Bereich

Beschreibung

Menüleiste

Menüs zur Bearbeitung und Speicherung der Objekte.

Symbolleiste

Symbole zur Bearbeitung und Speicherung der Objekte.

Gruppierungszeile

Ermöglicht die Gruppierung der Prognosemodelle nach bestimmten Kriterien.

Liste Prognosemodelle

Liste aller angelegten Prognosemodelle.

Mehrfachauswahl für Modelle ist möglich:

  • Steuerung-Taste + Mausklick: Auswahl der angeklickten Modelle.
  • Umschalt-Taste + Mausklick. Alle Modelle zwischen dem ursprünglich markierten und dem neu markierten werden ausgewählt.
  • Tastenkombination Strg+A: Alle Modelle werden ausgewählt.

Eigenschaften

Zeigt Eigenschaften der ausgewählten Modelle an.

Visualisierungsfenster

Visualisierungen und Kennzahlen der in der Liste ausgewählten Modelle.

Statuszeile

Anzeige von Statusinformationen zu Verbindung und Aktionen.

Spalten der Liste

Die Liste der Prognosemodelle enthält Spalten mit Informationen zu den Modellen. Die Liste kann nach diesen Spalten sortiert, gefiltert und gruppiert werden.

Spalte

Beschreibung

Warnungen

Fehler bei der Verarbeitung werden mit einem Rufzeichen signalisiert. Details zum Fehler werden in einem Tooltip angezeigt.

Zustand des Modells

Ein Symbol zeigt den Zustand des Prognosemodells an:

  • Fragezeichen:
    Das Modell muss neu trainiert werden und enthält ungesicherte Änderungen. Die komplette Zeile des Modells wird eingefärbt.
  • Pfeile:
    Das Modell enthält ungesicherte Änderungen.
  • Kein Symbol:
    Keine Änderungen vorhanden und kein Training nötig.

Alle Symbole bieten einen Tooltip mit Detailinformationen.

Modelltyp

Typ des Prognosemodells:

  • zeitbasiert
  • wertbasiert

Prognosemodell

Name des Prognosemodells.

Zielvariable

Zielvariable des Modells.

Ziel-Zykluszeit

Zykluszeit der Zielvariablen.

Verdichtung

Verdichtung der Zielvariablen.

Zuletzt trainiert

Zeitpunkt des letzten Trainings des Modells.

Default-Modell

Anzeige und Konfiguration, ob das Modell das Default-Modell für die Zielvariable des Modells ist.

  • Aktiv: Modell ist als Default-Modell für die Zielvariable ausgewählt.
  • Inaktiv: Modell ist nicht als Default-Modell für die Zielvariable ausgewählt.

Um die Einstellung zu ändern, klicken Sie in das Prognosemodell und aktivieren oder deaktivieren Sie die Checkbox.

Hinweis: Nur eine einzige Kombination aus Zielvariable, Ziel-Zykluszeit und Verdichtung kann als Default-Modell definiert werden. Ist die Checkbox bei Aktivierung für ein Prognosemodell bereits bei einem anderen Prognosemodell der gleichen Ausprägung gesetzt, wird sie bei diesem deaktiviert. Zeitbasierte und wertbasierte Prognosemodelle werden dabei getrennt betrachtet.

Quellvariable

Anzeige abhängig vom Typ des Prognosemodells:

  • Wertbasiert: Anzeige der Quellvariablen.
  • Zeitbasiert: Leer.

Noch in diesem Kapitel

Menüs, Symbolleiste und Statuszeile

Einstellungen

Listen gruppieren, filtern und sortieren


Menüs, Symbolleiste und Statuszeile

zenon Analyzer > Prediction Model Manager > Hauptfenster > Menüs, Symbolleiste und Statuszeile

Menü und Symbolleiste bieten eine Reihe von Befehlen zur Verwaltung des Prediction Model Manager. Die Statuszeile informiert über Verbindungen.
Welche Menüpunkte und Symbole verfügbar sind, hängt ab vom Status der Datenbankverbindung.

Noch in diesem Kapitel

Menüs

Symbolleiste

Statuszeile


Menüs

zenon Analyzer > Prediction Model Manager > Hauptfenster > Menüs, Symbolleiste und Statuszeile > Menüs

Die Menüzeile enthält Einträge für die Gruppen:

  • Datei
  • Prognosemodell
  • Bearbeiten
  • Hilfe

Datei

Befehle für allgemeine Operationen.

Eintrag | Beschreibung
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Besteht bereits eine Verbindung und sind ungesicherte Änderungen vorhanden, werden entsprechende Hinweise angezeigt.
Änderungen übernehmen | Speichert alle vorhandenen Änderungen aller Prognosemodelle in der Datenbank. Nur verfügbar, wenn Änderungen bestehen, alle Modelle trainiert und keine Validierungsfehler vorhanden sind.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle seit der letzten Speicherung vorgenommenen Änderungen.
Einstellungen | Öffnet den Dialog für die Konfiguration der Einstellungen für Verbindungsprofile, Sprache und und Timeout der SQL-Anweisung.
Beenden | Beendet den Prediction Model Manager. Sind noch ungesicherte Änderungen vorhanden, erfolgt ein Rückfrage zum Speichern der Änderungen.

Prognosemodell

Befehle für das Anlegen und Verwalten von Prognosemodellen.

Eintrag | Beschreibung
Zeitbasierte Modelle hinzufügen | Öffnet den Wizard zum Anlegen eines zeitbasierten Modells.
Wertbasierte Modelle hinzufügen | Öffnet den Wizard zum Anlegen eines wertbasierten Modells.
Ausgewählte Modelle löschen | Löscht alle ausgewählten Modelle aus der Liste.
Daten für ausgewählte Modelle laden | Lädt die Echt-Daten über den Connector für alle ausgewählten Modelle.
Daten für alle Modelle laden | Lädt die Echt-Daten über den Connector für alle Modelle.
Ausgewählte Modelle trainieren | Startet das Training für die ausgewählten Modelle.
Alle Modelle trainieren | Startet das Training für alle Modelle.

Bearbeiten

Befehle für Wiederholen und Rückgängigmachen von Aktionen.

Eintrag | Beschreibung
Rückgängig | Macht letzte Aktion rückgängig. Ein Schritt bezieht sich immer auf eine Benutzerinteraktion wie das Bearbeiten einer Eigenschaft, das Löschen oder Einfügen von Modellen oder das Trainieren von Modellen.
Wiederherstellen | Stellt letztes Rückgängig wieder her. Nur verfügbar, wenn zuvor etwas rückgängig gemacht wurde.
Cache löschen | Entfernt die geladenen Echt-Daten aus dem Cache.

Hilfe

Hilfe und Versionsinformation.

Eintrag | Beschreibung
Versionshinweis | Öffnet ein Fenster mit Informationen zur aktuellen Version.
Hilfe | Öffnet die Online-Hilfe.


Symbolleiste

zenon Analyzer > Prediction Model Manager > Hauptfenster > Menüs, Symbolleiste und Statuszeile > Symbolleiste

Symbol | Beschreibung
Verbindung herstellen | Öffnet den Dialog zum Herstellen einer Verbindung. Hinweis: Wird der Dialog zum Herstellen einer Verbindung mit Klick auf OK bestätigt, dann startet ein neuer Verbindungsversuch. Nicht gespeicherte Änderungen werden dann ohne weitere Rückfrage verworfen.
Änderungen speichern | Speichert alle vorgenommenen Änderungen.
Änderungen verwerfen | Verwirft nach einer Sicherheitsabfrage alle seit der letzten Speicherung vorgenommenen Änderungen.
Zeitbasierte Prognosemodelle hinzufügen | Öffnet den Wizard zum Anlegen eines zeitbasierten Modells.
Wertbasierte Prognosemodelle hinzufügen | Öffnet den Wizard zum Anlegen eines wertbasierten Modells.
Löschen | Löscht alle ausgewählten Modelle aus der Liste.
Daten für ausgewählte Modelle laden | Lädt die Echt-Daten über den Connector für alle ausgewählten Modelle.
Daten für alle Modelle laden | Lädt die Echt-Daten über den Connector für alle Modelle.
Ausgewählte Modelle trainieren | Startet das Training für die ausgewählten Modelle.
Alle Modelle trainieren | Startet das Training für alle Modelle.
Rückgängig | Klick auf Symbol macht letzte Aktion rückgängig. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von Aktionen, die rückgängig gemacht werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block rückgängig gemacht werden.
Wiederherstellen | Klick auf Symbol stellt letztes Rückgängig wieder her. Klick auf Pfeil der Dropdownliste öffnet ein Fenster zur Auswahl von rückgängig gemachten Aktionen, die wiederhergestellt werden sollen. Es können immer nur die chronologisch letzte Aktion oder weitere chronologisch folgende Aktionen als Block wiederhergestellt werden.
Cache löschen | Entfernt die geladenen Echt-Daten aus dem Cache.


Statuszeile

zenon Analyzer > Prediction Model Manager > Hauptfenster > Menüs, Symbolleiste und Statuszeile > Statuszeile

Am unteren Rand des Hauptfensters befindet sich eine Statuszeile.

Element

Beschreibung

Symbol

Zeigt den Verbindungsstatus an.

Mögliche Status sind:

  • Keine Verbindung hergestellt
  • Verbindung hergestellt aber der Analyzer Server hat keine gültige Lizenz
  • Verbindung hergestellt und der Analyzer Server hat eine gültige Lizenz
  • Abgesicherte Verbindung hergestellt, gültige Lizenz
  • Abgesicherte Verbindung hergestellt, ungültige Lizenz

Informationen zum Status werden über einen Tooltip angezeigt.

Verbindungsinformation

Information zur aktiven Verbindung. Anzeige des Servers und der Datenbank.


Einstellungen

zenon Analyzer > Prediction Model Manager > Hauptfenster > Einstellungen

In diesem Dialog konfigurieren Sie:

  • Anzahl der erlaubten Verbindungsprofile
  • Verwaltung der Verbindungsprofile
  • Sprache der Oberfläche des Editors
  • Timeout für SQL Server-Anweisungen

Um die Einstellungen zu konfigurieren:

  1. Öffnen Sie das Menü Datei.
  2. Wählen Sie den Eintrag Einstellungen.

    Der Dialog zur Konfiguration der Einstellungen wird geöffnet.

Dialog Einstellungen

Option

Beschreibung

Maximale Anzahl an Verbindungsprofilen

Legt fest, wie viele Verbindungsprofile für den Editor maximal angelegt werden dürfen:

  • Minimum: 1
  • Maximum: 255
  • Default: 10

Konfiguration durch manuelle Eingabe oder über Klick auf Pfeiltasten.

Hinweis: Da im Dialog für die Verbindungsherstellung auch die ZAMS-Verbindungsprofile dargestellt werden, können in der Dropdownliste zur Auswahl eines Profils mehr als die zugelassenen Verbindungsprofile angezeigt werden.

Verbindungsprofile verwalten

Öffnet den Dialog zur Verwaltung der Verbindungsprofile.

Sprache

Auswahl der gewünschten Sprache für die Oberfläche des Editors aus Dropdownliste.

Timeout für SQL Server-Anweisung

Eingabe des SQL Server Statement Timeouts.

Dieses Timeout tritt in Kraft, wenn ein einzelnes SQL Statement länger als hier definiert läuft, z. B. bei der Sicherung oder Wiederherstellung einer großen Datenbank. Bei neuen Verbindungen wird der aktuell eingestellte Wert für das Timeout verwendet. Wird dieser in den Optionen geändert, dann werden bestehende Verbindungen an den neuen Wert angepasst.

Das Timeout kann auf einen Wert zwischen 1 Minute und 7 Tagen eingestellt werden.

Eingabeelemente:

  • Zahlenelement:
    Eingabe der Quantität direkt in das Feld oder über Pfeiltasten.
    Mögliche Werte für:
    - Tage: 1 - 7
    - Stunden: 1 - 168
    - Minuten: 1 - 10080
  • Dropdownliste für Granularität:
    Mögliche Werte:
    - Minuten
    - Stunden
    - Tage
    Diese Auswahl beeinflusst den Wertbereich des Zahlenelements.

Default: 5 Minuten

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Listen gruppieren, filtern und sortieren

zenon Analyzer > Prediction Model Manager > Hauptfenster > Listen gruppieren, filtern und sortieren

Im Prediction Model Manager können Listen sortiert, gefiltert und gruppiert angezeigt werden.

Noch in diesem Kapitel

Liste sortieren

Liste filtern

Liste gruppieren


Liste sortieren

zenon Analyzer > Prediction Model Manager > Hauptfenster > Listen gruppieren, filtern und sortieren > Liste sortieren

Um eine Liste zu sortieren:

  1. Klicken Sie in den Kopf der Spalte, nach der die Liste sortiert werden soll.
  2. Klicken Sie erneut, um die Sortierung zu ändern.

    Es werden drei Sortierungen der Reihe nach durchlaufen:

    • Aufsteigend: Die Liste wird von 0 - 9 und von a - z sortiert.
      Anzeige durch Pfeil nach oben.
    • Absteigend: Die Liste wird von 9 - 0 und von z - a sortiert
      Anzeige durch Pfeil nach unten.
    • Unsortiert: Die Liste wird im ursprünglichen Zustand angezeigt, also so, wie sie angelegt wurde.


Liste filtern

zenon Analyzer > Prediction Model Manager > Hauptfenster > Listen gruppieren, filtern und sortieren > Liste filtern

Um eine Liste zu filtern:

  1. Klicken Sie in der Filterzeile auf das Filtersymbol.

    Der Filterdialog wird aufgeschalten.

  2. Konfigurieren Sie den Filter.
    Die Ergebnisse der Auswahl werden in der Liste direkt angezeigt.
  3. Klicken Sie auf die Schaltfläche Filtern.

    Der Filter wird auf die Liste angewandt.

Um den Filter wieder aufzuheben:

  1. Öffnen Sie den Filterdialog.
  2. Klicken Sie auf die Schaltfläche Filter entfernen.

Filterdialog

Option

Beschreibung

Eingabefeld

Eingabe der Zeichenfolge, nach der gefiltert werden soll.

aA

Schaltet um zwischen:

  • Groß-/Kleinschreibung wird nicht berücksichtigt
  • Groß-/Kleinschreibung wird berücksichtigt

Default: Groß-/Kleinschreibung wird nicht berücksichtigt

Symbol Filter

Klick auf Filtersymbol öffnet Liste zur Auswahl eines Filterkriteriums.

Default: Enthält

Filterkriterien

Als Kriterien für Filterausdrücke stehen zur Verfügung:

Kriterium | Beschreibung
Filter entfernen | Entfernt alle Filterkriterien. Es werden wieder alle Zeilen angezeigt.
Ist gleich | Es werden alle Einträge mit exakt der eingegebenen Zeichenfolge angezeigt.
Ist nicht gleich | Es werden alle Einträge angezeigt, die nicht exakt der eingegebenen Zeichenfolge entsprechen.
Beginnt mit | Es werden alle Einträge angezeigt, die mit der Zeichenfolge beginnen.
Endet mit | Es werden alle Einträge angezeigt, die mit der Zeichenfolge enden.
Enthält | Es werden alle Einträge angezeigt, die diese Zeichenfolge enthalten. (Default-Einstellung.)
Enthält nicht | Es werden alle Einträge angezeigt, die diese Zeichenfolge nicht enthalten.
Ist leer | Es werden alle leeren Zellen angezeigt. Hinweis: Sprachtabellen dürfen für existierende Schlüsselwörter keine leeren Zellen enthalten.
Ist nicht leer | Es werden alle Zellen angezeigt, die mindestens ein Zeichen enthalten. Auch Leerzeichen werden als Zeichen gewertet.


Liste gruppieren

zenon Analyzer > Prediction Model Manager > Hauptfenster > Listen gruppieren, filtern und sortieren > Liste gruppieren

Um eine Liste zu gruppieren:

  1. Klicken Sie auf den Kopf der Spalte, nach der die Liste gruppiert werden soll.
  2. Ziehen Sie den Spaltenkopf mit der Maus in die Gruppierungszeile darüber.

    Die Liste wird entsprechend gruppiert angezeigt.

  3. Fügen Sie bei Bedarf weitere Gruppierungsspalten hinzu.

Um die Gruppierung aufzuheben:

  1. Bewegen Sie die Maus über das Gruppierungselement in der Gruppierungsspalte.
  2. Klicken Sie auf das X neben der Spaltennamen.

    Die Gruppierung wird aufgehoben.


Visualisierungsfenster

zenon Analyzer > Prediction Model Manager > Visualisierungsfenster

Die Prognosemodelle werden über mehrere Diagramme visualisiert.

Diese Diagramme werden auch in den Wizards zur Erstellung der Prognosemodelle verwendet.

Zur Verfügung stehen:

  • Trend-Diagramm (nicht für wertbasierte Prognosemodelle)
  • Streudiagramm (nicht für zeitbasierte Prognosemodelle)
  • Letztes Trainingsergebnis
  • Trainingshistorie (nicht für Wizards)

Alle Diagramme unterstützen die Mehrfachauswahl von Modellen. In diesem Fall werden die Daten aller ausgewählten Modellen gleichzeitig angezeigt. Einzelne Prognosemodelle und Indikatoren können im Diagramm ausgewählt werden.

Noch in diesem Kapitel

Trend-Diagramm

Streudiagramm

Letztes Trainingsergebnis

Trainingshistorie


Trend-Diagramm

zenon Analyzer > Prediction Model Manager > Visualisierungsfenster > Trend-Diagramm

Das Trend-Diagramm stellt das Prognosemodell den Echtdaten gegenüber. Es steht nur für zeitbasierte Prognosemodelle zur Verfügung.

Abschnitt

Beschreibung

Block links

Auswahl der anzuzeigenden Daten.
Die Auswahl erfolgt über Checkboxen:

  • Echtdaten: Anzeige der Echtdaten.
  • Prognostizierte Daten: ANzeige der Prognosedaten.
  • Trenner für Periodizitäten: Trenner für Periodizität.

Diese Einstellungen können für alle ausgewählten Modelle gemeinsam oder für jedes ausgewählte Prognosemodell einzeln gesetzt werden.

Block rechts

Darstellung der ausgewählten Daten als Trend-Diagramm.

Der dargestellte Ausschnitt wird festgelegt über:

  • Vertikal:
    Eingabe der unteren und oberen Werte für die Darstellung in Numerische Eingabefelder. Werte können auch über Pfeiltasten geändert werden.
    Der obere Wert muss größer sein als der untere Wert.
  • Horizontal:
    Auswahl der Zeitpunkte für Start und Ende des dargestellten Bereichs über Kalenderelement.

Alle Werte können auf den jeweiligen Ausgangswert zurückgesetzt werden. Dazu stehen drei Schaltflächen zur Verfügung:

  • Achsengrenzen zurücksetzen (vertikal):
    Setzt die Werte für die Y-Achse zurück.
  • Achsengrenzen zurücksetzen (horizontal):
    Setzt die Werte für die X-Achse zurück.
  • Alle Achsengrenzen zurücksetzen:
    Setzt die Werte für beide Achsen zurück.

Hinweis: Für Variablen mit Zykluszeit 0 (ereignisgesteuerte Variablen) stehen keine Daten zur Verfügung, für welchen Zeitraum Datenpunkte erzeugt werden sollen. Dieser wird daher fix mit 500 Punkten dargestellt.


Streudiagramm

zenon Analyzer > Prediction Model Manager > Visualisierungsfenster > Streudiagramm

Das Streudiagramm stellt das Prognosemodell den Echtdaten gegenüber. Es steht nur für wertbasierte Prognosemodelle zur Verfügung.

Abschnitt

Beschreibung

Block links

Auswahl der anzuzeigenden Daten.
Die Auswahl erfolgt über Checkboxen:

  • Echtdaten: Anzeige der Echtdaten.
  • Prognostizierte Daten: ANzeige der Prognosedaten.

Diese Einstellungen können für alle ausgewählten Modelle gemeinsam oder für jedes ausgewählte Prognosemodell einzeln gesetzt werden.

Block rechts

Darstellung der ausgewählten Daten als Streudiagramm.

Der dargestellte Ausschnitt wird festgelegt über:

  • Vertikal:
    Eingabe der unteren und oberen Werte für die Darstellung in Numerische Eingabefelder. Werte können auch über Pfeiltasten geändert werden.
    Der obere Wert muss größer sein als der untere Wert.
  • Horizontal:
    Auswahl der Zeitpunkte für Start und Ende des dargestellten Bereichs über Kalenderelement.

Alle Werte können auf den jeweiligen Ausgangswert zurückgesetzt werden. Dazu stehen diese Schaltflächen zur Verfügung:

  • Achsengrenzen zurücksetzen (vertikal):
    Setzt die Werte für die Y-Achse zurück.
  • Achsengrenzen zurücksetzen (horizontal):
    Setzt die Werte für die X-Achse zurück.
  • Alle Achsengrenzen zurücksetzen:
    Setzt die Werte für beide Achsen zurück.


Letztes Trainingsergebnis

zenon Analyzer > Prediction Model Manager > Visualisierungsfenster > Letztes Trainingsergebnis

Die Anzeige des letzten Trainingsergebnisses ermöglicht es, die Genauigkeit eines Modells zu betrachten und mehrere Modelle miteinander zu vergleichen.

Abschnitt

Beschreibung

Block links

Auswahl der anzuzeigenden Modelle.

Block rechts

Anzeige der Kennzahlen des Modelltrainings:

  • Korrelationskoeffizient:
    Sagt aus, wie gut das Modell mit den Validierungsdaten übereinstimmt
  • Absolute Fehler:
    Zeigt die Verteilung der absoluten Fehler des Modells im Trainingsbereich.
  • Relative Fehler:
    Zeigt die Größe der relativen Abweichung der Datenpunkte des Modells im Vergleich zu den Validierungsdaten.

Werden mehrere Modelle angezeigt, erfolgt die Darstellung entsprechend der Reihenfolge im Block links.

Der dargestellte Ausschnitt wird festgelegt über:

  • Korrelationskoeffizient (vertikal):
    Eingabe der unteren und oberen Werte für die Darstellung in Numerische Eingabefelder. Werte können auch über Pfeiltasten geändert werden.
    Der obere Wert muss größer sein als der untere Wert.
  • Fehler: Eingabe des oberen Werts für die Darstellung in Numerische Eingabefelder. Werte können auch über Pfeiltasten geändert werden. Der obere Wert muss größer sein als der untere Wert.
  • Alle Werte können auf den jeweiligen Ausgangswert zurückgesetzt werden. Dazu steht jeweils diese Schaltfläche zur Verfügung:
  • Achsengrenzen zurücksetzen:Setzt die Werte für die Y-Achse zurück.

Details zu den Kennzahlen lesen Sie im Abschnitt Kennzahlen.

Kennzahlen

Korrelationskoeffizient

Der Korrelationskoeffizient sagt aus, wie gut das Modell mit den Validierungsdaten übereinstimmt.

Mögliche Werte:

  • Minimum: 0.
    Keine Übereinstimmung.
  • Maximum: 1.
    Perfekte Übereinstimmung.

Je näher der Wert bei 1 liegt, desto mehr entspricht das Modell den Daten.
Die Farbe des Balken ändert sich mit dem Wert des Korrelationskoeffizienten von 0 bis 1 von rot über orange und gelb zu grün.

Hinweis: Theoretisch sind auch Werte unter 0 bis -1 (völlig gegengleiches Modell) möglich. In der Praxis wird durch Angleichung des Modells an die Daten immer ein Wert über 0 erzielt werden.

Absoluter Fehler

Die vom Modell vorhergesagten Daten werden absolut mit den Validierungsdaten verglichen.
Der absolute Fehler zeigt die Verteilung der absoluten Fehler des Modells im Trainingsbereich und damit, wie wie stark das Modell von den Trainingsdaten abweicht.

  • Der Balken im Diagramm stellt mit vier Farben analog zu einem Histogramm die Verteilung des Fehlers dar:
  • Oberer Rand: Maximale Abweichung des Modells über alle Datenpunkt der Trainingsdaten.
  • Gestrichelte Line: Wert durchschnittliche absolute Fehler.
  • Farbbereiche: 4 Quartile, dargestellt durch 4 Farben.
  • Grauer Balken am unteren Ende: Bereich von 0 bis zum minimalen Fehler.
    Das Modell hat immer mindestens einen Fehler mit diesem Wert.

Hinweis: Absolute Fehler für Modelle von Variablen mit unterschiedlichen Einheiten, Größenordnungen etc. zu vergleichen, ergibt keine sinnvollen Ergebnisse, da die Werte keinen Bezug zueinander haben.

Beispiel:

  • Zwei Quartile (rot, orange), mit der größten Abweichung, streuen über einen großen Bereich.
  • Zwei Quartile (gelb, grün), mit der geringeren Abweichung, streuen über einen kleineren Bereich.
  • In Zahlen:
    • Das Modell weicht, über alle Datenpunkte der Validierungsdaten betrachtet, maximal 44 NI ab.
    • 25% der Datenpunkte haben zwischen 44 und 27 NI Abweichung.
    • 25% zwischen 27 und 13 NI Abweichung.
    • 25% zwischen 13 und 9 NI Abweichung.
    • 25% unter 9 NI Abweichung.
    • Der kleinste Fehler ist 3.
      Das heißt: Dieses Modell hatte immer mindestens einen Fehler von 3 NI.
    • Im Schnitt weicht bei diesem Modell ein Datenpunkt 17 NI von den Validierungsdaten ab

Relativer Fehler

Die vom Modell vorhergesagten Daten werden relativ mit den Validierungsdaten verglichen.
Der relative Fehler vergleicht die vom Modell vorhergesagten Daten mit den Validierungsdaten. Er sagt aus, wie viel die Abweichung der Datenpunkte des Modells im Vergleich zu den Validierungsdaten relativ abweicht, also pro Datenpunkt jeweils bezogen auf den Validierungswert.

Die Darstellung erfolgt analog zum Absoluten Fehler.

Beispiel:

  • Das Modell errechnet den Wert 15.
  • Validierungsdaten haben an dieser Stelle den Wert 10.
  • Die absolute Abweichung beträgt damit 5.
  • Die relative Abweichung beträgt also 5/10 = 50 %.

Das zeigt auch, dass der relative Fehler mit Vorsicht zu verwenden ist. Eine Variable mit der selben absoluten Abweichung von 5, aber mit dem Wert 100 an dieser Stelle, würde eine relative Abweichung von nur 5 % ergeben.
Besonders problematisch sind Variablen die sich (auch wenn nur zeitweise) nahe am Wert 0 bewegen. Ein einziger Wert sehr nahe an 0 kann dazu führen dass die maximale relative Abweichung exotische Werte annimmt, z .B.: Ein Wert von 0.01 mit einer absoluten Abweichung von 5 ergibt eine relative Abweichung von 50.000 %.


Trainingshistorie

zenon Analyzer > Prediction Model Manager > Visualisierungsfenster > Trainingshistorie

Das Diagramm für die Trainingshistorie zeigt den Verlauf der bisherigen Trainings. Es werden die Datenmengen, Trainingsdauer und Güteindikatoren des Modells über die Zeit dargestellt. Damit kann festgestellt werden, wie sich das Modell über die Zeit verändert.

Abschnitt

Beschreibung

Block links

Auswahl der Diagramminhalte und der Prognosemodelle.

Im oberen Bereich werden die anzuzeigenden Diagramminhalte ausgewählt. Diese gelten für alle angezeigten Prognosemodelle.
Im unteren Bereich erfolgt die Auswahl der Prognosemodelle, die angezeigt werden.

Blocke recht

Der dargestellte Ausschnitt wird festgelegt über:

  • Vertikal:
    Eingabe der unteren und oberen Werte für die Darstellung in numerische Eingabefelder. Werte können auch über Pfeiltasten geändert werden.
    Der obere Wert muss größer sein als der untere Wert.
  • Horizontal:
    Auswahl der Zeitpunkte für Start und Ende des dargestellten Bereichs über Kalenderelement.

Alle Werte können auf den jeweiligen Ausgangswert zurückgesetzt werden. Dazu stehen drei Schaltflächen zur Verfügung:

  • Achsengrenzen zurücksetzen (vertikal):
    Setzt die Werte für die Y-Achse zurück.
  • Achsengrenzen zurücksetzen (horizontal):
    Setzt die Werte für die X-Achse zurück.
  • Alle Achsengrenzen zurücksetzen:
    Setzt die Werte für beide Achsen zurück.

Mehrfachauswahl:


Konfiguration

zenon Analyzer > Prediction Model Manager > Konfiguration

Die Konfiguration von Prognosemodellen erfolgt über die entsprechenden Wizards und die Eigenschaften der Prognosemodelle.

Fortschrittsanzeige

Wenn Vorgänge länger dauern, wird eine Fortschrittsanzeige angezeigt.

Zum Beispiel beim Holen der Echtdaten, Trainieren eines Modells oder Vorbereiten der Daten für ein Diagramm. Die Fortschrittsanzeige kann abgebrochen werden. Damit wird der gesamte Vorgang abgebrochen. Der Abbruch kann bei bestimmten Aufgaben, zum Beispiel Holen der Daten vom Runtime-Connector, erst durchgeführt werden, wenn diese Aufgabe beendet wurde.

Eindeutige Adressierung von Variablendaten

Daten von der gleichen Variable, aber mit anderer Zykluszeit oder Verdichtung sind nicht dieselben Daten und werden als unterschiedlich betrachtet.
Die eindeutige Adressierung von Variablendaten wird im Prediction Model Manager sichergestellt durch die Kombination aus:

  • Variablenname
  • Zykluszeit
  • Verdichtung

Archive können zur Adressierung verwendet werden, dienen aber nicht als Differenzierungskriterium.


Prognosemodelle

zenon Analyzer > Prediction Model Manager > Prognosemodelle

Prognosemodelle werden mit Hilfe von Wizards erstellt und mit den Eigenschaften im Prediction Model Manager bearbeitet.

Prognosemodelle basieren auf unterschiedlichen Typen:

  • Zeitbasierte Prognosemodelle: Haben eine Zeitdimension und eine Zielvariable.
  • Wertbasierte Prognosemodelle: Haben anstelle der Zeitdimension eine explizite Quellvariable und eine Zielvariable.

Änderungen an Prognosemodellen werden erst wirksam, wenn sie gespeichert wurden. Dazu dürfen keine Validierungsfehler vorhanden sein und die Modelle müssen trainiert sein. Status und benötigte Aktionen werden über Symbole angezeigt.

Prognosemodell erstellen

Die Erstellung von Prognosemodellen ist nur über den jeweiligen Wizard möglich. Dieser wird über die Symbolleiste oder das Menü Prognosemodell gestartet.

Um ein Prognosemodell zu erstellen:

  1. Starten Sie den passenden Wizards für ein zeitbasiertes oder wertbasiertes Prognosemodell.
  2. Konfigurieren Sie das Prognosemodell entsprechend dem Ablauf.
  3. Speichern Sie das neue Prognosemodell.

Prognosemodell bearbeiten

Prognosemodelle können im Prediction Model Manager bearbeitet werden.

Um ein Prognosemodell zu bearbeiten:

  1. Wählen Sie das Modell in der Liste aus.
    Es können auch mehrere Modelle gleichzeitig ausgewählt und bearbeitet werden. Jede Änderung wirkt sich dann auf alle Modelle aus.
  2. Bearbeiten Sie das Modell über die Eigenschaften.
  3. Trainieren Sie das Modell neu.
  4. Speichern Sie die Änderungen.

Noch in diesem Kapitel

Zeitbasiertes Prognosemodell erstellen

Wertbasiertes Prognosemodell erstellen


Zeitbasiertes Prognosemodell erstellen

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Zeitbasiertes Prognosemodell erstellen

Um ein zeitbasiertes Prognosemodell zu erstellen:

  1. Starten Sie den Wizard für zeitbasierte Prognosemodelle.
    Dazu wählen Sie den entsprechenden Eintrag im Menü Prognosemodell oder in der Symbolleiste.
    Der Wizard wird gestartet.

  2. Wählen Sie im ersten Schritt die gewünschten Variablen aus.
  3. Klicken Sie auf Nächste.
  4. Konfigurieren Sie die den Datenabruf.
  5. Klicken Sie auf Nächste.

    Die Daten für das Prognosemodell werden geladen.

  6. Konfigurieren Sie das Modell.
  7. Klicken Sie auf Nächste.
  8. Wählen Sie, wenn nötig, die Modelle aus, die erstellt werden sollen.
  9. Klicken Sie auf Beenden.

    Die Prognosemodelle werden erstellt und im Prediction Model Manager angezeigt.

Navigation

Die Navigation durch den Wizard erfolgt über Schaltflächen im rechten unteren Bereich:

  • Vorherige: Kehrt zum vorangegangen Schritt zurück. Dieser Schritt zurück kann an jeder Stelle des Wizards erfolgen.
    Beim Zurückgehen bleiben konfigurierte Daten teilweise erhalten, wenn möglich.
  • Nächste: Navigiert zum nächsten Schritt.
    Ist ein Validierungsfehler vorhanden, wird die Navigation unterbunden, bis der Fehler behoben wurde.
    Nicht auf der letzten Seite des Wizards vorhanden.
  • Beenden: Erstellt das Prognosemodell und beendet den Wizard.
    Nur auf der letzten Seite des Wizards vorhanden.

Der Fortschritt der Konfiguration wird durch die vertikale Schrittanzeige am linken Rand angezeigt.
Um den Wizard abzubrechen, schließen Sie ihn durch Klick auf die Schaltfläche X rechts oben. In diesem Fall werden alle Eingaben verworfen und das Prognosemodell wird nicht angelegt.

Noch in diesem Kapitel

Variablenauswahl

Konfiguration Datenabruf

Modellkonfiguration

Modellauswahl


Variablenauswahl

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Zeitbasiertes Prognosemodell erstellen > Variablenauswahl

In diesem Schritt wählen Sie die Variablen aus, für die Prognosemodelle erzeugt werden sollen.

Um Variablen auszuwählen:

  1. Markieren Sie die gewünschten Variablen in der Liste Verfügbare Variablen.
    Mehrfachauswahl ist möglich mit Steuerung-Taste + Mausklick oder Eingabe-Taste + Mausklick.
  2. Klicken Sie auf den Pfeil nach unten zwischen den beiden Listen.

    Die ausgewählten Variablen werden zur Liste Ausgewählte Variablen hinzugefügt.
    Einzelne Variablen können auch per Doppelklick hinzugefügt werden.

    Es wird jeweils eine Zeile für eine eindeutige Kombination aus Variable, Zykluszeit und Verdichtung angezeigt. Ist diese Kombination in mehreren Archiven vorhanden, werden diese in der Spalte Archive getrennt durch Komma angezeigt.

    Um Variablen wieder aus der Liste zu entfernen:

    • Führen Sie einen Doppelklick auf die Variable aus.
    • Oder: Markieren Sie die Variable und klicken Sie auf den Pfeil nach oben.
  3. Klicken Sie auf die Schaltfläche Nächste.

    Der Wizard prüft die Eingabe und schaltet zum nächsten Schritt.

Option | Beschreibung
Variablenauswahl | Anzeige des aktiven Schritts im Wizard.
Verfügbare Variablen | Liste der verfügbaren Variablen.
Pfeiltasten | Bewegen ausgewählte Variablen von einer Liste zur anderen. Variablen können auch mit Doppelklick bewegt werden.
Ausgewählte Variablen | Liste der ausgewählten Variablen.

Navigation

Option | Beschreibung
Vorherige | Im ersten Schritt nicht verfügbar.
Nächste | Schaltet weiter zum Schritt Konfiguration Datenabruf.


Konfiguration Datenabruf

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Zeitbasiertes Prognosemodell erstellen > Konfiguration Datenabruf

Im zweiten Schritt konfigurieren Sie die Einstellungen für das Holen der Daten, die für das Training der Modelle benötigt werden.

Um den Datenabruf zu konfigurieren:

  1. Markieren Sie die gewünschten Variablen in der Liste Verfügbare Variablen..
  2. Wählen Sie im Eigenschaften-Fenster die gewünschten Eigenschaften und passen Sie deren Werte an.

    Sie können mehrere Variablen gemeinsam konfigurieren. Eigenschaften mit unterschiedlichen Einstellungen werden rot hervorgehoben. Alle Änderungen von Eigenschaften werden auf alle Variablen gemeinsam angewandt

  3. Klicken Sie auf die Schaltfläche Nächste.

    Der Wizard prüft die Eingabe und schaltet zum nächsten Schritt.

Option

Beschreibung

Konfiguration Datenabruf

Anzeige des aktiven Schritts im Wizard.

Variablen-Fenster

Anzeige der im ersten Schritt gewählten Variablen.

Eigenschaften-Fenster

Eigenschaften für das Konfigurieren des Datenabrufs:

  • Zeitbereich der Trainingsdaten: Auswahl des Zeitbereichs für das Training. Details siehe Eigenschaften Allgemein.
  • Connector: Auswahl des Connectors aus Dropdownliste.
  • Archive: Auswahl des Archivs aus Dropdownliste. Details siehe Eigenschaften der Zielvariable.

Navigation

Option | Beschreibung
Vorherige | Schaltet zurück zum Schritt Variablenauswahl.
Nächste | Validiert die Eingabe und holt die Daten für die Variablen für den eingestellten Zeitraum aus den eingestellten Datenquellen. Bei Validierungsfehler bleibt der aktuelle Schritt geöffnet. Es wird nicht weitergeschaltet. Bei erfolgreicher Validierung wird weitergeschaltet zum Schritt Modellkonfiguration.

Fehlerbehandlung

Tritt bei der Validierung ein Fehler auf, schaltet der Wizard nicht zum nächsten Schritt. Oberhalb der Liste wird ein Fehler-Hinweis angezeigt. Die fehlerhaften Variablen werden mit einer Markierung und einem Fehlerhinweis versehen. Wurde der Fehler behoben, kann weiter geschaltet werden.

Tipp: Ein häufiger Fehler beim Datenholen ist, dass für exakt denselben Zeitstempel mehrere Datenpunkte vorhanden sind. Es wird eine entsprechende Fehlermeldung für den ersten der betroffenen Zeitstempel angezeigt, in der LOG-Datei werden alle Zeitstempel mit doppelte Werten angezeigt.


Modellkonfiguration

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Zeitbasiertes Prognosemodell erstellen > Modellkonfiguration

Im dritten Schritt erstellen und konfigurieren Sie Prognosemodelle für die ausgewählten Variablen.

Um Prognosemodelle zu erstellen und zu konfigurieren:

  1. Markieren Sie die gewünschten Variablen in der Liste Verfügbare Variablen.

    Ein Prognosemodell je Variable ist bereits vorhanden.

  2. Fügen Sie bei Bedarf weitere Prognosemodelle hinzu.
    Klicken Sie dazu auf das grüne +-Symbol.
    Es können Prognosemodelle für alle oder einzelne Variablen hinzugefügt werden. Wenn mehrere Variablen gemeinsam konfiguriert werden sollen, müssen sie über die gleichen Prognosemodelle verfügen.
    Um ein Prognosemodell wieder zu entfernen, markieren Sie das Prognosemodell und klicken Sie auf das rote X.
    Es muss immer ein Prognosemodell vorhanden sein.
  3. Wählen Sie im Eigenschaften-Fenster die gewünschten Eigenschaften und passen Sie deren Werte an.

    Sie können mehrere Variablen und Prognosemodelle gemeinsam konfigurieren. Eigenschaften mit unterschiedlichen Einstellungen werden rot hervorgehoben. Alle Änderungen von Eigenschaften werden auf alle Variablen und Prognosemodelle gemeinsam angewandt.

    Im Visualisierungsfenster wird das Trend-Diagramm für die ausgewählten Modelle angezeigt.

  4. Klicken Sie auf die Schaltfläche Nächste.

    Der Wizard prüft die Eingabe und schaltet zum nächsten Schritt.

Option

Beschreibung

Konfiguration Modellkonfiguration

Anzeige des aktiven Schritts im Wizard.

Variablen-Fenster

Anzeige der im ersten Schritt gewählten Variablen.

Eigenschaften-Fenster

Prognosemodelle und Eigenschaften für das Konfigurieren des Datenabrufs.

Wurden mehrere Variablen gemeinsam ausgewählt, dann werden alle Modelle dieser Variablen angezeigt. Modelle mit dem selben Namen werden nur als ein Eintrag angezeigt. Im Eigenschaften-Fenster werden aber die Eigenschaften aller darin zusammengefassten Modelle angezeigt und bearbeitet:

  • Prognosemodell: Anzeige der Prognosemodelle. Je Variable wird ein Prognosemodell automatisch erstellt.
    Über die Symbole + und X werden Prognosemodelle hinzugefügt und gelöscht. Diese Schaltflächen gelten immer für alle ausgewählten Variablen. Verfügen die ausgewählten Variablen über unterschiedliche Prognosemodelle, wird oberhalb der Liste eine Fehlermeldung angezeigt und die Liste bleibt leer.
  • Modellname: Name des Prognosemodells.
    Default-Name: Prognosemodell. Bei mehreren Modellen wird der Name durch eine fortlaufende Nummerierung ergänzt.
    Der Name muss für jedes Modell je Variable eindeutig sein.
    Kann nur je Variable und Modell geändert werden, aber nicht gemeinsam, da dies zu Validierungsfehler führen würde.
    Details siehe Eigenschaften Allgemein.
  • Periodizitäten: Konfiguration der Periodizität. Hinzufügen und Löschen erfolgt über die Symbole + und X.
    Details siehe Eigenschaften Allgemein.
  • Trainingsdaten: Konfiguration des Verhältnisses von Trainingsdaten zu Validierungsdaten.
    Details siehe Eigenschaften Allgemein.
  • Datenbereinigung: Konfiguration der Datenbereinigung.
    Details siehe Eigenschaften Zielvariable.

Visualisierungsfenster

Anzeige des Trend-Diagramms für die ausgewählten Prognosemodelle. Es werden nur Echtdaten angezeigt. Prognosedaten sind noch nicht vorhanden.

Navigation

Option | Beschreibung
Vorherige | Schaltet zurück zum Schritt Konfiguration Datenabruf.
Nächste | Trainiert die Prognosemodelle. Bei Validierungsfehler bleibt der aktuelle Schritt geöffnet. Es wird nicht weitergeschaltet. Bei erfolgreicher Validierung wird weitergeschaltet zum Schritt Modellauswahl.


Modellauswahl

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Zeitbasiertes Prognosemodell erstellen > Modellauswahl

Im vierten Schritt wählen Sie die zu erzeugenden Prognosemodelle aus.

Um Prognosemodelle auszuwählen:

  1. Wählen Sie die gewünschten Prognosemodelle durch Klick in die Checkbox aus:
    Per Default sind alle Modelle vorausgewählt.

    Im Visualisierungsfenster können Sie Anzeige und Trainingsergebnisse aller Modell vergleichen.

  2. Klicken Sie auf die Schaltfläche Beenden.

    Die abgewählten Prognosemodelle werden verworfen.
    Ausgewählte Prognosemodelle werden erstellt und im Prediction Model Manager angezeigt.
    Der Wizard wird beendet.

Option | Beschreibung
Konfiguration Modellkonfiguration | Anzeige des aktiven Schritts im Wizard.
Prognosemodell-Fenster | Anzeige der konfigurierten Prognosemodelle. Auswahl und Abwahl über Checkbox vor dem Modellnamen. Abgewählte Modelle werden beim Abschliessen des Wizards verworfen, die angewählten Modelle werden in die Hauptübersicht übernommen.
Visualisierungsfenster | Anzeige des Trend-Diagramms und der Trainingsergebnisse für die ausgewählten Prognosemodelle.

Navigation

Option | Beschreibung
Vorherige | Schaltet zurück zum Schritt Modellkonfiguration.
Nächste | Übernimmt die ausgewählten Prognosemodelle und schließt den Wizard.


Wertbasiertes Prognosemodell erstellen

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Wertbasiertes Prognosemodell erstellen

Um ein wertbasiertes Prognosemodell zu erstellen:

  1. Starten Sie den Wizard für wertbasierte Prognosemodelle.
    Dazu wählen Sie den entsprechenden Eintrag im Menü Prognosemodell oder in der Symbolleiste.
    Der Wizard wird gestartet.

  2. Wählen Sie im ersten Schritt die gewünschten Variablen aus.
  3. Klicken Sie auf Nächste.
  4. Konfigurieren Sie die den Datenabruf.
  5. Klicken Sie auf Nächste.

    Die Daten für das Prognosemodell werden geladen.

  6. Konfigurieren Sie das Modell.
  7. Klicken Sie auf Nächste.
  8. Wählen Sie, wenn nötig, die Modelle aus, die erstellt werden sollen.
  9. Klicken Sie auf Beenden.

    Die Prognosemodelle werden erstellt und im Prediction Model Manager im angezeigt.

Navigation

Die Navigation durch den Wizard erfolgt über Schaltflächen im rechten unteren Bereich:

  • Vorherige: Kehrt zum vorangegangen Schritt zurück. Dieser Schritt zurück kann an jeder Stelle des Wizards erfolgen.
    Beim Zurückgehen bleiben konfigurierte Daten teilweise erhalten, wenn möglich.
  • Nächste: Navigiert zum nächsten Schritt.
    Ist ein Validierungsfehler vorhanden, wird die Navigation unterbunden, bis der Fehler behoben wurde.
    Nicht auf der letzten Seite des Wizards vorhanden.
  • Beenden: Erstellt das Prognosemodell und beendet den Wizard.
    Nur auf der letzten Seite des Wizards vorhanden.

Der Fortschritt der Konfiguration wird durch die vertikale Schrittanzeige am linken Rand angezeigt.
Um den Wizard abzubrechen, schließen Sie ihn durch Klick auf die Schaltfläche X rechts oben. In diesem Fall werden alle Eingaben verworfen und das Prognosemodell wird nicht angelegt.

Noch in diesem Kapitel

Variablenauswahl

Konfiguration Datenabruf

Modellkonfiguration

Modellauswahl


Variablenauswahl

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Wertbasiertes Prognosemodell erstellen > Variablenauswahl

In diesem Schritt wählen Sie die Variablen aus, für die Prognosemodelle erzeugt werden sollen.

Um Variablen auszuwählen:

  1. Markieren Sie die gewünschten Variablen in der Liste Verfügbare Variablen.
    Mehrfachauswahl ist möglich mit Steuerung-Taste + Mausklick oder Eingabe-Taste + Mausklick.
  2. Klicken Sie auf den Pfeil nach unten zwischen den beiden Listen.

    Die ausgewählten Variablen werden zur Liste Ausgewählte Variablen hinzugefügt.
    Einzelne Variablen können auch per Doppelklick hinzugefügt werden.

    Es wird jeweils eine Zeile für eine eindeutige Kombination aus Variable, Zykluszeit und Verdichtung angezeigt. Ist diese Kombination in mehreren Archiven vorhanden, werden diese in der Spalte Archive getrennt durch Komma angezeigt.

    Um Variablen wieder aus der Liste zu entfernen:

    • Führen Sie einen Doppelklick auf die Variable aus.
    • Oder: Markieren Sie die Variable und klicken Sie auf den Pfeil nach oben.
  3. Wählen Sie für jede Zielvariable eine Quellvariable aus.
    Dazu:
    1. Klicken Sie in das rot hinterlegte Feld in der Spalte Quellvariable im Fenster Ausgewählte Variablen.
    2. Wählen Sie die gewünschte Quellvariable aus der Dropdownliste aus.
  4. Klicken Sie auf die Schaltfläche Nächste.

    Der Wizard prüft die Eingabe und schaltet zum nächsten Schritt.

Option | Beschreibung
Variablenauswahl | Anzeige des aktiven Schritts im Wizard.
Verfügbare Variablen | Liste der verfügbaren Variablen.
Pfeiltasten | Bewegen ausgewählte Variablen von einer Liste zur anderen. Variablen können auch mit Doppelklick bewegt werden.
Ausgewählte Variablen | Liste der ausgewählten Variablen. Fügen Sie für jede Variable in der Liste eine Quellvariable hinzu. Hinweis: es können nur Variablen gewählt werden, die über die gleiche Zykluszeit und Verdichtung verfügen wie die Zielvariable.

Navigation

Option | Beschreibung
Vorherige | Im ersten Schritt nicht verfügbar.
Nächste | Schaltet weiter zum Schritt Konfiguration Datenabruf.


Konfiguration Datenabruf

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Wertbasiertes Prognosemodell erstellen > Konfiguration Datenabruf

Im zweiten Schritt konfigurieren Sie die Einstellungen für das Holen der Daten, die für das Training der Modelle benötigt werden.

Um den Datenabruf zu konfigurieren:

  1. Markieren Sie die gewünschten Variablen in der Liste Verfügbare Variablen..
  2. Wählen Sie im Eigenschaften-Fenster die gewünschten Eigenschaften und passen Sie deren Werte an.

    Sie können mehrere Variablen gemeinsam konfigurieren. Eigenschaften mit unterschiedlichen Einstellungen werden rot hervorgehoben. Alle Änderungen von Eigenschaften werden auf alle Variablen gemeinsam angewandt

  3. Klicken Sie auf die Schaltfläche Nächste.

    Der Wizard prüft die Eingabe und schaltet zum nächsten Schritt.

Option

Beschreibung

Konfiguration Datenabruf

Anzeige des aktiven Schritts im Wizard.

Variablen-Fenster

Anzeige der im ersten Schritt gewählten Variablen.

Eigenschaften-Fenster

Eigenschaften für das Konfigurieren des Datenabrufs:

  • Zeitbereich der Trainingsdaten: Auswahl des Zeitbereichs für das Training. Details siehe Eigenschaften Allgemein.
  • Connector: Auswahl des Connectors aus Dropdownliste.
    Konfiguration jeweils für Zielvariable und Quellvariable.
  • Archive: Auswahl des Archivs aus Dropdownliste. Konfiguration jeweils für Zielvariable und Quellvariable.Details siehe Eigenschaften für Zielvariable und Quellvariable.

Navigation

Option | Beschreibung
Vorherige | Schaltet zurück zum Schritt Variablenauswahl.
Nächste | Validiert die Eingabe und holt die Daten für die Variablen für den eingestellten Zeitraum aus den eingestellten Datenquellen. Bei Validierungsfehler bleibt der aktuelle Schritt geöffnet. Es wird nicht weitergeschaltet. Bei erfolgreicher Validierung wird weitergeschaltet zum Schritt Modellkonfiguration.

Fehlerbehandlung

Tritt bei der Validierung ein Fehler auf, schaltet der Wizard nicht zum nächsten Schritt. Oberhalb der Liste wird ein Fehler-Hinweis angezeigt. Die fehlerhaften Variablen werden mit einer Markierung und einem Fehlerhinweis versehen. Wurde der Fehler behoben, kann weiter geschaltet werden.

Tipp: Ein häufiger Fehler beim Datenholen ist, dass für exakt denselben Zeitstempel mehrere Datenpunkte vorhanden sind. Es wird eine entsprechende Fehlermeldung für den ersten der betroffenen Zeitstempel angezeigt, in der LOG-Datei werden alle Zeitstempel mit doppelte Werten angezeigt.


Modellkonfiguration

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Wertbasiertes Prognosemodell erstellen > Modellkonfiguration

Im dritten Schritt erstellen und konfigurieren Sie Prognosemodelle für die ausgewählten Variablen.

Um Prognosemodelle zu erstellen und zu konfigurieren:

  1. Markieren Sie die gewünschten Variablen in der Liste Verfügbare Variablen.

    Ein Prognosemodell je Variable ist bereits vorhanden.

  2. Fügen Sie bei Bedarf weitere Prognosemodelle hinzu.
    Klicken Sie dazu auf das grüne +-Symbol.
    Es können Prognosemodelle für alle oder einzelne Variablen hinzugefügt werden. Wenn mehrere Variablen gemeinsam konfiguriert werden sollen, müssen sie über die gleichen Prognosemodelle verfügen.
    Um ein Prognosemodell wieder zu entfernen, markieren Sie das Prognosemodell und klicken Sie auf das rote X.
    Es muss immer ein Prognosemodell vorhanden sein.
  3. Wählen Sie im Eigenschaften-Fenster die gewünschten Eigenschaften und passen Sie deren Werte an.

    Sie können mehrere Variablen und Prognosemodelle gemeinsam konfigurieren. Eigenschaften mit unterschiedlichen Einstellungen werden rot hervorgehoben. Alle Änderungen von Eigenschaften werden auf alle Variablen und Prognosemodelle gemeinsam angewandt.

    Im Visualisierungsfenster wird das Trend-Diagramm für die ausgewählten Modelle angezeigt.

  4. Klicken Sie auf die Schaltfläche Nächste.

    Der Wizard prüft die Eingabe und schaltet zum nächsten Schritt.

Option

Beschreibung

Konfiguration Modellkonfiguration

Anzeige des aktiven Schritts im Wizard.

Variablen-Fenster

Anzeige der im ersten Schritt gewählten Variablen.

Eigenschaften-Fenster

Prognosemodelle und Eigenschaften für das Konfigurieren des Datenabrufs.

Wurden mehrere Variablen gemeinsam ausgewählt, dann werden alle Modelle dieser Variablen angezeigt. Modelle mit dem selben Namen werden nur als ein Eintrag angezeigt. Im Eigenschaften-Fenster werden aber die Eigenschaften aller darin zusammengefassten Modelle angezeigt und bearbeitet.:

  • Prognosemodell: Anzeige der Prognosemodelle. Je Variable wird ein Prognosemodell automatisch erstellt.
    Über die Symbole + und X werden Prognosemodelle hinzugefügt und gelöscht. Diese Schaltflächen gelten immer für alle ausgewählten Variablen. Verfügen die ausgewählten Variablen über unterschiedliche Prognosemodelle, wird oberhalb der Liste eine Fehlermeldung angezeigt und die Liste bleibt leer.
  • Modellname: Name des Prognosemodells.
    Default-Name: Prognosemodell. Bei mehreren Modellen wird der Name durch eine fortlaufende Nummerierung ergänzt.
    Der Name muss für jedes Modell je Variable eindeutig sein.
    Kann nur je Variable und Modell geändert werden, aber nicht gemeinsam, da dies zu Validierungsfehler führen würde.
    Details siehe Eigenschaften Allgemein.
  • Trainingsdaten: Konfiguration des Verhältnisses von Trainingsdaten zu Validierungsdaten.
    Details siehe Eigenschaften Allgemein.
  • Datenbereinigung: Konfiguration der Datenbereinigung für Zielvariable und Quellvariable.
    Details siehe Eigenschaften Zielvariable und Quellvariable.

Visualisierungsfenster

Anzeige des Streudiagramms für die ausgewählten Prognosemodelle. Es werden Echtdaten angezeigt. Prognosedaten werden erst erzeugt.

Navigation

Option | Beschreibung
Vorherige | Schaltet zurück zum Schritt Konfiguration Datenabruf.
Nächste | Trainiert die Prognosemodelle. Bei Validierungsfehler bleibt der aktuelle Schritt geöffnet. Es wird nicht weitergeschaltet. Bei erfolgreicher Validierung wird weitergeschaltet zum Schritt Modellauswahl.


Modellauswahl

zenon Analyzer > Prediction Model Manager > Prognosemodelle > Wertbasiertes Prognosemodell erstellen > Modellauswahl

Im vierten Schritt wählen Sie die zu erzeugenden Prognosemodelle aus.

Um Prognosemodelle auszuwählen:

  1. Wählen Sie die gewünschten Prognosemodelle durch Klick in die Checkbox aus:
    Per Default sind alle Modelle vorausgewählt.

    Im Visualisierungsfenster können Sie Anzeige und Trainingsergebnisse aller Modell vergleichen.

  2. Klicken Sie auf die Schaltfläche Beenden.

    Die abgewählten Prognosemodelle werden verworfen.
    Ausgewählte Prognosemodelle werden erstellt und im Prediction Model Manager angezeigt.
    Der Wizard wird beendet.

Option | Beschreibung
Konfiguration Modellkonfiguration | Anzeige des aktiven Schritts im Wizard.
Prognosemodell-Fenster | Anzeige der konfigurierten Prognosemodelle. Auswahl und Abwahl über Checkbox vor dem Modellnamen. Abgewählte Modelle werden beim Abschliessen des Wizards verworfen, die angewählten Modelle werden in die Hauptübersicht übernommen.
Visualisierungsfenster | Anzeige des Streudiagramms und der Trainingsergebnisse für die ausgewählten Prognosemodelle.

Navigation

Option | Beschreibung
Vorherige | Schaltet zurück zum Schritt Modellkonfiguration.
Nächste | Übernimmt die ausgewählten Prognosemodelle und schließt den Wizard.


Prognosemodelle bearbeiten

zenon Analyzer > Prediction Model Manager > Prognosemodelle bearbeiten

Jedes Prognosemodell kann jederzeit im Prediction Model Manager bearbeitet werden.

Um ein Prognosemodell zu bearbeiten:

  1. Wählen Sie das gewünschte Prognosemodell in der Liste aus.
  2. Bearbeiten Sie die Eigenschaften des Prognosemodells.
  3. Trainieren Sie das Prognosemodell neu.
  4. Speichern Sie das Prognosemodell

Es können auch mehrere Prognosemodelle gemeinsam bearbeitet werden. Dabei werden Eigenschaften mit unterschiedlichen Werten in roter Schrift angezeigt.


Prognosemodelle trainieren

zenon Analyzer > Prediction Model Manager > Prognosemodelle trainieren

Prognosemodelle müssen trainiert werden. Das Training wird im Prediction Model Manager konfiguriert. Trainings können auch automatisiert durchgeführt werden.

Training konfigurieren

Um ein Training zu konfigurieren:

  1. Wählen Sie das zu konfigurierende Modell aus.
    Mehrfachauswahl ist möglich.
  2. Konfigurieren Sie den Zeitbereich für das Training.
    1. Legen Sie die Startzeit fest.
    2. Legen Sie die Endezeit fest.
  3. Konfigurieren Sie das Verhältnis der Trainingsdaten zu Validierungsdaten.
  4. Falls Sie das Training in regelmäßigen Intervallen erneut automatisch ausführen möchten, konfigurieren Sie das Automatisches Training:
    1. Klicken Sie im Bereich Automatisches Training in die Checkbox für Aktiviert.
    2. Wählen Sie das Wochenintervall.
    3. Wählen Sie die Wochentage, an denen das Training ausgeführt werden soll.
    4. Konfigurieren Sie die Uhrzeit, an der das Training ausgeführt werden soll.
      Relative Zeitangaben beziehen auf diese Uhrzeit.
    5. Konfigurieren Sie den ersten Tag des Trainings.
  5. Führen Sie das initiale Training durch.
  6. Speichern Sie die Konfiguration.

Oberfläche

Bereiche Oberfläche

Beschreibung

Liste Prognosemodelle

Zeigt alle erstellten Prognosemodelle an. Mehrfachauswahl ist möglich.

Symbole links vom Namen zeigen den jeweiligen Status und Typ an.

Symbol-Spalte 1: Fehler

  • Rufzeichen:
    Validierungsfehler. Details zum Fehler werden im Tooltip angezeigt. Das Speichern der Änderungen ist erst möglich, wenn kein Fehler mehr angezeigt wird.

Symbol-Spalte 2: Status

  • Pfeile:
    Prognosemodell enthält ungesicherte Änderungen
  • Fragezeichen:
    Prognosemodell wurde geändert und muss neu trainiert werden.

Symbol-Spalte 3: Typ

  • Uhr:
    Zeitbasiertes Prognosemodell
  • Raute:
    Wertbasiertes Prognosemodell

Die weiteren Spalten informieren über:

  • Zielvariable
  • Ziel-Zykluszeit
  • Verdichtung
  • Zeitpunkt letztes Trainning
  • Aktivierung als Default-Modell
  • Quellvariable

Eigenschaften

Eigenschaften zur Konfiguration der Modelle und des Trainings.

Bei Mehrfachauswahl:

  • werden die Eigenschaften des zuerst gewählten Modells angezeigt
  • werden Eigenschaften mit unterschiedlichen Werten rot hervorgehoben
  • werden Validierungsfehler nur für das zuerst gewählten Modells angezeigt
  • wirken sich Änderungen auf alle ausgewählten Modelle aus

Anzeigebereich

Visualisierung der Modelle und der Trainingsergebnisse über vier Registerkarten:

  • Trend-Diagramm
  • Streudiagramm
  • Letztes Trainingsergebnis
  • Trainingshistorie


Cache für Echtdaten

zenon Analyzer > Prediction Model Manager > Cache für Echtdaten

Um Training und Prognose zu beschleunigen, werden die über Runtime-Connector oder SQL-Connector geladenen Daten im Hintergrund in einem Cache verfügbar gehalten.

Daten werden in den Cache geladen beim:

  • Training von Modellen in der Hauptansicht.
  • Laden von Daten in der Hauptansicht.
  • Laden der Daten für die Erstellung von Modellen in den Wizards (Übergang auf Schritt 3).

Bei Bedarf können die Daten im Cache manuell über das Menü Bearbeiten oder die Symbolleiste entfernt werden.


Eigenschaften

zenon Analyzer > Prediction Model Manager > Eigenschaften

Die Eigenschaften der Prognosemodelle werden in der Konfigurationsoberfläche und in den Wizards ident verwendet.

Die Eigenschaften mehrerer ausgewählter Modelle können gleichzeitig bearbeitet werden. Haben die Eigenschaften der ausgewählten Modelle widersprüchliche Werte, werden die entsprechenden Eigenschaften in roter Schrift dargestellt. Ist nur der Wert einer Eigenschaft unterschiedlich, wird die gesamte Eigenschaft rot markiert. In diesem Fall wird jeweils der Wert des ersten ausgewählten Modells angezeigt. Wird ein Wert einer Eigenschaft verändert, wird dieser Wert für alle ausgewählten Modelle übernommen.

Bei Validierungsfehlern in den Eigenschaften werden die ungültigen Werte nicht ins Modell übernommen. Erst wenn die Eigenschaft gültig konfiguriert wurde, sind die Werte auch im Modell vorhanden, stehen für das Training zur Verfügung und können gespeichert werden.

Noch in diesem Kapitel

Allgemein

Zielvariable

Quellvariable

Automatisches Training


Allgemein

zenon Analyzer > Prediction Model Manager > Eigenschaften > Allgemein

Konfiguration des Namens und der Trainingsdaten für das Prognosemodell.

Eigenschaften Allgemein

Modellname

Eigenschaft

Beschreibung

Modellname

Eingabe des Namens des Prognosemodells.

Der Name dient:

  • zur Benennung im Prediction Model Manager
  • zum Auffinden der Prognosemodelle in den Reports, in denen sie für die Prognose der Daten verwendet werden

Hinweis: Modelle für verschiedene Variablen, die gemeinsam in Reports verwendet werden sollen, sollten den gleichen Namen haben, damit das Modell im Report für alle Variablen verwendet werden kann. Zum Beispiel für die Anzeige von 3 Variablen, jeweils mit Prognose.

Alternative: Die Modelle werden unterschiedlich benannt, werden aber jeweils als Default-Modell aktiviert. Damit können die Modelle über die Default-Option im Report gewählt werden.

Zeitbereich der Trainingsdaten

Definiert den Zeitraum, für den die Daten der dem Modell zugrundeliegenden Variable für das Training betrachtet werden.
Ergibt sich durch die Kombination von absolutem Startzeitpunkt und Endzeitpunkt ein leerer (oder negativer) Zeitraum, wird beim Training ein Fehler ausgegeben.

Eigenschaft

Beschreibung

Startzeit

Eingabe des Startzeitpunkts für den Zeitraum, für den das Trainings ausgeführt werden soll. Dieser kann absolut oder relativ eingegeben werden. Auswahl durch Klick in Radiobutton:

  • Absolute Startzeit: Darf nicht in der Zukunft liegen. Muss vor der Endezeit liegen.
  • Rückblickzeit: Von der Endzeit aus gesehen.

Absolute Startzeit

Auswahl des Startzeitpunkts für den Trainingszeitraum.
Eingabe erfolgt direkt in das Feld oder über Auswahl aus dem Kalendermodul.

Rückblickzeit

Festlegung des Startzeitpunkt relativ zum Zeitpunkt des Trainingsendes.
Konfiguration über die Elemente:

  • Zahleingabe
  • Einheitenauswahl aus Dropdownliste

Es stehen mehrere Intervalle zur Verfügung.

  • Minimum: 1 Minute
  • Maximum: 1000 Jahre

Zum Beispiel: 30 Minuten vor der Endzeit.

Endezeit

Eingabe des Endezeitpunkts für den Zeitraum, für den das Trainings ausgeführt werden soll. Eingabe erfolgt relativ.

Konfiguration über die Elemente:

  • Zahleingabe
  • Einheitenauswahl aus Dropdownliste
  • Auswahl rückwirkender Bezugszeitpunkt aus Dropdownliste

Es stehen mehrere Intervalle zur Verfügung.

  • 0 Minuten bis 1000 Jahre
  • bezogen auf einen Zeitpunkt zwischen jetzt und Ende letztes volles Jahr

Zum Beispiel: 10 Minuten rückwirkend ab jetzt.

Beispiel:

  • Startzeit: 1 Tage vor der Endezeit
  • Endezeit: 0 Minuten rückwirkend ab Ende letzter voller Tag
  • Trainingsstart: 2018-06-30; 12:00
  • Ergebnis: Das Training erfolgt für den Zeitraum 2018-06-29; 00:00 - 23:59

Periodizitäten

Diese Eigenschaft legt für zeitbasierte Prognosemodelle fest, in welchen Zeitintervallen die Trainingsdaten durch Wiederholungen erneuert werden. Die passende Wahl der Periodizitäten ist entscheidend für das sinnvolle Funktionieren von zeitbasierten Modellen, die Wiederholungen enthalten. Perodizitäten werden immer vom Jahresanfang (>= 1 Tag) und Tagesanfang (< 1 Tag) in Lokalzeit berechnet.

Diese Eigenschaft steht nur für zeitbasierte Prognosemodelle zur Verfügung.

Eigenschaft

Beschreibung

Startzeit

Legt den Anfangszeitpunkt des Modells fest. Dieser darf im Report nicht unterschritten werden.

Eingabe erfolgt direkt in das Feld oder über Auswahl aus dem Kalendermodul.

Wiederholung

Art der Wiederholungen.
Auswahl aus Dropdownliste:

  • Keine Wiederholung: Das Modell enthält auch einen nicht-zyklischen Anteil. Also einen sich nicht wiederholenden längerfristigen Trend.
  • Stündliche Wiederholung: Wiederholung jede Stunde.
  • Tägliche Wiederholung: Wiederholung jeden Tag. (Default)
  • Wöchentliche Wiederholung: Wiederholung jede Woche.
  • Monatliche Wiederholung: Wiederholung jeden Monat.
  • Jährliche Wiederholung: Wiederholung einmal jährlich.
  • Benutzerdefiniert: Individuelle Konfiguration über Eingabeelemente für Tage, Stunden und Minuten.
    Minimal: 0 Tage - 0 h - 1 min
    Maximal: 1.000 Tage - 23 h - 59 min

Die Verwendung mehrerer Periodizitäten ermöglicht es, mehrere, jeweils in den Daten enthaltenen Periodizitäten, abzubilden.

Periodizität

  • hinzufügen: Klicken Sie auf das +-Symbol.
  • löschen: Klicken Sie auf das X-Symbol.

Die Reihenfolge in der die Periodizitäten definiert werden spielt keine Rolle. Die Periodizitäten müssen eindeutig sein.
Anzahl Periodizitäten:

  • Maximum: unbegrenzt
  • Minimum: eine

Beispiel:

Produktionsanlage mit Jahreszyklen und Tageszyklen sowie einem jahresübergreifenden Trend.
Konfiguration:

  • Keine Wiederholung
  • Jährliche Wiederholung
  • Tägliche Wiederholung

Trainingsdaten

Die Eigenschaft legt fest, wie die im Trainingszeitraum verfügbaren Daten zwischen Training und Validierung des Modells aufgeteilt werden.

Eigenschaft

Beschreibung

Erste %

Konfiguration der Verteilung der Daten auf Training und Validierung in Prozent. Der hier eingegebene Wert definiert den Anteil der Trainingsdaten. Die auf 100% fehlenden Werte werden für die Validierung verwendet.

  • Minimum: 5 %
  • Maximum 95 %


Zielvariable

zenon Analyzer > Prediction Model Manager > Eigenschaften > Zielvariable

Konfiguration von Connector, Archiv und Datenbereinigung für die Zielvariablen.

Connector

Auswahl des Connectors für das Holen der Daten.

Eigenschaft

Beschreibung

Connector

Auswahl des Connectors aus Dropdownliste:

  • SCADA Runtime-Connector
  • SCADA SQL-Connector
    Bei SCADA Runtime-Connector: Achten Sie darauf, dass die Runtime am Zielsystem läuft.

Archiv

Eigenschaft

Beschreibung

Archiv

Auswahl des Archivs für die Zielvariable aus Dropdownliste.

Es stehen alle Archive zur Auswahl, in denen die Zielvariable in der für die Variable festgelegten Zykluszeit und Verdichtung vorhanden ist.

Die Kombination aus Variable, Zykluszeit und Verdichtung wurde beim Erstellen im Wizard festgelegt. Diese kann nicht mehr verändert werden.

Hinweis: Wurden mehrere Prognosemodelle zur Bearbeitung ausgewählt, kann diese Eigenschaft nur verändert werden, wenn allen Modellen das gleiche Archiv zugeordnet ist.

Datenbereinigung

Konfiguration, welche Werte nicht für Training und Validierung verwendet werden. So können nicht plausible und störende Daten ausgefiltert werden.

Eigenschaft

Beschreibung

Datenbereinigung

Einstellungen für die Datenbereinigung.

Alle Eigenschaften, die verwendet werden sollen müssen per Checkbox aktiviert werden.

Minimalwert

Absoluter Minimalwert, der verwendet werden darf.

Eingabe in Zahlenfeld oder Konfiguration über Pfeiltasten. Bei Variablen mit Einheit, wird die entsprechende Einheit angezeigt.

Muss kleiner als der Maximalwert sein, falls dieser konfiguriert wurde.

Maximalwert

Absoluter Maximalwert, der verwendet werden darf.

Eingabe in Zahlenfeld oder Konfiguration über Pfeiltasten. Bei Variablen mit Einheit, wird die entsprechende Einheit angezeigt.

Muss größer als der Minimalwert sein, falls dieser konfiguriert wurde.

Gleitender Durchschnitt

Die Datenbereinigung mit gleitendem Durchschnitt kann über absolute Werte und relative Abweichung konfiguriert werden.

Die absolute und relative Abweichung für den gleitenden Durchschnitt gilt sowohl nach oben als auch nach unten. Minimalwert und Maximalwert beziehen sich dagegen nur auf die oberen und unteren Werte.

Maximum Relativabweichung

Relative Abweichung für den gleitenden Durchschnitt.

Eingabe der Prozentzahl in Zahlenfeld oder Konfiguration über Pfeiltasten.

Maximum Absolutabweichung

Absolute Abweichung für den gleitenden Durchschnitt.

Eingabe der Prozentzahl in Zahlenfeld oder Konfiguration über Pfeiltasten.

Fenstergröße

Nur konfigurierbar, wenn einer der Werte für Gleitender Durchschnitt aktiv ist. Legt die Größe des Fensters für den gleitenden Durchschnitt fest.

Eingabe in Zahlenfeld oder Konfiguration über Pfeiltasten.

Minimum: 2


Quellvariable

zenon Analyzer > Prediction Model Manager > Eigenschaften > Quellvariable

Konfiguration von Connector, Archiv und Datenbereinigung für die Quelllvariablen.

Connector

Auswahl des Connectors für das Holen der Daten.

Eigenschaft

Beschreibung

Connector

Auswahl des Connectors aus Dropdownliste:

  • SCADA Runtime-Connector
  • SCADA SQL-Connector
    Bei SCADA Runtime-Connector: Achten Sie darauf, dass die Runtime am Zielsystem läuft.

Archiv

Eigenschaft

Beschreibung

Archiv

Auswahl des Archivs für die Zielvariable aus Dropdownliste.

Es stehen alle Archive zur Auswahl, in denen die Zielvariable in der für die Variable festgelegten Zykluszeit und Verdichtung vorhanden ist.

Die Kombination aus Variable, Zykluszeit und Verdichtung wurde beim Erstellen im Wizard festgelegt. Diese kann nicht mehr verändert werden.

Hinweis: Wurden mehrere Prognosemodelle zur Bearbeitung ausgewählt, kann diese Eigenschaft nur verändert werden, wenn allen Modellen das gleiche Archiv zugeordnet ist.

Datenbereinigung

Konfiguration, welche Werte nicht für Training und Validierung verwendet werden. So können nicht plausible und störende Daten ausgefiltert werden.

Eigenschaft

Beschreibung

Datenbereinigung

Einstellungen für die Datenbereinigung.

Alle Eigenschaften, die verwendet werden sollen müssen per Checkbox aktiviert werden.

Minimalwert

Absoluter Minimalwert, der verwendet werden darf.

Eingabe in Zahlenfeld oder Konfiguration über Pfeiltasten. Bei Variablen mit Einheit, wird die entsprechende Einheit angezeigt.

Muss kleiner als der Maximalwert sein, falls dieser konfiguriert wurde.

Maximalwert

Absoluter Maximalwert, der verwendet werden darf.

Eingabe in Zahlenfeld oder Konfiguration über Pfeiltasten. Bei Variablen mit Einheit, wird die entsprechende Einheit angezeigt.

Muss größer als der Minimalwert sein, falls dieser konfiguriert wurde.

Gleitender Durchschnitt

Die Datenbereinigung mit gleitendem Durchschnitt kann über absolute Werte und relative Abweichung konfiguriert werden.

Die absolute und relative Abweichung für den gleitenden Durchschnitt gilt sowohl nach oben als auch nach unten. Minimalwert und Maximalwert beziehen sich dagegen nur auf die oberen und unteren Werte.

Maximum Relativabweichung

Relative Abweichung für den gleitenden Durchschnitt.

Eingabe der Prozentzahl in Zahlenfeld oder Konfiguration über Pfeiltasten.

Maximum Absolutabweichung

Absolute Abweichung für den gleitenden Durchschnitt.

Eingabe der Prozentzahl in Zahlenfeld oder Konfiguration über Pfeiltasten.

Fenstergröße

Nur konfigurierbar, wenn einer der Werte für Gleitender Durchschnitt aktiv ist. Legt die Größe des Fensters für den gleitenden Durchschnitt fest.

Eingabe in Zahlenfeld oder Konfiguration über Pfeiltasten.

Minimum: 2


Automatisches Training

zenon Analyzer > Prediction Model Manager > Eigenschaften > Automatisches Training

Konfiguration des automatischen Trainings.

Eigenschaften Automatisches Training

Automatisches Training

Eigenschaft

Beschreibung

Aktiviert

Aktiv: Das automatische Training wird entsprechend der Konfiguration ausgeführt. Startzeit und Endezeit für den Bereich werden in den Eigenschaften der Gruppe Allgemein festgelegt.

Wochenintervall

Konfiguration des Wochenabstands, in dem das Training durchgeführt wird. Eingabe einer Zahl oder Auswahl über die Pfeiltasten.

  • Minimum: 1
  • Maximum: 100

Default: 1

Beispiel: 3 - Das Training wird jede 3. Woche ausgeführt. Nach jedem Training wird also 2 Wochen pausiert.

Wochentage

Auswahl der Wochentage, an denen das Training durchgeführt werden soll. Auswahl durch Klick in die Checkbox vor dem Tag.

Es muss mindestens 1 Tag ausgewählt werden.

Training ausführen um

Konfiguration der Uhrzeit, zu der das Training ausgeführt wird.
Relative Zeitangaben beziehen auf diese Uhrzeit.

Erster Tag des Trainings

Konfiguration des ersten Trainingstages.
Ab diesem Tag wird das Training im gewählten Wochenabstand an den ausgewählten Wochentagen durchgeführt. Die Woche, in der sich der Tag befindet gilt als Trainingswoche 1.


Migration Tool

zenon Analyzer > Migration Tool

Das Migration Tool ermöglicht die Migration von Analyzer Servern. Die Migration ist möglich ab Server der Version 2.00.
Migriert werden können:

  • Server auf gleicher Ebene
  • Server von einer Ebene auf eine höhere

Migriert werden:

  • Metadatenbanken (inklusive SP, UDF, SQL-Connector, Connector für Fremddatenbanken, Archivemulation)
  • Reporting Services (Datenbank, Benutzer, RDL-Dateien)
  • Benutzer inklusive ihrer Berechtigungen für SQL Server, Analyzer Anwendungen, Reporting Services
  • SQL Agent Jobs
  • SQL Agent Jobs für das Neutraining von Prognosemodellen
  • Datenbank-Sicherungsaufträge
  • Linked Server
  • Konfiguration für E-Mail (nur lokal)
  • Zeitpläne und Abonnements (Auslieferungsmethode E-Mail nur, wenn der E-Mail Client konfiguriert ist)
  • Kundenspezifisches RDL-Template

info Info

Am Analyzer Server vorhandene Report-Definitionsdateien (*.zams_rep) werden bei einer Migration nicht übernommen. Werden diese am Ziel-Analyzer ebenfalls benötigt, müssen sie manuell übertragen werden.

Migration Tool starten

Das Tool kann aus ZAMS oder als Stand-Alone-Anwendung gestartet werden.

Start über ZAMS:

  1. Navigieren Sie im ZAMS zum Ribbon Optionen.
  2. Klicken Sie auf den Eintrag Migration Tool.

    Das Migration Tool wird gestartet.

Start als Stand-Alone-Anwendung:

  • Wählen Sie im Windows Startmenü den Eintrag COPA-DATA -> Migration Tool .
    Das Migration Tool wird gestartet.

Oberfläche

Option

Beschreibung

Menüs

Für das Migration Tool stehen die beiden Menüpunkte Datei und Hilfe zur Verfügung:

Datei:
Enthält die Unterpunkte:

  • Optionen: Öffnet den Dialog Optionen.
  • Beenden: Beendet die Applikation.

Hilfe:

Enthält die Unterpunkte:

  • Versionshinweis: Zeigt Informationen zur Version und zum Copyright an.
  • Hilfe: Öffnet die Online-Hilfe.

Schritt-Anzeige

Anzeige des zu konfigurierenden Schritts.

Konfigurationsansicht

Kann für einen Schritt auch in Baumansicht und Detailansicht unterteilt sein.

Anzeige des Status und Konfiguration der Objekte des jeweiligen Schritts.

Navigation

Navigation in den Migrationsschritten über die Schaltflächen Zurück und Nächste.

Visualisierungsfenster

Anzeige von Fehler, Warnungen und Mitteilungen.

Dieser Dialog speichert folgende Einstellungen in der Konfigurationsdatei und stellt diese beim nächsten Start wieder her:

  • Fensterposition
  • Fenstergröße
  • Größe des Ausgabefensters
  • Anzeigeoptionen für Gruppen der Fehler, Warnungen und Meldungen im Ausgabefenster.

Noch in diesem Kapitel

Optionen

Navigation

Ausgabefenster

Konfiguration


Optionen

zenon Analyzer > Migration Tool > Optionen

Über das Menü Datei ist der Dialog zur Konfigurationen der Optionen erreichbar.

Die Optionen umfassen:

  • Maximale Anzahl der Verbindungsprofile
  • Verwaltung der Verbindungsprofile
  • Auswahl der Oberflächensprache

Konfigurationsdialog Einstellungen

Option

Beschreibung

Maximale Anzahl an Verbindungsprofilen

Anzahl der Verbindungsprofile, die gespeichert werden. Wird die eingestellte maximale Anzahl beim Anlegen eines neuen Verbindungsprofils überschritten, dann wird das Profil, das am längsten nicht mehr verwendet wurde, gelöscht.

Eingabe in Feld oder Konfiguration über Pfeiltasten.

  • Minimum: 1
  • Maximum: 255

Verbindungsprofile verwalten

Klick auf Schaltfläche öffnet den Dialog zur Verwaltung der Verbindungsprofile.

Sprache

Auswahl der Oberflächensprache aus Dropdownliste. Die Sprache wird sofort nach Auswahl und Klick auf OK umgestellt.

Timeout für SQL Server-Anweisung

Eingabe des SQL Server Statement Timeouts.

Dieses Timeout tritt in Kraft, wenn ein einzelnes SQL Statement länger als hier definiert läuft, z. B. bei der Sicherung oder Wiederherstellung einer großen Datenbank. Bei neuen Verbindungen wird der aktuell eingestellte Wert für das Timeout verwendet. Wird dieser in den Optionen geändert, dann werden bestehende Verbindungen an den neuen Wert angepasst.

Das Timeout kann auf einen Wert zwischen 1 Minute und 7 Tagen eingestellt werden.

Eingabeelemente:

  • Zahlenelement:
    Eingabe der Quantität direkt in das Feld oder über Pfeiltasten.
    Mögliche Werte für:
    - Tage: 1 - 7
    - Stunden: 1 - 168
    - Minuten: 1 - 10080
  • Dropdownliste für Granularität:
    Mögliche Werte:
    - Minuten
    - Stunden
    - Tage
    Diese Auswahl beeinflusst den Wertbereich des Zahlenelements.

Default: 4 Stunden

Datenbank-Sicherungsdateien komprimieren

Einstellung, ob Sicherungsdateien komprimiert werden.

  • Aktiv: Sicherungsdateien werden komprimiert.

Einstellung wirkt sich aus auf alle:

  • bei der Datenbankmigration erstellten Datenbanksicherungen
  • auf den Zielserver migrierten Datenbanksicherungsaufgaben, unabhängig von der Einstellung am Quellserver

Datenbanksicherungsaufgaben werden als komprimiert oder unkomprimiert erkannt und entsprechend angezeigt. Diese Erkennung und Anzeige ist unabhängig vom Status dieser Option.

OK

Übernimmt Einstellungen und schließt den Dialog.
Änderungen werden angewendet und der Dialog wird geschlossen.

Achtung: Alle Änderungen im Subdialog Verbindungsprofile verwalten werden erst wirksam wenn dieser Dialog mit OK beendet wird. Wird dieser abgebrochen, werden keine Änderungen übernommen.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Noch in diesem Kapitel

Verbindungsprofile verwalten


Verbindungsprofile verwalten

zenon Analyzer > Migration Tool > Optionen > Verbindungsprofile verwalten

Für die Migration können bis zu 255 Verbindungsprofile angelegt werden. Diese werden in diesen Dialog verwaltet. Sie können die Anmeldedaten für Quellserver und Zielserver ändern sowie Profile aus der Verbindungsliste löschen.

Option

Beschreibung

Liste Verbindungsprofile

Listet alle konfigurierten Verbindungen auf. Angezeigt werden für jede Verbindung:

  • Verbindungsprofil: Name des Verbindungsprofils inklusive Servername und Analyzer Serverversion
  • Quellserver Rechnername: Computername des Quellservers
  • Zielserver Rechnername: Computername des Zielservers
  • Verbindungsdetails: Zeigen an:
    Verbindungssicherheit am Quellserver
    Verbindungssicherheit am Zielserver

Klick auf Eintrag wählt die Verbindung zur Bearbeitung aus. Mehrfachauswahl über Steuerung-Taste + Klick bzw. Umschalt-Taste + Klick ist möglich.

Alle auswählen

Klick auf Schaltfläche wählt alle Einträge zur Bearbeitung aus.

Auswahl aufheben

Klick auf Schaltfläche hebt Auswahl auf.

Bearbeiten

Öffnet den Dialog zur Bearbeitung eines Profils.

Löschen

Klick auf Schaltfläche löscht ausgewählte Verbindungsprofile aus der Liste.

Schließen

Änderungen werden angewendet und der Dialog wird geschlossen.

Achtung: Alle Änderungen werden erst wirksam, wenn der Basis-Dialog Optionen mit Klick auf OK beendet wird. Wird dieser abgebrochen, werden keine Änderungen übernommen.

Hinweis: Um Änderungen rückgängig zu machen, schließen Sie diesen Dialog mit Klick auf Schließen und verlassen Sie den Dialog Optionen mit Klick auf Abbrechen.

Noch in diesem Kapitel

Bearbeiten


Bearbeiten

zenon Analyzer > Migration Tool > Optionen > Verbindungsprofile verwalten > Bearbeiten

Aktivierung oder Deaktivierung der Verbindungssicherheit für bestehende Profile. Die Optionen zur Verbindungssicherheit stehen nur zur Verfügung, wenn alle benutzten Verbindungsprofile die gleiche Verfügbarkeit der Verbindungssicherheit zur Verfügung stellen.

Option

Beschreibung

Quellserver Verbindungssicherheit

Einstellungen für die Verbindungssicherheit für den Quellserver. Die Einträge müssen der Konfiguration am Server entsprechen.

Nur verfügbar, wenn am Quellserver die zenon Analyzer Version >= 3 ist.

Abgesicherte Verbindung

Aktivierung oder Deaktivierung der verschlüsselten Kommunikation.

  • Aktiv: Die Kommunikation erfolgt verschlüsselt. Für die Verbindung müssen, je nach Grad der Verschlüsselung, Passwörter für den Lizenzdienst eingegeben werden.
  • Inaktiv: Die Kommunikation erfolgt nicht verschlüsselt.

Verbindungspasswort

Eingabe des Passworts für die Verbindung zum Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Nur aktiv, wenn die Optionen Abgesicherte Kommunikation und Passwörter speichern aktiviert sind.

Passwort speichern

Festlegung, ob die Verbindungspasswörter im Verbindungsprofil gespeichert werden.
Das Speichern erfolgt als von Hardware und Benutzer abhängiger Hash des Passworts.

Zielserver Verbindungssicherheit

Einstellungen für die Verbindungssicherheit für den Zielserver. Die Einträge müssen der Konfiguration am Server entsprechen.

Nur verfügbar, wenn am Zielserver die zenon Analyzer Version >= 3 ist.

Abgesicherte Verbindung

Aktivierung oder Deaktivierung der verschlüsselten Kommunikation.

  • Aktiv: Die Kommunikation erfolgt verschlüsselt. Für die Verbindung müssen, je nach Grad der Verschlüsselung, Passwörter für den Lizenzdienst eingegeben werden.
  • Inaktiv: Die Kommunikation erfolgt nicht verschlüsselt.

Verbindungspasswort

Eingabe des Passworts für die Verbindung zum Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Nur aktiv, wenn die Optionen Abgesicherte Kommunikation und Passwörter speichern aktiviert sind.

Änderungspasswort des Lizenzservers

Eingabe des Änderungspassworts am Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Nur aktiv, wenn die Optionen Abgesicherte Kommunikation und Passwörter speichern aktiviert sind.

Passwörter speichern

Festlegung, ob die Verbindungspasswörter im Verbindungsprofil gespeichert werden.
Das Speichern erfolgt als von Hardware und Benutzer abhängiger Hash des Passworts.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Navigation

zenon Analyzer > Migration Tool > Navigation

Der Konfigurationsdialog wird in einzelnen Schritten durchlaufen. Diese werden in einer Leiste am linken Rand des Tools angezeigt.

Die Darstellung der einzelnen Schritte gibt deren aktuellen Status wieder:

Kreissymbol | Beschriftung | Status
voll | grau | konfiguriert
voll | orange | wird gerade konfiguriert
leer | grau | noch nicht konfiguriert

Die direkte Anwahl einzelner Schritte ist nicht möglich. Die Navigation durch den Konfigurationsdialog erfolgt über Schaltflächen. Es kann immer nur zwischen zwei benachbarten Schritten gewechselt werden. Beim Wechsel zwischen zwei Schritten werden alle Eingaben des aktiven Schritts validiert. Der Wechsel ist nur möglich, wenn in diesem Schritt die Konfiguration für die Migration gültig ist.

Die Schaltfläche zum Weiterschalten auf den nächsten Schritt wechselt ihre Funktion abhängig vom Schritt.

Navigation zwischen Schritten

Allgemein

Schaltfläche

Beschreibung

Zurück

Klick auf die Schaltfläche geht in der Konfiguration einen Schritt zurück.

Nur verfügbar, wenn:

  • nicht der erste oder letzte Schritt aktiv ist
  • der aktuell aktive Schritt die Schaltfläche aktiviert

Nächste

Klick auf die Schaltfläche geht in der Konfiguration einen Schritt weiter.
Nur verfügbar bis zur Übersicht Migration und wenn der aktuell aktive Schritt die Schaltfläche aktiviert.

Schritt Übersicht Migration

Schaltfläche | Beschreibung
Zurück | Klick auf die Schaltfläche geht in der Konfiguration einen Schritt zurück.
Migration starten | Klick auf die Schaltfläche startet die Migration. Nur verfügbar, wenn die Überprüfung der Konfiguration die Schaltfläche aktiviert. Achtung: Sobald die Migration gestartet wird, kann diese nicht mehr abgebrochen werden.

Schritt Migration läuft

Schaltfläche | Beschreibung
Zurück | Nicht verfügbar.
Neue Migration | Klick auf die Schaltfläche wechselt zum ersten Schritt, um eine neue Migration zu konfigurieren.


Ausgabefenster

zenon Analyzer > Migration Tool > Ausgabefenster

Das Ausgabefenster listet in einer Tabelle Fehlermeldungen, Warnungen, Informationen und Statusmeldungen auf. Diese Hinweise können gefiltert und gelöscht werden.

Anzeige im Ausgabefenster

Option

Beschreibung

Schaltflächen

Steuern Anzeige der Nachrichten und Navigation. Einstellung der Schaltflächen wird beim Schließen von ZAMS gespeichert.

Alles Löschen
(rotes X)

Entleert die gesamte Tabelle.

Fehler
(weißes x in rotem Kreis)

Zeigt die Anzahl der in der Tabelle anzeigbaren Fehler. Klick auf Schaltfläche schaltet Anzeige in Tabelle ein/aus.

Warnungen
(gelbes Dreieck)

Zeigt die Anzahl der in der Tabelle anzeigbaren Warnungen. Klick auf Schaltfläche schaltet Anzeige in Tabelle ein/aus.

Meldungen
(blauer Kreis)

Zeigt die Anzahl der in der Tabelle anzeigbaren Nachrichten. Klick auf Schaltfläche schaltet Anzeige in Tabelle ein/aus.

Tabelle

Enthält Fehlermeldungen, Warnungen und Informationen.

  • Nachrichten können mit den Spaltentiteln gefiltert und nach Spalten sortiert werden.
    Klick auf den jeweiligen Spaltenkopf sortiert die Tabelle nach dieser Spalte. Ein zweiter Klick invertiert die Sortierung.
    Die Standardsortierung erfolgt nach Spalte 1 (Nummerierung) aufsteigend.
  • Ein Doppelklick auf eine Nachricht in der Tabelle zeigt den Report, in dessen Kontext die Nachricht erstellt wurde, im Report-Bereich des Hauptfensters an. Dazu muss der Report bereits geöffnet sein.
  • Nachrichten werden beim Schließen von ZAMS gelöscht.

Nummerierung

Enthält fortlaufende Nummerierung. Die Nummern werden den Nachrichten chronologisch nach ihrem Eintreffen zugeordnet.

Symbol

Symbol, das die Art der Nachricht anzeigt. Die Symbole entsprechen den Symbolen der Schaltflächen.

Sortierreihenfolge aufsteigend:

  • Fehler
  • Warnung
  • Information

Sortierung absteigend erfolgt in umgekehrter Reihenfolge.

Zeitstempel

Zeigt den Zeitstempel, zu dem die Nachricht erstellt wurde.

Meldungsnr.

Eindeutige ID der Nachrichtenquelle.

Beschreibung

Erklärung der Meldung.


Konfiguration

zenon Analyzer > Migration Tool > Konfiguration

Die Konfiguration der Migration erfolgt in Einzelschritten:

  • Mit Servern verbinden
  • Allgemeine Einstellungen
  • Linked Server
  • Datenbanken
  • Zeitpläne
  • Reports und Abonnements
  • Übersicht
  • Migration läuft

Der Ablauf wird mit den Schaltflächen Zurück und Nächste durchlaufen. Einzelne Schritte können nicht direkt aufgerufen werden. Das Vor- und Zurückschalten ist nur möglich, wenn der aktuelle Schritt positiv validiert wurde.

Noch in diesem Kapitel

Mit Servern verbinden

Allgemeine Einstellungen

Linked Server

Datenbanken

Zeitpläne

Reports und Abonnements

Übersicht

Migration läuft


Mit Servern verbinden

zenon Analyzer > Migration Tool > Konfiguration > Mit Servern verbinden

In diesem Schritt konfigurieren Sie die Verbindung zum Quellserver und zum Zielserver für die Migration.

Um die Verbindung herzustellen:

  1. Konfigurieren Sie Rechner, Analyzer-Version und Anmeldedaten für den Quellserver.
  2. Konfigurieren Sie Rechner, Analyzer-Version und Anmeldedaten für den Zielserver.
  3. Stellen Sie über Klick auf die Schaltfläche Verbinden die Verbindung her.

info Info

Tritt beim Aktivieren der Verbindungsabsicherung ein Fehler auf, erhalten Sie im Ausgabefenster unter der Fehlernummer 86 weitere Informationen dazu.

Dialog Mit Server verbinden

Verbindungsprofil

Option

Beschreibung

Verbindungsprofil

Auswahl eines existierenden Verbindungsprofils für die Verbindung oder Erstellung eines neuen Profils.

Bei Auswahl eines neuen Profils, bleiben die Einträge des bisherigen Profils erhalten und können editiert werden.

Nur verfügbar, wenn keine Verbindung besteht.

Die Verbindungsprofile werden in den Optionen verwaltet.

Quellserver

Option

Beschreibung

Quellserver

Konfiguration einer neuen Verbindung. Die Optionen sind nur verfügbar, wenn ein neues Verbindungsprofil erstellt wird und keine Verbindung besteht.

Hinweis: Die Optionen Passwort und Benutzername sind nur verfügbar, wenn die Optionen Windows-Authentifizierung verwenden deaktiviert wurde.

Verbindungssicherheit

Einstellungen für die Verbindungssicherheit. Die Einträge müssen der Konfiguration am Server entsprechen.

Nur verfügbar, wenn die gewählte Server-Version, gesicherte Verbindungen erlaubt.

Abgesicherte Kommunikation

Aktivierung oder Deaktivierung der verschlüsselten Kommunikation.

  • Aktiv: Die Kommunikation erfolgt verschlüsselt. Für die Verbindung müssen, je nach Grad der Verschlüsselung, Passwörter für den Lizenzdienst eingegeben werden.
  • Inaktiv: Die Kommunikation erfolgt nicht verschlüsselt.

Hinweis: Abgesicherte Kommunikation kann für bestehende Verbindungsprofile nicht konfiguriert werden. Es muss ein neues Profil angelegt werden.

Verbindungspasswort zum Lizenzserver

Eingabe des Passworts für die Verbindung zum Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Passwörter speichern

Festlegung, ob die Verbindungspasswörter im Verbindungsprofil gespeichert werden.
Das Speichern erfolgt als von Hardware und Benutzer abhängiger Hash des Passworts.

Serverliste aktualisieren

Klick auf die Schaltfläche startet die Suche nach Quell-Server, auf die mit den Anmeldedaten zugegriffen werden kann.

Die Dropdownliste zur Serverauswahl wird mit den Ergebnissen befüllt.

Nur verfügbar, wenn die Option Gemeinsam genutzte Anmeldeinformationen verwenden deaktiviert wurde.

Datenbankserver angeben

Klick auf die Schaltfläche öffnet den Dialog zur manuellen Angabe eines Quellservers.

Version des Servers

Auswahl der Analyzer Haupt-Version des Quellservers aus Dropdownliste.
Die Liste wird mit den Ergebnissen der Suche oder der manuellen Eingabe befüllt. Bei gesicherter Verbindung werden nur Versionen angeboten, die gesicherte Verbindung unterstützen.

Server Computername

Auswahl des Computernamens aus Dropdownliste.
Die Liste wird mit den Ergebnissen der Suche oder der manuellen Eingabe befüllt.

Ziellserver

Option

Beschreibung

Zielserver

Konfiguration einer neuen Verbindung. Die Optionen sind nur verfügbar, wenn ein neues Verbindungsprofil erstellt wird und keine Verbindung besteht.

Hinweis: Die Optionen Passwort und Benutzername sind nur verfügbar, wenn die Optionen Windows-Authentifizierung verwenden deaktiviert wurde.

Verbindungssicherheit

Einstellungen für die Verbindungssicherheit. Die Einträge müssen der Konfiguration am Server entsprechen.

Nur verfügbar, wenn die gewählte Server-Version, gesicherte Verbindungen erlaubt.

Abgesicherte Kommunikation

Aktivierung oder Deaktivierung der verschlüsselten Kommunikation.

  • Aktiv: Die Kommunikation erfolgt verschlüsselt. Für die Verbindung müssen, je nach Grad der Verschlüsselung, Passwörter für den Lizenzdienst eingegeben werden.
  • Inaktiv: Die Kommunikation erfolgt nicht verschlüsselt.

Hinweis: Abgesicherte Kommunikation kann für bestehende Verbindungsprofile nicht konfiguriert werden. Es muss ein neues Profil angelegt werden.

Verbindungspasswort zum Lizenzserver

Eingabe des Passworts für die Verbindung zum Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Änderungspasswort des Lizenzservers

Eingabe des Änderungspassworts am Lizenzserver.
Die Eingabe erfolgt immer verdeckt. Die tatsächliche Länge wird verschleiert. Wenn das Eingabefeld aktiv ist, muss es befüllt werden, damit eine Verbindung hergestellt werden kann.

Passwörter speichern

Festlegung, ob die Verbindungspasswörter im Verbindungsprofil gespeichert werden.
Das Speichern erfolgt als von Hardware und Benutzer abhängiger Hash des Passworts.

Serverliste aktualisieren

Klick auf die Schaltfläche startet die Suche nach Ziel-Server, auf die mit den Anmeldedaten zugegriffen werden kann.

Die Dropdownliste zur Serverauswahl wird mit den Ergebnissen befüllt.

Nur verfügbar, wenn die Option Gemeinsam genutzte Anmeldeinformationen verwenden deaktiviert wurde.

Datenbankserver angeben

Klick auf die Schaltfläche öffnet den Dialog zur manuellen Angabe eines Zielservers.

Version des Servers

Auswahl der Analyzer Haupt-Version des Zielservers aus Dropdownliste.
Die Liste wird mit den Ergebnissen der Suche oder der manuellen Eingabe befüllt. Bei gesicherter Verbindung werden nur Versionen angeboten, die gesicherte Verbindung unterstützen.

Server Computername

Auswahl des Computernamens aus Dropdownliste.
Die Liste wird mit den Ergebnissen der Suche oder der manuellen Eingabe befüllt.

Verbindung

Option | Beschreibung
Verbinden | Klick auf die Schaltfläche startet den Verbindungsaufbau mit den konfigurierten Verbindungsdaten. Das Ergebnis wird in als Textinfomation unter der Schaltfläche dargestellt.
Trennen | Klick auf die Schaltfläche trennt die bestehende Verbindung. Das Ergebnis wird in als Textinfomation unter der Schaltfläche dargestellt.
Textinformation | Zeigt den aktuellen Verbindungsstatus des Migrationstools an. Zusätzlich wird die Hintergrundfarbe der Information entsprechend dem Verbindungsstatus gesetzt.

Navigation und Ausgabefenster

Eigenschaft

Beschreibung

Navigation

Navigation in den Konfigurationsschritten über die Schaltflächen Zurück und Nächste.

  • Zurück: Ein Schritt zurück.
    Nur verfügbar, wenn nicht erster oder letzter Schritt.
  • Nächste: Ein Schritt weiter.
    Nur verfügbar, denn die Validierung für die aktuelle Konfiguration erfolgreich verläuft.
    Diese Schaltfläche wird ersetzt:
    Im Schritt Übersicht Migration durch Migration starten.
    Im Schritt Migration läuft durch Neue Migration.

Ausgabefenster

Anzeige von Fehler, Warnungen und Mitteilungen.

Noch in diesem Kapitel

Datenbankserver angeben


Datenbankserver angeben

zenon Analyzer > Migration Tool > Konfiguration > Mit Servern verbinden > Datenbankserver angeben

Quell- und Zielserver für die Migration können manuell konfiguriert werden. Klick auf die Schaltfläche Datenbankserver angeben im Schritt Mit Server verbinden öffnet den Dialog zur Angabe von Analyzer-Version und Name des Servers.

Option

Beschreibung

Version des Servers

Auswahl der Haupt-Version des Analyzer Servers aus Dropdownliste.

Server Computername

Eingabe des Rechnernamens, auf dem der Analyzer Server läuft.

Für gesicherte Verbindungen muss ein Zertifikat installiert werden. Dieses verlangt den Servernamen als FQDN (Fully Qualified Domain Name).

  • Beispiel ungesichert: myserver
  • Beispiel gesichert: myserver.mydomain.com

Hinweis: localhost ist kein gültiger Eintrag, da localhost in der Domäne unbekannt ist. localhost wird immer durch den Computernamen ersetzt.

Fortschrittsanzeige

Zeigt den Validierungsfortschritt und eventuell gefundene Fehler an.

OK

Startet Ablauf bei der Eingabe eines Servers. Ist dieser erfolgreich, wird der Dialog geschlossen und die Änderungen werden gespeichert.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Allgemeine Einstellungen

zenon Analyzer > Migration Tool > Konfiguration > Allgemeine Einstellungen

In diesem Schritt konfigurieren Sie allgemeine Einstellungen für die Migration:

  • Zugriffsrechte für Tools:
    • Manual Data Editor
    • Metadata Editor
    • ZAMS

    Hinweis: Quellserver und Zielserver müssen höher als Version 2.00 sein, da diese Zugriffsrechte bei Version 2.00 noch nicht verfügbar sind.

  • Zugriffsrechte am Analyzer Server:
    Grundlegende Zugriffsrechte auf Web-Services und Report Launcher. Zuweisung der Rollen für Benutzer und Administratoren.
  • SMTP-Einstellungen am Analyzer Server:
    Migration der SMTP-Einstellungen für den Report-Versand per E-Mail.

    Hinweis: Diese Einstellungen können nur migriert werden, wenn folgende Komponenten am gleichen Rechner laufen:

    • Quellserver
    • Zielserver
    • Migrationstool
  • Reporting Services Aktivierungsaufruf

info Info

Mitglieder der lokalen Administratoren in der Gruppe <VORDEFINIERT>\Administratoren können nicht migriert werden.

Hintergrund: Diese Gruppe wird vom Betriebssystem angelegt. Sie erhält je nach Betriebssystem, Sprache und weiteren Faktoren eventuell unterschiedliche Namen. Daher kann sie vom Migrationsprozess nicht eindeutig identifiziert werden.

Im Diagnosis Viewer erhalten Sie in diesem Fall die Fehlermeldung E00060: Setting the access rights in the SQL Server Reporting Services on [Rechner] for [Version] has failed.

Konfiguration

Auswahl

Option

Beschreibung

Schritt-Anzeige

Anzeige des zu konfigurierenden Schritts.

Auswahl-Baum

Anzeige und Auswahl der zu konfigurierenden Komponenten.

Detailansicht

Anzeige des Status und Konfiguration des ausgewählten Objekts.

Ist das Objekt nicht migrierbar, wird eine gelb hinterlegte Information angezeigt.

Ist das Objekt migrierbar, werden die Checkbox für die Aktivierung der Migration und die zu migrierenden Objekte angezeigt.

Konfiguration:

  • Checkbox
    aktiv: Objekt soll migriert werden.
    inaktiv: Objekt wird nicht migriert.
  • Detailfenster: Anzeige der zu migrierenden Konfiguration am Quellserver bzw. Hinweise zur aktuellen Konfiguration am Zielserver.

Details siehe Abschnitte:

  • Analyzer Anwendungen Zugriffsrechte
  • Report Launcher Benutzerrollen
  • E-Mail Server Konfiguration
  • Reporting Services Aktivierungsaufruf

Navigation und Ausgabefenster

Eigenschaft

Beschreibung

Navigation

Navigation in den Konfigurationsschritten über die Schaltflächen Zurück und Nächste.

  • Zurück: Ein Schritt zurück.
    Nur verfügbar, wenn nicht erster oder letzter Schritt.
  • Nächste: Ein Schritt weiter.
    Nur verfügbar, denn die Validierung für die aktuelle Konfiguration erfolgreich verläuft.
    Diese Schaltfläche wird ersetzt:
    Im Schritt Übersicht Migration durch Migration starten.
    Im Schritt Migration läuft durch Neue Migration.

Ausgabefenster

Anzeige von Fehler, Warnungen und Mitteilungen.

Analyzer Anwendungen Zugriffsrechte

Einstellungen für die Migration der Zugriffsrechte für Analyzer Anwendungen.

Um die Zugriffsrechte für Analyzer Anwendungen zu migrieren:

  1. Wählen Sie im Auswahl-Baum den Eintrag AZugriffsrechte für die Analyzer Anwendungen.
  2. Aktivieren Sie die Checkbox Konfiguration der Benutzer-Zugriffsrechte für Analyzer Anwendungen migrieren.
  3. Überprüfen Sie im Detailfenster die zu migrierenden Objekte.

Report Launcher Benutzerrollen

Einstellungen für die Migration der Report Launcher Benutzerrollen.

Um die Benutzerrollen zu migrieren:

  1. Wählen Sie im Auswahl-Baum den Eintrag Report Launcher Benutzerrollen.
  2. Aktivieren Sie die Checkbox Report Launcher Benutzerrollen migrieren.

    Hinweis: Wird die Migration der Benutzerrollen deaktiviert, können die Zugriffsrechte auf einzelne Objekte am Analyzer Server (Ordner, Reports usw.) nicht migriert werden. Eine entsprechende Warnung wird angezeigt.

  3. Überprüfen Sie im Detailfenster die zu migrierenden Objekte.

E-Mail Server Konfiguration

Einstellungen für die Migration der E-Mail Server Konfiguration.

Um die E-Mail Server Konfiguration zu migrieren:

  1. Wählen Sie im Auswahl-Baum den Eintrag E-Mail Server Konfiguration.
  2. Aktivieren Sie die Checkbox E-Mail Server Konfiguration migrieren.
  3. Überprüfen Sie im Detailfenster die SMTP-Konfiguration am Quellserver und den Status der E-Mail-Report-Zustellungserweiterung am Zielserver.

Wird die Migration der SMTP-Konfiguration vom Anwender deaktiviert, wird die Verfügbarkeit der E-Mail-Report-Zustellungserweiterung am Zielserver angezeigt.

  • Ist die Erweiterung verfügbar, können E-Mail-Abonnements migriert werden.
  • Ist die Erweiterung nicht verfügbar, ist die Migration von E-Mail-Abonnements nicht möglich. Eine entsprechende Warnung wird angezeigt.

Reporting Services Aktivierungsaufruf

Einstellungen für die Migration des Reporting Services Aktivierungsaufrufs.

Um einen am Quellserver konfigurierten Reporting Services Aktivierungsaufruf zu migrieren:

  1. Wählen Sie im Auswahl-Baum den Eintrag Reporting Services Aktivierungsaufruf.
  2. Aktivieren Sie die Checkbox Migriere den Reporting Services Aktivierungsaufruf.
    Hinweis: Diese ist nur verfügbar, wenn der Aufruf am Quellserver existiert und kein Kommunikationsfehler vorliegt.
  3. Beachten Sie die Statusmeldung. Diese gibt Auskunft über Migrierbarkeit und Parameter des Aktivierungsaufrufs.


Linked Server

zenon Analyzer > Migration Tool > Konfiguration > Linked Server

In diesem Schritt konfigurieren Sie die Einstellungen für die Migration der Linked Server.

Vom Quellserver werden die Linked Server Informationen mit den dazugehörigen Provider Informationen ausgelesen. Damit ein Linked Server migriert werden kann, müssen folgende Bedingungen erfüllt werden:

  • Auf dem Zielserver existiert der dazugehörige Provider bereits.
    Das bedeutet: Auf dem Zielserver existiert ein Provider mit gleichem Namen und identer Konfiguration.
  • Für jeden benötigten Benutzer wird ein gültiges Passwort hinterlegt.
  • Die Validierung der Passwörter wird erfolgreich abgeschlossen.

Konfiguration

Auswahl im Auswahlbaum

Option

Beschreibung

Schritt-Anzeige

[Name Linked Server]

Anzeige und Auswahl der zu konfigurierenden Linked-Server.

Klick auf einen Server bietet Optionen zur Konfiguration des ausgewählten Linked Servers in der Detailansicht an.

Statusfarben:

  • Gelb:
    Linked Server ist nicht zur Migration gewählt.
  • Rot:
    Linked Server ist zur Migration gewählt und nicht migrierbar.

Passwörter überprüfen

Start der Validierung und Anzeige des Validierungsstatus der Passwörter.

Statusfarben:

  • Rot: Mindestens ein Passwort wurde noch nicht validiert.

Konfiguration Server

Option

Beschreibung

Überschrift

Name des Linked Servers, der konfiguriert wird.

Sind keine konfigurierbaren Inhalte vorhanden, wird eine entsprechend Information angezeigt.

Migriere diesen Linked Server

Checkbox zur Auswahl, ob der Server migriert wird:

  • Aktiv: Dieser Linked Server soll migriert werden.
  • Inaktiv: Dieser Linked Server wird nicht migriert.
    Hinweis: Werden Linked Server von der Migration ausgeschlossen, kann das zu Problemen im Migrationsprozess führen.

Statusfarben:

  • Gelb: Nicht zur Migration ausgewählt.
  • Rot: Server ist ausgewählt und kann mit der aktuellen Konfiguration nicht migriert werden.

Unterhalb des Passwortfelds werden eventuell Textinfomationen zum Status angezeigt.

Passwörter

Eingabe des Passworts für jeden Benutzer, der zum Anlegen des Linked Servers am Zielserver benötigt wird.

Hinweis: Befindet sich der Rechne rin einer anderen Domain, muss der Pfad als Fully Qualified Domain Name angegeben werden.

Statusfarben:

  • Rot: kein Passwort eingegeben

Textinformation

Anzeige von Hinweisen bei Konfigurationsproblemen.

Ansicht Migration abgewählt:

Passwörter überprüfen

Im Detailbereich Passwörter überprüfen starten Sie die Validierung der eingegebene Passwörter. Linked Server können erst migriert werden, wenn alle konfigurierten Verbindungen über korrekte Passwörter verfügen.

Um die Passwörter zu setzen und zu überprüfen:

  1. Vergeben Sie für jeden zu migrierenden Linked Server die benötigten Passwörter.

    Server, die zur Migration ausgewählt wurden, aber über kein gültiges Passwort verfügen, werden rot hinterlegt angezeigt.

  2. Klicken Sie auf die Schaltfläche Passwörter für Linked Server überprüfen.

    Die Passwörter werden überprüft.

    Das Ergebnis wird in der Liste mit dem Überprüfungsstatus angezeigt.

Achtung: Wird ein bereits validiertes Passwort geändert, muss die Validierung erneut durchgeführt werden.

Option

Beschreibung

Überprüfungsstatus für Passwörter und Linked Server

Anzeige des Validierungsergebnisses für alle konfigurierten Linked Server:

  • grüner Haken: Validierung erfolgreich
  • Lupe: Validierung nicht durchgeführt
  • roter Kreis: Validierung gescheitert

Passwörter für Linked Server überprüfen

Klick auf Schaltfläche startet Ablauf zur Validierung.

Die Ergebnisse werden in der Liste mit dem Überprüfungsstatus angezeigt.

Navigation und Ausgabefenster

Eigenschaft

Beschreibung

Navigation

Navigation in den Konfigurationsschritten über die Schaltflächen Zurück und Nächste.

  • Zurück: Ein Schritt zurück.
    Nur verfügbar, wenn nicht erster oder letzter Schritt.
  • Nächste: Ein Schritt weiter.
    Nur verfügbar, denn die Validierung für die aktuelle Konfiguration erfolgreich verläuft.
    Diese Schaltfläche wird ersetzt:
    Im Schritt Übersicht Migration durch Migration starten.
    Im Schritt Migration läuft durch Neue Migration.

Ausgabefenster

Anzeige von Fehler, Warnungen und Mitteilungen.


Datenbanken

zenon Analyzer > Migration Tool > Konfiguration > Datenbanken

In diesem Schritt konfigurieren Sie die Einstellungen für die Migration der Datenbanken:

  • Pfade für Datenbank-Sicherungsdateien
  • Migrierbare Datenbanken
  • Datenbank-Sicherungsaufträge
  • Jobs für das Neutraining von Prognosemodellen

Konfiguration

Um die Datenbanken für die Migration zu konfigurieren:

  1. Wählen Sie im Auswahl-Baum den Eintrag Datenbank.
  2. Wählen Sie in der Detailansicht das gewünschte Objekt.
    Der Status einer Aufgabe wird im Detailfenster über Meldungen und Signalfarben angezeigt.
    • Pfade für Datenbank-Sicherungsdateien:
      Klick auf das Objekt zeigt die Eingabeelemente für notwendige Pfade in der Detailansicht an. Als Statusfarbe wird die des schlechtesten Validierungsergebnisses eines Pfades angezeigt.
    • Zu migrierende Datenbanken:
      Klick auf das Objekt zeigt die Eingabeelemente für Datenbankmigration in der Detailansicht an. Jedes Unterelement repräsentiert eine zur Migration verfügbare Datenbank. Die Farbe des Unterelements zeigt den Status der Datenbank an:
      Rot: Notwendige Pfade fehlen.
      Gelb: Kann wegen Abhängigkeiten nicht migriert werden oder ist nicht zur Migration gewählt.
    • Datenbank-Sicherungsaufträge am Quellserver:
      Klick auf das Objekt zeigt die Eingabeelemente für Datenbank-Sicherungsaufträge in der Detailansicht an. Jedes Unterelement repräsentiert alle zur Migration verfügbaren Datenbank-Sicherungsaufträge am Quellserver. Die Statusfarbe ist die Statusfarbe des schlechtesten Unterelements. Die Farbe des Unterelements zeigt den Status des Datenbank-Sicherungsauftrags:
      Rot: Notwendige Pfade fehlen.
      Gelb: Kann wegen Abhängigkeiten nicht migriert werden oder ist nicht zur Migration gewählt.
  3. Konfigurieren Sie im Detailfenster die ausgewählten Objekte.

info Info

Die von COPA-DATA mitgelieferte Demo-Datenbank kann nicht migriert werden. Auch Datenbanken, Datenbanksicherungsaufgaben, Reports und Abonnements, die auf der Demo-Datenbank basieren, können nicht migriert werden.

Datenbanken, die nicht migriert werden können, werden im Baum mit gelber Markierung angezeigt.

Ablauf

Die Migration der Datenbanken folgt folgendem Ablauf:

  • Die Datenbanken des Quellservers werden in einem definierten Ordner gesichert.
  • Die Datenbanken werden vom Sicherungsordner in einen Sicherungsordner für den Zielserver verschoben.

    Dieser Schritt entfällt, wenn die beiden Sicherungsordner ident sind.

  • Die Datenbanken werden am Zielserver wieder hergestellt.
  • Datenbanksicherungsaufträge werden am Zielserver wieder eingerichtet.

Pfade für Datenbank-Sicherungsdateien

Pfade für Datenbank-Sicherungsdateien

Option

Beschreibung

Pfade für Datenbank-Sicherungsdateien

Einstellungen für die -Datenbank-Pfade für die Migration.

Sicherungspfad der Datenbank am Quellserver für den Migrationsvorgang

Eingabe des Datenbank-Sicherungspfades für den Migrationsprozess am Quellserver.

Bei der Durchführung der Migration werden vom Quellserver die Datenbanken in diesen Pfad gesichert.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Pfades. Der Pfad kann auch direkt als UNC-Netzwerkpfad in das Feld eingegeben werden.
Syntax: \\Computername\Ordner\Unterordner

Hinweis: Dieses Feld ist für die Migration ein Pflichtfeld.

Sicherungspfad der Datenbank am Zielserver für den Migrationsvorgang

Eingabe des Datenbank-Sicherungspfades für den Migrationsprozess am Zielserver.

Bei der Durchführung der Migration werden die Datenbanksicherungsdateien vom Pfad am Quellserver in diesen Pfad verschoben und anschließend vom Zielserver aus diesem Pfad wiederhergestellt. Danach werden die Dateien gelöscht.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Pfades. Pfad kann auch direkt als UNC-Netzwerkpfad in das Feld eingegeben werden.
Syntax: \\Computername\Ordner\Unterordner

Hinweis: Dieses Feld ist für die Migration ein Pflichtfeld.

Automatisierte Datenbank-Sicherungsaufträge migrieren

Festlegung, ob Datenbank-Sicherungsaufträge migriert werden sollen.

  • Aktiv: Datenbank-Sicherungsaufträge werden migriert. In der Eigenschaft Netzwerkfreigabe am Zielserver zum Speichern von Datenbank-Sicherungen muss ein gültiger Pfad vergeben werden.
  • Inaktiv: Datenbank-Sicherungsaufträge werden nicht migriert.
    Statusfarbe: gelb

Netzwerkfreigabe am Zielserver zum Speichern von Datenbank-Sicherungen

Eingabe des Pfades zu einem freigegebenen Ordner am Zielserver, in dem Datenbank-Sicherungsaufträge gespeichert werden können.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl eines Pfades. Pfad kann auch direkt als UNC-Netzwerkpfad in das Feld eingegeben werden.
Syntax: \\Computername\Ordner\Unterordner)

Nur verfügbar, wenn die Option Automatisierte Datenbank-Sicherungsaufträge migrieren aktiviert wurde.

Validierung der Datenbank-Sicherungspfade

Klick auf die Schaltfläche startet die Validierung der konfigurierten Pfade. Ist das Ergebnis positiv, wird die Schaltfläche zum Weiterschalten im Ablauf freigegeben.

Anzeige Status

Der Status der Migrationsfähigkeit wird unterhalb der Schaltfläche für die Validierung über Symbole und Meldungen angezeigt:

  • grüner Haken: Validierung erfolgreich
  • Lupe: Validierung nicht durchgeführt
  • roter Kreis: Validierung gescheitert

Eine Textmeldung infomiert über den Grund des jeweiligen Status.

Auswahl Datenbanken

Datenbankauswahl

Option

Beschreibung

Überschrift

Namen und Typ der Datenbank.

Zum Beispiel: Reporting (Analyzer Datenbank)

Migriere diese Datenbank

Konfiguration, ob diese Datenbank migriert werden soll. Nur verfügbar, wenn die Datenbank migriert werden kann. Eine Datenbank kann migriert werden, wenn die notwendigen Pfade für den Migrationsprozess erfolgreich validiert wurden und alle Abhängigkeiten migriert werden.

  • Aktiv: Datenbank soll migriert werden.
  • Inaktiv: Datenbank wird nicht migriert.
    Statusfarbe: gelb

Erforderliche Linked Server

Zeigt alle Linked Server an, von denen diese Datenbank abhängt.
Eine Datenbank kann nur migriert werden, wenn alle Linked Server, von denen sie abhängt, migriert werden.

Benötigte Datenbanken

Zeigt alle Datenbanken, von denen diese Datenbank abhängt. Eine Datenbank kann nur dann migriert werden, wenn alle Datenbanken, von denen sie abhängt, migriert werden.

Anzeige nur für Analyzer Datenbanken verfügbar.

Status

Statusanzeige. Nur verfügbar, wenn eine Datenbank nicht migriert wird.

Text zeigt Grund für Nicht-Migration an und informiert bei Analyzer-Datenbanken über die mögliche Folge, wenn diese nicht migriert werden.

Statusfarben:

  • Rot: Pfade fehlen.
  • Gelb: Alle anderen Hinweise.

Navigation und Ausgabefenster

Eigenschaft

Beschreibung

Navigation

Navigation in den Konfigurationsschritten über die Schaltflächen Zurück und Nächste.

  • Zurück: Ein Schritt zurück.
    Nur verfügbar, wenn nicht erster oder letzter Schritt.
  • Nächste: Ein Schritt weiter.
    Nur verfügbar, denn die Validierung für die aktuelle Konfiguration erfolgreich verläuft.
    Diese Schaltfläche wird ersetzt:
    Im Schritt Übersicht Migration durch Migration starten.
    Im Schritt Migration läuft durch Neue Migration.

Ausgabefenster

Anzeige von Fehler, Warnungen und Mitteilungen.

Ansicht Datenbank wird nicht migriert:

Pfade für Datenbank-Sicherungsdateien

Option

Beschreibung

Überschrift

Name des Datenbank-Sicherungsauftrags.

Migriere diesen Datenbank-Sicherungsauftrag

Konfiguration, ob dieser Datenbank-Sicherungsauftrag migriert werden soll. Nur verfügbar, wenn der Sicherungsauftrag migriert werden kann. Ein Datenbank-Sicherungsauftrag kann migriert werden, wenn der Pfad für Datenbank-Sicherungsaufträge am Zielserver erfolgreich validiert wurde und alle Abhängigkeiten migriert werden.

  • Aktiv: Datenbank-Sicherungsauftrag soll migriert werden.
  • Inaktiv: Datenbank-Sicherungsauftrag wird nicht migriert.
    Statusfarbe: gelb

Text

Beschreibung des Datenbank-Sicherungsauftrags.

Benötigte Datenbanken

Liste aller Datenbanken, von denen dieser Datenbank-Sicherungsauftrag abhängt. Ein Datenbank-Sicherungsauftrag kann nur dann migriert werden, wenn alle Datenbanken, von denen er abhängt, migriert werden.

Status

Statusanzeige. Nur verfügbar, wenn ein Datenbank-Sicherungsauftrag nicht migriert wird.

Text zeigt Grund für Nicht-Migration an.

Statusfarben:

  • Rot: Pfade fehlen.
  • Gelb: Alle anderen Hinweise.

Achtung: Existiert eine im Datenbank-Sicherungsauftrag inkludierte Datenbank am Server nicht mehr, dann kann dieser Auftrag nicht migriert werden.

Navigation und Ausgabefenster

Eigenschaft

Beschreibung

Navigation

Navigation in den Konfigurationsschritten über die Schaltflächen Zurück und Nächste.

  • Zurück: Ein Schritt zurück.
    Nur verfügbar, wenn nicht erster oder letzter Schritt.
  • Nächste: Ein Schritt weiter.
    Nur verfügbar, denn die Validierung für die aktuelle Konfiguration erfolgreich verläuft.
    Diese Schaltfläche wird ersetzt:
    Im Schritt Übersicht Migration durch Migration starten.
    Im Schritt Migration läuft durch Neue Migration.

Ausgabefenster

Anzeige von Fehler, Warnungen und Mitteilungen.

Ansicht ungültige Konfiguration:


Zeitpläne

zenon Analyzer > Migration Tool > Konfiguration > Zeitpläne

In diesem Schritt konfigurieren Sie die Einstellungen für die Migration der Zeitpläne.

Auswahl im Auswahlbaum

Option

Beschreibung

Schritt-Anzeige

Anzeige des zu konfigurierenden Schritts.

Auswahl-Baum

Anzeige und Auswahl der zu konfigurierenden Zeitpläne.

Klick auf Zeitplan bietet Optionen zur Konfiguration des ausgewählten Zeitplans im Detailansicht an.

Statusfarben:

  • Gelb:
    Zeitplan ist nicht zur Migration gewählt.

Konfiguration in Detailansicht

Option

Beschreibung

Überschrift

Name des Zeitplans, der konfiguriert wird.

Sind keine konfigurierbaren Inhalte vorhanden, wird eine entsprechend Information angezeigt.

Report Server Zeitplan migrieren

Checkbox zur Auswahl, ob der Zeitplan migriert wird:

  • Aktiv: Dieser Zeitplan soll migriert werden.
  • Inaktiv: Dieser Zeitplan wird nicht migriert.

Statusfarben:

  • Gelb: Nicht zur Migration ausgewählt.

Textinformation

Anzeige von:

  • Beschreibung des Zeitplans.
  • Hinweisen zur Migration von Abonnements, wenn der Zeitplan nicht migriert wird.

Ansicht Migration abgewählt:


Reports und Abonnements

zenon Analyzer > Migration Tool > Konfiguration > Reports und Abonnements

In diesem Schritt konfigurieren Sie die Einstellungen für die Migration der Reports und Abonnements. Reports und Abonnements, die nicht migriert werden oder nicht migriert werden können, werden gelb unterlegt angezeigt. Beachten Sie die Abhängigkeit bei der Migration von Abonnements zu Reports und Passwörtern.

Allgemeine Konfiguration

Um alle Elemente im Root zu migrieren:

  1. Aktivieren Sie die Checkbox Dieses Objekt migrieren.

    Hinweis: Es muss mindestens ein Ordner migrierbar sein.

  2. Wählen sie die Konfiguration für Richtlinien des Stammobjekts vom Quellserver migrieren.
  3. Geben Sie im Knoten Passwörter eingeben die benötigten Passwörter ein.

Option

Beschreibung

Schritt-Anzeige

Anzeige des zu konfigurierenden Schritts.

Auswahl-Baum

Listet alle im Report Launcher verfügbaren Reports auf.

Zusätzlich werden für jeden Report die dafür konfigurierten Abonnements angezeigt.

Der Knoten Passwörter eingeben ermöglicht die Eingabe aller für das Ausliefern von Abonnements benötigten Passwörter. Nur vorhanden, wenn Abonnements vorhanden sind.

Überschrift

Zeigt Name [root] an.

Dieses Objekt migrieren

Konfiguration, ob Objekt migriert wird.

  • Aktiv: Alle migrierbaren Objekte im Stammordner werden für die Migration markiert.
  • Inaktiv: Es werden keine Objekte migriert.

Statusfarben:

  • Gelb: Objekt wurde nicht zur Migration ausgewählt oder kann aufgrund von Abhängigkeiten nicht migriert werden.

Richtlinien des Stammobjekts vom Quellserver migrieren

Konfiguration für Übernahme von Berechtigungen.

  • Aktiv: Berechtigung des Stammelements am Quellserver wird auf Zielserver übertragen.
  • Inaktiv: Berechtigung des Stammelements am Zielserver wird nicht verändert.

Navigation und Ausgabefenster

Eigenschaft

Beschreibung

Navigation

Navigation in den Konfigurationsschritten über die Schaltflächen Zurück und Nächste.

  • Zurück: Ein Schritt zurück.
    Nur verfügbar, wenn nicht erster oder letzter Schritt.
  • Nächste: Ein Schritt weiter.
    Nur verfügbar, denn die Validierung für die aktuelle Konfiguration erfolgreich verläuft.
    Diese Schaltfläche wird ersetzt:
    Im Schritt Übersicht Migration durch Migration starten.
    Im Schritt Migration läuft durch Neue Migration.

Ausgabefenster

Anzeige von Fehler, Warnungen und Mitteilungen.

Reports und Abonnements migrieren

Um Reports und Abonnements zu migrieren:

  1. Aktivieren Sie für jedes Gewünschte Objekt die Checkbox Dieses Objekt migrieren.
  2. Wählen sie für Ordner die Konfiguration für Richtlinien des Stammobjekts vom Quellserver migrieren.

    Hinweis: Es muss mindestens ein Ordner migrierbar sein.

  3. Geben Sie im Knoten Passwörter eingeben die benötigten Passwörter ein.

Option

Beschreibung

Schritt-Anzeige

Anzeige des zu konfigurierenden Schritts.

Auswahl-Baum

Listet alle im Report Launcher verfügbaren Reports auf.

Zusätzlich werden für jeden Report die dafür konfigurierten Abonnements angezeigt.

Der Knoten Passwörter eingeben ermöglicht die Eingabe aller für das Ausliefern von Abonnements benötigten Passwörter. Nur vorhanden, wenn Abonnements vorhanden sind.

Überschrift

Zeigt Name des migrierenden Objekts an.

Dieses Objekt migrieren

Konfiguration, ob das ausgewählte Objekt migriert wird. Ausgewählt werden können Report-Themen, Reports und Abonnements.

  • Aktiv: Objekt wird migriert.
  • Inaktiv: Objekt wird nicht migriert.

Statusfarben:

  • Gelb: Objekt wurde nicht zur Migration ausgewählt oder kann aufgrund von Abhängigkeiten nicht migriert werden.

Richtlinien des Stammobjekts vom Quellserver migrieren

Konfiguration für Übernahme von Berechtigungen.

  • Aktiv: Berechtigung des Stammelements am Quellserver wird auf Zielserver übertragen.
  • Inaktiv: Berechtigung wird vom übergeordneten Element übernommen.

Abhängigkeiten dieses Objekts

Anzeige der Abhängigkeiten für gewählten Report oder gewähltes Abonnement.

Passwörter

Eingabe der für die Migration von Abonnements benötigten Passwörter.

Option

Beschreibung

Passwörter eingeben

Optionen für die Eingabe und Validierung der Passwörter.

Abonnements mit leerem Passwort als inaktive Abonnements migrieren

Verfahren, wie mit Abonnements, die über kein Passwort verfügen umgegangen wird.

  • Aktiv: Abonnements mit leerem Passwortfeld werden migriert, aber am Zielserver auf inaktiv geschaltet.
  • Inaktiv: Für jedes Abonnement mus das benötigte Passwort korrekt eingegeben und validiert werden.

Passwörter eingeben

Eingabe der Passwörter, die für Abonnements benötigt werden. Für jedes Passwort wird ein Symbol mit dem Validierungsergebnis angezeigt.

Anzeige Validierungsergebnis:

  • grüner Haken: Validierung erfolgreich
  • Lupe: Validierung nicht durchgeführt
  • roter Kreis: Validierung gescheitert

Passwörter für Abonnements überprüfen

Klick auf Schaltfläche startet Ablauf zur Validierung.

Die Ergebnisse werden in der Liste der Passwörter angezeigt.

Achtung: Ist der Benutzer eines Abonnements auch der Benutzer, der das Migrationstool gestartet hat, so sind auch bei falschem Passwort Zugriffe inklusive schreiben und löschen möglich.

Hintergrund: Das Betriebssystem prüft beim Anlegen der Zugriffsstruktur, ob der aktuelle Benutzerkontext des Prozesses schon Zugriff für den angegebenen Benutzer auf den angegebenen Pfad hat, wenn der gleiche Benutzername im Kontext und in der Anfrage enthalten ist. Ist das der Fall, wird der Benutzerkontext des Prozesses verwendet und nicht Benutzername und Passwort aus der Anfrage.


Übersicht

zenon Analyzer > Migration Tool > Konfiguration > Übersicht

Im Schritt Übersicht werden alle Migrationsschritte zusammengefasst angezeigt. Hier können Sie alle konfigurierten Schritte überprüfen. Es werden nur für die Migration aktivierte Objekte angezeigt. Einträge im Wurzelverzeichnis werden immer angezeigt, auch wenn sie keine zu migrierenden Objekte enthalten.

Konfiguration ändern

Um die Konfiguration zu ändern, navigieren Sie mit der Schaltfläche Zurück zum gewünschten Schritt und passen Sie die Konfiguration an. Navigieren Sie dann mit der Schaltfläche Nächste wieder zur Übersicht.

Migration starten

Um die Migration zu starten, klicken Sie auf die Schaltfläche Migration starten.
Achtung: Dieser Vorgang kann nicht abgebrochen werden!

Anzeige Übersicht

Struktur

  • Quell- und Ziel-Server:
    Unterknoten: Konfigurierte Server.
  • Allgemeine Einstellungen:
    Unterknoten: Je ein Knoten für zu migrierende allgemeine Einstellungen.
  • Linked Server:
    Unterknoten: je ein Knoten pro Linked Server
  • Datenbanken und Datenbank-Sicherungsaufträge:
    Unterknoten: Je ein Unterknoten pro Datenbank und pro Datenbank-Sicherungsauftrag.
  • Zeitpläne:
    Unterknoten: Je ein Unterknoten pro Zeitplan.
  • Report Server Objekte:
    Unterknoten: Report Server Ordnerstruktur, beginnend mit dem Wurzel-Element.
    Die Abonnements werden nicht einzeln angezeigt, sondern pro Report wird die Anzahl der zu migrierenden Abonnements angezeigt, wenn diese größer 0 ist.


Migration läuft

zenon Analyzer > Migration Tool > Konfiguration > Migration läuft

In diesem Schritt wird die Migration durchgeführt.

attention Achtung

Während die Migration durchgeführt wird, kann das Migrationstool nicht bedient werden:

  • Der Dialog Optionen ist gesperrt. Es ist keine Sprachumschaltung möglich.
  • Alle Schaltflächen sind deaktiviert.
  • Die Oberfläche kann nicht geschlossen werden.

Achtung: Beenden Sie den Prozess auch nicht über den Taskmanager. In diesem Fall würde der Zielserver in einem undefinierten Zustand bleiben.

Migration durchführen

Um die Migration zu starten:

  1. Klicken Sie im Schritt Übersicht auf die Schaltfläche Migration starten.

    Die Migration wird gestartet. Der Ablauf wird mit einer Fortschrittsanzeige visualisiert

    Nach Abschluss der Migration wird das Ergebnis angezeigt.

    Details finden Sie im Ausgabefenster.

    Wurde der Ablauf durch das Tool abgebrochen, ist nur die Schaltfläche Zurück verfügbar.

    Wurde der Ablauf erfolgreich beendet, ist nur die Schaltlfäche Neue Migration verfügbar.

  2. Schließen Sie den Dialog über Datei -> Beenden oder konfigurieren Sie einen neuen Migrationsablauf mit Klick auf die Schaltfläche Neue Migration.

    Wenn Sie die Migration erneut starten, dann wird die Verbindung getrennt und der erste Schritt im Migrationstool aufgerufen.

Fortschrittsanzeige

Die Fortschrittsanzeige besteht aus zwei Fortschrittsbalken:

  • Der obere Fortschrittsbalken zeigt den Gesamtfortschritt der Migration an.
  • Der untere Fortschrittsbalken zeigt den Fortschritt des jeweiligen Teilschritts an.
    Die Migration besteht aus 6 Teilschritten:
    • Verbindungstest
    • Migration der Allgemeine Einstellungen
    • Migration der Linked Server
    • Migration der Datenbanken und Datenbanksicherungsaufgaben mit folgenden Unterschritten für Datenbanken:
      - Sicherung am Quellserver erstellen
      - Sicherungsdatei vom Quellserver zum Zielserver verschieben
      - Sicherung am Zielserver rücklesen
    • Migration der Zeitpläne
    • Migration der Reports und Abonnements


Reportvorlagen

zenon Analyzer > Reportvorlagen

Reports werden im ZAMS auf Basis von Reportvorlagen für die Benutzung und Darstellung im Report Launcher vorbereitet und konfiguriert.

Für alle Report-Aktionen wie öffnen, speichern usw. ist Voraussetzung, dass eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz besteht und die gewünschte Reportvorlage lizenziert wurde.

info Info

Validierung: Beim Laden wird geprüft, ob alle referenzierten Reportvorlagen zur Verfügung stehen und im Lizenzumfang enthalten sind.

Reports können bestimmte Informationen aus zenon verwerten.

info Info

Verwenden Sie zenon Farbpaletten nicht für dynamische Grenzwertfarben bei zenon Projekten, deren Daten für den zenon Analyzer exportiert werden. Im zenon Analyzer können Grenzwertfarben nicht dynamisch geändert werden. Informationen aus Farbpaletten können damit nicht ausgewertet werden. Das kann zu nicht lesbaren Grafiken führen.

Noch in diesem Kapitel

Report erstellen

Reportdefinition speichern und schließen

Gespeicherten Reportdefinition öffnen

Report konfigurieren

Report bereitstellen

Reports in Microsoft Report Builder öffnen

Grafische Konfiguration

Report-Einstellungen

Validierung

Beispiele für Reportkonfiguration

Mitgelieferte Reportvorlagen

Ereignisgesteuerte Reporterstellung


Report erstellen

zenon Analyzer > Reportvorlagen > Report erstellen

Um einen Report zu erstellen:

  1. Wählen Sie im Menü Datei oder auf der Startseite Neuer Report.

    Der Dialog zur Auswahl einer Reportvorlage wird geöffnet.
    Dieser Dialog wird auch geöffnet, wenn Sie im Report auf die Schaltfläche Reportvorlage hinzufügen klicken.

  2. Wählen Sie im Dialog zum Erstellen neuer Reportvorlagen das gewünschte Thema aus.
  3. Wählen Sie die gewünschte Reportvorlage.

  4. Klicken Sie auf die Schaltfläche OK.

    Die Reportvorlage wird geöffnet. Filter, Report-Einstellungen und grafische Elemente werden zur Konfiguration angeboten.

    Hinweis: Bei Klick auf Abbrechen wird der Konfigurationsbereich für den Report ohne Reportvorlage geöffnet.

    Neue Reportvorlagen werden mit einem Standardnamen und Asterisk (*) angezeigt. Bereits gespeicherte Reportdefinitionen, die bearbeitet wurden, werden mit einem Asterisk nach dem Namen angezeigt.

  5. Speichern Sie den Report als Reportdefinition unter dem gewünschten Namen.
  6. Fügen Sie bei Bedarf weitere Reportvorlagen hinzu. Klicken Sie dazu auf das grüne Pluszeichen im Kopfbereich.
    Bei Reports, die auf mehreren Reportvorlagen beruhen, werden verknüpfbare Filter als strichlierte Linien angezeigt. Verbunden Komponenten werden mit durchgezogenen Linien angezeigt.
    Maximal 5 Reportvorlagen können in einem Report verwendet werden.
  7. Konfigurieren Sie den Report.
    Hinweise zur Konfiguration erhalten Sie auch über Tooltips für Report-Einstellungen und Konfigurationssymbole.

    Details zur Konfiguration und zu den Report-Einstellungen lesen Sie auch in den Kapiteln Report erstellen und Elemente im Reportbereich.

Reportvorlage entfernen

Um eine Reportvorlage wieder zu entfernen:

  1. Navigieren Sie zur Kopfzeile der entsprechenden Spalte.
  2. Klicken Sie auf das Symbol mit dem roten X.

    Die Reportvorlage wird entfernt. Müssen dafür auch Elemente in den Report-Einstellungen oder Zellen im Parameter-Ausgabebereich gelöscht werden, erfolgt eine Sicherheitsabfrage.

Noch in diesem Kapitel

Dialog Reportvorlage hinzufügen


Dialog Reportvorlage hinzufügen

zenon Analyzer > Reportvorlagen > Report erstellen > Dialog Reportvorlage hinzufügen

Dieser Dialog ermöglicht die Voransicht und Auswahl von Reportvorlagen.

Option

Beschreibung

Themen und Reportvorlagen

Bereich zur Auswahl der Reportvorlage.

Liste Themen

Listet alle Themen für Reportvorlagen auf.
Klick auf ein Thema listet alle dazugehörigen Reportvorlagen in der Liste Reportvorlagen auf.

Liste Reportvorlagen

Liste aller Reportvorlagen, die zum ausgewählten Thema gehören.

Die Liste kann in Untergruppen gegliedert sein. Untergruppen werden mit Klick auf eine Gruppe geöffnet.

Mit den Symbolen am Kopf der Liste können alle Gruppen aufgeklappt oder zugeklappt werden.

Bei Auswahl einer Reportvorlage wird im Bereich Report Stichprobe eine Vorschau des Reports angezeigt.

Klick auf OK oder Doppelklick auf eine Reportvorlage öffnet die gewählte Reportvorlage zur Bearbeitung.

Beschreibung

Zeigt eine Beschreibung des ausgewählten Themas, der ausgewählten Gruppe oder der ausgewählten Reportvorlage an.

Report Stichprobe

Zeigt eine beispielhafte Vorschau der ausgewählten Reportvorlage an, wie diese als Report dargestellt werden kann.

OK

Übernimmt Auswahl, schließt den Dialog und öffnet gewählte Reportvorlage zur Konfiguration.

Auch ein Doppelklick auf eine Reportvorlage öffnet die gewählte Reportvorlage zur Konfiguration.

Abbrechen

Verwirft Auswahl, schließt Dialog und öffnet den Konfigurationsbereich für den Report ohne Reportvorlage.

Tipp: Dieser Dialog wird immer mit den vom Benutzer zuletzt gewählten Einstellungen geöffnet.


Reportdefinition speichern und schließen

zenon Analyzer > Reportvorlagen > Reportdefinition speichern und schließen

Reports können vom Anwender als Reportdefinitionen gespeichert werden. Wird eine Reportdefinition, die geändert wurde, manuell oder automatisch geschlossen oder wird ZAMS beendet, dann wird der Anwender zum Speichern der Reportdefinition aufgefordert.

Um einen Report als Reportdefinition zu speichern:

  1. Wählen Sie im Menü Datei oder in der Schnellzugriffsleiste den Eintrag Reportdefinition speichern.
    • Wurde der Report noch nie gespeichert, wird der Dialog zur Auswahl eines Speicherorts geöffnet.
    • Wurde der Report unter diesem Namen bereits gespeichert, wird die vorhandene Datei überschrieben.
  2. Vergeben Sie einen Namen.
  3. Klicken Sie auf OK.

Hinweis: Die Statusmeldung zum erfolgreichen Speichern im Ausgabefenster besagt nur, dass der Vorgang fehlerlos abgelaufen ist, aber nicht, dass Änderungen gespeichert wurden. Wurden Änderungen nicht gespeichert wird eine Warnung ausgegeben und der Asterisk neben dem Reportnamen in der Registerkarte bleibt bestehen. Wurden Änderungen gespeichert, wird eine Nachricht ausgegeben.

info Info

Folgende Elemente werden beim Speichern eines Reports immer ohne Nachfrage überschrieben:

  • *.zams_rep Dateien auf der Festplatte
  • SQL Elemente in der Datenbank

Speichern unter neuem Namen

Um geänderte Reports unter neuem Namen zu speichern, wählen Sie den Befehl Reportdefinition speichern als. Dateien von anderen in ZAMS geöffneten Reportdefinitionen können nicht überschrieben werden.

Alle offenen Reports speichern

Um alle offenen Reports zu speichern, wählen Sie den Befehl Alle Reportdefinitionen speichern. Existiert bereits ein Report mit gleichem Namen, wird dieser abhängig von der Konfiguration der Optionen nicht gespeichert, überschrieben oder nach Bestätigung überschrieben. Es werden nur Dateien neu gespeichert, wenn tatsächlich Änderungen vorhanden sind.

Aktionen beim Speichern aller Reports:

  • Es wird überprüft, ob jeder Report einen gültigen Speicherpfad hat.
    Wird bei fehlenden Pfaden die Auswahl eines gültigen Pfades abgebrochen, dann wird auch das Speichern abgebrochen.
  • Mögliche Kollisionen werden erkannt.
    Kollisionen führen zum Abbruch des Speicherns.
  • Alle nötigen Bestätigungen zum Überschreiben vorhandener Dateien oder Einträge werden in einem gemeinsamen Dialog eingeholt.
    Bei erteilter Bestätigung wird gespeichert, sonst wird der Vorgang abgebrochen.

Report beim Speichern überschreiben

Soll ein bestehender Report überschrieben werden, wird bei Standard-Konfiguration der Einstellungen, ein Dialog zum Bestätigten geöffnet.

Option

Beschreibung

Liste der Reports

Zeigt alle Reports, die beim Speichern überschrieben werden, an.

  • Haken in Checkbox gibt Report zum Überschreiben frei.
  • Leere Checkbox verhindert Überschreiben.

Alle auswählen

Wählt alle angezeigten Reports zum Überschreiben aus.

Auswahl aufheben

Verhindert für alle angezeigten Reports das Überschreiben.

OK

Übernimmt Einstellungen, führt definierte Aktionen (überschreiben/nicht überschreiben) aus und schließt Dialog.

Abbrechen

Verwirft Einstellungen und schließt Dialog.

Reportdefinition schließen

Um eine Reportdefinition zu schließen:

  1. Wählen Sie im Menü Datei den Befehl Reportdefinition schließen, klicken Sie auf das X in der Registerkarte oder benutzen Sie die Tastenkombination: Strg+F4.
  2. Wurde die Reportdefinition verändert und noch nicht gespeichert, wird der Dialog zum Speichern geöffnet.
    • Wird dieser Dialog abgebrochen, wird die Reportdefinition nicht geschlossen.
    • Wird der Dialog mit OK bestätigt, wird die Reportdefinition entsprechend den Vorgaben geschlossen und aus der Reportbereich entfernt.

Hinweis: Mit den Tastenkombinationen können nur Reportfenster geschlossen werden. Das Startfenster kann nur über Klick auf die Schaltfäche X geschlossen werden.

Alle Reportdefinitionen schließen

Um alle Reportdefinitionen zu schließen:

  1. Wählen Sie im Menü Datei den Befehl Alle Reportdefinitionen schließen oder benutzen Sie die Tastenkombination: Strg+Umschalt+F4.
  2. Nicht veränderte Reportdefinitionen werden geschlossen.
  3. Für Reportdefinitionen, die verändert und noch nicht gespeichert wurden, wird der Dialog zum Speichern geöffnet.
    • Wird dieser Dialog abgebrochen, werden die Reportdefinitionen nicht geschlossen.
    • Wird der Dialog mit OK bestätigt, werden die Reportdefinitionen entsprechend den Vorgaben geschlossen und aus der Reportbereich entfernt.


Gespeicherten Reportdefinition öffnen

zenon Analyzer > Reportvorlagen > Gespeicherten Reportdefinition öffnen

Reportdefinitionen werden als *.zams_rep Datei gespeichert. Diese Datei kann im ZAMS geöffnet und bearbeitet werden.

Um eine Datei vom Typ *.zams_rep zu öffnen:

  1. Klicken Sie im Menü Datei auf Reportdefinition öffnen.
    Oder wählen Sie auf der Startseite Reportdefinition öffnen.

    Der Dateibrowser wird geöffnet.

  2. Wählern Sie die gewünschte Datei und öffnen Sie diese mit Klick auf OK.

Hinweis: Sie können die *.zams_rep Datei auch mit einem Doppelklick im Dateibrowser öffnen.

Beim Öffnen mehrere Reports wird während des Öffnens eine Fortschrittsanzeige angezeigt. Soll ein bereits geöffneter Report erneut geöffnet werden, wird dieser Report nicht erneut geöffnet. Stattdessen wird die entsprechende Registerkarte in den Vordergrund geschalten und eine entsprechende Meldung im Ausgabefenster angezeigt. Bei der Überprüfung des Reports wird Groß-/Kleinschreibung nicht berücksichtigt.

Beim Öffnen gilt:

  • Niedrigere Versionen als die aktuelle können geöffnet werden.
    Dabei wird eine Warnung angezeigt.
  • Höhere Versionen können nicht geöffnet werden.

Es werden immer nur Hauptversionen (3) und Unterversionen (3.00) überprüft. Service Packages und Builds werden ignoriert.

Liste der zuletzt geöffneten Reportdefinitionen

Je nach den Einstellungen werden auf der Startseite und im Menü Datei die zuletzt geöffneten Reportdefinitionen in einer Liste angeboten. Die Reportdefinitionen werden nach ihrem Bearbeitungsdatum absteigend gelistet. In der Liste werden auch die aktuell geöffneten Reportdefinitionen angezeigt. Der Versuch, einen bereits geöffneten Report auszuwählen wird mit einer Fehlermeldung abgebrochen. Der entsprechende Report wird dann im Hauptfenster aktiviert. Wird eine Reportdefinition gewählt, die im Speicherpfad nicht mehr vorhanden ist, dann wird angeboten, die Reportvorlage aus der Liste zu löschen.

Die Einträge in der Liste werden aktualisiert, wenn:

  • eine Verbindung zu einer Analyzer Datenbank hergestellt wird
  • eine Reportdefinition von der Festplatte geöffnet wird
  • eine geänderte Reportdefinition auf der Festplatte gespeichert wird
  • die Anzahl, der anzuzeigenden Reportdefinitionen geändert wird

Die Zahl der angebotenen Reportdefinitionen wird in den Einstellungen festgelegt:

  • Minimum: 0 (es wird kein Report angezeigt)
  • Maximum: 255
    Wird durch einen hinzukommenden Report das erlaubte Maximum überschritten, dann wird der älteste Eintrag gelöscht.

Default: 3

Liste bearbeiten oder löschen

Die Liste der zuletzt geänderten Reportdefinitionen kann bearbeitet werden:

Einzelne Reportdefinitionen aus der Liste entfernen:

  1. Öffnen Sie die Startseite.
  2. Klicken Sie in der Liste auf die Schaltlfläche x neben dem gewünschten Eintrag.

    Der Eintrag wird entfernt.

Das Löschen eines Eintrags wird automatisch angeboten, wenn eine Reportdefintion der Liste zum Öffnen gewählt wird und diese im Speicherpfad nicht mehr vorhanden ist.

Liste löschen:

  1. Öffnen Sie die Einstellungen.
  2. Klicken Sie in der Registerkarte Verbindungsprofile auf die Schaltfläche Liste für aktuelles Verbindungsprofil löschen.

    Die komplette Liste wird nach einer Sicherheitsabfrage gelöscht.

Schreibgeschützte Reportdefinition öffnen

Reportdateien, die mit einem Schreibschutz versehen sind, können geöffnet werden. Für diese Reportdefinition wird in der Registerkarte neben dem Namen der Hinweis (schreibgeschützt) und eine entsprechende Meldung im Ausgabefenster angezeigt. Änderungen an den Reporteinstellungen können nur in einer neuen Reportdatei gespeichert werden. Das Symbol und der Befehl Speichern stehen nicht zur Verfügung.


Report konfigurieren

zenon Analyzer > Reportvorlagen > Report konfigurieren

Für die Report-Konfiguration wird empfohlen, mit den übergreifenden Konfigurationen zu beginnen und zu den Details.
Empfohlene Vorgangsweise:

  1. Wählen Sie die gewünschten Reportvorlagen aus.
  2. Bei mehreren Reportvorlagen: Wählen Sie die zu verknüpfende Report-Einstellungen und verknüpfen Sie diese.
  3. Konfigurieren Sie die Report-Einstellungen.
    Empfehlung: Konfigurieren Sie die Report-Einstellungen in der Reihenfolge, wie sie im Report angeboten werden.
  4. Konfigurieren Sie das grafische Erscheinungsbild.

Tipp: Sie können Konfigurationsschritte über die entsprechenden Schaltflächen rückgängig machen oder wiederherstellen.

Mehrere Reportvorlagen kombinieren

In einen Report können mehrere Hauptdatasets eingefügt werden. Entweder durch einen Report, der bereits mehrere enthält, oder durch die Auswahl mehrerer Reportvorlagen für einen Report. In diesem Fall werden im Bereich der Report-Einstellungen auch alle Einstellungen dieser Hauptdatasets angezeigt. Gemeinsamkeiten der zusammengehörige Einstellungen werden gruppiert angezeigt.

Beispiel:

Spalte | Inhalt
Spalte 1 | Report-Einstellungen
Spalte 2 | Hauptdataset 1
Spalte 3 | Hauptdataset 2
Spalte 4: | Möglichkeit, ein weiteres Dataset einzufügen.

Die Zugehörigkeit der jeweiligen Report-Einstellungen zu einem Hauptdataset wird durch Linien angezeigt:

  • Durchgezogene Linie: Die Report-Einstellung in dieser Zeile ist dem Hauptdataset in der jeweiligen Spalte zugeordnet.
  • Strichlierte Line: Die Report-Einstellung in dieser Zeile ist einem anderen Hauptdataset zugeordnet. Sie kann aber auch diesem zugeordnet werden. Gruppierung oder Substitution sind möglich.
  • Keine Linie: Die Report-Einstellung in dieser Zeile ist einem anderen Hauptdataset zugeordnet. Sie kann diesem Hauptdataset auch nicht zugeordnet werden. Gruppierung oder Substitution sind nicht möglich.

    Im Beispiel ist der obere Variablenfilter dem Hauptdataset 1 zugeordnet und der untere Variablenfilter dem Hauptdataset 2.

Gruppierbare Report-Einstellungen können zusammengefasst werden. Deren Konfiguration gilt dann für alle Hauptdatasets, für die sie zusammengefasst wurden. Das ermöglicht die Verknüpfung mehrerer Reportvorlagen.

Um Report-Einstellungen zu verknüpfen:

  • Klicken Sie auf das Symbol zum Verknüpfen zwischen Spalte 1 und Spalte 2.
    Oder:
  • Ziehen Sie eine durchgezogene Linie mit der Maus auf eine strichlierte Linie.

Regeln für Gruppierung

Beim Gruppieren gilt:

  • Gruppierungen und Auflösungen können jederzeit gemacht werden.
  • Beim Gruppieren werden alle von der zu gruppierenden Einstellung benötigten Einstellungen ebenfalls gruppiert.
    • Variablen gruppieren auch Projekte. Projekte gruppieren Variablen nicht.
    • Die Einstellungen der Gruppe, die mit einer anderen verknüpft wird, ersetzen deren Einstellungen.
  • Gruppierungen können über das Symbol zum Aufheben der Gruppierung wieder aufgelöst werden.
    • Beim Auflösen einer Gruppierung werden alle Einstellungen, welche die aufzulösende Einstellung benötigen, ebenfalls aufgelöst.
      Variablen auflösen, löst Projekte nicht auf. Projekte auflösen, löst Variablen auf.

Beim Auflösen einer Gruppierung erhält die erste Report-Einstellung der Gruppe die konfigurierten Einstellungen. Alle anderen werden mit den Default-Einstellungen versehen.

Beispiele

Einfache Gruppierung

Im folgenden Screenshot sind Archivkomprimierung und Connector gruppiert. Deren Einstellungen gelten damit für beide Hauptdatasets.

Abhängige Gruppierungen

Im folgenden Screenshot wurde nur der Variablenfilter (ganz oben) gruppiert. Alle weiteren Gruppierungen erfolgten automatisch.

Noch in diesem Kapitel

Rückgängig - Wiederherstellen


Rückgängig - Wiederherstellen

zenon Analyzer > Reportvorlagen > Report konfigurieren > Rückgängig - Wiederherstellen

Beim Editieren von Reportvorlagen können Aktionen rückgängig gemacht und auch wiederhergestellt werden. Dafür stehen die Schaltflächen Rückgängig und Wiederherstellen im Ribbon Design und in der Leiste Schnellzugriff zur Verfügung. Es können nur Schritte in der Reportkonfiguration rückgängig gemacht oder wiederhergestellt werden. Aktionen in Dialogen werden nicht erfasst.

Die beiden Schaltflächen enthalten Dropdownlisten mit der Anzahl der Schritte. Die Schritte werden nicht benannt, sondern in 10er-Potenzen gruppiert. Also Schritte 1 - 10, 20 - 100, 200 - 1000 usw.

Hinweis: Bei Verwendung von Rückgängig - Wiederherstellen verliert die aktuelle Auswahl in der Reportkonfiguration den Fokus.

Aktion rückgängig machen

Letzte Aktion rückgängig machen

Um die letzte Aktion rückgängig zu machen, klicken Sie auf das Symbol für Rückgängig.

Mehrere Aktionen rückgängig machen

Um mehrere Aktionen rückgängig zu machen:

  1. Klicken Sie auf den Pfeil neben oder unter dem Symbol für Rückgängig.

    Die Dropdownliste wird geöffnet. Die Anzahl der möglichen Schritte wird in 10er-Potenzen angezeigt.

  2. Klicken Sie auf die gewünschte Zahl.

    Die entsprechende Anzahl der Schritte wird rückgängig gemacht.
    Die Dropdownliste bleibt dabei für weitere Schritte geöffnet.

  3. Wiederholen Sie, wenn nötig, diesen Schritt.
  4. Schließen Sie die Dropdownliste durch Klick auf den Pfeil.

Schritte, die rückgängig gemacht wurden, stehen sofort in der Dropdownliste für Wiederherstellen zur Verfügung.
Wird eine neue Aktion in der Reportkonfiguration gesetzt, wird die Dropdownliste für Wiederherstellen auf Null gesetzt.

Beispiel
Sie möchten 36 Aktionen rückgängig machen:

  1. Öffnen Sie die Dropdownliste.
  2. Klicken Sie auf 30.
  3. Klicken Sie auf 6.
  4. Schließen Sie die Dropdownliste.

Wiederherstellen

Die Schaltfläche für Wiederherstellen steht nur zur Verfügung, wenn:

  • davor mindestens 1 Schritt rückgängig gemacht wurde
  • seit dem rückgängig Machen keine Aktion in der Reportkonfiguration vorgenommen wurde

Letzten Rückgängig-Schritt wiederherstellen

Um die zuletzt rückgängig gemachte Aktion wiederherzustellen, klicken Sie auf das Symbol für Wiederherstellen.

Mehrere Aktionen wiederherstellen

Um mehrere rückgängig gemachte Aktionen wiederherzustellen:

  1. Klicken Sie auf den Pfeil neben oder unter dem Symbol für Wiederherstellen.

    Die Dropdownliste wird geöffnet. Die Anzahl der möglichen Schritte wird in 10er-Potenzen angezeigt.

  2. Klicken Sie auf die gewünschte Zahl.

    Die entsprechende Anzahl der Schritte wird wiederhergestellt.
    Die Dropdownliste bleibt dabei für weitere Schritte geöffnet.

  3. Wiederholen Sie, wenn nötig, diesen Schritt.
  4. Schließen Sie die Dropdownliste durch Klick auf den Pfeil.

Beispiel
Sie möchten 236 Aktionen wiederherstellen:

  1. Öffnen Sie die Dropdownliste.
  2. Klicken Sie auf 200.
  3. Klicken Sie auf 30.
  4. Klicken Sie auf 6.
  5. Schließen Sie die Dropdownliste.


Report bereitstellen

zenon Analyzer > Reportvorlagen > Report bereitstellen

Damit ein Report bereitgestellt werden kann, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen.
Hinweise:

  • Bei der Überprüfung der Pfade wird Groß-/Kleinschreibung nicht berücksichtigt.
  • Beim Bereitstellen von Reports werden im ZAMS Aktionen, die das Bereitstellen beeinflussen können, deaktiviert.

Um einen Report für den Report Launcher bereitzustellen:

  1. Klicken Sie im Ribbon Report in der Gruppe Report auf Bereitstellen.
  2. Speichern Sie bei Bedarf die Reportdefinition.
  3. Wählen Sie im Dialog zum Überschreiben der Elemente, welche Elemente überschrieben werden dürfen.
  4. Der Report wird erstellt.

    Meldungen zum Erfolg und zu Problemen werden im Ausgabefenster angezeigt.

Hinweis: Überprüfen Sie bei Bedarf die Einstellungen für die Sprachen, in denen Reports bereitgestellt werden und die Einstellungen für das Speichern von Reports und Reportdefinitionen beim Bereitstellen.

Mehrsprachige Reports bereitstellen

Um mehrsprachige Reports bereitzustellen:

  1. Konfigurieren Sie in den Einstellungen die benötigten Sprachen.
  2. Stellen Sie den Report oder die Reports bereit.

Fortschrittsanzeige in der Statuszeile

Beim Bereitstellen aller Reports wird der Ablauf über die Fortschrittsanzeige in der Statuszeile angezeigt. Dabei initialisiert jeder der folgenden Schritte die Fortschrittsanzeige und füllt sie im Verlauf vollständig auf:

  • Schritt 1: Validierung der Reports.
  • Schritt 2: Speichern der Reports (wenn keine Reports gespeichert werden sollen, wird das übersprungen).
  • Schritt 3: Erzeugen der SPs und UDFs.
  • Schritt 4: Erzeugen der RDL Dateien am Server.

Reports nutzen und Aktionen in ZAMS ausführen

Empfehlung: Führen Sie keine Reports aus, während mit dem ZAMS Aktionen ausgeführt werden, die Reports betreffen. Vor allem, wenn das ZAMS:

  • Reports bereitstellt
  • die Connector-Funktionen in der Datenbank aktualisiert
  • den SQL-Connector erstellt


Reports in Microsoft Report Builder öffnen

zenon Analyzer > Reportvorlagen > Reports in Microsoft Report Builder öffnen

Reports können im Microsoft Report Builder geöffnet und bearbeitet werden. Damit der Report Builder gestartet und Reports damit bearbeitet werden können, muss eine Verbindung zu einem Analyzer Server mit einer gültigen Lizenz bestehen. Der Microsoft Report Builder muss bereits am System vorhanden sein.

Report Builder starten

Um den Report Builder zu starten:

  1. Wählen Sie im Ribbon Report im Bereich Report Builder den Befehl Start.
    • Der Report Builder wird gestartet.

Report im Report Builder öffnen

Um den im Reportfenster aktiven Report im Report Builder zu öffnen:

  1. Wählen Sie im Ribbon Report im Bereich Report Builder den Befehl Report öffnen.
    • Der Report Builder wird gestartet.
    • Der Report wird im Report Builder geöffnet.

Hinweis: Ist der Report Builder nicht in der Lage, den Report vom übergebenen Pfad zu öffnen, so führt das im ZAMS zu keiner Fehlermeldung. Der Fehler wird im Report Builder gemeldet.

Alle Reports im Report Builder öffnen

Um alle geladenen Reports im Report Builder zu öffnen:

  1. Wählen Sie im Ribbon Report im Bereich Report Builder den Befehl Alle öffnen.
    • Der Report Builder wird gestartet.
    • Die Reports werden im Report Builder geöffnet.
    • Die Fortschrittsanzeige in der Statusleiste informiert über den Fortschritt des Öffnens.

Hinweis: Ist der Report Builder nicht in der Lage, einen Report vom übergebenen Pfad zu öffnen, so führt das im ZAMS zu keiner Fehlermeldung. Der Fehler wird im Report Builder gemeldet.


Grafische Konfiguration

zenon Analyzer > Reportvorlagen > Grafische Konfiguration

Im Designbereich der Reportseite werden Elemente positioniert und konfiguriert. Die Ansicht der Konfiguration gibt schematisch die Darstellung im Report Launcher wieder, entspricht ihr aber nicht in Details.

Element

Beschreibung

Werkzeugleiste

Enthält Symbole für allgemeine Einstellungen:

  • Rastergröße:
    Auswahl der Rastergröße aus Dropdownliste.
  • Breite:
    Eingabe der Breite des Reports.
  • Höhe:
    Eingabe der Höhe des Reports.
  • Reportname anzeigen:
    Schaltet die Anzeige des Reportnamens um.
  • Parameterbereich anzeigen:
    Schaltet die Anzeige des Parameterbereichs um.

Titel

Anzeige des Report-Titels. Die Konfiguration des Titels erfolgt über die Eigenschaften des Titels.

Parameterbereich

Konfiguration der Report-Parameter.

Reportelemente

Bereich für Tabellen und Grafiken.

Weitere Details lesen Sie im Abschnitt Grafische Konfiguration im Design-Bereich.

Konfiguration

Für die Konfiguration wird empfohlen:

  1. Konfigurieren Sie zuerst die Report-Einstellungen.
  2. Wählen Sie in der Werkzeugleiste des Designbereichs die gewünschten Eigenschaften:
    1. Stellen Sie die gewünschte Rastergröße ein.
      Diese wird nur auf Report-Elemente angewandt. Auf Reportparameter hat sie keinen Einfluss.
    2. Wählen Sie die Reportbreite und/oder die Reporthöhe.
    3. Wählen Sie, ob Reportname und/oder Parameterbereich angezeigt werden.
  3. Konfigurieren Sie die Position des Reportnamens.
  4. Konfigurieren Sie die gewünschte Zahl von Spalten, Zeilen und die Zellenbreite für die Reportparameter.
    Dazu klicken Sie in den Bereich. Dieser wird dann mit grauem Hintergrund angzeigt.
  5. Konfigurieren Sie die Reportparameter.
  6. Konfigurieren Sie die Tabellen und Grafiken im Bereich der Report-Elemente.

Hinweis: Ein Report kann nur bereitgestellt werden, wenn in der grafischen Konfiguration zumindest ein Parameter (Titel, Parameterbereich oder grafisches Element) vorhanden und konfiguriert ist.

Reportelemente

Unterhalb des Parameterausgabebereichs werden die Reportelemente positioniert.

Die Höhe des Reports kann durch einen ziehbaren Balken am unteren Rand verändert werden. Dieser wächst automatisch mit, wenn Elemente an den unteren Rand geschoben werden. Nach oben hin kann die Höhe nur verringert werden, solange der untere Rand nicht an ein Reportelementen anstößt. Der Standard-Abstand für Reportelemente entspricht einer Rastereinheit.

Folgende Elemente stehen zur Verfügung:

  • Tabellen
  • Diagramme

Noch in diesem Kapitel

Reportname

Einstellungen Reportausgabe

Parameteranzeige

Tabellen

Diagramme


Reportname

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Reportname

Einstellungen für den Reportnamen.
Konfiguriert wird die Positionierung im Report. Der Reportname wird nur angezeigt. Die Konfiguration des Namens erfolgt in den Eigenschaften der Report-Einstellungen.

Konfiguration

Um die Anzeige des Namens zu konfigurieren:

  1. Klicken Sie auf den Namen in der Kopfzeile der Reportvorlage.

    Die Eigenschaften für den Reportnamen werden im Eigenschaftenfenster angezeigt.

  2. Konfigurieren Sie die Positionierung.

Eigenschaften Reportname

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft

Beschreibung

Links

Abstand vom linken Rand in Millimeter.

  • Minimum: 1 mm
  • Maximum: Breite minus 1 mm

Standard: 1 mm

Oben

Abstand vom oberen Rand in Millimeter.

  • Minimum: 1 mm

Standard: 1 mm

Rechts

Abstand vom rechten Rand in Millimeter.

  • Minimum: 1 mm
  • Maximum: Breite minus 1 mm

Standard: 1 mm

Unten

Abstand zum nächsten Element in Millimeter.

  • Minimum: 0 mm

Standard: 0 mm


Einstellungen Reportausgabe

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Einstellungen Reportausgabe

Für jeden Report können Größe, Ränder, Vorlagen und Stile für Druck und Browser individuell konfiguriert werden:

  • Einstellungen für RDL-Vorlagen und Reportstile wirken sich auf die Darstellung im Ausdruck und im Browser aus.
  • Die Größe kann für Ausdruck und Browser unterschiedlich eingestellt werden.
  • Seitenränder wirken sich nur auf Ausdrucke aus.

Um die Darstellung anzupassen:

  1. Klicken Sie auf eine freie Stelle des Design-Bereichs.

    Die Eigenschaften für den Report werden angezeigt.

  2. Konfigurieren Sie diese Eigenschaften.

Eigenschaften Reporteinstellungen

Allgemein

Eigenschaften für RDL und Reportstil. Diese können einem Report direkt zugeordnet werden. Wird ein zugeordnetes Element gelöscht, dann werden dir konfigurierten Werte durch die Default-Einstellungen ersetzt.

Eigenschaft | Beschreibung
RDL-Vorlage | Auswahl der Vorlage für das RDL aus Dropdownliste. Default: Aktive Vorlage oder, wenn nicht verfügbar, DefaultTemplate
Reportstil | Auswahl des Stils für diesen Report aus Dropdownliste. Diese enthält alle bei den Reportstilen definierten Stile. Default: Aktiver Stil oder, wenn nicht verfügbar, Analyzer Initial

Layout

Eigenschaften für das Seitenlayout.

Eigenschaft

Beschreibung

Rastergröße

Einstellung der Rastergröße. Alle im Report vorhandenen Elemente werden an diesem Raster ausgerichtet.

  • Minimum: 1 mm
  • Maximum: 10 mm

Default: 1 mm

Das Raster wird im Hintergrund des Reports angezeigt. Reportelemente können nur in diesem Raster positioniert werden.

Ausnahmen: Reportparameter sowie Elemente innerhalb der Elemente (wie Parameterausgabebereich und Tabellenspalten).

Wird die Rastergröße geändert, werden alle bereits konfigurierten Reportelemente an die neue Rastergröße angepasst. Dabei wird eventuell auch die Reportbreite vergrößert.

Breite

Einstellung der Reportbreite des Bereichs in Millimeter.

  • Minimum: 45 mm und abhängig vom Inhalt
  • Maximum: 10000 mm

Default: 200 mm

Die Breite kann nur über den Wert dieser Eigenschaft verändert werden. Werden Elemente an den Rand gezogen, hat das keine Auswirkung auf die Breite.

Die Breite wird eventuell automatisch angepasst, wenn:

  • die Rastergröße erhöht wird

Reportelemente zu groß für die konfigurietre Breite sind, zum Beispiel, wenn Tabellenspalten hinzugefügt werden und die Tabelle bereits den vorkonfigurierten Rand erreicht hat

Höhe

Einstellung der Reporthöhe des Bereichs in Millimeter.

  • Minimum: 3 x Rastergröße
  • Maximum: 10000 mm

Default: 200 mm

Die Höhe kann nur über den Wert dieser Eigenschaft verändert werden. Werden Elemente an den Rand gezogen, hat das keine Auswirkung auf die Höhe.

Die Höhe wird eventuell automatisch angepasst, wenn:

  • die Rastergröße erhöht wird

Tabellenzeilen hinzugefügt werden und die Tabelle bereits den vorkonfigurierten Rand erreicht hat

Reportname anzeigen

Einstellung, ob der Reportname im Kopfbereich des Reports angezeigt wird.

Default: aktiv

Parameterbereich anzeigen

Einstellung, ob die Reportparameter im Kopfbereich des Reports angezeigt werden.

Default: aktiv

Seitengröße

Eigenschaften der Seiteneinstellungen für das Druckformat.

Eigenschaft

Beschreibung

Format

Konfiguration des Seitenformats. Auswahl aus Dropdownliste:

  • Benutzerdefiniert
  • DIN A1
  • DIN A2
  • DIN A3
  • DIN A4
  • DIN A5
  • Extra
  • Tabloid (Ledger)
  • Legal
  • Letter (US-Standard)
  • Executive

Default: DIN A4

Änderungen wirken sich aus auf:

  • Seitenbreite und Seitenhöhe
  • Seitenformat, Seitenbreite und Seitenhöhe für Interaktive Größe, wenn die Eigenschaft Seitengröße verwenden aktiviert ist

Ausrichtung

Ausrichtung der Seite. Auswahl aus Dropdownliste:

  • Hochformat
  • Querformat

Default: Hochformat

Nicht bearbeitbar, wenn für Format Benutzerdefiniert gewählt wurde.

Änderungen wirken sich aus auf:

  • Seitenbreite und Seitenhöhe
  • Ausrichtung, Seitenbreite und Seitenhöhe für Interaktive Größe, wenn die Eigenschaft Seitengröße verwenden aktiviert ist

Breite

Einstellung der Seitenbreite in Millimeter.

  • Minimum: 0,1mm
  • Maximum: 10000 mm

Default: 210 mm (von A4 Hochformat)

Nur bearbeitbar, wenn für Format Benutzerdefiniert gewählt wurde.

Höhe

Einstellung der Seitenhöhe in Millimeter.

  • Minimum: 0,1mm
  • Maximum: 10000 mm

Default: 297 mm (von A4 Hochformat)

Nur bearbeitbar, wenn für Format Benutzerdefiniert gewählt wurde.

Seitenränder

Eigenschaften der Seitenränder für das Druckformat.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Seitenrand in mm. Default: 20 mm
Links | Abstand zum linken Seitenrand in mm. Default: 20 mm
Unten | Abstand zum unteren Seitenrand in mm. Default: 20 mm
Rechts | Abstand zum rechten Seitenrand in mm. Default: 20 mm

Interaktive Größe

Eigenschaften der Seiteneinstellungen für die Reportanzeige im Browser.

Eigenschaft

Beschreibung

Seitengröße verwenden

Auswahl, ob die Seitengröße des Druckformats für die Anzeige im Browser verwendet werden soll.

  • Aktiv: Druckformat wird für Browseranzeige verwendet.
  • Inaktiv: Browseranzeige wird individuell konfiguriert.

Default: aktiv

Format

Konfiguration des Seitenformats. Auswahl aus Dropdownliste:

  • Benutzerdefiniert
  • DIN A1
  • DIN A2
  • DIN A3
  • DIN A4
  • DIN A5
  • Extra
  • Tabloid (Ledger)
  • Legal
  • Letter (US-Standard)
  • Executive

Default: DIN A4

Nur bearbeitbar, wenn die Eigenschaft Seitengröße verwenden nicht aktiviert ist.

Ausrichtung

Ausrichtung der Seite. Auswahl aus Dropdownliste:

  • Hochformat
  • Querformat

Default: Hochformat

Änderungen wirken sich aus auf Seitenbreite und Seitenhöhe.

Nur bearbeitbar, wenn die Eigenschaft Seitengröße verwenden nicht aktiviert ist und für Format Benutzerdefiniert gewählt wurde.

Breite

Einstellung der Seitenbreite in Millimeter.

  • Minimum: 0,1mm
  • Maximum: 10000 mm

Default: 210 mm (von A4 Hochformat)

Nur bearbeitbar, wenn die Eigenschaft Seitengröße verwenden nicht aktiviert ist und für Format Benutzerdefiniert gewählt wurde.

Höhe

Einstellung der Seitenhöhe in Millimeter.

  • Minimum: 0,1mm
  • Maximum: 10000 mm

Default: 297 mm (von A4 Hochformat)

Nur bearbeitbar, wenn die Eigenschaft Seitengröße verwenden nicht aktiviert ist und für Format Benutzerdefiniert gewählt wurde.


Parameteranzeige

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Parameteranzeige

Konfiguration der Anzeige der Parameter-Elemente, die bei der Reportausführung im Report Launcher angeboten werden.
Sie können konfigurieren:

  • Anzahl der Elemente über Auswahl der Spalten und Zeilen.
  • Abstände zu den Rändern und den anderen Elementen.
  • Die Zellenbreite.
  • Inhalte, die im Report Launcher angezeigt werden.

Hinweis: Zusammengeführte Zellen, die über 2 oder mehr Spalten reichen, müssen vollständig konfiguriert werden. Anderenfalls kann der Report nicht als gültig validiert werden.

Konfiguration

Um die Parameteranzeige zu konfigurieren:

  1. Aktivieren Sie, wenn nötig, in der Werkzeugleiste die Eigenschaft Parameterbereich anzeigen.
  2. Klicken Sie auf eine leere Stelle neben das bereits vorhandene Parameter-Element.

    Die Eigenschaften für den Parameterbereich werden im Eigenschaftenfenster angezeigt.

  3. Konfigurieren Sie bei Bedarf die Abstände zur Positionierung.
  4. Wählen Sie die Anzahl der Spalten und Zeilen.
    Für jede Zelle wird ein Parameter-Element erstellt. Die Namen der Elemente werden automatisch generiert und können nicht konfiguriert werden.
  5. Wählen Sie die Zellenbreite.
  6. Klicken Sie auf ein Parameter-Element.

    Die Eigenschaften für den Parameter werden im Eigenschaftenfenster angezeigt.

  7. Wählen Sie in der Dropdownliste für Filter das gewünschte Element.
  8. Konfigurieren Sie den Filter über die Eigenschaft Zellenelement. Die Konfigurationsmöglchkeiten hängen vom gewählten Filter ab.

Noch in diesem Kapitel

Allgemeine Eigenschaften Parameterbereich

Parameter konfigurieren


Allgemeine Eigenschaften Parameterbereich

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Parameteranzeige > Allgemeine Eigenschaften Parameterbereich

Die Anzahl und Anordnung der Parameter werden über die Eigenschaften des Parameterbereichs festgelegt.

Konfiguration

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Spaltenanzahl

Eingabe der Anzahl der Spalten.

  • Minimum: 1 oder Anzahl der bereits konfigurierten Spalten.
  • Maximum: 30 oder Begrenzung durch verfügbaren Platz.

Default: 1

Zeilenanzahl

Eingabe der Anzahl der Zeilen.

  • Minimum: 1 oder Anzahl der bereits konfigurierten Zeilen.
  • Maximum: 30 oder Begrenzung durch verfügbaren Platz.

Default: 1

Zeilenbreite

Einstellung der Zeilenbreite in Millimeter.

  • Minimum: 35 mm
  • Maximum: abhängig vom verfügbaren Platz

Default: 35 mm

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft

Beschreibung

Oben

Abstand zum oberen Element oder vom oberen Rand in Millimeter.

  • Minimum: 1 mm

Standard: 1 mm

Links

Abstand vom linken Rand in Millimeter.

  • Minimum: 1 mm
  • Maximum: Breite minus 1 mm

Standard: 1 mm

Rechts

Abstand vom rechten Rand in Millimeter.

  • Minimum: 1 mm
  • Maximum: Breite minus 1 mm

Standard: 1 mm

Unten

Abstand zum nächsten Element in Millimeter.

  • Minimum: 0 mm

Standard: 0 mm


Parameter konfigurieren

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Parameteranzeige > Parameter konfigurieren

Den im Parameterbereich konfigurierten Elementen kann jeweils einer von mehreren Filtern zugewiesen werden:

  • Reportparameter/Report-Einstellung
  • Zeitfilter
  • Informations-Hauptdataset

Dieser wird im Report Launcher zur Konfiguration eines Reports angeboten.

Konfiguration

Um einem Element einen Filter zuzuweisen:

  1. Klicken Sie auf das Element im Parameterbereich.
  2. Wählen Sie in den Eigenschaften für Filter einen Inhalt aus der Dropdownliste.

    • Keine: Es wird kein Filter konfiguriert.
    • Reportparameter: Ein Reportparameter wird zur Konfiguration ausgewählt. Die mögliche Auswahl hängt vom zu konfigurierenden Report ab.
    • Zeitfilter: Ein Zeitfilter wird zur Konfiguration ausgewählt.
    • Informations-Hauptdataset: Eine Spalte eines Hauptdatasets wird ausgewählt.
  3. Legen Sie den Wert für Zellenelement im Filter fest.

    Es stehen alle in der Report-Vorlage vorhandenen Parameter-Einstellungen zur Verfügung, die in den Parameterausgabebereich schreiben können.

Kennzeichnung Filter in der grafischen Konfiguration

im Parameterbereich werden die Filter farblich gekennzeichnet angezeigt:

  • Orange: Zeitfilter
  • Blau: Reportparameter oder Report-Einstellung
  • Violett: Spalte eines Informations-Hauptdataset
  • Grau: kein Filter konfiguriert

Noch in diesem Kapitel

Reportparameter

Zeitfilter

Informations-Hauptdataset


Reportparameter

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Parameteranzeige > Parameter konfigurieren > Reportparameter

Um einem Element einen Reportparameter zuzuweisen:

  1. Wählen Sie für Filter ReportParameter.

  2. Wählen Sie für die Eigenschaft Zellenelement den gewünschten Reportparameter aus der Dropdownliste.
    Welche Parameter ausgewählt werden können, hängt von der Reportvorlage ab.


Zeitfilter

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Parameteranzeige > Parameter konfigurieren > Zeitfilter

Um einem Element einen Zeitfilter zuzuweisen:

  1. Wählen Sie für Filter Zeitfilter.

  2. Wählen Sie für die Eigenschaft Zellenelement aus den Dropdownlisten aus:
    1. einen Zeitfilter
    2. einen Aspekt des gewählten Zeitfilters:

      Von
      Bis
      Zeitraum
      Bezeichnung
      Bezeichneter Zeitraum

    Welche Zeitfilter und Aspekte ausgewählt werden können, hängt davon ab, welche Zeitfilter angelegt und konfiguriert wurden.


Informations-Hauptdataset

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Parameteranzeige > Parameter konfigurieren > Informations-Hauptdataset

Um einem Element eine Spalte einesInformations-Hauptdataset zuzuweisen:

  1. Wählen Sie für Filter Informations-Hauptdataset.

  2. Wählen Sie für die Eigenschaft Zellenelement:
    1. das Hauptdataset
    2. die gewünschte Spalte des Hauptdatasets


Tabellen

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen

Abhängig von den verwendeten Datasets können unterschiedliche Tabellentypen in einem Report verwendet werden. Generell wird unterschieden zwischen:

  • Standardtabellen:
    Das sind vor allem flache Tabellen, gruppierte Tabellen, pivotierte Tabellen.
    Für diese werden die ausgewählten Spalten oder Gruppierungsspalten in der Kopfzeile mit Namen angezeigt.

    Bei flachen Tabellen wird eine weitere leere Zeile als Platzhalter angezeigt. Bei gruppierten und pivotierten Tabellen wird zusätzlich für jeder Gruppierung oder Verdichtungszeile eine weitere Zeile mit … als Platzhalter angezeigt.
  • Indikatortabellen:
    Haben fixe Spalten und eine konfigurierbare Menge von Zeilen (aus einer vorgegebenen Menge). Da Indiktatortabellen unterschiedliche Typen von Werten enthalten, gibt es keine Verdichtungszeile. Spalten und Zeilen können umsortiert werden.

    Bei Indikatortabellen werden alle Zeilen mit Namen dargestellt.

info Info

Wird für ein Hauptdataset die Eigenschaft Zeitbereiche vereinigen aktiviert, können in der Tabellen-Konfiguration aufgesplittete Spalten und Offset-Spalten anstelle der Spalten, aus denen sie hervorgegangen sind, verwendet werden. Das schließt Verdichtung mit ein.

Weitere Informationen finden Sie im Kapitel Zeitbereiche vereinigen.

Verfügbare Tabellen

Abhängig vom Dataset stehen zur Verfügung:

  • Detaillierte Tabelle
  • Effizienzklassenmodell-Tabelle
  • Flache Tabelle
  • Gruppierte Tabelle
  • Gut- und Verlustzeiten-Tabelle
  • Indikator-Tabelle
  • Klassifizierungstabelle für aktuellen Wert
  • Pivotierte Tabelle
  • Verdichtete Tabelle
  • Verdichtungstabelle
  • Verlustzeiten-Tabelle
  • Verteilungstabelle

Tabelle einfügen

Wenn eine Tabelle eingefügt werden kann, ist im Ribbon Design das entsprechende Symbol vorhanden.

Um eine Tabelle einzufügen:

  1. Klicken Sie in der Registerkarte Design auf das Symbol für die gewünschte Tabelle.
  2. Klicken Sie in den Designbereich.

    Der Dialog für die Tabellenkonfiguration wird geöffnet.
    Hinweis: Möchten Sie das Einfügen abbrechen, dann drücken Sie die Esc-Taste oder klicken Sie erneut auf das Symbol für Tabelle.

  3. Konfigurieren Sie:
    1. Dataset:
      Das Dataset muss als erstes Element konfiguriert werden. Ist nur ein mögliches Dataset vorhanden, wird dieses vorausgewählt.
    2. Tabelle:
      Die Tabelle muss im zweiten Schritt gewählt werden. Ist nur eine passende Tabelle verfügbar, wird diese vorausgewählt.
    3. Weitere Eigenschaften wie z. B. Spalten oder Zeilen.
      Welche Elemente konfigurierbar sind und welche verpflichtend konfiguriert werden müssen, hängt ab vom gewählten Dataset und vom Tabellentyp.

    Hinweis: Das Auswählen und/oder nachträgliche Hinzufügen von Spalten kann das dazu führen, dass die Tabellenbreite und die Reportbreite automatisch erweitert werden. In diesem Fall werden im Dialog entsprechende Warnmeldungen angezeigt:

    • Die aktuell ausgewählte Konfiguration verbreitert die Tabelle:
      Diese Warnmeldung wird angezeigt, wenn die gewählte Konfiguration Auswirkungen auf die Tabellenbreite hat.
    • Die aktuell ausgewählte Konfiguration verbreitert den Report, um die gesamte Tabelle darstellen zu können:
      Diese Warnmeldung wird angezeigt, wenn die gewählte Konfiguration Auswirkungen auf die Reportbreite hat.
  4. Klicken Sie auf OK.

    Die Tabelle wird an der Mausposition eingefügt.

  5. Klicken Sie in den Kopf- oder Fußbereich der Tabelle und ziehen Sie sie die Tabelle mit der Maus an die gewünschte Position.
  6. Klicken Sie auf einen der Anfasspunkte und ziehen Sie die Tabelle in die gewünschte Breite und Höhe.

    Beachten Sie dabei:

    • Ist das Raster auf einen Wert größer 1 gestellt, dann erfolgt die Anpassung in Schritten der Rastergröße.

    Alternativ können Sie die Breite und Höhe auch über die Tabellen-Eigenschaften festlegen.

  7. Konfigurieren Sie die Tabelleneigenschaften.

Tipp: Um den Konfigurationsdialog erneut aufzurufen, führen Sie seinen Doppelklick auf die Tabelle aus. Alternativ klicken Sie in der Eigenschaft Tabellenkonfiguration auf die Schaltlfäche ... oder doppelt auf den Eintrag der Eigenschaft.

Hinweis: Tabellen dürfen sich nicht mit anderen Elementen überlappen.

Positionierung

Die Tabelle kann per Maus oder über die Tabelleneigenschaften in der Größe verändert und per Drag&Drop platziert werden.
Dabei gilt:

  • Die Höhe der Tabelle beeinflusst direkt die Zeilenhöhe.
    Hinweis: Die Aktivierung oder Deaktivierung der Eigenschaft Bezeichnung anzeigen verändert die Tabellenhöhe. Die gesamte Tabellenhöhe ergibt sich aus Tabelle plus Bezeichnung.
  • Die Breite der Spalten kann durch Ziehen der Spaltenbegrenzungen der Kopfzeile angepasst werden.
    Mindestbreite: 6 mm
    • Wird die Breite einer Tabelle verändert, dann werden die anderen Spalten proportional angepasst.
    • Wird eine Spalte verbreitert, wenn die Tabelle bereits den rechten Rand erreicht hat, dann werden alle Spalten rechts der verbreiterten Spalte entsprechend verkleinert.

Hinweis: Tabellen dürfen sich nicht mit anderen Elementen überlappen.

Konfiguration

Farben

Tabellen unterstützen die Anzeige eines Farbfelds. Bei Reports des Themas Analyse mit benutzerdefinierten Formeln werden auch die Spaltenköpfe der spaltengruppierten Tabellen in der entsprechenden Farbe eingefärbt.

Sortierung

Tabellen sind in der Regel sortierbar. Ausgenommen sind Tabellen in Effizienzklassenreports und spaltengruppierte Tabellen.

Bei der Vorsortierung einer Tabelle wird unterschieden zwischen:

  • Vordefinierte Sortierung durch speziellen Sortierausdruck:
    Zum Beispiel sind Tabellen in Effizienzklassenreports nach den Effizienzklassen vorsortiert.
  • Vordefinierte Sortierung durch eine definierte Sortierspalte im Hauptdataset:
    Bei dieser Sortierung wird zuerst nach Zeitstempel sortiert, dann innerhalb des jeweiligen Zeitstempels nach der Sortierspalte. Diese Sortierung bestimmt auch die Reihung der Zeilen- bzw. Spaltengruppen bei der Zeilen- und Spaltengruppierung.

Ist keine Sortierung vordefiniert, erfolgt die Default-Sortierung nach Zeitstempel.

Sortierung von zeilengruppierten Spalten

Bei der Sortierung von zeilengruppierten Spalten gilt:

  • Die Sortierung einer Zeilengruppe erfolgt getrennt von der Sortierung von Wertspalten und anderen Zeilengruppen.
  • Die Sortierung der Spalte einer Zeilengruppe wirkt nur innerhalb dieser Zeilengruppe.
    Das Umsortieren einer anderen Spalte ändert diese Sortierung nicht.

Zum Beispiel: Die Alarmgruppe wird aufsteigend sortiert. Innerhalb dieser Gruppierung werden die Alarmursachen aber absteigend sortiert.

Spaltengruppierungen

Spaltengruppierungen in Tabellen sind fix vordefiniert und können nicht verändert werden. Änderungen der Spaltenanordnung haben in spaltengruppierten Tabellen keinen Einfluss auf den Report, da die Zeitstempel immer als Zeilengruppe ausgegeben werden.

Textausrichtung

Die Ausrichtung der Spalteninhalte hängt ab vom Typ:

  • Textspalten: linksbündig
  • Numerische Spalten: rechtsbündig

Verdichtung

Für manche Tabellen kann die Verdichtung ausgewählt werden. Die Konfiguration erfolgt bei den jeweiligen Spalten. In der Regel werden folgende Verdichtungstypen angeboten:

Verdichtungsart

Verdichtung

Von
  • Minimum

Bis
  • Maximum

Zeitstempel
  • Zeitbereich

Numerische Werte
  • Summe
  • Minimum
  • Maximum
  • Durchschnitt
  • Erster Letzter

Spezielle Verdichtung für Spalten eines Datasets
  • Keine
  • Verdichtung

Um die Verdichtung zu konfigurieren, muss im Dialog für die Tabellenkonfiguration die Option Globale Verdichtungszeile anzeigen aktiviert sein oder für mindestens eine Zeilengruppierung eine Verdichtungszeile vorhanden sein. Die globale Verdichtungzeile kann nur dann aktiviert werden, wenn mindestens eine aktive Spalte über eine Verdichtungsfunktion verfügt.

Zeilengruppierungen

Zeilengruppierungen erlauben es, gleiche Werte zusammenzufassen. Werden diese durch die Tabelle vorgegeben, kann die Option nicht bearbeitet werden. Spalten, die in Zeilengruppierungen verwendet werden, sind im Dialog zur Auswahl der Spalten nicht mehr enthalten, denn diese Spalten werden immer angezeigt. Die Verdichtungszeilen für Zeilengruppierungen werden immer immer am unteren Ende der gruppierten Zeilen in aufgeklappten Zustand angezeigt.

Für Tabellen, bei denen Benutzer die Zeilengruppierungen bearbeiten können, muss mindestens eine Zeilengruppierung ausgewählt werden.

Es kann für jede Gruppierungsebene konfiguriert werden, ob eine Verdichtungszeile verwendet werden soll. Für die Zeilengruppierungen können Spalten aus einer Menge von vordefinierten Spalten ausgewählt und in einer beliebigen Reihenfolge verwendet werden.

Zeilengruppierungen können zu jeder Zeit und auf jeder Ebene bearbeitet werden. Es kann also eine andere Spalte ausgewählt werden oder auf keine Gruppierung zurückgesetzt werden. Beim Abwählen einer Gruppierung werden auch alle darunter liegenden Zeilengruppierungen verworfen.

Zusätzliche Spalten

In einigen Reportvorlagen sind sogenannte Zusätzliche Spalten verfügbar. Eine Zusätzliche Spalte ist nur als Zusatzspalte für eine anderen Spalte verfügbar und mit dieser untrennbar verbunden. Bei Zeilengruppierungen wird die Zusätzliche Spalte in derselben Gruppierung wie die verbundene Spalte angezeigt.

Noch in diesem Kapitel

Flache Tabelle

Gruppierte Tabelle

Indikator-Tabelle

Pivotierte Tabelle

Verdichtungstabelle

Verteilungstabelle


Flache Tabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Flache Tabelle

Flache Tabellen zeigen Tabellen ohne jegliche Gruppierung an.

Um eine flache Tabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss flache Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Flache Tabelle.
    Die weiteren Optionen werden angezeigt. Welche Optionen konfiguriert werden können, hängt ab vom gewählten Dataset. Nicht alle angezeigten Optionen können für jedes Dataset konfiguriert werden.
  3. Wählen Sie, ob die globale Verdichtungszeile angezeigt werden soll.
    Bei Anzeige: Wählen Sie die gewünschte Verdichtung in der Spalte Verdichtung.
  4. Wählen Sie die anzuzeigenden Spalten aus.
    Mindestens eine Spalte muss ausgewählt werden.
  5. Wählen Sie Einstellungen für Zusätzliche Spalte verwenden aus.
    (Wird nicht von allen Datasets unterstützt.)

Dialog Konfiguration Flache Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option | Beschreibung
Dataset | Auswahl des Datasets aus Dropdownliste.
Tabelle | Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.
Globale Verdichtungszeile anzeigen | Zeigt im Report eine globale Verdichtungszeile an. Die Verdichtung wird über die Spalte Verdichtung zugewiesen. Nur für bestimmte Tabellentypen verfügbar.
Spalte anzeigen | Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige. Default: Alle Spalten werden angezeigt. Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden. Hinweis: Mindestens eine Spalte muss ausgewählt werden.
Spaltenname | Anzeige des Spaltennamens.
Verdichtung | Auswahl der Verdichtung für Verdichtungszeile. Nur verfügbar, wenn die Eigenschaft Globale Verdichtungszeile anzeigen aktiviert wurde.
Zusätzliche Spalte verwenden | Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden. Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt. Nicht für alle Datasets verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.

Anzeige im Report Launcher

Noch in diesem Kapitel

Verlustzeiten-Tabelle

Gut- und Verlustzeiten-Tabelle

Effizienzklassenmodell-Tabelle

Klassifizierungstabelle für aktuellen Wert


Verlustzeiten-Tabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Flache Tabelle > Verlustzeiten-Tabelle

Eine Verlustzeiten-Tabelle zeigt vorgefilterte Verlustzeiten an.

Um eine Verlustzeiten-Tabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss Verlustzeiten-Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Verlustzeiten-Tabelle.
    Die weiteren Optionen werden angezeigt.
  3. Wählen Sie die anzuzeigenden Spalten aus.
    Initial sind die vordefinierte Spalten aktiv.
    Mindestens eine Spalte muss ausgewählt werden.

Dialog Konfiguration Verlustzeiten-Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option | Beschreibung
Dataset | Auswahl des Datasets aus Dropdownliste.
Tabelle | Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.
Globale Verdichtungszeile anzeigen | Zeigt im Report eine globale Verdichtungszeile an. Für diesen Tabellentyp nicht verfügbar.
Spalte anzeigen | Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige. Default: Alle Spalten werden angezeigt. Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden. Hinweis: Mindestens eine Spalte muss ausgewählt werden.
Spaltenname | Anzeige des Spaltennamens.
Verdichtung | Auswahl der Verdichtung für Verdichtungszeile. Für diesen Tabellentyp nicht verfügbar.
Zusätzliche Spalte verwenden | Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden. Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt. Nicht für alle Datasets verfügbar. Hinweis: Für diesen Tabellentyp nicht verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.


Gut- und Verlustzeiten-Tabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Flache Tabelle > Gut- und Verlustzeiten-Tabelle

Eine Verlustzeiten-Tabelle zeigt vorgefilterte Gut-Zeiten und Verlustzeiten an.

Um eine Gut- und Verlustzeiten-Tabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss Verlustzeiten-Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Gut- und Verlustzeiten-Tabelle.
    Die weiteren Optionen werden angezeigt.
  3. Wählen Sie die anzuzeigenden Spalten aus.
    Initial sind die vordefinierte Spalten aktiv.
    Mindestens eine Spalte muss ausgewählt werden.

Dialog Konfiguration Gut- und Verlustzeiten-Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option | Beschreibung
Dataset | Auswahl des Datasets aus Dropdownliste.
Tabelle | Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.
Globale Verdichtungszeile anzeigen | Zeigt im Report eine globale Verdichtungszeile an. Für diesen Tabellentyp nicht verfügbar.
Spalte anzeigen | Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige. Default: Alle Spalten werden angezeigt. Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden. Hinweis: Mindestens eine Spalte muss ausgewählt werden.
Spaltenname | Anzeige des Spaltennamens.
Verdichtung | Auswahl der Verdichtung für Verdichtungszeile. Für diesen Tabellentyp nicht verfügbar.
Zusätzliche Spalte verwenden | Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden. Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt. Nicht für alle Datasets verfügbar. Hinweis: Für diesen Tabellentyp nicht verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.


Effizienzklassenmodell-Tabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Flache Tabelle > Effizienzklassenmodell-Tabelle

Eine Effizienzklassenmodell-Tabelle zeigt Grenzen und Werte für Effizienzklassen an. Die Tabellen sind nicht sortierbar. Die Sortierung erfolgt immer nach den Effizienzklassen.

Um eine Effizienzklassenmodell-Tabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss Effizienzklassenmodell-Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Effizienzklassenmodell-Tabelle.
    Die weiteren Optionen werden angezeigt.
  3. Wählen Sie die anzuzeigenden Spalten aus.
    Initial sind die vordefinierte Spalten aktiv.
    Mindestens eine Spalte muss ausgewählt werden.

Dialog Konfiguration Flache Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option | Beschreibung
Dataset | Auswahl des Datasets aus Dropdownliste.
Tabelle | Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.
Globale Verdichtungszeile anzeigen | Zeigt im Report eine globale Verdichtungszeile an. Für diesen Tabellentyp nicht verfügbar.
Spalte anzeigen | Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige. Default: Alle Spalten werden angezeigt. Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden. Hinweis: Mindestens eine Spalte muss ausgewählt werden.
Spaltenname | Anzeige des Spaltennamens.
Verdichtung | Auswahl der Verdichtung für Verdichtungszeile. Für diesen Tabellentyp nicht verfügbar.
Zusätzliche Spalte verwenden | Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden. Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt. Nicht für alle Datasets verfügbar. Hinweis: Für diesen Tabellentyp nicht verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.


Klassifizierungstabelle für aktuellen Wert

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Flache Tabelle > Klassifizierungstabelle für aktuellen Wert

Eine Klassifizierungstabelle zeigt Grenzen für einen Wert an.

Um eine Klassifizierungstabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss Effizienklassenmodell-Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Klassifizierungstabelle.
    Die weiteren Optionen werden angezeigt.
  3. Wählen Sie die anzuzeigenden Spalten aus.
    Initial sind die vordefinierte Spalten aktiv.
    Mindestens eine Spalte muss ausgewählt werden.

Dialog Konfiguration Flache Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option | Beschreibung
Dataset | Auswahl des Datasets aus Dropdownliste.
Tabelle | Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.
Globale Verdichtungszeile anzeigen | Zeigt im Report eine globale Verdichtungszeile an. Für diesen Tabellentyp nicht verfügbar.
Spalte anzeigen | Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige. Default: Alle Spalten werden angezeigt. Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden. Hinweis: Mindestens eine Spalte muss ausgewählt werden.
Spaltenname | Anzeige des Spaltennamens.
Verdichtung | Auswahl der Verdichtung für Verdichtungszeile. Für diesen Tabellentyp nicht verfügbar.
Zusätzliche Spalte verwenden | Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden. Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt. Nicht für alle Datasets verfügbar. Hinweis: Für diesen Tabellentyp nicht verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.


Gruppierte Tabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Gruppierte Tabelle

Gruppierte Tabellen zeigen Daten nach einer oder mehren Zeilen gruppiert an. Zeilengruppierungen erlauben es, gleiche Werte zusammenzufassen. In vielen Datasets sind die Zeilengruppierungen durch die Tabelle bereits fix vorgegeben. Diese werden angezeigt, können aber nicht mehr verändert werden. Andere Reportvorlagen, wie Alarmverdichtung, erlauben die individuelle Konfiguration.

Spalten, die in Zeilengruppierungen verwendet werden, werden immer angezeigt. Sie werden daher nicht mehr in der Auswahl Spalte anzeigen angeboten.

Gruppierte Tabelle erstellen

Um eine gruppierte Tabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss gruppierte Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Gruppierte Tabelle.
    Die weiteren Optionen werden angezeigt. Welche Optionen konfiguriert werden können, hängt ab vom gewählten Dataset. Nicht alle angezeigten Optionen können für jedes Dataset konfiguriert werden.
  3. Wählen Sie, wenn nötig, die Spalten für die Zeilengruppierung aus.
    In vielen Reportvorlagen sind die Gruppierungen bereits festgelegt.
    Für die Auswahl gilt:
    • Es muss ein Element ausgewählt werden.
    • Es können nur pivotierbare Spalten gewählt werden.
  4. Wählen Sie, ob eine Verdichtungszeile angezeigt werden soll.
    Steht nicht für alle Datasets zur Verfügung.
    Bei Anzeige: Wählen Sie die gewünschte Verdichtung in der Spalte Verdichtung.
  5. Wählen Sie, ob die globale Verdichtungszeile angezeigt werden soll.
  6. Wählen Sie die anzuzeigenden Spalten aus.
    Es muss mindestens gewählt werden:
    • Eine Spalte für den Wertebereich.
  7. Wählen Sie Einstellungen für Zusätzliche Spalte verwenden aus.
    (Steht nur für manche Datasets zur Verfügung.)

Dialog Konfiguration Gruppierte Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option

Beschreibung

Dataset

Auswahl des Datasets aus Dropdownliste.

Tabelle

Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.

Zeilengruppierung

Konfiguration der Zeilengruppierung. Ist bei vielen Datasets bereits fest vorgegeben.

  • Auswahl der Spalte oder Spalten zur Gruppierung der Tabelle aus Dropdownliste. Bei mehreren Spalten, werde diese hierarchisch angewendet und dargestellt. Jede Spalte kann nur einmal zur Gruppierung verwendet werden. Die Reihenfolge in der Hierarchie kann beliebig gewählt werden. Für jede Gruppierungspalte kann die Anzeige einer Verdichtungszeile konfiguriert werden.
  • Keine Zeilengruppierung: Die bisher gewählte Gruppierung wird entfernt. Alle hierarchisch darunter liegenden Gruppierungen werden ebenfalls entfernt.

Es muss ein Element ausgewählt werden.
Nicht für alle Datasets konfigurierbar.

Verdichtungszeile anzeigen

Zeigt im Report eine Verdichtungszeile an.
Die Verdichtung wird über die Spalte Verdichtung zugewiesen.

Nur für bestimmte Datasets verfügbar.

Globale Verdichtungszeile anzeigen

Zeigt im Report eine globale Verdichtungszeile an.
Die Verdichtung wird über die Spalte Verdichtung zugewiesen.

Nur für bestimmte Tabellentypen verfügbar.

Spalte anzeigen

Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige.
Default: Alle Spalten werden angezeigt.
Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden.
Zeilen, die für die Gruppierung gewählt wurden, stehen nicht mehr zur Verfügung. Diese werden immer angezeigt.

Hinweis: Mindestens eine Spalte für den Wertebereich muss ausgewählt werden.

Spaltenname

Anzeige des Spaltennamens.

Verdichtung

Auswahl der Verdichtung für Verdichtungszeile.

Nur verfügbar, wenn die Eigenschaft Verdichtungszeile anzeigen und/oder Globale Verdichtungszeile anzeigen aktiviert wurde.

Zusätzliche Spalte verwenden

Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden.
Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt.

Nicht für alle Datasets verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.

Anzeige im Report Launcher

Noch in diesem Kapitel

Detaillierte Tabelle

Verdichtete Tabelle


Detaillierte Tabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Gruppierte Tabelle > Detaillierte Tabelle

Detaillierte Tabellen zeigen Daten nach mehreren Zeilen gruppiert an.

Um eine Detaillierte Tabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss Detaillierte Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Detaillierte Tabelle.
    Die weiteren Optionen werden angezeigt.

    Die Zeilengruppierungen werden fest vorgegeben.

  3. Wählen Sie für jede Zeile, ob eine Verdichtungszeile angezeigt werden soll.
    Bei Anzeige: Wählen Sie die gewünschte Verdichtung in der Spalte Verdichtung.
  4. Wählen Sie, ob die globale Verdichtungszeile angezeigt werden soll.
    Bei Anzeige: Wählen Sie die gewünschte Verdichtung in der Spalte Verdichtung.
  5. Wählen Sie die anzuzeigenden Spalten aus.
    Es muss mindestens gewählt werden:
    • Eine Spalte für den Wertebereich.

Dialog Konfiguration Gruppierte Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option | Beschreibung
Dataset | Auswahl des Datasets aus Dropdownliste.
Tabelle | Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.
Zeilengruppierung | Zeilen, nach denen gruppiert wird.
Verdichtungszeile anzeigen | Zeigt im Report eine Verdichtungszeile an. Die Verdichtung wird über die Spalte Verdichtung zugewiesen. Nur für bestimmte Datasets verfügbar.
Globale Verdichtungszeile anzeigen | Zeigt im Report eine globale Verdichtungszeile an. Die Verdichtung wird über die Spalte Verdichtung zugewiesen. Nur für bestimmte Tabellentypen verfügbar.
Spalte anzeigen | Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige. Default: Alle Spalten werden angezeigt. Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden. Zeilen, die für die Gruppierung gewählt wurden, stehen nicht mehr zur Verfügung. Diese werden immer angezeigt. Hinweis: Mindestens eine Spalte für den Wertebereich muss ausgewählt werden.
Spaltenname | Anzeige des Spaltennamens.
Verdichtung | Auswahl der Verdichtung für Verdichtungszeile. Nur verfügbar, wenn die Eigenschaft Verdichtungszeile anzeigen und/oder Globale Verdichtungszeile anzeigen aktiviert wurde.
Zusätzliche Spalte verwenden | Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden. Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt. Nicht für alle Datasets verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.


Verdichtete Tabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Gruppierte Tabelle > Verdichtete Tabelle

Verdichtete Tabellen zeigen Daten nach mehreren Zeilen gruppiert an.

Um eine Verdichtete Tabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss Verdichtete Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Verdichtete Tabelle.
    Die weiteren Optionen werden angezeigt.

    Die Zeilengruppierungen werden fest vorgegeben.

  3. Wählen Sie für jede Zeile, ob eine Verdichtungszeile angezeigt werden soll.
    Bei Anzeige: Wählen Sie die gewünschte Verdichtung in der Spalte Verdichtung.
  4. Wählen Sie, ob die globale Verdichtungszeile angezeigt werden soll.
    Bei Anzeige: Wählen Sie die gewünschte Verdichtung in der Spalte Verdichtung.
  5. Wählen Sie die anzuzeigenden Spalten aus.
    Es muss mindestens gewählt werden:
    • Eine Spalte für den Wertebereich.

Dialog Konfiguration Gruppierte Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option | Beschreibung
Dataset | Auswahl des Datasets aus Dropdownliste.
Tabelle | Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.
Zeilengruppierung | Zeilen, nach denen gruppiert wird.
Verdichtungszeile anzeigen | Zeigt im Report eine Verdichtungszeile an. Die Verdichtung wird über die Spalte Verdichtung zugewiesen. Nur für bestimmte Datasets verfügbar.
Globale Verdichtungszeile anzeigen | Zeigt im Report eine globale Verdichtungszeile an. Die Verdichtung wird über die Spalte Verdichtung zugewiesen. Nur für bestimmte Tabellentypen verfügbar.
Spalte anzeigen | Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige. Default: Alle Spalten werden angezeigt. Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden. Zeilen, die für die Gruppierung gewählt wurden, stehen nicht mehr zur Verfügung. Diese werden immer angezeigt. Hinweis: Mindestens eine Spalte für den Wertebereich muss ausgewählt werden.
Spaltenname | Anzeige des Spaltennamens.
Verdichtung | Auswahl der Verdichtung für Verdichtungszeile. Nur verfügbar, wenn die Eigenschaft Verdichtungszeile anzeigen und/oder Globale Verdichtungszeile anzeigen aktiviert wurde.
Zusätzliche Spalte verwenden | Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden. Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt. Nicht für alle Datasets verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.


Indikator-Tabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Indikator-Tabelle

Mit Indikator-Tabellen könne optionalen Indikatoren dargestellt werden.

Um eine Indikator-Tabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss Indikator-Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Indikator-Tabelle.
  3. Wählen Sie die anzuzeigenden Spalten und deren Reihenfolge.
    Um eine Spalte zu wählen, aktivieren Sie die entsprechende Checkbox.
    Um Spalten zu sortieren, benutzen Sie die Pfeiltasten neben der Checkbox.
  4. Wählen Sie die anzuzeigenden Zeilen und deren Reihenfolge.
    Um eine Zeile zu wählen, aktivieren Sie die entsprechende Checkbox.
    Um Zeilen zu sortieren, benutzen Sie die Pfeiltasten neben der Checkbox.
  5. Klicken Sie auf OK.

Für Indikatortabellen wird im Designbereich jede gewählte Zeile schematisch angezeigt. Kopfzeile und Zeilenhöhen werden automatisch über die Gesamthöhe berechnet.

Dialog Konfiguration Indikator-Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten und Zeilen.

Option

Beschreibung

Dataset

Auswahl des Datasets aus Dropdownliste.

Tabelle

Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.

Spalte anzeigen

Auswahl der anzuzeigenden Spalte über Aktivierung der Checkbox. Pflichtspalten können nicht abgewählt werden.

Spaltenname

Zeigt den Namen der Spalte an

Zeile anzeigen

Auswahl der anzuzeigenden Zeile über Aktivierung der Checkbox.

Zeilenname

Zeigt den Namen der Zeile an

Pfeiltasten

Ermöglichen Sortierung der Einträge:

  • Pfeil nach oben: Sortiert den Eintrag eine Stufe höher.
  • Pfeil nach unten: Sortiert den Eintrag eine Stufe tiefer.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.


Pivotierte Tabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Pivotierte Tabelle

Pivotierte Tabellen zeigen Daten nach einer Spalte gruppiert an.

Um eine pivotierte Tabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss gruppierte Tabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Pivotierte Tabelle.
    Die weiteren Optionen werden angezeigt. Welche Optionen konfiguriert werden können, hängt ab vom gewählten Dataset. Nicht alle angezeigten Optionen können für jedes Dataset konfiguriert werden.
  3. Wählen Sie, ob die globale Verdichtungszeile angezeigt werden soll.
    Bei Anzeige: Wählen Sie die gewünschte Verdichtung in der Spalte Verdichtung.
  4. Wählen Sie die anzuzeigenden Spalten aus.
    Es muss mindestens gewählt werden:
    • Eine Spalte mit numerischem Wert.
    • Eine Spalte Zeitstempel oder die beiden Spalten Von und Bis als Zeitdefinition.
  5. Wählen Sie Einstellungen für Zusätzliche Spalte verwenden aus.
    (Steht nur für manche Datasets zur Verfügung.)

info Info

Wurde das Hauptdataset pivotiert, dann ist nur noch die Flache Tabelle verfügbar. Die Tabellenkonfiguration ist dann identisch mit der Konfiguration für Flache Tabelle.

Dialog Konfiguration Pivotierte Tabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option

Beschreibung

Dataset

Auswahl des Datasets aus Dropdownliste.

Tabelle

Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.

Spaltengruppierung

Spalte, nach der die Tabelle gruppiert wird.

Globale Verdichtungszeile anzeigen

Zeigt im Report eine globale Verdichtungszeile an.
Die Verdichtung wird über die Spalte Verdichtung zugewiesen.

Nur für bestimmte Tabellentypen verfügbar.

Spalte anzeigen

Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige.
Default: Alle Spalten werden angezeigt.
Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden.

Hinweis: Es muss mindestens eine Spalte mit numerischem Wert gewählt werden und als Zeitdefinition eine Spalte Zeitstempel oder die beiden Spalten Von und Bis.

Spaltenname

Anzeige des Spaltennamens.

Verdichtung

Auswahl der Verdichtung für Verdichtungszeile.

Nur verfügbar, wenn die Eigenschaft Globale Verdichtungszeile anzeigen aktiviert wurde.

Zusätzliche Spalte verwenden

Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden.
Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt.

Nicht für alle Datasets verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.

Anzeige im Report Launcher


Verdichtungstabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Verdichtungstabelle

Verdichtungstabellen zeigen Daten verdichtet an.

Um eine Verdichtungstabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss Verdichtungstabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Verdichtungstabelle.
    Die weiteren Optionen werden angezeigt.

    Die Zeilengruppierungen werden fest vorgegeben.

  3. Wählen Sie die anzuzeigenden Spalten aus.

Wählen Sie die anzuzeigenden Spalten aus. Dialog Konfiguration Verdichtungstabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option | Beschreibung
Dataset | Auswahl des Datasets aus Dropdownliste.
Tabelle | Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.
Globale Verdichtungszeile anzeigen | Zeigt im Report eine globale Verdichtungszeile an. Die Verdichtung wird über die Spalte Verdichtung zugewiesen. Nur für bestimmte Tabellentypen verfügbar.
Spalte anzeigen | Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige. Default: Minimum, Durchschnitt, Maximum Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden. Zeilen, die für die Gruppierung gewählt wurden, stehen nicht mehr zur Verfügung. Diese werden immer angezeigt. Hinweis: Mindestens eine Spalte muss ausgewählt werden.
Spaltenname | Anzeige des Spaltennamens.
Verdichtung | Auswahl der Verdichtung für Verdichtungszeile. Nur verfügbar, wenn die Eigenschaft Verdichtungszeile anzeigen und/oder Globale Verdichtungszeile anzeigen aktiviert wurde.
Zusätzliche Spalte verwenden | Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden. Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt. Nicht für alle Datasets verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.


Verteilungstabelle

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Tabellen > Verteilungstabelle

Verteilungstabellen zeigen die Verteilung von Werten an.

Um eine Verteilungstabelle zu erstellen:

  1. Wählen Sie im Konfigurationsdialog das Dataset aus.
    Das Dataset muss Verteilungstabellen unterstützen.
  2. Wählen Sie in der Dropdownliste Tabelle den Eintrag Verteilungstabelle.
    Die weiteren Optionen werden angezeigt.

    Die Zeilengruppierungen werden fest vorgegeben.

  3. Wählen Sie die anzuzeigenden Spalten aus.

Dialog Konfiguration Verdichtungstabelle

In diesem Dialog konfigurieren Sie die Datenherkunft für die Tabelle und die angezeigten Spalten.

Option | Beschreibung
Dataset | Auswahl des Datasets aus Dropdownliste.
Tabelle | Auswahl der Tabellenvorlage aus Dropdownliste. Die angebotene Auswahl ist abhängig vom gewählten Dataset.
Globale Verdichtungszeile anzeigen | Zeigt im Report eine globale Verdichtungszeile an. Die Verdichtung wird über die Spalte Verdichtung zugewiesen. Nur für bestimmte Tabellentypen verfügbar.
Spalte anzeigen | Auswahl, ob die jeweilige Spalte in der Tabelle angezeigt wird. Klick in Checkbox aktiviert oder deaktiviert Anzeige. Default: Wert, Anzahl Die Reihenfolge der Anzeige kann über die Pfeiltasten konfiguriert werden. Zeilen, die für die Gruppierung gewählt wurden, stehen nicht mehr zur Verfügung. Diese werden immer angezeigt. Hinweis: Mindestens eine Spalte muss ausgewählt werden.
Spaltenname | Anzeige des Spaltennamens.
Verdichtung | Auswahl der Verdichtung für Verdichtungszeile. Nur verfügbar, wenn die Eigenschaft Verdichtungszeile anzeigen und/oder Globale Verdichtungszeile anzeigen aktiviert wurde.
Zusätzliche Spalte verwenden | Ermöglicht das Anzeigen von Spalten als zusätzliche Spalten. Kann die Darstellung der Tabelle und des Reports verbreitern. Diese Spalte ist untrennbar mit der Hauptspalte, für die sie konfiguriert wurde, verbunden. Sie wird bei der Zeilengruppierung im Report in der selben Gruppierung wie die eigentliche Spalte angezeigt. Nicht für alle Datasets verfügbar.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Tabelle

Wenn die Tabelle im Designbereich ausgewählt wird, werden im Eigenschaftenfenster die Tabelleneigenschaften angezeigt und zur Konfiguration angeboten.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Tabellenkonfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Tabellenkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf die Tabelle geöffnet werden.

Reportelement-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Eigenschaften Spalte

Einstellungen für die Tabellenspalten.

Eigenschaft

Beschreibung

Spaltenbreite

Breite der Spalte:

  • Minimum: 6 mm
  • Maximum: Wird durch die Größe der Tabelle und die darin enthaltenen Spalten definiert.

Hinweis: Die Spaltenüberschrift wird in den Eigenschaften des Hauptdatasets konfiguriert, da diese Spalten von unterschiedlichen Report-Elementen verwendet werden können.


Diagramme

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme

Abhängig von der Reportvorlage können verschiedene Diagrammtypen eingefügt werden.

Diagrammtypen:

  • Balkendiagramm
  • Boxplot
  • Dauerlinie
  • Diagramm für Vergleich zum Standard
  • Effizienzklassen-Diagramm
  • Gantt-Diagramm
  • Gruppiertes Vergleichsdiagramm
  • Histogramm
  • Kreisdiagramm
  • Liniendiagramm
  • Messinstrument
  • Paretodiagramm
  • Polardiagramm
  • Rasterdiagramm
  • Sankey-Diagramm
  • Streudiagramm
  • Säulendiagramm
  • Trend-Diagramm
  • Trend mit Grenz en
  • Verdichtungsdiagramm
  • Verdichtungsdiagramm Indikatoren
  • Verlustzeiten-Diagramm
  • Verteilungsdiagramm
  • Wasserfall-Diagramm
  • XY-Diagramm

info Info

Wird für ein Hauptdataset die Eigenschaft Zeitbereiche vereinigen aktiviert, wirkt sich das auf die Spaltenauswahl in der Diagramm-Konfiguration aus. Detaillierte Informationen dazu finden Sie im Kapitel Zeitbereiche vereinigen.

Diagramm einfügen

Um ein Diagramm einzufügen:

  1. Klicken Sie im Ribbon Design auf den gewünschten Diagrammtyp.
  2. Klicken Sie im Designbereich auf die Stelle, an der das Diagramm eingefügt werden soll.

    Der Dialog zur Konfiguration des Diagramms wird geöffnet.
    Hinweis: Möchten Sie das Einfügen abbrechen, dann klicken Sie erneut auf das Symbol für Tabelle.

  3. Konfigurieren Sie das Diagramm und beenden Sie den Dialog mit Klick auf OK.

    Das Diagramm wird im Designbereich eingefügt.

  4. Passen Sie bei Bedarf Größe und Positionierung an.

Tipp: Um den Konfigurationsdialog erneut aufzurufen, führen Sie seinen Doppelklick auf das Diagramm aus. Alternativ klicken Sie in der Eigenschaft Diagramm-Konfiguration auf die Schaltlfäche ... oder doppelt auf den Eintrag der Eigenschaft.

Hinweis: Diagramme dürfen sich nicht mit anderen Elementen überlappen.

Noch in diesem Kapitel

Dauerlinie

Boxplot

Effizienzklassen-Diagramm

Gantt-Diagramm

Gruppiertes Vergleichsdiagramm

Histogramm

Messinstrument

Paretodiagramm

Polardiagramm

Rasterdiagramm

Sankey-Diagramm

Streudiagramm

Trend-Diagramm

Trend mit Grenzen

Verdichtungsdiagramm

Verdichtungsdiagramm Indikatoren

Vergleich zum Standard

Verlustzeiten-Diagramm

Verteilungsdiagramm

Wasserfall-Diagramm

XY-Diagramm

Diagramme mit mehreren Serienspalten


Dauerlinie

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Dauerlinie

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Diagramm zur Darstellung einer Dauerlinie zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste:

  • Flächendiagramm
  • Liniendiagramm

Darf nicht leer sein.

X-Achsenfeld

Anzahl der Intervalle.

Y-Achsenfeld

Verbrauch.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Zeitfilter-Begrenzungen verwenden
  • Aktiv: Die Zeitfilter werden als Begrenzer für die X-Achse verwendet.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Boxplot

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Boxplot

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die einen Boxplot zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Diagrammtyps aus Dropdownliste:

  • Boxplot

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

CRI-Konfiguration

Hinweise zur benutzerdefinierten Reportkonfiguration:

Elemente:

  • Titel (optional)
    Ist der Titel zu lange für den definierten Platz, wird eine Fehlermeldung angezeigt.
  • Zeichenbereich (links)
  • Legende (rechts)

Zeichenbereich:

  • 1 Box je Variable:
    • 1 Farbe je Variable. Beim Erreichen des Endes der Farbliste, wird wieder von vorne begonnen.
    • Darstellung von links nach rechts.
    • Variablen werden alphabetisch aufsteigend sortiert.
  • Unteres Ende der Box: unteres Quartil
  • Oberes Ende der Box: oberes Quartil
  • Horizontale Linie innerhalb der Box: Median
  • Horizontale Linien oberhalb und unterhalb der Box (mit der Box durch vertikale Linie verbunden): unterer und oberer Whisker
  • Markierungen über dem oberen Whisker oder unter dem unteren Whisker: Ausreißer
    Definition Ausreißer:
    • höher als oberes Quartil + 1,5 * Quartilsabstand
    • niedriger als unteres Quartil – 1,5* Quartilsabstand)

    Marker werden für Ausreißer separat eingefärbt.
    Sind zu viele Variablen im Diagramm wird ein Fehler gemeldet. 1 Box benötigt mindestens 3 Ausreißer-Marker-Breiten.

Legende:

  • Darf maximal 50 % der Gesamtbreite des Elements benötigen.
  • 1 Zeile je Variable.
    Einfärbung und Sortierung wie Boxen.
  • Wird ein Text zu lange, wird er gekürzt.
    Modus: Ein Teil aus der Mitte des Textes wird durch ... ersetzt.
    Hintergrund: Der Variablenname steht immer am Ende des vollen Namens (Projekt#Archiv – Variable).
  • Sind mehr Variablen vorhanden, als in der Box dargestellt werden können, dann wird anstelle der letzten zeichenbaren Variablen ... in die Legende geschrieben.

Eigenschaften in der Kategorie Data:

Name | Beschreibung
DataSetName | Name des Datasets.
HigherQuartile | Feldzugriff für das obere Quartil.
HigherWhisker | Feldzugriff für den oberen Whisker.
IsOutlier | Feldzugriff für das Outlier-Flag.
LowerQuartile | Feldzugriff für das untere Quartil.
LowerWhisker | Feldzugriff für den unteren Whisker.
Median | Feldzugriff für den Median.
Timestamp | Feldzugriff für den Zeitstempel.
Unit | Feldzugriff für die Einheit.
Value | Feldzugriff für den Wert.
VariableName | Feldzugriff für den Variablennamen.


Effizienzklassen-Diagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Effizienzklassen-Diagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Effizienzklassen-Element zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Diagrammtyps aus Dropdownliste:

  • Effizienklassen-Diagramm

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Noch in diesem Kapitel

Einstellungen Effizienklassen-Diagramm


Einstellungen Effizienklassen-Diagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Effizienzklassen-Diagramm > Einstellungen Effizienklassen-Diagramm

Einstellungen für das Effizienklassen-Diagramm.

Eigenschaft

Beschreibung

Bezeichnungen

Auswahl, wie Effizienzklassen im Diagramm angezeigt werden, aus Dropdownliste:

  • Klassenname und Begrenzungen (Default)
  • Nur Klassenname
  • Nur Begrenzungen

Klassifizierungslinie anzeigen

Festlegung, ob eine Zuordnungslinie zwischen Modell und Zuordnungspfeil gezeichnet wird.

  • Aktiv: Zuordnungslinie wird gezeichnet

Default: inaktiv

Platzierung des Zuordnungskennzeichners

Auswahl, wie der Zuordnungspfeil angeordnet wird, aus Dropdownliste:

  • Gleitende Zuordnung innerhalb der Effizienzklasse (Default)
  • Zentral ausgerichtet auf zugeordnete Effizienzklasse

Trennlinie anzeigen

Festlegung, ob eine Trennlinie zwischen Modell und Zuordnungspfeil gezeichnet wird.

  • Aktiv: Trennlinie wird gezeichnet.

Default: inaktiv

Modellname anzeigen

Festlegung, ob der Name des Effizienzklassenmodells angezeigt wird.

  • Aktiv: Modellname wird angezeigt.

Default: aktiv

Diese Eigenschaft ist Teil der logischen Gruppe der CRI-Komponenten. Mindestens eine dieser Eigenschaften muss aktiviert sein.

Aktuellen Wert anzeigen

Festlegung, ob der aktuelle Wert angezeigt wird.

  • Aktiv: Aktueller Wert wird angezeigt.

Default: aktiv

Diese Eigenschaft ist Teil der logischen Gruppe der CRI-Komponenten. Mindestens eine dieser Eigenschaften muss aktiviert sein.

Modell anzeigen

Festlegung, ob das Effizienzklassenmodell angezeigt wird.

  • Aktiv: Effizienzklassenmodell wird angezeigt.

Default: aktiv

Diese Eigenschaft ist Teil der logischen Gruppe der CRI-Komponenten. Mindestens eine dieser Eigenschaften muss aktiviert sein.

Zuordnungspfeil anzeigen

Festlegung, ob der Zuordnungspfeil gezeichnet wird.

  • Aktiv: Zuordnungspfeil wird gezeichnet.

Default: aktiv

Diese Eigenschaft ist Teil der logischen Gruppe der CRI-Komponenten. Mindestens eine dieser Eigenschaften muss aktiviert sein.


Gantt-Diagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Gantt-Diagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Gantt-Diagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Diagrammtyps aus Dropdownliste:

  • Gantt-Diagramm

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Gruppiertes Vergleichsdiagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Gruppiertes Vergleichsdiagramm

Dieses Diagramm vergleicht Indikatoren mit Anlagengruppen. Entweder werden die Indikatoren gruppiert nach Anlagengruppe verglichen oder es werden die Anlagengruppen gruppiert nach Indikatoren verglichen.

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Gruppiertes Vergleichsdiagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Diagrammtyps aus Dropdownliste:

  • Gruppiertes Vergleichsdiagramm

Darf nicht leer sein.

Vergleichstyp

Auswahl des Vergleichstyps aus Dropdownliste:

  • Anlagengruppen vergleichen (gruppiert nach Indikator)
  • Indikatoren vergleichen (gruppiert nach Anlagengruppe)

Darf nicht leer sein.

Inhaltstyp

Auswahl des Inhaltstyps aus Dropdownliste:

  • Absolutwerte
  • Relativwerte

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Datenbezeichner Diagrammserien anzeigen
  • Aktiv: Jede Säule wird mit Beschriftung angezeigt.

Default: inaktiv

Skalierungsunterbrechungen verwenden
  • Aktiv: Wenn im Wertbereich des Diagramms eine Lücke erkannt wird, wird auf der Wertachse eine Unterbrechung angezeigt.

Default: aktiv

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Histogramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Histogramm

Ein Histogramm ist die grafische Darstellung einer Häufigkeitsverteilung, zum Beispiel von Messwerten von Stichproben.

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Achsen:

  • X-Achse: Klasse ( Anzahl der Werte innerhalb einer Werteklasse)
  • Y-Achse: Anzahl.
    Die Y-Achse stellt immer die Anzahl der Messwerte je Klasse dar.
    Empfehlung: Da eine Achse immer eine Einheit aufweisen soll, stellen Sie hier Häufigkeit ein. Die Einstellung erfolgt über die Sprachtabelle.

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Histogramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Diagrammtyps aus Dropdownliste:

  • Histogramm

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Histogramm

Einstellungen für die Darstellung des Histogramms.

Eigenschaft

Beschreibung

Linie für Minimum anzeigen
  • Aktiv: Linie für Minimum wird angezeigt.

Default: inaktiv

Linie für Maximum anzeigen
  • Aktiv: Linie für Maximum wird angezeigt.

Default: inaktiv

Linie für Durchschnitt anzeigen
  • Aktiv: Linie für Durchschnitt wird angezeigt.

Default: inaktiv

Linien für Sigma anzeigen

Zeichnet je eine Linie ein bei:

  • (Mittelwert + Standardabweichung)
  • (Mittelwert – Standardabweichung)

Default: aktiv

Linien für Zwei-Sigma anzeigen

Zeichnet je eine Linie ein bei:

  • (Mittelwert + 2 * Standardabweichung)
  • (Mittelwert – 2 * Standardabweichung)

Default: inaktiv

Linien für Drei-Sigma anzeigen

Zeichnet je eine Linie ein bei:

  • (Mittelwert + 3 * Standardabweichung)
  • (Mittelwert – 3 * Standardabweichung)

Default: inaktiv

Glockenkurve anzeigen
  • Aktiv: Glockenkurve wird angezeigt.

Default: aktiv

Text Wertachse

Text für die Wertachse. Klick auf Schaltfläche ... öffnet die Sprachtabelle für die Konfiguration des Textes.

Default: Frequency (StatisticalFrequency)

Hinweis: Alle Linien werden vertikal gezeichnet. Ausgenommen die Glockenkurve.

CRI-Konfiguration

Hinweise zur benutzerdefinierten Reportkonfiguration:

Dieses benutzerdefinierte Reportelement stellt Histogramme dar.

Grafische Darstellung (CRI):

  • Alles, was zu einer Variable gehört, hat die gleiche Farbe.
  • Häufigkeitsverteilung erfolgt in Klassen (Säulen).
  • Glockenkurve ist per Default aktiviert und wird mit durchgezogener Linie dargestellt. Kann deaktiviert werden.
  • Minimum, Durchschnitt, Maximum, Sigma, 2 x Sigma, 3 x Sigma: Alle optional deaktivierbar.
    • Default: Nur 1-Sigma ist aktiviert und wird mit strichlierten Linien dargestellt.
  • Farben und Alpha-Wert für Säulenfüllung sind in den Reportstilen konfigurierbar.
  • Das CRI zeigt nur auf den Achsen Werte an.

Elemente:

  • Titel (optional)
    Ist der Titel zu lange für den definierten Platz, wird eine Fehlermeldung angezeigt.
  • Zeichenbereich (links)
  • Legende (rechts)

Zeichenbereich:

  • Ein Histogramm je Variable:
    • 1 Farbe je Variable. Beim Erreichen des Endes der Farbliste wird wieder von vorne begonnen.
    • Darstellung von links nach rechts.
    • Variablen werden alphabetisch aufsteigend sortiert.
    • Die Klassenanzahl wird aus der Anzahl der Werte abgeleitet:
      Minimum: 7 Klassen
      Maximum: 20 Klassen
      Dazwischen: vn für 50 < n < 400 (n ist die Anzahl der klassifizierten Werte)
  • Gauss’sche Glockenkurve: Aus den Werten der jeweiligen Variable errechnet. Per Default eingeblendet.
    Linienstil und Linienbreite sind konfigurierbar. Default jeweils durchgezogene Linie mit einer Breite von 1 Punkt.
  • Linien für Minimum, Maximum, und 1, 2, 3 Standardabweichungen (Sigma) werden aus den Werten der jeweiligen Variable errechnet.
    Per Default sind die Linien für 1 Sigma eingeblendet.
    Linienstil und Linienbreite sind konfigurierbar. Default jeweils strichlierte Linie mit einer Breite von 1 Punkt.
  • Zeichenfläche:
    Die Zeichenfläche wird an den von den Histogrammen benötigten Platz angepasst. In der vertikalen Dimension wird zusätzlich noch die Höhe der Glockenkurve berücksichtigt. Der Höhepunkt der Glockenkurve ist somit immer sichtbar. Zusätzlich wird um die dargestellten Daten noch ein Rand von 5% nach links, rechts und oben berücksichtigt. Damit stoßen die Elemente nicht direkt an den Rand der Zeichenfläche.
    Auf die Indikatorlinien wird keine Rücksicht genommen. Es können sich also z.B. die Sigma-Linien ausserhalb der Zeichenfläche befinden und damit unsichtbar sein.
  • Histogramme:
    Wenn unterschiedliche Variablen mit sehr verschiedenen Wertebereichen verwendet werden, die dazu führen, dass die Histogramme sehr gedrängt gezeichnet werden, sind die Daten eventuell nur eingeschränkt sichtbar.

Legende:

  • Darf maximal 50 % der Gesamtbreite des Elements benötigen.
  • 1 Zeile je Variable.
    Einfärbung und Sortierung wie Histogramme.
  • Wird ein Text zu lange, wird er gekürzt.
    Modus: Ein Teil aus der Mitte des Textes wird durch ... ersetzt.
    Hintergrund: Der Variablenname steht immer am Ende des vollen Namens (Projekt#Archiv – Variable).
  • Sind mehr Variablen vorhanden, als in der Box dargestellt werden können, dann wird anstelle der letzten zeichenbaren Variablen ... in die Legende geschrieben.

Vertikale Achse:

  • Anstatt einer Einheit hat das Histogramm einen eigenes konfigurierbaren Text für die vertikale Achse.

Eigenschaften in der Kategorie Data:

Name | Beschreibung
Average | Feldzugriff für Durchschnitt einer Variable.
ClassLower | Feldzugriff für untere Klassengrenze.
ClassHigher | Feldzugriff für obere Klassengrenze.
Count | Feldzugriff für Anzahl der Werte in einer Klasse.
DataSetName | Name des Datasets. Ist immer vorhanden.
Maximum | Feldzugriff für Maximum einer Variable.
Minimum | Feldzugriff für Minimum einer Variable.
StandardDeviation | Feldzugriff für die Standardabweichung einer Variable.
Unit | Feldzugriff für die Einheit.
Variable | Feldzugriff für den Variablennamen.


Messinstrument

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Messinstrument

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.
Es werden nur Datasets angeboten, die ein Messinstrument zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Dargestellter Wert

Auswahl des Werts, der dargestellt werden soll, aus Dropdownliste. Welche Werte zur Verfügung stehen, hängt ab von der Reportvorlage.

Es stehen alle in der Report-Vorlage vorhandenen Parameter-Einstellungen zur Verfügung, die in den Parameterausgabebereich schreiben können.

Unterer Bereich

Einstellung für unteren Grenzwert.

Welche Werte zur Verfügung stehen, hängt ab von der Reportvorlage.

Muss kleiner sein als Oberer Bereich.

Oberer Bereich

Einstellung für oberen Grenzwert.

  • Welche Werte zur Verfügung stehen, hängt ab von der Reportvorlage.

Muss größer sein als Unterer Bereich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Messinstrument-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Wert für Textbox anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile der aktuelle Wert angezeigt wird.

  • aktiv: Wert wird angezeigt

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Zeitfilter-Begrenzungen verwenden
  • Aktiv: Die Zeitfilter werden als Begrenzer für die X-Achse verwendet.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Paretodiagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Paretodiagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Das Paretodiagramm steht in unterschiedlichen Ausprägungen zur Verfügung für:

  • Alarm- und Ereigisanalyse
  • Maschienenbasierte/Linienbasierte Produktionsanalyse

Dialog Diagramm-Konfiguration

Paretodiagramm für Alarm- und Ereignisanalyse

Dieses Paretodiagramm stellt, abhängig von den in der Stored Procedure vorhandenen Spalten, folgende Informationen zur Verfügung:

  • Linke Y-Achse: von 0 bis zum Maximum der Absolutwertsummen
  • Rechte Y-Achse: von 0 % bis zum Maximum der Relativwertsummen
  • 10 Abstufungen auf beiden Y-Achsen
  • Balken mit Absolutwerten der Gruppen werden gezeichnet und an die linke Y-Achse gebunden
  • Linie mit Relativwertsummen der Gruppen wird gezeichnet (mit Markierungen der einzelnen Punkte) und an die rechte Y-Achse gebunden

Dafür müssen in der SP folgende Spalten vorhanden sein:

  • Absolutwert einer Gruppe
  • Relativwert einer Gruppe
  • Summe des Absolutwertes dieser Gruppe und aller vorherigen Gruppen
  • Summe des Relativwertes dieser Gruppe und aller vorherigen Gruppen

Konfigurationsdialog

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Paretodiagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste:

  • Säulendiagramm

Darf nicht leer sein.

Gruppierung

Auswahl der Gruppierung aus Dropdownliste..

Y-Achsenfeld

Auswahl des anzuzeigenden Aspekts aus Dropdownliste:

  • Alarmanzahl
  • Alarmzeit brutto
  • Alarmzeit netto

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Konfiguration Maschienenbasierte/Linienbasierte Produktionsanalyse

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Paretodiagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste:

  • Säulendiagramm

Darf nicht leer sein.

X-Achsenfeld

Variablenname. Wird vorgegeben.

Y-Achsenfeld

Zeitfaktor, relativ oder absolut.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften für alle Paretodiagramme

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Polardiagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Polardiagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Polardiagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste. Das Diagramm unterstützt die Darstellungsarten:

  • Polardiagramm
  • Radardiagramm

Darf nicht leer sein.

Y-Achsenfeld

Auswahl der Verdichtungsart aus Dropdownliste:

  • Summe
  • Durchschnitt
  • Minimum
  • Maximum

Default: Summe

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Rasterdiagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Rasterdiagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Rasterdiagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Diagrammtyps aus Dropdownliste:

  • Rasterdiagramm

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Farben Rasterdiagramm

Klick auf Schaltfläche ... öffnet den Dialog zur Bearbeitung des Farbverlaufs im Rasterdiagramm.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Noch in diesem Kapitel

Dialog Rasterdiagramm-Farben


Dialog Rasterdiagramm-Farben

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Rasterdiagramm > Dialog Rasterdiagramm-Farben

Konfiguration der Farben für das Rasterdiagramm.

Zur Auswahl stehen nur Farben am Rand des HSV-Farbkreises. S und V werden bei 1 fixiert und H wird durchlaufen. Der Farbverlauf zwischen Minimum- und Maximum-Farbe wird durch den kürzesten Verbindungsweg am Rand des HSV-Farbkreises definiert.

HSV für Rasterdiagramm-Farben

  • H: Farbwert als Farbwinkel auf dem Farbkreis.
    • 0°: Rot
    • 120°: Grün
    • 240°: Blau
  • S: Sättigung in einem Intervall von Null bis Eins: Fixwert 1
  • V: Hellwert von Null bis Eins, auch Dunkelstufe genannt. Fixwert 1

Dialog Rasterdiagramm-Farben

Es können Minimalwert und Maximalwert der Farbe eingestellt werden. Dadurch ergibt sich der Farbverlauf.

Option | Beschreibung
Rasterdiagramm-Farben | Farbauswahl für Beginn- und Endfarbe des Farbverlaufs im Rasterdiagramm.
Farbe Minimalwert | Farbe des Minimalwerts. Konfiguration über den Schieberegler.
Farbe Maximalwert | Farbe des Maximalwerts. Konfiguration über den Schieberegler.
Farbverlaufvorschau | Vorschau auf die konfigurierte Farbe.


Sankey-Diagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Sankey-Diagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Sankey-Diagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Elements aus Dropdownliste:

  • Sankey-Diagramm

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Streudiagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Streudiagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Verlustzeiten-Diagramm

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Streudiagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste:

  • Streudiagramm

Darf nicht leer sein.

X-Achsenfeld

Horizontaler Indikatorwert. Stellt Bedeutung der ersten Variablen dar.

Darf nicht leer sein.

Y-Achsenfeld

Horizontaler oder vertikaler Indikatorwert. Stellt Bedeutung der zweiten Variablen dar.

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Zeitfilter-Begrenzungen verwenden
  • Aktiv: Die Zeitfilter werden als Begrenzer für die X-Achse verwendet.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Trend-Diagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Trend-Diagramm

Trend-Diagramme bieten abhängig vom Report und dessen Konfiguration X-Achse und Y-Achse zur Konfiguration an. Die Y-Achse ist immer konfigurierbar und kann auch mehrere Werte enthalten. Für Vergleichsreports mit vereinigten Zeitbereichen werden für die X-Achse auch die Spalte Offset Timespan, Offset Seconds und Offset Label angeboten. Diese sind jeweils je Zeitstempel-Ausgabespalte des Datasets vorhanden.

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Trend-Diagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste:

  • Balkendiagramm
  • Liniendiagramm

Darf nicht leer sein.

X-Achsenfeld

Auswahl des Wertebereichs für die X-Achse aus Dropdownliste. Wird abhängig von Reportkonfiguration angeboten.

Y-Achsenfeld

Auswahl des Feldes aus Dropdownliste, das im Diagramm als Wertebereich dargestellt werden soll.
Bei Reports mit mehreren Serienspalten können mehrer Y-Werte mit Checkboxen ausgewählt werden.

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Zeitfilter-Begrenzungen verwenden
  • Aktiv: Die Zeitfilter werden als Begrenzer für die X-Achse verwendet.

Datenbezeichner Diagrammserien anzeigen
  • Aktiv: Jede Säule wird mit Beschriftung angezeigt.

Default: inaktiv

Verfügbar für:

  • Säulendiagramm

Skalierungsunterbrechungen verwenden
  • Aktiv: Wenn im Wertbereich des Diagramms eine Lücke erkannt wird, wird auf der Wertachse eine Unterbrechung angezeigt.

Default: aktiv

Verfügbar für:

  • Säulendiagramm
  • Liniendiagramm

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Trend mit Grenzen

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Trend mit Grenzen

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die einen Trend mit Grenzen zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Elements aus Dropdownliste:

  • Regelkarte für Durchschnitt
  • Regelkarte für Standardabweichung

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.

Trend mit Grenzen

Eigenschaft

Beschreibung

Wert für horizontale Achse

Wert für Horizontale Achse. Welche Werte verfügbar sind, hängt von der Reportvorlage ab. Auswahl aus Dropdownliste:

  • Sortierungsnummer
  • Von-Zeitstempel
  • Bis-Zeitstempel

Default: Bis-Zeitstempel

Grenzlinien

Festlegung, welche Grenzlinien angezeigt werden sollen. Welche Werte verfügbar sind, hängt von der Reportvorlage ab. Auswahl aus Dropdownliste:

  • Alle Linien anzeigen
  • Nur Linien für die Grenzen anzeigen

Default: Alle Linien anzeigen

Beschriftungen für Grenzen anzeigen

Auswahl, ob für die Grenzwerte Beschriftungen angezeigt werden:

  • Aktiv: Beschriftungen werden angezeigt.
  • Inaktiv: Es werden keine Beschriftungen angezeigt.

Default: aktiv

Flächen mit Verletzung füllen

Auswahl, ob im Diagramm die Flächen zwischen Grenzwertlinie und Linie für den aktuellen Wert eingefärbt werden:

  • Aktiv: Flächen für Grenzwertverletzung werden eingefärbt.
  • Inaktiv: Flächen werden nicht eingefärbt.

Default: inaktiv

Werte für Reportvorlagen

Für die Eigenschaften Grenzlinien und Wert für horizontale Achse werden Werte immer abhängig vom Kontext zur Verfügung gestellt:

Eigenschaft

Reportvorlage

Verfügbare Werte

Grenzlinien
  • Regelkarte
  • Regelkarte basierend auf Rohdaten
  • alle Grenzlinien anzeigen
  • nur Fehlergrenzlinien anzeigen

Grenzlinien
  • Archivtrend mit Grenzen mit Variablenauswahl
  • Trend Archivverdichtung mit Grenzen mit Variablenauswahl
  • alle Grenzlinien anzeigen
  • nur obere Fehlerlinie anzeigen
  • nur untere Fehlerlinie anzeigen

Wert für horizontale Achse
  • Regelkarte
  • Regelkarte basierend auf Rohdaten
  • Sortierungsnummer
  • Von-Zeitstempel
  • Bis-Zeitstempel

Wert für horizontale Achse
  • Trend Archivverdichtung mit Grenzen mit Variablenauswahl
  • Von-Zeitstempel
  • Bis-Zeitstempel

Wert für horizontale Achse
  • Archivtrend mit Grenzen mit Variablenauswahl
  • Zeitstempel

CRI-Konfiguration

Hinweise zur benutzerdefinierten Reportkonfiguration:

Eigenschaften in der Kategorie Data:

Name | Beschreibung | Default
DataSetName | Name des Datasets, aus dem die Daten stammen | Leer
VariableName | Zugriff auf die Spalte für den Variablennamen | Leer
OrderIndex | Zugriff auf die Spalte für die Sortierungsnummer eines Werts | Leer
StartTimeStamp | Zugriff auf die Spalte für den Startzeitstempel eines Werts | Leer
EndTimeStamp | Zugriff auf die Spalte für den Endzeitstempel eines Werts | Leer
Value | Zugriff auf die Spalte für einen Wert | Leer
Unit | Zugriff auf die Spalte für die Einheit eines Werts | Leer

Eigenschaften in der Kategorie Grenzen:

Name | Beschreibung | Default
HigherErrorLimit | Obere Fehlergrenze | 0
HigherWarningLimit | Obere Warngrenze | 0
TargetValue | Zielwert | 0
LowerWarningLimit | Untere Warngrenze | 0
LowerErrorLimit | Untere Fehlergrenze | 0

Bei Validierungsfehlern wird nichts gezeichnet und eine Fehlermeldung angezeigt.

Validierungen:

  • Wenn nicht anders beschrieben, darf keine Eigenschaft leer bleiben.
  • Ist nur 1 Variable vorhanden, darf der Variablenname leer bleiben.
  • Sind 2 oder mehr Variablen vorhanden, muss jede Variable einen eindeutigen Namen haben.
  • Für das gewählte Element der horizontalen Achse gilt: Jeder Wert muss in dieser Spalte einen Wert haben, der innerhalb der Variablen eindeutig ist.
  • Werden nur die Fehlergrenzen angezeigt, muss die obere Fehlergrenze größer der unteren Fehlergrenze sein.
  • Werden alle Grenzen angezeigt, gilt: Untere Fehlergrenze < Untere Warngrenze < Zielwert < Obere Warngrenze < Obere Fehlergrenze.

Hinweise zum Zeichnen:

  • Die Legende wird nur gezeichnet, wenn mindestens eine Variable vorhanden ist und deren Name nicht leer ist.
  • Beschriftungen werden mit Einheit angezeigt, wenn alle Variablen die gleiche Einheit haben und diese nicht leer ist.
  • Würden sich Beschriftungen für Grenzen überschneiden, werden diese verschoben, bis die Überschneidung aufgehoben ist. Dabei verlassen die Beschriftungen allerdings nicht den Bereich der Achse.
  • Auf den Achsen werden Zuweisungslinien zwischen den Beschriftungen und der von ihnen repräsentierten Position auf der Achse gezeichnet.
  • Zeitstempel werden auf der horizontalen Achse zweizeilig angezeigt. Ist die Sortierungsnummer gewählt, wird diese einzeilig dargestellt.


Verdichtungsdiagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Verdichtungsdiagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Verdichtungsdiagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste:

  • Balkendiagramm
  • Kreisdiagramm

Darf nicht leer sein.

Verdichtungstyp

Auswahl des Verdichtungstyps aus Dropdownliste:

  • Summe
  • Minimum
  • Maximum
  • Durchschnitt

Darf nicht leer sein.

Y-Achsenfeld

Auswahl des Feldes aus Dropdownliste, das im Diagramm als Wertebereich dargestellt werden soll.
Bei Reports mit mehreren Serienspalten können mehrer Y-Werte mit Checkboxen ausgewählt werden.

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Datenbezeichner Diagrammserien anzeigen
  • Aktiv: Jede Säule wird mit Beschriftung angezeigt.

Default: inaktiv

Verfügbar für:

  • Säulendiagramm

Skalierungsunterbrechungen verwenden
  • Aktiv: Wenn im Wertbereich des Diagramms eine Lücke erkannt wird, wird auf der Wertachse eine Unterbrechung angezeigt.

Default: aktiv

Verfügbar für:

  • Säulendiagramm

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Verdichtungsdiagramm Indikatoren

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Verdichtungsdiagramm Indikatoren

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die Indikatorenfür Verdichtungsdiagramme zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste:

  • Balkendiagramm

Darf nicht leer sein.

Es kann nur das Balkendiagramm verwendet werden.

Verdichtungstyp

Auswahl des Verdichtungstyps aus Dropdownliste:

  • Summe
  • Minimum
  • Maximum
  • Durchschnitt

Darf nicht leer sein.

Y-Achsenfeld

Auswahl des Feldes, das im Diagramm als Wertebereich dargestellt werden soll. Bis zu vier Spalten können über Aktivierung der Checkboxen gewählt werden:

  • Verfügbarkeit
  • Leistung
  • Qualität
  • OEE

Mindestens ein Checkbox muss aktiviert werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Vergleich zum Standard

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Vergleich zum Standard

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms
  • Das Diagramm verfügt über:
  • Balken-Trend-Diagramm mit einer Serie für Relativverbrauch
  • Zusatz-Serie: Linientrend für Standard

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Diagramm für Vergleich zum Standard zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Diagrammtyps aus Dropdownliste:

  • Diagramm für Vergleich zum Standard

Darf nicht leer sein.

X-Achsenfeld

Auswahl Zeitstempelfeld für die X-Achse aus Dropdownliste.

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Skalierungsunterbrechungen verwenden
  • Aktiv: Wenn im Wertbereich des Diagramms eine Lücke erkannt wird, wird auf der Wertachse eine Unterbrechung angezeigt.

Default: aktiv

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Verlustzeiten-Diagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Verlustzeiten-Diagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Verlustzeiten-Diagramm

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Verlustzeiten-Diagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Diagrammtyps aus Dropdownliste:

  • Relativverlustzeiten-Diagramm
  • Absolutverlustzeiten-Diagramm

Darf nicht leer sein.

X-Achsenfeld

Auswahl der Spalte für die Zeitachse aus Dropdownliste.

Darf nicht leer sein.

Y-Achsenfeld

Auswahl der Spalte für die Wertachse.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Zeitfilter-Begrenzungen verwenden
  • Aktiv: Die Zeitfilter werden als Begrenzer für die X-Achse verwendet.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Verteilungsdiagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Verteilungsdiagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Verteilungsdiagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste:

  • Säulendiagramm

Darf nicht leer sein.

Y-Achsenfeld

Auswahl des Feldes aus Dropdownliste, das im Diagramm als Wertebereich dargestellt werden soll.
Bei Reports mit mehreren Serienspalten können mehrer Y-Werte mit Checkboxen ausgewählt werden.

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Wasserfall-Diagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Wasserfall-Diagramm

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein Wasserfall-Diagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Diagrammtyp

Auswahl des Diagrammtyps aus Dropdownliste:

  • Säulendiagramm
  • Balkendiagramm

Darf nicht leer sein.

X-Achsenfeld

Variablenname. Wird vorgegeben.

Diagrammtyp

Darstellungsart. Auswahl aus Dropdownliste:

  • Kompakt
  • Detailliert

Default: Kompakt

Y-Achsenfeld

Zeitfaktor, relativ oder absolut.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


XY-Diagramm

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > XY-Diagramm

Das XY-Diagramm zeigt an:

  • X-Achse: Werte
  • Y-Achse: Werte

Bei mehreren Serien wird jede Serie durch eine Linie repräsentiert. Die Line zeigt den zeitlichen Verlauf der beiden Wert-Indikatoren an.

Das Diagramm wird aus dem Ribbon Report/Design/Reportelemente in den Designbereich eingefügt.
Die Konfiguration erfolgt über:

  • den Dialog Diagramm-Konfiguration beim Einfügen des Diagramms
    und
  • die Eigenschaften des Diagramms

Dialog Diagramm-Konfiguration

In diesem Dialog konfigurieren Sie die Datenherkunft für das Diagramm und die Anzeige.
Die Positionierung und Parametereinstellungen konfigurieren Sie über die Eigenschaften des Diagramms.

Option

Beschreibung

Dataset

Auswahl des gewünschten Datasets aus Dropdownliste.

Darf nicht leer sein.

Es werden nur Datasets angeboten, die ein XY-Diagramm zur Verfügung stellen. Wenn möglich, wird ein Eintrag vorausgewählt.

Reportelement

Auswahl des Elements aus Dropdownliste:

  • XY-Diagramm

Darf nicht leer sein.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Eigenschaften Diagramm

Eigenschaften des Diagramms.

Allgemein

Allgemeine Einstellungen.

Eigenschaft

Beschreibung

Diagramm-Konfiguration

Klick auf die Schaltfläche ... oder Doppelklick auf den Eintrag öffnet den Dialog für die Diagrammkonfiguration.
Die Konfiguration kann auch mit einem Doppelklick auf das Diagramm geöffnet werden.

Reportelement-Name

Name des Elements im Designbereich. Kann im Feld direkt geändert werden.

Zeitfilter

Auswahl eines Zeitfilters aus der Dropdownliste.
Es werden alle konfigurierten Zeitfilter angeboten.

Bezeichnung anzeigen

Entscheidet, ob für das Diagramm in einer Kopfzeile die Bezeichnung angezeigt wird.

  • aktiv: Bezeichnung wird angezeigt

Bezeichnung

Bezeichner für Kopfzeile.

Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts.

Default: Bezeichnung - als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Nachkommastellen

Auswahl der anzuzeigenden Nachkommastellen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 10

Default: 3
Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.

Schlüsselwort bei nicht verfügbaren Daten

Wenn im Report Launcher keine Daten verfügbar sind, wird das hier ausgewählte Schlüsselwort in der Kopfzeile angezeigt.
Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselwortes.

Skalierungsunterbrechungen verwenden
  • Aktiv: Wenn im Wertbereich des Diagramms eine Lücke erkannt wird, wird auf der Wertachse eine Unterbrechung angezeigt.

Default: aktiv

Layout

Einstellungen für die Platzierung des Elements im Report.

Eigenschaft | Beschreibung
Oben | Abstand zum oberen Rand des Elementbereichs in Millimeter. Minimum: 1 Gittereinheit
Links | Abstand zum linken Reportrand in Millimeter. Minimum: 1 Gittereinheit
Breite | Breite in Millimeter.
Höhe | Höhe in Millimeter.


Diagramme mit mehreren Serienspalten

zenon Analyzer > Reportvorlagen > Grafische Konfiguration > Diagramme > Diagramme mit mehreren Serienspalten

Verdichtungsdiagramme und Trend-Diagramme für pivotierte Datasets oder für Datasets mit mehreren Serienspalten (z.B. Maschinenbasierte Produktionsanalyse) ermöglichen die Auswahl der Serienspalten für die Y-Achse per Checkbox. Es muss mindestens eine Spalte ausgewählt werden.

Diagramm-Konfiguration pivotiertes Dataset

Diagramm-Konfiguration Produktivitätsindikatoren Analyse


Report-Einstellungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen

Eigenschaften und Dialoge zur Parametrierung und Konfiguration von Reports.

Report-Einstellungen

Die Konfigurationselemente werden so sortiert angeboten, dass sie von oben nach unten konfiguriert werden können. Im oberen Bereich befinden sich die Elemente, die von anderen benötigt werden. Elemente, die nur das Hauptdataset betreffen, sind unten angeordnet.

Beispiel:

Wird ein Konfigurationselement ausgewählt, dann werden dessen Abhängigkeiten mit farbigen Pfeilen angezeigt:

  • Oranger Pfeil: Dieses Element wird vom ausgewählten Element verwendet.
  • Blauer Pfeil: Dieses Element benötigt das ausgewählte Element.

Für jeden Pfeil kann ein Tooltip mit Informationen zu den Abhängigkeiten angezeigt werden.

Ausgeblendete Elemente

Wird eine Report-Einstellung für den aktuellen Report nicht benötigt, dann wird sie automatisch als deaktiviert markiert. Deaktivierte Elemente werden mit grauer Hintergrundfarbe dargestellt:

  • Hellgrau: Element ist deaktiviert
  • Dunkelgrau: Element ist deaktiviert und ausgewählt

Die Eigenschaften einer deaktivierten Report-Einstellung wird mit dem Hinweis Inaktiv gekennzeichnet:

Ist eine Report-Einstellung deaktiviert, hat das folgende Auswirkungen:

  • Bei der Default Layout-Erzeugung werden Parameter oder andere Einstellungen dieses Settings nicht im Parameterausgabebereich eingefügt.
  • Parameter oder andere Einstellungen dieses Settings können nicht manuell im Parameterausgabebereich eingefügt werden.
  • Beim Bereitstellen des Reports werden weder Dataset noch Report Parameter für dieses Setting in den Report eingefügt.

Report-Einstellungen

Folgende Report-Einstellungen stehen zur Verfügung:

  • Alarm- und Ereignisgruppen
  • Alarm- und Ereignisgruppen Vorfilter
  • Alarmgruppierung
  • Alarm- und Ereignisklassen
  • Alarm- und Ereignisklassen Vorfilter
  • Alarm- und Ereigniskommentar
  • Alarmursache
  • Alarm Rückblickzeit
  • Anlagenmodelle und Anlagengruppen
    • Anlagenmodelle
    • Anlagenmodelle für Ausgabe
    • Anlagengruppe obligatorisch
    • Anlagengruppe optional
    • Anlagengruppen Wasserkraft ohne Mehrfachauswahl
    • Anlagengruppen Wasserkraft mit Mehrfachauswahl
    • Gantt-Anlagengruppe
    • OEE Anlagengruppe
    • Anlagengruppen-Namen
  • Archive (von Projekten)
  • Archivkomprimierung
  • Bedeutungen für XY-Diagramm
  • Benutzerdefinierte Formeln
  • Betriebszeiten-Zähler
  • Betriebszeit pro Betriebsmodus
  • Betriebszeit pro Komponente
  • Betriebszeit pro Lastbereich
  • Chargenarchiv
  • Connector
  • Daten für Alarmursachen
  • Defaultwert für N
  • Detailbezeichnung
  • Direktwerte
  • Durchschnitts- und Standardabweichung
  • Eingabeelemente
    • Farbauswahl
  • Effizienzklassenformel
  • Effizienklassenmodell
  • Effizienzklassenname
  • Ereignisgruppierung
  • Ereignistyp
  • Ereigniszähler
    • Alle Ereignisse
    • Sollwertänderungs-Ereignisse
    • Turbinengeschwindigkeit bei Lastabwurf-Ereignissen
    • Umschaltungen des Düsenmodus
    • Wirkleistung bei Lastabwurf-Ereignissen
  • Farbenanzahl
  • Filter Liniendaten und Maschinendaten
  • Frequenz Bedeutungen
  • Gantt-Konfiguration
  • Grenzen für Regelkarte
  • Gruppierung und Überlappungsbereinigung
  • Haupt-Dataset
    • Pivotiertes Hauptdataset
  • Konfiguration der Sortierung
  • Konfiguration Windrose
  • Konfiguration X-Y-Achsen
  • Leistungsschalter Bezeichnungen
  • Linienindikator Bedeutungen
  • Linien-Verlustzeiten Bedeutungen
  • Maschinenindikatoren-Bedeutungen
  • Maschinenstart-Zähler
  • Maßeinheit Effizienklassenmodell
  • Maximalwert
  • Minimalwert
  • Obere Grenze
  • OEE-Bedeutungen
  • Produktionszählerkonfiguration
  • Projekt
  • Projektauswahl
  • Prozessfähigkeit
  • Intervall für Prozessfähigkeit
  • Reportname und Reportpfad
  • Rückblickzeit
  • Sankey-Diagramm Auswahl
  • Schaltspiel Schaltanlage und Schaltspiel Leistungsschalter
  • Schichtunterbrechungs-Bereinigung
  • Schlüsselwörter
    • Schlüsselwörter bei nicht verfügbaren Daten
    • Schlüsselwörter Betriebsmodus-Ereignisse
    • Schlüsselwörter Betriebsstunden
    • Schlüsselwörter Betriebsstunden pro Modus
    • Schlüsselwörter Düsenmodus-Ereignisse
    • Schlüsselwörter Ein- Ausschaltungen
    • Schlüsselwörter Komponententausch und -wartung
    • Schlüsselwörter Lastabwurf Turbinengeschwindigkeit
    • Schlüsselwörter Lastabwurf Wirkleistung
    • Schlüsselwörter Maschinenstarts
    • Schlüsselwörter Relativzähler
    • Schlüsselwörter Verluste
    • Schlüsselwörter Windrichtung
    • Schlüsselwörter Wirk- und Blindleistung
  • Soll-Ist Bedeutungen
  • Sortierung Effizienzklassen
  • Standard
  • Streudiagramm Bedeutungen
  • Toleranz
  • Turbinengeschwindigkeits-Sekunden
  • Top N Berechnung
  • Untere Grenze
  • Variable basierend auf Archiv oder Anlagengruppe
  • Variablen (von Anlagengruppen)
  • Variablen (von Archiven)
  • Variable für X (von Archiv)
  • Variable für Y (von Archiv)
  • Variablenfilter
  • Variablen mit Maßeinheit-Filter (von Archiven)
  • Verdichtungsfunktion
  • Verdichtungsintervall
  • Verlustzeiten-Bedeutung
  • Wasserfall
  • Wiederholungen für Chargenerkennung
  • Zeitfensterbeginn
  • Zeitfensterende
  • Zeitfilter

Noch in diesem Kapitel

Hauptdataset

Pivotiertes Hauptdataset

Reportname - Reportpfad - Kommentare

Zeitfilter

Alarm- und Ereignisgruppen

Alarm- und Ereignisgruppen Vorfilter

Alarmgruppierung

Alarm- und Ereignisklassen

Alarm- und Ereignisklassen Vorfilter

Alarm- und Ereigniskommentar

Alarmursache

Alarm Rückblickzeit

Anlagenmodelle und Anlagengruppen

Archive (von Projekten)

Archivkomprimierung

Bedeutungen für XY-Diagramm

Benutzerdefinierte Formeln

Betriebszeiten-Zähler

Betriebszeit pro Betriebsmodus

Betriebszeit pro Komponente

Betriebszeit pro Lastbereich

Chargenarchiv

Connector

Daten für Alarmursachen

Defaultwert für N

Detailbezeichnung

Direktwerte

Durchschnitt und Standardabweichung

Eingabeelemente

Effizienzklassenformel

Effizienklassenmodell

Effizienzklassenname

Ereignisgruppierung

Ereignistyp

Ereigniszähler

Farbenanzahl

Filter Liniendaten und Maschinendaten

Frequenz Bedeutungen

Gantt-Konfiguration

Grenzen für Regelkarte

Gruppierung und Überlappungsbereinigung

Konfiguration der Sortierung

Konfiguration Windrose

Konfiguration X-Y-Achsen

Leistungsschalter Bezeichnungen

Linienindikator Bedeutungen

Linien-Verlustzeiten Bedeutungen

Maschinenindikator Bedeutungen

Maschinenstart-Zähler

Maßeinheit Effizienklassenmodell

Maximalwert

Minimalwert

Obere Grenze

OEE-Bedeutungen

Predictive Analytics

Produktionszählerkonfiguration

Projekt

Projektauswahl

Prozessfähigkeit

Intervall für Prozessfähigkeit

Rückblickzeit

Sankey-Diagramm Auswahl

Schaltspiel Schaltanlage und Schaltspiel Leistungsschalter

Schichtunterbrechungs-Bereinigung

Schlüsselwörter

Sortierung Effizienzklassen

Soll-Ist Bedeutungen

Standard

Streudiagramm Bedeutungen

Toleranz

Turbinengeschwindigkeits-Sekunden

Top N Berechnung

Untere Grenze

Variable basierend auf Archiv oder Anlagengruppe

Variablen (von Anlagengruppen)

Variablen (von Archiven)

Variable für X (von Archiv)

Variable für Y (von Archiv)

Variablenfilter

Variablen mit Maßeinheit-Filter (von Archiven)

Verbrauchsintervall

Verdichtungsfunktion

Verdichtungsintervall

Verlustzeiten-Bedeutung

Wasserfall

Wertdarstellung Sankey-Diagramm

Wiederholungen für Chargenerkennung

Wirk- und Blindleistungszähler

Wirkleistungssekunden

Zeitfensterbeginn

Zeitfensterende


Hauptdataset

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Hauptdataset

Ein Dataset definiert den Zugriff eines Reports auf die auszuwertenden Daten.
Es wird unterschieden zwischen:

  • Eingabeparameter: Diese werden üblicherweise über die Filtereinstellungen des Reports gesetzt (z. B: Berichtszeitraum, verwendete Variablen, usw.).
  • Rückgabeparameter: Diese sind die aufbereiteten Daten, die zur Anzeige im Report verwendet werden.

Hauptdatasets werden unterteilt in:

  • Hauptdataset: Führt die eigentliche Datenaufbereitung durch.
    • Kann Hilfsdatasets enthalten: Unterstützen bei der Bereitstellung der nötigen Daten.
  • Informations-Hauptdataset (IMDS):
    • Wird ohne Verknüpfung mit dem Zeitfilter eingefügt.
    • Hat genau einen Dataset-Knoten im RDL.
    • Wird bei Benennung nicht mit Zeitfilternamen erweitert.

In einem Report können mehrere Datasets verwendet werden.

Eigenschaften Hauptdataset

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Dataset-Name

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Hinweis: Entspricht dem Namen des Datasets in der RDL Report Definition. Dieser wird beim Bereitstellen mit dem Namen des Zeitfilters ergänzt. Dieser Name muss in Bezug auf Namen von Parametern, Einstellungen oder Report Items einzigartig sein.

Spalten konfigurieren

Anzeige und Konfiguration der Spalten des Datasets.

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration der Spalten.

Zeitbereiche vereinigen
  • Aktiv: Zeitbereiche in diesem Dataset werden vereinigt.

Nur verfügbar, wenn das Dataset Zeitbereichsvereinigung zulässt und mindestens 2 Zeitfilter vorhanden sind.

Pivot-Dataset
  • Aktiv: Das Dataset wird pivotiert.

Pivot-Spalten konfigurieren

Anzeige und Konfiguration der Pivot-Spalten des Datasets.
Nur verfügbar, wenn Pivot-Dataset aktiviert wurde.

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration der Spalten.

Noch in diesem Kapitel

Dataset-Spalten konfigurieren

Berechnete Felder


Dataset-Spalten konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Hauptdataset > Dataset-Spalten konfigurieren

Die Spalten eines Haupt-Datasets können von verschiedenen Report-Elementen verwendet werden. Daher werden die Spaltennamen nicht direkt beim Report-Element (wie Tabelle oder Diagramm) konfiguriert, sondern im Haupt-Dataset.

Um Spaltennamen zu konfigurieren:

  1. Klicken Sie in den Eigenschaften des Haupt-Datasets auf die Schaltfläche ... der Eigenschaft Spalten konfigurieren.

    Der Dialog zur Konfiguration der Spaltennamen wird geöffnet.

  2. Vergeben Sie den benötigten freien Text für die gewünschten Spaltennamen.

    Hinweis Pivotierung: Da bei der Pivotierung die Spalten dynamisch angelegt werden, können vorab keine Schlüsselwörter zugeordnet werden. Pivotierungsspalten verfügen damit immer über Freitext. Dieser kann aber auch mit einem Schlüsselwort belegt werden.

  3. Schließen Sie den Dialog mit Klick auf OK.

Dialog Dataset-Spalten konfigurieren

Option

Beschreibung

Symbol +

Klick auf Symbol öffnet Dialog zum Hinzufügen berechneter Felder.

Spalte

Anzeige Feldname.

Spaltenname (Schlüsselwort)

Anzeige des Schlüsselworts für die Spalte.

Spaltenname für freien Text

Auswahl eines Schlüsselworts über Klick auf Schaltfläche ... oder Eingabe eines freien Texts für den Spaltennamen.

  • Wird kein Freitext eingegeben, dann wird das Schlüsselwort verwendet. Bei IMDS wird Freitext oder der Spaltenname als Schlüsselwort verwendet.
  • Wird ein Freitext eingegeben, dann wird dieser verwendet.
  • Maximale Länge: 199 Zeichen

Hinweis: Manche Spalten werden nur angezeigt. Ihr freier Text kann nicht geändert werden.

Dialog beenden

Option | Beschreibung
Validieren | Überprüft Konfiguration und gibt das Ergebnis in der Fußzeile aus. Tastenkombination: Ctrl-Eingabe. Das zu validierende Feld muss dabei den Fokus haben.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Validierung

Der Dialog kann mit Klick auf die Schaltfläche Validierung auf korrekte Konfiguration überprüft werden. Das Ergebnis der Validierung wird in der Fußzeile angezeigt. Ein Symbol und eine Nachricht informieren über das Ergebnis.
Bei Fehlern wird die Fehlermeldung der Reporting Services angezeigt.

Hinweis: Es wird nur die Syntax der Ausdrücke für berechnete Felder überprüft. Ob ungültige Operationen durchgeführt werden, wird nicht geprüft.


Berechnete Felder

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Hauptdataset > Berechnete Felder

Die Spalten der Hauptdatasets können individuell konfiguriert werden. Dabei können berechnete Felder zu den bereits vorhandenen Feldern hinzugefügt werden.

Mögliche Verwendung Berechneter Felder:

  • Operationen auf verschiedene Variablen in einem pivotierten Dataset, um die Variablen in Relation zueinander zu stellen.
    Beispiel: =Fields!TEMPERATURE1.Value – Fields!TEMPERATURE2.Value
  • Pivotierte Tabellen zur Generierung von gruppierten Spalten für Reportvorlagen der Themen Archivanalyse, Erweiterte Archivanalyse und Analyse mit benutzerdefinierten Formeln.
  • Operationen auf die Werte von Variablen in verschiedenen Zeitbereichen bei Zeitbereichsvergleich.
  • Verändern von Variablennamen.
    Beispiel: Projekt/Archiv Präfix von Variablen entfernen
    z.B. =Fields!VARIABLE_NAME.Value.Split("-"c)(1).Trim() entfernt den Text vor dem ersten Minus.
  • Spezielle Darstellung oder Formatierung von Werten oder Datumswerten.
  • Wertumrechnungen.
  • Zusammenführung von Informationen, also Inhalte mehrerer Spalten in einer Spalte darstellen.

Wird das Bereitstellen von Report-Vorlagen durch ungültige Berechnete Felder verhindert, werden entsprechende Fehlermeldungen im Ausgabefenster angezeigt.

Struktur beim Bereitstellen aktualisieren

Geänderte Strukturen können für bereitgestellte Reports aktualisiert werden, ohne ins Layout einzugreifen. Alle Report-Elemente sowie Kopfzeile und Fußzeile werden wie im am Server gespeicherten Report beibehalten. Um nur die Strukturen zu ersetzen, klicken Sie beim Bereitstellen im Ribbon Report auf das Symbol Struktur aktualisieren oder Struktur für alle aktualisieren.

Dabei wird der Report vom Server heruntergeladen. Datenquelle, Datasets und Report-Code werden durch die aktuellen Werte ersetzt. Nach der Ersetzung werden die Referenzen überprüft. Danach wird das RDL wieder zum Server hochgeladen. Kann eine Referenz nicht aufgelöst werden, wird eine Warnung ins Ausgabefenster geschrieben und das betroffene Element wird aus dem Report-Design entfernt.

Achtung: Bei Zugriff auf Fremd-Datasets darf in der verwendeten Funktion nur ein einfacher Feldzugriff verwendet werden. Komplexe Ausdrücke können dazu führen, dass:

  • eine Report-Einstellung aus dem Report entfernt wird, obwohl das nicht nötig ist
  • eine Report-Einstellung im Report verbleibt, obwohl sie entfernt werden muss

Noch in diesem Kapitel

Berechnete Felder hinzufügen und bearbeiten

Verwendung berechneter Felder


Berechnete Felder hinzufügen und bearbeiten

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Hauptdataset > Berechnete Felder > Berechnete Felder hinzufügen und bearbeiten

Berechnete Felder können individuell hinzugefügt, bearbeitet und gelöscht werden.

Um ein Feld hinzuzufügen:

  • Klicken Sie auf das grüne Plus-Symbol.

    Der Dialog zum Erstellen des Feldes wird geöffnet.

Um ein Feld zu bearbeiten:

  • Klicken Sie auf den blauen Werkzeugschlüssel neben dem Feld.

    Der Dialog zum Konfigurieren des Feldes wird geöffnet.

Um ein Feld zu löschen:

  • Klicken Sie auf das rote X neben dem Feld.

    Das Berechnete Feld wird ohne weitere Rückfrage entfernt. Wird durch das Löschen ein anderes, referenziertes Berechnetes Feld ungültig, wird das entsprechende Feld durch einen Validierungsfehler hervorgehoben. Der Dialog kann dann nicht mit OK bestätigt werden. Wird ein Berechnetes Feld gelöscht, das noch in einem Report-Element verwendet wird, dann wird beim Schließen des Dialogs ein Hinweis ausgegeben. Wird dieser bestätigt, werden das Berechnete Feld und alle betroffenen Report-Elemente entfernt.

Die Symbole zum Hinzufügen und Bearbeiten berechneter Feld sind nur verfügbar, wenn die Report-Einstellungen keine Validierungsfehler aufweisen.

Dialog Spalten konfigurieren

Option

Beschreibung

Symbol +

Klick auf Symbol öffnet Dialog zum Hinzufügen berechneter Felder.

Spalte

Anzeige Feldname.
Symbol vor dem Namen zeigt für jedes Berechnet Feld an, ob es verwendet wird:

  • Symbol leer: Berechnetes Feld wird nicht verwendet.
  • Symbol gefüllt: Berechnetes Feld wird verwendet.

Spaltenname (Schlüsselwort)

Anzeige des Schlüsselworts für die Spalte.

Spaltenname für freien Text

Auswahl eines Schlüsselworts über Klick auf Schaltfläche ... oder Eingabe eines freien Texts für den Spaltennamen.

  • Wird kein Freitext eingegeben, dann wird das Schlüsselwort verwendet. Bei IMDS wird Freitext oder der Spaltenname als Schlüsselwort verwendet.
  • Wird ein Freitext eingegeben, dann wird dieser verwendet.
  • Maximale Länge: 199 Zeichen

Hinweis: Manche Spalten werden nur angezeigt. Ihr freier Text kann nicht geändert werden.

Symbol Schraubenschlüssel

Klick auf das Symbol öffnet den Dialog zum Bearbeiten der berechneten Felder.
Der Dialog kann auch mit einem Doppelklick auf den Eintrag Feldname geöffnet werden.

Symbol X

Klick auf Symbol löscht Berechnetes Feld.

Das Berechnete Feld wird ohne weitere Rückfrage entfernt. Wird durch das Löschen ein anderes, referenziertes Berechnetes Feld ungültig, wird das entsprechende Feld durch einen Validierungsfehler hervorgehoben. Der Dialog kann dann nicht mit OK bestätigt werden. Wird ein Berechnetes Feld gelöscht, das noch in einem Report-Element verwendet wird, dann wird beim Schließen des Dialogs ein Hinweis ausgegeben. Wird dieser bestätigt, werden das Berechnete Feld und alle betroffenen Report-Elemente entfernt.

Dialog beenden

Option | Beschreibung
Validieren | Überprüft Konfiguration und gibt das Ergebnis in der Fußzeile aus. Tastenkombination: Ctrl-Eingabe. Das zu validierende Feld muss dabei den Fokus haben.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Berechnetes Feld konfigurieren

Im Dialog für berechnete Felder konfigurieren Sie die Inhalte und Eigenschaften der berechneten Felder.

Um ein Feld zu konfigurieren:

  1. Geben Sie den gewünschten Feldnamen ein.
  2. Wählen Sie den Datentyp.
  3. Geben Sie, falls nötig, die Maßeinheit ein.
  4. Geben Sie den Ausdruck für das berechnete Feld ein.
    Sie können Felder und Parameter aus den beiden Listen Felder und Parameter wählen.

Hinweis: Ändert sich der Name eines in einem berechneten Feld verwendeten Report-Parameters, wird die Namensänderung automatisch im berechneten Feld übernommen.

Dialog Berechnetes Feld konfigurieren

Option

Beschreibung

Feldname

Name des berechneten Feldes.

  • Darf nur Buchstaben, Ziffern und Unterstriche enthalten.
  • Darf keine führenden oder schließenden Leerzeichen enthalten.
  • Darf nicht leer sein.
  • Maximale Länge: 199 Zeichen

Wird der Name eines berechneten Feldes geändert, wird die Namensänderung auch in den darauf verweisenden berechneten Feldern automatisch übernommen.

Wird ein berechnetes Feld über den Dialog neu angelegt, wird der Feldname automatisch als Text für den Spaltennamen übernommen.

Datentyp

Auswahl des Datentyps aus Dropdownliste:

  • String
  • FloatingPoint
  • Integer
  • Bool
  • DateTime
  • TimeSpan

Default: FloatingPoint

Maßeinheit

Eingabe der Maßeinheit.
Nur verfügbar, wenn beide Bedingungen erfüllt sind:

  • Datentyp: FloatingPoint oder Integer
  • Typ: Wertfeld

Typ

Typ des Feldes.

Ausdruck Berechnetes Feld

Eingabe des Ausdrucks für das berechnete Feld.
Die Syntax entspricht VB.Net-Ausdrücken mit einigen für Reports spezifischen Erweiterungen.

Für den Ausdruck gilt:

  • Darf nicht leer sein.
  • Darf nicht nur aus einem = (Ist-Gleich-Zeichen) bestehen.
  • Darf nur auf bestehende Felder (inklusive berechnete Felder) innerhalb des selben Hauptdatasets verweisen.
  • Darf nur auf bestehende Parameter innerhalb des Reports verweisen.
  • Darf keine Referenzen auf andere Datasets enthalten.
  • Darf nicht auf andere berechnete Felder verweisen, die direkt oder indirekt wieder auf dieses Feld verweisen.

Felder und Parameter können aus den beiden Listen Felder und Parameter ausgewählt werden. Einträge der Listen können per Doppelklick eingefügt werden.

Beispiele finden Sie im Abschnitt "Beispiele für Ausdrücke in berechneten Feldern".

Felder

Liste der vorhandenen Felder.

Enthält alle Felder des Hauptdatasets sowie andere berechnete Felder. Ausgeschlossen sind alle berechneten Felder, die auf das in Bearbeitung befindliche Feld direkt oder indirekt verweisen.

Ein Eintrag kann per Doppelklick an der Stelle in der Option eingefügt werden, an der der Cursor steht.

Parameter

Liste der verfügbaren Parameter.

Ein Eintrag kann per Doppelklick an der Stelle in der Option eingefügt werden, an der der Cursor steht.

Dialog beenden

Option | Beschreibung
Validieren | Überprüft Konfiguration und gibt das Ergebnis in der Fußzeile aus. Tastenkombination: Ctrl-Eingabe. Das zu validierende Feld muss dabei den Fokus haben.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Validierung

Für die Validierung wird der aktuelle Inhalt des berechneten Felds verwendet. Damit kann bereits beim Bearbeiten von berechneten Feldern deren Gültigkeit festgestellt werden.

Werden durch Änderungen in der Konfiguration der Reportvorlage Ausdrücke von berechneten Feldern ungültig, wird das als Validierungsfehler auf die jeweiligen berechneten Felder angewendet. Der Validierungsfehler wird am Hauptdataset, das die berechneten Feldern enthält, bis hin zum berechneten Feld angezeigt.

Referenzen in berechneten Feldern können vor allem ungültig werden, wenn Reportparameter oder Felder entfernt werden. Das kann die Folge sein von z. B.:

  • Änderungen der Pivotierungseinstellungen
  • Änderungen der Zeitbereichsvereinigung
  • Löschen von Reportvorlagen
  • Abschalten von optionalen Eigenschaften
  • Änderungen an Filtern, die Report-Parameter zur Verfügung stellen

Treten Validierungsfehler auf, während der Dialog geöffnet ist, kann dieser erst nach dem Beseitigen der Fehler geschlossen werden.

Beispiele für Ausdrücke in berechneten Feldern

In berechneten Feldern können Sie vollständige Ausdrücke, die auch im Report Builder und den Reporting Services unterstützt werden, verwenden. Die vollständige Beschreibung findet sich in der Microsoft-Dokumentation zu den Reporting Services.

Beispiele:

  • Konstante: 1
  • Konstante Ausdrücke: =1
  • Verweise auf Felder: =Fields!CONSUMPTION.Value
  • Verweise auf Parameter: ="ProjectIds: " & Join(Parameters!Projects.Value, ",")
  • Verdichtungsfunktionen auf Felder: =Fields!CONSUMPTION.Value / Sum(Fields!CONSUMPTION.Value)


Verwendung berechneter Felder

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Hauptdataset > Berechnete Felder > Verwendung berechneter Felder

Berechnete Felder werden so, wie sie vom Benutzer eingegeben werden, in den Report geschrieben.
Auch Zugriffe auf die Direktwerte von Report-Einstellungen werden unterstützt. Diese Referenzen werden bei der Bereitstellung durch die korrekten Werte ersetzt.

Referenzen (beispielhaft für Report-Einstellung Project):

  • Parameters!Project.Value
  • Parameters!Project.Label
  • Parameters!Project.IsMultiValue
  • Parameters!Project.Count

Die bei der Bereitstellung eingesetzten Werte sind jeweils so gewählt, dass dieselbe Verwendung möglich ist wie bei Report-Parameter ohne Direktwert. Es kann also für Report-Parameter mit und ohne Direktwert derselbe Ausdruck verwendet werden.
Beispiel: Count=2, wenn zwei Projekte als Direktwert ausgewählt sind.

Verwendung in Tabellen und Diagrammen

Berechnete Felder können in Tabellen und Diagrammen verwendet werden als:

  • Tabellenspalten
  • Wertspalten in Diagrammen

Beispiel

Dieser Screenshot zeigt zwei Diagramme und eine Tabelle:

  • Diagramm 1: Verwendet die Wurzel aus den Werten.
  • Diagramm 2: Verwendet die normalen Werte.
  • Tabelle: Enthält normale Werte und Wurzel der Werte. Der Variablennamen wird ohne Projekt und Archiv angezeigt.


Pivotiertes Hauptdataset

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Pivotiertes Hauptdataset

Bei der Pivotierung werden die Datensätze eines Haupt-Datasets in Spalten umgewandelt. Das ist nur bei bestimmten Hauptdatasets möglich.

Pivotierbare Datasets haben mindestens eine Einstellung, die als pivotrelevanter Parameter für das Dataset grundsätzlich bestimmt, welche Datensätze für Pivotspalten zu Verfügung stehen, zum Beispiel Variablen (von Anlagengruppen). Diese werden in dieser Dokumentation als pivotrelevante Einstellungen bezeichnet. Pivotierbare Datasets haben genau ein Feld oder eine Spalte, die die Pivotspalten erzeugen, zum Beispiel der Variablenname.

Voraussetzungen für die Pivotierung:

  • Das Dataset ist für Pivotierung geeignet.
  • Die benötigten Direktwerte wurden konfiguriert.

Dataset pivotieren

Um ein Haupt-Dataset zu pivotieren:

  1. Klicken Sie auf den Namen des Datasets in der Kopfzeile.
  2. Klicken Sie in den Eigenschaften auf Pivot-Dataset.

    Die Eigenschaft Pivot-Spalten konfigurieren wird aktiviert.
    Bevor Sie diese konfigurieren können, müssen die benötigten Direktwerte konfiguriert werden.

  3. Konfigurieren Sie die Direktwerte.
  4. Klicken Sie auf die Schaltfläche ... der Eigenschaft Pivot-Spalten konfigurieren.

    Der Dialog Pivot-Spalten konfigurieren wird geöffnet.

  5. Konfigurieren Sie die Spalten.
  6. Schließen Sie den Dialog mit Klick auf OK.

Pivotierte Hauptdatasets erzeugen beim Deployment eine zusätzliche Stored Procedure und einen benutzerdefinierten Tabellen-Datentyp, der die Ausgabespalten der ursprünglichen SP enthält. Die Wrapper SPs haben die gleichen Übergabeparameter wie die Haupt-SP, allerdings werden deren Ausgabespalten nach folgenden Kriterien bestimmt:

  • Zeitstempelspalten: werden 1:1 übernommen.
  • Für jeden unterschiedlichen Wert in der Pivot-Definitionsspalte wird eine Spalte erzeugt.
    Eine eventuell vorhandene Datentypunterscheidungsspalte wird berücksichtigt.
    Dabei gilt:
    • Für jeden numerischen Wert wird eine numerische Wertspalte angelegt.
      Gibt es im Dataset eine Einheitenspalte, so wird für jeden numerischen Wert eine eigene Einheitenspalte angelegt.
    • Für jeden Textwert wird eine Textwertspalte angelegt.

Noch in diesem Kapitel

Pivot-Spalten konfigurieren


Pivot-Spalten konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Pivotiertes Hauptdataset > Pivot-Spalten konfigurieren

Um die Pivotspalten für das Haupt-Dataset zu ermitteln, wird der Dialog Pivot-Spalten konfigurieren ausgeführt. Dabei wird die hinter dem Hauptdataset liegende Stored Procedure ausgeführt. So werden die verfügbaren Werte und deren Einheiten ermittelt und bei Spalten mit Typunterscheidung die Datentypen ermittelt.

Dialog Pivot-Spalten konfigurieren

Die in diesem Dialog verfügbaren Einstellungen hängen ab von den Einstellungen im Haupt-Dataset. Die Beschreibung des Dialog sowie Hinweise auf benötigte Einstellungen sind damit exemplarisch zu verstehen und können bei anderen Konfigurationen variieren. Benötigte Einstellungen werden immer rot umrandet dargestellt, solange sie nicht korrekt konfiguriert wurden.

Für die Konfiguration und Validierung werden eventuell auch Produktivdaten benötigt.
Das heißt unter anderem:

  • Es wird eine Verbindung zur Runtime benötigt.
  • Diese muss gestartet sein und die für die Pivotierung benötigten Datensätze liefern.
  • Der Connector muss gestartet sein.

Option

Beschreibung

Zeitbereich für die Wertsuche

Zeitbereich, für den die Werte ermittelt werden. Dieser Zeitfilter ist unabhängig von den Zeitfiltern im Dataset. Default: Letzte Stunde

Von

Konfiguration des Beginns des Zeitfilters. Klick auf Schaltfläche öffnet Kalenderelement zur Auswahl.

Bis

Konfiguration des Endes des Zeitfilters. Klick auf Schaltfläche öffnet Kalenderelement zur Auswahl.

Verdichtungsintervall

Auswahl des Verdichtungsintervalls aus Dropdownliste.

Wird zur Ausführung des Hauptdatasets zum Ermitteln der Werte benötigt und muss konfiguriert werden.

Verdichtungsfunktion

Auswahl der Verdichtungsfunktion aus Dropdownliste.

Wird zur Ausführung des Hauptdatasets zum Ermitteln der Werte benötigt und muss konfiguriert werden.

Connector

Auswahl des Connectors aus Dropdownliste.

Wird zur Ausführung des Hauptdatasets zum Ermitteln der Werte benötigt und muss konfiguriert werden.

Variablen (von Anlagengruppen)

Liste der bei den pivotrelevanten Einstellungen konfigurierten Direktwerte. Nur Anzeige, nicht änderbar.

Pivotspalten abrufen

Holt Werte aus Haupt-Dataset und ermittelt die Pivotspalten.

Nur verfügbar, wenn alle benötigten Optionen konfiguriert wurden.

Pivotspalten

Anzeige der ermittelten Pivotspalten.

Der Dialog kann erst mit Klick auf OK bestätigt und geschlossen werden, wenn mindestens eine Pivotspalte ermittelt wurde.

Hinweis: Das Öffnen kann beim ersten Mal etwas mehr Zeit in Anspruch nehmen, da die Stored Procedure neu in der Datenbank angelegt werden.

Während die Pivotspalten geholt werden, wird ein Fortschrittsbalken angezeigt.

Können keine Werte gefunden werden, wird eine entsprechende Meldung angezeigt. Denn ohne Werte können keine Pivotspalten ermittelt werden.

Treten beim Holen der Daten Probleme auf, werden die erhaltenen Fehlermeldungen angezeigt. Diese werden auch in das Ausgabefenster und in die Log-Datei geschrieben.

Die im Konfigurationsdialog verwendeten Werte bleiben gespeichert und werden beim erneuten Öffnen wieder angezeigt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Reportname - Reportpfad - Kommentare

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Reportname - Reportpfad - Kommentare

Name und Speicherort des Reports können individuell konfiguriert oder vordefiniert werden. Die Vorauswahl treffen Sie in den Einstellungen in der Registerkarte Bereitstellung.

Um den Namen und den Pfad individuell zu konfigurieren:

  1. Klicken Sie im Report auf den Reportnamen.
    Default: Neuer Report
  2. Klicken Sie in den Eigenschaften auf Reportname.
  3. Tragen Sie in das Feld den gewünschten Namen ein.
  4. Klicken Sie auf Reportpfad.
  5. Klicken Sie auf die Schaltfläche ....

    Der Dialog zur Eingabe eines Reportpfades wird geöffnet.

  6. Konfigurieren Sie den Pfad.

Hinweis: Der Reportname darf maximal 126 Zeichen lang sein. Reportname und Reportpfad dürfen in Summe maximal 252 Zeichen lang sein.

Eigenschaften Reportname und Reportpfad

Allgemein

Eigenschaft

Beschreibung

Reportname

Textfeld für die Eingabe eines Namens für die RDL-Datei.

Name:

  • darf nicht leer sein
  • darf nicht ausschließlich aus Punkten oder Leerzeichen bestehen
  • darf kein verbotenes Zeichen beinhalten;
    verboten sind: ;?:@&=+$,\*<>|"/

Der Name darf maximal 126 Zeichen lang sein.

Reportpfad

Zeigt den aktuellen Pfad zur RDL-Datei an.

Klick auf Schaltfläche ... öffnet den Dialog zur Konfiguration des Pfades.

Pfad und Name dürfen gemeinsam maximal 252 Zeichen lang sein.

Lokalisierte Reportpfade

Zeigt den Reportnamen und Reportpfad relativ zum Wurzelordner an.

Report Launcher Kommentar

Ermöglicht das Hinzufügen und Ändern eines Kommentars, der im Report Launcher angezeigt wird.

Maximum: 512 Zeichen

Ein Zeilenumbruch kann nicht eingegeben werden.

Wird ein bestehender Eintrag hier gelöscht und das Feld leer belassen, dann bleibt er im Report Launcher erhalten.

Report-Kommentar

Ermöglicht das Hinzufügen und Ändern eines Kommentars, der im ZAMS angezeigt wird.

Ein Zeilenumbruch kann nicht eingegeben werden.

Noch in diesem Kapitel

Reportpfad auswählen

Kommentare für Reportvorlage und Report


Reportpfad auswählen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Reportname - Reportpfad - Kommentare > Reportpfad auswählen

Konfiguration des Pfades zum Ordner, in dem die RDL-Datei des Reports beim Bereitstellen gespeichert wird.
Der Pfad darf maximal 126 Zeichen lang sein.

Tipp: Ordner und bereitgestellte Reports können im Report Launcher wieder gelöscht werden.

Option

Beschreibung

Report Dateipfad eingeben
  • Aktiv: Der Dateipfad wird manuell in das Feld eingegeben.

Der Name:

  • muss mit einem / beginnen und einem / enden
  • darf nicht zwei / in Folge enthalten
  • die Länge des gesamten Pfades inklusive Reportname darf 260 Zeichen nicht überschreiten
  • darf weder leer sein noch ausschließlich aus Punkten und/oder Leerzeichen bestehen
  • darf keinem der Sprachkennzeichner entsprechen (EN, DE, ...)
  • darf keine verbotenen Zeichen enthalten,
    verboten sind: ;?:@&=+$,\*<>|"/

Report Dateipfad auswählen
  • Aktiv: Der Dateipfad wird aus der Liste ausgewählt.

Die Liste enthält die aktuelle Ordnerstruktur, wobei Sprach-Ordner ausgeblendet werden. Zum Beispiel:
Die Ordner DE/Ordner 1 oder Ordner1/DE werden immer als Ordner1 dargestellt.

Listenfeld

Zeigt die Ordnerstruktur am Analyzer Server an. Der aktuell gewählte Ordner wird hervorgehoben.

In der Liste kann ein Ordner ausgewählt werden.

Neuer Ordner

Öffnet Dialog zum Hinzufügen eines neuen Ordners.
Nur aktiv, wenn Report Dateipfad auswählen aktiviert wurde.

Details siehe Abschnitt Neuen Ordner anlegen.

OK

Überprüft die Eingaben auf Gültigkeit, übernimmt den eingegebenen oder ausgewählten Ordner inklusive Sprachvarianten als Pfad zum Ablegen der RDL-Datei und schließt den Dialog.

Abbrechen

Schließt den Dialog, ohne den Pfad zu ändern.

Neuen Ordner anlegen

Klick auf die Schaltfläche Neuer Ordner im Dialog zur Auswahl des Ordners für die RDL-Datei öffnet den Dialog zum Anlegen eines Ordners:

Option

Beschreibung

Aktueller Pfad

Anzeige des aktuell übergeordneten Ordners, unter dem der neue Ordner angelegt werden soll. Der im Dialog Report Dateipfad auswählen markierte Ordner wird vorgegeben.

Name für neuen Ordner

Eingabe des Namens für den Ordner.

Der Name:

  • muss mit einem / beginnen und einem / enden
  • darf nicht zwei / in Folge enthalten
  • die Länge des gesamten Pfades inklusive Reportname darf 260 Zeichen nicht überschreiten
  • darf weder leer sein noch ausschließlich aus Punkten und/oder Leerzeichen bestehen
  • darf keinem der Sprachkennzeichner entsprechen (EN, DE, ...)
  • darf keine verbotenen Zeichen enthalten,
    verboten sind: ;?:@&=+$,\*<>|"/

OK

Übernimmt Einstellungen und erstellt neuen Ordner. Dieser wird in der Liste angezeigt.

Abbrechen

Verwirft Eingaben und schließt den Dialog, ohne einen Ordner zu erstellen.


Kommentare für Reportvorlage und Report

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Reportname - Reportpfad - Kommentare > Kommentare für Reportvorlage und Report

Reportvorlagen und Reports können mit Kommentaren versehen werden:

  • im ZAMS
  • im Report Launcher

Die Projektierung erfolgt über die Eigenschaften des Reportnamens im ZAMS.

Kommentare im ZAMS

Reportvorlagen können im ZAMS Kommentare erhalten.

Um einen Kommentar zu erstellen:

  1. Klicken Sie in der Reportvorlage auf den Namen des Reports.
  2. Wählen Sie in den Eigenschaften Report-Kommentar.

  3. Klicken Sie auf die Schaltfläche ....

    Der Dialog zur Eingabe eines Kommentars wird geöffnet.

  4. Geben Sie den Kommentar ein.
    Hinweis: Zeilenumbrüche können nicht eingegeben werden.
  5. Klicken Sie auf OK.

    Der Kommentar wird gespeichert.

  6. Um den gespeicherten Kommentar in voller Länge anzuzeigen: Klicken Sie auf die Schaltfläche ....

Kommentare im Report Launcher

Reports können Kommentare erhalten, die im Report Launcher angezeigt werden.

Kommentar im ZAMS erstellen

Um einen Kommentar zu erstellen:

  1. Klicken Sie in der Reportvorlage auf den Namen des Reports.
  2. Wählen Sie in den Eigenschaften Report Launcher Kommentar.

  3. Geben Sie den Kommentar in das Feld ein.
    Hinweis: Es sind maximal 512 Zeichen erlaubt.
    Zeilenumbrüche können nicht eingegeben werden.

    Der Kommentar wird beim Verlassen des Feldes gespeichert.

Kommentar im Report Launcher anzeigen und ändern

Um einen Kommentar zu einem Report im Report Launcher anzuzeigen:

  1. Öffnen Sie den Report Launcher.
  2. Navigieren Sie zum Report.
  3. Wählen Sie in der Dropdownliste Verwalten.

    Im Bereich Eigenschaften wird der Kommentar in der Eigenschaft Beschreibung angezeigt.

Um einen Kommentar zu einem Report im Report Launcher zu ändern:

  1. Navigieren Sie zu den Eigenschaften des Reports.
  2. Ändern Sie im Feld Beschreibung den Text.
  3. Klicken Sie auf Anwenden.

Beachten Sie:

  • Wird der Report erneut bereitgestellt, dann wird der in ZAMS definierte Kommentar wieder eingetragen.
  • Wird der Kommentar in ZAMS gelöscht, dann wird nach der erneuten Bereitstellung der im Report Launcher vorhandene Kommentar weiter angzeigt.


Zeitfilter

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Zeitfilter

Es können bis zu 5 Zeitfilter pro Report angelegt werden. Diese Zeitfilter können zusammengehörige Varianten eines Zeitfilters und/oder voneinander unabhängige Zeitfilter sein. Jeder Zeitfilter kann individuell konfiguriert werden. Abhängige Varianten übernehmen die Haupteinstellungen des Zeitfilters, dem sie zugeordnet sind.

Jeder Zeitfilter wird über mehrere Eigenschaftengruppen konfiguriert. Welche Gruppen angeboten werden, hängt ab von der Auswahl des Zeitfiltertyps und davon, ob es sich um einen unabhängigen oder abhängigen, gruppierten Zeitfilter handelt.

Zeitfilter hinzufügen

Jeder Report muss über mindestens einen Zeitfilter verfügen. Dieser wird beim Anlegen eines neuen Reports automatisch erstellt. Initial heißt dieser immer Timefilter. Über die Eigenschaft Zeitfiltername können Sie einen individuelle Namen vergeben. Achten Sie dabei auf aussagekräftige Namen. So können Sie den Zeitfilter bei Verwendung mehrer Zeitfilter jederzeit korrekt zuordnen.
Weitere Zeitfilter können manuell hinzugefügt werden.

Um einen Zeitfilter hinzuzufügen:

  • Eigenständiger Zeitfilter: Klicken Sie auf das Symbol (grünes Pluszeichen) unterhalb des bereits existierenden Zeitfilters.

    Der Zeitfilter wird am Ende der Liste eingefügt.

  • Abhängiger gruppierter Zeitfilter: Klicken Sie auf das Symbol (grünes Pluszeichen) neben dem Zeitfilter, dem der neue Zeitfilter zugeordnet sein soll.

Der Zeitfilter wird unterhalb des gewählten Zeitfilters eingefügt und eingerückt dargestellt.

Hinweis: Symbole zum Einfügen stehen nur zur Verfügung, wenn weniger als 5 Zeitfilter konfiguriert wurden.

info Info

Wird ein Zeitfilter zu einer Reportvorlage hinzugefügt, dann werden alle Reportelemente gelöscht, die ein Hauptdataset mit Zeitbereichsvereinigung verwenden. Das Löschen erfolgt erst nach einer Sicherheitsabfrage.

Gruppierte Zeitfilter

Gruppierte Zeitfilter übernehmen den Typ, die Granularität und die Default-Konfiguration vom übergeordneten unabhängigen Zeitfilter. Sie verfügen über einen gleich langen Default-Bereich wie der übergeordnete Zeitfilter, blicken weiter in die Vergangenheit als der übergeordnete Zeitfilter oder verwenden den gleichen Vorfilterbereich.

Zum Beispiel:

  • Ausgangslage:
    • 1 unabhängiger Filter enthält 2 gruppierte Filter.
    • Rückblickzeit des unabhängigen Zeitfilters: 2 Tage.
  • Ergebnis:
    • Default des unabhängigen Zeitfilters: vor 2 Tagen bis heute
    • Default des 1. gruppierten Zeitfilters (oben): vor 4 Tagen bis vor 2 Tagen
    • Default des 2. gruppierten Zeitfilters (unten): vor 6 Tagen bis vor 4 Tagen

Zeitfilter konfigurieren

Um den Zeitfilter zu konfigurieren:

  1. Wählen Sie den gewünschten Zeitfiltertyp.
  2. Wählen Sie die gewünschte Granularität.
    Diese bestimmt, welche Auswahlmöglichkeiten im Report Launcher zur Verfügung stehen.
  3. Parametrieren Sie die Vorgabewerte.
    Die Konfigurationsmöglichkeiten hängen ab von Zeitfiltertyp und der Zeitfiltergranularität.
  4. Erstellen Sie bei Bedarf weitere Zeitfilter oder Varianten eines Zeitfilters.
    Hinweis: Sie können insgesamt bis zu 5 Zeitfilter und/oder Varianten pro Report erstellen.
  5. Legen Sie bei mehreren Varianten für einen Zeitfilter fest, ob der gleiche Vorfilterzeitbereich verwendet wird.
  6. Konfigurieren Sie, wenn nötig, die weiteren Eigenschaften.

Zeitfilter entfernen

Um einen Zeitfilter zu entfernen, klicken Sie auf das Symbol mit dem roten X neben dem Zeitfilter. Der Zeitfilter wird mit allen untergeordneten gruppierten Zeitfiltern entfernt. Wird der Zeitfilter von einem Report-Element oder einer Zelle im Parameterausgabebereich benutzt, erfolgt eine Sicherheitsabfrage. Wird das Löschen bestätigt, dann werden alle betroffenen Report-Elemente gelöscht und alle betroffenen Zellen auf die Vorgabewerte zurückgesetzt.

Hinweis: Symbole zum Entfernen steht nur zur Verfügung, wenn mindestens zwei Zeitfilter vorhanden sind.

Noch in diesem Kapitel

Zeitfiltertypen

Standard-Einstellungen

Zeitbereiche vereinigen


Zeitfiltertypen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Zeitfilter > Zeitfiltertypen

Für die Konfiguration von Reports stehen als Zeitfilter zur Verfügung:

  • Absolut- und Relativzeitfilter
  • Chargen
  • Schichten

Noch in diesem Kapitel

Absolut- und Relativzeitfilter

Chargen

Schichten


Absolut- und Relativzeitfilter

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Zeitfilter > Zeitfiltertypen > Absolut- und Relativzeitfilter

Konfiguration der Absolutzeitfilter und Relativzeitfilter.

  • Absolutzeitfilter: Datum und Zeit pro Zeitbereich.
  • Relativzeitfilter: Zeitspanne pro Zeitbereich.

Hinweis: im Konfigurationsdialog kann zwischen allen Zeitfiltertypen umgeschaltet werden. Es werden jeweils die Optionen für den gewählten Typ angezeigt.

Eigenschaften

Die im Eigenschaftenbereich konfigurierbaren Eigenschaften hängen ab von der Ausprägung des Zeitfilters.

Absolutzeitfilter

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Zeitfiltername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Hinweis: Name ergänzt beim Bereitstellen den Namen des Datasets. Dieser Name muss in Bezug auf Namen von Parametern, Einstellungen oder Report Items einzigartig sein.

Zeitfilter

Parametrierung der Zeitfilter.

Eigenschaft

Beschreibung

Zeitfiltertyp

Zeigt den gewählten Zeitfiltertyp an.
Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.
Vom gewählten Zeitfiltertyp hängt ab, welche Parameter zur Verfügung stehen. Wird der Typ geändert, werden alle Zellen im Parameterausgabebereich zurückgesetzt, die vom neuen Zeitfiltertyp und seinen untergeordneten gruppierten Zeitfiltern keine Werte mehr bekommen.
Steht nur für unabhängige Zeitfilter zur Verfügung.

Granularität

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minute
  • Stunde
  • Tag
  • Monat
  • Jahr

Steht nur für unabhängige Zeitfilter zur Verfügung.

Default-Einstellungen

Anzeige der Vorgabewerte des Report-Zeitbereichs:

  • Absolut- und Relativzeitfilter: Konfiguration des Reportzeitraums
  • Chargen und Schichten: Konfiguration des Vorfilterzeitraums

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.

Steht nur für unabhängige Zeitfilter zur Verfügung.

Von

Einstellungen für die Anzeige und Konfiguration der Startzeit für den Report:

  • Absolutzeitfilter: Beginn des Filter-Zeitraums.
  • Chargen und Schichten mit Absolutzeitfilter: Beginn des Vorfilter-Zeitraums.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis: Bei gruppierten Zeitfiltern nur verfügbar, wenn der Zeitfiltertyp es erlaubt und die Option Gleichen Vorzeitfilterbereich verwenden nicht aktiviert ist.

Bis

Einstellungen für die Anzeige und Konfiguration der Endezeit für den Report:

  • Absolutzeitfilter: Ende des Filter-Zeitraums.
  • Chargen und Schichten mit Absolutzeitfilter: Ende des Vorfilter-Zeitraums.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis: Bei gruppierten Zeitfiltern nur verfügbar, wenn der Zeitfiltertyp es erlaubt und die Option Gleichen Vorzeitfilterbereich verwenden nicht aktiviert ist.

Relativzeitfilter

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Zeitfiltername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Parametrierung der Zeitfilter.

Eigenschaft

Beschreibung

Zeitfiltertyp

Zeigt den gewählten Zeitfiltertyp an.
Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.
Vom gewählten Zeitfiltertyp hängt ab, welche Parameter zur Verfügung stehen. Wird der Typ geändert, werden alle Zellen im Parameterausgabebereich zurückgesetzt, die vom neuen Zeitfiltertyp und seinen untergeordneten gruppierten Zeitfiltern keine Werte mehr bekommen.
Steht nur für unabhängige Zeitfilter zur Verfügung.

Granularität

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minute
  • Stunde
  • Tag
  • Monat
  • Jahr

Steht nur für unabhängige Zeitfilter zur Verfügung.

Default-Einstellungen

Anzeige der Vorgabewerte des Report-Zeitbereichs:

  • Absolut- und Relativzeitfilter: Konfiguration des Reportzeitraums
  • Chargen und Schichten: Konfiguration des Vorfilterzeitraums

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.

Steht nur für unabhängige Zeitfilter zur Verfügung.

Zeitbereich

Einstellungen für die Anzeige und Konfiguration der Zeitdauer für den Report.

  • Relativzeitfilter: Report-Zeitraum.
  • Chargen und Schichten mit Relativzeitfilter: Vorfilter-Zeitraum.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis: Bei gruppierten Zeitfiltern nur verfügbar, wenn der Zeitfiltertyp es erlaubt und die Option Gleichen Vorzeitfilterbereich verwenden nicht aktiviert ist.

Dialog Zeitfilter

Option

Beschreibung

Zeitfiltertyp

Auswahl des Zeitfiltertyps aus Dropdownliste.

  • Absolutzeitfilter: Datum und Zeit pro Zeitbereich.
  • Relativzeitfilter: Zeitspanne pro Zeitbereich.

OK

Speichert die Konfiguration in der Eigenschaft Zeitfiltertyp und schließt den Dialog.
Nur verfügbar, wenn alle Eingaben gültig validiert wurden.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Chargen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Zeitfilter > Zeitfiltertypen > Chargen

Konfiguration der Chargenfilter:

  • Chargenauswahl mit Absolutzeit-Vorfilterung: Auswahl der Charge mit Datum und Zeit pro Zeitbereich.
  • Chargenauswahl mit Relativzeit-Vorfilterung: Auswahl der Charge mit Zeitspanne pro Zeitbereich.

Eigenschaften

Die im Eigenschaftenbereich konfigurierbaren Eigenschaften hängen ab von der Ausprägung des Zeitfilters.

Mit Absolutzeitfilter

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Zeitfiltername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Hinweis: Name dient als Name des Datasets für die Chargenliste und ergänzt beim Bereitstellen den Namen des Datasets. Dieser Name muss in Bezug auf Namen von Parametern, Einstellungen oder Report Items einzigartig sein.

Zeitfilter

Parametrierung der Zeitfilter.

Eigenschaft

Beschreibung

Zeitfiltertyp

Zeigt den gewählten Zeitfiltertyp an.
Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.
Vom gewählten Zeitfiltertyp hängt ab, welche Parameter zur Verfügung stehen. Wird der Typ geändert, werden alle Zellen im Parameterausgabebereich zurückgesetzt, die vom neuen Zeitfiltertyp und seinen untergeordneten gruppierten Zeitfiltern keine Werte mehr bekommen.
Steht nur für unabhängige Zeitfilter zur Verfügung.

Granularität

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minute
  • Stunde
  • Tag
  • Monat
  • Jahr
  • Steht nur für unabhängige Zeitfilter zur Verfügung.

Default-Einstellungen

Anzeige der Vorgabewerte des Report-Zeitbereichs:

  • Absolut- und Relativzeitfilter: Konfiguration des Reportzeitraums
  • Chargen und Schichten: Konfiguration des Vorfilterzeitraums

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.

Steht nur für unabhängige Zeitfilter zur Verfügung.

Gleichen Vorzeitfilterbereich verwenden

Verwendung des Vorfilterbereichs:

  • Aktiv: Für alle Varianten wird der gleiche Zeitfilterbereich angewendet. Im Report wird nur ein Filterbereich angeboten.
  • Inaktiv: Für jede Varianten wird ein eigener Zeitfilterbereich angewendet. Im Report wird für jede Variante ein Filterbereich angeboten

Nur verfügbar, wenn eine gruppierte Variante des Zeitfilters konfiguriert wurde.

Von

Einstellungen für die Anzeige und Konfiguration der Startzeit für den Report:

  • Absolutzeitfilter: Beginn des Filter-Zeitraums.
  • Chargen und Schichten mit Absolutzeitfilter: Beginn des Vorfilter-Zeitraums.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis: Bei gruppierten Zeitfiltern nur verfügbar, wenn der Zeitfiltertyp es erlaubt und die Option Gleichen Vorzeitfilterbereich verwenden nicht aktiviert ist.

Bis

Einstellungen für die Anzeige und Konfiguration der Endezeit für den Report:

  • Absolutzeitfilter: Ende des Filter-Zeitraums.
  • Chargen und Schichten mit Absolutzeitfilter: Ende des Vorfilter-Zeitraums.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis: Bei gruppierten Zeitfiltern nur verfügbar, wenn der Zeitfiltertyp es erlaubt und die Option Gleichen Vorzeitfilterbereich verwenden nicht aktiviert ist.

Charge

Einstellungen für die Anzeige und Konfiguration der Chargen im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis für Reportentwickler: Dieser Zeitfiltertyp verwendet das SQL Element ListLots.

Parameterbereich Bezeichnungen

Einstellungen für die Anzeige im Parameterbereich des Reports.

Eigenschaft | Beschreibung
Von | Bezeichner für Startzeitpunkt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Von Individuelle Auswahl aus der Sprachtabelle.
Bis | Bezeichner für Endzeitpunkt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bis Individuelle Auswahl aus der Sprachtabelle.
Zeitbereich | Bezeichner für einen Zeitbereich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Zeitbereich Individuelle Auswahl aus der Sprachtabelle.
Bezeichnung | Bezeichner für Bezeichnung. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bezeichnung Als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.
Bezeichneter Zeitbereich | Bezeichner für Bezeichneten Zeitbereich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bezeichneter Zeitbereich Als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Mit Relativzeitfilter

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Zeitfiltername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Parametrierung der Zeitfilter.

Eigenschaft

Beschreibung

Zeitfiltertyp

Zeigt den gewählten Zeitfiltertyp an.
Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.
Vom gewählten Zeitfiltertyp hängt ab, welche Parameter zur Verfügung stehen. Wird der Typ geändert, werden alle Zellen im Parameterausgabebereich zurückgesetzt, die vom neuen Zeitfiltertyp und seinen untergeordneten gruppierten Zeitfiltern keine Werte mehr bekommen.
Steht nur für unabhängige Zeitfilter zur Verfügung.

Granularität

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minute
  • Stunde
  • Tag
  • Monat
  • Jahr
  • Steht nur für unabhängige Zeitfilter zur Verfügung.

Default-Einstellungen

Anzeige der Vorgabewerte des Report-Zeitbereichs:

  • Absolut- und Relativzeitfilter: Konfiguration des Reportzeitraums
  • Chargen und Schichten: Konfiguration des Vorfilterzeitraums

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.

Steht nur für unabhängige Zeitfilter zur Verfügung.

Gleichen Vorzeitfilterbereich verwenden

Verwendung des Vorfilterbereichs:

  • Aktiv: Für alle Varianten wird der gleiche Zeitfilterbereich angewendet. Im Report wird nur ein Filterbereich angeboten.
  • Inaktiv: Für jede Varianten wird ein eigener Zeitfilterbereich angewendet. Im Report wird für jede Variante ein Filterbereich angeboten

Nur verfügbar, wenn eine gruppierte Variante des Zeitfilters konfiguriert wurde.

Zeitbereich

Einstellungen für die Anzeige und Konfiguration der Zeitdauer für den Report.

  • Relativzeitfilter: Report-Zeitraum.
  • Chargen und Schichten mit Relativzeitfilter: Vorfilter-Zeitraum.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis: Bei gruppierten Zeitfiltern nur verfügbar, wenn der Zeitfiltertyp es erlaubt und die Option Gleichen Vorzeitfilterbereich verwenden nicht aktiviert ist.

Charge

Einstellungen für die Anzeige und Konfiguration der Chargen im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis für Reportentwickler: Dieser Zeitfiltertyp verwendet das SQL Element ListLots.

Parameterbereich Bezeichnungen

Einstellungen für die Anzeige im Parameterbereich des Reports.

Eigenschaft | Beschreibung
Von | Bezeichner für Startzeitpunkt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Von Individuelle Auswahl aus der Sprachtabelle.
Bis | Bezeichner für Endzeitpunkt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bis Individuelle Auswahl aus der Sprachtabelle.
Zeitbereich | Bezeichner für einen Zeitbereich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Zeitbereich Individuelle Auswahl aus der Sprachtabelle.
Bezeichnung | Bezeichner für Bezeichnung. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bezeichnung Als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.
Bezeichneter Zeitbereich | Bezeichner für Bezeichneten Zeitbereich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bezeichneter Zeitbereich Als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Dialog Zeitfilter

Option

Beschreibung

Zeitfiltertyp

Auswahl des Typs der Zeitfilterung aus Dropdownliste. Für Chargen stehen zur Verfügung:

  • Chargenauswahl mit Absolutzeit-Vorfilterung:
    Auswahl der Charge mit Datum und Zeit pro Zeitbereich
  • Chargenauswahl mit Relativzeit-Vorfilterung:
    Auswahl der Charge mit Zeitspanne pro Zeitbereich

Projekt

Auswahl eines Projekts aus der Dropdownliste, aus dem die Chargendaten kommen sollen.

Es muss ein Projekt ausgewählt werden.

Chargenarchiv

Liste der Chargen-Archive des gewählten Projekts.
Es muss ein Archiv ausgewählt werden.

Connector für Zeitfilter-Daten

Ein Connector muss ausgewählt werden. Auswahl des Connectors für das Lesen der Daten.

OK

Speichert die Konfiguration in der Eigenschaft Zeitfiltertyp und schließt den Dialog.
Nur verfügbar, wenn alle Eingaben gültig validiert wurden.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Schichten

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Zeitfilter > Zeitfiltertypen > Schichten

Konfiguration der Schichtfilter:

  • Schichtauswahl mit Absolutzeit-Vorfilterung: Auswahl der Schichtdaten mit Datum und Zeit pro Zeitbereich.
  • Schichtauswahl mit Relativzeit-Vorfilterung: Auswahl der Schichtdaten mit Zeitspanne pro Zeitbereich.

Eigenschaften

Die im Eigenschaftenbereich konfigurierbaren Eigenschaften hängen ab von der Ausprägung des Zeitfilters.

Mit Absolutzeitfilter

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Zeitfiltername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Hinweis: Name dient als Name des Datasets für die Schichtliste und ergänzt beim Bereitstellen den Namen des Datasets. Dieser Name muss in Bezug auf Namen von Parametern, Einstellungen oder Report Items einzigartig sein.

Zeitfilter

Parametrierung der Zeitfilter.

Eigenschaft

Beschreibung

Zeitfiltertyp

Zeigt den gewählten Zeitfiltertyp an.
Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.
Vom gewählten Zeitfiltertyp hängt ab, welche Parameter zur Verfügung stehen. Wird der Typ geändert, werden alle Zellen im Parameterausgabebereich zurückgesetzt, die vom neuen Zeitfiltertyp und seinen untergeordneten gruppierten Zeitfiltern keine Werte mehr bekommen.
Steht nur für unabhängige Zeitfilter zur Verfügung.

Granularität

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minute
  • Stunde
  • Tag
  • Monat
  • Jahr
  • Steht nur für unabhängige Zeitfilter zur Verfügung.

Default-Einstellungen

Anzeige der Vorgabewerte des Report-Zeitbereichs:

  • Absolut- und Relativzeitfilter: Konfiguration des Reportzeitraums
  • Chargen und Schichten: Konfiguration des Vorfilterzeitraums

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.

Steht nur für unabhängige Zeitfilter zur Verfügung.

Gleichen Vorzeitfilterbereich verwenden

Verwendung des Vorfilterbereichs:

  • Aktiv: Für alle Varianten wird der gleiche Zeitfilterbereich angewendet. Im Report wird nur ein Filterbereich angeboten.
  • Inaktiv: Für jede Varianten wird ein eigener Zeitfilterbereich angewendet. Im Report wird für jede Variante ein Filterbereich angeboten

Nur verfügbar, wenn eine gruppierte Variante des Zeitfilters konfiguriert wurde.

Von

Einstellungen für die Anzeige und Konfiguration der Startzeit für den Report:

  • Absolutzeitfilter: Beginn des Filter-Zeitraums.
  • Chargen und Schichten mit Absolutzeitfilter: Beginn des Vorfilter-Zeitraums.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis: Bei gruppierten Zeitfiltern nur verfügbar, wenn der Zeitfiltertyp es erlaubt und die Option Gleichen Vorzeitfilterbereich verwenden nicht aktiviert ist.

Bis

Einstellungen für die Anzeige und Konfiguration der Endezeit für den Report:

  • Absolutzeitfilter: Ende des Filter-Zeitraums.
  • Chargen und Schichten mit Absolutzeitfilter: Ende des Vorfilter-Zeitraums.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis: Bei gruppierten Zeitfiltern nur verfügbar, wenn der Zeitfiltertyp es erlaubt und die Option Gleichen Vorzeitfilterbereich verwenden nicht aktiviert ist.

Schicht

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis für Reportentwickler: Dieser Zeitfiltertyp verwendet das SQL-Element ListShifts.

Parameterbereich Bezeichnungen

Einstellungen für die Anzeige im Parameterbereich des Reports.

Eigenschaft | Beschreibung
Von | Bezeichner für Startzeitpunkt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Von Individuelle Auswahl aus der Sprachtabelle.
Bis | Bezeichner für Endzeitpunkt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bis Individuelle Auswahl aus der Sprachtabelle.
Zeitbereich | Bezeichner für einen Zeitbereich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Zeitbereich Individuelle Auswahl aus der Sprachtabelle.
Bezeichnung | Bezeichner für Bezeichnung. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bezeichnung Als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.
Bezeichneter Zeitbereich | Bezeichner für Bezeichneten Zeitbereich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bezeichneter Zeitbereich Als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Mit Relativzeitfilter

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Zeitfiltername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Zeitfilter

Parametrierung der Zeitfilter.

Eigenschaft

Beschreibung

Zeitfiltertyp

Zeigt den gewählten Zeitfiltertyp an.
Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.
Vom gewählten Zeitfiltertyp hängt ab, welche Parameter zur Verfügung stehen. Wird der Typ geändert, werden alle Zellen im Parameterausgabebereich zurückgesetzt, die vom neuen Zeitfiltertyp und seinen untergeordneten gruppierten Zeitfiltern keine Werte mehr bekommen.
Steht nur für unabhängige Zeitfilter zur Verfügung.

Granularität

Einstellung der Granularität für den Zeitfilter. Auswahl aus Dropdownliste:

  • Minute
  • Stunde
  • Tag
  • Monat
  • Jahr
  • Steht nur für unabhängige Zeitfilter zur Verfügung.

Default-Einstellungen

Anzeige der Vorgabewerte des Report-Zeitbereichs:

  • Absolut- und Relativzeitfilter: Konfiguration des Reportzeitraums
  • Chargen und Schichten: Konfiguration des Vorfilterzeitraums

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.

Steht nur für unabhängige Zeitfilter zur Verfügung.

Gleichen Vorzeitfilterbereich verwenden

Verwendung des Vorfilterbereichs:

  • Aktiv: Für alle Varianten wird der gleiche Zeitfilterbereich angewendet. Im Report wird nur ein Filterbereich angeboten.
  • Inaktiv: Für jede Varianten wird ein eigener Zeitfilterbereich angewendet. Im Report wird für jede Variante ein Filterbereich angeboten

Nur verfügbar, wenn eine gruppierte Variante des Zeitfilters konfiguriert wurde.

Zeitbereich

Einstellungen für die Anzeige und Konfiguration der Zeitdauer für den Report.

  • Relativzeitfilter: Report-Zeitraum.
  • Chargen und Schichten mit Relativzeitfilter: Vorfilter-Zeitraum.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis: Bei gruppierten Zeitfiltern nur verfügbar, wenn der Zeitfiltertyp es erlaubt und die Option Gleichen Vorzeitfilterbereich verwenden nicht aktiviert ist.

Schicht

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Hinweis für Reportentwickler: Dieser Zeitfiltertyp verwendet das SQL-Element ListShifts.

Parameterbereich Bezeichnungen

Einstellungen für die Anzeige im Parameterbereich des Reports.

Eigenschaft | Beschreibung
Von | Bezeichner für Startzeitpunkt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Von Individuelle Auswahl aus der Sprachtabelle.
Bis | Bezeichner für Endzeitpunkt. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bis Individuelle Auswahl aus der Sprachtabelle.
Zeitbereich | Bezeichner für einen Zeitbereich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Zeitbereich Individuelle Auswahl aus der Sprachtabelle.
Bezeichnung | Bezeichner für Bezeichnung. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bezeichnung Als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.
Bezeichneter Zeitbereich | Bezeichner für Bezeichneten Zeitbereich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Default: Bezeichneter Zeitbereich Als Platzhalter. Individuelle Auswahl aus der Sprachtabelle.

Dialog Zeitfilter

Option

Beschreibung

Zeitfiltertyp

Auswahl des Typs der Zeitfilterung aus Dropdownliste, für Schichtdaten stehen zur Verfügung:

  • Schichtauswahl mit Absolutzeit-Vorfilterung:
    Auswahl der Schichtdaten mit Datum und Zeit pro Zeitbereich.
  • Schichtauswahl mit Relativzeit-Vorfilterung:
    Auswahl der Schichtdaten mit Zeitspanne pro Zeitbereich.

Projekt

Auswahl eines Projekts aus dem Dropdownliste aus dem die Chargendaten kommen sollen.

Es muss ein Projekt ausgewählt werden.

Anlagengruppe

Listet alle Einträge im Anlagenmodell auf, für die im gewählten Projekt Schichtdaten aufgezeichnet werden. Dabei gilt:

  • Enthalten eine Anlagengruppe und auch alle ihr untergeordneten Anlagengruppen kein Schichtmodell, wird die Anlagengruppe nicht angezeigt.
  • Es werden für alle Modelle mit Schichtdaten die Einträge bis zum Wurzelknoten hin angezeigt, auch wenn die eingezeichneten übergeordneten Knoten keine Schichtdaten enthalten.
    Knoten mit rotem X enthalten keine Schichtdaten. Knoten mit grüner Raute enthalten Schichtdaten und können gewählt werden.
  • Wird ein als nicht verwendbar dargestelltes Element im Baum angeklickt, so wird stattdessen das erste dem Element untergeordnete und verwendbare Element markiert.
  • Es muss ein Anlagenmodell mit Schichtdaten ausgewählt werden.

Connector für Zeitfilter-Daten

Ein Connector muss ausgewählt werden. Auswahl des Connectors für das Lesen der Daten.

Achtung: Der SCADA Runtime Connector kann keine Schichtdaten holen.

OK

Speichert die Konfiguration in der Eigenschaft Zeitfiltertyp und schließt den Dialog.
Nur verfügbar, wenn alle Eingaben gültig validiert wurden.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.


Standard-Einstellungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Zeitfilter > Standard-Einstellungen

Der Standardzeitbereich wird über einen eigenen Dialog festgelegt.
Optionen:

  • Fixer Zeitbereich in Lokalzeit
  • Fixer Zeitbereich in UTC
  • Relativer Zeitbereich von der aktuellen Zeit abgeleitet

Ende des Zeitbereichs

Festlegung, wie das Ende des Zeitbereichs bestimmt wird. Konfiguration über Checkboxen.
Die Auswahl bestimmt, welche Optionen im unteren Bereich des Dialogs konfigurierbar sind.

Option

Beschreibung

Fixer Zeitstempel

Festlegung, ob im Report Launcher ein fixer Zeitpunkt verwendet wird oder ein zum aktuellen Zeitpunkt relativer.

  • Aktiv: Im Report Launcher wird ein fixer Zeitstempel verwendet.
  • Inaktiv: Im Report Launcher wird ein Zeitbereich, relativ zum jeweils aktuellen Zeitpunkt verwendet.

Endzeitstempel ist UTC

Festlegung, ob Lokalzeit oder UTC verwendet wird:

  • Aktiv: Der Endzeitpunkt wird in UTC angegeben.
  • Inaktiv: Der Endzeitpunkt wird in Lokalzeit angegeben.

Nur verfügbar, wenn Fixer Zeitstempel aktiviert wurde.

Zeitbereichseinstellungen

Elemente zur Detailparametrierung des Zeitbereichs. Welche Elemente zur Verfügung stehen, hängt ab von der Einstellung für Ende des Zeitbereichs und von der konfigurierten Granularität.

Option

Beschreibung

Minute setzen auf

Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Minuten erlauben.

Checkbox :

  • Aktiv: Minute ist fixiert.
  • Inaktiv: Minute wird vom aktuellen Zeitstempel im Report abgeleitet.
  • Zahlenelement: Eingabe der fixen Minute.
    Mögliche Werte: 0 bis 59

Stunde setzen auf

Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Stunden erlauben.

Checkbox :

  • Aktiv: Stunde ist fixiert.
  • Inaktiv: Stunde wird vom aktuellen Zeitstempel im Report abgeleitet.
  • Zahlenelement: Eingabe der fixen Stunde.
    Mögliche Werte: 0 bis 23

Tag setzen auf

Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Tagen erlauben.

Checkbox :

  • Aktiv: Tag ist fixiert.
  • Inaktiv: Tag wird vom aktuellen Zeitstempel im Report abgeleitet.
  • Zahlenelement: Eingabe des fixen Tages.
    Mögliche Werte: 1 bis 28.
    Beschränkung auf 28, da der Wert für alle Monate eines Jahres gültig sein muss.

Monat setzen auf

Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Monaten erlauben.

Checkbox :

  • Aktiv: Monat ist fixiert.
  • Inaktiv: Monat wird vom aktuellen Zeitstempel im Report abgeleitet.
  • Zahlenelement: Eingabe des fixen Monats.
    Mögliche Werte: 1 bis 12

Jahr setzen auf

Nur verfügbar, wenn die Zeitfiltergranularität und die Einstellung für Ende des Zeitbereichs die Verwendung von Jahren erlauben.

Checkbox :

  • Aktiv: Jahr ist fixiert.
  • Inaktiv: Jahr wird vom aktuellen Zeitstempel im Report abgeleitet.
  • Zahlenelement: Eingabe des fixen Jahres.
    Mögliche Werte: 1900 bis 4000

Anpassung

Anpassung des Endzeitpunkts. Die zur Verfügung stehenden Elemente hängen ab von der konfigurierten Granularität.

Mögliche Werte für Quantität: -1000 bis 1000

Granularität mit Auswahl aus Dropdownliste::

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Nur verfügbar, wenn Eigenschaft Fixer Zeitstempel inaktiv ist.

Rückblickzeit

Festlegung der Länge des Zeitbereichs für die Rückblickzeit. Die zur Verfügung stehenden Elemente hängen ab von der konfigurierten Granularität.

Mögliche Werte für Quantität: 1 bis 1000

Granularität mit Auswahl aus Dropdownliste::

  • Minuten
  • Stunden
  • Tage
  • Monate
  • Jahre

Beschreibung und Beispielzeitbereich

Textuelle Beschreibung der Einstellungen und Anzeige des mit den aktuellen Einstellungen berechneten Vorgabewerts für den Zeitbereich.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Zeitbereiche vereinigen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Zeitfilter > Zeitbereiche vereinigen

Sind mehrere Zeitfilter vorhanden, können die verschiedenen Datasets für die einzelnen Zeitfilter zu einem einzigen Dataset für alle Zeitfilter vereinigt werden.
Voraussetzungen:

  • Das Hauptdataset unterstützt Zeitbereichsvereinigung.
    Wird Zeitbereichsvereinigung nicht unterstützt, dann wird die Eigenschaft ausgeblendet.
  • Mindestens 2 Zeitfilter sind enthalten.

Konfiguration

Um die Zeitbereichsvereinigung zu konfigurieren:

  1. Klicken Sie auf das Hauptdataset.
  2. Aktivieren Sie in den Eigenschaften des Hauptdatasets Zeitbereiche vereinigen.

Ergebnis:

  • Der Report enthält dieses Hauptdataset nur einmal und nicht einmal je Zeitbereich. Dieses eine Hauptdataset enthält alle Zeitbereiche.
  • Jedes Report-Element wird nur einmal eingefügt statt einmal je Zeitbereich.
  • In Tabellen und Diagramme können aufgesplittete Spalten und Offset-Spalten verwendet werden.

Auswirkungen auf Tabellen und Diagramme

Die Vereinigung von Zeitbereichen wirkt sich auf die Konfiguration von Tabellen und Diagrammen aus.

Spaltenauswahl in der Tabellen-Konfiguration

In Tabellen können aufgesplittete Spalten und Offset-Spalten anstelle der Spalten, aus denen sie hervorgegangen sind, verwendet werden. Das schließt Verdichtung mit ein.

Spaltenauswahl in der Diagramm-Konfiguration

Bei der Spaltenauswahl in der Diagramm-Konfiguration gilt bei Zeitbereichsvereinigung:

Ohne Zeitbereichsvereinigung

Mit Zeitbereichsvereinigung

X-Achse: Auswahl einer Zeitstempelspalte.

Auswahl aus diesen Spalten:

  • Offset-Sekunden
    Hinweis: Nur mit dieser Einstellung kann die Eigenschaft Zeitfilter-Begrenzungen verwenden aktiviert werden.
  • Offset-Beschriftung
  • Zeitstempel für jeden Zeitbereich

Diese Spalten werden je Zeitstempelspalte erzeugt.

X-Achse: Auswahl einer 1 Wertspalte.

Es kann genau 1 Spalte aus den von den Wertspalten abgeleiteten aufgesplitteten Spalten gewählt werden.

Y-Achse: Auswahl einer 1 Wertspalte.

Es können 1-N Spalten aus den von den Wertspalten abgeleiteten aufgesplitteten Spalten ausgewählt werden.

Y-Achse: Auswahl 1-N Wertspalten.

Es können 1-N Spalten aus den von den Wertspalten abgeleiteten aufgesplitteten Spalten ausgewählt werden.

Besonderheit Streudiagramm mit Referenzkurve: Die Referenzkurve wird - im Gegensatz zu Punktwolken - immer nur einmal eingezeichnet, da diese nicht vom Zeitfilter abhängt. Denn Referenzkurven ändern sich nicht über die Zeit und alle gewählten Anlagengruppen müssen über die gleiche Referenzkurve verfügen.

info Info

Wird ein Zeitfilter zu einer Reportvorlage hinzugefügt, dann werden alle Reportelemente gelöscht, die ein Hauptdataset mit Zeitbereichsvereinigung verwenden. Das Löschen erfolgt erst nach einer Sicherheitsabfrage.


Alarm- und Ereignisgruppen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarm- und Ereignisgruppen

Im Report Launcher kann auf Alarm- und Ereignisgruppen gefiltert werden.
Welche Alarm-/Ereignisgruppen zur Verfügung stehen, konfigurieren Sie in der Report-Einstellung Alarm- und Ereignisgruppen Vorfilter.

Um den Filter zu aktivieren:

  1. Klicken Sie auf die Report-Einstellung Alarm-/Ereignisgruppen.
  2. Klicken Sie in den Eigenschaften auf die Eigenschaft Filter im Report aktivieren.

    Die Filtereigenschaften werden eingeblendet.

  3. Konfigurieren Sie die Filtereigenschaften.

Filtereigenschaften Alarm-/Ereignisgruppen

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filter im Report aktivieren

Aktiviert oder deaktiviert die Filtereinstellungen.
Aktivierung über Klick in Checkbox:

  • Aktiv: Alarm-/Ereignisgruppen stehen als Filter zur Verfügung.
  • Inaktiv: Es kann nicht auf Alarm-/Ereignisgruppen gefiltert werden.

Default: inaktiv

Reportparameter

Konfiguration der initialen Darstellung der Alarm-/Ereignisgruppen im Report Launcher über die Eigenschaft Sortierreihenfolge und die Auswahl, ob mehr als eine Alarm-/Ereignisklasse ausgewählt werden kann.

Eigenschaft

Beschreibung

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Alarm- und Ereignisgruppen Vorfilter

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarm- und Ereignisgruppen Vorfilter

Alarmgruppen und Erreignisgruppen können vorgefiltert werden.
Um Alarm-/Ereignisklassen vorzufiltern:

  1. Wählen Sie die Report-Einstellung Alarm-/Ereignisgruppen Vorfilter.
  2. Klicken Sie in der Eigenschaft Alarm-/Ereignisgruppen Vorfilter auf die Schaltfläche ....

    Der Dialog zur Auswahl von Alarm- und Ereignisgruppen wird geöffnet.

  3. Wählen Sie die gewünschten Elemente aus.
  4. Schließen Sie den Dialog mit Klick auf OK.

Um den Vorfilter im Report Launcher anzuwenden:

  1. Klicken Sie auf die Report-Einstellung Alarm-/Ereignisgruppen.
  2. Aktivieren Sie die Checkbox für die Eigenschaft Filter im Report aktivieren.

Eigenschaften Alarm-/Ereignisklassen

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Alarm-/Ereignisgruppen Vorfilter | Klick auf Schaltfläche ... öffnet den Dialog zur Konfiguration des Vorfilters.

Noch in diesem Kapitel

Dialog Vorfilter Alarm- und Ereignisgruppen


Dialog Vorfilter Alarm- und Ereignisgruppen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarm- und Ereignisgruppen Vorfilter > Dialog Vorfilter Alarm- und Ereignisgruppen

In diesem Dialog wählen Sie aus, welche Alarm- und Ereignisgruppen im Filter berücksichtigt werden.

Dialog

Option

Beschreibung

Vorfilter aktivieren

Aktiviert oder deaktiviert die Optionen zur Auswahl der Elemente.

Alle Elemente

Wählt alle Elemente aus oder ab:

  • Aktiv: Die Checkboxen werden für alle Elemente aktiviert.
  • Deaktiviert: Alle Elemente werden deaktiviert.

Elemente

Liste der aus zenon importierten Elemente. Jedes Element kann mit einer Checkbox aktiviert oder deaktiviert werden.

Ist die Option Vorfilter aktivieren aktiv, muss mindestens ein Element ausgewählt werden.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Alarmgruppierung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarmgruppierung

Eigenschaften zur Konfiguration der Report-Einstellung Alarmgruppierung für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften zur Auswahl der Gruppierung für Top N.

Eigenschaft

Beschreibung

Alarmgruppierung

Auswahl der anzuzeigenden gruppierten Alarme aus Dropdownliste:

  • Alarm-/Ereignisklasse
  • Alarm-/Ereignisgruppe
  • Anlagengruppe (alle Gruppen)
  • Anlagengruppe (nur gefilterte Gruppen)
  • Alarmursache Ebene 1
  • Alarmursache Ebene 2
  • Alarmursache Ebene 3
  • Alarmursache Ebene 4
  • Alarmursache Ebene 5
  • Vollständige Alarmursache


Alarm- und Ereignisklassen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarm- und Ereignisklassen

Im Report Launcher kann auf Alarm- und Ereignisklassen gefiltert werden.
Welche Alarm-/Ereignisklassen zur Verfügung stehen, konfigurieren Sie in der Report-Einstellung Alarm- und Ereignisklassen Vorfilter.

Um den Filter zu aktivieren:

  1. Klicken Sie auf die Report-Einstellung Alarm-/Ereignisklassen.
  2. Klicken Sie in den Eigenschaften auf die Eigenschaft Filter im Report aktivieren.

    Die Filtereigenschaften werden eingeblendet.

  3. Konfigurieren Sie die Filtereigenschaften.

Filtereigenschaften Alarm-/Ereignisklassen

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filter im Report aktivieren

Aktiviert oder deaktiviert die Filtereinstellungen.
Aktivierung über Klick in Checkbox:

  • Aktiv: Alarm-/Ereignisklassen stehen als Filter zur Verfügung.
  • Inaktiv: Es kann nicht auf Alarm-/Ereignisklassen gefiltert werden.

Default: inaktiv

Reportparameter

Konfiguration der initialen Darstellung der Alarm-/Ereignisklassen im Report Launcher über die Eigenschaft Sortierreihenfolge und die Auswahl, ob mehr als eine Alarm-/Ereignisklasse ausgewählt werden kann.

Eigenschaft

Beschreibung

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Alarm- und Ereignisklassen Vorfilter

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarm- und Ereignisklassen Vorfilter

Alarmklassen und Erreignisklassen können vorgefiltert werden.
Um Alarm-/Ereignisklassen vorzufiltern:

  1. Wählen Sie die Report-Einstellung Alarm-/Ereignisklassen Vorfilter.
  2. Klicken Sie in der Eigenschaft Alarm-/Ereignisklassen Vorfilter auf die Schaltfläche ....

    Der Dialog zur Auswahl von Alarm- und Ereignisklassen wird geöffnet.

  3. Wählen Sie die gewünschten Elemente aus.
  4. Schließen Sie den Dialog mit Klick auf OK.

Um den Vorfilter im Report Launcher anzuwenden:

  1. Klicken Sie auf die Report-Einstellung Alarm-/Ereignisklassen.
  2. Aktivieren Sie die Checkbox für die Eigenschaft Filter im Report aktivieren.

Eigenschaften Alarm-/Ereignisklassen

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Alarm-/Ereignisklassen Vorfilter | Klick auf Schaltfläche ... öffnet den Dialog zur Konfiguration des Vorfilters.

Noch in diesem Kapitel

Dialog Vorfilter Alarm- und Ereignisklassen


Dialog Vorfilter Alarm- und Ereignisklassen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarm- und Ereignisklassen Vorfilter > Dialog Vorfilter Alarm- und Ereignisklassen

In diesem Dialog wählen Sie aus, welche Alarm- und Ereignisklassen im Filter berücksichtigt werden.

Dialog

Option

Beschreibung

Vorfilter aktivieren

Aktiviert oder deaktiviert die Optionen zur Auswahl der Elemente.

Alle Elemente

Wählt alle Elemente aus oder ab:

  • Aktiv: Die Checkboxen werden für alle Elemente aktiviert.
  • Deaktiviert: Alle Elemente werden deaktiviert.

Elemente

Liste der aus zenon importierten Elemente. Jedes Element kann mit einer Checkbox aktiviert oder deaktiviert werden.

Ist die Option Vorfilter aktivieren aktiv, muss mindestens ein Element ausgewählt werden.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Alarm- und Ereigniskommentar

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarm- und Ereigniskommentar

Im Report Launcher kann auf Kommentare für Alarme und Ereignisse gefiltert werden.
Um den Filter zu aktivieren:

  1. Klicken Sie auf die Report-Einstellung Alarm-/Ereigniskommentar.
  2. Klicken Sie in den Eigenschaften auf die Eigenschaft Filter im Report aktivieren.

    Die Filtereigenschaften werden eingeblendet.

  3. Konfigurieren Sie die Filtereigenschaften.

Filtereigenschaften Alarm-/Ereigniskommentar

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filter im Report aktivieren

Aktiviert oder deaktiviert die Filtereinstellungen.
Aktivierung über Klick in Checkbox:

  • Aktiv: Alarm-/Ereigniskommentare stehen als Filter zur Verfügung.
    Im Report Launcher wird ein Eingabefeld für einen Wildcard-Filter angeboten.
  • Inaktiv: Im Report Launcher kann nicht auf Alarm-/Ereigniskommentare gefiltert werden.

Default: inaktiv

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Kommentare für Alarme und Ereignisse im Report Launcher.

Eigenschaft | Beschreibung
Parametername | Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden. Maximale Länge: 199 Zeichen
Anzeigename im Report | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.
Direkten Wert verwenden | Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden. Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.
Direkter Wert | Konfiguration des direkten Werts. Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Alarmursache

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarmursache

Diese Report-Einstellung ermöglicht die Aktivierung des Filters Alarmursache für den Report Launcher. Die Eigenschaft kann aktiviert oder deaktiviert werden.

Damit Alarmursachen gelesen werden können, muss auf dem Runtime-Server vorhanden sein:

  • mindestens zenon Supervisor 7.60
  • Connector Container oder SQL Connector

Die Inkludierung der Alarmursachen ist daher optional.

Filter aktivieren

Um den Filter zu aktivieren:

  1. Klicken Sie auf die Report-Einstellung Alarmursache.
  2. Klicken Sie in den Eigenschaften auf die Eigenschaft Filter im Report aktivieren.

    Die Filtereigenschaften werden eingeblendet.

  3. Konfigurieren Sie die Filtereigenschaften.

Filtereigenschaften Alarmursachen

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filter im Report aktivieren

Aktiviert oder deaktiviert die Filtereinstellungen.
Aktivierung über Klick in Checkbox:

  • Aktiv: Alarmursachen stehen als Filter zur Verfügung.
  • Inaktiv: Es kann nicht auf Alarmursachen gefiltert werden.

Default: inaktiv

Reportparameter

Konfiguration der initialen Darstellung der Alarmursachen im Report Launcher über die Eigenschaften Schachtelungsmodus und Schachtelungsebene sowie Auswahl, ob mehr als eine Alarmursache ausgewählt werden kann.

Eigenschaft

Beschreibung

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Schachtelungsmodus

Auswahl des Schachtelungsmodus aus Dropdownliste:

  • Alle Knoten erweitern:
    Alle Knoten werden erweitert angezeigt.
  • Alle Knoten reduzieren:
    Alle Knoten werden geschlossen angezeigt. Nur die oberste Ebene ist sichtbar.
  • Erweitere Knoten bis Schachtelungsebene:
    Die Knoten werden bis der Tiefe angzeigt, die in der Eigenschaft Schachtelungsebene konfiguriert wurde.

Default: Alle Knoten erweitern

Schachtelungsebene

Konfiguration der Schachtelungsebenen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 25

Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.
Nur verfügbar, wenn in der Eigenschaft Schachtelungsmodus die Option Erweitere Knoten bis Schachtelungsebene ausgewählt wurde.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Alarm Rückblickzeit

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Alarm Rückblickzeit

Auswahl einer Rückblickzeit für Alarme.

Damit können Alarme berücksichtigt werden, die bereits vor dem Start des Zeitfilters aufgetreten sind, aber noch in den Bereich des Zeitfilters hinein wirken.

Alarm Rückblickzeit

Konfiguration der Eigenschaften für die Alarm-Rückblickzeit.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Alarm Rückblickzeit

Zeitbereich, der vom Start des Zeitfilters rückwärts gerichtet berücksichtigt werden soll.

Details siehe Kapitel Alarm Rückblickzeit.

Quantität

Numerische Eingabe für die Anzahl der Intervalle. Eingabe auch über die Pfeiltasten des Spincontrols möglich.

Wert darf nicht negativ sein.

Default: 0

Granularität

Auswahl der Granularität des Intervalls:

  • Minute
  • Stunde
  • Tag
  • Monat
  • Jahr

Default: Tag


Anlagenmodelle und Anlagengruppen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen

Mehrere Report-Einstellungen ermöglichen im Report Launcher die Auswahl von Anlagenmodellen oder Anlagengruppen.

Initiale Darstellung Anlagengruppen

Die initiale Darstellung der Anlagengruppen im Report Launcher beim Öffnen der Dropdownliste ist entweder vorgefiltert oder kann konfiguriert werden.
Für die Filterung stehen zur Verfügung:

  • nur die oberste Ebene
  • alle Ebenen
  • eine definierte Tiefe an Ebenen (bis zu 25)

Einstellungen

Die allgemeinen Einstellungen für Anlagengruppe stehen in zwei Ausprägungen zur Verfügung:

  • obligatorisch: Report-Einstellung ist Teil des Datasets
  • optional: Report-Einstellung kann optional zur Filterung verwendet werden

Zusätzlich stehen zur Verfügung:

  • Anlagengruppen Wasserkraft ohne Mehrfachauswahl
  • Anlagengruppen Wasserkraft mit Mehrfachauswahl
  • Gantt-Anlagengruppe
  • OEE Anlagengruppe

Noch in diesem Kapitel

Anlagenmodelle

Anlagenmodelle für Ausgabe

Anlagengruppe obligatorisch

Anlagengruppe optional

Anlagengruppen Wasserkraft ohne Mehrfachauswahl

Anlagengruppen Wasserkraft mit Mehrfachauswahl

Gantt-Anlagengruppe

OEE Anlagengruppe

Anlagengruppen-Namen


Anlagenmodelle

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen > Anlagenmodelle

Eigenschaften zur Konfiguration der Anlagenmodelle, die im Report Launcher zur Verfügung stehen soll.

Anlagenmodelle

Auswahl der Anlagenmodelle, die im Report Launcher zur Verfügung stehen.

Allgemein

Das ausgewählte Anlagenmodell wird im Report Launcher angewendet.

Eigenschaft | Beschreibung
Anlagenmodelle | Auswahl eines Wurzelelements des Anlagenmodells aus Dropdownliste. Die Anlagenmodelle werden aus den Metadaten gelesen und in der Dropdownliste zur Auswahl angeboten. Der Eintrag Alle Modelle verwendet alle in der Liste vorhandenen Modelle.


Anlagenmodelle für Ausgabe

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen > Anlagenmodelle für Ausgabe

Eigenschaften zur Konfiguration der Anlagenmodelle, die für die Gruppierung im Report Launcher verwendet werden sollen. Die Einstellung ist nur relevant, wenn die Gruppierung anlagengruppenbasiert erfolgt.

Anlagenmodelle

Auswahl der Anlagenmodelle, die im Report Launcher für die Gruppierung zur Verfügung stehen.

Allgemein

Die ausgewählten Anlagenmodelle werden im Report Launcher angewendet.
Mindestens eine Anlagenmodell muss ausgewählt werden.

Eigenschaft

Beschreibung

Alle Anlagenmodelle
  • Aktiv: Alle Anlagenmodelle stehen zur Verfügung.
  • Inaktiv: Auswahl erfolgt über Nur diese Anlagenmodelle.

Nur diese Anlagenmodelle

Auswahl der Anlagenmodelle, die verwendet werden sollen.
Jedes vorhandene Anlagenmodell kann über eine Checkbox ausgewählt oder abgewählt werden.

Nur verfügbar wenn Alle Anlagenmodelle inaktiv ist.


Anlagengruppe obligatorisch

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen > Anlagengruppe obligatorisch

In dieser Report-Einstellung konfigurieren Sie, wie Anlagengruppen im Report Launcher dargestellt werden.

Anlagengruppenfilter

Konfiguration, wie die Anlagengruppen im Report Launcher initial dargestellt werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Konfiguration der initialen Darstellung der Anlagengruppenfilter im Report Launcher über die Eigenschaften Schachtelungsmodus und Schachtelungsebene sowie Auswahl, ob mehr als eine Anlagengruppe ausgewählt werden kann

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Schachtelungsmodus

Auswahl des Schachtelungsmodus aus Dropdownliste:

  • Alle Knoten erweitern:
    Alle Knoten werden erweitert angezeigt.
  • Alle Knoten reduzieren:
    Alle Knoten werden geschlossen angezeigt. Nur die oberste Ebene ist sichtbar.
  • Erweitere Knoten bis Schachtelungsebene:
    Die Knoten werden bis der Tiefe angzeigt, die in der Eigenschaft Schachtelungsebene konfiguriert wurde.

Default: Alle Knoten erweitern

Schachtelungsebene

Konfiguration der Schachtelungsebenen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 25

Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.
Nur verfügbar, wenn in der Eigenschaft Schachtelungsmodus die Option Erweitere Knoten bis Schachtelungsebene ausgewählt wurde.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Anlagengruppe optional

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen > Anlagengruppe optional

Diese Report-Einstellung ermöglicht die Aktivierung des Anlagengruppen-Filters für die Konfiguration im Report Launcher. Die Eigenschaft kann aktiviert oder deaktiviert werden.

Filter aktivieren

Um den Filter zu aktivieren:

  1. Klicken Sie auf die Report-Einstellung Anlagengruppe.
  2. Klicken Sie in den Eigenschaften auf die Eigenschaft Filter im Report aktivieren.

    Die Filtereigenschaften werden eingeblendet.

  3. Konfigurieren Sie die Filtereigenschaften.

Filtereigenschaften Anlagengruppe

Anlagengruppe

Konfiguration, wie die Anlagengruppen im Report Launcher initial dargestellt werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filter im Report aktivieren

Aktiviert oder deaktiviert die Filtereinstellungen.
Aktivierung über Klick in Checkbox:

  • Aktiv: Anlagenmodellgruppen stehen als Filter zur Verfügung.
  • Inaktiv: Es kann nicht auf Anlagenmodellgruppen gefiltert werden.

Reportparameter

Konfiguration der initialen Darstellung der Anlagengruppenfilter im Report Launcher über die Eigenschaften Schachtelungsmodus und Schachtelungsebene sowie Auswahl, ob mehr als eine Anlagengruppe ausgewählt werden kann.

Eigenschaft

Beschreibung

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Schachtelungsmodus

Auswahl des Schachtelungsmodus aus Dropdownliste:

  • Alle Knoten erweitern:
    Alle Knoten werden erweitert angezeigt.
  • Alle Knoten reduzieren:
    Alle Knoten werden geschlossen angezeigt. Nur die oberste Ebene ist sichtbar.
  • Erweitere Knoten bis Schachtelungsebene:
    Die Knoten werden bis der Tiefe angzeigt, die in der Eigenschaft Schachtelungsebene konfiguriert wurde.

Default: Alle Knoten erweitern

Schachtelungsebene

Konfiguration der Schachtelungsebenen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 25

Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.
Nur verfügbar, wenn in der Eigenschaft Schachtelungsmodus die Option Erweitere Knoten bis Schachtelungsebene ausgewählt wurde.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Anlagengruppen Wasserkraft ohne Mehrfachauswahl

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen > Anlagengruppen Wasserkraft ohne Mehrfachauswahl

Auswahl der Darstellung der Anlagengruppen im Report Launcher.
Diese Einstellung verwaltet die Anlagengruppen für mehrere Reports. Diese werden durch die jeweiligen Report-Einstellungen vorgefiltert:

Reportvorlage | Report-Einstellung für Vorfilterung
Betriebszeit pro Betriebsmodus und Maschinenkomponente: | Betriebszeiten-Zähler
Betriebszeit pro Lastbereich: | Betriebszeit pro Lastebereich
Schaltspiele Leistungsschalter (Schaltanlage - Einzelauswahl) | Schaltspiel Schaltanlage
Wirk- und Blindleistungszähler (Einfachauswahl) | Wirk- und Blindleistungszähler
Netzfrequenz | Frequenz Bedeutungen
Ereigniszähler für Maschinen | Alle Ereignisse

Eigenschaften

Konfiguration, wie Anlagengruppen im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Anlagengruppen im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Schachtelungsmodus

Auswahl des Schachtelungsmodus aus Dropdownliste:

  • Alle Knoten erweitern:
    Alle Knoten werden erweitert angezeigt.
  • Alle Knoten reduzieren:
    Alle Knoten werden geschlossen angezeigt. Nur die oberste Ebene ist sichtbar.
  • Erweitere Knoten bis Schachtelungsebene:
    Die Knoten werden bis der Tiefe angzeigt, die in der Eigenschaft Schachtelungsebene konfiguriert wurde.

Default: Alle Knoten erweitern

Schachtelungsebene

Konfiguration der Schachtelungsebenen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 25

Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.
Nur verfügbar, wenn in der Eigenschaft Schachtelungsmodus die Option Erweitere Knoten bis Schachtelungsebene ausgewählt wurde.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Anlagengruppen Wasserkraft mit Mehrfachauswahl

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen > Anlagengruppen Wasserkraft mit Mehrfachauswahl

Auswahl der Darstellung der Anlagengruppen im Report Launcher.
Diese Einstellung verwaltet die Anlagengruppen für mehrere Reports. Diese werden durch die jeweiligen Report-Einstellungen vorgefiltert:

Reportvorlage | Report-Einstellung für Vorfilterung
Betriebszeit pro Betriebsmodus oder Frequenzregelung: | Betriebszeit pro Betriebsmodus
Betriebszeit pro Maschinenkomponente: | Betriebszeit pro Komponente
Schaltspiele Leistungsschalter (Leistungsschalter - Mehrfachauswahl) | Schaltspiel Leistungsschalter
Wirk- und Blindleistungszähler | Wirk- und Blindleistungszähler
Ereigniszähler für Sollwertänderungen | Sollwertänderungs-Ereignisse
Ereigniszähler für Umschaltungen des Düsenmodus | Umschaltungen des Düsenmodus
Ereigniszähler für Lastabwurf - Wirkleistungsbereiche | Wirkleistung bei Lastabwurf-Ereignissen
Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche | Turbinengeschwindigkeit bei Lastabwurf-Ereignissen
Starts der Maschinensätze | Maschinenstart-Zähler

Eigenschaften

Konfiguration, wie Anlagengruppen im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Anlagengruppen im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Schachtelungsmodus

Auswahl des Schachtelungsmodus aus Dropdownliste:

  • Alle Knoten erweitern:
    Alle Knoten werden erweitert angezeigt.
  • Alle Knoten reduzieren:
    Alle Knoten werden geschlossen angezeigt. Nur die oberste Ebene ist sichtbar.
  • Erweitere Knoten bis Schachtelungsebene:
    Die Knoten werden bis der Tiefe angzeigt, die in der Eigenschaft Schachtelungsebene konfiguriert wurde.

Default: Alle Knoten erweitern

Schachtelungsebene

Konfiguration der Schachtelungsebenen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 25

Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.
Nur verfügbar, wenn in der Eigenschaft Schachtelungsmodus die Option Erweitere Knoten bis Schachtelungsebene ausgewählt wurde.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Gantt-Anlagengruppe

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen > Gantt-Anlagengruppe

Eigenschaften der vorgefilterten OEE-Anlagengruppe Im Report Launcher wird eine Einfachauswahl aus einer Dropdownliste angeboten, die alle Anlagengruppen enthält, die ausgewertet werden können. Diese Einstellung kann nicht mit anderen Anlagenfiltern gruppiert werden.

Gantt-Anlagengruppe

Konfiguration, wie Gantt-Anlagengruppen im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Gantt-Anlagengruppe im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Schachtelungsmodus

Auswahl des Schachtelungsmodus aus Dropdownliste:

  • Alle Knoten erweitern:
    Alle Knoten werden erweitert angezeigt.
  • Alle Knoten reduzieren:
    Alle Knoten werden geschlossen angezeigt. Nur die oberste Ebene ist sichtbar.
  • Erweitere Knoten bis Schachtelungsebene:
    Die Knoten werden bis der Tiefe angzeigt, die in der Eigenschaft Schachtelungsebene konfiguriert wurde.

Default: Alle Knoten erweitern

Schachtelungsebene

Konfiguration der Schachtelungsebenen. Auswahl durch Pfeiltasten oder direkte Eingabe in das Feld.

  • Minimum: 0
  • Maximum: 25

Bei Überschreitung des Maximums über die Pfeiltasten wird wieder zum Minimum gesprungen, bei Unterschreitung des Minimums wird zum Maximum gesprungen.
Nur verfügbar, wenn in der Eigenschaft Schachtelungsmodus die Option Erweitere Knoten bis Schachtelungsebene ausgewählt wurde.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


OEE Anlagengruppe

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen > OEE Anlagengruppe

Eigenschaften der vorgefilterten OEE-Anlagengruppe. Im Report Launcher wird eine Einfachauswahl aus einer Dropdownliste angeboten, die alle Anlagengruppen enthält, die mit den konfigurierten Bedeutungen ausgewertet werden können. Diese Einstellung kann nicht mit anderen Anlagenfiltern gruppiert werden.

OEE-Anlagengruppe

Konfiguration, wie OEE-Anlagengruppen im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Anlagengruppen für OEE im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Anlagengruppen-Namen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Anlagenmodelle und Anlagengruppen > Anlagengruppen-Namen

Auswahl der Art, wie Namen für Anlagengruppen dargestellt werden.

Allgemein

Allgemeine Eigenschaften für die Darstellung von Anlagengruppen-Namen im Report Launcher.

Eigenschaft

Beschreibung

Übergeordnete anzeigen

Auswahl über Checkbox, wie Anlagengruppen-Namen angezeigt werden:

  • Aktiv: Übergeordente Elemente werden angezeigt.
  • Inaktiv: Anlagengruppen-Namen werden ohne übergeordnete Elemente angezeigt.

Default: inaktiv


Archive (von Projekten)

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Archive (von Projekten)

Eigenschaften zur Konfiguration der Report-Einstellung Archive (von Projekten) für den Report Launcher.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen der Reportparameter.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Archivkomprimierung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Archivkomprimierung

Eigenschaften zur Konfiguration der Report-Einstellung Archivkomprimierung für den Report Launcher.

Archivkomprimierung

Konfiguration der Archivkomprimierung.

Allgemein

Einstellungen für die Archivkomprimierung im Report Launcher.
Die ausgewählte Komprimierung wird im Report Launcher angewandt und kann dort nicht weiter konfiguriert werden.

Eigenschaft

Beschreibung

Archivkomprimierung

Verdichtung der Variablen im Archiv.
Auswahl einer Komprimierung aus der Dropdownliste:

  • Rohdaten (Basisarchiv)
  • Summendaten (Verdichtungsarchiv)
  • Mittelwertdaten (Verdichtungsarchiv)
  • Minimumdaten (Verdichtungsarchiv)
  • Maximumdaten (Verdichtungsarchiv)

Default: Rohdaten (Basisiarchiv)


Bedeutungen für XY-Diagramm

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Bedeutungen für XY-Diagramm

Konfiguration und Anzeige der Report Einstellung Bedeutungen für XY-Diagramm.
Diese Eigenschaft muss konfiguriert werden.

Eigenschaften

Streudiagramm Bedeutungen

Option | Beschreibung
Bedeutungen | Klick auf die Schaltfläche ... öffnet den Dialog zur Konfigurationen der Bedeutungen.

Noch in diesem Kapitel

Dialog XY-Diagramm Konfiguration


Dialog XY-Diagramm Konfiguration

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Bedeutungen für XY-Diagramm > Dialog XY-Diagramm Konfiguration

Konfiguration der Bedeutungen für die Variablen für X-Achse und Y-Achse.

Konfiguration XY-Diagramm

Parameter | Beschreibung
Bedeutung für Indikatorvariablen der X-Achse | Bedeutung für Variablen der X-Achse. Default: XValue
Bedeutung für Indikatorvariablen der Y-Achse | Bedeutung für Variablen der Y-Achse. Default: YValue
Konfiguration überprüfen | Klick auf Schaltfläche überprüft die konfigurierten Bedeutungen und gibt Ergebnis im Fenster aus.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Benutzerdefinierte Formeln

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln

Anzeige und Konfiguration benutzerdefinierter Formeln. Benutzerdefinierte Formeln können konfiguriert werden für:

  • Reports ohne Verdichtung über den Zeitbereich
  • Reports mit Verdichtung über den Zeitbereich

Eigenschaft Benutzerdefinierte Formel

Allgemein

Konfiguration einer benutzerdefinierten Formel.

Eigenschaft | Beschreibung
Formel konfigurieren | Klick auf Schaltfläche ... öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln. Hinweis: Beim Schließen des Dialogs muss mindestens eine Formel als Ausgabe markiert sein.
Formeln anordnen und einfärben | Klick auf Schaltfläche ... öffnet den Dialog zur Anordnung und Einfärbung von Formeln. Nur verfügbar, wenn für Formel konfigurieren kein Validierungsfehler vorliegt.

Noch in diesem Kapitel

Benutzerdefinierte Formeln konfigurieren

Variablen und Felder in berechneten Feldern ersetzen

Felder bereinigen

Formeleditor

Formeln exportieren und importieren

Formelergebnisse anordnen und einfärben


Benutzerdefinierte Formeln konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren

Dieser Dialog wird verwendet für:

  • benutzerdefinierte Formeln in Reports
  • Berechnete Variablen in Berechneten Archiven (nur Konfiguration benutzerdefinierter Formeln ohne Verdichtung)

Die Oberfläche des Dialogs unterscheidet sich geringfügig für die beiden Anwendungsfälle. Screenshots beziehen sich auf die Verwendung in Reports mit benutzerdefinierten Formeln. Die Unterschiede werden in der Beschreibung erklärt.

Benutzerdefinierte Formeln werden in Reports vom folgenden Typ verwendet:

  • Analyse mit benutzerdefinierten Formeln.
    Es wird unterschieden zwischen:
    • Reports ohne Verdichtung über den Zeitbereich
    • Reports mit Verdichtung über den Zeitbereich
  • Effizienklassen Analyse:
    Dabei muss genau ein Feld in der Registerkarte Verdichtungsfelder oder in der Registerkarte Berechnete Felder nach durchgeführter Verdichtung als sichtbar markiert sein, damit der Report als gültig validiert wird.

Konfiguration benutzerdefinierter Formeln ohne Verdichtung

Option | Beschreibung
Variablenauswahl | Auswahl, welche Felder mit welchen Variablenwerten aus welchen Archiven gelesen werden sollen. Bei berechneten Variablen: Optionale Auswahl Variablenverwendung.
Kostenberechnung | Auswahl, welche Variablen-Rohdatenfeldern über Kostenfelder verfügen sollen.
Konstantenfelder | Definition von konstanten Werten.
Standardfelder | Definition von Standardfelder. Diese können bei der Verdichtung angewendet werden. Die Verwendung im Report hängt von der Konfiguration ab.
Temperatur-Normalisierungsfelder | Definition der Temperatur-Normalisierungsfelder. Diese können bei der Verdichtung angewendet werden. Die Verwendung im Report hängt von der Konfiguration ab.
Berechnete Felder | Konfiguration von Formeln mit Feldern aus den anderen Registerkarten.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Konfiguration benutzerdefinierter Formeln mit Verdichtung

Option

Beschreibung

Variablenauswahl

Auswahl, welche Felder mit welchen Variablenwerten aus welchen Archiven gelesen werden sollen.

Kostenberechnung

Auswahl, welche Variablen-Rohdatenfeldern über Kostenfelder verfügen sollen.

Konstantenfelder

Definition von konstanten Werten.

Standardfelder

Definition von Standardfelder.

Diese können angewendet werden bei berechneten Feldern:

  • vor der Verdichtung
  • wenn der Report keine Verdichtung enthält

Die Verwendung im Report hängt von der Konfiguration ab.

Temperatur-Normalisierungsfelder

Definition der Temperatur-Normalisierungsfelder.

Diese können bei der Verdichtung angewendet werden. Die Verwendung im Report hängt von der Konfiguration ab.

Berechnete Felder vor durchgeführter Verdichtung

Konfiguration von Formeln mit Feldern aus den anderen Registerkarten.

Verdichtungsfelder

Konfiguration von Verdichtungen aus allen Feldern der vorangegangenen Registerkarten.

Berechnete Felder nach durchgeführter Verdichtung

Konfiguration von Formeln mit den Feldern aus der Registerkarte Verdichtungsfelder.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Noch in diesem Kapitel

Variablenauswahl

Datenfilter Konfiguration

Kostenberechnung

Konstantenfelder

Standardfelder

Temperatur-Normalisierungsfelder

Berechnete Felder

Berechnete Felder vor durchgeführter Verdichtung

Verdichtungsfelder

Berechnete Felder nach durchgeführter Verdichtung


Variablenauswahl

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Variablenauswahl

In dieser Registerkarte wird konfiguriert, welche Felder mit welchen Variablenwerten aus welchen Archiven gelesen werden sollen.

Im oberen Bereich der Registerkarte werden Metadaten angezeigt, im unteren Bereich Felder.

Option

Beschreibung

Metadaten-Bereich

Filtern und Auswahl der Metadaten.

Filter

Auswahl der auf die Tabelle Metadaten anzuwendenden Filter. Es stehen zur Verfügung:

  • Projektname
  • Archivname
  • Variablenname
  • Maßeinheit
  • Bedeutungen
  • Anlagengruppen

Die Filterung erfolgt durch Eingabe einer Zeichenfolge in die gewünschten Eingabefelder. Klick auf die Schaltfläche Anwenden aktualisiert die Liste.

Wildcards sind erlaubt:

  • ?: genau ein beliebiges Zeichen
  • *: beliebige Anzahl (auch 0) beliebiger Zeichen
  • Wird keine Wildcard verwendet, wird intern automatisch ein * an den Filtertext angehängt.

Die Filter werden mit einem logischen UND verknüpft. Das bedeutet, eine Zeile muss allen Filterkriterien genügen, damit sie angezeigt wird.

Anwenden

Wendet Filterkriterien auf die Tabelle Metadaten an.

Löschen

Löscht den Inhalt aller Filter-Felder, setzt den Filter zurück und zeigt in der Tabelle Metadaten alle Zeilen an.

Tabelle Metadaten

Listet alle vorhandenen Metadaten auf. Diese können gefiltert anzeigt und zum Feld-Bereich hinzugefügt werden.

Zeilen der Tabelle können zur Auswahl markiert werden. Mehrfachauswahl ist über die Tastenkombinationen Strg+Mausklick bzw. Umschalt+Mausklick möglich.

Hinzufügen

Klick fügt für jede in der Tabelle markierte Zeile ein Feld im Feld-Bereich hinzu. Variablen können auch über Doppelklick hinzugefügt werden.

Dabei darf eine Kombination aus Variablen, Archiv und Verdichtung der Variablen im Archiv immer nur einmal als Feld auftreten. Versuche, eine vorhandene Kombination erneut hinzuzufügen werden ignoriert.

Alle hinzufügen

Klick fügt für jede in der Tabelle sichtbare Zeile ein Feld im Feld-Bereich hinzu.

Dabei darf eine Kombination aus Variablen, Archiv und Verdichtung der Variablen im Archiv immer nur einmal als Feld auftreten. Versuche, eine vorhandene Kombination erneut hinzuzufügen werden ignoriert.

Unsichtbare Zeilen, die vom Filter unterdrückt werden, werden ignoriert.

Feld-Bereich

Enthält für jedes Feld eine Zeile.

Angezeigt werden folgende Parameter:

  • Variablenverwendung:
    Legt fest, ob dieses Feld im Report sichtbar ist. Steht für Formeln mit Verdichtung nicht zur verfügung.
    Variablenverwendung bei berechneten Variablen:
    Auswahl Feld für Berechnete Variable.
  • Datenursprung:
    Projektname, Archivname, Variablenname und Verdichtung der Variablen im Archiv werden angezeigt.
  • Feldname:
    Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet. Standard: Variablenname aus den Metadaten.
  • Maßeinheit:
    Einheit des Feldes.

Im Bericht sichtbar

Aktiv: Dieses Feld ist im Report sichtbar.

Default: inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Variablenrohdatenfelder bei Verdichtung im Report nicht sichtbar sein können.

Feldname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.

Maximum: 256 Zeichen

Default: Variablenname aus den Metadaten.
Würde dieser allerdings zu einer Kollision führen, wird ein Zähler an den Namen angehängt.

Maßeinheit

Einheit des Feldes.

Maximum: 256 Zeichen

Default: Variableneinheit aus den Metadaten.

X

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Datenfilter Konfiguration

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Datenfilter Konfiguration

Mit diesem Dialog werden:

  • Datenfilter, sofern vorhanden, aktiviert oder deaktiviert
  • Bedeutung eingegeben, über welche die Variablen für diese Datenfilterung adressiert werden

Option

Beschreibung

Datenfiltertyp

Aktivierung und Deaktivierung der Datenfiltertypen.

Bedeutung für Datenfiltervariable

Eingabe der Bedeutung für Datenfiltervariablen.

Das Eingabefeld ist nur aktiv, wenn die CheckBox davor aktiviert wurde. Ist das Eingabefeld bei Aktivierung der Checkbox leer, wird sie mit dem Vorgabewert für die Bedeutung gefüllt.

Palettentyp

  • Aktiv: Es wird nach dem Palettentyp gefiltert.

Das Eingabefeld neben der Checkbox dient der Eingabe der Bedeutung (Meaning) für die Adressierung der Variablen für diesen Filter.

Kistentyp

  • Aktiv: Es wird nach dem Kistentyp gefiltert.

Das Eingabefeld neben der Checkbox dient der Eingabe der Bedeutung (Meaning) für die Adressierung der Variablen für diesen Filter.

Flaschentyp

  • Aktiv: Es wird nach dem Flaschentyp gefiltert.

Das Eingabefeld neben der Checkbox dient der Eingabe der Bedeutung (Meaning) für die Adressierung der Variablen für diesen Filter.

Abfülltanknummer
  • Aktiv: Es wird nach der Abfülltanknummer gefiltert.

Das Eingabefeld neben der Checkbox dient der Eingabe der Bedeutung (Meaning) für die Adressierung der Variablen für diesen Filter.

Konfiguration überprüfen

Klick auf die Schaltfläche validiert die Eingaben und gibt das Ergebnis im Listenfeld aus. Details siehe Abschnitt Validierung.

OK

Übernimmt Einstellungen und schließt den Dialog. Ist eines der Eingabefelder aktiviert, aber leer, wird die Schaltfläche ausgeblendet.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Validierung

Die bei der Validierung durchgeführten Überprüfungen hängen ab von der Art der Produktionsanalyse:

Linienbasierte Produktionsanalyse

Bei der Validierung wird geprüft:

  • Anlagengruppen mit Untergruppen: Sind für alle Untergruppen Variablen für jeden aktiven Filter vorhanden?

Es erfolgt keine Überprüfung der einzelnen Anlagengruppen auf Verwendbarkeit.

Maschinenbasierte Produktionsanalyse

Bei der Validierung wird geprüft:

  • Ist der Report an ein Projekt und/oder ein Anlagenmodell gebunden?
  • Für welche Anlagengruppen kann mit den eingegebenen Bedeutungen jeweils genau eine Variable pro aktivem Filter adressiert werden.


Kostenberechnung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Kostenberechnung

In dieser Registerkarte wird definiert, zu welchen Variablenrohdatenfeldern es Kostenfelder geben soll.

Hinweis: es werden nur Variablen angezeigt, die Preise enthalten.

Option

Beschreibung

Tabelle Felder

Tabelle mit den Feldern zur Kostenberechnung.

Feldname

Anzeige des Feldnamens aus der Variablenauswahl.

Kostenberechnung

Aktiv: Für dieses Variablenrohdatenfeld exisitiert ein Kostenfeld.

Bezieht sich ein anderes Feld auf dieses Kostenfeld und wird versucht, die Checkbox auf inaktiv zu setzen, wird eine Sicherheitsabfrage durchgeführt. Bestätigt der Benutzer diese, werden dieses Kostenfeld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Default: inaktiv

Die Verfügbarkeit der weiteren Felder hängt vom Status der Checkbox ab.

Kostenfeld-Verwendung

Aktiv: Kostenfeld ist im Report sichtbar.

Default. inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Kostenfelder bei Verdichtung im Report nicht sichtbar sein können.

Sichtbarkeit bei berechneten Variablen:
Auswahl Feld für Berechnete Variable.

Kostenfeldname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.

Maximum: 256 Zeichen

Default: Variablenname aus den Metadaten, dem dieses Kostenfeld zugeordnet ist.
Würde dieser allerdings zu einer Kollision führen, wird ein Zähler an den Namen angehängt.

Währung

Festlegen der Einheit (Währung) des Kostenfeldes.

Maximum: 256 Zeichen

Default: Die im Alphabet erste Währung, die in den Metadaten der Variablen zugeordnet ist, aus der das Variablenrohdatenfeld gespeist wird.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Konstantenfelder

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Konstantenfelder

In dieser Registerkarte werden konstante Werte festgelegt.

Option

Beschreibung

Liste Felder

Listet alle konfigurierten Felder mit konstanten Werten auf.

Neu

Klick auf Schaltfläche fügt eine neue Zeile mit einer neuen Konstanten ein.

Verwendung der Konstante

Aktiv: Dieses Feld ist im Report sichtbar.

Default: inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Konstantenfelder bei Verdichtung im Report nicht sichtbar sein können.

Verwendung der Konstante bei berechneten Variablen:
Optionale Auswahl Feld für Berechnete Variable.

Konstantenname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.

Maximum: 256 Zeichen

Default: Variablenname aus den Metadaten.
Würde dieser allerdings zu einer Kollision führen, wird ein Zähler an den Namen angehängt.

Konstanter Wert

Eingabe des konstanten Werts.

  • Darf nicht leer sein.
  • Muss eine gültige Gleitkommazahl enthalten (auch Ganzzahlen sind gültige Gleitkommazahlen).

Default: 1

Maßeinheit

Festlegung der Einheit des Feldes.

Maximum: 256 Zeichen

Default: leer

X

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Standardfelder

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Standardfelder

In dieser Registerkarte konfigurieren Sie Standardfelder. Für jede in der Datenbank verfügbare Standard-Definition wird eine Zeile erstellt.

Parameter

Beschreibung

Standardname

Name des Standardfeldes. Nur Anzeige.

Verknüpfte Felder

Zeigt Variablen an, die dem Standardfeld zugeordnet sind. Der angezeigte Inhalt hängt von den in der Registerkarte Variablenauswahl gewählten Variablen ab.

Erstellen eines Standardfelds
  • Aktiv: Das Standardfeld wird erzeugt und steht für Formeln zur Verfügung.
  • Inaktiv: Das Standardfeld steht für Formeln nicht zur Verfügung. Alle weiteren Eigenschaften des Feldes bleiben inaktiv.

Standardfeld-Verwendung
  • Aktiv: Das Feld ist im Report sichtbar.

Standard-Feldname

Eingabe eines Namens für das Standardfeld.

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.

Maximum: 256 Zeichen

Maßeinheit

Eingabe einer Einheit für das Standardfeld.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Temperatur-Normalisierungsfelder

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Temperatur-Normalisierungsfelder

In dieser Registerkarte wird definiert, zu welchen Variablenrohdatenfeldern es Temperatur-Normalisierungsfelder geben soll. Es können beliebig viele Temperatur-Normalisierungsfelder konfiguriert werden.

Vorbedingungen: Es muss mindestens ein Feld für eine Variable mit zugewiesenem Gradtag existieren. Und es muss mindestens eine Gradtagsdefinition existieren.
Zur Konfiguration stehen nur normalisierte Felder von Variablen zur Verfügung, denen ein Gradtag zugewiesen wurde

Parameter

Beschreibung

Verwendung Normalisierungs-Feldname
  • Aktiv: Das Feld ist im Report sichtbar.
  • Verwendung des Normaisierungsfeldes bei berechneten Variablen:
    Optionale Auswahl Feld für Berechnete Variable.

Sichtbarkeit bei berechneten Variablen:
Auswahl Feld für Berechnete Variable.

Normalisierungs-Feldname

Eingabe eines Namens für das Normalisierungsfeld.

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.

Maximum: 256 Zeichen

Maßeinheit

Eingabe einer Einheit für das Standardfeld.

Normalisiertes Feld

Auswahl der Variablen

Normalisierungstyp

Es stehen drei Normalisierungstypen zur Verfügung. Auswahl aus Dropdownliste:

  • Lokales Langzeitmittel:
    Langfristiges Mittel des zugewiesenen Gradtags. Gradtagname ist nicht konfigurierbar.
  • Externer Gradtag:
    Aktueller Wert eines gewählten Gradtags.
  • Externes Langzeitmittel:
    Langfristiges Mittel eines gewählten Gradtags.

Formel für alle Typen: [Normalisiert]= [Original]*[Vergleichsgradtag]/[aktueller Gradtag]
Dabei gilt: Der aktuelle Gradtag ist immer der zum Wertzeitstempel passende Wert des zugewiesenen Gradtags.

Gradtagname

Auswahl des Gradtagnamens aus Dropdownliste.

Steht nur zur Verfügung, wenn in der Eigenschaft Normalisierungstyp Externer Gradtag oder Externes Langzeitmittel gewählt wurde.

X

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Berechnete Felder

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Berechnete Felder

Nur für Reports ohne Verdichtung verfügbar.

In dieser Registerkarte werden Formeln für Reports ohne Verdichtung über den Zeitbereich konfiguriert. Diese können alle in den vorangegangenen Registerkarten definierten Felder verwenden. Jede Formel entspricht einer Zeile in der Liste der Formeln. Dabei kann jede Formel auch alle vor ihr definierten Felder (Zeilen oberhalb der betroffenen Zeile) ansprechen.

Option

Beschreibung

Liste der Formeln

Listet alle konfigurierten Formeln auf.

Verwendung der Formel

Zeigt Sichtbarkeit im Report an.

Feld verwenden

Aktiv: Formel ist im Report sichtbar.

Default. inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Basisdatenformelfelder bei Verdichtung im Report nicht sichtbar sein können.

Verwendung der Formel bei berechneten Variablen:
Optionale Auswahl Feld für Berechnete Variable.

Formelname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.

Maximum: 256 Zeichen

Erst wenn ein gültige Name vergeben wurde, werden alle anderen Elemente zur Bearbeitung frei gegeben. Es wird immer eine leere Zeile zur Eingabe einer neuen Formel angezeigt.

Zusätzlich muss eine gültige Formel eingegeben werden.

Maßeinheit

Festlegung der Einheit des Feldes.

Maximum: 256 Zeichen

Berechnungsformel

Vorschau-Bild der Formel. Zeigt die im Formeleditor eingestellte Berechnungsformel für dieses Feld an. Wird bei einem in der Formel referenzierten Feld der Name geändert, so wird das Vorschaubild entfernt.

Für jeden vorhandenen Formelname muss eine Formel konfiguriert sein.

Symbol: Formeln exportieren

Öffnet den Dialog zum Exportieren von Formeln in eine XML-Datei.

Symbol: Formeln importieren

Öffnet den Dialog zum Import von Formeln aus einer XML-Datei.

Symbol: Bearbeiten

Klick auf Schaltfläche öffnet Formeleditor zum Bearbeiten der Formel.

Symbol: Löschen

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Sortierung

Beim Beenden des Dialogs mit Klick auf OK wird die Elementsortierung an die ursprüngliche Elementsortierung angepasst. Die Sortierungsnummern werden dabei gemäß folgenden Kriterien neu aufgebaut:

  • Alle bereits vor dem Dialogstart sichtbaren Elemente, die nicht gelöscht wurden, bleiben in ihrer Sortierung erhalten.
  • Neu hinzugekommene sichtbare Elemente werden hinter diesen Elementen, aufsteigend nach ihrer ID, eingefügt.

Beispiel:

  • Basis:
    • Indicator1: ID = 3
    • Indicator2: ID = 2
    • Indicator3: ID = 1
  • Änderungen im Dialog:
    • Indicator2: wird gelöscht.
    • Indicator0: kommt hinzu und bekommt ID 1
    • Indicator4: kommt hinzu und bekommt ID 4
  • Ergebnis:
    • Indicator1: ID = 3, aber vorherige Sortierung = 1
    • Indicator3: ID = 2, aber vorherige Sortierung = 3
    • Indicator0: ID = 1, vorherige Sortierung nicht vorhanden

Indicator4: ID = 4, vorherige Sortierung nicht vorhanden


Berechnete Felder vor durchgeführter Verdichtung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Berechnete Felder vor durchgeführter Verdichtung

Nur für Reports mit Verdichtung verfügbar.

In dieser Registerkarte werden Formeln für Reports mit Verdichtung über den Zeitbereich konfiguriert. Diese können alle in den vorangegangenen Registerkarten definierten Felder verwenden. Jede Formel entspricht einer Zeile in der Liste der Formeln. Dabei kann jede Formel auch alle vor ihr definierten Felder (Zeilen oberhalb der betroffenen Zeile) ansprechen.

Option

Beschreibung

Liste der Formeln

Listet alle konfigurierten Formeln auf.

Formelname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.

Maximum: 256 Zeichen

Erst wenn ein gültige Name vergeben wurde, werden alle anderen Elemente zur Bearbeitung frei gegeben. Es wird immer eine leere Zeile zur Eingabe einer neuen Formel angezeigt.

Zusätzlich muss eine gültige Formel eingegeben werden.

Maßeinheit

Festlegung der Einheit des Feldes.

Maximum: 256 Zeichen

Berechnungsformel

Vorschau-Bild der Formel. Zeigt die im Formeleditor eingestellte Berechnungsformel für dieses Feld an. Wird bei einem in der Formel referenzierten Feld der Name geändert, so wird das Vorschaubild entfernt.

Für jeden vorhandenen Formelname muss eine Formel konfiguriert sein.

Symbol: Formeln exportieren

Öffnet den Dialog zum Exportieren von Formeln in eine XML-Datei.

Symbol: Formeln importieren

Öffnet den Dialog zum Import von Formeln aus einer XML-Datei.

Symbol: Bearbeiten

Klick auf Schaltfläche öffnet Formeleditor zum Bearbeiten der Formel.

Symbol: Löschen

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Sortierung

Beim Beenden des Dialogs mit Klick auf OK wird die Elementsortierung an die ursprüngliche Elementsortierung angepasst. Die Sortierungsnummern werden dabei gemäß folgenden Kriterien neu aufgebaut:

  • Alle bereits vor dem Dialogstart sichtbaren Elemente, die nicht gelöscht wurden, bleiben in ihrer Sortierung erhalten.
  • Neu hinzugekommene sichtbare Elemente werden hinter diesen Elementen, aufsteigend nach ihrer ID, eingefügt.

Beispiel:

  • Basis:
    • Indicator1: ID = 3
    • Indicator2: ID = 2
    • Indicator3: ID = 1
  • Änderungen im Dialog:
    • Indicator2: wird gelöscht.
    • Indicator0: kommt hinzu und bekommt ID 1
    • Indicator4: kommt hinzu und bekommt ID 4
  • Ergebnis:
    • Indicator1: ID = 3, aber vorherige Sortierung = 1
    • Indicator3: ID = 2, aber vorherige Sortierung = 3
    • Indicator0: ID = 1, vorherige Sortierung nicht vorhanden
    • Indicator4: ID = 4, vorherige Sortierung nicht vorhanden


Verdichtungsfelder

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Verdichtungsfelder

Nur für Reports mit Verdichtung verfügbar.

In dieser Registerkarte werden Verdichtungen für Felder aus den vorangegangenen Registerkarten konfiguriert. Jedes wird in eine eigene Zeile eingetragen.

Es existieren 2 Zeilentypen:

  • Konstantenfelder: Haben nur eine Unterzeile für die Konstanten-Verdichtung.
  • Alle anderen Felder: Haben je eine Unterzeile für die voneinander unabhängigen Verdichtungsfunktionen:
    • Summe
    • Durchschnitt
    • Minimum
    • Maximum

Option

Beschreibung

Liste der Verdichtungen

Listet alle konfigurierten Verdichtungen auf.

Feldname

Anzeige des Feldnamens des verdichteten Feldes.

Aktive Verdichtungstypen

Anzeige des Status der Verdichtungstypen.

Checkbox vor Verdichtungstyp aktiv: Für dieses Basisdatenfeld exisitiert ein Verdichtungsfeld mit dieser Verdichtungsart

Bezieht sich ein anderes Feld auf dieses Verdichtungsfeld und wird versucht, die CheckBox zu deaktivieren, wird eine Sicherheitsabfrage gestellt. Bestätigt der Benutzer diese, so werden dieses Verdichtungsfeld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Default: Checkbox inaktiv

Der Status der Checkbox bestimmt, ob die weiteren Eingabefelder aktiv sind oder nicht.

Sichtbarkeit des Verdichtungsfeldes

Zeigt an, ob dieses Verdichtungsfeld im Report sichtbar ist.

Aktiv: Verdichtungsfeld ist im Report sichtbar.

Default: inaktiv

Verdichtungsfeldname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.

Maximum: 256 Zeichen

Default: Name des Basisdatenfeldes, dem dieses Verdichtungsfeld zugeordnet ist. Würde dies zu einer Kollision führen, wird ein Zähler angehängt.

Feldeinheit der Verdichtung

Festlegen der Einheit des Verdichtungsfeldes.

Maximum: 256 Zeichen

Default: Einheit des Basidatenfeldes.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.


Berechnete Felder nach durchgeführter Verdichtung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Benutzerdefinierte Formeln konfigurieren > Berechnete Felder nach durchgeführter Verdichtung

Nur für Reports mit Verdichtung verfügbar.

In dieser Registerkarte werden Formeln mit den Feldern aus der Registerkarte Verdichtungsfelder konfiguriert. Dabei kann jede Formel auch alle vor ihr definierten Felder (Zeilen oberhalb der betroffenen Zeile) ansprechen.

Option

Beschreibung

Liste der Formeln

Listet alle konfigurierten Formeln auf.

Sichtbarkeit der Formel

Zeigt Sichtbarkeit im Report an.

Im Bericht sichtbar

Aktiv: Formel ist im Report sichtbar.

Default. inaktiv

Steht für Formeln mit Verdichtung nicht zur Verfügung, da Basisdatenformelfelder bei Verdichtung im Report nicht sichtbar sein können.

Formelname

Wird zur Darstellung des Feldes in weiteren Bereichen dieses Dialogs und im Report verwendet.

  • Muss eindeutig sein.
  • Darf nicht leer sein.
  • Darf kein Komma enthalten.

Maximum: 256 Zeichen

Erst wenn ein gültige Name vergeben wurde, werden alle anderen Elemente zur Bearbeitung frei gegeben. Es wird immer eine leere Zeile zur Eingabe einer neuen Formel angezeigt.

Zusätzlich muss eine gültige Formel eingegeben werden.

Maßeinheit

Festlegung der Einheit des Feldes.

Maximum: 256 Zeichen

Berechnungsformel

Vorschau-Bild der Formel. Zeigt die im Formeleditor eingestellte Berechnungsformel für dieses Feld an. Wird bei einem in der Formel referenzierten Feld der Name geändert, so wird das Vorschaubild entfernt.

Für jeden vorhandenen Formelname muss eine Formel konfiguriert sein.

Symbol: Formeln exportieren

Öffnet den Dialog zum Exportieren von Formeln in eine XML-Datei.

Symbol: Formeln importieren

Öffnet den Dialog zum Import von Formeln aus einer XML-Datei.

Symbol: Bearbeiten

Klick auf Schaltfläche öffnet Formeleditor zum Bearbeiten der Formel.

Symbol: Löschen

Klick auf die Schaltfläche löscht das Feld.

Bezieht sich ein anderes Feld auf das zu löschende Feld wird vor dem Löschen eine Sicherheitsabfrage durchgeführt. Wird diese bestätigt, werden dieses Feld und alle (auch indirekt) davon abhängigen Felder gelöscht.

Navigation und Wartung

Option

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte.
(Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte.
(Deaktiviert in der letzten Registerkarte.)

Ersetze Felder

Öffnet den Dialog zum Ersetzen von Feldern in berechneten Feldern. Nur verfügbar, wenn mindestens ein berechenbares Feld existiert.

Sollten beim Öffnen beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Variablenzuordnungen erkannt werden, wird der Dialog zum Ersetzen automatisch geöffnet.

Felder bereinigen

Öffnet den Dialog zum Bereinigen von Feldern.

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog. Wurden bereits Daten eingegeben, erfolgt vor dem Verwerfen der Änderungen eine Sicherheitsabfrage.

Sortierung

Beim Beenden des Dialogs mit Klick auf OK wird die Elementsortierung an die ursprüngliche Elementsortierung angepasst. Die Sortierungsnummern werden dabei gemäß folgenden Kriterien neu aufgebaut:

  • Alle bereits vor dem Dialogstart sichtbaren Elemente, die nicht gelöscht wurden, bleiben in ihrer Sortierung erhalten.
  • Neu hinzugekommene sichtbare Elemente werden hinter diesen Elementen, aufsteigend nach ihrer ID, eingefügt.

Beispiel:

  • Basis:
    • Indicator1: ID = 3
    • Indicator2: ID = 2
    • Indicator3: ID = 1
  • Änderungen im Dialog:
    • Indicator2: wird gelöscht.
    • Indicator0: kommt hinzu und bekommt ID 1
    • Indicator4: kommt hinzu und bekommt ID 4
  • Ergebnis:
    • Indicator1: ID = 3, aber vorherige Sortierung = 1
    • Indicator3: ID = 2, aber vorherige Sortierung = 3
    • Indicator0: ID = 1, vorherige Sortierung nicht vorhanden

Indicator4: ID = 4, vorherige Sortierung nicht vorhanden


Variablen und Felder in berechneten Feldern ersetzen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Variablen und Felder in berechneten Feldern ersetzen

Der Dialog ermöglicht es, Variablen, Standards und Gradtage, die Feldern zugeordnet wurden, durch andere Variablen, Standards und Gradtage zu ersetzen.

Der Dialog wird geöffnet:

  • Manuell durch Klick auf die Schaltfläche Variablen ersetzen in der Registerkarte Variablenauswahl.
    Diese Schaltfläche ist nur verfügbar, wenn mindestens ein Feld mit zugeordneter Variable oder Standard oder Gradtag existiert.
  • Automatisch, wenn beim Öffnen des Dialogs Benutzerdefinierte Formeln konfigurieren ungültige Zuordnungen erkannt werden.
    Eine Referenz ist dann ungültig, wenn die verwendete Kombination aus Archiv, Variable oder Verdichtung in der verbundenen Metadaten-Datenbank nicht existiert.
    Mögliche Ursachen können unter anderem sein: Variablen wurden aus der Datenbank gelöscht oder der Report wird für eine andere Metadaten-Datenbank geöffnet. Wird der automatisch geöffnete Dialog abgebrochen, so wird auch die Konfiguration beendet. Ungültige Zuordnungen müssen vor der weiteren Konfiguration behoben werden.
    Achtung: Variablen werden über die ID, nicht über den Namen, identifiziert.

Dialog zum Ersetzen von Variablen in berechneten Feldern

Welche Variablen im Dialog angeboten werden, hängt davon ab, welche Variablenfelder benötigt werden:

Variable | Bedingung
Alle: | Kein Kostenfeld. Kein Temperatur-Normalisierungsfeld.
Mit Gradtagszahlen: | Mindestens ein Temperatur-Normalisierungsfeld. Kein Kostenfeld.
Mit Kosten: | Ein Kostenfeld. Kein Temperatur-Normalisierungsfeld.
Mit Gradtagszahlen und Kosten: | Ein Kostenfeld. Mindestens ein Temperatur-Normalisierungsfeld.

Option

Beschreibung

Feldname

Zeigt für jedes Element der Liste den Feldnamen an.

Sehr lange Feldnamen werden gekürzt angezeigt (Suffix: ...). Im Tooltip wird der komplette Text angezeigt.

Maßeinheit

Zeigt die Maßeinheit des Feldes an.

Sehr lange Maßeinheiten werden gekürzt angezeigt (Suffix: ...). Im Tooltip wird der komplette Text angezeigt.

Feldverwendungsinformation

Zeigt an, welche Felder von diesem Feld abhängen.

Projekt- und Archivname

Auswahl des Archivs aus Dropdownliste, aus dem die Variable für dieses Feld gelesen werden soll. Es werden alle verfügbaren Archive inklusive Projektbezug zur Auswahl angeboten.

Syntax Archivname: [Projektname]#[Archivname]

Initialwert beim Aufschalten, wenn die Variablenreferenz des Feldes:

  • ungültig: leer
  • gültig: Das in der Variablenreferenz angegebene Archiv.

Hinweis: Standardfelder verfügen über keinen Projektbezug.

Variablen-, Standard- oder Gradtagname

Auswahl des Elements aus Dropdownliste, aus dem der Wert für dieses Feld gelesen werden soll.

Hinweise für Variablen:
Für Variablen nur verfügbar, wenn in der Spalte Projekt- und Archivname ein Archiv gewählt wurde. Es werden alle im gewählten Archiv aufgezeichneten Variablen inklusive Verdichtung angeboten.

Syntax Variablenname: [Variablenname] – [Verdichtungsart im Archiv]

Bei jeder Änderung in der Spalte Projekt- und Archivname wird die Dropdownliste neu befüllt und auf keine Auswahl zurückgesetzt.
Initialwert beim Aufschalten:

  • Feldreferenz ungültig: leer
  • Feldreferenz gültig: Die in der Referenz angegebene Variable und Verdichtungsart.

OK

Validiert und schließt den Dialog.

Bei Validierungsfehler bleibt der Dialog geöffnet und eine entsprechende Meldung wird angezeigt.

Abbrechen

Bricht das Ersetzen von Variablen ab.

Wurde der Dialog automatisch geöffnet, wird die Konfiguration der benutzerdefinierten Felder nach einer Sicherheitsabfrage abgebrochen.


Felder bereinigen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Felder bereinigen

Die Bereinigung entfernt nicht benötigte Felder. Dadurch werden nur die notwendigen Daten geholt und berechnet. Sie wird vor allem zur Performance-Optimierung des Reports am Server nach der Bereitstellung angewendet.

Durch die Bereinigung der Felder können folgende Vorteile erzielt werden:

  • Es müssen weniger Daten über den Connector geholt werden.
  • Es müssen weniger Felder berechnet werden.
  • Es sind weniger Ausgabedaten darzustellen
  • Erhöhte Report-Übersichtlichkeit, da identische Werte für mehrere Spalten oder Diagrammlinien vermieden werden.

Felder bereinigen

Um Felder zu bereinigen:

  1. Klicken Sie im Dialog für benutzerdefinierte Formeln auf die Schaltfläche Felder bereinigen.

    Ein Hinweis auf die Felder, die entfernt werden, wird angezeigt:

  2. Klicken Sie auf Ja.

    Die Bereinigung wird durchgeführt und eine Information mit dem Ergebnis der Bereinigung wird angezeigt.

  3. Klicken Sie auf Schließen.


Formeleditor

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Formeleditor

Der Formeleditor ermöglicht das Erstellen einer Formel.

Option

Beschreibung

Operationen

Verfügbaren Operationen. Diese können per Drag&Drop in den Formel-Bereich gezogen werden.

Es stehen 5 Gruppen von Operationen zur Verfügung:

  • Basisoperationen
  • Mathematische Operationen
  • Rundungsoperationen
  • Trigonometrische Operationen
  • Verdichtungsoperationen

Details zu den Operationen folgen im Anschluss.

Formelname

Namen der Formel, die aktuell erstellt wird.

  • Darf nicht leer sein.
  • Darf von keiner anderen Formel verwendet werden.

Name wird im Formel-Bereich angezeigt.

Verfügbare Operanden

Felder, die als Operanden zur Verfügung stehen. Diese können per Drag&Drop in den Formel-Bereich auf die jeweiligen Eingabefelder für Operanden gezogen werden.

Die Liste der Operanden kann gefiltert werden. Filterung erfolgt durch Eingabe einer Zeichenfolge in das Eingabefeld. Jede Änderung des Filtertextes löst eine unmittelbare Aktualisierung aus.

Wildcards sind erlaubt:

  • ?: genau ein beliebiges Zeichen
  • *: beliebige Anzahl (auch 0) beliebiger Zeichen
  • Wird keine Wildcard verwendet, wird intern automatisch ein * an den Filtertext angehängt.

Formel-Bereich

Enthält den Formelname und Eingabefelder für Operationen und Operanden. Diese Eingabefelder werden per Drag&Drop befüllt.

Aufbau einer Formel:

  • Wird eine Operation per Drag&Drop auf das Eingabefeld im Formel-Bereich gelegt, dann wird dieses durch die Operationskennzeichner und Eingabefelder der Operation ersetzt.
  • Wird ein Operand auf ein Eingabefeld im Formel-Bereich gelegt, dann ersetzt der Feldname das Eingabefeld.

Eine Formel ist gültig, wenn mindestens eine Operation vorhanden ist und jede Operation eine ausreichende Anzahl an zugewiesenen Feldern hat.

OK

Übernimmt Einstellungen und schließt den Dialog.

Dazu müssen folgende Kriterien erfüllt sein:

  • gültiger Name
  • gültige Formel

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Der Dialog kann in Größe und Position verändert werden. Diese Einstellungen werden benutzerabhängig gespeichert.

Formeln erstellen

Um Formeln zu erstellen:

  1. Ziehen Sie eine Operation per Drag&Drop auf das Eingabefeld im Formel-Bereich.

  2. Das Feld zeigt die entsprechende Operation an. Neue Eingabefelder werden erstellt.
  3. Ziehen Sie per Drag&Drop auf die Eingabefelder:
    • neue Operationen (so erstellen sie komplexere Formeln)

    • gewünschte Operanden
  4. Fügen Sie weitere Operationen und/oder Operanden hinzu, bis Ihre Formel fertig ist.

Beispiel:

Regeln für den Formeleditor

  • Im Formeleditor werden automatisch Klammern gesetzt, um die Rechenwege zu verdeutlichen.
  • Sämtliche Klammern und Bruchstriche skalieren ihre Größe automatisch, basierend auf den Feldern und Operationen, die ihnen untergeordnet sind.
  • Noch leere Felder erhalten automatisch den Fokus.

Zurücksetzen von Eingaben

Um Operationen oder Operanden zu entfernen, kann ein Eingabefeld zurückgesetzt werden.

Dafür stehen zwei Arbeitswege zur Verfügung:

  1. Ersetzen von Operationen oder Operanden per Drag&Drop:
    1. Ziehen Sie eine neue Operation oder einen Operanden auf das bestehende Feld. Sind Felder bereits mit Daten belegt, werden jene Felder umrandet angezeigt, die ersetzt werden.
    2. Mit Ausführung des Drag&Drop-Vorgangs werden die umrandeten Felder geleert und durch die neuen Operationen bzw. Operanden.
  2. Löschen von Operanden per Tastaturbefehl
    1. Markieren Sie ein Feld per linken Mausklick. Das Feld wird mit einem Rahmen markiert.
      Es können auch einzelne Abschnitte einer Formel oder die gesamte Formel markiert werden.
    2. Drücken Sie die Entfg-Taste oder die Rückwärts-löschen-Taste .
    3. Das Feld wird geleert bzw. gelöscht.
      Ist das Feld Teil einer Verdichtungsoperation, wird es aus einer Verdichtungsoperation komplett entfernt. Verdichtungsoperationen bieten am rechten Rand immer ein leeres Feld an.

Beispiele für das Markieren von Formelelementen

  • Markierung eines Operanden:

  • Markierung einer Operation:

  • Markierung der gesamten Formel:

Operationen

Folgende Operationen sind im Formeleditor möglich:

  • Basisoperationen
  • Mathematische Operationen
  • Rundungsoperationen
  • Trigonometrische Operationen
  • Verdichtungsoperationen

Basisoperationen

  • Addition: Eingabefeld wird durch zwei neue Eingabefelder, getrennt durch ein Plus-Zeichen (+), ersetzt.
  • Subtraktion: Eingabefeld wird durch zwei neue Eingabefelder, getrennt durch ein Minus-Zeichen (-), ersetzt.
  • Multiplikation: Eingabefeld wird durch zwei neue Eingabefelder, getrennt durch ein Multiplikations-Zeichen (x), ersetzt.
  • Division/Bruch: Eingabefeld wird durch zwei neue Eingabefelder, getrennt durch einen Bruchstrich (-), ersetzt.

Mathematische Operationen

  • Absolutwert: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Potenz: Eingabefeld wird durch einen Funktionsbezeichner, ein numerisches Feld für den konstanten Exponenten, Klammern und ein neues Eingabefeld ersetzt.
  • Wurzel: Eingabefeld wird durch einen Funktionsbezeichner, ein numerisches Feld für die konstante Wurzelordnung, Klammern und ein neues Eingabefeld ersetzt.
  • Exponentialfunktion mit der Eulerschen Zahl als Basis: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Exponentialfunktion: Eingabefeld wird durch einen Funktionsbezeichner, ein numerisches Feld für die konstante Basis, Klammern und ein neues Eingabefeld ersetzt.
  • Logarithmus zur Basis der Eulerschen Zahl: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Logarithmus zur Basis 10: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Logarithmus: Eingabefeld wird durch einen Funktionsbezeichner, ein numerisches Feld für die Konstante Basis, Klammern und ein neues Eingabefeld ersetzt.

Rundungsoperationen

  • Aufrunden auf die nächste Ganzzahl: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Abrunden auf die nächste Ganzzahl: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Runden: Eingabefeld wird durch einen Funktionsbezeichner, ein DropDown-Auswahlfeld für die Genauigkeit, Klammern und ein neues Eingabefeld ersetzt.

Trigonometrische Operationen

  • Sinus: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Cosinus: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Tangens: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Kotangens: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Arkussinus: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Arkuscosinus: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Arkustangens: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Radianten zu Grad konvertieren: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.
  • Grad zu Radianten konvertieren: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt.

Verdichtungsoperationen

  • Summe: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und ein neues Eingabefeld ersetzt. Das ist eine Operation mit einer beliebigen Anzahl an Operanden. Wird etwas auf das neue Eingabefeld gezogen, so wird ein zusätzliches neues Eingabefeld bereitgestellt.
  • Durchschnitt: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und einen neuen Eingabefeld ersetzt. Das ist eine Operation mit einer beliebigen Anzahl an Operanden. Wird etwas auf das neue Eingabefeld gezogen, so wird ein zusätzliches neues Eingabefeld bereitgestellt.
  • Minimum: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und einen neuen Eingabefeld ersetzt. Das ist eine Operation mit einer beliebigen Anzahl an Operanden. Wird etwas auf das neue Eingabefeld gezogen, so wird ein zusätzliches neues Eingabefeld bereitgestellt.
  • Maximum: Eingabefeld wird durch einen Funktionsbezeichner, Klammern und einen neuen Eingabefeld ersetzt. Das ist eine Operation mit einer beliebigen Anzahl an Operanden. Wird etwas auf das neue Eingabefeld gezogen, so wird ein zusätzliches neues Eingabefeld bereitgestellt.


Formeln exportieren und importieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Formeln exportieren und importieren

Der Import und Export von Formeln mittels XML ermöglicht es, Formeln von einem Report auf einen anderen zu übertragen.
Beim Import von Formeln gilt: Der Verdichtungstyp muss übereinstimmen.
Das bedeutet:

  • Eine Exportdatei mit Formeln vor Verdichtung oder ohne Verdichtung kann nur in eine Sammlung von Formeln vor Verdichtung importiert werden.
  • Eine Exportdatei mit Formeln nach Verdichtung kann nur in eine Sammlung von Formeln nach Verdichtung importiert werden.

Beim Import können die Felddefinitionen angepasst werden.

Im Dialog für benutzerdefinierte Formeln finden Sie in jeder Registerkarte, aus der Formeln exportiert werden können, die entsprechenden Symbole:

Klick auf Symbol öffnet Dialog zur Konfiguration des XML-Exports von Formeln.

Klick auf Symbol öffnet Dialog zur Konfiguration des XML-Imports von Formeln.

Noch in diesem Kapitel

Formeln in Datei exportieren

Formeln aus Datei importieren


Formeln in Datei exportieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Formeln exportieren und importieren > Formeln in Datei exportieren

Um Formeln zu exportieren:

  1. Klicken Sie auf das Symbol für den XML-Export.

    Der Dialog zur Konfiguration des Exports wird geöffnet.

  2. Wählen Sie die gewünschten Formeln aus.

    Hinweis: Abhängige Formeln werden automatisch mit ausgewählt und ausgegraut markiert.

  3. Klicken Sie auf die Schaltfläche OK.

    Der Dateibrowser wird geöffnet.

  4. Wählen Sie den gewünschten Speicherort.
  5. Wählen Sie den gewünschten Namen für die XML-Exportddatei.
  6. Schließen Sie den Export mit Klick auf OK ab.

Dialog Formeln exportieren

Parameter

Beschreibung

Liste Formeln

Liste der konfigurierten Formeln. Auswahl durch Klick in die Checkbox vor einer Formel.

Für jede Formel werden angezeigt:

  • Checkbox Formel exportieren: Auswahl einer Formel für den Export.
  • Formelname: Name der Formel.
  • Maßeinheit: Verknüpfte Maßeinheit.
  • Berechnungsformel: Darstellung der Formel.

Wird eine Formel ausgewählt, die eine weitere Formel enthält, wird auch die verknüpfte Formel ausgewählt. Die Checkbox für die verknüpfte Formel wird deaktiviert.

Alle auswählen

Klick auf Schaltfläche wählt alle Formeln aus.

Auswahl aufheben

Klick auf Schaltfläche wählt alle Formeln ab.

OK

Übernimmt Auswahl und öffnet den Dialog zum Speichern der XML-Datei.

Abbrechen

Verwirft Konfiguration und schließt Dialog. Es werden keine Formeln exportiert.


Formeln aus Datei importieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Formeln exportieren und importieren > Formeln aus Datei importieren

Um Formeln zu importieren:

  1. Klicken Sie auf das Symbol für den XML-Import.

    Der Dialog zur Auswahl der zu importierenden Datei wird geöffnet:

  2. Wählen Sie gewünschte XML-Datei aus.
  3. Der Dialog Formeln importieren wird geöffnet.
  4. Wählen Sie die gewünschten Formeln aus.

    Hinweis: Abhängige Formeln werden automatisch mit ausgewählt und ausgegraut markiert.

  5. Klicken Sie auf die Schaltfläche OK.

    Der Dialog Importdaten interpretieren wird geöffnet.

  6. Konfigurieren Sie in der Registerkarte Felder interpretieren Abhängigkeiten für den Import.
    Entscheiden Sie bei Konflikten, welche Elemente einer Formel übernommen oder neu erstellt werden.
  7. Überprüfen Sie in der Registerkarte Konfiguration überprüfen die Konfiguration.
  8. Schließen Sie den Export mit Klick auf die Schaltfläche OK ab.

Dialog Formeln importieren

Parameter

Beschreibung

Liste Formeln

Liste der Formeln, die für den Import zur Verfügung stehen. Auswahl durch Klick in die Checkbox vor einer Formel.

Für jede Formel werden angezeigt:

  • Checkbox Formel importieren: Auswahl einer Formel für den Import.
  • Formelname: Name der Formel.
  • Maßeinheit: Verknüpfte Maßeinheit.
  • Berechnungsformel: Darstellung der Formel.

Wird eine Formel ausgewählt, die eine weitere Formel enthält, wird auch die verknüpfte Formel ausgewählt. Die Checkbox für die verknüpfte Formel wird deaktiviert.

Alle auswählen

Klick auf Schaltfläche wählt alle Formeln aus.

Auswahl aufheben

Klick auf Schaltfläche wählt alle Formeln ab.

OK

Übernimmt Auswahl und öffnet den Dialog Importdaten interpretieren zur Konfiguration der Variablen und Konstanten für den Import.

Abbrechen

Verwirft Konfiguration und schließt Dialog. Es werden keine Formeln importiert.

Dialog Importdaten interpretieren

In diesem Dialog werden Variablen und Konstantenfelder an den Import angepasst. Sie können für jede Formel entscheiden, ob vorhandene Felder verwendet oder neue Erzeugt werden. Der Dialog besteht aus zwei Registerkarten:

  • Felder interpretieren: Auswahl der Felder für den Import.
  • Konfiguration überprüfen: Zusammenfassung der Konfiguration für den Import.

Welche Variablen im Dialog angeboten werden, hängt davon ab, welche Variablenfelder benötigt werden:

Variable | Bedingung
Alle: | Kein Kostenfeld. Kein Temperatur-Normalisierungsfeld.
Mit Gradtagszahlen: | Mindestens ein Temperatur-Normalisierungsfeld. Kein Kostenfeld.
Mit Kosten: | Ein Kostenfeld. Kein Temperatur-Normalisierungsfeld.
Mit Gradtagszahlen und Kosten: | Ein Kostenfeld. Mindestens ein Temperatur-Normalisierungsfeld.

Felder interpretieren

Liste Felder

Parameter

Beschreibung

Importfeld Typ

Anzeige des Feldtyps:

  • Variable
  • Standardfeld
  • Konstante

Importfeld Anzeigename

Anzeigename des zu importierenden Feldes.

Definition in der importierten Datei

Definition des Feldes in der Importdatei.

Definition für den Importvorgang

Definition des Feldes beim Import:

  • Bestehendes Feld verwenden:
    Ein bereits bestehendes Feld wird für den Import verwendet.
    Die Auswahl erfolgt aus der Dropdownliste.
  • Neues Feld erzeugen:
    Für den Import wird ein neues Feld im Report angelegt.
    Wird eine VAriable importiert, stehen weitere Felder für die Konfiguration zur Verfügung:
    - Projekt
    - Anlagenmodellgruppe
    - Variable

Hinweis: Variablen, für die im Report bereits Felder existieren, stehen nicht für die Definition neuer Felder zur Verfügung.

Navigation

Option | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen, schließt den Dialog und importiert die konfigurierten Formeln. Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Konfiguration überprüfen

Parameter | Beschreibung
Konfiguration überprüfen | Textfeld listet alle konfigurierten Definitionen für Variablen und Konstante auf. Änderungen können in der Registerkarte Felder interpretieren vorgenommen werden.

Navigation

Option | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen, schließt den Dialog und importiert die konfigurierten Formeln. Nur verfügbar, wenn alle nötigen Konfigurationen vorgenommen wurden.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Formelergebnisse anordnen und einfärben

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Benutzerdefinierte Formeln > Formelergebnisse anordnen und einfärben

In diesem Dialog können Sie benutzerdefinierte Formeln einfärben und ihre Reihenfolge sortieren.

Um den Dialog zu öffnen:

  1. klicken Sie in der Gruppe Benutzerdefinierte Formeln auf die Schaltfläche Formelergebnisse anordnen und einfärben
  2. der Dialog wird geöffnet

Jede sichtbare Formel wird durch eine Zeile in der Auflistung repräsentiert. Die Reihenfolge der Formeln in diesem Dialog legt auch deren Reihenfolge für die Anzeige im ZAMS sowie in Grafiken und Tabellen im Report fest.

Option

Beschreibung

Formelnamen

Name der Formel.

Standardfarbgebung

Der Status der Checkbox definiert, ob die Formel ihre Farbgebung vom jeweiligen Report-Grafikobjekt aus den Farben des ZAMS-Reportstils zugewiesen bekommt oder eine individuelle Farbgebung erhält.

  • Aktiv: Standardfarben des ZAMS-Reportstils werden verwendet.
  • Inaktiv: Individuelle Farben werden verwendet.
    Die Schaltfläche Farbe und die Farbvorschau werden zur Konfiguration eingeblendet.

Farbvorschau

Anzeige der für diese Formel individuell definierten Farbe.

Initialwert: weiß

Farbe

Klick auf die Schaltfläche öffnet die Standard-Farbpalette zur Auswahl einer Farbe.

Im Dialog werden die 10 Serienfarben aus dem aktiven ZAMS Reportstil als Benutzerdefinierte Farben angeboten.

Pfeil-Tasten

Klick auf eine Taste reiht die markierte Formel um. Eine Formel ist markiert, wenn entweder die komplette Zeile markiert oder ein Element in der Zeile ausgewählt ist.

Aktionen:

  • Klick auf die erste Pfeil-Taste reiht die Formel um eine Position höher. Ist die Formel bereits in der obersten Zeile, bleibt die Pfeil-Taste inaktiv.
  • Klick auf die zweite Pfeil-Taste reiht die Formel um eine Position tiefer. Ist die Formel bereits in der untersten Zeile, bleibt die Pfeil-Taste inaktiv.

Achtung: Wird die Konfiguration einer Formel verändert, geht die individuelle Sortierung verloren.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Betriebszeiten-Zähler

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeiten-Zähler

Eigenschaften zur Konfiguration der Report-Einstellung Betriebszeiten-Zähler für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Betriebszeiten-Zähler | Konfiguration von Zählern, Ereignissen und Metainformationen für Betriebsstundenzähler je Modus und Komponente. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeiten-Zähler > Zuordnungen konfigurieren

Dialog zur Konfiguration der Zuordnungen für Betriebszeiten. Der Dialog besteht aus zwei Registerkarten.

Registerkarte | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeiten-Zähler > Zuordnungen konfigurieren > Bedeutungen

In dieser Registerkarte konfigurieren Sie die Zuordnungen der Bedeutungen.

Option | Beschreibung
Absolute Betriebsstunden | Eingabe der Bedeutung für den absoluten Betriebsstundenzähler einer Maschine.
Relative Betriebsstunden | Eingabe der Bedeutung für den relativen Betriebsstundenzähler einer Maschine.
Relativer Betriebsstundenzähler für Operationsmodus | Eingabe der Bedeutung für sämtliche relativen Betriebsstundenzähler für die Operationsmodi einer Maschine.
Komponente getauscht | Eingabe der Bedeutung für sämtliche Variablen für Komponenten-Austausch-Ereignisse.
Komponente geprüft | Eingabe der Bedeutung für sämtliche Variablen für Komponenten-Inspektion-Ereignisse.
Übergeordnete Komponente | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Parent-Komponente im Vergleich zu einer Komponente ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Für alle Eingabefelder gilt:

  • Ist ein Eingabefeld leer, dann wird dieses Eingabefeld farblich gekennzeichnet. Die Schaltfläche OK wird deaktiviert.
  • Würde ein Eingabefeld beim Aufschalten des Dialogs leer bleiben, da die Konfiguration des Reports keinen Inhalt dafür beinhaltet, dann wird dieses mit dem Default-Wert gefüllt.


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeiten-Zähler > Zuordnungen konfigurieren > Überprüfung

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Option | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Betriebszeit pro Betriebsmodus

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Betriebsmodus

Eigenschaften zur Konfiguration der Report-Einstellung Betriebszeit pro Betriebsmodus für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Betriebszeit pro Betriebsmodus | Konfiguration von Zählern, Ereignissen und Metainformationen für Betriebszeiten je Modus. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Betriebsmodus > Zuordnungen konfigurieren

Dialog zur Konfiguration der Zuordnungen von Betriebsstunden für Betriebsmodi . Der Dialog besteht aus zwei Registerkarten. Bei der Konfiguration darf kein Eingabefeld leer bleiben.

Registerkarten | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Betriebsmodus > Zuordnungen konfigurieren > Bedeutungen

In dieser Registerkarte konfigurieren Sie die Zuordnungen der Bedeutungen.

Option | Beschreibung
Absolute Betriebsstunden | Bedeutung für den allgemeinen Absolutzeitzähler. Es muss genau eine pro Anlage vorhanden sein.
Relative Betriebsstunden | Bedeutung für den allgemeinen Relativzeitzähler. Es muss genau eine pro Anlage vorhanden sein.
Modustyp | Auswahl Betriebsmodus oder Frequenzregleung aus Dropdownliste.
Absolute Betriebsstunden für Betriebsmodi | Bedeutung für Absolutzeitzähler für Betriebsmodus. Erlaubte Anzahl: 0 bis N pro Anlage.
Relative Betriebsstunden für Betriebsmodi | Bedeutung für Relativzeitzähler für Betriebsmodus. Erlaubte Anzahl: 0 bis N pro Anlage.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Für alle Eingabefelder gilt:

  • Ist ein Eingabefeld leer, dann wird dieses Eingabefeld farblich gekennzeichnet. Die Schaltfläche OK wird deaktiviert.
  • Würde ein Eingabefeld beim Aufschalten des Dialogs leer bleiben, da die Konfiguration des Reports keinen Inhalt dafür beinhaltet, dann wird dieses mit dem Default-Wert gefüllt.


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Betriebsmodus > Zuordnungen konfigurieren > Überprüfung

In dieser Registerkarte werden die Zuordnungen validiert.

Die Validierung startet, sobald diese Registerkarte geöffnet wird.

Parameter | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Betriebszeit pro Komponente

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Komponente

Eigenschaften zur Konfiguration der Report-Einstellung Betriebszeit pro Komponente für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Betriebszeit pro Komponente | Konfiguration von Zählern, Ereignissen und Metainformationen für Betriebszeiten je Komponente. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Komponente > Zuordnungen konfigurieren

Dialog zur Konfiguration der Zuordnung der Betriebszeiten für Komponenten. Der Dialog besteht aus zwei Registerkarten.

Registerkarte | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Komponente > Zuordnungen konfigurieren > Bedeutungen

In dieser Registerkarte konfigurieren Sie die Zuordnungen der Bedeutungen.

Option | Beschreibung
Relative Betriebsstunden | Bedeutung für den allgemeinen Relativzeitzähler. Es muss genau eine pro Anlage vorhanden sein.
Komponente getauscht | Eingabe der Bedeutung für sämtliche Variablen für Komponenten-Austausch-Ereignisse. Erlaubte Anzahl: 0 bis N pro Anlage.
Komponente geprüft | Eingabe der Bedeutung für sämtliche Variablen für Komponenten-Prüfungsergebnisse. Erlaubte Anzahl: 0 bis N pro Anlage.
Übergeordnete Komponente | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Parent-Komponente im Vergleich zu einer Komponente ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Für alle Eingabefelder gilt:

  • Ist ein Eingabefeld leer, dann wird dieses Eingabefeld farblich gekennzeichnet. Die Schaltfläche OK wird deaktiviert.
  • Würde ein Eingabefeld beim Aufschalten des Dialogs leer bleiben, da die Konfiguration des Reports keinen Inhalt dafür beinhaltet, dann wird dieses mit dem Default-Wert gefüllt.


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Komponente > Zuordnungen konfigurieren > Überprüfung

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Option | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Betriebszeit pro Lastbereich

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Lastbereich

Eigenschaften zur Konfiguration der Report-Einstellung Betriebszeit pro Lastebereich für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Betriebszeit pro Lastbereich | Konfiguration von Zählern, Ereignissen und Metainformationen für Betriebszeiten je Lastbereich. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Lastbereich > Zuordnungen konfigurieren

Dialog zur Konfiguration der Zuordnungen für Kraftwerk Betriebsstunden pro Lastbereich. Der Dialog besteht aus zwei Registerkarten.

Registerkarten | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Lastbereich > Zuordnungen konfigurieren > Bedeutungen

In dieser Registerkarte konfigurieren Sie die Zuordnungen der Bedeutungen.

Option | Beschreibung
Wirkleistungsbereich Generatorbetrieb | Eingabe der Bedeutung für sämtliche Zeitzähler für Betriebszeit in einem Wirkleistungsbereich im Generatorbetrieb.
Wirkleistungsmaximum Generatorbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Wirkleistungsmaximum im Generatorbetrieb.
Wirkleistungsminimum Generatorbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Wirkleistungsminimum im Generatorbetrieb.
Wirkleistungsbereich Pumpbetrieb | Eingabe der Bedeutung für sämtliche Zeitzähler für Betriebszeit in einem Wirkleistungsbereich im Pumbetrieb.
Wirkleistungsmaximum Pumpbetrieb | Eingabe der Bedeutung für Betriebszeit am Wirkleistungsmaximum im Pumpbetrieb
Wirkleistungsminimum Pumpbetrieb | Eingabe der Bedeutung für Betriebszeit am Wirkleistungsminimum im Pumpbetrieb.
Blindleistungsbereich Generatorbetrieb | Eingabe der Bedeutung für sämtliche Zeitzähler für Betriebszeit in einem Blindleistungsbereich im Generatorbetrieb.
Blindleistungsmaximum Generatorbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Blindleistungsmaximum im Generatorbetrieb.
Blindleistungsminimum Generatorbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Blindleistungsminimum im Generatorbetrieb.
Blindleistungsbereich Pumpbetrieb | Eingabe der Bedeutung für sämtliche Zeitzähler für Betriebszeit in einem Blindleistungsbereich im Pumpbetrieb.
Blindleistungsmaximum Pumpbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Blindleistungsmaximum im Pumpbetrieb.
Blindleistungsminimum Pumpbetrieb | Eingabe der Bedeutung für den Zeitzähler für Betriebszeit am Blindleistungsminimum im Pumpbetrieb.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Für alle Eingabefelder gilt:

  • Ist ein Eingabefeld leer, dann wird dieses Eingabefeld farblich gekennzeichnet. Die Schaltfläche OK wird deaktiviert.
  • Würde ein Eingabefeld beim Aufschalten des Dialogs leer bleiben, da die Konfiguration des Reports keinen Inhalt dafür beinhaltet, dann wird dieses mit dem Default-Wert gefüllt.


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Betriebszeit pro Lastbereich > Zuordnungen konfigurieren > Überprüfung

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Option | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Chargenarchiv

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Chargenarchiv

Auswahl eines Chargenarchivs für den Report Launcher.
Bei jeder Änderung der Projektauswahl werden die Archive zurückgesetzt und die Einstellung muss erneut konfiguriert werden.

Eigenschaften Chargenarchiv

Allgemein

Eigenschaft | Beschreibung
Chargenarchiv | Auswahl eines Archivs aus der Dropdownliste.


Connector

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Connector

Eigenschaften zur Konfiguration der Report Einstellung Connector für den Report Launcher.

Connector

Auswahl des Connectors für die Datenbeschaffung im Report.

Allgemein

Der ausgewählte Connector wird im Report Launcher zur Datenbeschaffung verwendet.

Eigenschaft

Beschreibung

Connector

Auswahl des Connectors aus Dropdownliste.

Die Dropdownliste enthält die Namen der verfügbaren Connectoren:

  • SCADA Runtime Connector
  • SCADA SQL Connector

Default: SCADA Runtime Connector


Daten für Alarmursachen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Daten für Alarmursachen

Im Report Launcher kann auf Alarmursachen gefiltert werden.
Um den Filter zu aktivieren:

  1. Klicken Sie auf die Report-Einstellung Daten für Alarmursachen.
  2. Aktivieren Sie die Checkbox für die Eigenschaft Alarmursachen einbeziehen.

    Im Report Launcher können die Alarmursachen ausgewählt werden.

Filtereigenschaften Daten für Alarmursachen

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filter im Report aktivieren

Aktiviert oder deaktiviert die Alarmursachen im Report Launcher.
Aktivierung über Klick in Checkbox:

  • Aktiv: Alarmursachen stehen zur Verfügung.
  • Inaktiv: Alarmursachen werden nicht verwendet.

Default: inaktiv


Defaultwert für N

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Defaultwert für N

Diese Report-Einstellung legt den Defaultwert für den Report-Parameter Top N fest.

Defaultwert für N

Reportparameter

Konfiguration des Defaultwerts für Top N.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Defaultwert

Eingabe des Defaultwerts für Top N. Mit diesem Wert wird die Anzeige der Top N Alarme im Report Launcher vorkonfiguriert.

  • Minimum: 1
  • Maximum: 100

Default: 5

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.


Detailbezeichnung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Detailbezeichnung

Eigenschaften zur Konfiguration der Report-Einstellung Detailbezeichnung für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Herkunft der Detailbezeichnungen

Auswahl der Quelle für die Bezeichnungen der Modi aus Dropdownliste:

  • Anzeigename Variable
  • Beschreibungstext Variable

Default: Anzeigename Variable


Direktwerte

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Direktwerte

Reportparameter können bereits bei der Konfiguration im ZAMS auf fest definierte Werte festgelegt werden. Ein Direktwert kann für eine Einstellung - je nach Konfiguration - einen oder mehrere Werte umfassen.

Direktwerte können im Report Launcher weder ausgewählt noch geändert werden. Die im ZAMS festgelegten Werte werden direkt in die Dataset-Parameter geschrieben und direkt im Parameterausgabebereich des Reports ausgegeben.

Direktwerte können vergeben werden für:

  • alle Filtereinstellungen
  • alle Datasettings, die einen Reportparameter zur Verfügung stellen (z.B. Archivverdichtung)

info Info

Direktwerte werden auch für die Pivotierung von Haupt-Datasets benötigt.

Direktwerte eingeben

Um Direktwerte einzugeben:

  1. Aktivieren Sie die Checkbox Direkten Wert verwenden.
    Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

    Die Eigenschaft Direkter Wert wird angezeigt. Diese Eigenschaft muss konfiguriert werden.

  2. Konfigurieren Sie den Wert
    • Bei Direktwerten, die über Dialoge konfiguriert werden:
      Klicken Sie auf die Schaltfläche ....

      Der Dialog zur Auswahl von Direktwerten wird geöffnet.
      Zum Beispiel Variablenauswahl:

      Hinweis: Das erste Öffnen des Dialogs kann etwas Zeit beanspruchen, da dabei die benötigte Stored Procedure angelegt wird.

    • Bei Direktwerten, die über Dropdownlisten konfiguriert werden:
      Klicken Sie auf den Pfeil neben der Dropdownliste.

      Die Dropdownliste wird geöffnet. Wählen Sie den gewünschten Wert aus.

  3. Wählen Sie den gewünschten Wert oder die gewünschten Werte aus.
  4. Schließen Sie den Dialog mit Klick auf OK.

    In der Eigenschaft wird die Anzahl der gewählten Werte angezeigt.

Direkte Werteingabe und Namen im Anzeigebereich

Beachten Sie das Verhalten bei Änderungen von Anzeigenamen im Metadata Editor. Dabei wird die Namensänderung im ZAMS nicht automatisch übernommen. Damit werden im Report Launcher im Ergebnis die im Metadata Editor geänderten Namen angezeigt, in der Kopfzeile aber die ursprünglichen Namen aus dem ZAMS.

Um auch in der Kopfzeile die korrekten Namen anzuzeigen, müssen diese im ZAMS aktualisiert werden.

Beispiel Aktualisierung für Variablen:

  1. Im Parameterbereich werden die gefilterten Variablen ausgegeben.
    Syntax: PROJEKT#ARCHIV - VARIABLE.
    Diese Bezeichnung wird beim Bereitstellen fix in die RDL-Datei geschrieben.
  2. Wird der Variablennamen im Metadata Editor geändert, dann bleibt der Variablenname unverändert. Er entspricht weiter der definierten Syntax und wird aus Sicht des Anwenders falsch dargestellt.
  3. Damit der Name auch im Parameterbereich des Reports aktualisiert wird, sind folgende Schritte nötig:
    1. Öffnen Sie in den Eigenschaften der Report Einstellung Variablen (von Anlagengruppen) über die Eigenschaft Direkter Wert den Dialog zur direkten Werteingabe.
    2. Im Dialog wird sofort der aktualisierte Variablenname angezeigt.
      Es sind keine weiteren Konfigurationen nötig.
    3. Bestätigen Sie den Dialog mit OK.
    4. Stellen Sie den Report erneut bereit.

      Im Report Launcher werden jetzt Daten und Kopfzeilen korrekt angezeigt.

Dieses Beispiel gilt analog für alle anderen Eigenschaften.

Noch in diesem Kapitel

Wertauswahl bei Filtereinstellungen

Abhängigkeiten

Direktwerte und Gruppierung

Direktwerte und Substitution

Zurücksetzen bei Wertänderung abhängiger Einstellungen

Beispiel-Konfiguration


Wertauswahl bei Filtereinstellungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Direktwerte > Wertauswahl bei Filtereinstellungen

Werte für Filtereinstellungen werden über einen Dialog angezeigt. Je nachdem, ob der Report nur einen Wert oder mehrere Werte für den Filter enthalten kann, können im Konfigurationsdialog Werte ausgewählt werden. Es muss mindestens ein Wert ausgewählt werden. Die Darstellung der Werte für die Auswahl hängt von ihrer Struktur ab.

Beispiel: Auswahl Anlagengruppen bei aktivierter Mehrfachauswahl.

Auf die mögliche Auswahl von Werten wirken:

  • vorhergehende Parameter (z.B. Projekte und Equipment Groups für Variablen) wirken als Vorfilter
  • Mehrfachauswahl:
    Wurde ein Direktwert mit mehr als einem Wert konfiguriert und wird die Eigenschaft auf Einfachauswahl umgestellt, dann wird der Direktwert zurückgesetzt und muss neu ausgewählt werden.
  • Sortierreihenfolge
  • Schachtelungsmodus und Schachtelungsebene

Hinweis: Sind Werte nicht mehr verfügbar, werden die entsprechenden Einträge rot markiert und können nicht ausgewählt werden. Ein Tooltip informiert über die Ursache.


Abhängigkeiten

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Direktwerte > Abhängigkeiten

Für Einstellungen, die von anderen Report-Einstellungen abhängen, wird das korrekte Setzen der Werte erzwungen. Zum Beispiel hängen Variablen von Projekten und Anlagengruppen ab.
Das bedeutet:

  • Direktwerte für eine Eigenschaft können erst dann konfiguriert werden, wenn alle anderen nötigen Direktwerte konfiguriert wurden.
  • Die Eigenschaft Direkten Wert verwenden kann erst wieder deaktiviert werden, wenn keine andere Eigenschaft diesen Wert mehr benötigt.
    Hinweis: Die Eigenschaft wird ausgeblendet, wenn sie nicht konfiguriert werden kann.
  • Beim Abwählen der Eigenschaft Direkten Wert verwenden wird der konfigurierte Direktwert verworfen. Report-Einstellungen, von denen diese Einstellung abhängt, bleiben unverändert.
    Zum Beispiel: Für die Variablen wird die Eigenschaft wieder deaktiviert. Die im Direktwert konfigurierten Variablen werden verworfen. Die Direktwerte für Projekte und Anlagenmodelle bleiben aber unverändert. Das gilt auch, wenn die Direktwerte noch fehlen.

Hinweis: Führt eine Konfiguration dazu, dass abhängige Direktwerte verworfen werden, wird ein Warnhinweis angezeigt.
Werden aber Direktwerte über die Eigenschaft Direkten Wert verwenden deaktiviert, werden diese ohne Warnung verworfen.

Zurücksetzen bei Wertänderung

Da Report-Einstellungen sich gegenseitig beeinflussen können, kann auch die Änderung eines Direktwerts zum Zurücksetzen von anderen Direktwerten führen. Dies ist nötig, wenn durch die Veränderung sich die verfügbaren Werte für eine andere Einstellung ändern können.
Zum Beispiel: Projekte liefern die Basis für Variablen. Wird der Direktwert für die Einstellung Projekt verändert, werden gleichzeitig die Direktwerte für die Einstellung Variablen (von Anlagengruppen) zurückgesetzt.

Filtereinstellungen mit Direktwerten können auch von Datasettings ohne Direktwerte abhängen. Zum Beispiel ist die Einstellung Anlagengruppe abhängig von Anlagenmodelle. Ändert sich der Wert der Eigenschaft Anlagenmodelle, wird der Direktwert der Anlagengruppe zurückgesetzt.

Direktwerte abhängiger Report-Einstellungen werden zurückgesetzt, wenn:

  • Andere Direktwerte oder Werte, die den Direktwert beeinflussen, wurden geändert.
  • Gruppierung oder Substitution ersetzen die Einstellung.
  • Das Auflösen einer Substitution ersetzt die Einstellung.
  • Beim Löschen von Reportvorlagen wurden Substitutionen aufgelöst.
  • Eine Reporteigenschaft wurde von Mehrfachauswahl auf Einfachauswahl zurückgesetzt.


Direktwerte und Gruppierung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Direktwerte > Direktwerte und Gruppierung

Die Verwendung von Direktwerten hat Einfluss auf die Gruppierung:

  • Bei der automatischen Gruppierung werden jene Report-Einstellungen bevorzugt, die Direkten Wert verwenden gesetzt haben
  • Wenn mehrere Report-Einstellungen Direkten Wert verwenden gesetzt haben, werden jene bevorzugt, für die ein Direkter Wert konfiguriert wurde.
  • Bei gleichwertigen Report-Einstellungen wird bei der automatischen Gruppierung das oberste verwendet.

Wird eine Report-Einstellungen, deren Abhängigkeiten die Vergabe eines Direktwerts erzwingen, durch ein anderes ersetzt, dann wird die neue Report-Einstellungen automatisch zur Direktwerteingabe gezwungen.

Beim Auflösen einer Gruppierung, deren Report-Einstellungen Direktwerte enthält, werden diese auf alle resultierenden Report-Einstellungen kopiert.


Direktwerte und Substitution

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Direktwerte > Direktwerte und Substitution

Substitutionen und auch deren Auflösung bewirken bei Direktwerten immer, dass Direktwerte für abhängige Report-Einstellungen zurückgesetzt werden. Das Zurücksetzen muss der Benutzer über eine Sicherheitsabfrage bestätigen.


Zurücksetzen bei Wertänderung abhängiger Einstellungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Direktwerte > Zurücksetzen bei Wertänderung abhängiger Einstellungen

Da Einstellungen sich gegenseitig beeinflussen können, kann auch die Änderung eines Direktwerts zum Zurücksetzen von anderen Direktwerten führen. Dies ist nötig, wenn durch die Veränderung sich die verfügbaren Werte für eine andere Einstellung ändern können.
Zum Beispiel: Projekte liefern die Basis für Variablen. Wird der Direktwert für die Einstellung Projekt verändert, werden gleichzeitig die Direktwerte für die Einstellung Variablen (von Anlagengruppen) zurückgesetzt.

Filtereinstellungen mit Direktwerten können auch von Datasettings ohne Direktwerte abhängen. Zum Beispiel ist die Einstellung Anlagengruppe abhängig von Anlagenmodelle. Ändert sich der Wert der Eigenschaft Anlagenmodelle, wird der Direktwert der Anlagengruppe zurückgesetzt.

Direktwerte abhängiger Einstellungen werden zurückgesetzt, wenn:

  • Andere Direktwerte oder Werte, die den Direktwert beeinflussen, wurden geändert.
  • Gruppierung oder Substitution ersetzen die Einstellung.
  • Das Auflösen einer Substitution ersetzt die Einstellung.
  • Beim Löschen von Reportvorlagen wurden Substitutionen aufgelöst.
  • Eine Reporteigenschaft wurde von Mehrfachauswahl auf Einfachauswahl zurückgesetzt.


Beispiel-Konfiguration

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Direktwerte > Beispiel-Konfiguration

Beispielkonfiguration für Direktwerte für Variablen (von Anlagengruppen):

  1. Aktivieren Sie für die Report-Einstellung Variablen (von Anlagengruppen) die Eigenschaft Direkten Wert verwenden.

    Die Eigenschaft Direkter Wert wird eingeblendet.
    Diese kann aber noch nicht konfiguriert werden. Ihre möglichen Werte hängen ab von den Report-Einstellungen Anlagengruppe und Projekt.
    Diese Report-Einstellungen werden rot umrandet hervorgehoben. Auch die Eigenschaft Direkter Wert wird rot umrandet dargestellt, da sie noch nicht konfiguriert wurde.

  2. Wählen Sie für die Report-Einstellung Anlagengruppe einen Direktwert.
    Die Eigenschaft ist bereits aktiviert.
  3. Wählen Sie für die Report-Einstellung Projekt einen Direktwert.
    Die Eigenschaft ist bereits aktiviert.

    Jetzt werden die Report-Einstellungen für Anlagengruppe und Projekt nicht mehr als fehlerhaft markiert.

  4. Konfigurieren Sie den Direktwert für Variablen (von Anlagengruppen).
  5. Klicken Sie dazu auf die Schaltfläche ....

    Der Dialog zur Auswahl von Variablen wird geöffnet.
    Wurde die Eigenschaft Mehrfachauswahl deaktiviert, kann nur eine Variable ausgewählt werden. Wurde die Eigenschaft aktiviert können beliebig viele Variablen ausgewählt werden.

Die Konfiguration der Direktwerte ist damit abgeschlossen.

Wird die Direktwerteingabe bei den Variablen deaktiviert, bleiben die Direktwerte für Projekt und Anlagengruppen erhalten.


Durchschnitt und Standardabweichung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Durchschnitt und Standardabweichung

Eigenschaften zur Konfiguration des Filtertyps für die Report-Einstellung Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe.

Mit diesem Filter werden Variablen für Durchschnitt und Standardabweichung konfiguriert. Dabei wird vorausgewählt, ob der Variablenfilter auf Archiven oder Anlagengruppen basiert. Je nach Auswahl werden die entsprechenden abhängigen Report-Einstellungen aktiviert und deaktiviert.

Eigenschaften

Allgemein

Legt fest, ob Variablen aus Anlagengruppen oder Variablen aus Archiven verwendet werden.

Eigenschaft

Beschreibung

Variablenfiltertyp

Auswahl des Filtertyps für die Variablen aus Dropdownliste:

  • Variablen (von Archiven):
    Es werden die Report-Einstellungen Anlagenmodelle und Anlagengruppe verwendet.
    Die Report-EinstellungArchive (von Projekten) wird deaktiviert.
  • Variablen (von Anlagengruppen):
    Es wird die Report-Einstellung Archive (von Projekten) verwendet.
    Die Report-Einstellungen Anlagenmodelle und Anlagengruppe werden deaktiviert.

Variablenfilter für Durchschnitt

Einstellungen für die Anzeige und Konfiguration der Variablen für den Durchschnitt im Report Launcher.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.

Variablenfilter für Standardabweichung

Einstellungen für die Anzeige und Konfiguration der Variablen für die Standardabweichung im Report Launcher.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Eingabeelemente

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Eingabeelemente

Eigenschaften werden über unterschiedliche Eingabeelemente konfiguriert.
Vor allem:

  • Auswahl aus Dropdownlisten
  • Auswahl aus Farbpaletten
  • Auswahl aus Listen
  • Eingabe in Felder
  • Regelung über Spincontrol

Noch in diesem Kapitel

Farbauswahl


Farbauswahl

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Eingabeelemente > Farbauswahl

Manche Eigenschaften ermöglichen die Auswahl einer Farbe. Dazu wird ein Dialog zur Auswahl und Konfiguration von Farben aus dem Betriebssystem geöffnet.
Klick auf den Pfeil der Dropdownliste für die Farbauswahl öffnet den Dialog.
Der Dialog wird geschlossen über:

  • Kick auf Anwenden
  • Klick auf eine Farbe
  • Klick außerhalb des Dialogs

Dialog Farbauswahl

Option

Beschreibung

Automatisch

Klick auf die Schaltfläche setzt die Farbauswahl auf automatisch. Die Farbe wird vom System gewählt.

Farbdesign

Auswahl eine Design-Farbe durch Klick auf das Farbfeld.

Die ausgewählte Farbe wird sofort übernommen und der Dialog geschlossen.

Standardfarbe

Auswahl eine Standard-Farbe durch Klick auf das Farbfeld.

Die ausgewählte Farbe wird sofort übernommen und der Dialog geschlossen.

Jüngste Farben

Liste der zuletzt ausgewählten Farben.

Nur verfügbar, nachdem eine individuelle Farbe gewählt wurde und solange der Dialog geöffnet ist.

Individuelle Farbkonfiguration

Bereich zur Konfiguration eigener Farbdesigns über Schieberegler oder Eingabe eines Farbcodes. Für die manuelle Eingabe stehen mehrere Farbmodelle zur Verfügung:

  • CMYK
  • HLS
  • HSV
  • RGB

Default: RGB

Die konfigurierte Farbe wird erst mit Klick auf Anwenden übernommen.

Anwenden

Wendet individuell konfigurierte Farbe an und schließt den Dialog.


Effizienzklassenformel

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Effizienzklassenformel

Konfiguration der Effizienzklassenformel und deren Filterung. Für die Formelerstellung wird der Dialog Benutzerdefinierte Formeln konfigurieren verwendet.

Eigenschaften Effizienzklassenformel

Allgemein

Konfiguration der Effizienzklassenformel und deren Filterung.

Eigenschaft

Beschreibung

Formel konfigurieren

Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration benutzerdefinierter Formeln.

Hinweis: Beim Schließen des Dialogs muss in der Registerkarte Verdichtungsfelder oder in der Registerkarte Berechnete Felder nach durchgeführter Verdichtung genau ein Feld als sichtbar markiert sein.

Effizienzklassenmodell-Filter nach Maßeinheit der Formel
  • Aktiv: Es werden nur Effizienzklassenmodelle mit der gleichen Einheit wie die Formel angezeigt.


Effizienklassenmodell

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Effizienklassenmodell

Eigenschaften zur Konfiguration der Report-Einstellung Effizienzklassenmodell für den Report Launcher.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen der Reportparameter.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Effizienzklassenname

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Effizienzklassenname

Eigenschaften zur Konfiguration des Wildcard-Filters für die Report-Einstellung Effizienzklassenname für den Report Launcher.

Allgemein

Der konfigurierte Wildcard-Filter wird im Report Launcher für die Filterung auf Namen von Effizienzklassenmodellen vewendet.

Eigenschaft

Beschreibung

Effizienzklassen-Name

Eingabe des Filters für Namen von Effizienzklassenmodellen.
Regeln:

  • Es sind nur Ziffern, Buchstaben und die Wilcards ? und * erlaubt.
  • *: 0 - n beliebige Zeichen.
  • ?: Genau 1 beliebiges Zeichen.
  • Aufeinander folgende * werden zu einem * zusammengefasst.
    Beispiel: te********st wird zu te*st.
  • Enthält die Eingabe keine Wildcard, wird * an das Ende des Begriffs gesetzt. Ist kein Begriff enthalten, wird * gesetzt.
    Beispiel: test wird zu test*.
  • Default: *


Ereignisgruppierung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereignisgruppierung

Eigenschaften zur Konfiguration der Report-Einstellung Ereignisgruppierung für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften zur Auswahl der Gruppierung für Top N.

Eigenschaft

Beschreibung

Ereignisgruppierung

Auswahl aus Dropdownliste:

  • Alarm-/Ereignisklasse
  • Alarm-/Ereignisgruppe
  • Anlagengruppe


Ereignistyp

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereignistyp

Auswahl der aktiven Quellen für Ereignisse.

Allgemein

Allgemeine Eigenschaften für die Auswahl von Ereignissen, die im Report Launcher als Ereignistyp dargestellt werden sollen. Aktivierung über Checkbox. Mindestens eine Eigenschaft muss aktiviert werden.

Eigenschaft

Beschreibung

Ereignisse von bekannten Variablen
  • Aktiv: Ereignisse von exportierten Variablen werden im Report dargestellt.

Default: aktiv

Ereignisse von unbekannten Variablen
  • Aktiv: Ereignisse von Variablen, die nicht exportiert wurden, werden im Report dargestellt.

Default: aktiv

Systemereignisse

  • Aktiv: Systemereignisse werden im Report dargestellt.

Default: aktiv


Ereigniszähler

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler

Eigenschaften zur Konfiguration der Report-Einstellung für Ereignisse. Diese werden in unterschiedlichen Reportvorlagen zur Konfiguration angeboten:

Reportvorlage | Report-Einstellung
Ereigniszähler für Maschinen | Alle Ereignisse
Ereigniszähler für Sollwertänderungen | Sollwertänderungs-Ereignisse
Ereigniszähler für Umschaltungen des Düsenmodus | Umschaltungen des Düsenmodus
Ereigniszähler für Lastabwurf - Wirkleistungsbereiche | Wirkleistung bei Lastabwurf-Ereignissen
Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche | Turbinengeschwindigkeits-Ereignisse bei Lastabwurf

Nicht jede Eigenschaft und nicht jede Registerkarte im Konfigurationsdialog steht für jede Reportvorlage zur Verfügung. Details siehe Abschnitt Zuordnungen konfigurieren.

Noch in diesem Kapitel

Alle Ereignisse

Sollwertänderungs-Ereignisse

Turbinengeschwindigkeit bei Lastabwurf-Ereignissen

Umschaltungen des Düsenmodus

Wirkleistung bei Lastabwurf-Ereignissen

Zuordnungen konfigurieren


Alle Ereignisse

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Alle Ereignisse

Eigenschaften zur Konfiguration der Report-Einstellung Alle Ereignisse für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Ereigniszähler | Konfiguration der Bedeutungen, Datenquellen und Anlageninformationen für alle Ereignisse. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen. Welche Eigenschaften im Dialog angezeigt und konfiguriert werden können, hängt ab vom Typ der Reportvorlage


Sollwertänderungs-Ereignisse

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Sollwertänderungs-Ereignisse

Eigenschaften zur Konfiguration der Report-Einstellung Sollwertänderungs-Ereignisse für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Ereigniszähler

Konfiguration der Bedeutungen, Datenquellen und Anlageninformationen für Ereignisse der Sollwertänderung.

Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.
Welche Eigenschaften im Dialog angezeigt und konfiguriert werden können, hängt ab vom Typ der Reportvorlage


Turbinengeschwindigkeit bei Lastabwurf-Ereignissen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Turbinengeschwindigkeit bei Lastabwurf-Ereignissen

Eigenschaften zur Konfiguration der Report-Einstellung Turbinengeschwindigkeit bei Lastabwurf-Ereignissen für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Ereigniszähler

Konfiguration der Bedeutungen, Datenquellen und Anlageninformationen für Ereignisse der Turbinendrehzahl bei Lastabwurf.

Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.
Welche Eigenschaften im Dialog angezeigt und konfiguriert werden können, hängt ab vom Typ der Reportvorlage


Umschaltungen des Düsenmodus

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Umschaltungen des Düsenmodus

Eigenschaften zur Konfiguration der Report-Einstellung Umschaltungen des Düsenmodus für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Ereigniszähler

Konfiguration der Bedeutungen, Datenquellen und Anlageninformationen für Ereignisse für Änderungen des Düsenmodus.

Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.
Welche Eigenschaften im Dialog angezeigt und konfiguriert werden können, hängt ab vom Typ der Reportvorlage


Wirkleistung bei Lastabwurf-Ereignissen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Wirkleistung bei Lastabwurf-Ereignissen

Eigenschaften zur Konfiguration der Report-Einstellung Wirkleistung bei Lastabwurf-Ereignissen für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Ereigniszähler

Konfiguration der Bedeutungen, Datenquellen und Anlageninformationen für Ereignisse der Wirkleistung bei Lastabwurf.

Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.
Welche Eigenschaften im Dialog angezeigt und konfiguriert werden können, hängt ab vom Typ der Reportvorlage


Zuordnungen konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Zuordnungen konfigurieren

Dialog zur Konfiguration der Zuordnungen für Ereigniszähler. Der Dialog besteht, abhängig von der zu konfigurierenden Reportvorlage, aus mehreren Registerkarten.

Registerkarte | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Wirkleistungsbereiche | Konfiguration der Wirkleistungsbereiche. Nur für Reportvorlagen vom Typ Ereigniszähler für Lastabwurf - Wirkleistungsbereiche.
Turbinengeschwindigkeitsbereiche | Konfiguration der Turbinengeschwindigkeitsbereiche. Nur für Reportvorlagen vom Typ Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche.
Überprüfung | Überprüfung der Konfiguration.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Übersicht Verfügbarkeit Eigenschaften für Reportvorlagen

Eigenschaft | Maschinen | Sollwert | Umschaltung | Wirkleistung | Turbinen
Ein-Aus-Schalter | X | X | X | X | X
Sollwert | X | X | -- | -- | --
Düsenmodus | X | -- | X | -- | --
Betriebsmodus | X | X | -- | -- | --
Leistungsschalter | X | -- | -- | X | X
Wirkleistung | X | -- | -- | X | --
Turbinengeschwindigkeit | X | -- | -- | -- | X
Kraftwerk | X | X | X | X | X
Kraftwerksgruppe | X | X | X | X | X
Nennleistung | X | -- | -- | X | --
Nennturbinengeschwindigkeit | X | -- | -- | -- | X
Wirkleistungsbereiche | X | -- | -- | X | --
Turbinendrehzahlbereiche | X | -- | -- | -- | X

Legende:

  • Maschinen: Ereigniszähler für Maschinen
  • Sollwert: Ereigniszähler für Sollwertänderungen
  • Umschaltung: Ereigniszähler für Umschaltungen des Düsenmodus
  • Wirkleistung: Ereigniszähler für Lastabwurf - Wirkleistungsbereiche
  • Turbinen: Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche
  • X: vorhanden
  • --: nicht vorhanden

Noch in diesem Kapitel

Bedeutungen

Wirkleistungsbereiche

Turbinengeschwindigkeitsbereiche

Überprüfung


Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Zuordnungen konfigurieren > Bedeutungen

In dieser Registerkarte konfigurieren Sie die Zuordnungen der Bedeutungen.

Welche Eigenschaften zur Konfiguration zur Verfügung stehen, hängt ab vom Typ der zu konfigurierenden Reportvorlage.

Option

Beschreibung

Ein-Aus-Schalter

Eingabe der Bedeutung für den Ein-Aus-Schalter der Maschine.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Sollwert

Eingabe der Bedeutung für den Sollwert für die Maschinenleistung.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Düsenmodus

Eingabe der Bedeutung für den Düsenmodus.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Betriebsmodus

Eingabe der Bedeutung für den Betriebsmodus.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Leistungsschalter

Eingabe der Bedeutung für den Leistungsschalter.

Die Datenquelle für die Variable, die über diese Bedeutung referenziert wird, wird aus der Dropdownliste neben dem Eingabefeld gewählt. Zur Verfügung stehen:

  • Alarmmeldeliste
  • Archiv
  • Chronologische Ereignisliste und zur Auswahl.

Default: Archiv

Wirkleistung

Eingabe der Bedeutung für die Wirkleistung.

Turbinengeschwindigkeit

Eingabe der Bedeutung für die Turbinengeschwindigkeit.

Kraftwerk

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Kraftwerksgruppe

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Nennwirkleistung

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle das die Nennwirkleistung definiert.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Nennturbinengeschwindigkeit

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle das die Nennturbinengeschwindigkeit definiert.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Wirkleistungsbereiche

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Zuordnungen konfigurieren > Wirkleistungsbereiche

In dieser Registerkarte werden die Zuordnungen der Wirkleistungsbereiche konfiguriert.
Nur für Reportvorlagen vom Typ Ereigniszähler für Lastabwurf - Wirkleistungsbereiche vorhanden.

Option

Beschreibung

Bereichsliste

Die Bereichsliste zeigt bereits konfigurierte Leistungsbereiche an. Bei bereits existierenden Bereichen werden angezeigt:

  • Vergleichstyp
  • Vergleichswert

Vergleichstyp

Auswahl des Vergleichstyps aus Dropdownliste. Zur Verfügung stehen:

  • Kleiner (<)
  • Kleiner oder gleich (<=)
  • Größer (>)
  • Größer oder gleich (>=)
  • Bereich: Vergleicht zwei Werte miteinander und blendet weitere Eingabefelder für Vergleichstyp und Vergleichswert ein.

Vergleichswert

Eingabe des Vergleichswerts:

  • Zahlenwert
  • Maximum: 2147483647

Symbol: Neu

Klick auf die Schaltfläche:

  • erzeugt einen neuen Bereich
  • initialisiert diesen mit 0 <= X <= 100
  • fügt ihn als neue Zeile am unteren Ende der Liste hinzu

X

Klick auf die Schaltfläche entfernt den dazugehörigen Bereich aus der Liste.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Vergleichstypen und Bereiche

Es stehen folgende Vergleichstypen zur Verfügung:

  • Kleiner: X < [Zahl]
  • Kleiner gleich: X <= [Zahl]
  • Größer: X > [Zahl]
  • Größer gleich: X >= [Zahl]
  • Bereiche

Bereiche

Der Vergleichstyp Bereiche definiert einen Bereich zwischen zwei Werten. Folgende Regeln stehen zur Verfügung:

  • [Zahl] < X < [Zahl]
  • [Zahl] < X <= [Zahl]
  • [Zahl] <= X < [Zahl]
  • [Zahl] <= X <= [Zahl]


Turbinengeschwindigkeitsbereiche

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Zuordnungen konfigurieren > Turbinengeschwindigkeitsbereiche

In dieser Registerkarte werden die Zuordnungen der Turbinengeschwindigkeitsbereiche konfiguriert.
Nur für Reportvorlagen vom Typ Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche vorhanden.

Option

Beschreibung

Bereichsliste

Die Bereichsliste zeigt bereits konfigurierte Leistungsbereiche an. Bei bereits existierenden Bereichen werden angezeigt:

  • Vergleichstyp
  • Vergleichswert

Vergleichstyp

Auswahl des Vergleichstyps aus Dropdownliste. Zur Verfügung stehen:

  • Kleiner (<)
  • Kleiner oder gleich (<=)
  • Größer (>)
  • Größer oder gleich (>=)
  • Bereich: Vergleicht zwei Werte miteinander und blendet weitere Eingabefelder für Vergleichstyp und Vergleichswert ein.

Vergleichswert

Eingabe des Vergleichswerts:

  • Zahlenwert
  • Maximum: 2147483647

Symbol: Neu

Klick auf die Schaltfläche:

  • erzeugt einen neuen Bereich
  • initialisiert diesen mit 0 <= X <= 100
  • fügt ihn als neue Zeile am unteren Ende der Liste hinzu

X

Klick auf die Schaltfläche entfernt den dazugehörigen Bereich aus der Liste.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Vergleichstypen und Bereiche

Es stehen folgende Vergleichstypen zur Verfügung:

  • Kleiner: X < [Zahl]
  • Kleiner gleich: X <= [Zahl]
  • Größer: X > [Zahl]
  • Größer gleich: X >= [Zahl]
  • Bereiche

Bereiche

Der Vergleichstyp Bereiche definiert einen Bereich zwischen zwei Werten. Folgende Regeln stehen zur Verfügung:

  • [Zahl] < X < [Zahl]
  • [Zahl] < X <= [Zahl]
  • [Zahl] <= X < [Zahl]
  • [Zahl] <= X <= [Zahl]


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Ereigniszähler > Zuordnungen konfigurieren > Überprüfung

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, müssen alle anderen Registerkarten - abhängig vom Typ der Reportvorlage - korrekt konfiguriert sein.

Option | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Farbenanzahl

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Farbenanzahl

Diese Report-Einstellung definiert die Zahl der Abstufungen für die die Farbskala im Rasterdiagramm.

Die Eingabe für Farbenanzahl erfolgt über die Eigenschaft Defaultwert. Gültige Werte:

  • Minimalwert und Maximalwert ident: Wert muss 2 sein.
    Das Rasterdiagramm ist in diesem Fall eine binäre Darstellung mit Minimum=Maximum als Grenzwert.
  • Maximalwert > Minimalwert: Wert muss >=3 sein.

Eigenschaften Farbanzahl

Konfiguration der Abstufungen für den Farbverlauf.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Defaultwert

Anzahl der Abstufungen für den Farbverlauf. Direkte Eingabe oder Konfiguration über die Pfeiltasten.

  • Minimum: 2

Default: 3

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Filter Liniendaten und Maschinendaten

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Filter Liniendaten und Maschinendaten

Konfiguration der optionalen Datenfilter für die Report-Einstellung Liniendaten Filter der Linienbasierten Produktionsanalyse oder Maschinendaten Filter der Maschinenbasierten Produktionsanalyse. Beide Filter werden über die gleiche Oberfläche konfiguriert. Die Validierung erfolgt aber nach unterschiedlichen Regeln. Es stehen bis zu 10 Datenfilter zur Verfügung.

Folgende Report-Einstellungen werden dafür verwendet:

  • Anlagenmodelle
  • Anlagengruppe
  • Projektauswahl (nur für Maschinendaten)

Verwendete Einstellungen und SQL-Elemente

Die Projekt-Einstellung verfügt, je nach Zuordnung, über folgende Verknüpfungen:

Report-Einstellung

Benötigt

Verwendet

Wasserfall (Linie)
  • Anlagenmodelle
  • Anlagengruppe

SQL-Element:

  • ListFilterValuesForLine

Wasserfall (Maschine)
  • Anlagenmodelle
  • Anlagengruppe
  • Projektauswahl

SQL-Element:

  • ListFilterValuesForEquipment

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Datenfilterkonfiguration | Anzeige, wie viele Datenfilter konfiguriert wurde. Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration der Datenfilter.

Datenfilter für Bedeutung X

Konfiguration der Datenfilter. Für jeden in der Datenfilterkonfiguration angelegten Filter werden Eigenschaften zur Konfiguration angeboten. X steht für den Namen des Datenfilters.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.

Noch in diesem Kapitel

Konfiguration des Filters

Validierung


Konfiguration des Filters

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Filter Liniendaten und Maschinendaten > Konfiguration des Filters

In diesem Dialog konfigurieren und validieren Sie die Bedeutungen für Liniendaten Filter und Maschinendaten Filter. Dieser wertet das gewählte Anlagenmodell und das in den Eigenschaften ausgewählte Projekt aus.

Konfiguration

Um den Filter zu konfigurieren:

  1. Klicken Sie im Dialog auf das Filtersymbol mit dem grünen Pluszeichen.

    Eine neue Zeile wird eingetragen.

  2. Vergeben Sie den Filtername.
  3. Tragen Sie eine gültige Bezeichnung ein.
  4. Fügen Sie weitere Filterzeilen ein und konfigurieren Sie diese.
  5. Sortieren Sie die Filter bei Bedarf mit den Pfeiltasten.
  6. Klicken Sie auf Bedeutungen überprüfen.

    Die Bedeutungen werden validiert und mit den Anlagengruppen in Beziehung gesetzt.
    Das Ergebnis wird in einer Baumansicht angezeigt.
    Eine Textbox informiert über die Ursachen für das Ergebnis jeder Anlagengruppe.

  7. Schließen Sie den Dialog mit Klick auf OK.

Dialog Filter-Konfiguration

Hinweis: Dieser Dialog wird sowohl für Liniendaten Filter als auch Maschinendaten Filter verwendet. Die jeweilige Zuordnung wird in der Titelzeile des Dialogs angezeigt.

Option

Beschreibung

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Bedeutung

Eingabe der Bedeutung.
Für die Bedeutung gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit der Bedeutung eines anderen Datenfilters sein.

Pfeile

Ermöglichen die Sortierung der Filter.

  • Pfeil nach oben: Der Datenfilter tauscht mit dem Datenfilter in der Zeile darüber den Platz.
  • Pfeil nach unten: Der Datenfilter tauscht mit dem Datenfilter in der Zeile darunter den Platz.

Filtersymbol

Zwei Filtersymbole stehen zur Verfügung:

  • Grünes Plus: Ermöglicht das Einfügen eines neuen Datenfilters.
  • Rotes X: Die Zeile wird gelöscht.

Bedeutungen überprüfen

Klick auf die Schaltfläche startet die Validierung. Dafür werden herangezogen:

  • Datenfilter-Bedeutungen
  • gewähltes Anlagenmodell
  • gewähltes Projekt.

Je Bedeutung muss genau eine Variable vorhanden sein.

Die Validierung wird nicht durchgeführt, wenn:

  • keine Datenfilter vorhanden sind
  • Validierungsfehler vorhanden sind

Der jeweilige Grund wird im Detailfenster angezeigt.

Validierungsfenster

Anzeige der Validierungsergebnisse. Alle inkludierten Anlagengruppen werden als Baum dargestellt.

Ein Symbol zeigt an, ob die jeweilige Anlagengruppe mit der aktuellen Konfiguration verwendbar ist.

  • Grüner Haken: verwendbar
  • Rotes X: nicht verwendbar

Es kann genau ein Element ausgewählt werden. Details dazu werden im Detailfenster angezeigt.

Detailfenster

Liste der Validierungsdetails.

Zeigt die Validierungsausgabemeldungen des im Validierungsfenster ausgewählten Elements an.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Validierung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Filter Liniendaten und Maschinendaten > Validierung

Die Validierung erfolgt unterschiedlich für:

  • Liniendaten
  • Maschinendaten

Liniendaten

Ablauf bei der Validierung:

  1. Alle zu inkludierenden Anlagengruppen werden gefunden, abhängig von der Konfiguration in Anlagenmodelle.
  2. Je Bedeutung und Anlagengruppe werden die archivierten Variablen aus dem gewählten Projekt gesucht. Ist im ZAMS keine Projektauswahl nötig, wird in allen Projekten gesucht.
    Dabei gilt:
    • Archiv und Variable müssen aus dem gleichen Projekt stammen.
    • Beide müssen der Anlagengruppe zugewiesen sein.
    • Die Variable muss die gewünschte Bedeutung haben.

    Als Fehler gilt:

    1. Es werden keine Variable gefunden.
    2. Mindestens eine Variable wird in mehreren Archiven aufgezeichnet.
    3. Mehrere Variablen werden gefunden, es muss jedoch genau eine sein.
  3. Eine Anlagengruppe gilt als verwendbar, wenn zumindest bei einer direkt untergeordneten Anlagengruppe jede notwendige Bedeutung erfolgreich validiert wurde.

Maschinendaten

Ablauf bei der Validierung:

  1. Alle zu inkludierenden Anlagengruppen werden gefunden, abhängig von der Konfiguration in Anlagenmodelle.
  2. Je Bedeutung und Anlagengruppe werden die archivierten Variablen aus dem gewählten Projekt gesucht. Ist im ZAMS keine Projektauswahl nötig, wird in allen Projekten gesucht.
    Dabei gilt:
    • Archiv und Variable müssen aus dem gleichen Projekt stammen.
    • Beide müssen der Anlagengruppe zugewiesen sein.
    • Die Variable muss die gewünschte Bedeutung haben.

    Als Fehler gilt:

    1. Es werden keine Variable gefunden.
    2. Mindestens eine Variable wird in mehreren Archiven aufgezeichnet.
    3. Mehrere Variablen werden gefunden, es muss jedoch genau eine sein.
  3. Eine Anlagengruppe gilt als verwendbar, wenn jede notwendige Bedeutung erfolgreich validiert wurde.


Frequenz Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Frequenz Bedeutungen

Eigenschaften zur Konfiguration der Report-Einstellung Frequenz Bedeutungen für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Frequenz Bedeutungen | Konfiguration von Bedeutungen für Frequenzen. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Frequenz Bedeutungen > Zuordnungen konfigurieren

Dialog zur Konfiguration der Zuordnungen für Netzfrequenz. Der Dialog besteht aus zwei Registerkarten.

Registerkarte | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Frequenz Bedeutungen > Zuordnungen konfigurieren > Bedeutungen

In dieser Registerkarte konfigurieren Sie die Zuordnungen der Bedeutungen.

Option

Beschreibung

Netzfrequenz

Eingabe der Bedeutung für die Netzfrequenzvariable einer Maschine.

Frequenzband-Zeitzähler

Eingabe der Bedeutung für für den relativen Zeitzähler für ein Frequenzband der Netzfrequenz einer Maschine.

Alle Variablen, die der Anlagengruppe zugeordnet sind und deren Bedeutung genau mit dem hier eingegebenen Text (und eventuell einem Suffix) beginnen, werden in den Report inkludiert.

Bedeutung der Variablen entweder genau mit der eingegebenen Bedeutung übereinstimmen oder die Bedeutung der Variablen muss mit der eingegebenen Bedeutung beginnen.

Achtung: Das Suffix der Bedeutung der Variablen muss numerisch sein, da es sonst zu einem Konvertierungsfehler kommen kann.

Kraftwerk

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Kraftwerksgruppe

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Nennfrequenz

Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das die Nennfrequenz für die Maschine beinhaltet.

Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Frequenz Bedeutungen > Zuordnungen konfigurieren > Überprüfung

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Option | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Gantt-Konfiguration

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Gantt-Konfiguration

Konfiguration des Gantt-Diagramms für die Darstellung im Report Launcher.

Eigenschaften Gantt-Konfiguration

Allgemein

Eigenschaft | Beschreibung
Gantt-Chart Konfiguration | Konfiguration des Gantt-Diagramms. Klick auf Schaltfläche ... öffnet Dialog zur Konfiguration.

Noch in diesem Kapitel

Dialog Konfiguration der Gantt-Diagramm Analyse


Dialog Konfiguration der Gantt-Diagramm Analyse

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Gantt-Konfiguration > Dialog Konfiguration der Gantt-Diagramm Analyse

Die Gantt-Diagramm Analyse wird mit folgendem Dialog konfiguriert:

Um die Analyse zu konfigurieren:

  1. Klicken Sie im Kontrollelement in der Reportvorlage auf die Schaltfläche Gantt-Diagramm Analyse konfigurieren.
  2. Konfigurieren Sie die Registerkarten:
    • Schichten und Chargen
    • Analysegruppen
    • Diagrammeinstellungen
    • Überprüfung
  3. Beenden Sie den Dialog mit Klick auf OK.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Schichten und Chargen

Analysegruppen

Diagrammeinstellungen

Überprüfung


Schichten und Chargen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Gantt-Konfiguration > Dialog Konfiguration der Gantt-Diagramm Analyse > Schichten und Chargen

In dieser Registerkarte wird die Einbindung von Schichten und Chargen in die Gantt-Analyse konfiguriert.

Option

Beschreibung

Schichten in Analysen inkludieren

Auswahl aus Dropdownliste, wie Schichten in die Gantt-Analyse eingebunden werden:

  • Nicht inkludiert: Es wird nicht nach Schichten gesucht.
  • Inkludiert für die gewählte Anlagengruppe: Es wird nur für die im Report gewählte Anlagengruppe nach Schichten gesucht.
  • Inkludiert für alle Anlagengruppen: Es wird für alle in der Analyse aktiven Anlagengruppen nach Schichten gesucht.

Bezeichnung für Schichtanalysegruppe

Definiert Anzeigename für die Analysegruppe für Schichten einer Anlage. Freie Eingabe in Texteld.

Nur verfügbar, wenn für Schichten in Analysen inkludieren nicht Nicht inkludiert gewählt wurde,

Connector für Schichtdaten

Auswahl des Connectors für das Holen der Schichtdaten aus Dropdownliste.

Chargen in Analyse inkludieren

Auswahl aus Dropdownliste, wie Chargen in die Gantt-Analyse eingebunden werden:

  • Nicht inkludiert: Es wird nicht nach Chargen gesucht.
  • Inkludiert für die gewählte Anlagengruppe: Es wird nur für die im Report gewählte Anlagengruppe nach Chargen gesucht.
  • Inkludiert für alle Anlagengruppen: Es wird für alle in der Analyse aktiven Anlagengruppen nach Chargen gesucht.

Bezeichnung für Chargenanalysegruppe

Definiert Anzeigename für die Analysegruppe für Chargen einer Anlage. Freie Eingabe in Texteld.

Nur verfügbar, wenn für Chargen in Analyse inkludieren nicht Nicht inkludiert gewählt wurde.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Analysegruppen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Gantt-Konfiguration > Dialog Konfiguration der Gantt-Diagramm Analyse > Analysegruppen

In dieser Registerkarte werden die Analysegruppen konfiguriert. Jede Analysegruppe bedeutet eine Zeile im Gantt-Diagramm bzw. eine Gruppierung auf der unteren Gruppierungsebene einer Tabelle. Der vollständige Name einer Analysegruppe folgt dabei immer der Syntax [Anlagengruppenname]: [Analysegruppenname].

Option

Beschreibung

Datenquelle für Analysegruppe

Auswahl der Datenquelle für die Analysegruppen aus Dropdownliste:

  • Alarmmeldeliste
  • Chronologische Ereignisliste
  • Archive

Bezeichnung der Analysegruppe

Eingabe des Anzeigename einer Analysegruppe.

Bedeutung

Eingabe der Bedeutung für die Variable in zenon, deren Ereignisse in der Analysegruppe analysiert werden sollen.

Entspricht:

  • Eigenschaft Betriebsmittelkennung in Gruppe Wertattribute bis zenon Version 7.11
  • Eigenschaft Bedeutung in Gruppe Analyzer ab zenon Version 7.20.

Hinzufügen

Klick fügt die mit den Feldern Bezeichnung der Analysegruppe und Bedeutung definierte Analysegruppe zur Liste Analysegruppen hinzu, wenn folgende Bedingungen zutreffen:

  • beide Felder haben Inhalt
  • es gibt noch keine Analysegruppe mit dem eingegebenen Anzeigenamen
  • es gibt noch keine Analysegruppe für die eingegebene Bedeutung

Liste Analysegruppen

Hier werden alle definierten Analysegruppen aufgelistet. Die Anzeigereihenfolge in dieser Tabelle entspricht der Reihenfolge im Gantt-Diagramm bzw. in den Tabellen im Report.

Mehrfachauswahl ist möglich.

Pfeiltasten

Umreihung der Analysegruppen in der Liste. Klick auf:

  • Pfeil nach oben: alle markierten Analysegruppen werden um eine Stelle nach oben verschoben
  • Pfeil nach unten: alle markierten Analysegruppen werden um eine Stelle nach unten verschoben

Löschen

Klick auf Schaltfläche löscht alle in der Liste markierten Analysegruppen ohne Rückfrage.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Diagrammeinstellungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Gantt-Konfiguration > Dialog Konfiguration der Gantt-Diagramm Analyse > Diagrammeinstellungen

In dieser Registerkarte werden die Diagrammeinstellungen konfiguriert.

Option

Beschreibung

Statusname im Gantt-Diagramm anzeigen

Festlegung für Anzeige, ob für Variablen mit numerischen Werten, die über eine REMA auf Stati übersetzt werden, der Grenzwerttext aus der REMA im Gantt-Diagramm angezeigt werden soll.

Erste abwechselnde Farbe für textbasierte Analysegruppen

Anzeige der gewählten ersten alternierenden Farbe für Events von Analysegruppen für Schichten, Chargen und Variablen mit Stringwerten.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Zweite abwechselnde Farbe für textbasierte Analysegruppen

Anzeige der gewählten zweiten alternierenden Farbe für Events von Analysegruppen für Schichten, Chargen und Variablen mit Stringwerten.

Farbe auswählen

Auswahl der Farbe. Klick auf Schaltfläche öffnet den Standard-Auswahldialog in der Sprache des Betriebssystems.

Anlagengruppensortierung

Auswahl aus Dropdownliste, wie die Anlagengruppen einer Ebene (gleiche übergeordnete Anlagengruppe) sortiert werden sollen:

  • Gleiche Datenbankreihenfolge: Es wird per Spalte [ID] in der Tabelle [EQUIPMENT] aufsteigend sortiert.
  • Umgekehrte Datenbankreihenfolge: Es wird per Spalte [ID] in der Tabelle [EQUIPMENT] absteigend sortiert.
  • Aufsteigende Sortierung nach Anlagengruppennamen: Es wird nach dem Anzeigenamen der Anlagengruppe aufsteigend sortiert.
  • Absteigende Sortierung nach Anlagengruppennamen: Es wird nach dem Anzeigenamen der Anlagengruppe absteigend sortiert.
  • Aufsteigende Sortierung nach Anlageninformation: Es wird nach dem numerischen Wert eines der Anlagengruppe zugeordneten Feldes in der Tabelle EQUIPMENTINFO aufsteigend sortiert. Anlagengruppen, denen kein solches Feld zugeordnet ist, werden ausgefiltert.
  • Absteigende Sortierung nach Anlageninformation: Es wird nach dem numerischen Wert eines der Anlagengruppe zugeordneten Feldes in der Tabelle EQUIPMENTINFO absteigend sortiert. Anlagengruppen, denen kein solches Feld zugeordnet ist, werden ausgefiltert.

Anlagenidentifikationsfeld für Sortierung

Eingabe der Zeichenfolge für die Anlagen-Identifikation, mit der in der Tabelle EQUIPMENTINFO nach dem Element für den Sortierungswert gesucht werden soll.

Nur verfügbar, wenn in Anlagengruppensortierung entweder Aufsteigende Sortierung nach Anlageninformation oder Absteigende Sortierung nach Anlageninformation gewählt wurde.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Gantt-Konfiguration > Dialog Konfiguration der Gantt-Diagramm Analyse > Überprüfung

In dieser Registerkarte werden die Eingaben validiert.

Bei der Validierung gilt:

  1. Es muss in allen aktiven Eingabeelementen in den anderen Registerkarten ein Wert gewählt oder eingegeben werden.
    Ausnahme: Bezeichnung der Analysegruppe und Bedeutung in der Registerkarte Analysegruppen.
  2. Es muss mindestens eine Analysegruppe definiert worden sein.
  3. Ist eine der vorherigen Bedingungen verletzt, wird abgebrochen.
    Werden die Bedingungen 1 und 2 erfüllt, dann werden für jede Anlagengruppe die folgenden Punkte geprüft:
    1. Wenn der Anlagenmodellfilter im Report aktiv ist, muss die Anlagengruppe dem gewählten Modell zugeordnet sein.
    2. Der Anlagengruppe muss mindestens eine Variable mit einer der Bedeutungen der Analysegruppen zugeordnet sein. Dabei werden Datenquelle und eventuell Projekt, an das der Report gebunden ist, berücksichtigt.
    3. Wen eine Sortierung mit Verwendung eines Feldes in der Tabelle EQUPMENTINFO gewählt wurde, muss der Anlagengruppe ein solches Feld mit numerischen Wert und der angegebenen Identifikation zugeordnet sein.

Option | Beschreibung
Liste | Alle Meldungen zur Validierung und eine Abschlussmeldung mit der Anzahl der analysierbaren Anlagengruppen werden in die Liste geschrieben. Die Listbox erlaubt keine Auswahl von Einträgen.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorhergehenden Registerkarte. In der ersten Registerkarte inaktiv.
Nächste | Wechselt zur nächsten Registerkarte. In der letzten Registerkarte inaktiv.
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Grenzen für Regelkarte

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Grenzen für Regelkarte

Anzeige und Konfiguration der Grenzen für die Regelkarte. Diese werden über einen Dialog definiert und berechnet.
Alle Einstellungen können manuell in den Eigenschaften verändert werden. Jede Änderung wird auf Gültigkeit überprüft. Validierungsfehler werden mit roter Markierung angezeigt.

Eigenschaften

Allgemein

Allgemeine Eigenschaften für die Grenzwerte der Regelkarte.

Eigenschaft | Beschreibung
Alle Werte | Konfiguration aller Werte über einen Dialog. Doppelklick auf Wert oder Klick auf die Schaltfläche ... öffnet den Dialog zur Berechnung der Grenzwerte für die Regelkarte.
Ziel-Durchschnitt | Zielwert für den Durchschnitt.
Ziel-Standardabweichung | Zielwert für die Standardabweichung

Grenzen für Durchschnitt

Grenzwerte für den Durchschnitt.

Eigenschaft | Beschreibung
Obere Eingriffsgrenze für Durchschnitt | Obere Eingriffsgrenze für den Durchschnitt.
Obere Warngrenze für Durchschnitt | Obere Warngrenze für den Durchschnitt.
Untere Warngrenze für Durchschnitt | Untere Warngrenze für den Durchschnitt.
Untere Eingriffsgrenze für Durchschnitt | Untere Eingriffsgrenzefür den Durchschnitt.

Grenzen für Standardabweichung

Grenzwerte für die Standardabweichung.

Eigenschaft | Beschreibung
Obere Eingriffsgrenze für Standardabweichung | Obere Eingriffsgrenze für die Standardabweichung.
Obere Warngrenze für Standardabweichung | Obere Warngrenze für die Standardabweichung.
Untere Warngrenze für Standardabweichung | Untere Warngrenze für die Standardabweichung.
Untere Eingriffsgrenze für Standardabweichung | Untere Eingriffsgrenze für die Standardabweichung.

Validierungen

Bei der Validierung der Eigenschaften gilt:

  • Alle Werte für Standardabweichung müssen größer 0 sein.
  • Für Standardabweichung und Mittelwert gilt jeweils:
    Untere Eingriffsgrenze < Untere Warngrenze < Zielwert < Obere Warngrenze < Obere Eingriffsgrenze

Noch in diesem Kapitel

Dialog Grenzen für Regelkarte berechnen


Dialog Grenzen für Regelkarte berechnen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Grenzen für Regelkarte > Dialog Grenzen für Regelkarte berechnen

In diesem Dialog definieren Sie die Grenzwerte für die Regelkarte.

Die Grenzwerte werden aus den Werten für Durchschnitt, Standardabweichung und Stichprobengröße berechnet und in einer Vorschautabelle angezeigt. Für die Berechnung stehen zwei Methoden zur Verfügung:

  • Europa
  • USA

Dialog

Option

Beschreibung

Durchschnitt

Mittelwert des Messwertes.

Standardabweichung

Standardabweichung des Messwertes.

Minimum: > 0

Stichprobengröße

Größe der Stichprobe.

Minimum: > 1

Berechnungsmethode

Auswahl der Berechnungsmethode für die Grenzwerte aus Dropdownliste:

  • Europa:
    Warnung bei 1,96 * Standardabweichung
    Eingriff bei 2,58 * Standardabweichung
  • USA:
    Warnung bei 2 * Standardabweichung
    Eingriff bei 3 * Standardabweichung

Tabelle

Vorschautabelle für:

  • Obere Eingriffsgrenze
  • Obere Warngrenze
  • Zielwert
  • Untere Warngrenze
  • Untere Eingriffsgrenze

jeweils für Durchschnitt und Standardabweichung.

Diese werden aus den Eingaben errechnet und können in den Eigenschaften der Report-Einstellung manuell angepasst werden.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog. Nur verfügbar bei gültiger Validierung.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Gruppierung und Überlappungsbereinigung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Gruppierung und Überlappungsbereinigung

Eigenschaften für Gruppierungen und Überlappungsbereinigung.

Gruppierung und Überlapppungsbereinigung

Konfiguration der Eigenschaften, die für die Gruppierung und Überlappungsbereinigung herangezogen werden.
Bei der Gruppierung werden übergeordnete Ebenen berücksichtigt. Wird zum Beispiel Ebene 3 aktiviert, dann werden die Ebenen 1 und 2 automatisch auch aktiviert. Entsprechend kann immer nur das unterste Element einer Ebene deaktiviert werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Gruppierung und Überlappungsbereinigung

Auswahl der Elemente, die für die Gruppierung und Überlappungsbereinigung benutzt werden.

Auswahl erfolgt über Aktivierung der Checkboxen.

  • Aktiv: Nach diesem Element wird gruppiert. Überlappungen werden bereinigt.

Mindestens 1 Element der Gruppierung mus aktiv sein.


Konfiguration der Sortierung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Konfiguration der Sortierung

Eigenschaften zur Konfiguration der Report-Einstellung Konfiguration der Sortierung für den Report Launcher.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Konfiguration der Sortierung

Auswahl der Art der Sortierung aus Dropdownliste:

  • Nach Element-ID (aufsteigend)
  • Nach Element-ID (absteigend)
  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)

Default: Nach Element-ID (aufsteigend)

Hinweis: Beim Sortieren nach Bezeichnung kann es zu Konflikten kommen. Diese können bewirken, dass zwei unterschiedliche Objekte zu einem Objekt im Report verschmelzen.

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.


Konfiguration Windrose

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Konfiguration Windrose

Anzeige und Konfiguration der Windrose in Reports zum Thema Windkraft.

Eigenschaften Konfiguration Windrose

Allgemein

Allgemeine Eigenschaften für die Konfiguration der X/Y-Achsen. Auswahl aus Dropdownliste,

Eigenschaft | Beschreibung
Konfiguration Windrose | Klick auf Schaltfläche ... öffnet Dialog zur Konfiguration des Windrosenreports.

Noch in diesem Kapitel

Dialog Konfiguration des Windrosenreports


Dialog Konfiguration des Windrosenreports

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Konfiguration Windrose > Dialog Konfiguration des Windrosenreports

In diesem Dialog werden die Parameter der Windrose konfiguriert. Der Dialog wird mit Klick auf die Schaltfläche Windrose konfigurieren im Kontrollelement Windrosenkonfiguration geöffnet.

Parameter

Beschreibung

Windrosenkonfiguration

Konfiguration der Windrose.

Bedeutung für Windrichtung

Eingabe der Bedeutung für Windrichtung.

Bei der Validierung darf das Feld nicht leer sein.

Bedeutung für Indikatorvariable

Eingabe der Bedeutung für den Indikator.

Bei der Validierung darf das Feld nicht leer sein.

Granularität der Windrose

Konfiguration der Anzahl Anzahl der angezeigten Windrichtungen . Mögliche Auswahl:

  • 4: Norden, Osten, Süden, Westen
  • 8: wie 4 plus vier Zwischenwerte
  • 16: wie 4 plus 12 Zwischenwerte

Winkelmaß

Maßsystem für die WindrichtungBedeutung für Indikatorvariable :

  • Grad: 0° - 360°
  • Radiant: 0 rad - 2p rad
  • Gradient: 0 gon – 400 gon

Default: Grad

Überprüfungsergebnisse

Starten der Gültigkeit der Konfiguration und Anzeige der Ergebnisse.

Konfiguration überprüfen

Klick auf die Schaltfläche startet die Validierung der Konfiguration. :

  • Überprüfung, ob alle Pflichtfelder konfiguriert wurden.
  • Überprüfung, wie viele Anlagengruppen die beiden Bedeutungen Bedeutung für Windrichtung und Bedeutung für Indikatorvariable eindeutig adressieren können. Das entspricht jeweils einer genau zugewiesenen Kombination aus Archiv, Variable und Projekt je Bedeutung, bei der sowohl Variable als auch Archiv der Anlagengruppe zugewiesen sind.
    Die einzelnen Anlagengruppen und die Anzahl der verwendbaren Anlagengruppen werden in der Liste Ergebnisse ausgegeben.

Ist die Validierung erfolgreich, wird die Schaltfläche OK zum Speichern der Konfiguration und Schließen des Dialogs aktiviert.

Liste Ergebnisse

Zeigt die Ergebnisse der Validierung und die Anzahl der verwendbaren Anlagengruppen an.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Bedeutungen und Anlagengruppen

Bedeutungen beziehen sich auf Variablen, die bestimmten Projekten und Anlagengruppen zugeordnet sind. Für jede der übergebenen Anlagengruppe muss unter Berücksichtigung der übergebenen Projekte genau eine Variable für Windrichtung und genau eine Variable für den Indikator aus je genau einem Archiv vorhanden sein. Die Variablen können in gleichem Archiv liegen. Aber es dürfen nicht 2 Archive je Variable vorhanden sein.

Granularität der Windrichtung

Für die Windrichtung wird auf Basis des Maßsystems der Wert für einen vollen Winkel gesetzt. Die Windrichtungen werden dann, je nach Anzahl, davon berechnet:

  • 4 Windrichtungen:
    • N wenn Richtung <= 1/8 des vollen Winkels ODER Richtung > 7/8 des vollen Winkels
    • O wenn Richtung > 1/8 des vollen Winkels UND Richtung <= 3/8 des vollen Winkels
    • S wenn Richtung > 3/8 des vollen Winkels UND Richtung <= 5/8 des vollen Winkels
    • W wenn Richtung > 5/8 des vollen Winkels UND Richtung <= 7/8 des vollen Winkels
  • 8 Windrichtungen:
    • N wenn Richtung <= 1/16 des vollen Winkels ODER Richtung > 15/16 des vollen Winkels
    • NO wenn Richtung > 1/16 des vollen Winkels UND Richtung <= 3/16 des vollen Winkels
    • O wenn Richtung > 3/16 des vollen Winkels UND Richtung <= 5/16 des vollen Winkels
    • SO wenn Richtung > 5/16 des vollen Winkels UND Richtung <= 7/16 des vollen Winkels
    • S wenn Richtung > 7/16 des vollen Winkels UND Richtung <= 9/16 des vollen Winkels
    • SW wenn Richtung >91/16 des vollen Winkels UND Richtung <= 11/16 des vollen Winkels
    • W wenn Richtung > 11/16 des vollen Winkels UND Richtung <= 13/16 des vollen Winkels
    • NW wenn Richtung > 13/16 des vollen Winkels UND Richtung <= 15/16 des vollen Winkels
  • 16 Windrichtungen:
    • N wenn Richtung <= 1/32 des vollen Winkels ODER Richtung > 31/32 des vollen Winkels
    • NNO wenn Richtung > 1/32 des vollen Winkels UND Richtung <= 3/32 des vollen Winkels
    • NO wenn Richtung > 3/32 des vollen Winkels UND Richtung <= 5/32 des vollen Winkels
    • ONO wenn Richtung > 5/32 des vollen Winkels UND Richtung <= 7/32 des vollen Winkels
    • O wenn Richtung > 7/32 des vollen Winkels UND Richtung <= 9/32 des vollen Winkels
    • OSO wenn Richtung > 9/32 des vollen Winkels UND Richtung <= 11/32 des vollen Winkels
    • SO wenn Richtung > 11/32 des vollen Winkels UND Richtung <= 13/32 des vollen Winkels
    • SSO wenn Richtung > 13/32 des vollen Winkels UND Richtung <= 15/32 des vollen Winkels
    • S wenn Richtung > 15/32 des vollen Winkels UND Richtung <= 17/32 des vollen Winkels
    • SSW wenn Richtung > 17/32 des vollen Winkels UND Richtung <= 19/32 des vollen Winkels
    • SW wenn Richtung > 19/32 des vollen Winkels UND Richtung <= 21/32 des vollen Winkels
    • WSW wenn Richtung > 21/32 des vollen Winkels UND Richtung <= 23/32 des vollen Winkels
    • W wenn Richtung > 23/32 des vollen Winkels UND Richtung <= 25/32 des vollen Winkels
    • WNW wenn Richtung > 25/32 des vollen Winkels UND Richtung <= 27/32 des vollen Winkels
    • NW wenn Richtung > 27/32 des vollen Winkels UND Richtung <= 29/32 des vollen Winkels
    • NNW wenn Richtung > 29/32 des vollen Winkels UND Richtung <= 31/32 des vollen Winkels


Konfiguration X-Y-Achsen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Konfiguration X-Y-Achsen

Konfiguration der Zeitintervalle, die verglichen werden. Diese Einstellung wird im ZAMS getroffen und kann im Report Launcher nicht verändert werden.

Eigenschaften Konfiguration X/Y-Achsen

Allgemein

Allgemeine Eigenschaften für die Konfiguration der X/Y-Achsen. Auswahl aus Dropdownliste,

Eigenschaft

Beschreibung

Konfiguration X/Y-Achse

Auswahl der Zeitintervalle, die verglichen werden:

  • Stunden/Minuten
  • Tage/Stunden
  • Monate/Tage

Default: Stunden/Minuten


Leistungsschalter Bezeichnungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Leistungsschalter Bezeichnungen

Eigenschaften zur Konfiguration der Report-Einstellung Leistungsschalter Bezeichnungen für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Herkunft der Detailbezeichnungen

Auswahl der Quelle für die Bezeichnungen der Leistungsschalter aus Dropdownliste:

  • Anlagengruppenname ohne übergeordnete Elemente
  • Anlagengruppenname mit übergeordneten Elemente
  • Anzeigenname Relativzähler-Variable
  • Beschreibungstext Relativzähler-Variable

Muss konfiguriert werden.


Linienindikator Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Linienindikator Bedeutungen

Konfiguration und Anzeige der Indikatoren für Maschinen und der Ausgangsvariablen für deren Berechnung. Andere Einstellungen und Hauptdatasets können die Werte für die Meaning-Parameter nutzen.

Diese Report-Einstellung benötigt für die Konfiguration im Dialog:

  • Projektauswahl
  • Anlagenmodelle

Eigenschaften

Maschinenbezeichnungen

Option | Beschreibung
Linienindikatoren | Klick auf die Schaltfläche ... öffnet den Dialog zur Konfigurationen von Bedeutungen für Linien-Indikatoren. Bedeutungen für die Hauptindikatoren müssen konfiguriert sein.

Noch in diesem Kapitel

Indikatorkonfiguration


Indikatorkonfiguration

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Linienindikator Bedeutungen > Indikatorkonfiguration

Die Indikatoren werden in vier Registerkarten konfiguriert:

  • Erforderliche Indikatoren Bedeutungen
  • Optionale Indikatoren
  • Optionale Indikatoren Bedeutungen
  • Überprüfung

Erforderliche Indikatoren Bedeutungen

Parameter | Beschreibung
Feld in der Formel | Zeitzähler für die Formel. Für diese müssen Bedeutungen gesetzt werden, da die dazugehörigen Variablen für die Hauptindikatoren benötigt werden.
Bedeutung | Eingabe der Bedeutung für die Adressierung der Variablen für die folgenden Zeitzähler. Ist eines der Eingabefelder beim Aufschalten des Dialogs leer, wird es mit dem Standardwert befüllt.
Geplante Betriebszeit | Bedeutung für geplante Laufzeit der Hauptmaschine. Default: LoadingTime
Betriebszeit | Bedeutung für tatsächliche Laufzeit der Hauptmaschine. Summe aus effektiver Laufzeit und Störzeiten. Default: OperatingTime
Netto Betriebszeit | Bedeutung für Produktivlaufzeit ohne Geschwindigkeitsverluste der Hauptmaschine. Default: NetOperatingTime
Wertschöpfende Betriebszeit | Bedeutung für Produktivlaufzeit ohne Qualitätsverluste der Hauptmaschine. Ergebnis der Netto Betriebszeit minus Verluste durch Qualitätsmangel oder Beschädigung. Default: ValuableOperatingTime
Ausschusszeit (Neben-Anlagengruppen) | Bedeutung für Verlustzeiten der Nebenmaschinen. Default: ScrapTime
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Optionale Indikatoren

In dieser Registerkarte werden optionale Indikatoren aktiviert bzw. deaktiviert.

Parameter

Beschreibung

Aktivierung der optionalen Indikatoren

Mit Aktivierung der Checkboxen können folgende Indikatoren nach Bedarf aktiviert oder deaktiviert werden:

  • Gesamtmenge
  • Gutmenge
  • Durchschnittsausbringung
  • Nutzungsgrad
  • Effektivausbringung
  • Linienwirkungsgrad
  • Linienliefergrad

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Optionale Indikatoren Bedeutungen

Parameter

Beschreibung

Feld in der Formel

Felder für die Formel. Für diese müssen Bedeutungen gesetzt werden, wenn die Indikatoren verwendet werden sollen.

  • Gesamtmenge
  • Gutmenge
  • Ausschussmenge (Neben-Anlagengruppen)
  • Abgefüllte und verschlossene Einheiten
  • Arbeitszeit
  • Allgemeine Laufzeit
  • Nennausbringung der Maschine
  • Einstellausbringung der Maschine

Bedeutung

Eingabe der Bedeutung für die Adressierung der Variablen für die folgenden Indikatoren. Das Eingabefeld ist nur aktiv, wenn mindestens einer der Indikatoren, der das dem Eingabefeld zugeordnete Feld verwendet, aktiv ist.

Ist eines der Eingabefelder beim Aufschalten des Dialogs leer, wird es mit dem Standardwert befüllt.

Feld

Verwendet von

Gesamtmenge

Bedeutung für Gesamtproduktion der Hauptmaschine .
Nur verfügbar, wenn Indikator Gesamtmenge aktiviert wurde.

Default: Total Units

Gutmenge

Bedeutung für Gutmenge der Hauptmaschine.
Nur verfügbar, wenn Indikator Gutmenge aktiviert wurde.

Default: Good Units

Ausschussmenge (Neben-Anlagengruppen)

Bedeutung für Qualitätsverlustmenge der Nebenmaschinen.
Nur verfügbar, wenn mindestens einer der Indikatoren Gutmenge, Durchschnittsausbringung oder Effektivausbringung aktiviert wurde.

Default: ScrapQuantity

Abgefüllte und verschlossene Einheiten

Bedeutung für Gutmenge der Hauptmaschine.
Nur verfügbar, wenn mindestens einer der Indikatoren Durchschnittsausbringung oder Effektivausbringung aktiviert wurde.

Default: FilledAndSealedUnits

Arbeitszeit

Bedeutung für Arbeitszeit der Hauptmaschine.
Nur verfügbar, wenn Indikator Durchschnittsausbringung aktiviert wurde.

Default: WorkingTime

Allgemeine Laufzeit

Bedeutung für Laufzeit der Hauptmaschine.
Nur verfügbar, wenn Indikator Effektivausbringung aktiviert wurde.

Default: GeneralRunTime

Nennausbringung der Maschine

Bedeutung für Nominalgeschwindigkeit der Hauptmaschine.
Nur verfügbar, wenn mindestens einer der Indikatoren Nutzungsgrad oder Linienliefergrad aktiviert

Default: MachineNominalOutput

Einstellausbringung der Maschine

Bedeutung für gesetzte Geschwindigkeit der Hauptmaschine.
Nur verfügbar, wenn Indikator Linienwirkungsgrad aktiviert wurde.

Default: MachineSetOutput

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Überprüfung

Parameter | Beschreibung
Konfiguration überprüfen | Klick auf die Schaltfläche validiert die Eingaben und gibt das Ergebnis im Listenfeld aus. Details siehe Abschnitt Validierung.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Validierung

Die Validierung läuft in 2 Stufen ab:

  1. Je Anlagengruppe wird bestimmt, ob es sich um eine Haupt- oder Nebenmaschine handelt und die Bedeutungen werden entsprechend validiert.
  2. Je Anlagengruppe werden alle direkten Untergruppen durchlaufen um zu bestimmen, ob die Anlagengruppe für den Report verwendbar ist.

Validierungskriterien:

  • Eine Bedeutung gilt für eine Anlagengruppe dann als erfolgreich validiert, wenn für diese Bedeutung und diese Anlagengruppe genau eine Variable aus genau einem Archiv gelesen werden kann.
  • Basierend auf den Bedeutungen Loading time, Operating time, „Net operating time und Valuable operating time wird entschieden, ob eine Anlagengruppe eine Hauptmaschine ist. Ist keine der Bedeutungen für die Anlagengruppe erfolgreich validiert, wird die Anlagengruppe als Nebenmaschine betrachtet, ansonsten wird sie als Hauptmaschine betrachtet.
  • Hauptmaschinen-Validierungskriterien:
    • Erfolgreiche Validierung aller Bedeutungen von Registerkarte 1, ausgenommen Bad units time.
    • Erfolgreiche Validierung aller aktiven Bedeutungen von Registerkarte 3, ausgenommen Bad units.
  • Nebenmaschinen-Validierungskriterien:
    • Erfolgreiche Validierung der Bedeutung Bad units time von Registerkarte 1.
    • Erfolgreiche Validierung der Bedeutung Bad units von Registerkarte 3, wenn aktiv.
  • Linien-Validierungskriterien:
    • Genau eine Hauptmaschine.
    • 0 oder mehr Nebenmaschinen.


Linien-Verlustzeiten Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Linien-Verlustzeiten Bedeutungen

Konfiguration und Anzeige der Bedeutungen für projektübergreifende Produktionsverlustzeiten.

Eigenschaften

Allgemein

Option | Beschreibung
Linie-Verlustzeiten Bedeutungen | Klick auf die Schaltfläche ... öffnet den Dialog zur Konfigurationen von Bedeutungen für Linie-Verlustzeiten.

Noch in diesem Kapitel

Dialog Produktionsverlustzeiten


Dialog Produktionsverlustzeiten

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Linien-Verlustzeiten Bedeutungen > Dialog Produktionsverlustzeiten

Eingabe für Bedeutungen für Variablen, die zur Erhebung der Produktionsverlustzeiten benötigt werden.

Parameter | Beschreibung
Bedeutung für Variablen im Absolutverlustzeit-Diagramm | Bedeutung für Zähler, die im Absolutdiagramm enthalten sein sollen.
Bedeutung für Variablen im Relativverlustzeit-Diagramm der Haupt-Anlagengruppe | Bedeutung für Zähler, die im Relativdiagramm enthalten sein sollen und keiner linienabhängigen Anpassung bedürfen.
Bedeutung für Variablen im Relativverlustzeit-Diagramm der Neben-Anlagengruppe | Bedeutung für Zähler, die im Relativdiagramm enthalten sein sollen und bei der linienabhängigen Anpassung als Nebenmaschinenzähler verwendet werden.
Bedeutung für Variablen im Relativverlustzeit-Diagramm zum Hinzufügen von Nebenverlusten | Bedeutung für Zähler, die im Relativdiagramm enthalten sein sollen und bei der linienabhängigen Anpassung um die Nebenmaschinenverluste erhöht werden.
Bedeutung für Variablen im Relativverlustzeit-Diagramm zum Entfernen von Nebenverlusten | Bedeutung für Zähler, die im Relativdiagramm enthalten sein sollen und bei der Linien-abhängigen Anpassung um die Nebenmaschinenverluste verringert werden.
Konfiguration überprüfen | Klick auf die Schaltfläche validiert die Eingaben und gibt das Ergebnis im Listenfeld aus. Details siehe Abschnitt Validierung.
OK | Übernimmt Einstellungen und schließt den Dialog. Ist eines der Eingabefelder leer, wird die Schaltfläche ausgeblendet.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Validierung

Validierungskriterien:

  • Eine Anlagengruppe gilt dann als verwendbar, wenn sie genau eine Hauptmaschine und mindestend 0 Nebenmaschinen hat.
  • Eine Anlagengruppe gilt dann als verwendbare Hauptmaschine wenn sie:
    • Mindestens 0 verwendbare Variablen für das Absolutdiagramm hat.
    • Mindestens 1 verwendbare Variable für das Relativdiagramm ohne Linien-Anpassung hat.
    • Genau 1 verwendbare Variable für das Relativdiagramm für die Subtraktion der Nebenzeiten hat.
    • 0 oder 1 verwendbare Variable für das Relativdiagramm für die Addition der Nebenzeiten hat.
  • Eine Anlagengruppe gilt dann als verwendbare Nebenmaschine wenn sie:
    • Mindestens 0 verwendbare Variablen für das Absolutdiagramm hat.
    • 0 verwendbare Variable für das Relativdiagramm ohne Linien-Anpassung hat.
    • Mindestens 1 verwendbare Variable für das Relativdiagramm als Nebenzeit hat.
  • Eine Variable ist verwendbar, wenn:
    • sie die passende Bedeutung hat
      und
    • der Anlagengruppe zugeordnet ist
      und
    • genau aus einem der Anlagengruppe zugeordneten Archiv gelesen werden kann


Maschinenindikator Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Maschinenindikator Bedeutungen

Konfiguration und Anzeige der Indikatoren für Maschinen und der Ausgangsvariablen für deren Berechnung. Andere Einstellungen und Hauptdatasets können die Werte für die Meaning-Parameter nutzen.

Diese Report-Einstellung benötigt für die Konfiguration im Dialog:

  • Projektauswahl
  • Anlagenmodelle

Eigenschaften

Maschinenbezeichnungen

Option | Beschreibung
Maschinenindikatoren | Klick auf die Schaltfläche ... öffnet den Dialog zur Konfigurationen von Bedeutungen für Maschinenindikatoren. Bedeutungen für die Hauptindikatoren müssen konfiguriert sein.

Noch in diesem Kapitel

Indikatorkonfiguration


Indikatorkonfiguration

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Maschinenindikator Bedeutungen > Indikatorkonfiguration

Die Indikatoren werden in vier Registerkarten konfiguriert:

  • Erforderliche Indikatoren Bedeutungen
  • Optionale Indikatoren
  • Optionale Indikatoren Bedeutungen
  • Überprüfung

Um die Indikatoren konfigurieren zu können, muss ein Projekt ausgewählt worden sein.

Erforderliche Indikatoren Bedeutung

Option | Beschreibung
Feld in der Formel | Zeitzähler für die Formel. Für diese müssen Bedeutungen gesetzt werden, da die dazugehörigen Variablen für die Hauptindikatoren benötigt werden.
Bedeutung | Eingabe der Bedeutung für die Adressierung der Variablen für die folgenden Zeitzähler. Ist eines der Eingabefelder beim Aufschalten des Dialogs leer, wird es mit dem Vorgabewert befüllt.
Geplante Betriebszeit | Geplante Laufzeit. Default: Loading Time
Betriebszeit | Tatsächliche Laufzeit. Summe aus effektiver Laufzeit und Störzeiten. Default: Operating Time
Netto Betriebszeit | Netto Laufzeit. Default: NetOperating Time
Wertschöpfende Betriebszeit | Verwertbare Laufzeit. Ergebnis der Netto Betriebszeit minus Verluste durch Qualitätsmangel oder Beschädigung. Default: ValuableOperating Time
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Berechnung der Hauptindikatoren

Die 4 Hauptindikatoren werden nach diesen Formeln berechnet:

Optionale Indikatoren

In dieser Registerkarte werden optionale Indikatoren aktiviert bzw. deaktiviert.

Option

Beschreibung

Aktivierung der optionalen Indikatoren

Mit Aktivierung der Checkboxen können folgende Indikatoren nach Bedarf aktiviert oder deaktiviert werden:

  • Mean time between stoppages (MTBS)
  • Mean time between failures (MTBF)
  • Mean time to repair (MTTR)
  • Mean time between touch (MTBT)
  • Gesamtmenge
  • Gutmenge
  • Wirkungsgrad der Maschine
  • Effektivausbringung
  • Liefergrad
  • Auslastungsfaktor

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Optionale Indikatoren Bedeutung

Option

Beschreibung

Feld in der Formel

Felder für die Formel. Für diese müssen Bedeutungen gesetzt werden, wenn die Indikatoren verwendet werden sollen.

  • MTBS Zeitzähler
  • MTBS Ereigniszähler
  • MTBF Zeitzähler
  • MTBF Ereigniszähler
  • MTTR Zeitzähler
  • MTTR Ereigniszähler
  • MTBT Zeitzähler
  • MTBT Ereigniszähler
  • Gesamtmenge
  • Gutmenge
  • Effektive Laufzeit
  • Allgemeine Laufzeit
  • Abgefüllte und verschlossene Flaschen
  • Nennausbringung der Maschine
  • Einstellausbringung der Maschine

Bedeutung

Eingabe der Bedeutung für die Adressierung der Variablen für die folgenden Indikatoren. Das Eingabefeld ist nur aktiv, wenn mindestens einer der Indikatoren, der das dem Eingabefeld zugeordnete Feld verwendet, aktiv ist.

Ist eines der Eingabefelder beim Aufschalten des Dialogs leer, wird es mit dem Vorgabewert befüllt.

Feld

Verwendet von

MTBS Zeitzähler

Mean Time Between Stoppage

MTBS Ereigniszähler

Mean Time Between Stoppage

MTBF Zeitzähler

Mean Time Between Failures

MTBF Ereigniszähler

Mean Time Between Failures

MTTR Zeitzähler

Mean Time To Repair

MTTR Ereigniszähler

Mean Time To Repair

MTBT Zeitzähler

Mean Time Between Touches

MTBT Ereigniszähler

Mean Time Between Touches

Gesamtmenge

Total Units

Gutmenge

Good Units

Effektive Laufzeit

Machine Efficiency

Allgemeine Laufzeit

Machine Efficiency, Effective Output und Delivery Efficiency

Abgefüllte und verschlossene Einheiten

Effective Output und Delivery Efficiency

Nennausbringung der Maschine

Delivery Efficiency und Utilisation Factor

Einstellausbringung der Maschine

Utilisation Factor

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Berechnung der optionalen Indikatoren

Die optionalen Indikatoren werden nach diesen Formeln berechnet:

Überprüfung

Option

Beschreibung

Konfiguration überprüfen

Klick auf die Schaltfläche validiert die Eingaben und gibt das Ergebnis im Listenfeld aus.

Bei der Validierung wird geprüft:

  • ob der Report an ein Projekt und/oder ein Anlagenmodell gebunden
  • für welche Anlagengruppen mit den eingegebenen Bedeutungen jeweils genau eine Variable pro aktivem Filter adressiert werden kann

Schaltfläche

Beschreibung

Vorherige

Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)

Nächste

Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)

OK

Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.

Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.

Abbrechen

Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Maschinenstart-Zähler

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Maschinenstart-Zähler

Eigenschaften zur Konfiguration der Report-Einstellung Maschinenstart-Zähler für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Maschinenstart-Zähler | Konfiguration der Bedeutungen für die Zähler. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen. Welche Eigenschaften im Dialog angezeigt und konfiguriert werden können, hängt ab vom Typ der Reportvorlage

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Maschinenstart-Zähler > Zuordnungen konfigurieren

Dialog zur Konfiguration der Zuordnungen für Maschinenstartzähler. Der Dialog besteht aus zwei Registerkarten.

Registerkarte | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Maschinenstart-Zähler > Zuordnungen konfigurieren > Bedeutungen

In dieser Registerkarte konfigurieren Sie die Zuordnungen der Bedeutungen.

Option | Beschreibung
Absolutstarts als Turbine | Eingabe der Bedeutung für den Absolutzähler für Starts als Turbine. Default: TurbineStartAbsolute
Relativstarts als Turbine | Eingabe der Bedeutung für den Relativzähler für Starts als Turbine. Default: TurbineStartRelative
Absolutstarts als Pumpe | Eingabe der Bedeutung für den Absolutzähler für Starts als Pumpe. Default: PumpStartAbsolute
Relativstarts als Pumpe | Eingabe der Bedeutung für den Relativzähler für Starts als Pumpe. Default: PumpStartRelative
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Hinweis: Für alle Eingabefelder gilt:

  • Ist ein Eingabefeld leer, dann wird dieses Eingabefeld farblich gekennzeichnet. Die Schaltfläche OK wird deaktiviert.
  • Würde ein Eingabefeld beim Aufschalten des Dialogs leer bleiben, da die Konfiguration des Reports keinen Inhalt dafür beinhaltet, dann wird dieses mit dem Default-Wert gefüllt.


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Maschinenstart-Zähler > Zuordnungen konfigurieren > Überprüfung

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Option | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Maßeinheit Effizienklassenmodell

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Maßeinheit Effizienklassenmodell

Eigenschaften zur Konfiguration des Wildcard-Filters für die Report-Einstellung Maßeinheit Effizienzklassenmodell für den Report Launcher.

Allgemein

Der konfigurierte Wildcard-Filter wird im Report Launcher für die Filterung auf Namen von Effizienzklassenmodellen vewendet.

Eigenschaft

Beschreibung

Maßeinheit Effizienzklassenmodell

Eingabe des Filters für die Einheit von Effizienzklassenmodellen.
Regeln:

  • Es sind nur Ziffern, Buchstaben und die Wilcards ? und * erlaubt.
  • *: 0 - n beliebige Zeichen.
  • ?: Genau 1 beliebiges Zeichen.
  • Aufeinander folgende * werden zu einem * zusammengefasst.
    Beispiel: te********st wird zu te*st.
  • Enthält die Eingabe keine Wildcard, wird * an das Ende des Begriffs gesetzt. Ist kein Begriff enthalten, wird * gesetzt.
    Beispiel: test wird zu test*.
  • Default: *


Maximalwert

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Maximalwert

Diese Report-Einstellung ermöglicht gemeinsam mit Minimalwert die Konfiguration des unteren und oberen Werts der Daten im Rasterdiagramm. Das sind die Datenwerte, zwischen denen der Farbverlauf aufgespannt wird. Die Eingabe für den Maximalwert erfolgt über die Eigenschaft Defaultwert.

Eigenschaften Minimalwert

Konfiguration des Minimalwerts für den Farbverlauf.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Defaultwert

Eingabe eines Gleitkommazahlenwerts für den Minimalwert des Farbverlaufs.

Default: 100,00

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Minimalwert

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Minimalwert

Diese Report-Einstellung ermöglicht gemeinsam mit Maximalwert die Konfiguration des unteren und oberen Werts der Daten im Rasterdiagramm. Das sind die Datenwerte, zwischen denen der Farbverlauf aufgespannt wird. Die Eingabe für den Minimalwert erfolgt über die Eigenschaft Defaultwert.

Eigenschaften Minimalwert

Konfiguration des Minimalwerts für den Farbverlauf.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Defaultwert

Eingabe eines Gleitkommazahlenwerts für den Minimalwert des Farbverlaufs.

Default: 0,00

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Obere Grenze

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Obere Grenze

Diese Report-Einstellung definiert die Obergrenze für die Berechnung von Grenzwertverletzungen.

Eigenschaften

Eingabe der Obergrenze.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Obergrenze im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Defaultwert

Eingabe einer Gleitkommazahl für die Obergrenze bei der Berechnung von Grenzwertverletzungen.

Default: 100,000000

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


OEE-Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > OEE-Bedeutungen

Konfiguration der OEE-Bedeutungen für die Darstellung im Report Launcher.
Bei jeder Änderung der Projektauswahl werden die Archive zurückgesetzt und die Einstellung muss erneut konfiguriert werden.

Eigenschaften OEE-Bedeutungen

Allgemein

Konfiguration der Bedeutungen, die im Report Launcher angeboten werden

Eigenschaft | Beschreibung
OEE-Bedeutungen | Konfiguration der Bedeutungen. Klick auf Schaltfläche ... öffnet Dialog zur Konfiguration.

Noch in diesem Kapitel

Bedeutung für OEE Berechnung


Bedeutung für OEE Berechnung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > OEE-Bedeutungen > Bedeutung für OEE Berechnung

Dialog zur Zuordnung der Projekte, Archive und Variablen:

Option

Beschreibung

Projekt

Auswahl eines Projekts aus Dropdownliste.

Abhängig vom Projekt sind die entsprechenden Archive verfügbar.

Grundlegende Berechnungsvariablen

Konfiguration der Variablen für die OEE-Berechnung.

Archiv für grundlegende Berechnungsvariablen

Auswahl eines nicht zyklischen Archivs.

Bedeutung für geplante Produktionszeit

Zuordnung der Variablen für die geplante Produktionszeit.

Default: EffectiveWorkingTime

Bedeutung für tatsächliche Produktionszeit

Zuordnung der Variablen für die tatsächliche Produktionszeit.

Default: OperatingTime

Bedeutung Konstruktionsgeschwindigkeit

Zuordnung der Variablen für die geplante Anlagengeschwindigkeit.

Default: DesignedSpeed

Zählervariablen

Konfiguration der Zählervariablen.

Archiv für Zählervariablen

Auswahl eines zyklischen Archivs.

Bedeutung Gesamtmengenzähler

Zuordnung der Variablen für die Gesamtproduktionsmenge.

Default: TotalUnits

Bedeutung Gutmengenzähler

Zuordnung der Variablen für die Gutproduktionsmenge.

Default: GoodUnits

Default-Zuordnungen und -Archive setzen

Klick auf Schaltfläche trägt die Standardkonfiguration für Zuordnungen und Archive ein.

Überprüfung

Validierung der eingegebenen Konfiguration

Konfiguration überprüfen

Klick auf Schaltfläche überprüft:

  • Sind alle Eingabefelder besetzt?
  • Für wie viele und welche Anlagenmodelle kann mit der gegebenen Konfiguration die OEE Kennzahlenberechnung durchgeführt werden?

Das Ergebnis der Überprüfung wird im Ausgabefeld angezeigt.

OK

Übernimmt alle Eingaben und schließt Dialog.

Abbrechen

Verwirft alle Eingaben und schließt Dialog.

Hinweis: OEE-Berechnungen benötigen entsprechende Konfiguration im zenon.


Predictive Analytics

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics

Eigenschaften für Predictive Analytics Reports:

  • Anzahl der Prognosewerte: Legt fest, wie oft Datenpunkte auf der X-Achse für die Kurve des Vorhersagemodells berechnet werden.
  • Bezeichnung Komprimierung: Setzt die Beschriftungen für die Komprimierung im Report Launcher.
  • Bezeichnung Zykluszeit: Setzt die Beschriftungen für die Zykluszeiten im Report Launcher.
  • Default Modellname: Festlegung Anzeigenamen für den Modellnamen im Report Launcher.
  • Endwert Prognose: Legt den Wert auf der Y-Achse fest, bis zu dem die Kurve für das Vorhersagemodell gezeichnet wird.
  • Prognosekurve-Name: Setzt den Anzeigenamen für die für die Kurve des Vorhersagemodells.
  • Prognosemodell: Einstellung für die Auswahl der passenden zeitbasierten Prognosemodelle im Report Launcher.
  • Startwert Prognose: Legt den Wert auf der X-Achse fest, ab dem die Kurve für das Vorhersagemodell gezeichnet wird.
  • Variablen: Legt Eigenschaften für die Anzeige und Auswahl aller Variablen pro ausgewähltem Projekt im Report Launcher fest.
  • Zykluszeit: Ermöglicht die Auswahl der gewünschten Zykluszeit im Report Launcher oder direkt im ZAMS.

Noch in diesem Kapitel

Anzahl der Prognosewerte

Bezeichnung Komprimierung

Bezeichnung Zykluszeit

Default Modellname

Endwert Prognose

Prognosekurve-Name

Prognosemodell

Startwert Prognose

Variablen

Zykluszeit


Anzahl der Prognosewerte

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Anzahl der Prognosewerte

Diese Report-Einstellung legt fest, wie oft Datenpunkte auf der X-Achse für die Kurve des Vorhersagemodells berechnet werden. Über diese Datenpunkte wird die Kurve gezeichnet. Je mehr Werte vorhanden sind, umso genauer wird die Kurve gezeichnet. Eingabe im Report Launcher oder im ZAMS als Direktwert.

Eigenschaften

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Anzahl der Prognosewerte.

Eigenschaft | Beschreibung
Parametername | Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden. Maximale Länge: 199 Zeichen
Anzeigename im Report | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.
Direkten Wert verwenden | Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden. Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.
Direkter Wert | Konfiguration des direkten Werts. Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Bezeichnung Komprimierung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Bezeichnung Komprimierung

Diese Report-Einstellung setzt die Beschriftungen für die Komprimierung im Report Launcher.

Eigenschaften

Allgemein

Setzen der Default-Namen für die Komprimierung über die Sprachtabelle.

Eigenschaft | Beschreibung
Summe | Default-Name für Summe.
Durchschnitt | Default-Name für Durchschnitt.
Minimum | Default-Name für Minimum.
Maximum | Default-Name für Maximum.
Rohdaten | Default-Name für Rohdaten.


Bezeichnung Zykluszeit

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Bezeichnung Zykluszeit

Diese Report-Einstellung setzt die Beschriftungen für die Zykluszeiten im Report Launcher.

Eigenschaften

Allgemein

Setzen der Default-Namen für die Zykluszeit über die Sprachtabelle.

Eigenschaft | Beschreibung
Spontan | Default-Name für Spontan.
Jahr | Default-Name für Jahr.
Monat | Default-Name für Monat.
Sekunden | Default-Name für Sekunden.


Default Modellname

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Default Modellname

Diese Report-Einstellung setzt den Anzeigenamen für die Default-Modelle im Report Launcher.

Eigenschaften

Allgemein

Setzen des Default-Namens über die Sprachtabelle.

Eigenschaft | Beschreibung
Default Name | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.


Endwert Prognose

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Endwert Prognose

Diese Report-Einstellung legt den Wert auf der X-Achse fest, bis zu dem die Kurve für das Vorhersagemodell gezeichnet wird. Eingabe im Report Launcher oder im ZAMS als Direktwert.

Eigenschaften

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Werte auf der Y-Achse.

Eigenschaft | Beschreibung
Parametername | Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden. Maximale Länge: 199 Zeichen
Anzeigename im Report | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.
Direkten Wert verwenden | Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden. Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.
Direkter Wert | Konfiguration des direkten Werts. Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Prognosekurve-Name

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Prognosekurve-Name

Diese Report-Einstellung setzt den Anzeigenamen für die für die Kurve des Vorhersagemodells im Report Launcher. Bei der Anzeige wird der Name des Anlagenmodells als Präfix vorangestellt und mit einem Bindestrich getrennt.

Eigenschaften

Allgemein

Setzen des Default-Namens über die Sprachtabelle.

Eigenschaft | Beschreibung
Kurvenname | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.


Prognosemodell

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Prognosemodell

Diese Report-Einstellung ermöglicht die Auswahl der passenden zeitbasierten Prognosemodelle im Report Launcher.

Eigenschaften

Allgemein

Setzen des Default-Namens über die Sprachtabelle.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Obergrenze im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Startwert Prognose

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Startwert Prognose

Diese Report-Einstellung legt den Wert auf der X-Achse fest, ab dem die Kurve für das Vorhersagemodell gezeichnet wird. Eingabe im Report Launcher oder im ZAMS als Direktwert.

Eigenschaften

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Werte auf der X-Achse.

Eigenschaft | Beschreibung
Parametername | Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden. Maximale Länge: 199 Zeichen
Anzeigename im Report | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.
Direkten Wert verwenden | Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden. Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.
Direkter Wert | Konfiguration des direkten Werts. Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Variablen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Variablen

Legt Eigenschaften für die Anzeige und Auswahl aller Variablen pro ausgewähltem Projekt im Report Launcher fest.

Eigenschaften

Konfiguration, wie Variablen im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen der Reportparameter.

Eigenschaft | Beschreibung
Parametername | Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden. Maximale Länge: 199 Zeichen
Anzeigename im Report | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.
Direkten Wert verwenden | Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden. Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.
Direkter Wert | Konfiguration des direkten Werts. Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Zykluszeit

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Predictive Analytics > Zykluszeit

Diese Report-Einstellung ermöglicht die Auswahl der gewünschten Zykluszeit im Report Launcher oder direkt im ZAMS.

Eigenschaften

Allgemein

Setzen des Default-Namens über die Sprachtabelle.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Zykluszeit im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Produktionszählerkonfiguration

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Produktionszählerkonfiguration

Eigenschaften zur Produktionszählerkonfiguration.

Eigenschaften Produktionszählerkonfiguration

Allgemein

Ermöglicht die Konfiguration des Produktionszählers.

Eigenschaft | Beschreibung
Produktionszählerkonfiguration | Klick auf Schaltfläche öffnet den Dialog zur Konfiguration des Produktionszählers.

Noch in diesem Kapitel

Dialog Produktionszählerkonfiguration


Dialog Produktionszählerkonfiguration

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Produktionszählerkonfiguration > Dialog Produktionszählerkonfiguration

Optionen zur Konfiguration des Produktionszählers.

Allgemein

Auswahl von Projekt und Anlagenmodell für den Gesamtproduktionszähler.

Option | Beschreibung
Projekt | Auswahl des Projekts aus Dropdownliste. Deaktiviert, wenn der Report an ein Projekt gebunden ist.

Anlagengruppe

Option | Beschreibung
Anlagengruppe | Auswahl des Anlagenmodells.

Produktionszählervariable

Option

Beschreibung

Produktionszählervariable

Einstellungen für Bedeutung, Archive und Verdichtungsfunktion.

Bedeutung Gesamtmengenzähler

Eingabe der Bedeutung für die Zählervariable für die Gesamtzahl.

Default: TotalUnits

Default-Konfiguration setzen

Setzt die Werte automatisch:

  • Bedeutung: TotalUnits
  • Archiv: Kurzbezeichnung C1, sofern im Projekt vorhanden
  • Verdichtungsfunktion: Rohwert

Überprüfung

Option | Beschreibung
Konfiguration überprüfen | Startet Validierung der Konfiguration. Ergebnisse werden im Listenfeld angezeigt.
Listenfeld | Zeigt Ergebnisse der Validierung an.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Projekt

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Projekt

Eigenschaften der Projekt-Einstellung Projekt für den Report Launcher.

Projektfilter

Konfiguration, wie Projekte im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen der Reportparameter.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Projektauswahl

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Projektauswahl

Eigenschaften für die direkte Projektauswahl der Projekt-Einstellung Projektauswahl.

Projektauswahl

Konfiguration der Projektauswahl im Report Launcher.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Projektauswahl | Auswahl eines Projekts aus Dropdownliste. Die angebotenen Projekte werden aus den Metadaten gelesen. Darf nicht leer sein.
Anzeigename im Report | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.


Prozessfähigkeit

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Prozessfähigkeit

Eigenschaften zur Konfiguration der Prozessfähigkeit. Es werden die Parameter und Spezifikation für die Berechnung der CP- Werte (CP, CPO, CPU und CPK) festgelegt.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Werte für obere Toleranzgrenze | Eingabe des Wertes für die obere Spezifikationsgrenze.
Werte für untere Toleranzgrenze | Eingabe des Wertes für die untere Spezifikationsgrenz. Dieser Wert muss kleiner als der Wert für Werte für obere Toleranzgrenze sein.
Werte für CP | Eingabe des Zielwerts für den CP-Index. Default: 1,33
Werte für CPK | Eingabe des Zielwerts für den CPK-Index. Default: 1,33
Farbe für OK | Auswahl der Farbe für die Darstellung eines positiven Ergebnisses für den Zielwert. Klick auf Pfeil öffnet den Dialog zur Farbauswahl. Bedingung: Istwert > Zielwert Default: Grün
Farbe für nicht OK | Auswahl der Farbe für die Darstellung eines negativen Ergebnisses für den Zielwert. Klick auf Pfeil öffnet den Dialog zur Farbauswahl. Bedingung: Istwert <= Zielwert Default: Rot


Intervall für Prozessfähigkeit

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Intervall für Prozessfähigkeit

Eigenschaften zur Konfiguration der Parameter-Einstellung Intervall für Prozessfähigkeit. Diese kann im Report Launcher konfiguriert oder im ZAMS über Direkten Wert verwenden voreingestellt werden.

Es stehen zwei Filtertypen zur Verfügung:

  • Stichprobengröße: Der Intervall wird durch die Größe der Stichprobe definiert.
  • Zeitintervall: Der Intervall wird über eine Zeitspanne definiert.

Stichprobengröße

Allgemein

Auswahl des Intervalltyps und der Stichproben.

Eigenschaft

Beschreibung

Unvollständige Stichproben ignorieren

Auswahl, wie mit unvollständigen Stichproben umgegangen wird.

  • Aktiv: Unvollständige Stichproben werden ignoriert. Nur vollständige Stichproben werden ausgewertet.
  • Inaktiv: Jede Stichprobe wird ausgewertet.

Default: aktiv

Intervalltyp

Auswahl des Intervalltyps aus Dropdownliste:

  • Stichprobengröße
  • Zeitintervall

Intervall für Prozessfähigkeit

Eigenschaften für Stichprobengröße.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.

Zeitintervall

Allgemein

Auswahl des Intervalltyps und der Stichproben.

Eigenschaft

Beschreibung

Unvollständige Stichproben ignorieren

Auswahl, wie mit unvollständigen Stichproben umgegangen wird.

  • Aktiv: Unvollständige Stichproben werden ignoriert. Nur vollständige Stichproben werden ausgewertet.
  • Inaktiv: Jede Stichprobe wird ausgewertet.

Default: aktiv

Intervalltyp

Auswahl des Intervalltyps aus Dropdownliste:

  • Stichprobengröße
  • Zeitintervall

Intervall für Prozessfähigkeit

Eigenschaften für Zeitintervall.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste: Entspricht der Reihenfolge im Dataset.
  • Umgekehrte verfügbare Werteliste: Umgekehrte Reihenfolge des Datasets.

Default: Gleich wie verfügbare Werteliste

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

Maximale Länge: 199 Zeichen

Verfügbare Werte

Zeigt die Anzahl der Werte, die im Report Launcher zur Verfügung stehen, an.
Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.
Verfügbar:

  • Keine Verdichtung
    (Verfügbarkeit abhängig von Dataset)
  • 1 Minute
  • 15 Minuten
  • 30 Minuten
  • 1 Stunde
  • 2 Stunden
  • 6 Stunden
  • 12 Stunden
  • 1 Tag
  • 1 Woche
  • 1 Monat
  • 1 Quartal
  • 1 Jahr

Default: Alle Werte vorausgewählt.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Rückblickzeit

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Rückblickzeit

Auswahl einer Rückblickzeit für iteratives Holen von Daten.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Rückblickzeit

Konfiguration der Eigenschaften für die Rückblickzeit.

Quantität

Numerische Eingabe für die Anzahl der Intervalle. Eingabe auch über die Pfeiltasten des Spincontrols möglich.

Wert darf nicht negativ sein.

Default: 0

Granularität

Auswahl der Granularität des Intervalls:

  • Minute
  • Stunde
  • Tag

Default: Tag

Rückblick bis

Zeitpunkt, bis zu dem rückblickend Daten geholt werden.


Sankey-Diagramm Auswahl

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Sankey-Diagramm Auswahl

Eigenschaften für die Auswahl eines Diagramms aus den verfügbaren Sankey-Diagrammen im Report Launcher.

Eigenschaften Sankey-Diagramm Auswahl

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Reportparameter

Eigenschaften zur Konfiguration Einstellung für den Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Schaltspiel Schaltanlage und Schaltspiel Leistungsschalter

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schaltspiel Schaltanlage und Schaltspiel Leistungsschalter

Eigenschaften zur Konfiguration der Report-Einstellung Schaltspiel Schaltanlage oder Schaltspiel Leistungsschalter für den Report Launcher.

Beide Report-Einstellungen werden über den gleichen Dialog konfiguriert. Der Unterschied besteht in der Auswertung.

Eigenschaften Schaltspiel Schaltanlage

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Schaltspiel Schaltanlage | Konfiguration von Bedeutungen und Modus der zu verwendenden Daten. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.

Eigenschaften Schaltspiel Leistungsschalter

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Schaltspiel Lesitungsschalter | Konfiguration von Bedeutungen und Modus der zu verwendenden Daten. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schaltspiel Schaltanlage und Schaltspiel Leistungsschalter > Zuordnungen konfigurieren

Dialog zur Konfiguration der Zuordnungen für Schaltspiele . Der Dialog besteht aus zwei Registerkarten.

Registerkarte | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schaltspiel Schaltanlage und Schaltspiel Leistungsschalter > Zuordnungen konfigurieren > Bedeutungen

In dieser Registerkarte konfigurieren Sie die Zuordnungen der Bedeutungen.

Option | Beschreibung
Relativer Schaltspielzähler | Eingabe der Bedeutung für den relativen Schaltereigniszähler.
Leistungsschalter Inspektionsereignis | Eingabe der Bedeutung für die Leistungsschalter-Inspektion-Ereignis-Variable.
Leistungsschalter Austauschereignis | Eingabe der Bedeutung für die Leistungsschalter-Austausch-Ereignis-Variable.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schaltspiel Schaltanlage und Schaltspiel Leistungsschalter > Zuordnungen konfigurieren > Überprüfung

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Option | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Schichtunterbrechungs-Bereinigung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schichtunterbrechungs-Bereinigung

Eigenschaften zur Konfiguration der Bereinigung von Schichtunterbrechungen. Sie ermöglichen die Zuordnung einer Anlagengruppe zu Schichten.

Eigenschaften Schichtunterbrechungs-Bereinigung

Konfiguration der Eigenschaften, die für die Bereinigung von Schichtunterbrechungen herangezogen werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Bereinigung aktivieren

Aktivierung der Bereinigung für Schichtunterbrechungen über Checkbox.

  • Aktiv: Schichtunterbrechungen werden bereinigt. Konfiguration über Verknüpfte Anlagengruppe und Connector.

Default: inaktiv

Verknüpfte Anlagengruppe

Auswahl der Anlagengruppe, für welche je Projekt die Schichtdaten geholt werden sollen.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Anlagengruppe.

Connector

Auswahl des Connectors aus Dropdownliste, über den die Schichtdaten geholt werden sollen.

Dialog Auswahl Anlagengruppe

Auswahl einer Anlagengruppe.

Option | Beschreibung
Liste der verfügbaren Anlagengruppen | Auswahl einer Anlagengruppe aus der Liste.
OK | Übernimmt Auswahl und schließt Dialog.
Abbrechen | Verwirft alle Eingaben und schließt Dialog.


Schlüsselwörter

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter

Schlüsselwörter für die Anzeige von Einstellungen und Meldungen im Report Launcher werden über unterschiedliche Report-Einstellungen konfiguriert:

Noch in diesem Kapitel

Schlüsselwörter bei nicht verfügbaren Daten

Schlüsselwörter Betriebsmodus-Ereignisse

Schlüsselwörter Betriebsstunden

Schlüsselwörter Betriebsstunden pro Modus

Schlüsselwörter Düsenmodus-Ereignisse

Schlüsselwörter Ein- Ausschaltungen

Schlüsselwörter Komponententausch und -wartung

Schlüsselwörter Lastabwurf Turbinengeschwindigkeit

Schlüsselwörter Lastabwurf Wirkleistung

Schlüsselwörter Maschinenstarts

Schlüsselwörter Relativzähler

Schlüsselwörter Verluste

Schlüsselwörter Windrichtung

Schlüsselwörter Wirk- und Blindleistung


Schlüsselwörter bei nicht verfügbaren Daten

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter bei nicht verfügbaren Daten

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter bei nicht verfügbaren Daten für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Keine Daten verfügbar | Auswahl des Schlüsselwortes für den Hinweis, dass keine Daten verfügbar sind. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.


Schlüsselwörter Betriebsmodus-Ereignisse

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Betriebsmodus-Ereignisse

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Betriebsmodus-Ereignisse für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Alle Betriebsmodi | Auswahl des Schlüsselwortes für alle Betriebsmodi. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Alle Betriebsmodi
Sollwertänderungen | Auswahl des Schlüsselwortes für Sollwertänderungen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Sollwertänderung


Schlüsselwörter Betriebsstunden

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Betriebsstunden

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Betriebsstunden für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Absolute Betriebszeit | Auswahl des Schlüsselwortes für absolute Betriebszeit. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.
Relative Betriebszeit | Auswahl des Schlüsselwortes für relative Betriebszeit. den Hinweis, dass keine Daten verfügbar sind. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.
Betriebsmodus | Auswahl des Schlüsselwortes für den Betriebsmodus. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.


Schlüsselwörter Betriebsstunden pro Modus

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Betriebsstunden pro Modus

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Betriebsstunden pro Modus für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Betriebszeit | Auswahl des Schlüsselwortes für die Betriebszeit. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.
Betriebsmodus | Auswahl des Schlüsselwortes für den Betriebsmodus. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.
Frequenzregelung | Auswahl des Schlüsselwortes für Frequenzregelung. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.


Schlüsselwörter Düsenmodus-Ereignisse

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Düsenmodus-Ereignisse

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Düsenmodus-Ereignisse für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Düsenmodus | Auswahl des Schlüsselwortes für den Düsenmodus. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Düsenmodus


Schlüsselwörter Ein- Ausschaltungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Ein- Ausschaltungen

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Ein- Ausschaltungen für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Maschine eingeschaltet | Auswahl des Schlüsselwortes für Maschine eingeschaltet. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Ein
Maschine ausgeschaltet | Auswahl des Schlüsselwortes für Maschine ausgeschaltet. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Aus


Schlüsselwörter Komponententausch und -wartung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Komponententausch und -wartung

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Komponententausch und -wartung für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Seit Komponententausch | Auswahl des Schlüsselwortes für den Zeitraum seit dem letzten Komponententausch. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Seit Austausch
Seit Wartung | Auswahl des Schlüsselwortes für den Zeitraum seit der letzten Wartung. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Seit Inspektion


Schlüsselwörter Lastabwurf Turbinengeschwindigkeit

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Lastabwurf Turbinengeschwindigkeit

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Lastabwurf Turbinengeschwindigkeit für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Turbinengeschwindigkeit bei Lastabwurf | Auswahl des Schlüsselwortes für die Turbinengeschwindigkeit bei Lastabwurf. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Turbinengeschwindigkeit


Schlüsselwörter Lastabwurf Wirkleistung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Lastabwurf Wirkleistung

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Lastabwurf Wirkleistung für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Wirkleistung bei Lastabwurf | Auswahl des Schlüsselwortes für die Wirkleistung bei Lastabwurf. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Lastabwurf - Wirkleistung


Schlüsselwörter Maschinenstarts

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Maschinenstarts

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Maschinenstarts für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Absolutstarts als Turbine | Auswahl des Schlüsselwortes für Absolutstarts als Turbine. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Absolutstarts als Turbine
Relativstarts als Turbine | Auswahl des Schlüsselwortes für Relativstarts als Turbine. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Relativstarts als Turbine
Absolutstarts als Pumpe | Auswahl des Schlüsselwortes für Absolutstarts als Pumpe. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Absolutstarts als Pumpe
Relativstarts als Pumpe | Auswahl des Schlüsselwortes für Relativstarts als Pumpe. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Relativstarts als Pumpe


Schlüsselwörter Relativzähler

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Relativzähler

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Relativzähler für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Relativzähler | Auswahl des Schlüsselwortes für Relativzähler. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.


Schlüsselwörter Verluste

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Verluste

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Verluste für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Unbekannter Verlust | Auswahl des Schlüsselwortes für den Knoten für unbekannte Verluste aus der Sprachtabelle. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl
Undefinierter Eingang | Auswahl des Schlüsselwortes für den Knoten für undefinierte Eingänge aus der Sprachtabelle. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl


Schlüsselwörter Windrichtung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Windrichtung

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Windrichtung für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Schlüsselwort für Norden | Auswahl des Schlüsselwortes aus der Sprachtabelle. Klick auf Schaltfläche ... öffnet die Sprachtabelle zur Verwaltung und Auswahl der Schlüsselwörter.
Schlüsselwort für Osten | Auswahl des Schlüsselwortes aus der Sprachtabelle. Klick auf Schaltfläche ... öffnet die Sprachtabelle zur Verwaltung und Auswahl der Schlüsselwörter.
Schlüsselwort für Süden | Auswahl des Schlüsselwortes aus der Sprachtabelle. Klick auf Schaltfläche ... öffnet die Sprachtabelle zur Verwaltung und Auswahl der Schlüsselwörter.
Schlüsselwort für Westen | Auswahl des Schlüsselwortes aus der Sprachtabelle. Klick auf Schaltfläche ... öffnet die Sprachtabelle zur Verwaltung und Auswahl der Schlüsselwörter.


Schlüsselwörter Wirk- und Blindleistung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Schlüsselwörter > Schlüsselwörter Wirk- und Blindleistung

Eigenschaften zur Konfiguration der Report-Einstellung Schlüsselwörter Wirk- und Blindleistung für den Report Launcher.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Wirkleistung Turbinenmodus | Auswahl des Schlüsselwortes für Wirkleistung Turbinenmodus. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Wirkleistung Produktion
Wirkleistung Pumpmodus | Auswahl des Schlüsselwortes für Wirkleistung Pumpmodus. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Wirkleistung Verbrauch
Blindleistung Turbinenmodus | Auswahl des Schlüsselwortes für Blindleistung Turbinenmodus. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Blindleistung Produktion
Blindleistung Pumpmodus | Auswahl des Schlüsselwortes für Blindleistung Pumpmodus. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl. Default: Blindleistung Verbrauch


Sortierung Effizienzklassen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Sortierung Effizienzklassen

Eigenschaften zur Konfiguration der Report-Einstellung Sortierung Effizienzklassen für den Report Launcher.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Verfügbare Werte

Verfügbare Werte. Nur Konfiguration der Sprachtabelle möglich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl der Schlüsselwörter.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Soll-Ist Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Soll-Ist Bedeutungen

Konfiguration und Anzeige der Report Einstellung Soll-Ist Bedeutungen.
Diese Eigenschaft muss konfiguriert werden.

Eigenschaften

Soll-Ist-Bedeutungen

Option | Beschreibung
Bedeutungen | Klick auf die Schaltfläche ... öffnet den Dialog zur Konfigurationen von Bedeutungen.

Noch in diesem Kapitel

Dialog Konfiguration des Soll-Ist-Vergleichs


Dialog Konfiguration des Soll-Ist-Vergleichs

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Soll-Ist Bedeutungen > Dialog Konfiguration des Soll-Ist-Vergleichs

Konfiguration der Bedeutungen für die Variablen für Istwert und Sollwert.

Konfiguration des Soll-Ist-Vergleichs

Parameter | Beschreibung
Bedeutung für Sollwertvariable | Bedeutung für Variable des Sollwerts. Default: TargetValues
Bedeutung für Istwertvariable | Bedeutung für Variable des Istwerts. Default: ActualValues
Konfiguration überprüfen | Klick auf Schaltfläche überprüft die konfigurierten Bedeutungen und gibt Ergebnis im Fenster aus.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Standard

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Standard

Eigenschaften zur Konfiguration der Standardauswahl aus den Standards der übergebenen Variablen. Es kann immer nur ein Standard gewählt werden.

Eigenschaften Standard

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen für die Anzeige und Konfiguration des Standards im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Streudiagramm Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Streudiagramm Bedeutungen

Konfiguration und Anzeige der Report Einstellung Streudiagramm Bedeutungen.
Diese Eigenschaft muss konfiguriert werden.

Eigenschaften

Streudiagramm Bedeutungen

Option | Beschreibung
Bedeutungen | Klick auf die Schaltfläche ... öffnet den Dialog zur Konfigurationen der Bedeutungen.

Noch in diesem Kapitel

Dialog Konfiguration Streudiagramm


Dialog Konfiguration Streudiagramm

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Streudiagramm Bedeutungen > Dialog Konfiguration Streudiagramm

Konfiguration der Bedeutungen für die Variablen für Istwert und Sollwert.

Konfiguration Streudiagramm

Parameter | Beschreibung
Bedeutung für Indikatorvariablen der X-Achse | Bedeutung für Variablen der X-Achse. Default: HorizontalIndicator
Bedeutung für Indikatorvariablen der Y-Achse | Bedeutung für Variablen der Y-Achse. Default: VerticalIndicator
Konfiguration überprüfen | Klick auf Schaltfläche überprüft die konfigurierten Bedeutungen und gibt Ergebnis im Fenster aus.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Toleranz

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Toleranz

Konfiguration der Abweichungstoleranz für die Verlusterkennung bei Sankey-Diagrammen.

Eigenschaften Toleranz

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Toleranz für Verlusterkennung

Eingabe eines numerischen Werts für die Toleranz oder Konfiguration über Pfeiltasten.

  • Minimum: 0
  • Maximum 1000

Default: 100


Turbinengeschwindigkeits-Sekunden

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Turbinengeschwindigkeits-Sekunden

Konfiguration der Vorschauzeit für die Turbinendrehzahl bei Lastabwürfen.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Turbinengeschwindigkeit Vorschausekunden

Eingabe eines numerischen Werts für die Vorschausekunden oder Konfiguration über Pfeiltasten.

  • Minimum: 1
  • Maximum 100

Default: 10


Top N Berechnung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Top N Berechnung

Diese Report-Einstellung legt fest, wie die Top N berechnet werden.

Eigenschaften Top N Berechnung

Allgemein

Konfiguration, wie Top N berechnet wird.

Eigenschaft

Beschreibung

Top N Berechnung

Auswahl der Sortierung für die Bestimmung der Top N Alarme aus Dropdownliste:

  • Alarmzeit netto
  • Alarmzeit brutto
  • Alarmanzahl


Untere Grenze

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Untere Grenze

Diese Report-Einstellung definiert die Untergrenze für die Berechnung von Grenzwertverletzungen.

Eigenschaften

Eingabe der Untergrenze.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Untergrenze im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Defaultwert

Eingabe einer Gleitkommazahl für die Untergrenze bei der Berechnung von Grenzwertverletzungen.

Default: 1,000000

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Variable basierend auf Archiv oder Anlagengruppe

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Variable basierend auf Archiv oder Anlagengruppe

Eigenschaften zur Konfiguration des Filtertyps für die Report-Einstellung Variable basierend auf Archiv oder Anlagengruppe.

Mit diesem Filter wird ausgewählt, ob der Variablenfilter auf Archiven oder Anlagengruppen basiert. Je nach Auswahl werden die entsprechenden abhängigen Report-Einstellungen aktiviert und deaktiviert.

Dieser Filter steht, abhängig von der Reportvorlage, in zwei Ausprägungen zur Verfügung:

  • Einfachauswahl
  • Mehrfachauswahl

Einfachauswahl

Allgemein

Legt fest, ob Variablen aus Anlagengruppen oder Variablen aus Archiven verwendet werden.

Eigenschaft

Beschreibung

Variablenfiltertyp

Auswahl des Filtertyps für die Variablen aus Dropdownliste:

  • Variablen (von Archiven):
    Es werden die Report-Einstellungen Anlagenmodelle und Anlagengruppe verwendet.
    Die Report-EinstellungArchive (von Projekten) wird deaktiviert.
  • Variablen (von Anlagengruppen):
    Es wird die Report-Einstellung Archive (von Projekten) verwendet.
    Die Report-Einstellungen Anlagenmodelle und Anlagengruppe werden deaktiviert.

Variablenfilter

Einstellungen für die Anzeige und Konfiguration der Variablen im Report Launcher.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.

Mehrfachauswahl

Allgemein

Legt fest, ob Variablen aus Anlagengruppen oder Variablen aus Archiven verwendet werden.

Eigenschaft

Beschreibung

Variablenfiltertyp

Auswahl des Filtertyps für die Variablen aus Dropdownliste:

  • Variablen (von Archiven):
    Es werden die Report-Einstellungen Anlagenmodelle und Anlagengruppe verwendet.
    Die Report-EinstellungArchive (von Projekten) wird deaktiviert.
  • Variablen (von Anlagengruppen):
    Es wird die Report-Einstellung Archive (von Projekten) verwendet.
    Die Report-Einstellungen Anlagenmodelle und Anlagengruppe werden deaktiviert.

Variablenfilter

Einstellungen für die Anzeige und Konfiguration der Variablen im Report Launcher.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Filtername

Eingabe des Filternamens.
Für den Namen gilt:

  • Darf nicht leer bleiben.
  • Darf nicht identisch mit dem Namen eines anderen Datenfilters sein.

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Variablen (von Anlagengruppen)

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Variablen (von Anlagengruppen)

Eigenschaften zur Konfiguration der Projekt-Einstellung Variablen (von Anlagengruppen) für den Report Launcher.

Variablen (von Anlagengruppen)

Konfiguration, wie Variablen im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen der Reportparameter.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Variablen (von Archiven)

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Variablen (von Archiven)

Eigenschaften zur Konfiguration der Projekt-Einstellung Variablen (von Archiven) für den Report Launcher.

Eigenschaften Variablen (von Archiven)

Konfiguration, wie Variablen im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen der Reportparameter.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Variable für X (von Archiv)

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Variable für X (von Archiv)

Eigenschaften zur Konfiguration der Projekt-Einstellung Variable für X (von Archiv) für den Report Launcher.

Eigenschaften

Konfiguration, wie Variablen im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen der Reportparameter.

Eigenschaft | Beschreibung
Parametername | Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden. Maximale Länge: 199 Zeichen
Anzeigename im Report | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.
Direkten Wert verwenden | Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden. Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.
Direkter Wert | Konfiguration des direkten Werts. Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Variable für Y (von Archiv)

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Variable für Y (von Archiv)

Eigenschaften zur Konfiguration der Projekt-Einstellung Variable für Y (von Archiv) für den Report Launcher.

Eigenschaften

Konfiguration, wie Variablen im Report Launcher zur Auswahl angeboten werden.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen der Reportparameter.

Eigenschaft | Beschreibung
Parametername | Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden. Maximale Länge: 199 Zeichen
Anzeigename im Report | Name, wie er im Report Launcher angezeigt wird. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.
Direkten Wert verwenden | Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden. Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.
Direkter Wert | Konfiguration des direkten Werts. Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Variablenfilter

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Variablenfilter

Eigenschaften zur Konfiguration des Wildcard-Filters für die Report-Einstellung Variablenfilter für den Report Launcher.

Eigenschaften Variablenfilter

Allgemein

Legt fest, ob die Einheit des Effizienzklassenmodells als Einheit-Filter für das Finden von Variablen verwendet werden soll.

Eigenschaft

Beschreibung

Filter nach Effizienzklassenmodell-Maßeinheit

Einstellung, ob nach Effizienzklassenmodell-Maßeinheiten gefiltert werden soll.

  • Aktiv: Die Variablenliste wird auf Basis der Einheit des Effizienzklassenmodells gefiltert.

Default: inaktiv


Variablen mit Maßeinheit-Filter (von Archiven)

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Variablen mit Maßeinheit-Filter (von Archiven)

Eigenschaften zur Konfiguration der Projekt-Einstellung Variablen mit Maßeinheit-Filter (von Archiven) für den Report Launcher.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen der Reportparameter.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Mehrfachauswahl

Auswahl, ob der Report-Parameter im Report Launcher die Auswahl mehrerer Werte zulässt.

  • Aktiv: Es werden mehrere Werte akzeptiert.
  • Inaktiv: Es wird nur ein Wert akzeptiert.
    Hinweis: Wird von aktiv auf inaktiv gewechselt, dann wird die Konfiguration jener Direktwerte zurückgesetzt, die mehr als einen Wert enthalten.

Nur verfügbar, wenn grundsätzlich mehrere Werte möglich sind.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Verbrauchsintervall

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Verbrauchsintervall

Eigenschaften zur Konfiguration der Anzeige des Verbrauchsintervalls im Report Launcher.

Eigenschaften

Allgemein

Konfiguration der Sortierreihenfolge.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste: Entspricht der Reihenfolge im Dataset.
  • Umgekehrte verfügbare Werteliste: Umgekehrte Reihenfolge des Datasets.

Default: Gleich wie verfügbare Werteliste

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Verdichtungsfunktion

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Verdichtungsfunktion

Eigenschaften zur Konfiguration der Projekt-Einstellung Verdichtungsfunktion für den Report Launcher.

Verdichtungsfunktion

Konfiguration der Verdichtungsfunktion.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Verfügbare Werte

Zeigt die Anzahl der Werte, die im Report Launcher zur Verfügung stehen, an.
Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.
Verfügbar:

  • Summe
  • Durchschnitt
  • Minimum
  • Maximum

Default: Alle Werte vorausgewählt.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste: Entspricht der Reihenfolge im Dataset.
  • Umgekehrte verfügbare Werteliste: Umgekehrte Reihenfolge des Datasets.
  • Default: Gleich wie verfügbare Werteliste

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.

Noch in diesem Kapitel

Dialog Verdichtungsfunktion


Dialog Verdichtungsfunktion

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Verdichtungsfunktion > Dialog Verdichtungsfunktion

In diesem Dialog konfigurieren Sie die Werte der Verdichtungsfunktion, die im Report Launcher zur Verfügung stehen.

Option

Beschreibung

Checkbox

Legt fest, ob die in der Spalte Verfügbarer Wert bezeichnete Verdichtungsfunktion im Report Launcher angeboten wird.

  • Aktiv: Die Verdichtungsfunktion steht im Report Launcher zur Verfügung.
  • Inaktiv: Die Verdichtungsfunktion steht nicht zur Verfügung.

Hinweis: Mindestens 1 Wert muss aktiv sein.

Verfügbarer Wert

Liste der konfigurierbaren Verdichtungsfunktionen.

Schlüsselwort

Schlüsselwort aus der Sprachtabelle.
Muss eindeutig sein.

Aktuelle Beschriftung

Beschriftung, die mit der aktuellen Einstellung im Report Launcher angezeigt wird.

Schaltfläche

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts aus der Sprachtabelle.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Hinweis: Die Schaltfläche OK steht nur zur Verfügung, wenn alle Eingaben positiv validiert wurden.


Verdichtungsintervall

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Verdichtungsintervall

Eigenschaften zur Konfiguration der Report-Einstellung Verdichtungsintervall für den Report Launcher.

Verdichtungsintervall

Konfiguration der Verdichtungsintervalle.

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Verfügbare Werte

Zeigt die Anzahl der Werte, die im Report Launcher zur Verfügung stehen, an.
Klick auf die Schaltfläche ... öffnet den Dialog zur Konfiguration.
Verfügbar:

  • Keine Verdichtung
    (Verfügbarkeit abhängig von Dataset)
  • 1 Minute
  • 15 Minuten
  • 30 Minuten
  • 1 Stunde
  • 2 Stunden
  • 6 Stunden
  • 12 Stunden
  • 1 Tag
  • 1 Woche
  • 1 Monat
  • 1 Quartal
  • 1 Jahr

Default: Alle Werte vorausgewählt.

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste: Entspricht der Reihenfolge im Dataset.
  • Umgekehrte verfügbare Werteliste: Umgekehrte Reihenfolge des Datasets.
  • Default: Gleich wie verfügbare Werteliste

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.

Noch in diesem Kapitel

Dialog Verdichtungsintervalle


Dialog Verdichtungsintervalle

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Verdichtungsintervall > Dialog Verdichtungsintervalle

In diesem Dialog konfigurieren Sie die Verdichtungsintervalle, die im Report Launcher ausgewählt werden können.

Option

Beschreibung

Checkbox

Legt fest, ob das in der Spalte Verfügbarer Wert bezeichnete Verdichtungsintervall im Report Launcher angeboten wird.

  • Aktiv: Das Intervall steht im Report Launcher zur Verfügung.
  • Inaktiv: Das Intervall steht nicht zur Verfügung.

Hinweis: Mindestens 1 Wert muss aktiv sein.

Verfügbarer Wert

Liste der konfigurierbaren Intervalle.

Schlüsselwort

Schlüsselwort aus der Sprachtabelle.
Muss eindeutig sein.

Aktuelle Bezeichnung

Beschriftung, die mit der aktuellen Einstellung im Report Launcher angezeigt wird.

Schaltfläche

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts aus der Sprachtabelle.

Dialog beenden

Option | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.

Hinweis: Die Schaltfläche OK steht nur zur Verfügung, wenn alle Eingaben positiv validiert wurden.


Verlustzeiten-Bedeutung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Verlustzeiten-Bedeutung

Konfiguration der Verlustzeiten-Bedeutung.

Eigenschaften Verlustzeiten-Bedeutung

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Bedeutungen | Bedeutungen für Verlustzeiten. Klick auf Schaltfläche ... öffnet Dialog zur Konfiguration.

Noch in diesem Kapitel

Konfiguration der Produktionsverlustzeiten-Anzeige


Konfiguration der Produktionsverlustzeiten-Anzeige

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Verlustzeiten-Bedeutung > Konfiguration der Produktionsverlustzeiten-Anzeige

Der Dialog ermöglicht die Eingabe für Bedeutungen für Variablen, die im relativen bzw. im absoluten Verlustzeitdiagramm dargestellt werden sollen.

Option | Beschreibung
Bedeutung für relative Verlustzeiten-Variablen | Eingabe der Bedeutung, die dazu führt, dass die Variable im Relativverlustzeitdiagramm eingebunden wird.
Bedeutung für absolute Verlustzeiten-Variablen | Eingabe der Bedeutung, die dazu führt, dass die Variable im Absolutverlustzeitdiagramm eingebunden wird.
Konfiguration überprüfen | Klick auf die Schaltfläche validiert die Eingaben und gibt das Ergebnis im Listenfeld aus.
OK | Übernimmt Einstellungen und schließt den Dialog. Ist eines der Eingabefelder leer, wird die Schaltfläche ausgeblendet.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Wasserfall

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Wasserfall

Eigenschaften zur Wasserfall-Konfiguration.
Diese Einstellung wird verwendet für:

  • Linienbasierte Produktionsanalyse
  • Maschinenbasierte Produktionsanalyse

Verwendete Einstellungen und SQL-Elemente

Die Projekt-Einstellung für Wasserfall verfügt, je nach Zuordnung, über folgende Verknüpfungen:

Report-Einstellung

Benötigt

Verwendet

Wasserfall (Linie)
  • Anlagengruppe

SQL-Element:

  • ListFilterValuesForLine

Wasserfall (Maschine)
  • Anlagengruppe
  • Projektauswahl

SQL-Element:

  • ListFilterValuesForEquipment

Eigenschaften Wasserfall

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen für die Anzeige und Konfiguration des Standards im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Wertdarstellung Sankey-Diagramm

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Wertdarstellung Sankey-Diagramm

Eigenschaften zur Wertdarstellung

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste: Entspricht der Reihenfolge im Dataset.
  • Umgekehrte verfügbare Werteliste: Umgekehrte Reihenfolge des Datasets.
  • Default: Gleich wie verfügbare Werteliste

Reportparameter

Einstellungen für die Anzeige und Konfiguration des Standards im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Verfügbare Werte

Verfügbare Werte. Nur Konfiguration der Sprachtabelle möglich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl der Schlüsselwörter.

Gültige Werte:

  • TakeFromModel
    Default: Wie im Sankey-Diagramm definiert
  • AbsoluteValues
    Default: Absolutwerte
  • RelativeValues
    Default: Relativwerte

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.

Gültige Werte:

  • TakeFromModel
    Default: Wie im Sankey-Diagramm definiert
    Einstellung wird aus Modell in der Datenbank ausgelesen.
  • AbsoluteValues
    Default: Absolutwerte
    Es werden immer Absolutwerte verwendet, unabhängig von den Einstellungen im Modell.
  • RelativeValues
    Default: Relativwerte
    Es werden immer Relativwerte verwendet, unabhängig von den Einstellungen im Modell.

Zuschreibung erfolgt über Eigenschaft Verfügbare Werte


Wiederholungen für Chargenerkennung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Wiederholungen für Chargenerkennung

Eigenschaften zur Konfiguration der Report-Einstellung Wiederholungen für Chargenerkennung für den Report Launcher.

Wiederholungen für Chargenerkennung

Eigenschaft

Beschreibung

Maximale Wiederholungen Chargen

Legt fest, wie viele Iterationen beim Finden der Chargen auf Nebenmaschinen maximal durchgeführt werden:

  • Minimum: 1
  • Maximum: 10

Default: 3


Wirk- und Blindleistungszähler

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Wirk- und Blindleistungszähler

Eigenschaften zur Konfiguration der Report-Einstellung Wirk- und Blindleistungszähler für den Report Launcher.
Diese Einstellung wird von den Reportvorlagen Wirk- und Blindleistungszähler (übergeordnete Maschine - Einzelauswahl) und Wirk- und Blindleistungszähler (Maschinen - Mehrfachauswahl) benutzt.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft | Beschreibung
Wirk- und Blindleistungszähler | Konfiguration der Bedeutungen für die Zähler. Klick auf die Schaltfläche ... öffnet den Dialog zur Zuordnung der Bedeutungen.

Noch in diesem Kapitel

Zuordnungen konfigurieren


Zuordnungen konfigurieren

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Wirk- und Blindleistungszähler > Zuordnungen konfigurieren

Dialog zur Konfiguration der Zuordnungen für Wirk- und Blindleistungszähler. Der Dialog besteht aus zwei Registerkarten.

Registerkarte | Beschreibung
Bedeutungen | Konfiguration der Bedeutungen.
Überprüfung | Überprüfung der Konfiguration.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Noch in diesem Kapitel

Bedeutungen

Überprüfung


Bedeutungen

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Wirk- und Blindleistungszähler > Zuordnungen konfigurieren > Bedeutungen

In dieser Registerkarte konfigurieren Sie die Zuordnungen der Bedeutungen.

Option | Beschreibung
Wirkleistung Produktion | Eingabe der Bedeutung für den Wirkleistungszähler für Produktion.
Wirkleistung Verbrauch | Eingabe der Bedeutung für den Wirkleistungszähler für Verbrauch.
Blindleistung Produktion | Eingabe der Bedeutung für den Blindleistungszähler für Produktion.
Blindleistung Verbrauch | Eingabe der Bedeutung für den Blindleistungszähler für Verbrauch.
Kraftwerk | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet das Kraftwerk im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.
Kraftwerksgruppe | Eingabe der Identifikation für das Feld in der Metadaten-Tabelle, das bestimmt, wie weit übergeordnet die Kraftwerksgruppe im Vergleich zu einer Maschine ist. Hinweis für Entwickler: ID für Feld in Tabelle EQUIPMENTINFO.

Navigation

Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.


Überprüfung

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Wirk- und Blindleistungszähler > Zuordnungen konfigurieren > Überprüfung

In dieser Registerkarte werden die Zuordnungen validiert.

Damit die Validierung startet, muss in der Registerkarte Bedeutungen jedes Eingabefeld mit einem Wert belegt sein.

Option | Beschreibung
Liste Ergebnisse der Überprüfung | Listet alle Ergebnisse der Validierung der Zuordnungen auf.
Schaltfläche | Beschreibung
Vorherige | Wechselt zur vorherigen Registerkarte. (Deaktiviert in der ersten Registerkarte.)
Nächste | Wechselt zur nächsten Registerkarte. (Deaktiviert in der letzten Registerkarte.)
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog. Ist eines der benötigten Eingabefelder leer oder nicht korrekt konfiguriert, wird die Schaltfläche deaktiviert.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.

Ablauf der Validierung

Bei der Validierung wird geprüft:

  1. Ob für die Anlagengruppe aus einem Archiv gelesen werden können:
    • genau 1 Wirkleistungszähler für Produktion
    • genau 1 Blindleistungszähler für Produktion
    • höchstens 1 Wirkleistungszähler für Verbrauch
    • höchstens 1 Blindleistungszähler für Verbrauch

    Ist das nicht der Fall, so ist die Anlagengruppe nicht verwendbar und der Ablauf wird für diese Anlagengruppe beendet.

  2. Die Anlagengruppe wird in einer Liste eingeordnet.
  3. Der Anlagenbaum wird so aufgebaut, dass jede Anlagengruppe vorkommt, die in der in Punkt 2 gefüllten Liste vorhanden ist.
  4. Die Anlagengruppen werden ausgegeben.


Wirkleistungssekunden

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Wirkleistungssekunden

Konfiguration der Rückblickzeit für Wirkleistung bei Lastabwürfen.

Eigenschaften

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Wirkleistung Rückblicksekunden

Eingabe eines numerischen Werts für die Rückblicksekunden oder Konfiguration über Pfeiltasten.

  • Minimum: 1
  • Maximum 100

Default: 10


Zeitfensterbeginn

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Zeitfensterbeginn

Diese Report-Einstellung ermöglicht gemeinsam mit Zeitfensterende die Einschränkung der Werte auf der Y-Achse . Sie definiert über Direkter Wert den Beginn der Einschränkung.
Beispiel: Wurden für die Y-Achse die Einheit Tage eingestellt, kann die Anzahl der Tage eingeschränkt werden.

Die möglichen Einstellungen für die Eigenschaft Direkter Wert hängen ab von den Einstellungen für Konfiguration X/Y-Achse:

  • Minuten: 0-59
  • Stunden: 0-23
  • Tage: 1-31

Eigenschaften Zeitfensterbeginn

Konfiguration des Beginns eines Zeitfensters.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Zeitfensterende

zenon Analyzer > Reportvorlagen > Report-Einstellungen > Zeitfensterende

Diese Report-Einstellung ermöglicht gemeinsam mit Zeitfensterbeginn die Einschränkung der Werte auf der Y-Achse . Sie definiert über Direkter Wert das Ende der Einschränkung. Der Wert muss gleich oder höher als Zeitfensterbeginn sein.
Beispiel: Wurden für die Y-Achse die Einheit Tage eingestellt, kann die Anzahl der Tage eingeschränkt werden.

Die möglichen Einstellungen für die Eigenschaft Direkter Wert hängen ab von den Einstellungen für Konfiguration X/Y-Achse:

  • Minuten: 0-59
  • Stunden: 0-23
  • Tage: 1-31

Eigenschaften Zeitfensterende

Konfiguration des Beginns eines Zeitfensters.

Allgemein

Allgemeine Eigenschaften.

Eigenschaft

Beschreibung

Filtername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

  • Maximale Länge: 199 Zeichen

Reportparameter

Einstellungen für die Anzeige und Konfiguration der Schichten im Report Launcher.

Eigenschaft

Beschreibung

Parametername

Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

Maximale Länge: 199 Zeichen

Sortierreihenfolge

Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

  • Nach Bezeichnung (aufsteigend)
  • Nach Bezeichnung (absteigend)
  • Nach Wert (aufsteigend)
  • Nach Wert (absteigend)
  • Gleich wie verfügbare Werteliste
  • Umgekehrte verfügbare Werteliste

Default: Nach Bezeichnung (aufsteigend)

Anzeigename im Report

Name, wie er im Report Launcher angezeigt wird.

Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

Direkten Wert verwenden

Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

Direkter Wert

Konfiguration des direkten Werts.

Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.


Validierung

zenon Analyzer > Reportvorlagen > Validierung

Die Gültigkeit von Reports wird bei jeder Konfigurationsänderung auf benötigte Inhalte und Abhängigkeiten überprüft. Nur wenn der Report gültig ist, und keine Validierungsfehler aufweist, kann der Report auch bereitgestellt werden, ansonsten sind die Schaltflächen für die Bereitstellung deaktiviert.

Validierungsfehler werden im Design-Bereich, im Bereich der Report-Konfiguration und in Dialogen durch rote Rahmen, Textinformationen und Einträge im Ausgabefenster angezeigt.

Validierungshinweise:

  • Roter Rahmen mit roter Ecke rechts oben:
    Fehler im Element. Dieser kann sofort behoben werden.
  • Roter Rahmen:
    Fehler im Element. Dieser kann erst behoben werden, wenn zuvor andere Konfigurationen berichtigt wurden.
    Die verknüpften fehlerhaften Objekte werden mit rotem Rahmen gekennzeichnet.

Die Validierung von Texten wird immer dann durchgeführt, wenn die Texteingabe übernommen wird, also bei Fokusverlust oder Drücken der Eingabe-Taste.

RDL-Namen

Für RDL-Namen (Namen für Dataaset, Zeitfilter, Reportparameter, Filter usw.) gilt:

  • Darf nicht leer sein.
  • Muss mit einem Buchstaben beginnen.
    • Erlaubte Zeichen: Buchstaben (A-Z, a-z), Zahlen und Unterstrich.
    • Verbotene Zeichen: Umlaute, Akzentzeichen, Sonderzeichen, Leerzeichen.
  • Namen müssen eindeutig sein:
    RDL-Namen müssen innerhalb eines Reports eindeutig sein. Neue Elemente werden standardmäßig mit einer fortlaufenden Nummer versehen, um die initiale Gültigkeit zu gewährleisten. Wird durch Benutzereingabe ein RDL-Name innerhalb des Reports mehrfach verwendet, wird an allen Stellen, an denen er verwendet wird, ein Validierungsfehler angezeigt.

Eindeutigkeit Schlüsselwörter der Sprachtabelle

Die Schlüsselwörter der Sprachtabelle für Reportparameter werden auf Eindeutigkeit validiert. Damit wird sichergestellt, dass alle Eingabeelemente für Reportparameter und alle Beschriftungen im Parameter-Ausgabebereich eindeutige Bezeichnungen haben. ZAMS vergibt bei der Erstellung automatisch fortlaufende Nummern, um die initiale Eindeutigkeit zu gewährleisten.

Validiert wird in zwei Kreisen:

  • Texte im Parameterbereich.
    Hier werden die Parameter für die Ausführung des Reports gewählt.
  • Texte im Parameter-Ausgabebereich.
    Hier werden die gewählten Werte der Parameter im Report angezeigt.

Schlüsselwörter von Zeitfiltern und von Reportparametern in Filtereinstellungen müssen eindeutig sein, damit die Bezeichnungen der Reportparameter im Report Launcher eindeutig sind.

Schlüsselwörter von Bezeichnern von Zeitfiltern im Parameterbereich und Reportparameter in Filtereinstellungen müssen eindeutig sein, damit die Beschriftungen im Parameter-Ausgabebereich eindeutig sind.

Aus diesen Bedingungen ergibt sich, dass Schlüsselwörter innerhalb der Reportparameter in Filtereinstellungen eindeutig sein müssen. Denn diese werden in beiden Kreisen verwendet. Nur Zeitfilter haben getrennt einstellbare Schlüsselwörter, weil die Darstellung der Zeitwerte im Parameter-Ausgabebereich mehrere Möglichkeiten bietet.

Minimalkonfiguration Design für Bereitstellung

Damit ein Report bereitgestellt werden kann, muss im Design-Bereich zumindest ein Report-Element oder eine Zelle im Parameter-Ausgabebereich konfiguriert sein. Ist das nicht der Fall, wird im Design-Bereich ein Hinweis angezeigt.

Zellen im Parameter-Ausgabebereich

Zellen im Parameter-Ausgabebereich müssen vollständig konfiguriert sein.
Es müssen Typ (Filter) und Inhalt (Zeitfilter oder Reportparameter) gewählt sein.

Überlappung von Report-Elementen

Report-Elemente wie Tabellen oder Diagramme dürfen sich nicht überlappen. Überlappungen werden durch ein rot gefärbtes Overlay angezeigt. Die betroffenen Elemente erhalten zusätzlich einen roten Rahmen. Die Validierung wird nach der Positionierung eines Elements durchgeführt.

Begrenzung Reporthöhe und vertikale Abstände

Begrenzungen für Höhen und Abstände:

  • Reporthöhe: maximal 10000 mm
  • Reportbreite: maximal 10000 mm
  • Vertikalen Abstände von Parameter-Ausgabebereich und Reporttitel: je 1000 mm

Ungültige Angaben werden nicht als Validierungsfehler angezeigt, sondern auf den nächsten gültigen Wert gesetzt.


Beispiele für Reportkonfiguration

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration

Reports bieten mehrere Konfigurationsmöglichkeiten. Die wichtigsten stellen wir Ihnen mit Beispielen vor. Viele Basisreports werden bereits mit dem zenon Analyzer ausgeliefert. Diese müssen nur noch konfiguriert werden. Sie können auch mehrere Reportvorlagen kombinieren. In den Beispiel lernen Sie, mitgelieferte Reportvorlagen zu verwenden und zu kombinieren sowie Vergleichsreports zu erstellen. Für umfassendes Knowhow für Reportkonfiguration empfehlen wir zenon Analyzer Trainings. Ihr individuelles Trainingsangebot erhalten Sie bei Ihrem COPA-DATA Ansprechpartner und bei sales@copadata.com.

Beispiele für die Reportkonfiguration:

  • Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl (1 Reportvorlage)
  • Kombination von 2 Reportvorlagen: "Archivverdichtung" und "Archivbasierender Effizienzklassenreport"
  • Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume
  • Beispiel zenon Demoprojekt

Noch in diesem Kapitel

Report Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

Kombination von 2 Reportvorlagen

Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume

Beispiel zenon Demoprojekt


Report Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Report Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

In diesem Beipiel konfigurieren Sie einen Report vom Typ Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl.
Um diesen Report einsetzen zu können:

  1. Erstellen Sie einen neuen Report vom Typ Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl.
  2. Konfigurieren Sie die Report-Einstellungen.
  3. Konfigurieren Sie das Design für die Ausgabe im Report Launcher.
  4. Speichern Sie den Report und stellen Sie ihn bereit.

Noch in diesem Kapitel

Report erstellen

Report konfigurieren

Report-Design

Report bereitstellen


Report erstellen

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Report Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl > Report erstellen

Um einen neuen Report vom Typ Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl zu erstellen:

  1. Klicken Sie auf der Startseite oder im Menü Datei auf Neuer Report.

    Der Dialog zur Auswahl einer Reportvorlage wird geöffnet.

  2. Wählen Sie als Thema in der Dropdownliste Erweiterte Archivanalyse.
  3. Wählen Sie als Reportvorlage in der Dropdownliste Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl.
  4. Klicken Sie auf OK.

    Die Reportvorlage wird im ZAMS zur Konfiguration geöffnet.


Report konfigurieren

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Report Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl > Report konfigurieren

Im linken Bereich der Reportvorlage befinden sich die Report-Einstellungen. Diese konfigurieren Sie mit den Eigenschaften im rechten Bereich. Dazwischen befindet sich der Design-Bereich. In diesem legen Sie fest, wie der Report im Report Launcher dargestellt wird.

In der Regel konfigurieren Sie die Report-Einstellungen einfach von oben nach unten.
Beachten Sie: Manche Report-Einstellungen hängen von anderen ab oder definieren Filter für andere Report-Einstellungen.
Wird ein Konfigurationselement ausgewählt, dann werden dessen Abhängigkeiten mit farbigen Pfeilen angezeigt:

  • Oranger Pfeil: Dieses Element wird vom ausgewählten Element verwendet.
  • Blauer Pfeil: Dieses Element benötigt das ausgewählte Element.

Konfigurieren Sie jetzt den Report:

Report benennen

Geben Sie dem Report einen aussagekräftigen Namen für die Darstellung im Report Launcher. Beachten Sie bei der Konfiguration von mehrsprachigen Projekten, dass der Name in allen Sprachen funktionieren muss.

Hinweis: Das ist der Name, der im Report im Report Launcher angezeigt wird. Dieser kann sich vom Namen, unter dem die Reportdefinition gespeichert wird, unterscheiden.

Um den Report zu benennen:

  1. Klicken Sie in die Kopfzeile mit dem Reportnamen. Standardmäßig wird dieser als Neuer Report angezeigt.

    In den Eigenschaften werden die dazugehörigen Eigenschaften angezeigt.

  2. Klicken Sie in das Feld neben Reportname.
  3. Geben Sie den gewünschten Namen ein.
    Für dieses Beispiel wählen wir Archiv Aggregation.

Zeitfilter

Der Zeitfilter legt fest, für welchen Zeitraum ein Report erstellt wird. Es können bis zu 5 Zeitfilter pro Report erstellt werden. Für diesen Report definieren Sie einen Zeitfilter.

Um den Zeitfilter zu erstellen:

  1. Klicken Sie auf das Konfigurationselement Timefilter.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Zeitfiltername: Name des Zeitfilters.
      Initial heißt dieser immer Timefilter. Achten Sie auf aussagekräftige Namen. So können Sie den Zeitfilter bei Verwendung mehrer Zeitfilter jederzeit korrekt zuordnen.
      Wählen Sie für dieses Beispiel Main.
    2. Zeitfiltertyp: Auswahl der Art des Zeitfilters.
      Mit Klick auf die Schaltfläche ... öffnen Sie den Dialog zur Konfiguration. Wählen Sie für dieses Beispiel einen Absolutzeitfilter.
    3. Granularität: Auswahl der Granularität des Zeitfilters aus der Dropdownliste.
      Wählen Sie für dieses Beispiel Minute.
    4. Standard-Einstellungen: Konfiguration der Standard-Einstellungen.
      Mit Klick auf die Schaltfläche ... öffnen Sie den Dialog zur Konfiguration. Klicken Sie für dieses Beispiel auf Fixer Zeitstempel.
    5. Vergeben Sie die Anzeigenamen im Report für Von und Bis.
    6. Vergeben Sie die Parameterbereich Bezeichnungen.

Anlagenmodelle

Dieses Element legt fest, welche Anlagenmodelle für den Report zur Verfügung stehen.

Um ein Anlagenmodell auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Anlagenmodelle.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie die Eigenschaft Anlagenmodelle.

    Wählen Sie das gewünschte Modell aus der Dropdownliste.
    Welche Modelle zur Verfügung stehen hängt ab von den Einstellungen im zenon Globalprojekt.
    Für dieses Beispiel wählen Sie Alle Modelle.

Abhängigkeiten:

Die Konfiguration definiert, welche Einstellungen für Anlagengruppe zur Verfügung stehen.

Anlagengruppe

Dieses Element legt fest, welche Anlagengruppen für den Report zur Verfügung stehen.

Um Anlagengruppen auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Anlagengruppe.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf EquipmentsDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Equipments.
    3. Mehrfachauswahl: Konfiguration ob der Anwender im Report Launcher mehrere Werte auswählen kann oder nur einen.
      Aktivieren Sie die Checkbox.
    4. Schachtelungsmodus: Auswahl, in welchem Modus die Schachtelungsebenen im Report Launcher initial angezeigt werden.
      Wählen Sie Erweitere Knoten bis Schachtelungsebene aus der Dropdownliste.
      Es werden alle Ebenen bis zur in diesem Beispiel konfigurierten Ebene 3 angezeigt.
    5. Schachtelungsebene: Auswahl der Ebenen für die Verschachtelung.
      Wählen Sie 3.
    6. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Eigenschaft auf Anlagengruppe (EquipmentGroup).
    7. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die Auswahlmöglichkeiten hängen ab von den Einstellungen für Anlagenmodelle.
  • Die Konfiguration definiert, welche Einstellungen für Variablen (von Anlagengruppen) zur Verfügung stehen.

Projekt

Dieses Element legt fest, welche Projekte für den Report zur Verfügung stehen.

Um Projekte auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Projekt.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf ProjectDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Projects.
    3. Mehrfachauswahl: Konfiguration ob der Anwender im Report Launcher mehrere Werte auswählen kann oder nur einen.
      Aktivieren Sie die Checkbox.
    4. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Projekte im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Nach Bezeichnung (aufsteigend).
    5. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Einstellung auf Projekte (Projects).
    6. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Aktivieren Sie die Checkbox. Die Eigenschaft Direkter Wert wird angezeigt.
    7. Direkter Wert: Klicken Sie auf die Schaltfläche ....
      Der Dialog zur Auswahl von Projekten wird geöffnet. Welche Projekte enthalten sind, hängt ab von den in der zenon Runtime laufenden Projekten. Das erste Aufschalten des Dialogs kann etwas länger dauern, da Daten abgefragt und konfiguriert werden.
      Wählen Sie das Projekt aus, das im Report Launcher fix vorgegeben sein soll.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen für Variablen (von Anlagengruppen) zur Verfügung stehen.

Archivkomprimierung

Dieses Element legt fest, welche Archivdaten für den Report zur Verfügung stehen.

Um die Archivkomprimierung zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Archivkomprimierung.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Archivkomprimierung: Auswahl der Komprimierung.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Rohdaten (Basisarchiv).

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen für Variablen (von Anlagengruppen) zur Verfügung stehen.

Variablen (von Anlagengruppen)

Dieses Element legt fest, welche Variablen für den Report zur Verfügung stehen.

Um Variablen auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Variablen (von Anlagengruppen).
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf EquipmentBasedVariablesDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Variables.
    3. Mehrfachauswahl: Konfiguration ob der Anwender im Report Launcher mehrere Werte auswählen kann oder nur einen.
      Aktivieren Sie die Checkbox.
    4. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Variablen im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Nach Bezeichnung (aufsteigend).
    5. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Einstellung auf Variablen (Variables).
    6. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die Auswahlmöglichkeiten hängen ab von den Einstellungen für
    • Anlagengruppe
    • Projekt
    • Archivkomprimierung

Verdichtungsfunktion

Dieses Element legt fest, welche Verdichtungsfunktionen für den Report zur Verfügung stehen.

Um Verdichtungsfunktionen auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Verdichtungsfunktion.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf AggregationFunction.
    2. Verfügbare Werte: Konfiguration der verfügbaren Komprimierungsfunktionen. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl.
      Wählen Sie alle verfügbaren Komprimierungsfunktionen aus.
    3. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Komprimierungsfunktionen im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Gleich wie verfügbare Werteliste.
    4. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Einstellung auf Komprimierungsfunktion (CompressionFunction).
    5. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Verdichtungsintervall

Dieses Element legt fest, welche Verdichtungsintervalle für den Report zur Verfügung stehen.

Um Verdichtungsintervalle auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Verdichtungsintervall.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf AggregationInterval.
    2. Verfügbare Werte: Konfiguration der verfügbaren Komprimierungsintervalle. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl.
      Wählen Sie alle verfügbaren Werte aus.
    3. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Komprimierungsfunktionen im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Gleich wie verfügbare Werteliste.
    4. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Einstellung auf Verdichtung (Compression).
    5. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Connector

Dieses Element legt fest, welcher Connector verwendet wird.

Um den Connector auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Connector.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

Connector: Auswahl des Connectors aus der Dropdownliste.
Wählen Sie SCADA Runtime Connector.


Report-Design

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Report Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl > Report-Design

Nachdem Sie die Report-Einstellungen konfiguriert haben, legen Sie fest, welche Eingabeelemente sowie Tabellen und/oder Grafiken im Report Launcher verfügbar sein sollen.

Dazu konfigurieren Sie den Design-Bereich.
Hinweis: Die Konfiguration im Designbereich zeigt, wie der Report ungefähr im Report Launcher angeboten wird, entspricht aber nicht exakt der endgültigen Darstellung.

Um den Designbereich zu konfigurieren:

  • Legen Sie fest, welche Bereiche im Report Launcher zur Verfügung stehen.
    Dazu klicken Sie im Kopfbereich auf die Schaltflächen Reportname anzeigen und Parameterbereich anzeigen.
    Belassen Sie in diesem Beispiel die Einstellungen auf Standard.
  • Definieren Sie die Anzahl und Art der Kontrollelemente.
  • Fügen Sie Tabellen und/oder Grafiken ein.

Diese Konfiguration können Sie mit Assistenten vorbereiten oder zur Gänze manuell durchführen.

Konfiguration mit Assistent

Um die Konfiguration mit Assistenten vorzubereiten:

  1. Öffnen Sie die Registerkarte Design.
  2. Klicken Sie auf Generiere Layout.

    Es werden automatisch erstellt:

    • Reportname und Parameter entsprechend dem konfigurierten Report.
    • Standardelemente für Grafiken und Tabellen entsprechend dem konfigurierten Report.

    Hinweis: bereits bestehende Konfigurationen werden entfernt und durch die Standardkonfiguration ersetzt.
    Alternativ klicken Sie auf den Pfeil neben Generiere Layout. Eine Dropdownliste wird geöffnet. Hier können Sie einzelne Designbereiche auswählen, die erstellt werden sollen.

  3. Bearbeiten Sie die erstellten Elemente und/oder ergänzen Sie diese mit weiteren Parametern und Elementen.

Manuelle Konfiguration

Um einen Report manuell zu designen:

  1. Klicken Sie im Design-Bereich in den Parameterbereich.

  2. Konfigurieren Sie die Eigenschaften:

    1. Wählen Sie die Anzahl der Spalten und Zeilen. Damit definieren Sie die Anzahl der Kontrollelemente im Parameterbereich.
    2. Konfigurieren Sie jeden Parameter.

    Wählen Sie die Art des Filters und das Element, das angeboten werden soll.

  3. Wählen Sie die anzuzeigenden Reportelemente.
    Dazu:
    1. Klicken Sie in der Registerkarte Design auf das gewünschte Element.
    2. Klicken Sie in den Design-Bereich.

    Das Element wird an der Mausposition eingefügt. Ein Konfigurationsdialog wird angezeigt.

  4. Konfigurieren Sie das Element.


Report bereitstellen

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Report Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl > Report bereitstellen

Sie können den Report jetzt für Anwender bereitstellen. Danach kann er im Browser aufgerufen und entsprechend Ihren Vorgaben konfiguriert und angezeigt werden.

Um den Report bereitzustellen:

  1. Wechseln Sie in die Registerkarte Report.
  2. Klicken Sie auf Bereitstellen.

    Enthält der Report noch ungespeicherte Konfigurationen, werden Sie zum Speichern aufgefordert.
    Der Report wird bereitgestellt.
    Die Abläufe werden in der Statuszeile und im Ausgabefenster dokumentiert.

  3. Klicken Sie auf Report öffnen im Abschnitt Report Launcher.

    Der Report wird im Browser geöffnet.


Kombination von 2 Reportvorlagen

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Kombination von 2 Reportvorlagen

Sie können mehrere Reportvorlagen zu einem Report kombinieren. Bis zu 5 Reportvorlagen in einem Report sind möglich.
In diesem Beispiel kombinieren wir die beiden Reportvorlagen Trend Archivtrendverdichtung mit Anlagengruppen- und Variablenauswahl und Archivbasierender Effizienzklassenreport.

Die Konfiguration erfolgt prinzipiell analog zur Konfiguration einer Reportvorlage wie im Beispiel-Report Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl.
Mit zwei Unterschieden:

  • Eine zweite Reportvorlage wird hinzugefügt. Damit stehen mehr Report-Einstellungen zur Verfügung.
  • Die Reporteinstellungen der beiden Reportvorlagen können teilweise kombiniert werden. In diesem Fall können Sie entscheiden, ob die Einstellung für jedes Dataset extra konfiguriert oder ob eine Einstellung für beide Datasets verwendet wird. Welche Einstellungen kombinierbar sind, hängt ab von den verwendeten Datasets.

Auswahl Reportvorlagen

Um die beiden Reportvorlagen auszuwählen:

  1. Wählen Sie beim Anlegen des Reports das Thema Erweiterte Archivanalyse.
  2. Wählen Sie als Reportvorlage Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl.

    Die Reportvorlage wird im ZAMS geöffnet.

  3. Klicken Sie Im Kopfzeilenbereich auf das grüne Kreuz neben der letzten Reportvorlage.

    Der Dialog zur Auswahl einer Reportvorlage wird geöffnet.

  4. Wählen Sie das Thema Effizienzklassen Analyse.
  5. Wählen Sie als Reportvorlage Archivbasierender Effizienzklassenreport.

    Die Reportvorlage wird im Report angezeigt.

Vorhandene Report Einstellungen

Die Report-Einstellungen werden von den vorhandenen Datasets bestimmt. Von diesen hängt auch ab, welche Einstellungen kombiniert werden können. Die Tabelle listet alle in unserem Beispiel verfügbaren Report-Einstellungen auf und informiert über gemeinsame Verwendbarkeit.

Report-Einstellung | Hinweis
Timefilter | Gilt immer für alle Datasets.
Anlagenmodelle | Nur Trend Archivverdichtung.
Anlagengruppe | Nur Trend Archivverdichtung.
Projekt | Beide Datasets.
Archive (von Projekten) | Nur Archivbasierender Effizienzklassenreport.
Effizienzklassenname | Nur Archivbasierender Effizienzklassenreport.
Maßeinheit Effizienzklassenmodell | Nur Archivbasierender Effizienzklassenreport.
Effizienzklassenmodell | Nur Archivbasierender Effizienzklassenreport.
Archivkomprimierung | Beide Datasets.
Variablen (von Anlagengruppen) | Beide Datasets.
Variablen mit Maßeinheit-Filter (von Archiven) | Beide Datasets.
Variablenfilter | Nur Archivbasierender Effizienzklassenreport.
Sortierung Effizienzklassen | Nur Archivbasierender Effizienzklassenreport.
Verdichtungsfunktion | Nur Trend Archivverdichtung.
Verdichtungsintervall | Nur Trend Archivverdichtung.
Connector | Beide Datasets.

Einstellungen verknüpfen

Im ersten Schritt werden einige Eigenschaften, die für beide Datasets angeboten werden kombiniert. Klicken Sie dazu jeweils auf das Symbol zwischen Einstellung und Anzeigebalken.

Verknüpft werden:

  • Projekt
  • Archivkomprimierung
  • Connector

Dann werden die einzelnen Eigenschaften konfiguriert.

Noch in diesem Kapitel

Report konfigurieren

Design und Bereitstellung


Report konfigurieren

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Kombination von 2 Reportvorlagen > Report konfigurieren

Konfigurieren Sie die Report-Einstellungen für die beiden Datasets.

Zeitfilter

Konfigurieren Sie zuerst den Zeitfilter:

  1. Klicken Sie auf das Konfigurationselement Timefilter.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Zeitfiltername: Name des Zeitfilters.
      Initial heißt dieser immer Timefilter. Achten Sie auf aussagekräftige Namen. So können Sie den Zeitfilter bei Verwendung mehrer Zeitfilter jederzeit korrekt zuordnen.
      Wählen Sie für dieses Beispiel ZF_Hauptfilter.
    2. Zeitfiltertyp: Auswahl der Art des Zeitfilters.
      Mit Klick auf die Schaltfläche ... öffnen Sie den Dialog zur Konfiguration. Wählen Sie für dieses Beispiel einen Relativzeitfilter.
    3. Granularität: Auswahl der Granularität des Zeitfilters aus der Dropdownliste.
      Wählen Sie für dieses Beispiel Minute.
    4. Standard-Einstellungen: Konfiguration der Standard-Einstellungen.
      Mit Klick auf die Schaltfläche ... öffnen Sie den Dialog zur Konfiguration. Ändern Sie für dieses Beispiel die Rückblickzeit auf 1 Stunde.
    5. Zeitbereich: Vergeben Sie als Name in der Eigenschaft Anzeigename im Report Zeitbereich (TimeRange).
    6. Parameterbereich Bezeichnungen: Konfigurieren Sie die Bezeichnungen.

Anlagenmodelle

Dieses Element legt fest, welche Anlagenmodelle für den Report zur Verfügung stehen.

Um ein Anlagenmodell auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Anlagenmodelle.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie die Eigenschaft Anlagenmodelle.

    Wählen Sie das gewünschte Modell aus der Dropdownliste.
    Welche Modelle zur Verfügung stehen hängt ab von den Einstellungen im zenon Globalprojekt.
    Für dieses Beispiel wählen Sie Alle Modelle.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen für Anlagengruppe zur Verfügung stehen.

Anlagengruppe

Dieses Element legt fest, welche Anlagengruppen für den Report zur Verfügung stehen.

Um Anlagengruppen auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Anlagengruppe.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf EquipmentsDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Equipments.
    3. Mehrfachauswahl: Konfiguration ob der Anwender im Report Launcher mehrere Werte auswählen kann oder nur einen.
      Aktivieren Sie die Checkbox.
    4. Schachtelungsmodus: Auswahl, in welchem Modus die Schachtelungsebenen im Report Launcher initial angezeigt werden.
      Wählen Sie Erweitere Knoten bis Schachtelungsebene aus der Dropdownliste.
      Es werden alle Ebenen bis zur in diesem Beispiel konfigurierten Ebene 3 angezeigt.
    5. Schachtelungsebene: Auswahl der Ebenen für die Verschachtelung.
      Wählen Sie 3.
    6. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Eigenschaft auf Anlagengruppe (EquipmentGroup).
    7. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die Auswahlmöglichkeiten hängen ab von den Einstellungen für Anlagenmodelle.
  • Die Konfiguration definiert, welche Einstellungen für Variablen (von Anlagengruppen) zur Verfügung stehen.

Projekt

Dieses Element legt fest, welche Projekte für den Report zur Verfügung stehen.

Um Projekte auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Projekt.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf ProjectDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Projects.
    3. Mehrfachauswahl: Konfiguration ob der Anwender im Report Launcher mehrere Werte auswählen kann oder nur einen.
      Aktivieren Sie die Checkbox.
    4. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Projekte im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Nach Bezeichnung (aufsteigend).
    5. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Einstellung auf Projekte (Projects).
    6. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Aktivieren Sie die Checkbox. Die Eigenschaft Direkter Wert wird angezeigt.
    7. Direkter Wert: Klicken Sie auf die Schaltfläche ....
      Der Dialog zur Auswahl von Projekten wird geöffnet. Welche Projekte enthalten sind, hängt ab von den in der zenon Runtime laufenden Projekten. Das erste Aufschalten des Dialogs kann etwas länger dauern, da Daten abgefragt und konfiguriert werden.
      Wählen Sie das Projekt aus, das im Report Launcher fix vorgegeben sein soll.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen zur Verfügung stehen für:
    • Archive (von Projekten)
    • Variablen (von Anlagengruppen)

Archive (von Projekten)

Dieses Element konfiguriert die Auswahl- und Darstellungsoptionen für die Archive im Report.

Um Archive (von Projekten) zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Archive (von Projekten).
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf ProjectBasedArchivesDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Archives.
    3. Mehrfachauswahl: Einstellung, ob im Report mehrere Archive ausgewählt werden können oder nur Eines.
      Lassen Sie die Checkbox leer.
    4. Sortierreihenfolge: Einstellung, in welcher Reiheinfolge die Archive im Report zur Auswahl angeboten werden.
      Belassen Sie die Einstellung auf Nach Bezeichnung (aufsteigend).
    5. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Eigenschaft auf Archiv (Archive).
    6. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die verfügbaren Eigenschaften hängen ab von den Einstellungen für Projekt.
  • Die Konfiguration definiert, welche Einstellungen für Variablen mit Maßeinheit-Filter (von Archiven) zur Verfügung stehen.

Effizienzklassen-Name

Dieses Element legt fest, welche Effizienzklassenmodelle für den Report zur Verfügung stehen.

Um Effizienzklassenname zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Effizienzklassenname.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Effizienzklassen-Name: Dient zur Namensfilterung auf Effizienzklassen-Modelle im Report.
      Belassen Sie die Einstellung auf *. Damit stehen alle verfügbaren Effizienzklassen-Modelle im Report zur Verfügung.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Effizienzklassen im Effizienzklassenmodell zur Verfügung stehen.

Maßeinheit Effizienzklassenmodell

Dieses Element legt fest, ob nur Effizienzklassenmodelle mit definierter Maßeinheit für den Report zur Verfügung stehen.

Um Maßeinheit Effizienzklassenmodell zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Maßeinheit Effizienzklassenmodell .
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Maßeinheit Effizienzklassenmodell: Dient zur Filterung auf Maßeinheiten der Effizienzklassen-Modelle im Report.
      Belassen Sie die Einstellung auf *, damit alle verfügbaren Effizienzklassen-Modelle im Report zur Verfügung stehen.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Effizienzklassen im Effizienzklassenmodell zur Verfügung stehen.

Effizienzklassenmodell

Dieses Element legt fest, wie die Effizienzklassenmodelle zur Auswahl im Report angeboten werden.

Um das Effizienzklassenmodell zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Effizienzklassenmodell.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf EfficiencyClassModelDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf EfficiencyClassModel.
    3. Sortierreihenfolge: Einstellung, in welcher Reiheinfolge die Archive im Report zur Auswahl angeboten werden.
      Belassen Sie die Einstellung auf Nach Bezeichnung (aufsteigend).
    4. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Eigenschaft auf Effizienzklassen-Modell (EfficiencyClassModel).
    5. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen für Variablen mit Maßeinheit-Filter (von Archiven) zur Verfügung stehen.

Archivkomprimierung

Dieses Element legt fest, welche Archivdaten für den Report zur Verfügung stehen.

Um die Archivkomprimierung zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Archivkomprimierung.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Archivkomprimierung: Auswahl der Komprimierung.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Rohdaten (Basisarchiv).

Abhängigkeiten:

  1. Die Konfiguration definiert, welche Einstellungen für Variablen (von Anlagengruppen) zur Verfügung stehen.

Variablen (von Anlagengruppen)

Dieses Element legt fest, welche Variablen für den Report zur Verfügung stehen.

Um Variablen auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Variablen (von Anlagengruppen).
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf EquipmentBasedVariablesDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Variables.
    3. Mehrfachauswahl: Konfiguration ob der Anwender im Report Launcher mehrere Werte auswählen kann oder nur einen.
      Aktivieren Sie die Checkbox.
    4. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Variablen im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Nach Bezeichnung (aufsteigend).
    5. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Erstellen Sie in der Sprachtabelle das neue Schlüsselwort VariablesEquipmentgroups und dazu passende Übersetzungen für die benötigten Sprachen, in diesem Beispiel für Deutsch: Variablen(Anlagengruppe). Wählen Sie das Schlüsselwort aus.
    6. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die Auswahlmöglichkeiten hängen ab von den Einstellungen für
    • Anlagengruppe
    • Projekt
    • Archivkomprimierung

Variablen mit Maßeinheit-Filter (von Archiven)

Dieses Element legt fest, wie Variablen zur Auswahl im Report angeboten werden.

Um Variablen mit Maßeinheit-Filter (von Archiven) auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Variablen mit Maßeinheit-Filter (von Archiven).
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf EfficiencyClassAndArchiveBasedVariablesDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Variables.
    3. Mehrfachauswahl: Konfiguration ob der Anwender im Report Launcher mehrere Werte auswählen kann oder nur einen.
      Aktivieren Sie die Checkbox.
    4. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Variablen im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Nach Bezeichnung (aufsteigend).
    5. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Erstellen Sie in der Sprachtabelle das neue Schlüsselwort VariablesArchives und dazu passende Übersetzungen für die benötigten Sprachen, in diesem Beispiel für Deutsch: Variablen(Archive). Wählen Sie das Schlüsselwort aus.
    6. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Variablenfilter

Dieses Element legt fest, ob im Report nur Variablen zur Auswahl angeboten werden, die die gleiche Maßeinheit wie das Effizienzklassenmodell besitzen.

Um den Variablenfilter zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Variablenfilter.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    Filter nach Effizienzklassenmodell-Maßeinheit: Auswahl der Variablenfilterung.
    Aktivieren Sie die Checkbox. Damit werden im Report Launcher nur Variablen angeboten, die dem Filter entsprechen.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen für Variablen mit Maßeinheit-Filter (von Archiven) zur Verfügung stehen.

Sortierung Effizienzklassen

Dieses Element legt fest, ob die Effizenzklassen im Report aufsteigend (niedrigster Wert = Bester Wert) oder absteigend (niedrigster Wert = schlechtester Wert) sortiert werden.

Um die Sortierung Effizienzklassen zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Sortierung Effizienzklassen.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf EfficiencyClassOrdering.
    2. Verfügbare Werte: Konfiguration der verfügbaren Sortierungsoptionen. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl.
      Sie können ausschließlich die angezeigten Texte für die Sortierung ändern. Die Darstellung erfolgt immer entweder aufsteigend oder absteigend, eine Änderung ist hier nicht möglich.
    3. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Eigenschaft auf Effizienzklassen Reihenfolge (EfficiencyClassOrder).
    4. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Verdichtungsfunktion

Dieses Element legt fest, welche Verdichtungsfunktionen für den Report zur Verfügung stehen.

Um Verdichtungsfunktionen auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Verdichtungsfunktion.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf AggregationFunction.
    2. Verfügbare Werte: Konfiguration der verfügbaren Komprimierungsfunktionen. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl.
      Wählen Sie alle verfügbaren Komprimierungsfunktionen aus.
    3. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Komprimierungsfunktionen im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Gleich wie verfügbare Werteliste.
    4. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Einstellung auf Komprimierungsfunktion (CompressionFunction).
    5. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Verdichtungsintervall

Dieses Element legt fest, welche Verdichtungsintervalle für den Report zur Verfügung stehen.

Um Verdichtungsintervalle auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Verdichtungsintervall.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf AggregationInterval.
    2. Verfügbare Werte: Konfiguration der verfügbaren Komprimierungsintervalle. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl.
      Wählen Sie alle verfügbaren Werte aus.
    3. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Komprimierungsfunktionen im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Gleich wie verfügbare Werteliste.
    4. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Einstellung auf Verdichtung (Compression).
    5. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Connector

Dieses Element legt fest, welcher Connector verwendet wird.

Um den Connector auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Connector.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Connector: Auswahl des Connectors aus der Dropdownliste.
      Wählen Sie SCADA Runtime Connector.


Design und Bereitstellung

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Kombination von 2 Reportvorlagen > Design und Bereitstellung

Analog zur Konfiguration eines Reports mit einem Dataset können Sie jetzt das Report-Design konfigurieren und den Report dann bereitstellen.

Report Design

Für das Design benutzen wir in diesem Beispiel den Konfigurationsassistenten.
Klick auf Generiere Layout im Ribbon Design erstellt die benötigen Reportelemente.
Als Reportelemente werden angelegt:

  • Trend-Diagramm
  • Effizienklassendiagramm
  • Effizienklassenmodell-Tabelle
  • Klassifizierungstabelle für aktuellen Wert

Report bereitstellen

Sie können den Report jetzt für Anwender bereitstellen. Danach kann er im Browser aufgerufen und entsprechend Ihren Vorgaben konfiguriert und angezeigt werden.


Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume

In diesem Beipiel konfigurieren Sie einen Report vom Typ Archivbasierender Effizienz-Report als Vergleichsreport für 2 Zeiträume. Beide Zeiträume sollen aufeinanderfolgen und die gleiche Zeitspanne umfassen.
Um diesen Report einsetzen zu können:

  1. Erstellen Sie einen neuen Report vom Typ Archivbasierender Effizienz-Report.
  2. Konfigurieren Sie die Zeitfilter-Einstellungen.
  3. Konfigurieren Sie die Report-Einstellungen.
  4. Konfigurieren Sie das Design für die Ausgabe im Report Launcher.
  5. Speichern Sie den Report und stellen Sie ihn bereit.

Noch in diesem Kapitel

Report erstellen

Report konfigurieren

Report-Design

Report bereitstellen


Report erstellen

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume > Report erstellen

Um einen neuen Report vom Typ Archivbasierender Effizienz-Report zu erstellen:

  1. Klicken Sie auf der Startseite oder im Menü Datei auf Neuer Report.

    Der Dialog zur Auswahl einer Reportvorlage wird geöffnet.

  2. Wählen Sie als Thema in der Dropdownliste Effizienzklassen Analyse.
  3. Wählen Sie als Reportvorlage in der Dropdownliste Archivbasierender Effizienz-Report.
  4. Klicken Sie auf OK.

    Die Reportvorlage wird im ZAMS zur Konfiguration geöffnet.


Report konfigurieren

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume > Report konfigurieren

Im linken Bereich der Reportvorlage befinden sich die Report-Einstellungen. Diese konfigurieren Sie mit den Eigenschaften im rechten Bereich. Dazwischen befindet sich der Designbereich. In diesem legen Sie fest, wie der Report im Report Launcher dargestellt wird.

In der Regel konfigurieren Sie die Report-Einstellungen einfach von oben nach unten.
Beachten Sie: Manche Report-Einstellungen hängen von anderen ab oder definieren Filter für andere Report-Einstellungen.
Wird ein Konfigurationselement ausgewählt, dann werden dessen Abhängigkeiten mit farbigen Pfeilen angezeigt:

  • Oranger Pfeil: Dieses Element wird vom ausgewählten Element verwendet.
  • Blauer Pfeil: Dieses Element benötigt das ausgewählte Element.

Konfigurieren Sie jetzt den Report.

Report benennen und Ablagepfad konfigurieren

Geben Sie dem Report einen aussagekräftigen Namen für die Darstellung im Report Launcher.

Hinweis: Das ist der Name, der im Report im Report Launcher angezeigt wird. Dieser kann sich vom Namen, unter dem die Reportdefinition gespeichert wird, unterscheiden. Beachten Sie bei der Konfiguration von mehrsprachigen Projekten, dass der Name in allen Sprachen funktionieren muss.

Um den Report zu benennen:

  1. Klicken Sie in die Kopfzeile mit dem Reportnamen. Standardmäßig wird dieser als Neuer Report angezeigt.

    In den Eigenschaften werden die dazugehörigen Eigenschaften angezeigt.

  2. Klicken Sie in das Feld neben Reportname.
  3. Geben Sie den gewünschten Namen ein.
    Für dieses Beispiel wählen wir Effizienz-Vergleichsreport.

Per Default wird der Report im Stammordner Report Launcher abgelegt. Definieren Sie einen für Sie sinnvollen Ablageordner im Report Launcher.

Um den Ablagepfad zu konfigurieren:

  1. Klicken Sie auf Reportpfad.
  2. Klicken Sie auf die Schaltfläche ....

    Der Dialog zur Eingabe eines Reportpfades wird geöffnet.

  3. Konfigurieren Sie den Pfad.
    Für dieses Beispiel wählen wir Effizienzanalyse.

Noch in diesem Kapitel

Zeitfilter konfigurieren

Report-Einstellungen konfigurieren


Zeitfilter konfigurieren

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume > Report konfigurieren > Zeitfilter konfigurieren

Der Zeitfilter legt fest, für welchen Zeitbereich ein Report erstellt wird. Es können bis zu 5 Zeitfilter pro Report erstellt werden. Diese Zeitfilter können zusammengehörige Varianten eines Zeitfilters und/oder voneinander unabhängige Zeitfilter sein. Jeder Zeitfilter kann individuell konfiguriert werden. Abhängige Varianten übernehmen die Haupteinstellungen des Zeitfilters, dem sie zugeordnet sind, und sind in zeitlicher Folge aneinandergereiht.

Für diesen Report werden zwei Zeitfilter definiert, wobei der zweite Zeitfilter dem ersten untergeordnet ist.

Primärer Zeitfilter

Konfigurieren Sie zuerst den primären Zeitfilter:

  1. Klicken Sie auf das Konfigurationselement Timefilter.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Zeitfiltername: Name des Zeitfilters.
      Initial heißt dieser immer Timefilter. Achten Sie auf aussagekräftige Namen. So können Sie den Zeitfilter bei Verwendung mehrer Zeitfilter jederzeit korrekt zuordnen.
      Wählen Sie für dieses Beispiel ZF_Hauptfilter.
    2. Zeitfiltertyp: Auswahl der Art des Zeitfilters.
      Mit Klick auf die Schaltfläche ... öffnen Sie den Dialog zur Konfiguration. Wählen Sie für dieses Beispiel einen Relativzeitfilter.
    3. Granularität: Auswahl der Granularität des Zeitfilters aus der Dropdownliste.
      Wählen Sie für dieses Beispiel Minute.
    4. Standard-Einstellungen: Konfiguration der Standard-Einstellungen.
      Mit Klick auf die Schaltfläche ... öffnen Sie den Dialog zur Konfiguration. Ändern Sie für dieses Beispiel die Rückblickzeit auf 1 Stunde.
    5. Zeitbereich: Vergeben Sie als Name in der Eigenschaft Anzeigename im Report Zeitbereich (TimeRange).
    6. Parameterbereich Bezeichnungen: Konfigurieren Sie die Bezeichnungen.

Abhängiger Zeitfilter

Definieren Sie den sekundären Zeitfilter und konfigurieren diesen:

  1. Klicken Sie auf das Zeitfiltersymbol rechts neben dem Zeitfilter.
    Ein untergeordneter Zeitfilter wird angelegt und eingerückt dargestellt.
  2. Klicken Sie auf den neuen Zeitfilter.
  3. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Zeitfiltername: Name des Zeitfilters.
      Wählen Sie für dieses Beispiel ZF_Untergeordnet.
    2. Zeitbereich: Vergeben Sie als Anzeigename im Report einen neuen Eintrag.
      Dazu klicken Sie auf die Schaltfläche ... und erstellen in der Sprachtabelle das neue Schlüsselwort TimeRangeComparison mit dem entsprechenden Spracheintrag Zeitbereich (Vergleich) und wählen diesen aus.
    3. Parameterbereich Bezeichnungen: Für dieses Beispiel legen Sie wieder neue Einträge in der Sprachtabelle an und vergeben diese an:

      Von: Von (Vergleich)(FromComparison)
      Bis: Bis (Vergleich)(ToComparison)


Report-Einstellungen konfigurieren

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume > Report konfigurieren > Report-Einstellungen konfigurieren

Konfigurieren Sie jetzt die Einstellungen für den Report.

Projekt

Dieses Element legt fest, welche Projekte für den Report zur Verfügung stehen.

Um Projekte auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Projekt.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf ProjectDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Projects.
    3. Mehrfachauswahl: Konfiguration ob der Anwender im Report Launcher mehrere Werte auswählen kann oder nur einen.
      Aktivieren Sie die Checkbox.
    4. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Projekte im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Nach Bezeichnung (aufsteigend).
    5. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Einstellung auf Projekte (Projects).
    6. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen für Archive (von Projekten) zur Verfügung stehen.

Archive (von Projekten)

Dieses Element konfiguriert die Auswahl- und Darstellungsoptionen für die Archive im Report.

Um Archive (von Projekten) zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Archive (von Projekten).
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf ProjectBasedArchivesDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Archives.
    3. Mehrfachauswahl: Einstellung, ob im Report mehrere Archive ausgewählt werden können oder nur Eines.
      Lassen Sie die Checkbox leer.
    4. Sortierreihenfolge: Einstellung, in welcher Reiheinfolge die Archive im Report zur Auswahl angeboten werden.
      Belassen Sie die Einstellung auf Nach Bezeichnung (aufsteigend).
    5. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Eigenschaft auf Archiv (Archive).
    6. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die verfügbaren Eigenschaften hängen ab von den Einstellungen für Projekt.
  • Die Konfiguration definiert, welche Einstellungen für Variablen mit Maßeinheit-Filter (von Archiven) zur Verfügung stehen.
  • Effizienzklassen-Name

Effizienzklassen-Name

Dieses Element legt fest, welche Effizienzklassenmodelle für den Report zur Verfügung stehen.

Um Effizienzklassenname zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Effizienzklassenname.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Effizienzklassen-Name: Dient zur Namensfilterung auf Effizienzklassen-Modelle im Report.
      Belassen Sie die Einstellung auf *. Damit stehen alle verfügbaren Effizienzklassen-Modelle im Report zur Verfügung.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Effizienzklassen im Effizienzklassenmodell zur Verfügung stehen.

Maßeinheit Effizienzklassenmodell

Dieses Element legt fest, ob nur Effizienzklassenmodelle mit definierter Maßeinheit für den Report zur Verfügung stehen.

Um Maßeinheit Effizienzklassenmodell zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Maßeinheit Effizienzklassenmodell .
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Maßeinheit Effizienzklassenmodell: Dient zur Filterung auf Maßeinheiten der Effizienzklassen-Modelle im Report.
      Belassen Sie die Einstellung auf *, damit alle verfügbaren Effizienzklassen-Modelle im Report zur Verfügung stehen.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Effizienzklassen im Effizienzklassenmodell zur Verfügung stehen.

Effizienzklassenmodell

Dieses Element legt fest, wie die Effizienzklassenmodelle zur Auswahl im Report angeboten werden.

Um das Effizienzklassenmodell zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Effizienzklassenmodell.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf EfficiencyClassModelDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf EfficiencyClassModel.
    3. Sortierreihenfolge: Einstellung, in welcher Reiheinfolge die Archive im Report zur Auswahl angeboten werden.
      Belassen Sie die Einstellung auf Nach Bezeichnung (aufsteigend).
    4. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Eigenschaft auf Effizienzklassen-Modell (EfficiencyClassModel).
    5. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen für Variablen mit Maßeinheit-Filter (von Archiven) zur Verfügung stehen.

Archivkomprimierung

Dieses Element legt fest, welche Archivdaten für den Report zur Verfügung stehen.

Um die Archivkomprimierung zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Archivkomprimierung.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Archivkomprimierung: Auswahl der Komprimierung.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Rohdaten (Basisarchiv).

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen für Variablen (von Anlagengruppen) zur Verfügung stehen.

Variablenfilter

Dieses Element legt fest, ob im Report nur Variablen zur Auswahl angeboten werden, die die gleiche Maßeinheit wie das Effizienzklassenmodell besitzen.

Um den Variablenfilter zu konfigurieren:

Klicken Sie auf das Konfigurationselement Variablenfilter.

  1. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    Filter nach Effizienzklassenmodell-Maßeinheit: Auswahl der Variablenfilterung.
    Lassen Sie die Checkbox leer.

Abhängigkeiten:

  • Die Konfiguration definiert, welche Einstellungen für Variablen (von Archiven mit Maßeinheitenfilter) zur Verfügung stehen.

Sortierung Effizienzklassen

Dieses Element legt fest, ob die Effizenzklassen im Report aufsteigend (niedrigster Wert = Bester Wert) oder absteigend (niedrigster Wert = schlechtester Wert) sortiert werden.

Um die Sortierung Effizienzklassen zu konfigurieren:

  1. Klicken Sie auf das Konfigurationselement Sortierung Effizienzklassen.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf EfficiencyClassOrdering.
    2. Verfügbare Werte: Konfiguration der verfügbaren Sortierungsoptionen. Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl.
      Sie können ausschließlich die angezeigten Texte für die Sortierung ändern. Die Darstellung erfolgt immer entweder aufsteigend oder absteigend, eine Änderung ist hier nicht möglich.
    3. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Eigenschaft auf Effizienzklassen Reihenfolge (EfficiencyClassOrder).
    4. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Variablen (von Archiven mit Maßeinheitenfilter)

Dieses Element legt fest, wie Variablen zur Auswahl im Report angeboten werden.

Um Variablen mit Maßeinheit-Filter (von Archiven) auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Variablen mit Maßeinheit-Filter (von Archiven).
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Filtername: Eingabe des Filternamens.
      Belassen Sie den Namen auf EfficiencyClassAndArchiveBasedVariablesDataset.
    2. Parametername: Anzeige und Konfiguration des Parameternamens.
      Belassen Sie den Namen auf Variables.
    3. Mehrfachauswahl: Konfiguration ob der Anwender im Report Launcher mehrere Werte auswählen kann oder nur einen.
      Aktivieren Sie die Checkbox.
    4. Sortierreihenfolge: Konfiguration der Reihenfolge, in der die Variablen im Report Launcher angezeigt werden.
      Belassen Sie die Einstellung auf dem vorgegebenen Wert Nach Bezeichnung (aufsteigend).
    5. Anzeigename im Report: Auswahl des Anzeigenamens der Einstellung im Report Launcher.
      Klick auf die Schaltfläche ... öffnet die Sprachtabelle.
      Belassen Sie die Einstellung auf Variablen (Variables).
    6. Direkten Wert verwenden: Ermöglicht es, einen Wert in ZAMS vorzugeben, der dann im Report verwendet wird. Im Report Launcher kann der Wert nicht mehr konfiguriert werden.
      Lassen Sie die Checkbox leer.

Connector

Dieses Element legt fest, welcher Connector verwendet wird.

Um den Connector auszuwählen:

  1. Klicken Sie auf das Konfigurationselement Connector.
  2. Wechseln Sie zu den Eigenschaften und konfigurieren Sie:

    1. Connector: Auswahl des Connectors aus der Dropdownliste.
      Wählen Sie SCADA Runtime Connector.


Report-Design

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume > Report-Design

Nachdem Sie die Report-Einstellungen konfiguriert haben, legen Sie fest, welche Eingabeelemente sowie Tabellen und/oder Grafiken im Report Launcher verfügbar sein sollen.

Dazu konfigurieren Sie den Designbereich.
Hinweis: Die Konfiguration im Designbereich zeigt, wie der Report ungefähr im Report Launcher angeboten wird, entspricht aber nicht exakt der endgültigen Darstellung.

Um den Designbereich zu konfigurieren:

  1. Legen Sie fest, welche Bereiche im Report Launcher zur Verfügung stehen.
    Dazu klicken Sie im Kopfbereich auf die Schaltflächen Reportname anzeigen und Parameterbereich anzeigen.
    Belassen Sie in diesem Beispiel die Einstellungen auf Standard.
  2. Definieren Sie die Anzahl und Art der Kontrollelemente.
  3. Fügen Sie Tabellen und/oder Grafiken ein.

Diese Konfiguration können Sie mit Assistenten vorbereiten oder zur Gänze manuell durchführen.

Im Beispiel wird die Konfiguration mit dem Assistenten durchgeführt und punktuell modifiziert.

Konfiguration mit Assistent

Um die Konfiguration mit Assistenten vorzubereiten:

  1. Öffnen Sie die Registerkarte Design.
  2. Klicken Sie auf Generiere Layout.
    Es werden automatisch erstellt:
    • Parameter entsprechend dem konfigurierten Report.
    • Standardelemente für Grafiken und Tabellen entsprechend dem konfigurierten Report.
    • Je Zeitbereich werden die Elemente einmal - untereinander - angeordnet.

    Hinweis: bereits bestehende Konfigurationen werden entfernt und durch die Standardkonfiguration ersetzt.

  3. Die beiden Zeitbereiche ZF_Hauptfilter und ZF_Untergeordnet werden als Zeitbereich dargestellt. Die Darstellung soll auf Von-Bis-Darstellung umgeändert werden.
    1. Klicken Sie im Parameterbereich auf den Zeitfilter ZF_Hauptfilter.
    2. Klicken Sie im Ribbon auf den Button Teilen. Der Zeitbereich wird auf zwei Spalten aufgeteilt
    3. Konfigurieren Sie die linke Spalte.
      Zellenelement: Wählen Sie Von aus.
  4. Konfigurieren Sie die rechte Spalte.
    1. Filter: Wählen Sie Zeitfilter aus.
    2. Zellenelement (obere Auswahl): Wählen Sie ZF_Hauptfilter aus.
    3. Zellenelement (untere Auswahl): Wählen Sie Bis aus.
  5. Wiederholen Sie die Zeitfilterkonfiguration mit dem Zeitfilter ZF_Untergeordnet.
  6. Bei Bedarf können Sie mit Klick auf die Charts oder die Tabellen Detailänderungen durchführen. Im Beispiel lassen wir diese Einstellungen unverändert.


Report bereitstellen

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Vergleichsreport: Archivbasierender Effizienzklassenreport für 2 Zeiträume > Report bereitstellen

Sie können den Report jetzt für Anwender bereitstellen. Danach kann er im Browser aufgerufen und entsprechend Ihren Vorgaben konfiguriert und angezeigt werden.

Um den Report bereitzustellen:

  1. Wechseln Sie in die Registerkarte Report.
  2. Klicken Sie auf Bereitstellen.

    Enthält der Report noch ungespeicherte Konfigurationen, werden Sie zum Speichern aufgefordert.
    Der Report wird bereitgestellt.
    Die Abläufe werden in der Statuszeile und im Ausgabefenster dokumentiert.

  3. Klicken Sie auf Report öffnen im Abschnitt Report Launcher.

    Der Report wird im Browser geöffnet.

Beispiel des erstellten Reports im Report Launcher:


Beispiel zenon Demoprojekt

zenon Analyzer > Reportvorlagen > Beispiele für Reportkonfiguration > Beispiel zenon Demoprojekt

Auf dem Installationsmedium finden Sie ein zenon Beispielprojekt und Reports, die dieses Projekt als Datenquelle nutzen.

Um den zenon Analyzer kennen zu lernen empfehlen wir, den Arbeitsbereich des Beispielprojekts im zenon zu öffnen und das Zusammenspiel mit den Reports auszuprobieren.

  1. Starten Sie die Runtime.
  2. Sie sehen im Startbildschirm eine F&B Flaschenbefüllanlage.

  3. Schalten Sie um zum Line Overview mit:
    • Online-Status
    • Graphic Analysis
    • Counter

Die Daten aus dem Bild Counter werden direkt in den Reports verarbeitet.


Mitgelieferte Reportvorlagen

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen

Mit dem zenon Analyzer werden - je nach Lizenzierung - vorkonfigurierte Reportvorlagen zur Erzeugung von Reports mit dem ZAMS mitgeliefert. Reportvorlagen werden im ZAMS konfiguriert. Details zu den Eingabeelementen finden Sie bei der jeweiligen Reportvorlage und im Kapitel Elemente im Reportbereich.

Hinweis für Entwickler von Reports: Diese Reports nutzen Stored Procedures und User Defined Funcion Blocks, die in der Dokumentation für Entwickler beschrieben werden.

info Info

Umgang mit Zeitintervall bei Archivverdichtung und Anzeige im Report:

  • Intervall kleiner/gleich 60 Minuten:
    Bei der Verdichtung wird auf korrekten Zeitintervall in UTC geachtet.
  • Intervall größer als 60 Minuten:
    Bei der Verdichtung wird auf korrekten Zeitintervall in Server-Lokalzeit geachtet.
  • Bei der Darstellung wird immer Lokalzeit verwendet. Befinden sich Anwender und Server in unterschiedlichen Zeitzonen, können sich Abweichungen ergeben.

Reportvorlagen lizenzieren

Um Reportvorlagen nutzen zu können, müssen diese lizenziert sein. Es stehen verschiedene Lizenzpakete zur Verfügung. Details zu Lizenzen für Reportthemen und Reportvorlagen entnehmen Sie der Preisliste oder kontaktieren Sie Ihren COPA-DATA Ansprechpartner.

Mitgelieferte Reportvorlagen

Folgende Reportvorlagen stehen zur Verfügung:

Alarm- und Ereignisanalyse

Reportvorlagen für die Auswertung von Alarmen und Ereignissen.

  • Alarmliste: Erzeugt eine tabellarische Alarmliste für einen Zeitbereich.
  • TOP N Alarme: Holt eine definierte Anzahl (N) von Alarmen, die in einem Zeitbereich am häufigsten gekommenen bzw. am längsten angestandenen sind.
  • Top N Alarme gruppiert: Holt alle Alarme im Zeitbereich, gruppiert sie nach dem eingestellten Kriterium (z.B Alarmklasse) und stellt die N Gruppierungen mit den meisten Alarmen bzw. mit der längsten Anstehdauersumme der Alarme dar.
  • Alarmverdichtung: Stellt verdichtete Alarmdaten in Diagrammen und Tabellen dar.
  • Ereignisliste: Erzeugt eine tabellarische Ereignisliste für einen Zeitbereich.
  • Top N Ereignisse: Holt eine definierte Anzahl (N) von Ereignissen, die in einem Zeitbereich am häufigsten aufgetreten sind.
  • Top N Ereignisse gruppiert: Holt alle Ereignisse im Zeitbereich, gruppiert sie nach dem eingestellten Kriterium (z.B Ereignisklasse) und stellt die N Gruppierungen mit den meisten Ereignissen dar.

Analyse mit benutzerdefinierten Formeln

Reportvorlagen für benutzerdefinierte Formeln.

  • Trend mit benutzerdefinierten Formeln: Trenddarstellung benutzerdefinierter Formeln für einen Zeitbereich.
  • Trend Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter benutzerdefinierter Formeln für einen Zeitbereich.
  • Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter, benutzerdefinierter Formeln für einen Zeitbereich.

Archivanalyse

Reportvorlagen für die Auswertung und direkte oder verdichtete Darstellung von Archivdaten.

  • Archivtrend: Holt Archivdaten für einen Zeitbereich und stellt diese unverdichtet in einem Trend dar.
  • Trend Archivverdichtung: Holt Archivdaten für einen Zeitbereich, verdichtet diese in Intervallen im Zeitbereich und stellt sie als Trend dar.
  • Archivverdichtung: Holt Archivdaten für einen Zeitbereich, verdichtet diese und und stellt jedes der Verdichtungsergebnisse separat dar.
  • Archivverteilung: Holt Archivdaten für eine Variable, runden diese auf einen einstellbaren Rundungsfaktor und stellen die Verteilung der Werte dar.

Effizienzklassen Analyse

Reportvorlagen für Effizienzanalysen basierend auf Effizenzklassenmodellen in Verbindung mit Archiven, Anlagen oder benutzerdefinierten Formeln.

  • Archivbasierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Archivdaten für einen bestimmten Zeitraum durch.
  • Anlagengruppe basierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Anlagengruppen für einen Zeitraum durch.
  • Formelbasierender Effizienz-Report: Führt eine formelbasierte Effizienzanalyse für einen bestimmten Zeitraum durch.

Energiedaten-Management

Reportvorlagen aus den Themen Archivanalyse, Effizienzklassen Analyse, Erweiterte Archivanalyse und ISO 50001 für die Analyse von Energiedaten-Management Systemen.

Archivanalyse:

  • Archivtrend
  • Archivverdichtung

Effizienzklassen Analyse

  • Archivbasierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Archivdaten für einen bestimmten Zeitraum durch.
  • Anlagengruppe basierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Anlagengruppen für einen Zeitraum durch.

Erweiterte Archivanalyse:

  • Archivverdichtung mit Anlagengruppen- und Variablenauswahl
  • Trend Archivverdichtung pro Anlagengruppe
  • Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl
  • Verteilung pro Variable
  • Kostenverteilung pro Anlagenmodell

ISO 50001:

  • Dauerlinie mit Variablenauswahl
  • Dauerlinien für Anlagengruppen

Erweiterte Archivanalyse

Reportvorlagen für Archivverdichtung oder Archivverteilung unter Berücksichtigung von Preisen, Normwerten und Produktionszählern.

  • Archivtrend mit Anlagengruppen- und Variablenauswahl: Erstellt eine Trendanalyse ohne Verdichtung für einen Zeitraum mit einem Trend für jede Variable.
  • Archivtrend pro Anlagengruppe: Erstellt eine Trendanalyse ohne Verdichtung für einen Zeitraum mit einem Trend für jede Anlagengruppe.
  • Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Trend Archivverdichtung pro Anlagengruppe: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jedes Anlagenmodell.
  • Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Berechnet für jede Variable verdichtete Archivdaten für einen Zeitraum mit den Verdichtungsfunktionen Summe, Durchschnitt, Minimum und Maximum.
  • Archivverdichtung pro Anlagengruppe: Berechnet für jede Anlagengruppe verdichtete Archivdaten für einen Zeitraum mit den Verdichtungsfunktionen Summe, Durchschnitt, Minimum und Maximum.
  • Archivtrend mit Grenzen mit Variablenauswahl: Wertet Trends mit Grenzwerten und Grenzwertverletzungen für Trends aus.
  • Trend Archivverdichtung mit Grenzen mit Variablenauswahl: Wertet verdichtete Trends mit Grenzwerten und Grenzwertverletzungen für verdichtete Trends aus.
  • Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl zum Standard: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum für eine Variable mit einem Vergleich mit Standardwerten.
  • Relative Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Relative Archivverdichtung pro Anlagengruppe: Berechnet verdichtete Verteilungsdaten für Anlagengruppen für einen Zeitraum.
  • Kostenverdichtung mit Anlagengruppen- und Variablenauswahl: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Kostenverdichtung pro Anlagengruppe: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Anlagenmodellen basiert.

ISO 50001

Reportvorlagen für ISO 50001:

  • Dauerlinie mit Variablenauswahl: Erstellt eine Dauerlinie, die auf Variablenauswahl basiert.
  • Dauerlinie für Anlagengruppen: Erstellt eine Dauerlinie, die auf Variablenauswahl per Anlagengruppe basiert.
  • Rasterdiagramm: Holt und verdichtet Daten für ein Rasterdiagramm.
  • Sankey-Diagramm: Liest die Sankey-Definitionen aus, holt und verdichtet Daten, integriert bei Bedarf dynamische Verlusterkennung und stellt das Ergebnis als Diagramm oder Tabelle dar.

Plus alle Reportvorlagen aus den Themen Effizienzklassen Analyse, Erweiterte Archivanalyse und Analyse mit benutzerdefinierten Formeln.

Linienbasierte Produktionsanalyse

Reportvorlagen für Linienbasierte Produktionsanalyse:

  • Gantt-Diagramm: Analysiert Chargen, Schichten und Variablen - durch Meanings spezifiziert, aus AML, CEL oder Archiv - und stellt das Ergebnis als Gantt-Diagramm und tabellarisch dar.
  • Gantt-Diagramm mit Bereichs-Zuordnung: Analysiert Chargen, Schichten und Variablen und stellt das Ergebnis als Gantt-Diagramm und tabellarisch dar. Variablen werden durch Bedeutungen aus AML, CEL oder Archiv spezifiziert. Numerische Werte werden aus REMA-STATENAMES abgeleiteten Klassen zugeordnet.
  • Verlustzeitenanalyse der Linie (mit Chargenverfolgung): Wertet Verlustzeiten auf Linien mit Chargenverfolgung aus und gibt die Chargenverläufe auf den Maschinen der Linie aus.
  • Produktivitätsindikatoren-Analyse der Linie (mit Chargenverfolgung): Wertet Produktivitätsindikatoren auf Linien mit Chargenverfolgung aus und gibt die Chargenverläufe auf den Maschinen der Linie aus.
  • Umfassende Produktivitätsanalyse der Linie (mit Chargenverfolgung): Kombiniert die Vorlagen Verlustzeitenanalyse der Linie (mit Chargenverfolgung) und Produktivitätsindikatoren-Analyse der Linie (mit Chargenverfolgung). Analysiert Archivdaten und berechnet verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Verlustzeitenanalyse der Linie (ohne Chargenverfolgung): Analysiert Archivdaten und berechnet verdichtete Verlustzeiten für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfall-Modell.
  • Produktivitätsindikatoren-Analyse der Linie (ohne Chargenverfolgung): Analysiert Archivdaten und berechnet verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitätsanalyse der Linie (ohne Chargenverfolgung): Kombiniert die Vorlagen Verlustzeitenanalyse der Linie (ohne Chargenverfolgung) und Produktivitätsindikatoren-Analyse der Linie (ohne Chargenverfolgung). Analysiert Archivdaten und berechnet verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Verlustzeiten-Chargenhistorie der Linie (mit Chargenverfolgung): Analysiert Archivdaten und berechnet verdichtete Verlustzeiten für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Produktivitätsindikatoren-Chargenhistorie der Linie (mit Chargenverfolgung): Analysiert Archivdaten und berechnet verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitäts-Chargenhistorie der Linie (mit Chargenverfolgung): Kombiniert die Vorlagen Verlustzeiten-Chargenhistorie der Linie (mit Chargenverfolgung) und Produktivitätsindikatoren-Chargenhistorie der Linie (mit Chargenverfolgung). Analysiert Archivdaten und berechnet die verdichteten Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.

Maschinenbasierte Produktionsanalyse

Reportvorlagen für die Analyse von Verlustzeiten und Produktivität, basierend auf Standards:

  • Verlustzeiten Analyse: Analysiert Archivdaten und berechnet verdichtete Verlustzeiten für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfallmodell.
  • Produktivitätsindikatoren Analyse: Analysiert Archivdaten und berechnet verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitätsanalyse: Kombiniert die Reportvorlagen Verlustzeiten Analyse und Produktivitätsindikatoren Analyse.
  • Verlustzeiten Chargenhistorie: Analysiert Archivdaten und berechnet verdichtete Verlustzeiten für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Produktivitätsindikatoren Chargenhistorie: Analysiert Archivdaten und berechnet verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitäts-Chargenhistorie: Kombiniert die Vorlagen Verlustzeiten Chargenhistorie und Produktivitätsindikatoren Chargenhistorie.

OEE-Analyse

Reportvorlagen für die Berechnung und Darstellung von OEE Kennzahlen:

  • OEE-Kennzahl: Berechnet die OEE-Kennzahlen für ein gewähltes Anlagenmodell in einem Zeitraum und stellt die Kennzahlen grafisch dar.
  • OEE-Kennzahl Chargenarchiv: Berechnet die OEE-Kennzahlen für ein gewähltes Anlagenmodell für jede Charge in einem Zeitraum und stellt die Kennzahlen grafisch und tabellarisch dar.

Predictive Analytics

Reportvorlagen für Prognosen:

  • Prognosetrend pro Variable: Zeigt historische Daten und Prognosedaten als Trend pro Variable.
  • Prognosetrend pro Anlagengruppe: Zeigt historische Daten und Prognosedaten als Trend pro Anlagengruppe.
  • Verdichteter Prognosetrend pro Variable: Zeigt verdichtete historische Daten und verdichtete Prognosedaten als Trend pro Variable.
  • Verdichteter Prognosetrend pro Anlagengruppe: Zeigt verdichtete historische Daten und verdichtete Prognosedaten als Trend pro Anlagengruppe.
  • Prognoseverdichtung pro Variable: Zeigt verdichtete historische Daten und verdichtete Prognosedaten pro Variable.
  • Prognoseverdichtung pro Anlagengruppe: Zeigt verdichtete Prognosedaten pro Anlagengruppe.
  • Relative Prognoseverdichtung pro Variable: Zeigt verdichtete historische Relativdaten und verdichtete Prognose-Relativdaten pro Variable.
  • Relative Prognoseverdichtung pro Anlagengruppe: Zeigt verdichtete historische Relativdaten und verdichtete Prognose-Relativdaten pro Anlagengruppe.
  • Prognose Kostenverdichtung pro Variable: Zeigt verdichtete historische Kostendaten und verdichtete Prognose-Kostendaten pro Variable.
  • Prognose Kostenverdichtung pro Anlagengruppe: Zeigt verdichtete historische Kostendaten und verdichtete Prognose-Kostendaten pro Anlagengruppe.
  • Prognose Streudiagramm: Erstellt ein Streudiagramm von 2 Indikatoren und zeigt deren prognostizierten Werte.
  • Prognose Streudiagramm mit Referenzkurve: Erstellt ein Streudiagramm mit Referenzkurve von 2 Indikatoren und zeigt deren prognostizierten Werte.
  • Prognosemodell Trainingsverlauf: Erstellt einen Report für Trainingsverlauf und -diagnose.

Soll-Ist-Analyse

Reportvorlagen für den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten:

  • Soll-Ist-Verdichtungstrend (absolut): Vergleicht zwei Variablen bzw. eine Variable (Ist) mit einer Norm (Soll). Berechnet Absolutzähler und stellt diese dar.
  • Soll-Ist-Verdichtungstrend (relativ): Vergleicht zwei Variablen bzw. eine Variable (Ist) mit einer Norm (Soll). Berechnet Relativzähler und stellt diese dar.
  • Streudiagramm: Erstellt ein Streudiagramm eines Wertepaars für einen Zeitraum.
  • Streudiagramm mit Referenzkurve: Erstellt ein Streudiagramm für den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten.

Statistische Analyse

Reportvorlagen für statistische Analysen von Daten:

  • Prozessfähigkeit: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Mittelwerten und Standardabweichungen.
  • Prozessfähigkeit basierend auf Rohdaten: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Messwerten.
  • Prozessfähigkeits-Trend: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Mittelwerten und Standardabweichungen und stellt die Ergebnisse als Trend dar. Die Berechnung der Trenddarstellung für Cp und Cpk kann entweder über einen Zeitintervall oder über eine Stichprobengröße erfolgen.
  • Prozessfähigkeits-Trend basierend auf Rohdaten: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Messwerten und stellt Cp- und Cpk-Ergebnisse als Trend dar. Die Berechnung der Trenddarstellung für Cp und Cpk kann entweder über einen Zeitintervall oder über eine Stichprobengröße erfolgen.
  • Regelkarte: Stellt eine Regelkarte dar, basierend auf archiviertem Mittelwert und Standardabweichung einer Messgröße.
  • Regelkarte basierend auf Rohdaten: Stellt eine Regelkarte dar, basierend auf einer archivierten Messgröße.
  • Boxplot: Wertet archivierte Variablen statistisch aus. Die Variablen können entweder über Archive oder über Anlagengruppen adressiert werden.
  • XY-Trend basierend auf Variablen: Stellt einen XY-Trend mit Auswahl der Variablen für X und Y dar.
  • XY-Trend basierend auf Bedeutungen: Stellt einen XY-Trend für mehrere Anlagengruppen dar. Die Variablen für X und Y werden auf Basis von Bedeutungen gesucht.
  • Histogramm: Erstellen Histogramme für archivierte Variablen.

Wasserkraftwerk Analyse

Reportvorlagen die diverse Zähler für Wasserkraftwerke ermitteln und darstellen.

  • Betriebszeit pro Betriebsmodus und Maschinenkomponente: Berechnet Betriebszeiten für die einzelnen Betriebsmodi einer Maschine und Maschinenkomponenten.
  • Betriebszeit pro Betriebsmodus oder Frequenzregelung: Berechnet Betriebszeiten für eine Maschine inklusiver jener Zeiten, in denen die Maschine entweder im Betriebs- oder im Frequenzregelungsmodus gelaufen ist.
  • Betriebszeit pro Maschinenkomponente: Analysiert absolute Betriebszeiten von Komponenten einer Anlage oder mehrere Anlagen seit deren letzten Tausch und seit deren letzten Inspektion.
  • Betriebszeit pro Lastbereich: Berechnet Betriebszeiten für eine Maschine pro Lastbereich.
  • Schaltspiele Leistungsschalter (Schaltanlage - Einzelauswahl): Berechnet Schaltspiele für Leistungsschalter mit Einzelauswahl von Anlagenmodellen.
  • Schaltspiele Leistungsschalter (Leistungsschalter - Mehrfachauswahl): Berechnet Schaltspiele für Leistungsschalter mit Mehrfachauswahl von Anlagenmodellen.
  • Wirk- und Blindleistungszähler (übergeordnete Maschine - Einzelauswahl): Berechnet Zählerwerte für Wirk- und Blindleistung auf Basis einer Anlagengruppe mit Untergruppen.
  • Wirk- und Blindleistungszähler (Maschinen - Mehrfachauswahl): Berechnet Zählerwerte für Wirk- und Blindleistung auf Basis ausgewählter Anlagengruppen.
  • Netzfrequenz: Berechnet Zeitzähler für unterschiedliche Frequenzbänder der Netzfrequenz einer Maschine.
  • Ereigniszähler für Maschinen (Maschine - Einzelauswahl): Berechnet Zähler für verschiedene Ereignisse, die auf einer Maschine vorkommen können.
  • Ereigniszähler für Sollwertänderungen (Maschinen - Mehrfachauswahl): Ermittelt Zähler für verschiedene Maschinenereignisse: Ein- und Ausschalten sowie Änderungen des Sollwerts.
  • Ereigniszähler für Umschaltungen des Düsenmodus (Maschinen - Mehrfachauswahl): Ermittelt Zähler für verschiedene Maschinenereignisse: Ein- und Ausschalten sowie Änderungen des Düsenmodus.
  • Ereigniszähler für Lastabwurf - Wirkleistungsbereiche (Maschinen - Mehrfachauswahl): Ermittelt Zähler für verschiedene Maschinenereignisse: Ein- und Ausschalten sowie Lastabwurf in konfigurierbaren Wirkleistungsbereichen.
  • Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche (Maschinen - Mehrfachauswahl): Ermittelt Zähler für verschiedene Maschinenereignisse: Ein- und Ausschalten sowie Lastabwurf in konfigurierbaren Turbinengeschwindigkeitsbereichen.
  • Starts der Maschinensätze: Zeigt Starts der Maschinensätze für Turbinen- und Pumpbetrieb.

Aus Thema Soll-Ist-Analyse:

  • Streudiagramm: Erstellt ein Streudiagramm für den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten.

Streudiagramm mit Referenzkurve: Erstellt ein Streudiagramm eines Wertepaars für einen Zeitraum.

Windkraftwerk Analyse

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die diverse Zähler für Windkraftwerke ermitteln und darstellen:

  • Windrose: Stellt verdichtete Indikatorwerte von Anlagengruppen dar, gruppiert nach Windrichtung.

Aus Thema Soll-Ist-Analyse:

  • Streudiagramm: Erstellt ein Streudiagramm für den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten.
  • Streudiagramm mit Referenzkurve: Erstellt ein Streudiagramm eines Wertepaars für einen Zeitraum.

Hinweis zu Reports und Aktionen mit SP/UDF

Während eine SP oder UDF vom ZAMS in der Datenbank überschrieben wird, ist sie für die Dauer dieses Vorgangs nicht vorhanden. Das kann zu Fehlern beim Ausführen bestehender Reports führen, wenn diese genau in diesem Moment zwischen Löschen und neu Erstellen versuchen, auf die SP bzw. UDF zuzugreifen.

Empfehlung: Führen Sie keine Reports aus, während mit dem ZAMS Aktionen ausgeführt werden, die Reports betreffen. Vor allem, wenn das ZAMS:

  • Reports bereitstellt
  • die Connector-Funktionen in der Datenbank aktualisiert
  • den SQL-Connector erstellt

Noch in diesem Kapitel

Alarm- und Ereignisanalyse

Analyse mit benutzerdefinierten Formeln

Archivanalyse

Effizienzklassen Analyse

Energiedaten-Management

Erweiterte Archivanalyse

ISO 50001

Linienbasierte Produktionsanalyse

Maschinenbasierte Produktionsanalyse

OEE-Analyse

Predictive Analytics

Soll-Ist-Analyse

Statistische Analyse

Wasserkraftwerk Analyse

Windkraftwerk Analyse

Fehlerbehandlung

Metadaten, Stored Procedures und User Defined Functionblocks


Alarm- und Ereignisanalyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die bei der Auswertung von Alarmen und Ereignissen unterstützen:

  • Alarmliste: Erzeugt eine tabellarische Alarmliste für einen Zeitbereich.
  • TOP N Alarme: Holt eine definierte Anzahl (N) von Alarmen, die in einem Zeitbereich am häufigsten gekommenen bzw. am längsten angestandenen sind.
  • Top N Alarme gruppiert: Holt alle Alarme im Zeitbereich, gruppiert sie nach dem eingestellten Kriterium (z.B Alarmklasse) und stellt die N Gruppierungen mit den meisten Alarmen bzw. mit der längsten Anstehdauersumme der Alarme dar.
  • Alarmverdichtung: Stellt verdichtete Alarmdaten in Diagrammen und Tabellen dar.
  • Ereignisliste: Erzeugt eine tabellarische Ereignisliste für einen Zeitbereich.
  • Top N Ereignisse: Holt eine definierte Anzahl (N) von Ereignissen, die in einem Zeitbereich am häufigsten aufgetreten sind.
  • Top N Ereignisse gruppiert: Holt alle Ereignisse im Zeitbereich, gruppiert sie nach dem eingestellten Kriterium (z.B Ereignisklasse) und stellt die N Gruppierungen mit den meisten Ereignissen dar.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Alarmanalyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Noch in diesem Kapitel

Alarmliste

Top N Alarme

Top N Alarme gruppiert

Alarmverdichtung

Ereignisliste

Top N Ereignisse

Top N Ereignisse gruppiert

Voraussetzungen und Projektierung in zenon


Alarmliste

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Alarmliste

Reports, die auf dieser Vorlage beruhen, erzeugen eine tabellarische Alarmliste für einen Zeitbereich. Dabei ist die Alarmfilterung nach folgenden Kriterien möglich

Vorausgesetzt wird ein zenon Projekt mit Alarmen.
Je nach Ausprägung mit:

  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Anlagengruppen
  • Kommentaren
  • Alarmursachen

Anwendungsbeispiele

Reports vom Typ Alarmliste eignen sich zum Beispiel für:

Alarmauswertung

Filter
  • einer Maschine in einem bestimmten Zeitraum

Anlagengruppe
  • der dringlichsten Alarme

Alarm-/Ereignisklassen
  • spezifischer Alarmgruppen, wie Notstopps, Maschinenfehler, externe Fehler, …

Alarm-/Ereignisgruppen
  • für eine Produktionscharge

Chargen
  • einer Schicht

Schicht
  • der Alarme mit spezifischen Alarmkommentaren

Alarm-/Ereigniskommentar
  • der Alarmursachen

Alarmursache

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset AmlCel_AlarmList.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Alarm-/Ereignisklassen Vorfilter
  • Alarm-/Ereignisklassen
  • Alarm-/Ereignisgruppen Vorfilter
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen-Namen
  • Connector
  • Daten für Alarmursachen
  • Alarmursache

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Alarm-/Ereigniskommentar
  • Alarmursache
  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Alarm310_List
    • Alarm_ParseClassGroupFilter
      - SplitStringToInt
    • Alarm_ParseCommentFilter
    • GetAlarmCausesFromTextList
    • GetGuidConnectorInput
    • GetMetaDataConnectorInput
    • ParseEquipmentGroupFilter
      - SplitStringToInt
      - GetFullEquipmentGroupName
    • SplitStringToGuid
    • SplitStringToInt

Settings:

  • ListAlarmClasses
  • ListAlarmGroups
  • ListProjects
  • ListAlarmCauses
  • ListEquipmentTree


Top N Alarme

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Top N Alarme

Reports, die auf dieser Vorlage basieren, holen eine definierte Anzahl (N) von Alarmen, die in einem Zeitbereich am häufigsten gekommenen bzw. am längsten angestandenen sind. Dabei werden verschiedene Arten der Alarmfilterung ermöglicht. Optional kann die Berechnung der Anstehzeit auch geplante Stillstandszeiten, die durch Schichtpausen und Schichtlücken (Zeit zwischen zwei Schichten) entstehen, berücksichtigen. Die Alarmfilterung nach folgenden Kriterien ist möglich:

  • häufigsten Alarme pro Projekt
  • häufigsten Alarme pro Projekt und Alarmklasse
  • häufigsten Alarme pro Projekt und Alarmgruppe
  • häufigsten Alarme pro Projekt und Anlagengruppe
  • Längste Alarmdauer pro Projekt
  • Längste Alarmdauer pro Projekt und Alarmklasse
  • Längste Alarmdauer pro Projekt und Alarmgruppe
  • Längste Alarmdauer pro Projekt und Anlagengruppe

Anwendungsbeispiele

Reports vom Typ Top N Alarme eignen sich zum Beispiel für:

Alarmauswertung

Filter
  • der häufigsten Alarme einer Maschine in einem bestimmten Zeitraum

Anlagengruppen
  • der häufigsten dringlichen Alarme

Alarmklassen
  • der häufigsten Alarme, die zu Notstopps, Maschinenfehler usw. geführt haben

Alarmgruppen
  • der häufigsten Alarme während einer Produktionscharge

Chargen
  • der häufigsten Alarme während einer Schicht

Schicht
  • der am längsten angestandenen Alarme einer Maschine in einem bestimmten Zeitraum

Anlagengruppen
  • der am längsten angestandenen dringlichen Alarme

Alarmklassen
  • der am längsten angestandenen Alarme, die zu Notstopps, Maschinenfehlern usw. geführt haben

Alarmgruppen
  • der am längsten angestandenen Alarme während einer Produktionscharge

Chargen
  • der am längsten angestandenen Alarme während einer Schicht

Schicht

Voraussetzungen

Für die Konfiguration wird ein zenon Projekt mit Alarmen vorausgesetzt.
Dieses sollte enthalten: Alarmgruppen, Alarmklassen, Anlagengruppen, Alarmkommentare und Alarmursachen.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset AmlCel_TopNAlarm.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Schichtunterbrechungsbereinigung
  • Projekt
  • Alarm-/Ereignisklassen Vorfilter
  • Alarm-/Ereignisklassen
  • Alarm-/Ereignisgruppen Vorfilter
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen-Namen
  • Defaultwert für N
  • Top N Berechnung
  • Alarm Rückblickzeit
  • Connector
  • Daten für Alarmursachen
  • Alarmursache

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Projekte
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Anlagengruppen
  • Alarm-/Ereigniskommentar
  • Alarmursache
  • Anzahl von Alarmen/Ereignissen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle
  • Verdichtungsdiagramm (Säule, Keis):
    • Seriendefinition: Alarm-Identifikation
    • Wertspalte: Alarmzeit netto, Alarmzeit brutto, Alarmanzahl

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Alarm310_TopN:
    • Alarm_ParseClassGroupFilter:

      - SplitStringToInt

    • Alarm_ParseCommentFilter
    • Alarm310_GetSecondsWithoutShift:

      GetTotalSeconds

    • GetAlarmCausesFromTextList
    • GetGuidConnectorInput
    • GetMetaDataConnectorInput
    • GetTotalSeconds
    • ParseEquipmentGroupFilter:

      - SplitStringToInt

      - GetFullEquipmentGroupName

    • SplitStringToGuid
    • SplitStringToInt

Settings:

  • ListProjectsWithShift
  • ListAlarmClasses
  • ListAlarmGroups
  • ListAlarmCauses
  • ListEquipmentTree


Top N Alarme gruppiert

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Top N Alarme gruppiert

Reports, die auf dieser Vorlage basieren, holen eine definierte Anzahl (N) von Alarmen, die in einem Zeitbereich am häufigsten gekommenen oder am längsten angestandenen sind und zeigen diese gruppiert an.

Voraussetzungen

Für die Konfiguration wird ein zenon Projekt mit Alarmen vorausgesetzt.
Dieses sollte enthalten: Alarmgruppen, Alarmklassen, Anlagengruppen, Alarmkommentare und Alarmursachen.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset AmlCel_TopNAlarm_Grouped.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Schichtunterbrechungsbereinigung
  • Projekt
  • Alarm-/Ereignisklassen Vorfilter
  • Alarm-/Ereignisklassen
  • Alarm-/Ereignisgruppen Vorfilter
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen-Namen
  • Anlagenmodelle für Ausgabe
  • Defaultwert für N
  • Top N Berechnung
  • Alarmgruppierung
  • Alarm Rückblickzeit
  • Connector
  • Daten für Alarmursachen
  • Alarmursache

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Projekte
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Anlagengruppen
  • Alarm-/Ereigniskommentar
  • Alarmursache
  • Anzahl von Alarmen/Ereignissen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
    Mit folgenden Spalten:
    • Gruppierung
    • Anzahl absolut
    • Anzahl relativ
    • Summe der Brutto-Anstehdauer der Alarme absolut
    • Summe der Brutto-Anstehdauer der Alarme relativ
    • Summe der Netto-Anstehdauer der Alarme absolut
    • Summe der Netto-Anstehdauer der Alarme relativ
  • Paretodiagramm (Säule)
    Erweiterte Ausgabe für einen der folgenden Aspekte:
    • Anzahl der Alarme
    • Summe der Brutto-Anstehdauer der Alarme
    • Summe der Netto-Anstehdauer der Alarme

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Alarm_TopNGrouped
    • Alarm_ParseClassGroupFilter:

      - SplitStringToInt

    • Alarm_ParseCommentFilter
    • Alarm310_GetSecondsWithoutShift:

      GetTotalSeconds

    • GetAlarmCausesFromTextList
    • GetGuidConnectorInput
    • GetMetaDataConnectorInput
    • GetTotalSeconds
    • ParseEquipmentGroupFilter:

      - SplitStringToInt

      - GetFullEquipmentGroupName

    • SplitStringToGuid
    • SplitStringToInt

Settings:

  • ListProjectsWithShift
  • ListAlarmClasses
  • ListAlarmGroups
  • ListAlarmCauses
  • ListEquipmentTree


Alarmverdichtung

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Alarmverdichtung

Reports, die auf dieser Vorlage beruhen, stellen verdichtete Alarmdaten in Diagrammen und Tabellen dar.

Voraussetzungen

Für die Konfiguration wird ein zenon Projekt mit Alarmen vorausgesetzt.
Dieses sollte enthalten: Alarmgruppen, Alarmklassen, Anlagengruppen, Alarmkommentare und Alarmursachen.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset AmlCel_AlarmAggregation.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Schichtunterbrechungsbereinigung
  • Projekt
  • Alarm-/Ereignisklassen Vorfilter
  • Alarm-/Ereignisklassen
  • Alarm-/Ereignisgruppen Vorfilter
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen-Namen
  • Gruppierung und Überlappungsbereinigung
  • Alarm Rückblickzeit
  • Connector
  • Daten für Alarmursachen
  • Alarmursache

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Projekte
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Anlagengruppen
  • Alarm-/Ereigniskommentar
  • Alarmursache

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle
  • Verdichtungsdiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset

  • Alarm310_Aggregate:
    • Alarm_GetGroupingInfo
    • Alarm_GetOutputGroupingInfo
    • Alarm_ParseClassGroupFilter:

      - SplitStringToInt

    • Alarm_ParseCommentFilter
    • Alarm310_GetSecondsWithoutShift:

      GetTotalSeconds

    • GetAlarmCausesFromTextList
    • GetGuidConnectorInput
    • GetMetaDataConnectorInput
    • GetTotalSeconds
    • ParseEquipmentGroupFilter:

      - SplitStringToInt

      - GetFullEquipmentGroupName

    • SplitStringToGuid
    • SplitStringToInt

Settings:

  • ListProjectsWithShift
  • ListAlarmClasses
  • ListAlarmGroups
  • ListAlarmCauses
  • ListEquipmentTree


Ereignisliste

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Ereignisliste

Reports, die auf dieser Vorlage beruhen, erzeugen eine tabellarische Alarmliste für einen Zeitbereich. Dabei ist die Alarmfilterung nach folgenden Kriterien möglich

Anwendungsbeispiele

Reports vom Typ Ereignisliste eignen sich zum Beispiel für:

Ereignisauswertung

Filter
  • einer Maschine in einem bestimmten Zeitraum

Anlagengruppe
  • der dringlichsten Ereignisse

Alarm-/Ereignisklassen
  • spezifischer Ereignisgruppen, wie Notstopps, Maschinenfehler, externe Fehler usw.

Alarm-/Ereignisgruppen
  • für eine Produktionscharge

Chargen
  • einer Schicht

Schicht
  • der Alarme mit spezifischen Alarmkommentaren

Alarm-/Ereigniskommentar

Voraussetzungen

Für die Konfiguration wird ein zenon Projekt mit Ereignissen vorausgesetzt.
Je nach Ausprägung mit:

  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Anlagengruppen
  • Kommentaren

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset AmlCel_EventList.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Alarm-/Ereignisklassen Vorfilter
  • Alarm-/Ereignisklassen
  • Alarm-/Ereignisgruppen Vorfilter
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen-Namen
  • Ereignistyp
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • Event310_List
    • Alarm_ParseClassGroupFilter
      - SplitStringToInt
    • Alarm_ParseCommentFilter
    • GetMetaDataConnectorInput
    • ParseEquipmentGroupFilter
      - SplitStringToInt
      - GetFullEquipmentGroupName
    • SplitStringToInt

Settings:

  • ListProjects
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree


Top N Ereignisse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Top N Ereignisse

Reports, die auf dieser Vorlage beruhen, holen eine definierte Anzahl (N) von Ereignissen, die in einem Zeitbereich am häufigsten gekommenen sind. Dabei werden verschiedene Arten der Ereignisfilterung ermöglicht. Die Ereignisfilterung nach folgenden Kriterien ist möglich:

  • häufigsten Ereignisse pro Projekt
  • häufigsten Ereignisse pro Projekt und Ereignisklasse
  • häufigsten Ereignisse pro Projekt und Ereignisgruppe
  • häufigsten Ereignisse pro Projekt und Anlagengruppe

Anwendungsbeispiele

Reports vom Typ Ereignisliste eignen sich zum Beispiel für:

Ereignisauswertung

Filter
  • der häufigsten Ereignisse auf einer Maschine in einem bestimmten Zeitraum

Anlagengruppe
  • der häufigsten dringlichen Ereignisse

Alarm-/Ereignisklassen
  • der häufigsten Ereignisse, die zu spezifischen Ereignissen geführt haben, wie Notstopps, Maschinenfehler, externe Fehler usw.

Alarm-/Ereignisgruppen

Voraussetzungen

Für die Konfiguration wird ein zenon Projekt mit Ereignissen vorausgesetzt.
Je nach Ausprägung mit:

  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Anlagengruppen
  • Kommentaren

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset AmlCel_TopNEvent.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Alarm-/Ereignisklassen Vorfilter
  • Alarm-/Ereignisklassen
  • Alarm-/Ereignisgruppen Vorfilter
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen-Namen
  • Defaultwert für N
  • Ereignistyp
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen
  • Anzahl von Alarmen/Ereignissen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle
  • Verdichtungsdiagramm (Säule, Keis):
    • Seriendefinition: Alarm-Identifikation
    • Wertspalte: Alarmzeit netto, Alarmzeit brutto, Alarmanzahl

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Event310_TopN
    • Alarm_ParseClassGroupFilter
      - SplitStringToInt
    • Alarm_ParseCommentFilter
    • GetMetaDataConnectorInput
    • ParseEquipmentGroupFilter
      - SplitStringToInt
      - GetFullEquipmentGroupName
    • SplitStringToInt

Settings:

  • ListProjects
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree


Top N Ereignisse gruppiert

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Top N Ereignisse gruppiert

Reports, die auf dieser Vorlage beruhen, holen eine definierte Anzahl (N) von Ereignissen, die in einem Zeitbereich am häufigsten gekommenen sind und zeigen diese gruppiert an.

Voraussetzungen

Für die Konfiguration wird ein zenon Projekt mit Ereignissen vorausgesetzt.
Je nach Ausprägung mit:

  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Anlagengruppen
  • Kommentaren

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset AmlCel_TopNEvent_Grouped.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Alarm-/Ereignisklassen Vorfilter
  • Alarm-/Ereignisklassen
  • Alarm-/Ereignisgruppen Vorfilter
  • Alarm-/Ereignisgruppen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen-Namen
  • Anlagenmodelle für Ausgabe
  • Defaultwert für N
  • Ereignisgruppierung
  • Ereignistyp
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Alarm-/Ereignisgruppen
  • Alarm-/Ereignisklassen
  • Alarm-/Ereigniskommentar
  • Anlagengruppen
  • Anzahl von Alarmen/Ereignissen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
    Mit folgenden Spalten:
    • Gruppierung
    • Anzahl absolut
    • Anzahl relativ
  • Paretodiagramm (Säule)
    Erweiterte Ausgabe für Anzahl der Ereignisse

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Event_TopNGrouped
    • Alarm_ParseClassGroupFilter
      - SplitStringToInt
    • Alarm_ParseCommentFilter
    • GetMetaDataConnectorInput
    • ParseEquipmentGroupFilter
      - SplitStringToInt
      - GetFullEquipmentGroupName
    • SplitStringToInt

Settings:

  • ListProjects
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas verwenden zenon Standards. Eine spezielle Konfiguration der verwendeten Module ist nicht nötig.

Noch in diesem Kapitel

In zenon benötigte Module

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Alarmmeldeliste
  • Chronologische Ereignisliste

Alarmmeldeliste

Generierung

Alarme werden erzeugt über

  • Grenzwerte auf Variablen
  • mit Variablen verknüpfte Reaktionsmatrizen

Nutzung

Für die Nutzung im zenon Analyzer gilt:

  • Alarme können verknüpft werden mit:
    • Alarmklassen aus dem Globalprojekt
    • Alarmgruppen aus dem Globalprojekt
    • Alarmursachen aus dem Lokalprojekt
  • Variablen, von denen die Alarme kommen, können mit Anlagengruppen verknüpft werden.
  • Es können Kommentare für Alarme eingegeben werden.
  • Beim Quittieren von Alarmen können als Benutzer verwendet werden:
    • zenon Benutzer aus dem Globalprojekt
    • zenon Benutzer aus dem Lokalprojekt
    • Active Directory Benutzer

Chronologische Ereignisliste

Generierung

Ereignisse werden erzeugt:

  • über Grenzwerte auf Variablen
  • über mit Variablen verknüpfte Reaktionsmatrizen
  • vom System

Nutzung

Für die Nutzung im zenon Analyzer gilt:

  • Ereignisse für Grenzwerte oder Reaktionsmatrizen können verknüpft werden mit:
    • Alarmklassen aus dem Globalprojekt
    • Alarmgruppen aus dem Globalprojekt
  • Variablen, von denen die Ereignisse kommen, können mit Anlagengruppen verknüpft werden.
  • Es können Kommentare für Alarme eingegeben werden.
  • Es können Kommentare für Ereignisse eingegeben werden.
  • Bei Ereignissen können als Benutzer verwendet werden:
    • zenon Benutzer aus dem Globalprojekt
    • zenon Benutzer aus dem Lokalprojekt
    • Active Directory Benutzer


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report | zenon Modul
Alarmliste | Alarmmeldeliste
Top N Alarme | Alarmmeldeliste
Alarmverdichtung | Alarmmeldeliste
Ereignisliste | Chronologische Ereignisliste
Top N Ereignisse | Chronologische Ereignisliste


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Alarm- und Ereignisanalyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Ausgangslage

Die Ausgangslage:

  • In einem zenon Projekt stehen verschiedene Variablen von Treibern zur Verfügung.
  • Im gleichen Arbeitsbereich steht ein Globalprojekt zur Verfügung.
  • Für die Benutzerverwaltung wurde ein Active Directory verknüpft.
  • Je Variable ist bekannt, welche Zustände Alarme sind und wie diese in Gruppen oder Klassen kategorisiert werden sollen.

Ziel

Ziele der Projektierung:

  • Gemäß den bekannten Informationen sollen Alarme erzeugt werden.
  • Alarme müssen mit einem angemeldetem Benutzer quittiert werden.
  • Beim Quittieren muss eine Alarmursache eingegeben werden.
  • Das Quittieren von Alarmen muss in der Chronologischen Ereignisliste erfasst werden.

Projektierung

Projektierung im zenon Editor:

  • Globalprojekt:
    • Alarmklassen konfigurieren.
    • Alarmgruppen konfigurieren.
  • Lokalprojekt:
    • Bild für Alarmmeldeliste erstellen und mit einer Bildumschaltung verknüpfen.
    • Bild Kontextliste für Alarmursachen erstellen und mit einer Bildumschaltung verknüpfen.
    • Grenzwerte und Reaktionsmatrizen für die Variablen mit entsprechenden Einstellungen konfigurieren:
      Alarmklasse
      Alarmgruppe
      quittierpflichtig
      braucht Alarmursache
      Quittier-Ebene für Benutzer
      Quittieren in Chronologische Ereignisliste eintragen

Bedienung zur Runtime:

  1. Bild für Kontextliste aufschalten.
  2. Einträge für Alarmursachen definieren.
  3. Daten speichern.

Ab jetzt können Alarme mit Alarmursachen versehen und quittiert werden.

Endergebnis

Der Arbeitsbereich im zenon Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Alle Reports dieses Themas können im ZAMS erstellt und im Report Launcher angezeigt werden.


Analyse mit benutzerdefinierten Formeln

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Analyse mit benutzerdefinierten Formeln

Reports dieses Themas stellen Reportvorlagen für benutzerdefinierte Formeln zur Verfügung:

  • Trend mit benutzerdefinierten Formeln: Trenddarstellung benutzerdefinierter Formeln für einen Zeitbereich.
  • Trend Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter benutzerdefinierter Formeln für einen Zeitbereich.
  • Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter, benutzerdefinierter Formeln für einen Zeitbereich.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Analyse mit benutzerdefinierten Formeln.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Benutzerdefinierte Formeln in ZAMS konfigurieren

Um benutzerdefinierte Formeln in einen Report dieses Themas in ZAMS zu konfigurieren:

  1. Öffnen Sie eine Reportvorlage.
  2. Konfigurieren Sie den Report wie gewohnt.
  3. Öffnen Sie den Dialog Benutzerdefinierte Formeln konfigurieren.
  4. Filtern Sie die gewünschten Variablen.
  5. Fügen Sie Felder hinzu und parametrieren Sie diese.
  6. Parametrieren Sie die Kostenfelder.
  7. Fügen Sie Konstanten nach Bedarf hinzu.
  8. Erstellen Sie die Basisdatenformeln.
    • Bei Reports mit Archiverdichtung:

      Konfigurieren Sie die Verdichtungen.

    • Bei Reports mit Archivverdichtung, Trendarchivverdichtung und deren Varianten mit Vergleich:

      Parametrieren Sie die Verdichtungsformeln.

  9. Beenden Sie die Konfiguration mit Klick auf die Schaltfläche OK.
  10. Öffnen Sie den Dialog Formelergebnisse anordnen und einfärben.
  11. Sortieren Sie die Formeln.
  12. Definieren Sie, wenn gewünscht, individuelle Farben.
  13. Beenden Sie die Konfiguration mit Klick auf die Schaltfläche OK.

info Info

Formeln werden im Report Launcher vor der Ausgabe validiert.

Noch in diesem Kapitel

Trend mit benutzerdefinierten Formeln

Trend Archivverdichtung mit benutzerdefinierten Formeln

Archivverdichtung mit benutzerdefinierten Formeln

Voraussetzungen und Projektierung in zenon und zenon Analyzer


Trend mit benutzerdefinierten Formeln

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Analyse mit benutzerdefinierten Formeln > Trend mit benutzerdefinierten Formeln

Reports, die auf dieser Vorlage basieren, ermöglichen eine Auswertungen mit benutzerdefinierten Formeln als Trend.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Formula_Trend.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Benutzerdefinierte Formeln ohne Verdichtung
  • Connector

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Gruppierte Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm (Säule, Linie)
  • Verdichtungsdiagramm (Säule, Kreis)
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.
    Im Diagramm wird die Summe aller Werte der gewählten Spalte verwendet.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • CustomIndicators_Trend:
    • CustomIndicators_GetBaseData
    • CustomIndicators_PerformCalculations


Trend Archivverdichtung mit benutzerdefinierten Formeln

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Analyse mit benutzerdefinierten Formeln > Trend Archivverdichtung mit benutzerdefinierten Formeln

Reports, die auf dieser Vorlage basieren, ermöglichen eine Auswertungen mit benutzerdefinierten Formeln als verdichteter Trend.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Formula_AggregatedTrend.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Benutzerdefinierte Formeln mit Verdichtung
  • Verdichtungsintervall
  • Connector

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Gruppierte Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm (Säule, Linie)
  • Verdichtungsdiagramm (Säule, Kreis)
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.
    Im Diagramm wird die Summe aller Werte der gewählten Spalte verwendet.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • CustomIndicators_AggregatedTrend:
    • CustomIndicators_GetBaseData
    • CustomIndicators_PerformCalculations
    • CustomIndicators_PerformAggregations


Archivverdichtung mit benutzerdefinierten Formeln

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Analyse mit benutzerdefinierten Formeln > Archivverdichtung mit benutzerdefinierten Formeln

Reports, die auf dieser Vorlage basieren, ermöglichen eine verdichtete Auswertung mit benutzerdefinierten Formeln.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Formula_Aggregation.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Benutzerdefinierte Formeln mit Verdichtung
  • Connector

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Verdichtungsdiagramm (Säule, Kreis)
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • CustomIndicators_Aggregation:
    • CustomIndicators_GetBaseData
    • CustomIndicators_PerformCalculations
    • CustomIndicators_PerformAggregations


Voraussetzungen und Projektierung in zenon und zenon Analyzer

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Analyse mit benutzerdefinierten Formeln > Voraussetzungen und Projektierung in zenon und zenon Analyzer

Die Reports dieses Themas verwenden zenon Standards. Eine spezielle Konfiguration der verwendeten Module ist nicht nötig.

Noch in diesem Kapitel

Im SCADA benötigte Module

Datenmodellierung im zenon Analyzer

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


Im SCADA benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Analyse mit benutzerdefinierten Formeln > Voraussetzungen und Projektierung in zenon und zenon Analyzer > Im SCADA benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Archivierung

Archivierung

Variablenwerte können aus Basisarchiven und Verdichtungsarchiven gelesen werden.


Datenmodellierung im zenon Analyzer

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Analyse mit benutzerdefinierten Formeln > Voraussetzungen und Projektierung in zenon und zenon Analyzer > Datenmodellierung im zenon Analyzer

Für Reports dieses Themas können Daten modelliert und den zenon Variablen zugewiesen werden:

  • Preisaufzeichnung
  • Standardaufzeichnung
  • Gradtagszahlenaufzeichnung

Die Modellierung und Zuweisung erfolgt im Manual Data Editor.

Preisaufzeichnung

In der Analyzer Datenbank können Preisverläufe modelliert und Variablen zugewiesen werden.
Zuweisungen zur Variable:

  • Minimum: 0
  • Maximum 1

Standardaufzeichnung

In der Analyzer Datenbank können Standardverläufe modelliert und Variablen zugewiesen werden.
Zuweisungen zur Variable:

  • Minimum: 0
  • Maximum N

Maximal 1 zugewiesener Standardverlauf kann als Default definiert werden.

Gradtagszahlenaufzeichnung

In der Analyzer Datenbank können Gradtagszahlenverläufe modelliert und Variablen zugewiesen werden.
Zuweisungen zur Variable:

  • Minimum: 0
  • Maximum 1


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Analyse mit benutzerdefinierten Formeln > Voraussetzungen und Projektierung in zenon und zenon Analyzer > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

zenon Modul

Modellierung zenon Analyzer

Trend mit benutzerdefinierten Formeln
  • Archivierung
  • Preisaufzeichnung
  • Standardaufzeichnung
  • Gradtagszahlenaufzeichnung

Trend Archivverdichtung mit benutzerdefinierten Formeln
  • Archivierung
  • Preisaufzeichnung
  • Standardaufzeichnung
  • Gradtagszahlenaufzeichnung

Archivverdichtung mit benutzerdefinierten Formeln
  • Archivierung
  • Preisaufzeichnung
  • Standardaufzeichnung
  • Gradtagszahlenaufzeichnung


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Analyse mit benutzerdefinierten Formeln > Voraussetzungen und Projektierung in zenon und zenon Analyzer > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Ausgangslage

Es steht eine Variable für Energieverbrauch in kWh zur Verfügung.
Diese wird zyklisch archiviert:

  • stundenweise Aufzeichnung: Verbrauch der letzten 60 Minuten wird um 59 Minuten und 59 Sekunden in die Variable geschrieben
  • Aufzeichnung zur vollen Stunde

Für diesen Energieverbrauch gibt es folgende Zusatzinformationen:

  • Preishistorie: Kosten pro kWh über die Zeit
  • Maximalwert: Maximal erlaubter Verbrauch in kWh über die Zeit
  • Gradtagszahlen: Gradtagsverlauf am Standort, wo gemessen wird

Ziel

Es sollen Reports erstellt werden, die folgende Information ausgeben:

  • Energiekosten
  • Energieverbrauch im Vergleich zum Maximalwert
  • witterungsbereinigter Energieverbrauch durch Umrechnung über Gradtagszahlen

Projektierung

Die Variable wird:

  • im SCADA in einem Lokalprojekt erstellt
  • mit der Einheit kWh versehen
  • in einem zyklischen Archiv mit 1 Stunde Zykluszeit aufgezeichnet

Zwischenergebnis

Der Arbeitsbereich im SCADA-Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Alle Reports dieses Themas können damit erstellt werden. Es können jedoch noch nicht alle benötigten Informationen modelliert werden.

Einfügen der Verläufe

Folgende Verläufe werden im Manual Data Editor eingegeben und mit der in die Datenbank exportierten Variable verknüpft:

  • Preisverlauf
  • Maximalwert als Standardverlauf
  • Gradtagszahlenverlauf

Endergebnis

Alle Reports dieses Themas können im ZAMS erstellt, mit den nötigen Informationen versehen und im Report Launcher angezeigt werden.


Archivanalyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Archivanalyse

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die bei der Auswertung und direkten oder verdichteten Darstellung von Archivdaten unterstützen:

  • Archivtrend: Holt Archivdaten für einen Zeitbereich und stellt diese unverdichtet in einem Trend dar.
  • Trend Archivverdichtung: Holt Archivdaten für einen Zeitbereich, verdichtet diese in Intervallen im Zeitbereich und stellt sie als Trend dar.
  • Archivverdichtung: Holt Archivdaten für einen Zeitbereich, verdichtet diese und und stellt jedes der Verdichtungsergebnisse separat dar.
  • Archivverteilung: Holt Archivdaten für eine Variable, runden diese auf einen einstellbaren Rundungsfaktor und stellen die Verteilung der Werte dar.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Archivanalyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Metadaten

Allgemein

Metadaten | Verwendet | Wenn nicht verwendet
Projekte | + | Zwingend nötig.
Alarm-/Ereignisklassen | -- |
Alarm-/Ereignisgruppen | -- |
Benutzer | -- |
Anlagenmodellierung | -- |
Archive | + | Zwingend nötig.
Variablen | + | Zwingend nötig.
Preise | -- |
Normwerte | -- |

Zeitfilter

Metadaten | Verwendet | Wenn nicht verwendet
Chargen | + | Keine Reports mit Chargenfilter möglich.
Schichten | + | Keine Reports mit Schichtfilter möglich.

Noch in diesem Kapitel

Archivtrend

Trend Archivverdichtung

Archivverdichtung

Archivverteilung

Voraussetzungen und Projektierung in zenon


Archivtrend

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Archivanalyse > Archivtrend

Reports, die auf dieser Vorlage basieren, holen Archivdaten für einen Zeitbereich und stellen diese unverdichtet in einem Trend dar.

Anwendungsbeispiele

Reports vom Typ Archivtrend eignen sich für die Anzeige des Verlaufes aller Arten von Messwerten (wie Drücke, Temperaturen usw.) innerhalb eines frei wählbaren Zeitraums, einer Charge oder einer Schicht.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Historian_TrendPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variablen (von Archiven)
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Variablen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Gruppierte Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.
    Im Diagramm wird die Summe aller Werte der gewählten Spalte verwendet.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Archiv_GetPlainTrendData

Settings:

  • ListVariablesForArchives
  • ListArchivesForProjects
  • ListProjects


Trend Archivverdichtung

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Archivanalyse > Trend Archivverdichtung

Reports, die auf dieser Vorlage basieren, holen Archivdaten für einen Zeitbereich, verdichten diese in Intervallen im Zeitbereich und stellen sie als Trend dar.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Historian_AggregatedTrendPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variablen (von Archiven)
  • Verdichtungsfunktion
  • Verdichtungsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Projekte
  • Variablen
  • Verdichtungsfunktion
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Gruppierte Tabelle
  • Pivotierte Tabell e
  • Trend-Diagramm
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.
    Im Diagramm wird die Summe aller Werte der gewählten Spalte verwendet.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Archive_GetDynamicAggregatedTrend

Settings:

  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListProjects


Archivverdichtung

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Archivanalyse > Archivverdichtung

Reports dieser Vorlage holen Archivdaten für einen Zeitbereich, verdichten diese und stellen jede der folgenden Verdichtungsarten separat dar:

  • Summe
  • Mittelwert
  • Minimum
  • Maximum

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Historian_AggregationPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variablen (von Archiven)
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Projekte
  • Variablen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Archive_GetAggregatedData

Settings:

  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives


Archivverteilung

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Archivanalyse > Archivverteilung

Reports, die auf dieser Vorlage basieren, holen Archivdaten für eine Variable, runden diese auf einen einstellbaren Rundungsfaktor und stellen die Verteilung der Werte dar. Zusätzlich werden folgende Verdichtungsarten errechnet und mit Markern angezeigt:

  • Minimum
  • Durchschnitt
  • Maximum

Anwendungsbeispiele

Reports vom Typ Archivtrend eignen sich für die grafische Darstellung von Messwertverteilungen. Damit kann festgestellt werden, wie viele Stück einer Produktion innerhalb der erlaubten Toleranzen liegen. Zusätzlich kann bewertet werden, ob die Messwerte tendenziell nach oben oder nach unten abweichen.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Historian_Distribution.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variablen (von Archiven)
  • Verbrauchsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Projekte
  • Variablen
  • Verbrauchsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Verdichtungstabelle
  • Verteilungstabelle
  • Verteilungsdiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Archive310_GetDistributionData

Settings:

  • ListVariablesForArchives
  • ListArchivesForProjects
  • ListProjects


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Archivanalyse > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas verwenden zenon Standards. Eine spezielle Konfiguration der verwendeten Module ist nicht nötig.

Noch in diesem Kapitel

In zenon benötigte Module

Verknüpfung zenon Analyzer Reports mit SCADA

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Archivanalyse > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Archivierung

Archivierung

Variablenwerte können aus Basisarchiven und Verdichtungsarchiven gelesen werden.


Verknüpfung zenon Analyzer Reports mit SCADA

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Archivanalyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit SCADA

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report | SCADA-Modul
Archivtrend | Archivierung
Trend Archivverdichtung | Archivierung
Archivverdichtung | Archivierung
Archivverteilung | Archivierung


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Archivanalyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Ziel

Alle Reports dieses Themas sollen mit Werten aus archivierten Variablen erstellt werden können.

Projektierung

Projektierung im zenon Editor:

  • Benötigte Variablen anlegen.
  • Basisarchive anlegen und Variablen darin archivieren.
  • Bei Bedarf Verdichtungsarchive anlegen.

Endergebnis

Der Arbeitsbereich im zenon Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Alle Reports dieses Themas können im ZAMS erstellt und im Report Launcher angezeigt werden.


Effizienzklassen Analyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Effizienzklassen Analyse

Die Reportvorlagen in diesem Thema führen eine Effizienzanalyse basierend auf Effizenzklassenmodellen durch. Die Daten können basierend auf Archiven, Anlagengruppen oder Formeln verarbeitet werden.

  • Archivbasierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Archivdaten für einen bestimmten Zeitraum durch.
  • Anlagengruppe basierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Anlagengruppen für einen Zeitraum durch.
  • Formelbasierender Effizienz-Report: Führt eine formelbasierte Effizienzanalyse für einen bestimmten Zeitraum durch.

info Info

Betrachtungszeitraum und Normalisierungsintervall:

  • Anpassung Wertsumme:
    Die Haupt-SPs für diese Reportvorlagen berücksichtigen die Zeitnormalisierung des gewählten Effizienzklassenmodells. Daher muss in den SPs die Wertsumme im Betrachtungszeitraum an die Zeitnormalisierung des Modells angepasst werden. Das geschieht durch lineare Anpassung.
    Ist der Betrachtungszeitraum geringer als das Normalisierungsintervall, dann wird das Ergebnis ungenau, da zeitbedingte Schwankungen der Werte nicht mit eingerechnet werden.
  • Beispiel:
    Für 1 Tag Betrachtungszeitraum und 1 Woche Normalisierungsintervall wird die Wertsumme des Tages linear hochgerechnet und mit 7 multipliziert. Wertunterschiede zwischen Wochentag und Wochenende werden nicht einberechnet.
  • Empfehlung:
    Wählen Sie den Betrachtungszeitraum eines Reports immer größer als das Normalisierungsintervall des Effizienzklassenmodells.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Effizienzklassen Analyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Noch in diesem Kapitel

Archivbasierender Effizienz-Report

Anlagengruppe basierender Effizienz-Report

Formelbasierender Effizienz-Report

Voraussetzungen und Projektierung in zenon


Archivbasierender Effizienz-Report

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Effizienzklassen Analyse > Archivbasierender Effizienz-Report

Reports, die auf dieser Vorlage basieren, führen eine Effizienzanalyse mit Auswahl von Projekten, Archiven und Variablen durch. Die Daten werden aufgrund der Vorgaben des Effizienzklassen-Modells normalisiert.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Efficiency_VariableBased.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projekt
  • Archive (von Projekten)
  • Effizienzklassenname
  • Maßeinheit Effizienzklassenmodell
  • Effizienzklassenmodell
  • Archivkomprimierung
  • Variablenfilter
  • Sortierung Effizienzklassen
  • Variablen mit Maßeinheit-Filter (von Archiven)
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Effizienzklassenmodell
  • Effizienzklassen Reihenfolge
  • Projekte
  • Variablen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Effizienklassenmodell-Tabelle:
    Spalten:
    • Farbe der Effizienzklasse
    • Effizienzklassenname
    • Untere Grenze

    Die Zeilen sind immer gleich wie im Effizienzklassendiagramm sortiert.

  • Klassifizierungstabelle für aktuellen Wert
    Spalten:
    • Farbe der Effizienzklasse
    • Effizienzklassenname
    • Aktueller Wert

    Diese Tabelle hat nur eine Zeile mit der aktuell zugeordneten Effizienzklasse und dem aktuellen Wert.

  • Effizienzklassen-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ECM_GetArchiveBasedData
    • ECM_CalculateTimeNormalisationFactor

Settings:

  • ListEfficiencyClassModels
  • ListArchivesForProjects
    • SplitStringToInt
  • ListProjects
  • ListVariablesForArchivesWithEcmUnitFilter
    • SplitStringToInt


Anlagengruppe basierender Effizienz-Report

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Effizienzklassen Analyse > Anlagengruppe basierender Effizienz-Report

Reports, die auf dieser Vorlage basieren, führen eine Effizienzanalyse basierend auf Anlagengruppen für einen bestimmten Zeitraum durch. Die Daten werden aufgrund der Vorgaben des Effizienzklassen-Modells normalisiert. Die Effizienzdaten können in einem Effizienzklassen-Diagramm und Effizienzklassentabellen dargestellt werden.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Efficiency_EquipmentBased: Analysiert Effizienzklassen mit Anlagengruppen-Auswahl.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Effizienzklassenname
  • Maßeinheit Effizienzklassenmodell
  • Effizienzklassenmodell
  • Archivkomprimierung
  • Variablenfilter
  • Sortierung Effizienzklassen
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Effizienzklassenmodell
  • Projekte
  • Anlagengruppen
  • Effizienzklassen Reihenfolge

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Effizienklassenmodell-Tabelle
    • mit den Spalten:

      Farbe der Effizienzklasse

      Effizienzklassenname

      Untere Grenze

      Obere Grenze

    • Zeilensortierung analog Effizienzklassen-Diagramm
  • Klassifizierungstabelle für aktuellen Wert
    • mit den Spalten:

      Farbe der Effizienklasse

      Effizienklassenname

      Aktueller Wert

    • verfügt nur über eine Zeile für die zugeordnete Effizienzklasse mit aktuellem Wert
  • Effizienzklassen-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ECM_GetEquipmentBasedData
    • ECM_CalculateTimeNormalisationFactor

Settings:

  • ListEfficiencyClassModels
  • ListProjects
  • ListEquipmentTree


Formelbasierender Effizienz-Report

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Effizienzklassen Analyse > Formelbasierender Effizienz-Report

Reports, die auf dieser Vorlage basieren, führen eine formelbasierte Effizienzanalyse für einen bestimmten Zeitraum durch. Die Daten werden aufgrund der Vorgaben des Effizienzklassen-Modells normalisiert. Die Effizienzdaten können in einem Effizienzklassen-Diagramm und Effizienzklassentabellen dargestellt werden.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Efficiency_FormulaBased.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Effizienzklassenname
  • Effizienzklassenformel
  • Effizienzklassenmodell
  • Sortierung Effizienzklassen
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Effizienzklassenmodell
  • Effizienzklassen Reihenfolge

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Effizienklassenmodell-Tabelle:
    Spalten:
    • Farbe der Effizienzklasse
    • Effizienzklassenname
    • Untere Grenze

    Die Zeilen sind immer gleich wie im Effizienzklassendiagramm sortiert.

  • Klassifizierungstabelle für aktuellen Wert
    Spalten:
    • Farbe der Effizienzklasse
    • Effizienzklassenname
    • Aktueller Wert

    Diese Tabelle hat nur eine Zeile mit der aktuell zugeordneten Effizienzklasse und dem aktuellen Wert.

  • Effizienzklassen-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ECM_GetFormulaBasedData:
    • CustomIndicators_GetBaseData
    • CustomIndicators_PerformCalculations
    • CustomIndicators_PerformAggregations
    • ECM_CalculateTimeNormalisationFactor

Settings:

  • ListEfficiencyClassModels


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Effizienzklassen Analyse > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas benötigen spezielle Konfigurationen in zenon.

Noch in diesem Kapitel

In zenon benötigte Module

Datenmodellierung im zenon Analyzer

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Effizienzklassen Analyse > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Archivierung

Archivierung

Variablenwerte können aus Basisarchiven und Verdichtungsarchiven gelesen werden.

Variablen per Anlagengruppen finden

Damit eine Variable per Anlagengruppe gefunden werden kann, müssen folgende Bedingungen im zenon Editor erfüllt sein:

  • Die Variable muss archiviert werden.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.
  • Das Archiv, in dem die Variable aufgezeichnet wird, muss der gewünschten Anlagengruppe zugeordnet sein.

Achtung: Wird die Variable in mehreren Archiven aufgezeichnet, so darf nur eines davon der gewünschten Anlagengruppe zugeordnet sein. Wird beim Auflisten der archivierten Variablen für eine Variable mehr als ein Archiv erkannt, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration der SQL Elemente der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1, P2
  • Anlagengrupe: G1
  • Archive: A1, A2
  • Variablen: V1

Auffindbare Variable

Beispiel :

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen

Projekt P2:

  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Projektübergreifender Variablenbezug. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Der Variablen ist keine Anlagengruppe zugewiesen. Variable ist nicht auffindbar.

Beispiel 3:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wird nicht im Archiv aufgezeichnet. Variable ist nicht auffindbar.

Beispiel 4:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt

Ergebnis: Dem Archiv ist keine Anlagengruppe zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen

Beispiel :

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen
  • Archiv A2:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 mögliches Quellarchiv wird für die Variable gefunden. Variable ist nicht auffindbar.

Anlegen von Effizienzklassenmodellen

Effizienzklassenmodelle:

  • Können im zenon Editor in Reaktionsmatrizen konfiguriert und mit dem Analyzer Export Wizard exportiert werden.
    Details lesen Sie im Handbuch des Analyzer Export Wizards im Kapitel Efficiency classes.
  • Können im zenon Analyzer mit dem Meta Data Editor angelegt, geändert und gelöscht werden.
    Details lesen Sie im Kapitel Effizienzklassenmodelle und folgende.


Datenmodellierung im zenon Analyzer

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Effizienzklassen Analyse > Voraussetzungen und Projektierung in zenon > Datenmodellierung im zenon Analyzer

Für Reports dieses Themas können Daten modelliert und den zenon Variablen zugewiesen werden:

  • Preisaufzeichnung
  • Standardaufzeichnung
  • Gradtagszahlenaufzeichnung

Die Modellierung und Zuweisung erfolgt im Manual Data Editor.

Preisaufzeichnung

In der Analyzer Datenbank können Preisverläufe modelliert und Variablen zugewiesen werden.
Zuweisungen zur Variable:

  • Minimum: 0
  • Maximum 1

Standardaufzeichnung

In der Analyzer Datenbank können Standardverläufe modelliert und Variablen zugewiesen werden.
Zuweisungen zur Variable:

  • Minimum: 0
  • Maximum N

Maximal 1 zugewiesener Standardverlauf kann als Default definiert werden.

Gradtagszahlenaufzeichnung

In der Analyzer Datenbank können Gradtagszahlenverläufe modelliert und Variablen zugewiesen werden.
Zuweisungen zur Variable:

  • Minimum: 0
  • Maximum 1


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Effizienzklassen Analyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

zenon Modul und Konfiguration

Archivbasierender Effizienz-Report
  • Effizienzklassen
  • archivierte Variablen

Anlagengruppe basierender Effizienz-Report
  • Effizienzklassen
  • für Anlagengruppen archivierte Variable

Formelbasierender Effizienz-Report
  • Effizienzklassen
  • Formelberechnungen


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Effizienzklassen Analyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Beispiele für die Konfiguration dieser Reports finden Sie in:

Report | Kapitel
Archivbasierender Effizienz-Report | Projektierungsbeispiel Archivanalyse.
Anlagengruppe basierender Effizienz-Report | Projektierungsbeispiel Erweiterte Archivanalyse.
Formelbasierender Effizienz-Report | Projektierungsbeispiel Analyse mit benutzerdefinierten Formeln.


Energiedaten-Management

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Energiedaten-Management

Reports dieses Themas stellen Reportvorlagen aus den Themen Archivanalyse, Erweiterte Archivanalyse und ISO 50001 für die Analyse von Energiedaten-Management Systemen zur Verfügung :

Archivanalyse:

  • Archivtrend
  • Archivverdichtung

Effizienzklassen Analyse

  • Archivbasierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Archivdaten für einen bestimmten Zeitraum durch.
  • Anlagengruppe basierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Anlagengruppen für einen Zeitraum durch.

Erweiterte Archivanalyse:

  • Archivverdichtung mit Anlagengruppen- und Variablenauswahl
  • Trend Archivverdichtung pro Anlagengruppe
  • Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl
  • Verteilung pro Variable
  • Kostenverteilung pro Anlagenmodell

ISO 50001:

  • Dauerlinie mit Variablenauswahl
  • Dauerlinien für Anlagengruppen

Weitere Vorlagen für Energie-Analysen finden Sie im Thema ISO 50001.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Energiedaten-Management.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.


Erweiterte Archivanalyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse

Reports dieses Themas stellen Reportvorlagen für Archivverdichtung oder Archivverteilung unter Berücksichtigung von Preisen, Normwerten und Produktionszählern zur Verfügung. Die Verwendung der Anlagenmodellierung ist für diese Reports obligatorisch.

Für die Auswertung von Archivverdichtung oder Archivverteilung stehen zur Verfügung:

  • Archivtrend mit Anlagengruppen- und Variablenauswahl: Erstellt eine Trendanalyse ohne Verdichtung für einen Zeitraum mit einem Trend für jede Variable.
  • Archivtrend pro Anlagengruppe: Erstellt eine Trendanalyse ohne Verdichtung für einen Zeitraum mit einem Trend für jede Anlagengruppe.
  • Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Trend Archivverdichtung pro Anlagengruppe: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jedes Anlagenmodell.
  • Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Berechnet für jede Variable verdichtete Archivdaten für einen Zeitraum mit den Verdichtungsfunktionen Summe, Durchschnitt, Minimum und Maximum.
  • Archivverdichtung pro Anlagengruppe: Berechnet für jede Anlagengruppe verdichtete Archivdaten für einen Zeitraum mit den Verdichtungsfunktionen Summe, Durchschnitt, Minimum und Maximum.
  • Archivtrend mit Grenzen mit Variablenauswahl: Wertet Trends mit Grenzwerten und Grenzwertverletzungen für Trends aus.
  • Trend Archivverdichtung mit Grenzen mit Variablenauswahl: Wertet verdichtete Trends mit Grenzwerten und Grenzwertverletzungen für verdichtete Trends aus.
  • Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl zum Standard: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum für eine Variable mit einem Vergleich mit Standardwerten.
  • Relative Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Relative Archivverdichtung pro Anlagengruppe: Berechnet verdichtete Verteilungsdaten für Anlagengruppen für einen Zeitraum.
  • Kostenverdichtung mit Anlagengruppen- und Variablenauswahl: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Kostenverdichtung pro Anlagengruppe: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Anlagenmodellen basiert.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Erweiterte Archivanalyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Metadaten

Allgemein

Metadaten | Verwendet | Wenn nicht verwendet
Projekte | + | Zwingend nötig.
Alarm-/Ereignisklassen | -- |
Alarm-/Ereignisgruppen | -- |
Benutzer | -- |
Anlagenmodellierung | + | Zwingend nötig.
Archive | + | Zwingend nötig.
Variablen | + | Zwingend nötig.
Preise | + |
Normwerte | + |

Zeitfilter

Metadaten | Verwendet | Wenn nicht verwendet
Chargen | + | Keine Reports mit Chargenfilter möglich.
Schichten | + | Keine Reports mit Schichtfilter möglich.

Noch in diesem Kapitel

Archivtrend mit Anlagengruppen- und Variablenauswahl

Archivtrend pro Anlagengruppe

Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

Trend Archivverdichtung pro Anlagengruppe

Archivverdichtung mit Anlagengruppen- und Variablenauswahl

Archivverdichtung pro Anlagengruppe

Archivtrend mit Grenzen mit Variablenauswahl

Trend Archivverdichtung mit Grenzen mit Variablenauswahl

Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl zum Standard

Relative Archivverdichtung mit Anlagengruppen- und Variablenauswahl

Relative Archivverdichtung pro Anlagengruppe

Kostenverdichtung mit Anlagengruppen- und Variablenauswahl

Kostenverdichtung pro Anlagengruppe

Voraussetzungen und Projektierung in zenon


Archivtrend mit Anlagengruppen- und Variablenauswahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Archivtrend mit Anlagengruppen- und Variablenauswahl

Reports, die auf dieser Vorlage basieren, erstellen eine Trendanalyse für einen Zeitraum ohne Verdichtung. Variablen und Archive werden über Auswahl aus Projekten und Anlagengruppen gefiltert. Jeder Trend repräsentiert eine Variable. Die Daten werden als Diagramm oder Tabelle dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_TrendDataPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Variablen (von Anlagengruppen)
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Variablen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Gruppierte Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.
    Im Diagramm wird die Summe aller Werte der gewählten Spalte verwendet.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetTrendDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Archivtrend pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Archivtrend pro Anlagengruppe

Reports, die auf dieser Vorlage basieren, erstellen eine Trendanalyse für einen Zeitraum ohne Verdichtung. Variablen und Archive werden über Auswahl aus Projekten und Anlagengruppen gefiltert. Jeder Trend repräsentiert eine Anlagengruppe. Die Daten werden als Diagramm oder Tabelle dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_TrendDataPerEquipmentGroup.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Gruppierte Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.
    Im Diagramm wird die Summe aller Werte der gewählten Spalte verwendet.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetTrendDataPerEquipmentGroup

Settings:

  • ListProjects
  • ListEquipmentTree


Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

Reports, die auf dieser Vorlage basieren, holen Verbrauchsdaten für Variablen über einen Zeitbereich und stellen die Daten mit einer definierbaren Verdichtungsfunktion als Trend und tabellarisch dar.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_AggregatedTrendDataPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Variablen (von Anlagengruppen)
  • Verdichtungsfunktion
  • Verdichtungsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Variablen
  • Verdichtungsfunktion
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Gruppierte Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.
    Im Diagramm wird die Summe aller Werte der gewählten Spalte verwendet.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedTrendDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Trend Archivverdichtung pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Trend Archivverdichtung pro Anlagengruppe

Reports, die auf dieser Vorlage basieren, holen Verbrauchsdaten für alle Variablen der ausgewählten Anlagengruppe über einen Zeitbereich, summieren diese in Intervallen innerhalb des Zeitbereichs auf und stellen die Daten als Trend und tabellarisch dar.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_AggregatedTrendDataPerEquipmentGroup.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Verdichtungsfunktion
  • Verdichtungsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Verdichtungsintervall
  • Verdichtungsfunktion

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Gruppierte Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.
    Im Diagramm wird die Summe aller Werte der gewählten Spalte verwendet.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedTrendDataPerEquipment

Settings:

  • ListProjects
  • ListEquipmentTree


Archivverdichtung mit Anlagengruppen- und Variablenauswahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Archivverdichtung mit Anlagengruppen- und Variablenauswahl

Reports dieser Vorlage berechnen für jede Variable verdichtete Archivdaten für einen Zeitraum mit den Verdichtungsfunktionen Summe, Durchschnitt, Minimum und Maximum. Die Variablen werden auf Basis der Anlagengruppen gefiltert. Die Daten werden als Diagramme oder Tabellen dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_AggregationPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Variablen (von Anlagengruppen)
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Variablen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Archivverdichtung pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Archivverdichtung pro Anlagengruppe

Reports dieser Vorlage berechnen für jede Anlagengruppe verdichtete Archivdaten für einen Zeitraum mit den Verdichtungsfunktionen Summe, Durchschnitt, Minimum und Maximum. Die Variablen werden auf Basis der Anlagengruppen erkannt und pro Anlagengruppe verdichtet. Die Daten werden als Diagramme oder Tabellen dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_AggregationPerEquipmentGroup.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedDataPerEquipment

Setting:

  • ListProjects
  • ListEquipmentTree


Archivtrend mit Grenzen mit Variablenauswahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Archivtrend mit Grenzen mit Variablenauswahl

Reports, die auf dieser Vorlage basieren, werten Trends mit Grenzwerten und Grenzwertverletzungen für Trends aus.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • ExtendedHistorian_TrendWithLimitsPerVariable: Wertet Trends mit Grenzwerten aus.
  • ExtendedHistorian_TrendLimitViolationsPerVariable: Wertet Grenzwertverletzungen für Trends aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archive (von Projekten)
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Obere Grenze
  • Untere Grenze
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Projekte
  • Variablen
  • Untere Grenze
  • Obere Grenze

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Trend mit Grenzen
  • Flache Tabelle
  • Flache Tabelle mit Verletzungen der Untergrenze
  • Flache Tabelle mit Verletzungen der Obergrenze
  • Gruppierte Tabelle
  • Pivotierte Tabelle

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetTrendDataPerVariable
  • ArchiveEx_GetLimitViolationTrendDataPerVariable
    • GetArchivedVariableMeta
    • ArchiveEx_GroupLimitViolations

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Trend Archivverdichtung mit Grenzen mit Variablenauswahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Trend Archivverdichtung mit Grenzen mit Variablenauswahl

Reports, die auf dieser Vorlage basieren, werten verdichtete Trends mit Grenzwerten und Grenzwertverletzungen für verdichtete Trends aus.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • ExtendedHistorian_AggregatedTrendWithLimitsPerVariable: Wertet verdichtete Trends mit Grenzwerten aus.
  • ExtendedHistorian_AggregatedTrendLimitViolationsPerVariable: Wertet Grenzwertverletzungen für verdichtete Trends aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archive (von Projekten)
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Verdichtungsfunktion
  • Verdichtungsintervall
  • Obere Grenze
  • Untere Grenze
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Projekte
  • Variablen
  • Untere Grenze
  • Obere Grenze
  • Verdichtungsfunktion
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Trend mit Grenzen
  • Flache Tabelle
  • Flache Tabelle mit Verletzungen der Untergrenze
  • Flache Tabelle mit Verletzungen der Obergrenze
  • Gruppierte Tabelle
  • Pivotierte Tabelle

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedTrendDataPerVariable
  • ArchiveEx_GetLimitViolationTrendDataPerVariable
    • GetArchivedVariableMeta
    • ArchiveEx_GroupLimitViolations

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

Reports, die auf dieser Vorlage basieren, analysieren relative Verbräuche. Sie:

  • holen Verbrauchsdaten für Variablen über einen Zeitbereich
  • summieren diese in Intervallen innerhalb des Zeitbereichs auf
  • dividieren die Intervallsummen durch die Produktion im Intervall (wenn diese nicht 0 ist)

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_RelativeTrendPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Variablen (von Anlagengruppen)
  • Verdichtungsintervall
  • Produktionszählerkonfiguration
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Variablen
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Gruppierte Tabelle
  • Trend-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedTrendProductionDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl zum Standard

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl zum Standard

Reports, die auf dieser Vorlage basieren, analysieren den Relativverbrauchs einer Variablen im Vergleich zu einer Vorgabe aus einem Standard-Report. Diese Reports:

  • holen Verbrauchsdaten für eine Variable über einen Zeitbereich
  • summieren diese in Intervallen innerhalb des Zeitbereichs auf
  • dividieren die Intervallsummen durch die Produktion im Intervall (wenn diese nicht 0 ist)
  • holen zu Vergleichszwecken einen Normwert für die Variable aus der NORM-Tabelle und binden diesen in die Datendarstellung ein

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_RelativeTrendPerVariableToStandard.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Variablen (von Anlagengruppen)
  • Verdichtungsintervall
  • Produktionszählerkonfiguration
  • Standard
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Standard
  • Variablen
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Diagramm für Vergleich zum Standard

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx310_GetAggregatedTrendProductionNormDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListNormsForVariables


Relative Archivverdichtung mit Anlagengruppen- und Variablenauswahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Relative Archivverdichtung mit Anlagengruppen- und Variablenauswahl

Reports, die auf dieser Vorlage basieren, holen Verbrauchsdaten für Variablen über einen Zeitbereich, summieren diese und stellen die Verbrauchssummen vergleichend grafisch und tabellarisch dar.

Anwendungsbeispiele

Reports vom Typ Verteilung pro Variable eignen sich zum Beispiel für den Vergleich der Abweichung der Messwertverteilung zwischen zwei Chargen.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_RelativeAggregationPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Variablen (von Anlagengruppen)
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Variablen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Relative Archivverdichtung pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Relative Archivverdichtung pro Anlagengruppe

Reports, die auf dieser Vorlage basieren, berechnen verdichtete Verteilungsdaten für einen Zeitraum. Die Variablen werden auf Basis der Anlagengruppen erkannt und pro Anlagengruppe verdichtet. Die Darstellung erfolgt als Diagramm oder Tabelle.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_RelativeAggregationPerEquipment.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedDataPerEquipment

Setting:

  • ListProjects
  • ListEquipmentTree


Kostenverdichtung mit Anlagengruppen- und Variablenauswahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Kostenverdichtung mit Anlagengruppen- und Variablenauswahl

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für Variablen über einen Zeitbereich
  • verknüpfen die Verbrauchswerte mit den jeweils gültigen Preisen aus der Tabelle Preis, um die Kosten zu erhalten
  • summieren die Kosten

Voraussetzungen

Für die Konfiguration wird ein zenon Projekt mit Archive und Kosten vorausgesetzt. Die Kosten-Konfiguration erfolgt mit dem Manual Data Editor.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_CostAggregationPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Variablen (von Anlagengruppen)
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Variablen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedCostDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Kostenverdichtung pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Kostenverdichtung pro Anlagengruppe

Reports, die auf dieser Vorlage basieren:

  • holen Verbrauchsdaten für alle Variablen der selektierten ANlagenmodelle über einen Zeitbereich
  • verknüpfen die Verbrauchswerte mit den jeweils gültigen Preisen aus der Tabelle Preis, um die Kosten zu erhalten
  • summieren die Kosten pro Anlagenmodell

Voraussetzungen

Für die Konfiguration wird ein zenon Projekt mit Archive und Kosten vorausgesetzt. Die Kosten-Konfiguration erfolgt mit dem Manual Data Editor.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ExtendedHistorian_CostAggregationPerEquipment.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Verdichtungsdiagramm
  • Paretodiagramm:Die Wertspalte wird in der Diagrammkonfiguration ausgewählt.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ArchiveEx300_GetAggregatedCostDataPerEquipment

Settings:

  • ListProjects
  • ListEquipmentTree


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas benötigen spezielle Konfigurationen in zenon.

Noch in diesem Kapitel

Im zenon benötigte Module

Datenmodellierung in zenon Analyzer

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


Im zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Voraussetzungen und Projektierung in zenon > Im zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Variablen per Anlagengruppen
  • Variablen per Bedeutung
  • Preisaufzeichnung
  • Standardaufzeichnung

Variablen per Anlagengruppen finden

Damit eine Variable per Anlagengruppe gefunden werden kann, müssen folgende Bedingungen im zenon Editor erfüllt sein:

  • Die Variable muss archiviert werden.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.
  • Das Archiv, in dem die Variable aufgezeichnet wird, muss der gewünschten Anlagengruppe zugeordnet sein.

Achtung: Wird die Variable in mehreren Archiven aufgezeichnet, so darf nur eines davon der gewünschten Anlagengruppe zugeordnet sein. Wird beim Auflisten der archivierten Variablen für eine Variable mehr als ein Archiv erkannt, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration der SQL Elemente der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1, P2
  • Anlagengrupe: G1
  • Archive: A1, A2
  • Variablen: V1

Auffindbare Variable

Beispiel :

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen

Projekt P2:

  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Projektübergreifender Variablenbezug. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Der Variablen ist keine Anlagengruppe zugewiesen. Variable ist nicht auffindbar.

Beispiel 3:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wird nicht im Archiv aufgezeichnet. Variable ist nicht auffindbar.

Beispiel 4:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt

Ergebnis: Dem Archiv ist keine Anlagengruppe zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen

Beispiel :

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen
  • Archiv A2:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 mögliches Quellarchiv wird für die Variable gefunden. Variable ist nicht auffindbar.

Variablen per Bedeutung mit Archivanbindung finden

Damit eine Variable per Bedeutung (Meaning) mit Archivanbindung adressiert werden kann, müssen im zenon Editor folgende Bedingungen erfüllt sein:

  • Die Variable muss die gewünschte Bedeutung gesetzt haben.
    Diese werden konfiguriert in den Eigenschaften der Variablen im Knoten Analyzer, Eigenschaft Bedeutung.
  • Die Variable muss archiviert werden.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.
  • Das Archiv, in dem die Variable aufgezeichnet wird, muss der gewünschten Anlagengruppe zugeordnet sein.

Achtung: Wird die Variable in mehreren Archiven aufgezeichnet, so darf nur eines davon der gewünschten Anlagengruppe zugeordnet sein. Wird beim Auflisten der archivierten Variablen je Bedeutung für eine Variable mehr als ein Archiv erkannt, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration im ZAMS und in der SQL Elementen der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus dem zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1, P2
  • Bedeutung: meaning
  • Anlagengruppe: G1
  • Variablen: V1, V2
  • Archive: A1, A2

Auffindbare Variable

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable „V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen

Projekt P2:

  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Projektübergreifender Variablenbezug. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Bedeutung wurde nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 3:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 4:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wird nicht im Archiv aufgezeichnet. Variable ist nicht auffindbar.

Beispiel 5:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt

Ergebnis: Archiv wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen
  • Archiv A2":
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 mögliches Quellarchiv für die Variable gefunden. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Variable V2:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Variable V2 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 Variable für Bedeutung gefunden. Ob Variabler auffindbar ist, hängt vom Typ des Reports ab.


Datenmodellierung in zenon Analyzer

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Voraussetzungen und Projektierung in zenon > Datenmodellierung in zenon Analyzer

Für Reports dieses Themas können Daten modelliert und den zenon Variablen zugewiesen werden:

  • Preisaufzeichnung
  • Standardaufzeichnung

Die Modellierung und Zuweisung erfolgt im Manual Data Editor.

Preisaufzeichnung

In der Analyzer Datenbank können Preisverläufe modelliert und Variablen zugewiesen werden.
Zuweisungen zur Variable:

  • Minimum: 0
  • Maximum 1

Standardaufzeichnung

In der Analyzer Datenbank können Standardverläufe modelliert und Variablen zugewiesen werden.
Zuweisungen zur Variable:

  • Minimum: 0
  • Maximum N

Maximal 1 zugewiesener Standardverlauf kann als Default definiert werden.


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

zenon Modul

Archivtrend mit Anlagengruppen- und Variablenauswahl
  • Variablen basierend auf Anlagengruppen

Archivtrend pro Anlagengruppe
  • Variablen basierend auf Anlagengruppen

Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl

  • Variablen basierend auf Anlagengruppen

Trend Archivverdichtung pro Anlagengruppe
  • Variablen basierend auf Anlagengruppen

Archivverdichtung mit Anlagengruppen- und Variablenauswahl
  • Variablen basierend auf Anlagengruppen

Archivverdichtung pro Anlagengruppe
  • Variablen basierend auf Anlagengruppen

Archivtrend mit Grenzen mit Variablenauswahl
  • archivierte Variablen
    oder
  • per Anlagengruppe archivierte Variablen

Trend Archivverdichtung mit Grenzen mit Variablenauswahl
  • archivierte Variablen
    oder
  • per Anlagengruppe archivierte Variablen

Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl
  • Variablen basierend auf Anlagengruppen.
  • Produktionszähler per Bedeutung

Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl zum Standard
  • Variablen basierend auf Anlagengruppen.
  • Produktionszähler per Bedeutung
  • Standardaufzeichnung

Relative Archivverdichtung mit Anlagengruppen- und Variablenauswahl
  • Variablen basierend auf Anlagengruppen

Relative Archivverdichtung pro Anlagengruppe
  • Variablen basierend auf Anlagengruppen

Kostenverdichtung mit Anlagengruppen- und Variablenauswahl
  • Variablen basierend auf Anlagengruppen.
  • Preisaufzeichnung

Kostenverdichtung pro Anlagengruppe
  • Variablen basierend auf Anlagengruppen
  • Preisaufzeichnung


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Erweiterte Archivanalyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Ausgangslage

Für dieses Beispiel wird angenommen:

Es existieren folgende Projekte:

  • 1 Globalprojekt
  • 1 Lokalprojekt

Es exisiteren:

  • Verbrauchsvariablen für folgende Medien:
    • Wasser (3 Variablen)
    • Strom (2 Variablen)
  • zyklische Archivierung aller Variablen
  • 1 Produktionszähler
  • Preisverlauf für jedes Medium
  • Standardverlauf für jedes Medium

Ziel

Alle Reports dieses Themas sollen erstellt werden können.

Projektierung

In der Projektierung sind folgende Schritte nötig:

  • Anlagenmodellierung
  • Variablenkonfiguration
  • Archivkonfiguration
  • Konfiguration von Preisen und Standards

Anlagenmodellierung

Im zenon Globalprojekt werden folgende Anlagenmodelle projektiert:

Anlagenmodell Plant:

  • Anlagengruppe Production:
    • Anlagengruppe Machine

Anlagenmodell Media:

  • Anlagengruppe Water
  • Anlagengruppe Energy

Variablen

Im zenon Lokalprojekt werden folgende Variablen projektiert:

Variable | Einheit | Datentyp | Meaning | Anlagenzuweisung
ProductionCounter | Stk | FLOAT | ProductionCounter | Plant.Production.Machine
WaterConsumption1 | m3 | FLOAT |  | Media.Water
WaterConsumption2 | m3 | FLOAT |  | Media.Water
WaterConsumption3 | m3 | FLOAT |  | Media.Water
EnergyConsumption1 | kWh | FLOAT |  | Media.Energy
EnergyConsumption2 | kWh | FLOAT |  | Media.Energy

Archive

Im zenon Lokalprojekt werden folgende Archive projektiert:

Archiv | Variablen | Anlagenzuweisung
PR – Production | ProductionCounter | Plant.Production.Machine
CO – Consumption | WaterConsumption1 WaterConsumption2 WaterConsumption3 EnergyConsumption1 EnergyConsumption2 | Media.Water Media.Energy

Alle Archive arbeiten mit:

  • zyklischer Aufzeichnung mit 1 Minute Zykluszeit
  • Start/Stop mit Runtime

Zwischenergebnis

Der Arbeitsbereich im zenon Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Reports dieses Themas - ausgenommen Relativtrend zum Standard und Kosten-Reports - können erstellt werden.

Einfügen von Preisen und Standards

Folgende Verläufe werden im Manual Data Editor eingegeben und mit den in die Datenbank exportierten Variablen verknüpft:

  • Preisverläufe
  • Standardverläufe

Endergebnis

Alle Reports dieses Themas können im ZAMS erstellt, mit den nötigen Informationen versehen und im Report Launcher angezeigt werden.

Reports mit Grenzen: Nur eine Grenze verwenden

Reportvorlagen mit Grenzen sind im ZAMS immer für 2 Grenzen konfigurierbar. Die SPs validieren diese Grenzen. Diese Reportvorlagen können so konfiguriert werden, dass nur eine Grenze verwendet wird.

Konfiguration

Um im Report nur eine Grenze zu verwenden, sind folgende Schritte notwendig:

  1. Report im ZAMS erstellen und Reportvorlage einfügen.
  2. Report-Einstellung für nicht gewünschte Grenze auswählen.
  3. Eigenschaft auf Direktwert setzen.
  4. Wert eingeben, der sicher nie verletzt wird und auch keine Probleme in der Prüfung gegenüber der anderen Grenze macht.
    Empfehlung: Verwenden Sie Werte, die weit entfernt vom erwarteten Wertbereich liegen. Zum Beispiel 1000000000 als Obergrenze und -1000000000 als Untergrenze, wenn der erwartete Wertbereich zwischen 0 und 1000 liegt.
  5. Klicken Sie auf Default-Layout.
  6. Enfernen Sie in der Parameter-Anzeige die Zelle mit der nicht gewünschten Grenze.
  7. Diagramm mit Grenzen: Passen Sie die Eigenschaften so an, dass die nicht gewünschte Grenze nicht gezeichnet wird.
  8. Entfernen Sie die Tabelle mit Verletzungen für nicht gewünschte Grenze.


ISO 50001

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > ISO 50001

Reports dieses Themas stellen Reportvorlagen aus den Themen ISO50001, Erweiterte Archivanalyse und Analyse mit benutzerdefinierten Formeln zur Verfügung:

ISO 50001

  • Dauerlinie mit Variablenauswahl: Erstellt eine Dauerlinie, die auf Variablenauswahl basiert.
  • Dauerlinie für Anlagengruppen: Erstellt eine Dauerlinie, die auf Variablenauswahl per Anlagengruppe basiert.
  • Rasterdiagramm: Holt und verdichtet Daten für ein Rasterdiagramm.
  • Sankey-Diagramm: Liest die Sankey-Definitionen aus, holt und verdichtet Daten, integriert bei Bedarf dynamische Verlusterkennung und stellt das Ergebnis als Diagramm oder Tabelle dar.

Erweiterte Archivanalyse

  • Archivtrend mit Anlagengruppen- und Variablenauswahl: Erstellt eine Trendanalyse ohne Verdichtung für einen Zeitraum mit einem Trend für jede Variable.
  • Archivtrend pro Anlagengruppe: Erstellt eine Trendanalyse ohne Verdichtung für einen Zeitraum mit einem Trend für jede Anlagengruppe.
  • Trend Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Trend Archivverdichtung pro Anlagengruppe: Erstellt eine verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jedes Anlagenmodell.
  • Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Berechnet für jede Variable verdichtete Archivdaten für einen Zeitraum mit den Verdichtungsfunktionen Summe, Durchschnitt, Minimum und Maximum.
  • Archivverdichtung pro Anlagengruppe: Berechnet für jede Anlagengruppe verdichtete Archivdaten für einen Zeitraum mit den Verdichtungsfunktionen Summe, Durchschnitt, Minimum und Maximum.
  • Archivtrend mit Grenzen mit Variablenauswahl: Wertet Trends mit Grenzwerten und Grenzwertverletzungen für Trends aus.
  • Trend Archivverdichtung mit Grenzen mit Variablenauswahl: Wertet verdichtete Trends mit Grenzwerten und Grenzwertverletzungen für verdichtete Trends aus.
  • Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum mit einem Trend für jede Variable.
  • Relativtrend Archivverdichtung mit Anlagengruppen- und Variablenauswahl zum Standard: Erstellt eine relative verdichtete Trendanalyse für einen Zeitraum für eine Variable mit einem Vergleich mit Standardwerten.
  • Relative Archivverdichtung mit Anlagengruppen- und Variablenauswahl: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Relative Archivverdichtung pro Anlagengruppe: Berechnet verdichtete Verteilungsdaten für Anlagengruppen für einen Zeitraum.
  • Kostenverdichtung mit Anlagengruppen- und Variablenauswahl: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Variablen basiert.
  • Kostenverdichtung pro Anlagengruppe: Berechnet die verdichteten Kostenverteilungsdaten für einen Zeitraum, der auf Anlagenmodellen basiert.

Analyse mit benutzerdefinierten Formeln

  • Trend mit benutzerdefinierten Formeln: Trenddarstellung benutzerdefinierter Formeln für einen Zeitbereich.
  • Trend Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter benutzerdefinierter Formeln für einen Zeitbereich.
  • Archivverdichtung mit benutzerdefinierten Formeln: Trenddarstellung verdichteter, benutzerdefinierter Formeln für einen Zeitbereich.

Effizienzklassen Analyse

  • Archivbasierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Archivdaten für einen bestimmten Zeitraum durch.
  • Anlagengruppe basierender Effizienz-Report: Führt eine Effizienzanalyse basierend auf Anlagengruppen für einen Zeitraum durch.
  • Formelbasierender Effizienz-Report: Führt eine formelbasierte Effizienzanalyse für einen bestimmten Zeitraum durch.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema ISO 50001.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Noch in diesem Kapitel

Dauerlinie mit Variablenauswahl

Dauerlinien für Anlagengruppen

Rasterdiagramm

Sankey-Diagramm

Voraussetzungen und Projektierung in zenon


Dauerlinie mit Variablenauswahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > ISO 50001 > Dauerlinie mit Variablenauswahl

Reports, die auf dieser Vorlage basieren:

  • holen Daten für eine Dauerlinie
  • stellen diese als Liniendiagramm, Flächendiagramm oder Tabelle dar

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ISO50001_LoadDurationCurvePerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variablen (von Archiven)
  • Verdichtungsfunktion
  • Verdichtungsintervall
  • Verbrauchsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Projekte
  • Variablen
  • Verbrauchsintervall
  • Verdichtungsfunktion
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Dauerlinie

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ISO50001_GetLoadDurationCurveData

Settings:

  • ListArchivesForProjects
    • SplitStringToInt
  • ListProjects


Dauerlinien für Anlagengruppen

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > ISO 50001 > Dauerlinien für Anlagengruppen

Reports, die auf dieser Vorlage basieren:

  • holen Daten per Anlagengruppe für die Dauerlinie
  • stellen diese als Liniendiagramm, Flächendiagramm oder Tabelle dar

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ISO50001_LoadDurationCurvePerEquipmentGroup.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Verdichtungsfunktion
  • Verdichtungsintervall
  • Verbrauchsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Verbrauchsintervall
  • Verdichtungsfunktion
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Dauerlinie

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ISO50001_GetEquipmentLoadDurationCurveData

Settings:

  • ListProjects
  • ListEquipmentTree


Rasterdiagramm

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > ISO 50001 > Rasterdiagramm

Reports, die auf dieser Vorlage basieren:

  • holen und verdichten Daten für ein Rasterdiagramm
  • ordnen diesen Farben zu
  • stellen diese als Rasterdiagramm oder Tabelle dar

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ISO50001_CarpetPlot.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Konfiguration X/Y-Achse
  • Zeitfensterbeginn
  • Zeitfensterende
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variablen (von Archiven)
  • Verdichtungsfunktion
  • Minimalwert
  • Maximalwert
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Farbanzahl
  • Minimalwert
  • Maximalwert
  • Projekte
  • Variablen
  • Verdichtungsfunktion
  • Zeitfensterbeginn
  • Zeitfensterende

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle:
    Gruppiert nach X-Achse. Die Sortierung erfolgt nach X-Achsenwert und Y-Achsenwert. Die Sortierung kann nicht geändert werden.
    Die Spaltennamen für die Tabelle sind per Default auf XAxisPart und YAxisPart voreingestellt. Sie werden nicht von der Report-Einstellung Konfiguration X/Y-Achse abgeleitet und müssen bei der Reporterstellung angepasst werden.
  • Rasterdiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ISO50001_310_GetCarpetPlotData
  • zrsGetCompressionIntervallsCarpetPlotFiltered


Sankey-Diagramm

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > ISO 50001 > Sankey-Diagramm

Reports, die auf dieser Vorlage basieren:

  • lesen die Sankey-Definitionen aus
  • holen Daten und verdichten diese über den definierten Zeitraum
  • integrieren bei Bedarf dynamische Verlusterkennung
  • stellen das Ergebnis als Diagramm oder Tabelle dar

Reports, die auf dieser Vorlage basieren:

  • holen und verdichten Daten für ein Rasterdiagramm
  • ordnen diesen Farben zu
  • stellen diese als Rasterdiagramm oder Tabelle dar

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset ISO50001_Sankey.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Sankey-Diagramm Auswahl

  • Eigenschaften zur Wertdarstellung

    Eigenschaften

    Allgemein

    Allgemeine Eigenschaften.

    Eigenschaft

    Beschreibung

    Sortierreihenfolge

    Sortierreihenfolge im Report Launcher. Auswahl aus der Dropdownliste:

    • Nach Bezeichnung (aufsteigend)
    • Nach Bezeichnung (absteigend)
    • Nach Wert (aufsteigend)
    • Nach Wert (absteigend)
    • Gleich wie verfügbare Werteliste: Entspricht der Reihenfolge im Dataset.
    • Umgekehrte verfügbare Werteliste: Umgekehrte Reihenfolge des Datasets.
    • Default: Gleich wie verfügbare Werteliste

    Reportparameter

    Einstellungen für die Anzeige und Konfiguration des Standards im Report Launcher.

    Eigenschaft

    Beschreibung

    Parametername

    Anzeige des Namens der Eigenschaft. Kann im Feld angepasst werden.

    • Maximale Länge: 199 Zeichen

    Verfügbare Werte

    Verfügbare Werte. Nur Konfiguration der Sprachtabelle möglich. Klick auf Schaltfläche ... öffnet den Dialog zur Auswahl der Schlüsselwörter.

    Gültige Werte:

    • TakeFromModel
      Default: Wie im Sankey-Diagramm definiert
    • AbsoluteValues
      Default: Absolutwerte
    • RelativeValues
      Default: Relativwerte

    Anzeigename im Report

    Name, wie er im Report Launcher angezeigt wird.

    Klick auf die Schaltfläche ... öffnet den Dialog zur Auswahl eines Schlüsselworts. Jeder Report-Parameter muss über ein eindeutiges Schlüsselwort verfügen.

    Direkten Wert verwenden

    Festlegung von Werten in ZAMS, die im Report Launcher fix vorgegeben werden.
    Hinweis: Bei pivotrelevanten Einstellungen steht die Eigenschaft nicht zur Verfügung, da die Eigenschaft Direkter Wert zwingend konfiguriert werden muss.

    Direkter Wert

    Konfiguration des direkten Werts.

    Nur verfügbar, wenn die Eigenschaft Direkten Wert verwenden aktiviert wurde oder die Einstellung pivotrelevant ist. Die Konfiguration kann von anderen Elementen abhängen.

    Gültige Werte:

    • TakeFromModel
      Default: Wie im Sankey-Diagramm definiert
      Einstellung wird aus Modell in der Datenbank ausgelesen.
    • AbsoluteValues
      Default: Absolutwerte
      Es werden immer Absolutwerte verwendet, unabhängig von den Einstellungen im Modell.
    • RelativeValues
      Default: Relativwerte
      Es werden immer Relativwerte verwendet, unabhängig von den Einstellungen im Modell.

    Zuschreibung erfolgt über Eigenschaft Verfügbare Werte

  • Toleranz
  • Schlüsselwörter Verluste
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Sankey-Diagramm
  • Wertdarstellung

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle:
    • Gruppiert nach Quelle.
    • Gruppiert nach Ziel.
  • Sankey-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ISO50001_GetSankeyDiagramData

Settings:

  • ListAvailableSankeyDiagrams


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > ISO 50001 > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas benötigen spezielle Konfigurationen in zenon.

Das Thema beinhaltet auch Reports anderer Themen. Deren Konfiguration wird im jeweiligen Thema beschrieben:

Report aus Thema | Beschreibung in
Erweiterte Archivanalyse | Voraussetzungen und Projektierung für Erweiterte Archivanalyse.
Effizienklassen Analyse | Voraussetzungen und Projektierung für Effizienklassen Analyse.
Analyse mit benutzerdefinierten Formeln | Voraussetzungen und Projektierung für Analyse mit benutzerdefinierten Formeln.

Noch in diesem Kapitel

In zenon benötigte Module

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > ISO 50001 > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • archivierte Variablen
  • Variablen für Anlagengruppen
  • Projektierung von Sankey Diagrammen

Archivierung

Variablenwerte können aus Basisarchiven und Verdichtungsarchiven gelesen werden.

Variablen per Anlagengruppen finden

Damit eine Variable per Anlagengruppe gefunden werden kann, müssen folgende Bedingungen im zenon Editor erfüllt sein:

  • Die Variable muss archiviert werden.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.
  • Das Archiv, in dem die Variable aufgezeichnet wird, muss der gewünschten Anlagengruppe zugeordnet sein.

Achtung: Wird die Variable in mehreren Archiven aufgezeichnet, so darf nur eines davon der gewünschten Anlagengruppe zugeordnet sein. Wird beim Auflisten der archivierten Variablen für eine Variable mehr als ein Archiv erkannt, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration der SQL Elemente der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1, P2
  • Anlagengrupe: G1
  • Archive: A1, A2
  • Variablen: V1

Auffindbare Variable

Beispiel :

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen

Projekt P2:

  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Projektübergreifender Variablenbezug. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Der Variablen ist keine Anlagengruppe zugewiesen. Variable ist nicht auffindbar.

Beispiel 3:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wird nicht im Archiv aufgezeichnet. Variable ist nicht auffindbar.

Beispiel 4:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt

Ergebnis: Dem Archiv ist keine Anlagengruppe zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen

Beispiel :

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen
  • Archiv A2:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 mögliches Quellarchiv wird für die Variable gefunden. Variable ist nicht auffindbar.

Projektierung von Sankey Diagrammen

Sankey Diagramme werden in zenon mit dem Sankey Wizard projektiert. Die erstellten Diagramme werden mit dem Analyzer Export Wizard in die Analyzer Datenbank exportiert.


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > ISO 50001 > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report | zenon Modul
Dauerlinie mit Variablenauswahl | Archivierte Variablen.
Dauerlinien für Anlagengruppen | Archivierte Variablen für Anlagengruppen.
Rasterdiagramm | Archivierte Variablen.
Sankey-Diagramm | Sankey Diagramme.


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > ISO 50001 > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

In diesem Beispiel wird ausschließlich die Projektierung eines Reports vom Typ Sankey Diagramm beschrieben.
Beispiele für die Konfiguration weiterer Reports finden Sie auch in:

Report | Kapitel
Dauerlinie mit Variablenauswahl | Archivanalyse.
Rasterdiagramm | Archivanalyse

Ausgangssituation

Für dieses Beispiel wird angenommen:

  • Alle notwendigen Variablen werden in Archiven in einem Lokalprojekt aufgezeichnet.
  • Im Arbeitsbereich ist ein Globalprojekt vorhanden.
  • Es ist bekannt, welche Sankey Diagramme mit welchen Knoten, Verbindungen und Variablen erstellt werden müssen.

Ziel

Ein Report für Sankey Diagramme soll erstellt werden können.

Projektierung

In zenon werden mit dem Sankey Wizard die benötigten Sankey Diagramme erstellt.

Endergebnis

Der Arbeitsbereich im zenon Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Der Report mit Sankey Diagrammen kann im ZAMS vorbereitet und im Report Launcher angezeigt werden.


Linienbasierte Produktionsanalyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die bei der Auswertung und Darstellung linienbasierter Produktionsanalyse unterstützen:

  • Gantt-Diagramm: Analysiert Chargen, Schichten und Variablen - durch Meanings spezifiziert, aus AML, CEL oder Archiv - und stellt das Ergebnis als Gantt-Diagramm und tabellarisch dar.
  • Gantt-Diagramm mit Bereichs-Zuordnung: Analysiert Chargen, Schichten und Variablen und stellt das Ergebnis als Gantt-Diagramm und tabellarisch dar. Variablen werden durch Bedeutungen aus AML, CEL oder Archiv spezifiziert. Numerische Werte werden aus REMA-STATENAMES abgeleiteten Klassen zugeordnet.
  • Verlustzeitenanalyse der Linie (mit Chargenverfolgung): Wertet Verlustzeiten auf Linien mit Chargenverfolgung aus und gibt die Chargenverläufe auf den Maschinen der Linie aus.
  • Produktivitätsindikatoren-Analyse der Linie (mit Chargenverfolgung): Wertet Produktivitätsindikatoren auf Linien mit Chargenverfolgung aus und gibt die Chargenverläufe auf den Maschinen der Linie aus.
  • Umfassende Produktivitätsanalyse der Linie (mit Chargenverfolgung): Kombiniert die Vorlagen Verlustzeitenanalyse der Linie (mit Chargenverfolgung) und Produktivitätsindikatoren-Analyse der Linie (mit Chargenverfolgung). Analysiert Archivdaten und berechnet verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Verlustzeitenanalyse der Linie (ohne Chargenverfolgung): Analysiert Archivdaten und berechnet verdichtete Verlustzeiten für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfall-Modell.
  • Produktivitätsindikatoren-Analyse der Linie (ohne Chargenverfolgung): Analysiert Archivdaten und berechnet verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitätsanalyse der Linie (ohne Chargenverfolgung): Kombiniert die Vorlagen Verlustzeitenanalyse der Linie (ohne Chargenverfolgung) und Produktivitätsindikatoren-Analyse der Linie (ohne Chargenverfolgung). Analysiert Archivdaten und berechnet verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Verlustzeiten-Chargenhistorie der Linie (mit Chargenverfolgung): Analysiert Archivdaten und berechnet verdichtete Verlustzeiten für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Produktivitätsindikatoren-Chargenhistorie der Linie (mit Chargenverfolgung): Analysiert Archivdaten und berechnet verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitäts-Chargenhistorie der Linie (mit Chargenverfolgung): Kombiniert die Vorlagen Verlustzeiten-Chargenhistorie der Linie (mit Chargenverfolgung) und Produktivitätsindikatoren-Chargenhistorie der Linie (mit Chargenverfolgung). Analysiert Archivdaten und berechnet die verdichteten Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Linienbasierte Produktionsanalyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Noch in diesem Kapitel

Gantt-Diagramm

Gantt-Diagramm mit Bereichszuordnung

Verlustzeitenanalyse der Linie (mit Chargenverfolgung)

Produktivitätsindikatoren-Analyse der Linie (mit Chargenverfolgung)

Umfassende Produktivitätsanalyse der Linie (mit Chargenverfolgung)

Verlustzeitenanalyse der Linie (ohne Chargenverfolgung)

Produktivitätsindikatoren-Analyse der Linie (ohne Chargenverfolgung)

Umfassende Produktivitätsanalyse der Linie (ohne Chargenverfolgung)

Verlustzeiten-Chargenhistorie der Linie (mit Chargenverfolgung)

Produktivitätsindikatoren-Chargenhistorie der Linie (mit Chargenverfolgung)

Umfassende Produktivitäts-Chargenhistorie der Linie (mit Chargenverfolgung)

Voraussetzungen und Projektierung im SCADA


Gantt-Diagramm

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Gantt-Diagramm

Reports, die auf dieser Vorlage basieren, analysieren Chargen, Schichten und Variablen - durch Meanings spezifiziert, aus AML, CEL oder Archiv - und stellen das Ergebnis als Gantt-Diagramm und tabellarisch dar.

Empfehlungen

Anlagengruppen

Verwenden Sie bei allen Anlagengruppen eines Anlagenmodells die gleiche Identifikation in der Tabelle EQUIPMENTINFO für das Sortierungsfeld, sofern dieses für die Sortierung herangezogen wird.

Archive

Verwenden Sie für die Aufzeichnung der Daten für Analysegruppen:

  • AML
  • CEL
  • Archive mit Aufzeichnung bei Wertänderung

Die Stored Procdure kann zwar auch mit zyklischen Archiven und ereignisgesteuerten Archiven umgehen, dies wird aber ausdrücklich nicht empfohlen.

Hintergrund:

  • Minimierung der Datenmenge zum Speichern, Auslagern und Abfragen.
  • Nur die drei empfohlenen Aufzeichnungsarten liefern einen korrekten Millisekunden-Zeitstempel für den Kommt-Zeitpunkt eines Ereignisses.

Report im Report Launcher

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Line_Gantt.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Projekt
  • Gantt-Konfiguration
  • Gantt-Anlagengruppe
  • Rückblickzeit
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Detaillierte Tabelle
  • Verdichtete Tabelle
  • Gantt-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • LineAnalysis_GetGanttData
    • LineAnalysis_GetGanttBaseData
  • ListEquipmentTree_Gantt
    • GetEquipmentTreeForGroup

Settings:

  • ListProjects


Gantt-Diagramm mit Bereichszuordnung

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Gantt-Diagramm mit Bereichszuordnung

Reports, die auf dieser Vorlage basieren, analysieren Chargen, Schichten und Variablen und stellen das Ergebnis als Gantt-Diagramm und tabellarisch dar. Variablen werden durch Bedeutungen aus AML, CEL oder Archiv spezifiziert. Numerische Werte werden aus REMA-STATENAMES abgeleiteten Klassen zugeordnet.

Empfehlungen

Anlagengruppen

Verwenden Sie bei allen Anlagengruppen eines Anlagenmodells die gleiche Identifikation in der Tabelle EQUIPMENTINFO für das Sortierungsfeld, sofern dieses für die Sortierung herangezogen wird.

Archive

Verwenden Sie für die Aufzeichnung der Daten für Analysegruppen:

  • AML
  • CEL
  • Archive mit Aufzeichnung bei Wertänderung

Die Stored Procedure kann zwar auch mit zyklischen Archiven und ereignisgesteuerten Archiven umgehen, dies wird aber ausdrücklich nicht empfohlen.

Hintergrund:

  • Minimierung der Datenmenge zum Speichern, Auslagern und Abfragen.
  • Nur die drei empfohlenen Aufzeichnungsarten liefern einen korrekten Millisekunden-Zeitstempel für den Kommt-Zeitpunkt eines Ereignisses.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Line_GanttRangeClassification.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Projekt
  • Gantt-Konfiguration
  • Gantt-Anlagengruppe
  • Rückblickzeit
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Detaillierte Tabelle
  • Verdichtete Tabelle
  • Gantt-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • LineAnalysis_GetGanttRangeData
    • LineAnalysis_GetGanttBaseData
  • ListEquipmentTree_Gantt
    • GetEquipmentTreeForGroup

Settings:

  • ListProjects


Verlustzeitenanalyse der Linie (mit Chargenverfolgung)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Verlustzeitenanalyse der Linie (mit Chargenverfolgung)

Reports, die auf dieser Vorlage basieren, werten Verlustzeiten auf Linien mit Chargenverfolgung aus und geben die Chargenverläufe auf den Maschinen der Linie aus. Die Daten können als Wasserfall-Diagramm und Paretodiagramm sowie in flachen Tabellen und als pivotierte Tabelle ausgegeben werden.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Line_LossesWithLotTracking und Line_lotsFromWaterfall.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Liniendaten Filter
  • Anlagengruppen-Namen
  • Wasserfall
  • Wiederholungen für Chargenerkennung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Wasserfallmodell
  • Filter Liniendaten

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gut- und Verlustzeiten-Tabelle
  • Verlustzeiten-Tabelle
  • Pivotierte Tabelle
  • Paretodiagramm (absolut)
  • Wasserfall-Diagramm (horizontal, detailliert, absolut)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • LineAnalysis310_GetWaterfallDataWithLotTracking
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForLine
  • ListFilterValuesForLine


Produktivitätsindikatoren-Analyse der Linie (mit Chargenverfolgung)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Produktivitätsindikatoren-Analyse der Linie (mit Chargenverfolgung)

Reports, die auf dieser Vorlage basieren,werten Produktivitätsindikatoren auf Linien mit Chargenverfolgung aus und geben die Chargenverläufe auf den Maschinen der Linie aus. Dabei werden je Charge der Beginn und das Ende auf jeder Maschine der Linie angezeigt. Die Daten können als Messinstrument und Verdichtungsdiagramm sowie in einer Indikator-Tabelle und einer pivotierten Tabelle angezeigt werden.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Line_IndicatorsWithLotTracking und Line_LotsFromIndicatorMeaning.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Liniendaten Filter
  • Linienindikator-Bedeutungen
  • Anlagengruppen-Namen
  • Wiederholungen für Chargenerkennung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Filter Liniendaten

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Indikator-Tabelle (zusätzliche Indikatoren)
  • Pivotierte Tabelle (eine Zeile je Charge und eine Spaltengruppe bestehend aus Start und Ende je Maschine)
  • Messinstrument (für Availability, Performance, Quality oder OEE)
  • Verdichtungsdiagramm (Säule)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • LineAnalysis310_GetOeeDataWithLotTracking
    • LineAnalysis_GetPrimaryMachineForMeaning
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Umfassende Produktivitätsanalyse der Linie (mit Chargenverfolgung)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Umfassende Produktivitätsanalyse der Linie (mit Chargenverfolgung)

Reports, die auf dieser Vorlage basieren, kombinieren die Vorlagen Verlustzeitenanalyse der Linie (mit Chargenverfolgung) und Produktivitätsindikatoren-Analyse der Linie (mit Chargenverfolgung). Sie analysieren Archivdaten und berechnen verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe. Die Daten der unmittelbar untergeordneten Anlagengruppen werden anhand der Chargen der gewählten Anlagengruppe verfolgt und erfasst. Die vier Haupt-OEE-Indikatoren können als Säulendiagramm oder mit vier Messinstrumenten dargestellt werden. Die zusätzlichen Indikatoren können als Tabelle angezeigt werden.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Line_IndicatorsWithLotTracking, Line_LossesWithLotTracking und Line_LotsFromIndicatorMeaningAndWaterfall.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Liniendaten Filter
  • Linienindikator-Bedeutungen
  • Anlagengruppen-Namen
  • Wasserfall (Linie)
  • Wiederholungen für Chargenerkennung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Wasserfallmodell
  • Filter Liniendaten

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle (eine Zeile je Charge und eine Spaltengruppe bestehend aus Start und Ende je Maschine)
  • Verlustzeiten-Tabelle
  • Gut- und Verlustzeiten-Tabelle
  • Indikator-Tabelle
  • Paretodiagramm (absolut)
  • Wasserfall-Diagramm (horizontal, detailliert, absolut)
  • Verdichtungsdiagramm (Säulen)
  • Messinstrument (für Availability, Performance, Quality oder OEE)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset

  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList
  • LineAnalysis310_GetOeeDataWithLotTracking
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis310_GetWaterfallDataWithLotTracking

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForLine
  • ListFilterValuesForLine


Verlustzeitenanalyse der Linie (ohne Chargenverfolgung)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Verlustzeitenanalyse der Linie (ohne Chargenverfolgung)

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfall-Modell. Die Daten werden von den unmittelbar untergeordneten Anlagengruppen erfasst. Die Ergebnisse können als Wasserfall-Diagramm, Paretodiagramm oder Tabelle dargestellt werden.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Line_LossesWithoutLotTracking.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Liniendaten Filter
  • Wasserfall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Wasserfallmodell
  • Filter Liniendaten

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gut- und Verlustzeiten-Tabelle
  • Verlustzeiten-Tabelle
  • Paretodiagramm (absolut)
  • Wasserfall-Diagramm (horizontal, detailliert, absolut)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets

  • LineAnalysis310_GetWaterfallDataWithoutLotTracking
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForLine
  • ListFilterValuesForLine


Produktivitätsindikatoren-Analyse der Linie (ohne Chargenverfolgung)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Produktivitätsindikatoren-Analyse der Linie (ohne Chargenverfolgung)

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe. Die Daten werden von den unmittelbar untergeordneten Anlagengruppen erfasst. Die vier Haupt-OEE-Indikatoren können als Säulendiagramm oder in vier Messinstrumenten angezeigt werden. Die zusätzlichen Indikatoren werden als Tabelle dargestellt.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Line_IndicatorsWithoutLotTracking .

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Liniendaten Filter
  • Linienindikator-Bedeutungen
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Filter Liniendaten

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Indikator-Tabelle (zusätzliche Indikatoren)
  • Messinstrument (für Availability, Performance, Quality oder OEE)
  • Verdichtungsdiagramm (Säule)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • LineAnalysis310_GetOeeDataWithoutLotTracking
    • LineAnalysis_GetPrimaryMachineForMeaning
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
    • LineAnalysis_GetPrimaryMachineForMeaning

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Umfassende Produktivitätsanalyse der Linie (ohne Chargenverfolgung)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Umfassende Produktivitätsanalyse der Linie (ohne Chargenverfolgung)

Reports, die auf dieser Vorlage basieren, kombinieren die Vorlagen Verlustzeitenanalyse der Linie (ohne Chargenverfolgung) und Produktivitätsindikatoren-Analyse der Linie (ohne Chargenverfolgung). Sie analysieren Archivdaten und berechnen verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe. Die Daten der unmittelbar untergeordneten Anlagengruppen werden anhand der gewählten Anlagengruppe erfasst. Die vier Haupt-OEE-Indikatoren können als Säulendiagramm oder mit vier Messinstrumenten dargestellt werden. Die zusätzlichen Indikatoren werden als Tabelle dargestellt.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Line_IndicatorsWithoutLotTracking und Line_LossesWithoutLotTracking.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Liniendaten Filter
  • Linienindikator-Bedeutungen
  • Wasserfall (Linie)
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Wasserfallmodell
  • Filter Liniendaten

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Indikator-Tabelle
  • Verlustzeiten-Tabelle
  • Gut- und Verlustzeiten-Tabelle
  • Paretodiagramm (absolut)
  • Wasserfall-Diagramm (horizontal, detailliert, absolut)
  • Verdichtungsdiagramm (Säulen)
  • Messinstrument (für Availability, Performance, Quality oder OEE)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • LineAnalysis310_GetOeeDataWithoutLotTracking
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • LineAnalysis_GetMetaDataEntries
    • Machine_ParseDataFilters
  • LineAnalysis310_GetWaterfallDataWithoutLotTracking

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForLine
  • ListFilterValuesForLine


Verlustzeiten-Chargenhistorie der Linie (mit Chargenverfolgung)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Verlustzeiten-Chargenhistorie der Linie (mit Chargenverfolgung)

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe. Anhand der Chargen der gewählten Anlagengruppe werden die Daten der unmittelbar untergeordneten Anlagengruppen verfolgt und erfasst. Die Ergebnisse können als Säulendiagramm oder als Tabelle dargestellt werden. Die Chargenzeiten der untergeordneten Anlagengruppen können als Tabelle angezeigt werden.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Line_LossesLotHistory und Line_LotsFromLossTimesMeaning.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Liniendaten Filter
  • Anlagengruppen-Namen
  • Linien-Verlustzeiten Bedeutungen
  • Wiederholungen für Chargenerkennung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle
  • Verlustzeiten-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • LineAnalysis310_GetLossTimesDataLotHistory
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Produktivitätsindikatoren-Chargenhistorie der Linie (mit Chargenverfolgung)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Produktivitätsindikatoren-Chargenhistorie der Linie (mit Chargenverfolgung)

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe. Die Daten der unmittelbar untergeordneten Anlagengruppen werden anhand der Chargen der gewählten Anlagengruppe verfolgt und erfasst. Die vier Haupt-OEE-Indikatoren können als Säulen- oder Liniendiagramm dargestellt werden. Die zusätzlichen Indikatoren werden als Tabelle dargestellt. Die Chargenzeiten der untergeordneten Anlagengruppen können als Tabelle angezeigt werden.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Line_IndicatorsLotHistory und Line_LotsFromIndicatorMeaning.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Liniendaten Filter
  • Linienindikator-Bedeutungen
  • Anlagengruppen-Namen
  • Wiederholungen für Chargenerkennung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Filter Liniendaten

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • LineAnalysis310_GetOeeDataLotHistory
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Umfassende Produktivitäts-Chargenhistorie der Linie (mit Chargenverfolgung)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Umfassende Produktivitäts-Chargenhistorie der Linie (mit Chargenverfolgung)

Reports, die auf dieser Vorlage basieren, kombinieren die Vorlagen Verlustzeiten-Chargenhistorie der Linie (mit Chargenverfolgung) und Produktivitätsindikatoren-Chargenhistorie der Linie (mit Chargenverfolgung). Sie analysieren Archivdaten und berechnen die verdichteten Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe. Die Daten der unmittelbar untergeordneten Anlagengruppen werden anhand der Chargen der gewählten Anlagengruppe verfolgt und erfasst. Die vier Haupt-OEE-Indikatoren können als Säulen- oder als Liniendiagramm dargestellt werden. Die zusätzlichen Indikatoren werden als Tabelle dargestellt.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Line_IndicatorsLotHistory, Line_LossesLotHistory und Line_LotsFromLossTimesMeaning.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Liniendaten Filter
  • Linienindikator-Bedeutungen
  • Anlagengruppen-Namen
  • Linien-Verlustzeiten Bedeutungen
  • Wiederholungen für Chargenerkennung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Filter Liniendaten

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm
  • Verlustzeiten-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • LineAnalysis310_GetLossTimesDataLotHistory
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis310_GetOeeDataLotHistory
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Voraussetzungen und Projektierung im SCADA

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Voraussetzungen und Projektierung im SCADA

Die Reports dieses Themas benötigen spezielle Konfigurationen in zenon.

Allgemein unterstützen die Reports in diesem Thema nur Rohdaten aus Basisarchiven und Summenwerte aus Verdichtungsarchiven. Andere Verdichtungsarten in Verdichtungsarchiven können von den Reports in diesem Thema nicht verwertet werden.

Definitionen

Linie

Eine Linie besteht immer aus einer Primärmaschine und 0 bis N Nebenmaschinen.

Maschinen

Die Primärmaschine gibt die die maximale Geschwindigkeit der ganzen Linie vor.

Nebenmaschinen, die im Ablauf vor der Primärmaschine liegen, dürfen im Report nicht erfasst werden. Denn Probleme dieser Nebenmaschinen wirken sich nur dann aus, wenn die Primärmaschine dadurch beeinträchtigt ist. Zum Beispiel wird die Primärmaschine gestoppt, weil sie keine Materialien mehr bekommt.

Nebenmaschinen, die im Ablauf nach der Primärmaschine liegen, müssen im Report teilweise erfasst werden:

  • Probleme, die den Ablauf verzögern, dürfen nicht erfasst werden, da die Primärmaschine die maximale Performance der ganzen Linie vorgibt. Andere Probleme haben nur dann Auswirkungen, wenn die Primärmaschine dadurch beeinträchtigt ist. Zum Beispiel stoppt sie, weil der Ausgabe-Puffer gefüllt ist.
    • Führt ein Problem auf einer vorgelagerten Nebenmaschine zu keinem Problem bei der Hauptmaschine, ist die Linienperformance unverändert, egal ob dieses Problem auftritt oder nicht.
    • Führt ein Problem auf einer vorgelagerten Nebenmaschine zu einem Problem bei der Hauptmaschine, ist das Problem der Nebenmaschine durch das Problem der Hauptmaschine bereits im Report berücksichtigt.
  • Qualitätsverluste müssen erfasst werden, da diese keine Auswirkung auf die Primärmaschine haben, die Linie als Ganzes jedoch davon betroffen ist.
    Qualitätsverluste meinen von der Primärmaschine korrekt ausgegebene Einheiten, die durch eine nachgelagerte Maschine beschädigt werden.

    Die Anzahl guter Einheiten der Linie ist somit die Anzahl guter Einheiten der Primärmaschine abzüglich der Anzahl beschädigter Einheiten der nachfolgenden Nebenmaschinen.

Noch in diesem Kapitel

In zenon benötigte Module

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Voraussetzungen und Projektierung im SCADA > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Projektierung eines Wasserfallmodells
  • Projektierung einer per Bedeutung zu inkludierenden Variablen
  • Bedeutungen für Linien-Produktivitäts-Indikatoren
  • Projektierung eines optionalen Datenfilters
  • Finden der Primärmaschine
  • Finden von Variablen für Primärmaschine und Nebenmaschine
  • Auflistung von Chargen für Primär und Nebenmaschinen
  • Anwendung der Zeitfilter
  • Erkennung von einzubeziehenden Daten für Reports
    • Datenerkennung bei Reports ohne Chargenhistorie
    • Datenerkennung bei Reports mit Chargenhistorie

Wasserfallmodell projektieren

Wasserfallmodelle werden mit dem Meaning and Waterfall Chart Wizard in zenon projektiert. Mit diesem können Wasserfalldiagramme für Linien bearbeitet werden. Dabei stehen für die Wasserfalldiagrammprojektierung nur archivierte Variablen zur Verfügung. Grundsätzlich können alle Archive und alle archivierten Variablen des Arbeitsplatzes verwendet werden.
Mögliche Filterungen:

  • Es muss genau eine Primär-Anlagengruppe gewählt werden:
    Nur Archive und deren Variablen, die dieser Anlagengruppe zugeordnet sind, stehen für Felder der Primärmaschine zur Verfügung.
  • Es muss genau ein Projekt für die Primär-Anlagengruppe gewählt werden:
    Nur Archive und deren Variablen, die aus dem gewählten Projekt stammen, stehen für Felder der Primärmaschine zur Verfügung.
  • Auswahl der Archive für die Primär-Anlagengruppe, basierend auf den Filterungen für die Primär-Anlagengruppe:
    Es muss mindestens ein Archiv gewählt werden.
  • Es muss mindestens eine Neben-Anlagengruppe gewählt werden:
    Nur Archive und deren Variablen, die dieser Anlagengruppe zugeordnet sind, stehen für Felder der Nebenmaschinen zur Verfügung.
  • Es muss genau ein Projekt für die Neben-Anlagengruppe gewählt werden:
    Nur Archive und deren Variablen, die aus dem gewählten Projekt stammen, stehen für Felder der Nebenmaschinen zur Verfügung.
  • Auswahl der Archive für die Neben-Anlagengruppen, basierend auf den Filterungen für die Neben-Anlagengruppen:
    Es muss mindestens ein Archiv gewählt werden.

Für das Wasserfallmodell gilt:

  • Nebenmaschinenverluste sind nur auf der untersten Ebene zulässig.
  • Ein Hauptmaschinenfeld auf der untersten Ebene muss als Nebenmaschinenverluste hier subtrahieren gekennzeichnet sein:
    Default: Valuable Operating Time
  • Ein Hauptmaschinenfeld auf der untersten Ebene kann als Nebenmaschinenverluste hier addieren gekennzeichnet sein.
    Default: Quality Loss Time
    Das hat folgende Auswirkungen:
    • Existiert dieses Feld, werden die Nebenmaschinenverluste hier eingerechnet und im Report nicht separat dargestellt.
    • Existiert dieses Feld nicht, werden die Nebenmaschinenverluste im Report separat dargestellt.

Die Wasserfallmodelle werden vom Analyzer Export Wizard beim Export der Daten übertragen.

Variablen per Bedeutung mit Archivanbindung finden

Damit eine Variable per Bedeutung (Meaning) mit Archivanbindung adressiert werden kann, müssen im zenon Editor folgende Bedingungen erfüllt sein:

  • Die Variable muss die gewünschte Bedeutung gesetzt haben.
    Diese werden konfiguriert in den Eigenschaften der Variablen im Knoten Analyzer, Eigenschaft Bedeutung.
  • Die Variable muss archiviert werden.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.
  • Das Archiv, in dem die Variable aufgezeichnet wird, muss der gewünschten Anlagengruppe zugeordnet sein.

Achtung: Wird die Variable in mehreren Archiven aufgezeichnet, so darf nur eines davon der gewünschten Anlagengruppe zugeordnet sein. Wird beim Auflisten der archivierten Variablen je Bedeutung für eine Variable mehr als ein Archiv erkannt, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration im ZAMS und in der SQL Elementen der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus dem zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1, P2
  • Bedeutung: meaning
  • Anlagengruppe: G1
  • Variablen: V1, V2
  • Archive: A1, A2

Auffindbare Variable

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable „V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen

Projekt P2:

  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Projektübergreifender Variablenbezug. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Bedeutung wurde nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 3:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 4:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wird nicht im Archiv aufgezeichnet. Variable ist nicht auffindbar.

Beispiel 5:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt

Ergebnis: Archiv wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen
  • Archiv A2":
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 mögliches Quellarchiv für die Variable gefunden. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Variable V2:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Variable V2 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 Variable für Bedeutung gefunden. Ob Variabler auffindbar ist, hängt vom Typ des Reports ab.

Bedeutungen für Linien-Produktivitäts-Indikatoren

Linien-Produktivitätsindikatoren verwenden für folgende Felder per Bedeutung adressierte Variablen.
Je Bedeutung immer genau 1 Variable:

Report-Bestandteil

Default-Bedeutung

Eingabe

Loading Time

LoadingTime
  • Immer.
  • Variable muss mit Primärmaschine verknüpft sein.

Operating Time

OperatingTime
  • Immer.
  • Variable muss mit Primärmaschine verknüpft sein.

Net Operating Time

NetOperatingTime
  • Immer.
  • Variable muss mit Primärmaschine verknüpft sein.

Valuable Operating Time

ValuableOperatingTime
  • Immer.
  • Variable muss mit Primärmaschine verknüpft sein.

Scrap Time
(side equipment groups)

ScrapTime
  • Immer.
  • Variable muss mit Primärmaschine verknüpft sein.

Total Units

Total Units
  • Nur, wenn ein optionaler Indikator dieses Feld benötigt.
  • Variable muss mit Primärmaschine verknüpft sein.

Good Units

Good Units
  • Nur, wenn ein optionaler Indikator dieses Feld benötigt.
  • Variable muss mit Primärmaschine verknüpft sein.

Scrap Quantity
(side equipment groups)

ScrapQuantity
  • Nur, wenn ein optionaler Indikator dieses Feld benötigt.
  • Variable muss mit Nebenmaschine verknüpft sein.

Filled and Sealed Units

Filled and Sealed Units
  • Nur, wenn ein optionaler Indikator dieses Feld benötigt.
  • Variable muss mit Primärmaschine verknüpft sein.

Working Time

Working Time
  • Nur, wenn ein optionaler Indikator dieses Feld benötigt.
  • Variable muss mit Primärmaschine verknüpft sein.

General Run Time

General Run Time
  • Nur, wenn ein optionaler Indikator dieses Feld benötigt.
  • Variable muss mit Primärmaschine verknüpft sein.

Machine Nominal Output

Machine Nominal Output
  • Nur, wenn ein optionaler Indikator dieses Feld benötigt.
  • Variable muss mit Primärmaschine verknüpft sein.

Machine Set Output

Machine Set Output
  • Nur, wenn ein optionaler Indikator dieses Feld benötigt.
  • Variable muss mit Primärmaschine verknüpft sein.

Optionalen Datenfilter projektieren

Optionale Datenfilter arbeiten mit per Bedeutung adressierten Variablen. Für jeden Datenfilter wird dabei eine eigene Bedeutung und somit eine eigene Variable benötigt. Die möglichen Werte der Datenfiltervariablen werden aus zugeordneten Reaktionsmatrizen gelesen.
Dabei gilt für die Reaktionsmatrizen:

  • Die Reaktionsmatrix muss numerisch sein.
  • Es muss mindestens 1 Zustand enthalten sein.
  • Alle Zustände müssen auf Gleichheit prüfen.

Primärmaschine finden

Bei den Reports dieses Themas muss genau eine Primärmaschine verwendet werden.
Identifizierung:

  • In den Reports wird jeweils die Linie aus dem Anlagenbaum ausgewählt.
  • Primärmaschine und Nebenmaschinen sind Teil jener Anlagengruppen, die sich exakt eine Ebene unter der Linie befindet.
  • Die Primärmaschine wird, je nach Report, identifiziert über:
    • eine verknüpfte Variable mit einer bestimmten Bedeutung
      oder
    • das Wasserfallmodell
  • Alle übrigen Anlagengruppen auf dieser Ebene sind Nebenmaschinen.

Variablen für Primärmaschine und Nebenmaschine finden

Beim Finden der Variablen wird unterschieden:

  • Reports mit Wasserfallmodellen:
    Die Variablen sind direkt im Wasserfallmodell verknüpft.
  • Reports mit Variablen, die auf Bedeutungen basieren:
    Variablen mit den Bedeutungen für die Primärmaschine werden mit Verknüpfung zur Primärmaschine gesucht. Variablen mit den Bedeutungen für die Nebenmaschinen werden mit Verknüpfung zu einer der Nebenmaschinen gesucht.
    Validierung:
    • Die Primärmaschine muss für alle Bedeutungen genau eine Variable verknüpft haben.
    • Jede Nebenmaschine muss entweder für alle Bedeutungen genau eine Variable verknüpft haben oder darf für keine einzige Bedeutung eine Variable verknüpft haben.

Chargen für Primärmaschine und Nebenmaschinen auflisten

Für Reports mit Chargenverfolgung müssen die Chargen je Maschine aufgelistet werden. Dies geschieht, sobald die Primärmaschine gefunden ist. Das Suchen erfolgt über den Chargennamen.
Ablauf:

  1. Alle Chargen im Zeitbereich werden von der Primärmaschine geholt.
  2. Gemäß der Report-Konfiguration wird iterativ vorgegangen, bis:
    • entweder auf jeder Nebenmaschine alle Chargen der Primärmaschine gefunden wurden
    • oder bis alle Iterationen ohne vollständiges Ergebnis durchlaufen wurden (Abbruch mit Fehlermeldung)

Anwendung der Zeitfilter

In diesem Thema gibt es 2 Kategorien von Reports:

  • mit Chargenverfolgung
  • ohne Chargenverfolgung.

Sie unterscheiden sich in der Anwendung der Zeitfilter.

Zeitfilterung ohne Chargenverfolgung

Der gleiche Zeitfilter wird auf allen Maschinen angewandt. Chargeninformationen werden nicht berücksichtigt.

Beispiel für Zeitfilterung ohne Chargenverfolgung:

Alle Datumsangaben im Beispiel beziehen sich auf 00:00 Mitternacht/Tagesanfang.

Anlagen:

  • Primärmaschine P
  • Nebenmaschine N1
  • Nebenmaschine N2

Zeitfilter im Report Launcher: 01.01.2017 – 01.02.2017

Ergebnis:

Maschine | Zeitfilter
P | 01.01.2017 – 01.02.2017
N1 | 01.01.2017 – 01.02.2017
N2 | 01.01.2017 – 01.02.2017

Zeitfilterung mit Chargenverfolgung

Im ersten Schritt werden die Chargen für alle Maschine aufgelistet. Dann werden die Zeitfilter je Maschine angepasst. Zum Holen der Daten wird der angepasste Zeitfilter je Maschine verwendet. Die im Report inkludierten Daten stammen also von einem anderen Zeitbereich als im Zeitfilter angegeben. Deshalb bieten solche Reports auch eine Report-Einstellung dafür, welche Charge wann auf welcher Maschine war.

Beispiel für Zeitfilterung mit Chargenverfolgung:

Alle Datumsangaben im Beispiel beziehen sich auf 00:00 Mitternacht/Tagesanfang.

Anlagen:

  • Primärmaschine P
  • Nebenmaschine N1
  • Nebenmaschine N2

Zeitfilter im Report Launcher: 10.01.2017 – 20.01.2017

Chargen je Maschine:

Charge | P | N1 | N2
Lot1 | 09.01.2017 – 13.01.2017 | 10.01.2017 – 14.01.2017 | 12.01.2017 – 16.01.2017
Lot2 | 13.01.2017 – 17.01.2017 | 14.01.2017 – 18.01.2017 | 16.01.2017 – 20.01.2017
Lot3 | 17.01.2017 – 21.01.2017 | 18.01.2017 – 22.01.2017 | 20.01.2017 – 24.01.2017

Ergebnis:

Maschine | Zeitfilter
P | 09.01.2017 – 21.01.2017
N1 | 10.01.2017 – 22.01.2017
N2 | 12.01.2017 – 24.01.2017

Erkennung von einzubeziehenden Daten für Reports

Diese Reports arbeiten bezogen auf Datenpakete. Die Paketierung erfolgt je Maschine.
Ein Datenpaket besteht aus:

  • Nutzdaten: per Bedeutung oder Wasserfall
    und
  • Filterdaten: optionale Datenfilter, die zum selben Zeitpunkt archiviert wurden
    Bestimmung Zeitpunkt: auf die Sekunde genau, Sekundenbruchteile werden ignoriert

Welche Datenpakete in den Report einfließen und welche verworfen werden, hängt vom Einsatzzweck des Reports ab.

Empfehlungen:

  • Arbeiten Sie bei der Verwendung optionaler Datenfilter für alle Variablen mit Basisarchiven.
    Denn bei Verdichtungsarchiven dürfen nur Verdichtungen mit dem gleichen Wert aller optionalen Datenfilter gebildet werden.
  • Wenn optionale Datenfilter nicht verwendet werden, arbeiten Sie mit Summenwerten in Verdichtungsarchiven.
    Damit verringern Sie die Datenmenge, die im Report verarbeitet werden muss.

Beispiel für linienbasierte Datenpaketbildung:

Rohdaten:

Maschine | Zeitstempel | Variable
P | 01.01.2017 | Filter
P | 01.01.2017 | Daten
N1 | 02.01.2017 | Filter
N1 | 02.01.2017 | Daten
P | 02.01.2017 | Filter
P | 02.01.2017 | Daten
N2 | 03.01.2017 | Filter
N2 | 03.01.2017 | Daten
N1 | 03.01.2017 | Filter
N1 | 03.01.2017 | Daten
N2 | 04.01.2017 | Filter
N2 | 04.01.2017 | Daten

Datenpakete:

Maschine | Zeitstempel | Variablen
P | 01.01.2017 | Filter und Daten
P | 02.01.2017 | Filter und Daten
N1 | 02.01.2017 | Filter und Daten
N1 | 03.01.2017 | Filter und Daten
N2 | 03.01.2017 | Filter und Daten
N2 | 04.01.2017 | Filter und Daten

Datenerkennung bei Reports ohne Chargenhistorie

Bei Reports ohne Chargenerkennung wird jedes Datenpaket einzeln betrachtet. Erfüllt ein Datenpaket alle optionalen Datenfilter, so wird es in den Report einbezogen. Ist nur 1 optionaler Datenfilter nicht erfüllt, wird das gesamte Datenpaket verworfen.

Beispiele

Filterdefinition:

  • Filter 1 verlangt Wert 0 oder 1
  • Filter 2 verlangt Wert 1 oder 3

Einbezogene Datenpakete:

Beispiel 1:

Objekt | Wert
Filter 1 | 0
Filter 2 | 1
Daten | …

Beispiel 2:

Objekt | Wert
Filter 1 | 0
Filter 2 | 3
Daten | …

Beispiel 3:

Objekt | Wert
Filter 1 | 1
Filter 2 | 1
Daten | …

Beispiel 4:

Objekt | Wert
Filter 1 | 1
Filter 2 | 3
Daten | …

Verworfene Datenpakete:

Beispiel 1:

Objekt | Wert einbezogen | Wert verworfen
Filter 1 | 0 |
Filter 2 |  | 2
Daten | ... | ...

Beispiel 2:

Objekt | Wert einbezogen | Wert verworfen
Filter 1 |  | 1
Filter 2 | 1 |
Daten | ... | ...

Beispiel 3:

Objekt | Wert einbezogen | Wert verworfen
Filter 1 |  | 2
Filter 2 |  | 2
Daten | ... | ...

Datenerkennung bei Reports mit Chargenhistorie

Hier wird auf Chargenbasis gefiltert. Dabei wird jeder optionale Datenfilter separat betrachtet. Alle Datenpakete der Charge auf allen Maschinen werden in den Report einbezogen, auch wenn nur mit den Nebenmaschinen-Datenpaketen die Filter erfüllt werden.

Beispiele

Filterdefinition:

  • Filter 1 verlangt Wert 0 oder 1
  • Filter 2 verlangt Wert 1 oder 3

Einbezogene Charge:

Objekt | Wert Paket 1 | Wert Paket 2 | Wert Paket 3 | Wert Paket 4
Filter 1 (Y) | 2 (N) | 1 (Y) | 2 (N) | 3 (N)
Filter 2 (Y) | 3 (Y) | 2 (N) | 0 (N) | 2 (N)
Daten | … | … | … | …

Legende:

  • (Y): einbezogen
  • (N): verworfen

Verworfene Charge

Objekt | Wert Paket 1 | Wert Paket 2 | Wert Paket 3 | Wert Paket 4
Filter 1 (N) | 2 (N) | 2 (N) | 2 (N) | 3 (N)
Filter 2 (Y) | 3 (Y) | 1 (Y) | 3 (Y) | 1 (Y)
Daten | … | … | … | …

Legende:

  • (Y): einbezogen
  • (N): verworfen


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Voraussetzungen und Projektierung im SCADA > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

SCADA-Modul/Einstellung

Gantt-Diagramm
  • alle Gantt-Informationen, ausgenommen Variablen mit Wertbereichszuordnung

Gantt-Diagramm mit Bereichszuordnung
  • alle Gantt-Informationen, ausgenommen Variablen mit Wertbereichszuordnung

Verlustzeitenanalyse der Linie
(mit Chargenverfolgung)
  • Zeitfilterung mit Chargenverfolgung
  • Wasserfallmodelle
  • optionale Datenfilterung
  • Datenerkennung im Modus ohne Chargenhistorie

Produktivitätsindikatoren-Analyse der Linie
(mit Chargenverfolgung)
  • Zeitfilterung mit Chargenverfolgung
  • Variablen mit Bedeutungen für Linien-Produktivitäts-Indikatoren
  • optionale Datenfilterung
  • Datenerkennung im Modus ohne Chargenhistorie

Umfassende Produktivitätsanalyse der Linie
(mit Chargenverfolgung)

Dieser Report ist eine Kombination aus:

  • Verlustzeitenanalyse der Linie
    (mit Chargenverfolgung)
  • Produktivitätsindikatoren-Analyse der Linie
    (mit Chargenverfolgung)

Die Projektierung erfolgt analog zu den beiden Basisreports.

Verlustzeitenanalyse der Linie
(ohne Chargenverfolgung)
  • Zeitfilterung ohne Chargenverfolgung
  • Wasserfallmodelle
  • optionale Datenfilterung
  • Datenerkennung im Modus ohne Chargenhistorie

Produktivitätsindikatoren-Analyse der Linie
(ohne Chargenverfolgung)
  • Zeitfilterung ohne Chargenverfolgung
  • Variablen mit Bedeutungen für Linien-Produktivitäts-Indikatoren
  • optionale Datenfilterung
  • Datenerkennung im Modus ohne Chargenhistorie

Umfassende Produktivitätsanalyse der Linie
(ohne Chargenverfolgung)

Dieser Report ist eine Kombination aus:

  • Verlustzeitenanalyse der Linie
    (ohne Chargenverfolgung)
  • Produktivitätsindikatoren-Analyse der Linie
    (ohne Chargenverfolgung)

Die Projektierung erfolgt analog zu den beiden Basisreports.

Verlustzeiten-Chargenhistorie der Linie

Dieser Report verwendet die

  • Zeitfilterung mit Chargenverfolgung
  • die optionale Datenfilterung
  • die Datenerkennung im Modus mit Chargenhistorie
  • für bestimmte Felder per Bedeutung adressierte Variablen als Nutzdaten

Details finden Sie im Abschnitt: Details Verlustzeiten-Chargenhistorie der Linie

Produktivitätsindikatoren-Chargenhistorie der Linie
(mit Chargenverfolgung)
  • Zeitfilterung mit Chargenverfolgung
  • Variablen mit Bedeutungen für Linien-Produktivitäts-Indikatoren
  • optionale Datenfilterung
  • Datenerkennung im Modus mit Chargenhistorie

Umfassende Produktivitäts-Chargenhistorie der Linie
(mit Chargenverfolgung)

Dieser Report ist eine Kombination aus:

  • Verlustzeiten-Chargenhistorie der Linie
  • Produktivitätsindikatoren-Chargenhistorie der Linie
    (mit Chargenverfolgung)

Die Projektierung erfolgt analog zu den beiden Basisreports.

Details Verlustzeiten-Chargenhistorie der Linie

Dieser Report verwendet:

  • Zeitfilterung mit Chargenverfolgung
  • die optionale Datenfilterung
  • die Datenerkennung im Modus mit Chargenhistorie
  • für folgende Felder per Bedeutung adressierte Variablen als Nutzdaten

Es muss immer mindestens 1 Variable je Bedeutung (Abweichungen in den Details) vorhanden sein:

Report-Bestandteil | Default-Bedeutung | Details
Variablen im Absolut-Verlustzeitendiagramm | AbsoluteTimeLosses | Muss immer eingegeben werden. Variablen müssen mit Primärmaschine verknüpft sein.
Variablen im Relativ-Verlustzeitendiagramm der Haupt-Anlagengruppe | RelativeTimeLosses_Main | Muss immer eingegeben werden. Variablen müssen mit Primärmaschine verknüpft sein.
Variablen im Relativ-Verlustzeitendiagramm der Neben-Anlagengruppe | RelativeTimeLosses_Side | Muss immer eingegeben werden. Variablen müssen mit Nebenmaschinen verknüpft sein.
Variablen im Relativ-Verlustzeitendiagramm zum Hinzufügen von Nebenverlusten | RelativeTimeLosses_MainForAdd | Muss immer eingegeben werden. Variable muss mit Primärmaschine verknüpft sein. Andere Quantität: Es muss genau eine Variable vorhanden sein. Andere Validierung: Hat die Primärmaschine keine Variable mit dieser Bedeutung, dann wird kein Fehler ausgelöst, sondern die Nebenmaschinenverluste werden im Report gesondert dargestellt. (Ist hier eine Variable vorhanden, werden die Nebenmaschinenverluste hier eingerechnet.)
Variablen im Relativ-Verlustzeitendiagramm zum Entfernen von Nebenverlusten | RelativeTimeLosses_MainForSubtract | Muss immer eingegeben werden. Variable muss mit Primärmaschine verknüpft sein. Andere Quantität: Es muss genau eine Variable vorhanden sein.


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Linienbasierte Produktionsanalyse > Voraussetzungen und Projektierung im SCADA > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Ausgangssituation

Es wird angenommen:

  • Je Maschine werden alle notwendigen Zähler (Basisdaten für Indikatoren und Verlustdaten) und Datenfilter über Treiber oder zenon Logic so bereitgestellt, dass ereignisgesteuerte Archivierung verwendbar ist.
    Ablauf je Datenpaket:
    • Zählerwerte werden über Treiber/zenon Logic gesetzt.
    • Optionale Datenfilter werden gesetzt.
    • Archivierungsvariable geht auf 1: Archive werden geschrieben.
    • Archivierungsvariable geht auf 0.
    • Alles wird zurückgesetzt und neues Datenpaket beginnt.
  • Je Maschine sind Chargeninformationen in 2 Variablen (Anzeige, dass Charge läuft, als BOOL und Chargenname als STRING) verfügbar.
    Ablauf:
    • Chargenname wird vor Chargenbeginn in Variable geschrieben.
    • Charge-Läuft-Flag geht bei Chargenstart auf 1.
    • Warten auf Chargenende.
    • Charge-Läuft-Flag geht bei Chargenende auf 0.
    • Chargenname wird zurückgesetzt und neue Charge beginnt.
  • In der Lösung des Beispiels werden ausschließlich Default-Bedeutungen verwendet.
  • Es wird ein zenon Editor Arbeitsbereich mit den folgenden Komponenten verwendet:
    • 1 Globalprojekt
    • 1 Integrationsprojekt

      1 Lokalprojekt für die Hauptmaschine

      1 Lokalprojekt für alle Nebenmaschinen

  • Es werden nur Basisarchive verwendet.

Ziel

Die Line Line1 des Werks in Salzburg besteht aus der Primärmaschine Filler und den Nebenmaschinen Pasteurizer und Labeller.
Es sollen folgende Analysen ermöglicht werden:

  • Verlustzeiten-Übersicht als Wasserfall (mit und ohne Chargenverfolgung):
    Die Verluste der Nebenmaschinen sollen nicht gesondert dargestellt, sondern in den Hauptmaschinenverlust eingerechnet werden.
  • Indikatoren-Übersicht (mit und ohne Chargenverfolgung)
  • Verlustzeiten-Chargenverlauf (mit Chargenverfolgung):
    Die Verluste der Nebenmaschinen sollen nicht gesondert dargestellt, sondern in den Hauptmaschinenverlust eingerechnet werden.
  • Indikatoren-Chargenverlauf (mit Chargenverfolgung)

Folgende Indikatoren sollen enthalten sein:

  • Availability (Hauptindikator)
  • Performance (Hauptindikator)
  • Quality (Hauptindikator)
  • OEE (Hauptindikator)
  • Total Units (optionaler Indikator)
  • Good Units (optionaler Indikator)

Folgende Optionale Datenfilter sind notwendig:

  • Flaschentyp:
    • 0,5 Liter
    • 1 Liter
    • 1,5 Liter

Projektierung

Die Projektierung gliedert sich in:

  • Anlagenmodellierung
  • Variablen
  • Optionale Datenfilterung
  • Archive
  • Chargenaufzeichnung
  • Wasserfallmodell

Anlagenmodellierung

Im Globalprojekt wird ein Anlagenmodell erzeugt.

Anlagenmodell Packaging:

  • Anlagengruppe Salzburg:
    • Anlagengruppe Line1

      Anlagengruppe Filler

      Anlagengruppe Pasteurizer

      Anlagengruppe Labeller

Variablen

Variablen werden für Filler im Lokalprojekt für die Hauptmaschine sowie im Lokalprojekt für die Nebenmaschinen für Pasteurizer und Labeller angelegt.

Variablen im Lokalprojekt für die Hauptmaschine

Im Lokalprojekt für die Hauptmaschine werden folgende Variablen erzeugt und mit den passenden Treibern/zenon Logic verknüpft:

Variable | Datentyp | Bedeutungen | Anlagen-Zuweisung
Filler_DataArchiveTrigger | BOOL |  | Filler
Filler_BottleType | DINT | BottleType | Filler
Filler_LoadingTime | FLOAT | LoadingTime | Filler
Filler_OperatingTime | FLOAT | OperatingTime | Filler
Filler_UnplannedStopTime | FLOAT | UnplannedStopTime AbsoluteTimeLosses RelativeTimeLosses_Main | Filler
Filler_NetOperatingTime | FLOAT | NetOperatingTime | Filler
Filler_SpeedLossTime | FLOAT | SpeedLossTime AbsoluteTimeLosses RelativeTimeLosses_Main | Filler
Filler_ValuableOperatingTime | FLOAT | ValuableOperatingTime RelativeTimeLosses_MainForSubtract | Filler
Filler_QualityLossTime | FLOAT | QualityLossTime AbsoluteTimeLosses RelativeTimeLosses_MainForAdd | Filler
Filler_TotalUnits | FLOAT | TotalUnits | Filler
Filler_GoodUnits | FLOAT | GoodUnits | Filler
Filler_LotName | STRING |  | Filler
Filler_LotIsActive | BOOL |  | Filler

Variablen im Lokalprojekt für die Nebenmaschinen

Im Lokalprojekt für die Nebenmaschinen werden folgende Variablen erzeugt und mit den passenden Treibern/zenon Logic verknüpft:

Variable | Datentyp | Bedeutungen | Anlagen-Zuweisung
Pasteurizer_DataArchiveTrigger | BOOL | DataArchiveTrigger | Pasteurizer
Pasteurizer_BottleType | DINT | BottleType | Pasteurizer
Pasteurizer_ScrapTime | FLOAT | ScrapTime AbsoluteTimeLosses RelativeTimeLosses_Side | Pasteurizer
Pasteurizer_ScrapQuantity | FLOAT | ScrapQuantity | Pasteurizer
Pasteurizer_LotName | STRING |  | Pasteurizer
Pasteurizer_LotIsActive | BOOL |  | Pasteurizer
Labeller_DataArchiveTrigger | BOOL | DataArchiveTrigger | Labeller
Labeller_BottleType | DINT | BottleType | Labeller
Labeller_ScrapTime | FLOAT | ScrapTime AbsoluteTimeLosses RelativeTimeLosses_Side | Labeller
Labeller_ScrapQuantity | FLOAT | ScrapQuantity | Labeller
Labeller_LotName | STRING |  | Labeller
Labeller_LotIsActive | BOOL |  | Labeller

Optionale Datenfilterung

Der Datenfilter für Filler wird im Lokalprojekt für die Hauptmaschine angelegt und der Datenfilter für Pasteurizer und Labeller wird im Lokalprojekt für die Nebenmaschinen angelegt.

Datenfilter im Lokalprojekt für die Hauptmaschine

Die Reaktionsmatrix BottleTypes wird im Lokalprojekt für die Hauptmaschine als numerische Reaktionsmatrix mit folgenden Einträgen angelegt:

Wert | Grenzwerttext | AML / CEL
=0 | 0.5 Liter | --
=1 | 1 Liter | --
=2 | 1.5 Liter | --

Die Reaktionsmatrix BottleTypes wird bei der Variablen Filler_BottleType im Lokalprojekt für die Hauptmaschine verknüpft.

Datenfilter im Lokalprojekt für die Nebenmaschinen

Die Reaktionsmatrix BottleTypes wird im Lokalprojekt für die Nebenmaschinen als numerische Reaktionsmatrix mit folgenden Einträgen angelegt:

Wert | Grenzwerttext | AML / CEL
=0 | 0.5 Liter | --
=1 | 1 Liter | --
=2 | 1.5 Liter | --

Die Reaktionsmatrix BottleTypes wird bei den Variablen Pasteurizer_BottleType und Labeller_BottleType im Lokalprojekt für die Nebenmaschinen wird verknüpft.

Archive

Archive werden für Filler im Lokalprojekt für die Hauptmaschine sowie für Pasteurizer und Labeller im Lokalprojekt für die Nebenmaschinen angelegt.

Archive im Lokalprojekt für die Hauptmaschine

Im Lokalprojekt für die Hauptmaschine werden folgende Archive erzeugt:

Archivname

Variablen

Aufzeichnung

Start/Stop

Anlagen-Zuweisung

F1 – FillerData

Filler_BottleType

Filler_LoadingTime

Filler_OperatingTime

Filler_UnplannedStopTime

Filler_NetOperatingTime

Filler_SpeedLossTime

Filler_ValuableOperatingTime

Filler_QualityLossTime

Filler_TotalUnits

Filler_GoodUnits
  • Ereignisgesteuert: Ereignisvariable: Filler_DataArchiveTrigger
  • Mit Runtime

Filler

FL – FillerLot

Filler_LotName
  • Bei Wertänderung
  • Abbild bei Archivstart lesen
  • Funktionsgesteuert

Filler

Archive im Lokalprojekt für die Nebenmaschinen

Im Lokalprojekt für die Nebenmaschinen werden folgende Archive erzeugt:

Archivname

Variablen

Aufzeichnung

Start/Stop

Anlagenzuweisung

P1 – PasteurizerData

Pasteurizer_BottleType

Pasteurizer_ScrapTime

Pasteurizer_ScrapQuantity
  • Ereignisgesteuert: Ereignisvariable: Pasteurizer_DataArchiveTrigger
  • Mit Runtime

Pasteurizer

PL – PasteurizerLot

Pasteurizer_LotName
  • Bei Wertänderung
  • Abbild bei Archivstart lesen
  • Funktionsgesteuert

Pasteurizer

L1 – LabellerData

Labeller_BottleType

Labeller_ScrapTime

Labeller_ScrapQuantity
  • Ereignisgesteuert: Ereignisvariable: Labeller_DataArchiveTrigger
  • Mit Runtime

Labeller

LL – LabellerLot

Labeller_LotName
  • Bei Wertänderung
  • Abbild bei Archivstart lesen
  • Funktionsgesteuert

Labeller

Chargenaufzeichnung

Die Chargenaufzeichnung für Filler wird im Lokalprojekt für die Hauptmaschine konfiguriert. Die Chargenaufzeichnung für Pasteurizer und Labeller wird im Lokalprojekt für die Nebenmaschinen konfiguriert.

Chargenaufzeichnung im Lokalprojekt für die Hauptmaschine

Die Variable Filler_LotName im Lokalprojekt für die Hauptmaschine wird als Chargenvariable für Archiv FL gesetzt.

Im Lokalprojekt für die Hauptmaschine werden folgende Funktionen erzeugt:

  • StartFillerLot: startet das Archiv FL
  • StopFillerLot: stoppt das Archiv FL

Bei der Variablen Filler_LotIsActive im Lokalprojekt für die Hauptmaschine werden 2 Grenzwerte erzeugt:

  • 0:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StopFillerLot ausführen
  • 1:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StartFillerLot ausführen

Chargenaufzeichnung im Lokalprojekt für die Nebenmaschinen

Die Variable Pasteurizer_LotName im Lokalprojekt für die Nebenmaschinen wird als Chargenvariable für Archiv PL gesetzt. Die Variable Labeller_LotName im Lokalprojekt für die Nebenmaschinen wird als Chargenvariable für Archiv LL gesetzt.

Im Lokalprojekt für die Nebenmaschinen werden folgende Funktionen erzeugt:

  • StartPasteurizerLot: startet das Archiv PL
  • StopPasteurizerLot: stoppt das Archiv PL
  • StartLabellerLot: startet das Archiv LL
  • StopLabellerLot: stoppt das Archiv LL

Bei der Variablen Pasteurizer_LotIsActive im Lokalprojekt für die Nebenmaschinen werden 2 Grenzwerte erzeugt:

  • 0:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StopPasteurizerLot ausführen
  • 1:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StartPasteurizerLot ausführe

Bei der Variable Labeller_LotIsActive im Lokalprojekt für die Nebenmaschinen werden 2 Grenzwerte erzeugt:

  • 0:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StopLabellerLot ausführen
  • 1:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StartLabellerLot ausführe

Wasserfallmodell

Im zenon Editor wird der Meaning and Waterfall Chart Wizard gestartet.

Einstellungen:

  • Settings:
    • Define Meanings: nicht ausgewählt
    • Define Waterfall Chart: ausgewählt
      Typ: Line
    • Klick auf Load data
  • Waterfall Chart Filter:
    • Main Machine:
      Anlagengruppe Filler ausgewählt
      Lokalprojekt für die Hauptmaschine ausgewählt
      Archiv F1 ausgewählt
  • Waterfall Chart Filter:
    • Side Machines:
      Anlagengruppen Pasteurizer und Labeller ausgewählt
      Lokalprojekt für Nebenmaschinen ausgewählt
      Archive P1 und L1 ausgewählt

Abkürzungen Variablen für das Wasserfalldiagramm:

Variablenname | Abkürzung im Wasserfallmodell
Filler_LoadingTime | LO
Filler_OperatingTime | OP
Filler_UnplannedStopTime | US
Filler_NetOperatingTime | NO
Filler_SpeedLossTime | SL
Filler_ValuableOperatingTime | VO
Filler_QualityLossTime | QL
Pasteurizer_ScrapTime | PST
Labeller_ScrapTime | LST

Abkürzungen Verwendungszweck für das Wasserfalldiagramm:

Abkürzung | Bedeutung im Wasserfallmodell
(-) | Verluste von Nebenmaschinen werden hier subtrahiert
(+) | Verluste von Nebenmaschinen werden hier addiert

Modellierung Wasserfalldiagramm:

Endergebnis

Das Projekt ist bereit für die Nutzung im zenon Analyzer.

Der Arbeitsbereich im SCADA-Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Alle gewünschten Reports des Themas können im ZAMS projektiert und im Report Launcher verwendet werden.


Maschinenbasierte Produktionsanalyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse

Reports dieses Themas stellen Reportvorlagen für die Analyse von Verlustzeiten und Produktivität, basierend auf Standards wie DIN 8782, DIN 8743, Weihenstephan Standards und Best Practices einiger Produktionsbetriebe, zur Verfügung:

  • Verlustzeiten Analyse: Analysiert Archivdaten und berechnet verdichtete Verlustzeiten für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfallmodell.
  • Produktivitätsindikatoren Analyse: Analysiert Archivdaten und berechnet verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitätsanalyse: Kombiniert die Reportvorlagen Verlustzeiten Analyse und Produktivitätsindikatoren Analyse.
  • Verlustzeiten Chargenhistorie: Analysiert Archivdaten und berechnet verdichtete Verlustzeiten für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Produktivitätsindikatoren Chargenhistorie: Analysiert Archivdaten und berechnet verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe.
  • Umfassende Produktivitäts-Chargenhistorie: Kombiniert die Vorlagen Verlustzeiten Chargenhistorie und Produktivitätsindikatoren Chargenhistorie.

Alle Reportvorlagen in diesem Thema ermöglichen die Filterung der archivierten Produktionsdaten. Damit ein Datenpaket in die Berechnung einfließt, muss in dem Paket für jeden Datenfilter ein Wert aus der Wertliste vorhanden sein.

Ein Datensatz ist immer eine Sammlung von Werten für alle gefundenen Variablen, die den gleichen Zeitstempel haben. Für die Berechnung der summierten Zeiten im Betrachtungszeitraum werden nur Datensätze herangezogen, die allen aktivierten Datenfiltern entsprechen. Datenfilter werden vom Benutzer im Dialog Maschinendatenfilter-Konfiguration für die Report-Einstellung Maschinendaten-Filter konfiguriert.

Empfehlung: Jedes Wasserfallmodell sollte einen eindeutigen Namen haben.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Maschinenbasierte Produktionsanalyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Noch in diesem Kapitel

Verlustzeiten Analyse

Produktivitätsindikatoren Analyse

Umfassende Produktivitätsanalyse

Verlustzeiten Chargenhistorie

Produktivitätsindikatoren Chargenhistorie

Umfassende Produktivitäts-Chargenhistorie

Voraussetzungen und Projektierung in zenon


Verlustzeiten Analyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Verlustzeiten Analyse

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfallmodell. Die Ergebnisse können als Wasserfall-Diagramm, Pareto-Diagramm oder Tabelle dargestellt werden.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Machine_Losses.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projektauswahl
  • Maschinendaten Filter
  • Wasserfall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Wasserfallmodell

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gut- und Verlustzeiten-Tabelle
  • Verlustzeiten-Tabelle
  • Paretodiagramm
  • Wasserfall-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Machine_WaterfallData
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForEquipment
  • ListFilterValuesForEquipmentt


Produktivitätsindikatoren Analyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Produktivitätsindikatoren Analyse

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe. Die 4 zentralen OEE-Indikatoren können als Verdichtungsdiagramm oder in 4 Messgeräten dargestellt werden. Die zusätzlichen optionalen Indikatoren werden in einer Indikator-Tabelle dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Machine_OeeData.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projektauswahl
  • Maschinendaten Filter
  • Maschinenindikator-Bedeutungen
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Alle konfigurierten Maschinendaten Filter

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Indikator-Tabelle
  • Verdichtungsdiagramm Indikatoren
  • Messinstrument (für OEE-Indikatoren)

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • ListFilterValuesForEquipment
  • Machine_OeeData
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree


Umfassende Produktivitätsanalyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Umfassende Produktivitätsanalyse

Diese Vorlage kombiniert die Reportvorlagen Verlustzeiten Analyse und Produktivitätsindikatoren Analyse.

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für einen Zeitraum, basierend auf einer Anlagengruppe und einem Wasserfallmodell. Die 4 zentralen OEE Indikatoren können als Säulendiagramm oder in 4 Messgeräten dargestellt werden. Die zusätzlichen optionalen Indikatoren werden in einer Tabelle dargestellt. Die Verlustzeiten können als Wasserfall-Diagramm, Pareto-Diagramm oder Tabelle dargestellt werden.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Machine_OeeData und Machine_Losses.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projektauswahl
  • Maschinendaten Filter
  • Maschinenindikator-Bedeutungen
  • Wasserfall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Wasserfallmodell
  • Alle konfigurierten Maschinendaten Filter

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gut- und Verlustzeiten-Tabelle
  • Indikator-Tabelle
  • Verlustzeiten-Tabelle
  • Messinstrumente (für OEE-Indikatoren)
    Reihenfolge:
    • Verfügbarkeit
    • Leistung
    • Qualität
    • OEE
  • Paretodiagramm: Absolutzeit
  • Verdichtungsdiagramm Indikatoren
  • Wasserfall-Diagramm: horizontal, detailliert, Absolutzeit

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • Machine_OeeData
  • Machine_WaterfallData
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree
  • ListFilterValuesForEquipment
  • ListWaterfallModelsForEquipment


Verlustzeiten Chargenhistorie

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Verlustzeiten Chargenhistorie

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe. Die Ergebnisse können als Säulendiagramm oder als Tabelle dargestellt werden.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Machine_LossesLotHistory.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projektauswahl
  • Chargenarchiv
  • Maschinendaten Filter
  • Verlustzeiten-Bedeutung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle
  • Verlustzeiten-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Machine_LosstimesLotHistory:
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree
    • ListFilterValuesForEquipment


Produktivitätsindikatoren Chargenhistorie

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Produktivitätsindikatoren Chargenhistorie

Reports, die auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe. Die Ergebnisse können als Säulendiagramm oder als Liniendiagramm dargestellt werden. Die zusätzlichen optionalen Indikatoren werden in einer Tabelle dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Machine_OeeLotHistory.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projektauswahl
  • Chargenarchiv
  • Maschinendaten Filter
  • Maschinenindikator-Bedeutungen
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Alle konfigurierten Maschinendaten Filter

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Trend-Diagramm
    • Typ: Säulendiagramm, Liniendiagramm
    • Bis zu 4 Hauptindikatoren

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Machine_OeeLotHistory:
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters


Umfassende Produktivitäts-Chargenhistorie

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Umfassende Produktivitäts-Chargenhistorie

Diese Reportvorlage kombiniert die Vorlagen Verlustzeiten Chargenhistorie und Produktivitätsindikatoren Chargenhistorie.

Die Reports, welche auf dieser Vorlage basieren, analysieren Archivdaten und berechnen verdichtete Verlustzeiten und verdichtete Produktivitätsindikatoren für jede Charge in einem Zeitraum, basierend auf einer Anlagengruppe. Die 4 zentralen OEE-Indikatoren können als Säulendiagramm oder als Liniendiagramm dargestellt werden. Die zusätzlichen optionalen Indikatoren werden in einer Tabelle dargestellt. Die Verlustzeiten können als Säulendiagramm oder als Tabelle dargestellt werden.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets Machine_OeeLotHistory und Machine_LossesLotHistory.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projektauswahl
  • Chargenarchiv
  • Maschinendaten Filter
  • Maschinenindikator-Bedeutungen
  • Verlustzeiten-Bedeutung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Alle konfigurierten Maschinendaten Filter

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Pivotierte Tabelle
  • Trend-Diagramm
    • Typ: Säulendiagramm, Liniendiagramm
    • Bis zu 4 Hauptindikatoren
  • Verlustzeiten-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

  • Dataset:
  • Machine_OeeLotHistory:
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters
  • Machine_LosstimesLotHistory:
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree
    • ListFilterValuesForEquipment


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Voraussetzungen und Projektierung in zenon

Allgemein unterstützen die Reports in diesem Thema nur Rohdaten aus Basisarchiven und Summenwerte aus Verdichtungsarchiven. Andere Verdichtungsarten in Verdichtungsarchiven können von den Reports in diesem Thema nicht verwertet werden.

Noch in diesem Kapitel

In zenon benötigte Module

Verknüpfung zenon Analyzer Reports mit <CD_SCADA

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Projektierung eines Wasserfallmodells
  • Projektierung einer per Bedeutung zu inkludierenden Variablen
  • Bedeutungen für Maschinen-Produktivitäts-Indikatoren
  • Projektierung eines optionalen Datenfilters
  • Erkennung von einzubeziehenden Daten für Reports
    • Datenerkennung bei Reports ohne Chargenhistorie
    • Datenerkennung bei Reports mit Chargenhistorie

Projektierung eines Wasserfallmodells

Wasserfallmodelle werden mit dem Meaning and Waterfall Chart Wizard in zenon projektiert. Mit diesem können Wasserfalldiagramme für Maschinen bearbeitet werden.
Dabei stehen für die Wasserfalldiagrammprojektierung nur archivierte Variablen zur Verfügung. Grundsätzlich können alle Archive und alle archivierten Variablen des Arbeitsplatzes verwendet werden.
Mögliche optionale Filterungen:

  • Es kann genau eine Anlagengruppe gewählt werden:
    Nur Archive und deren Variablen, die dieser Anlagengruppe zugeordnet sind, stehen zur Verfügung.
  • Es kann genau ein Projekt gewählt werden:
    Nur Archive und deren Variablen, die aus dem gewählten Projekt stammen, stehen zur Verfügung.

Für Analyzer Reports können nur Wasserfallmodelle verarbeitet werden, die genau einem Projekt entspringen und genau einer Anlagengruppe zugeordnet sind. Daher wird empfohlen, die Filterung durchzuführen.

Die Wasserfallmodelle werden vom Analyzer Export Wizard beim Export der Daten übertragen.

Variablen per Bedeutung mit Archivanbindung finden

Damit eine Variable per Bedeutung (Meaning) mit Archivanbindung adressiert werden kann, müssen im zenon Editor folgende Bedingungen erfüllt sein:

  • Die Variable muss die gewünschte Bedeutung gesetzt haben.
    Diese werden konfiguriert in den Eigenschaften der Variablen im Knoten Analyzer, Eigenschaft Bedeutung.
  • Die Variable muss archiviert werden.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.
  • Das Archiv, in dem die Variable aufgezeichnet wird, muss der gewünschten Anlagengruppe zugeordnet sein.

Achtung: Wird die Variable in mehreren Archiven aufgezeichnet, so darf nur eines davon der gewünschten Anlagengruppe zugeordnet sein. Wird beim Auflisten der archivierten Variablen je Bedeutung für eine Variable mehr als ein Archiv erkannt, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration im ZAMS und in der SQL Elementen der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus dem zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1, P2
  • Bedeutung: meaning
  • Anlagengruppe: G1
  • Variablen: V1, V2
  • Archive: A1, A2

Auffindbare Variable

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable „V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen

Projekt P2:

  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Projektübergreifender Variablenbezug. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Bedeutung wurde nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 3:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 4:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wird nicht im Archiv aufgezeichnet. Variable ist nicht auffindbar.

Beispiel 5:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt

Ergebnis: Archiv wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen
  • Archiv A2":
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 mögliches Quellarchiv für die Variable gefunden. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Variable V2:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Variable V2 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 Variable für Bedeutung gefunden. Ob Variabler auffindbar ist, hängt vom Typ des Reports ab.

Meanings für Maschinen-Produktivitäts-Indikatoren

Maschinen-Produktivitäts-Indikatoren verwenden für folgende Felder per Bedeutung adressierte Variablen.
Je Bedeutung immer genau 1 Variable:

Report-Bestandteil | Default-Bedeutung | Eingabe
Loading Time | LoadingTime | Immer.
Operating Time | OperatingTime | Immer.
Net Operating Time | NetOperatingTime | Immer.
Valuable Operating Time | ValuableOperatingTime | Immer.
MTBS Time Counter | MTBS_TimeCounter | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
MTBS Event Counter | MTBS_EventCounter | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
MTBF Time Counter | MTBF_TimeCounter | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
MTBF Event Counter | MTBF_EventCounter | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
MTTR Time Counter | MTTR_TimeCounter | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
MTTR Event Counter | MTTR_EventCounter | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
MTBT Time Counter | MTBT_TimeCounter | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
MTBT Event Counter | MTBT_EventCounter | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
Total Units | TotalUnits | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
Good Units | GoodUnits | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
Effective Running Time | EffectiveRunTime | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
General Runnint Time | GeneralRunTime | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
Filled And Sealed Units | FilledAndSealedUnits | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
Machine Nominal Output | MachineNominalOutput | Nur, wenn ein optionaler Indikator dieses Feld benötigt.
Machine Set Output | MachineSetOutput | Nur, wenn ein optionaler Indikator dieses Feld benötigt.

Optionalen Datenfilter projektieren

Optionale Datenfilter arbeiten mit per Bedeutung adressierten Variablen. Für jeden Datenfilter wird dabei eine eigene Bedeutung und somit eine eigene Variable benötigt. Die möglichen Werte der Datenfiltervariablen werden aus zugeordneten Reaktionsmatrizen gelesen.
Dabei gilt für die Reaktionsmatrizen:

  • Die Reaktionsmatrix muss numerisch sein.
  • Es muss mindestens 1 Zustand enthalten sein.
  • Alle Zustände müssen auf Gleichheit prüfen.

Erkennung von einzubeziehenden Daten für Reports

Diese Reports arbeiten bezogen auf Datenpakete. Die Paketierung erfolgt je Maschine.
Ein Datenpaket besteht aus:

  • Nutzdaten: per Bedeutung oder Wasserfall
    und
  • Filterdaten: optionale Datenfilter, die zum selben Zeitpunkt archiviert wurden
    Bestimmung Zeitpunkt: auf die Sekunde genau, Sekundenbruchteile werden ignoriert

Welche Datenpakete in den Report einfließen und welche verworfen werden, hängt vom Einsatzzweck des Reports ab.

Empfehlungen:

  • Arbeiten Sie bei der Verwendung optionaler Datenfilter für alle Variablen mit Basisarchiven.
    Denn bei Verdichtungsarchiven dürfen nur Verdichtungen mit dem gleichen Wert aller optionalen Datenfilter gebildet werden.
  • Wenn optionale Datenfilter nicht verwendet werden, arbeiten Sie mit Summenwerten in Verdichtungsarchiven.
    Damit verringern Sie die Datenmenge, die im Report verarbeitet werden muss.

Datenerkennung bei Reports ohne Chargenhistorie

Bei Reports ohne Chargenerkennung wird jedes Datenpaket einzeln betrachtet. Erfüllt ein Datenpaket alle optionalen Datenfilter, so wird es in den Report einbezogen. Ist nur 1 optionaler Datenfilter nicht erfüllt, wird das gesamte Datenpaket verworfen.

Beispiele

Filterdefinition:

  • Filter 1 verlangt Wert 0 oder 1
  • Filter 2 verlangt Wert 1 oder 3

Einbezogene Datenpakete:

Beispiel 1:

Objekt | Wert
Filter 1 | 0
Filter 2 | 1
Daten | …

Beispiel 2:

Objekt | Wert
Filter 1 | 0
Filter 2 | 3
Daten | …

Beispiel 3:

Objekt | Wert
Filter 1 | 1
Filter 2 | 1
Daten | …

Beispiel 4:

Objekt | Wert
Filter 1 | 1
Filter 2 | 3
Daten | …

Verworfene Datenpakete:

Beispiel 1:

Objekt | Wert einbezogen | Wert verworfen
Filter 1 | 0 |
Filter 2 |  | 2
Daten | ... | ...

Beispiel 2:

Objekt | Wert einbezogen | Wert verworfen
Filter 1 |  | 1
Filter 2 | 1 |
Daten | ... | ...

Beispiel 3:

Objekt | Wert einbezogen | Wert verworfen
Filter 1 |  | 2
Filter 2 |  | 2
Daten | ... | ...

Datenerkennung bei Reports mit Chargenhistorie

Hier wird auf Chargenbasis gefiltert. Dabei wird jeder optionale Datenfilter separat betrachtet. Erfüllt ein Datenpaket der Charge einen optionalen Datenfilter, gilt der Filter als erfüllt. Sind alle optionalen Datenfilter einer Charge erfüllt, werden alle Datenpakete der Charge im Report berücksichtigt. Ist mindestens 1 optionaler Datenfilter nicht erfüllt, wird die ganze Charge verworfen.

Beispiele

Filterdefinition:

  • Filter 1 verlangt Wert 0 oder 1
  • Filter 2 verlangt Wert 1 oder 3

Einbezogene Charge:

Objekt | Wert Paket 1 | Wert Paket 2 | Wert Paket 3 | Wert Paket 4
Filter 1 (Y) | 2 (N) | 1 (Y) | 2 (N) | 3 (N)
Filter 2 (Y) | 3 (Y) | 2 (N) | 0 (N) | 2 (N)
Daten | … | … | … | …

Legende:

  • (Y): einbezogen
  • (N): verworfen

Verworfene Charge

Objekt | Wert Paket 1 | Wert Paket 2 | Wert Paket 3 | Wert Paket 4
Filter 1 (N) | 2(N) | 2(N) | 2(N) | 3(N)
Filter 2 (Y) | 3 (Y) | 1 (Y) | 3 (Y) | 1 (Y)
Daten | … | … | … | …

Legende:

  • (Y): einbezogen
  • (N): verworfen


Verknüpfung zenon Analyzer Reports mit <CD_SCADA

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit <CD_SCADA

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

SCADA-Modul/Einstellung

Verlustzeiten Analyse
  • Wasserfallmodelle
  • optionale Datenfilterung
  • Datenerkennung im Modus ohne Chargenhistorie

Produktivitätsindikatoren Analyse
  • Variablen mit Bedeutungen für Linien-Produktivitäts-Indikatoren
  • optionale Datenfilterung
  • Datenerkennung im Modus ohne Chargenhistorie

Umfassende Produktivitätsanalyse

Dieser Report ist eine Kombination aus:

  • Verlustzeiten Analyse
  • Produktivitätsindikatoren Analyse

Die Projektierung erfolgt analog zu den beiden Basisreports.

Verlustzeiten Chargenhistorie

  • optionale Datenfilterung
  • Datenerkennung im Modus mit Chargenhistorie
  • für bestimmte Felder per Bedeutung adressierte Variablen als Nutzdaten

Details finden Sie im Abschnitt: Details Verlustzeiten-Chargenhistorie

Produktivitätsindikatoren Chargenhistorie

  • Variablen mit Bedeutungen für Linien-Produktivitäts-Indikatoren
  • optionale Datenfilterung
  • Datenerkennung im Modus mit Chargenhistorie

Umfassende Produktivitäts-Chargenhistorie

Dieser Report ist eine Kombination aus:

  • Verlustzeiten Chargenhistorie
  • Produktivitätsindikatoren Chargenhistorie

Die Projektierung erfolgt analog zu den beiden Basisreports.

Details Verlustzeiten Chargenhistorie

Dieser Report verwendet:

  • optionale Datenfilterung
  • Datenerkennung im Modus mit Chargenhistorie
  • für folgende Felder per Meaning adressierte Variablen als Nutzdaten

Es muss immer mindestens 1 Variable je Bedeutung vorhanden sein:

Report-Bestandteil | Default-Bedeutung | Details
Variable For Relative Loss Time Chart | RelativeTimeLosses | Muss immer eingegeben werden.
Variable For Absolute Loss Time Chart | AbsoluteTimeLosses | Muss immer eingegeben werden.


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Maschinenbasierte Produktionsanalyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Ausgangssituation

Es wird angenommen:

  • Je Maschine werden alle notwendigen Zähler (Basisdaten für Indikatoren und Verlustdaten) und Datenfilter über Treiber oder zenon Logic so bereitgestellt, dass ereignisgesteuerte Archivierung verwendbar ist.
    Ablauf je Datenpaket:
    • Zählerwerte werden über Treiber/zenon Logic gesetzt.
    • Optionale Datenfilter werden gesetzt.
    • Archivierungsvariable geht auf 1: Archive werden geschrieben.
    • Archivierungsvariable geht auf 0.
    • Alles wird zurückgesetzt und neues Datenpaket beginnt.
  • Je Maschine sind Chargeninformationen in 2 Variablen (Anzeige, dass Charge läuft, als BOOL und Chargenname als STRING) verfügbar.
    Ablauf:
    • Chargenname wird vor Chargenbeginn in Variable geschrieben.
    • Charge-Läuft-Flag geht bei Chargenstart auf 1.
    • Warten auf Chargenende.
    • Charge-Läuft-Flag geht bei Chargenende auf 0.
    • Chargenname wird zurückgesetzt und neue Charge beginnt.
  • In der Lösung des Beispiels werden ausschließlich Default-Bedeutungen verwendet.
  • Es wird ein zenon Editor Arbeitsbereich mit den folgenden Komponenten verwendet:
    • 1 Globalprojekt
    • 1 Lokalprojekt
  • Es werden nur Basisarchive verwendet.

Ziel

Für die Maschine Filler in der Line Line1 des Werks in Salzburg sollen folgende Analysen ermöglicht werden:

  • Verlustzeiten-Übersicht als Wasserfall
  • Indikatoren-Übersicht
  • Verlustzeiten-Chargenverlauf
  • Indikatoren-Chargenverlauf

Folgende Indikatoren sollen enthalten sein:

  • Availability (Hauptindikator)
  • Performance (Hauptindikator)
  • Quality (Hauptindikator)
  • OEE (Hauptindikator)
  • MTBS (optionaler Indikator)
  • MTBF (optionaler Indikator)
  • MTTR (optionaler Indikator)
  • MTBT (optionaler Indikator)

Folgende Optionale Datenfilter sind notwendig:

  • Flaschentyp:
    • 0,5 Liter
    • 1 Liter
    • 1,5 Liter

Projektierung

Die Projektierung gliedert sich in:

  • Anlagenmodellierung
  • Variablen
  • Optionale Datenfilterung
  • Archive
  • Chargenaufzeichnung
  • Wasserfallmodell

Anlagenmodellierung

Im Globalprojekt wird ein Anlagenmodell erzeugt.

Anlagenmodell Packaging:

  • Anlagengruppe Salzburg:
    • Anlagengruppe Line1

      Anlagengruppe Filler

Variablen

Im Lokalprojekt werden folgende Variablen erzeugt und mit den passenden Treibern/zenon Logic verknüpft:

Variable | Datentyp | Bedeutungen | Anlagen-Zuweisung
Filler_DataArchiveTrigger | BOOL |  | Filler
Filler_BottleType | DINT | BottleType | Filler
Filler_LoadingTime | FLOAT | LoadingTime | Filler
Filler_UnplannedStopTime | FLOAT | RelativeTimeLosses AbsoluteTimeLosses | Filler
Filler_OperatingTime | FLOAT | OperatingTime | Filler
Filler_SpeedLossTime | FLOAT | RelativeTimeLosses AbsoluteTimeLosses | Filler
Filler_NetOperatingTime | FLOAT | NetOperatingTime | Filler
Filler_QualityLossTime | FLOAT | RelativeTimeLosses AbsoluteTimeLosses | Filler
Filler_ValuableOperatingTime | FLOAT | ValuableOperatingTime RelativeTimeLosses | Filler
Filler_MTBS_TimeCounter | FLOAT | MTBS_TimeCounter | Filler
Filler_MTBS_EventCounter | FLOAT | MTBS_EventCounter | Filler
Filler_MTBF_TimeCounter | FLOAT | MTBF_TimeCounter | Filler
Filler_MTBF_EventCounter | FLOAT | MTBF_EventCounter | Filler
Filler_MTTR_TimeCounter | FLOAT | MTTR_TimeCounter | Filler
Filler_MTTR_EventCounter | FLOAT | MTTR_EventCounter | Filler
Filler_MTBT_TimeCounter | FLOAT | MTBT_TimeCounter | Filler
Filler_MTBT_EventCounter | FLOAT | MTBT_EventCounter | Filler
Filler_LotName | STRING |  | Filler
Filler_LotIsActive | BOOL |  | Filler

Optionale Datenfilterung

Die Reaktionsmatrix BottleTypes wird als numerische Reaktionsmatrix mit folgenden Einträgen angelegt:

Wert | Grenzwerttext | AML / CEL
=0 | 0.5 Liter | --
=1 | 1 Liter | --
=2 | 1.5 Liter | --

Die Reaktionsmatrix BottleTypes wird bei der Variablen Filler_BottleType verknüpft.

Archive

Im Lokalprojekt werden folgende Archive erzeugt:

Archivname

Variablen

Aufzeichnung

Start/Stop

Anlagen-Zuweisung

F1 – FillerData

Filler_BottleType

Filler_LoadingTime

Filler_UnplannedStopTime

Filler_OperatingTime

Filler_SpeedLossTime

Filler_NetOperatingTime

Filler_QualityLossTime

Filler_ValuableOperatingTime

Filler_MTBS_TimeCounter

Filler_MTBS_EventCounter

Filler_MTBF_TimeCounter

Filler_MTBF_EventCounter

Filler_MTTR_TimeCounter

Filler_MTTR_EventCounter

Filler_MTBT_TimeCounter

Filler_MTBT_EventCounter

Ereignisgesteuert: Ereignisvariable: Filler_DataArchiveTrigger

Mit Runtime

Filler

FL – FillerLot

Filler_LotName
  • Bei Wertänderung
  • Abbild bei Archivstart lesen
  • Funktionsgesteuert

Filler

Chargenaufzeichnung

Für das Archiv FL werden im zenon Editor folgende Funktionen erzeugt:

  • StartFillerLot: startet das Archiv
  • StopFillerLot: stoppt das Archiv

Bei der Variablen Filler_LotIsActive werden 2 Grenzwerte erzeugt:

  • 0:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StopFillerLot ausführen
  • 1:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StartFillerLot ausführen

Wasserfallmodell

Im zenon Editor wird der Meaning and Waterfall Chart Wizard gestartet.

Einstellungen:

  • Settings:
    • Define Meanings: nicht ausgewählt
    • Define Waterfall Chart: ausgewählt
      Typ: Machine
    • Klick auf Load data
  • Waterfall Chart Filter:
    • Anlagengruppe Filler ausgewählt
    • Lokalprojekt ausgewählt
    • Archiv F1 ausgewählt

Modellierung Wasserfalldiagramm:

Endergebnis

Das Projekt ist bereit für die Nutzung im zenon Analyzer.

Der Arbeitsbereich im SCADA-Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Alle gewünschten Reports des Themas können im ZAMS projektiert und im Report Launcher verwendet werden.


OEE-Analyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > OEE-Analyse

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die OEE Kennzahlen berechnen und darstellen:

  • OEE-Kennzahl: Berechnet die OEE-Kennzahlen für ein gewähltes Anlagenmodell in einem Zeitraum und stellt die Kennzahlen grafisch dar.
  • OEE-Kennzahl Chargenarchiv: Berechnet die OEE-Kennzahlen für ein gewähltes Anlagenmodell für jede Charge in einem Zeitraum und stellt die Kennzahlen grafisch und tabellarisch dar.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

    Wählen Sie als Thema OEE-Analyse.

  2. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Metadaten

Allgemein

Metadaten | Verwendet | Wenn nicht verwendet
Projekte | + | Zwingend nötig.
Alarm-/Ereignisklassen | -- |
Alarm-/Ereignisgruppen | -- |
Benutzer | -- |
Anlagenmodellierung | + | Zwingend nötig.
Archive | + | Zwingend nötig.
Variablen | + | Zwingend nötig.
Preise | -- |
Normwerte | -- |

Zeitfilter

Metadaten | Verwendet | Wenn nicht verwendet
Chargen | + | Keine Reports mit Chargenfilter möglich.
Schichten | + | Keine Reports mit Schichtfilter möglich.

Noch in diesem Kapitel

OEE-Kennzahl

OEE-Kennzahl Chargenarchiv

Voraussetzungen und Projektierung in zenon


OEE-Kennzahl

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > OEE-Analyse > OEE-Kennzahl

Reports, die auf dieser Vorlage basieren, berechnen die OEE Kennzahlen einer Anlagengruppe und stellen die Kennzahlen grafisch dar. Diese Reports sind immer an ein bestimmtes Projekt gebunden.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset OEE_Indicator.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projektauswahl
  • OEE-Bedeutungen
  • OEE-Anlagengruppe
  • Rückblickzeit
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Indikator-Tabelle
  • Messinstrument:
    4 Messinstrumente: je eines pro Hauptindikator
  • Verdichtungsdiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Settings:

  • OEE_Indicators
    • OEE_GetStates
      - GetTotalSeconds
      - GetTotalUnits
      - GetTotalSeconds
    • OEE_GetCounters

Settings:

  • ListEquipments_OEE


OEE-Kennzahl Chargenarchiv

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > OEE-Analyse > OEE-Kennzahl Chargenarchiv

Reports dieser Vorlage berechnen die OEE-Kennzahlen von Chargen einer Anlagengruppe in einem Zeitraum und stellen die Kennzahlen grafisch und tabellarisch dar. Die Kennzahlen werden dabei für jede Charge separat berechnet. Diese Reports sind immer an ein bestimmtes Projekt gebunden.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset OEE_IndicatorLotHistory.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projektauswahl
  • OEE-Bedeutungen
  • Chargenarchiv
  • OEE-Anlagengruppe
  • Rückblickzeit
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Trend-Diagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • OEE_Indicators_LotHistory
    • OEE_GetStates
      - GetTotalSeconds
      - GetTotalUnits
      - GetTotalSeconds
    • OEE_GetCounters

Settings:

  • ListEquipments_OEE


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > OEE-Analyse > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas benötigen spezielle Konfigurationen in zenon.

Noch in diesem Kapitel

In zenon benötigte Module

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > OEE-Analyse > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Projekte
  • Variablen
  • Archive

Finden von Variablen und OEE Berechnung

Diese Reports arbeiten mit gebundenem Projekt und gebundenen Archiven.

Variablen finden

Ablauf Variablenerkennung:

  1. Laden der Metadaten für das gebundene:
    • Projekt
    • Archiv bei Wertänderung
    • zyklische Archiv
  2. Folgende Variablen werden im Archiv bei Wertänderung gesucht:
    1. Schalter für geplante Produktionszeit (BOOL)
    2. Schalter für tatsächliche Produktionszeit (BOOL)
    3. Einstellung für geplante Maschinengeschwindigkeit in Einheiten pro Sekunde

    Die Variablen müssen an eine Anlagengruppe gebunden sein, das Archiv nicht.

  3. Folgende Variablen werden im zyklischen Archiv gesucht:
    1. Zähler für Gesamtmenge
    2. Zähler für Gutmenge

Kann eine Variable nicht gefunden werden, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration der SQL Elemente der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

OEE Berechnung

Konfiguration der Bedeutungen im ZAMS:

Reportelement | Default-Bedeutung | Beschreibung
Planned Production Time | EffectiveWorkingTime | Schalter für geplante Produktionszeit.
Real Production Time | OperatingTime | Schalter für tatsächliche Produktionszeit.
Designed Speed | DesignedSpeed | Einstellungen für geplante Maschinengeschwindigkeit.
Total Units Counter | TotalUnits | Zähler für Gesamtmenge.
Good Units Counter | GoodUnits | Zähler für Gutmenge.

Ablauf OEE-Berechnung:

  1. Für die Variablen bei Wertänderung werden rückblickend Daten gelesen, bis:
    • jede Variable mindestens einen Wert vor Beginn des Report-Zeitraums hat
      oder
    • die maximale Rückblickzeit erreicht wurde
      In diesem Fall wird der Wert 0 als Wert vor dem Betrachtungszeitraum angenommen.
  2. Für die zyklischen Variablen werden nur Daten im Reportzeitraum geholt.
  3. Aus den Daten bei Wertänderung werden gesamt oder je Charge folgende Zähler abgeleitet:
    • geplante Produktionszeit
    • tatsächliche Produktionszeit
    • Planmenge: Die mit der geplanten Geschwindigkeit in der tatsächlichen Produktionszeit erreichbare Menge.
  4. Aus den abgeleiteten Zählern und aus den Zählern aus dem zyklischen Archiv werden die OEE Kennzahlen berechnet.


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > OEE-Analyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

zenon Modul/ZAMS

OEE-Kennzahl
  • OEE Berechnung

OEE-Kennzahl Chargenarchiv
  • OEE Berechnung
    Chargenarchiv wird direkt im ZAMS ausgewählt


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > OEE-Analyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Ausgangssituation

Für dieses Beispiel wird angenommen:

Es existieren zwei Maschinen.
Für jede werden folgende Variablen projektiert:

  • Maschinenlauf geplant:
    • 0: nein
    • 1: ja
  • Maschine läuft:
    • 0: nein
    • 1: ja
  • Geplante Maschinengeschwindigkeit:
    Wird immer vor Maschinenstart auf 0 gesetzt, dann auf den richtigen Wert, dann erst startet die Maschine.
  • Produktionsmenge gesamt:
    minütlicher Relativzähler
  • Produktionsmenge ohne Ausschuss:
    minütlicher Relativzähler

Weitere Annahme:

  • Beide Maschinen produzieren die gleiche Charge.
  • Die Chargenaufzeichnung läuft so ab:
    1. Chargenname wird in STRING-Variable geschrieben.
    2. Die BOOL-Variable Charge-Läuft geht auf 1.
    3. Warten auf Chargenende.
    4. Die BOOL-Variable Charge-Läuft geht auf 0.
    5. Der Chargenname wird zurückgesetzt.

Ziel

Alle Reports dieses Themas sollen für beide Maschinen verfügbar sein.

Dafür steht ein zenon Editor Arbeitsbereich mit folgenden Inhalten zur Verfügung:

  • 1 Globalprojekt
  • 1 Lokalprojekt

Für die Lösung des Beispiels werden ausschließlich Default-Bedeutungen verwendet.

Projektierung

Für die Projektierung werden verwendet:

  • Anlagenmodellierung
  • Variablen
  • Archive
  • Chargen

Anlagenmodellierung

Im zenon Editor wird folgendes Anlagenmodell im Globalprojekt erstellt:

  • Anlagenmodell Production:
    • Anlagengruppe Machine1
    • Anlagengruppe Machine2

Variablen

Im zenon Editor werden im Lokalprojekt folgende Variablen angelegt:

Variable | Datentyp | Bedeutung | Anlagenzuweisung
M1_Planned | BOOL | EffectiveWorkingTime | Machine1
M1_Running | BOOL | OperatingTime | Machine1
M1_DesignSpeed | FLOAT | DesignedSpeed | Machine1
M1_TotalUnits | FLOAT | TotalUnits | Machine1
M1_GoodUnits | FLOAT | GoodUnits | Machine1
M2_Planned | BOOL | EffectiveWorkingTime | Machine2
M2_Running | BOOL | OperatingTime | Machine2
M2_DesignSpeed | FLOAT | DesignedSpeed | Machine2
M2_TotalUnits | FLOAT | TotalUnits | Machine2
M2_GoodUnits | FLOAT | GoodUnits | Machine2
LotName | STRING |  |
LotIsActive | BOOL |  |

Archivierung

Im zenon Editor werden im Lokalprojekt folgende Archive, alle ohne Anlagengruppenzuweisungen, angelegt:

Archiv

Variablen

Start/Stop

Aufzeichnung

SD – SpontData

M1_Planned

M1_Running

M1_DesignSpeed

M2_Planned

M2_Running

M2_DesignSpeed
  • Mit Runtime
  • Bei Wertänderung

CD - CyclicData

M1_TotalUnits

M1_GoodUnits

M2_TotalUnits

M2_GoodUnits
  • Mit Runtime
  • Zyklisch: 1 Minute

LA – LotArchive

LotName
  • von Funktion gesteuert
  • Bei Wertänderung
  • Prozessabbild bei Archivstart lesen

Chargenaufzeichnung

Die Variable LotName im Lokalprojekt wird als Chargenvariable für Archiv LA gesetzt.

Im Lokalprojekt werden folgende Funktionen erzeugt:

  • StartLot: startet das Archiv LA
  • StopLot: stoppt das Archiv LA

Bei der Variable LotIsActive im Lokalprojekt werden 2 Grenzwerte erzeugt:

  • 0:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StopLot ausführen
  • 1:
    • kein AML Eintrag
    • kein CEL Eintrag
    • Funktion StartLot ausführen

Endergebnis

Das Projekt ist bereit für die Nutzung im zenon Analyzer.

Der Arbeitsbereich im zenon Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Alle Reports aus dem Thema OEE Analyse können im ZAMS vorbereitet und im Report Launcher angezeigt werden.


Predictive Analytics

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics

Reports dieses Themas stellen Reportvorlagen zur Verfügung für:

  • Zeitbasierte Prognose von Werten: Prognose zu erwartender, zukünftiger Werte, basierend auf historischen Daten.
  • Wertbasierte Prognose: Prognose von Wechselwirkungen von Variablen.
  • Analyse von Prognosemodellen: Bewertung der Entwicklung zyklisch trainierter Prognosemodelle über die Zeit.

Prognosemodelle für Predictive Analytics werden im Prediction Model Manager erstellt, bearbeitet und verwaltet.

Reportvorlagen

Folgende Reportvorlagen stehen zur Verfügung:

  • Prognosetrend pro Variable: Zeigt historische Daten und Prognosedaten als Trend pro Variable.
  • Prognosetrend pro Anlagengruppe: Zeigt historische Daten und Prognosedaten als Trend pro Anlagengruppe.
  • Verdichteter Prognosetrend pro Variable: Zeigt verdichtete historische Daten und verdichtete Prognosedaten als Trend pro Variable.
  • Verdichteter Prognosetrend pro Anlagengruppe: Zeigt verdichtete historische Daten und verdichtete Prognosedaten als Trend pro Anlagengruppe.
  • Prognoseverdichtung pro Variable: Zeigt verdichtete historische Daten und verdichtete Prognosedaten pro Variable.
  • Prognoseverdichtung pro Anlagengruppe: Zeigt verdichtete Prognosedaten pro Anlagengruppe.
  • Relative Prognoseverdichtung pro Variable: Zeigt verdichtete historische Relativdaten und verdichtete Prognose-Relativdaten pro Variable.
  • Relative Prognoseverdichtung pro Anlagengruppe: Zeigt verdichtete historische Relativdaten und verdichtete Prognose-Relativdaten pro Anlagengruppe.
  • Prognose Kostenverdichtung pro Variable: Zeigt verdichtete historische Kostendaten und verdichtete Prognose-Kostendaten pro Variable.
  • Prognose Kostenverdichtung pro Anlagengruppe: Zeigt verdichtete historische Kostendaten und verdichtete Prognose-Kostendaten pro Anlagengruppe.
  • Prognose Streudiagramm: Erstellt ein Streudiagramm von 2 Indikatoren und zeigt deren prognostizierten Werte.
  • Prognose Streudiagramm mit Referenzkurve: Erstellt ein Streudiagramm mit Referenzkurve von 2 Indikatoren und zeigt deren prognostizierten Werte.
  • Prognosemodell Trainingsverlauf: Erstellt einen Report für Trainingsverlauf und -diagnose.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Predictive Analytics.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Noch in diesem Kapitel

Prognosetrend pro Variable

Prognosetrend pro Anlagengruppe

Verdichteter Prognosetrend pro Variable

Verdichteter Prognosetrend pro Anlagengruppe

Prognoseverdichtung pro Variable

Prognoseverdichtung pro Anlagengruppe

Relative Prognoseverdichtung pro Variable

Relative Prognoseverdichtung pro Anlagengruppe

Prognose Kostenverdichtung pro Variable

Prognose Kostenverdichtung pro Anlagengruppe

Prognose Streudiagramm

Prognose Streudiagramm mit Referenzkurve

Prognosemodell Trainingsverlauf

Voraussetzungen und Projektierung in zenon


Prognosetrend pro Variable

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Prognosetrend pro Variable

Reports, die auf dieser Vorlage basieren, zeigen historische Daten und Prognosedaten als Trend pro Variable.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_TrendData.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Prognosemodell
  • Projekte
  • Variablen

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Spalten: Name, Zeitstempel, Wert, Vorhersagewert und Einheit.
  • Gruppierte Tabelle:
    Zeilengruppierung nach Name und Anzeige von Name, Zeitstempel, Wert, Vorhersagewert und Einheit
  • Pivotierte Tabelle:
    Spaltengruppierung nach Name und Anzeige von Name, Zeitstempel, Wert, Vorhersagewert und Einheit
  • Trend-Diagramm:
    Balken- und Liniendiagramme.
  • Verdichtungsdiagramm:
    Balken- und Tortendiagramme

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Liniendiagramm mit Anzeige der Archivvariablen und Vorhersagewerte.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_GetTrendData
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Prognosetrend pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Prognosetrend pro Anlagengruppe

Reports, die auf dieser Vorlage basieren, zeigen historische Daten und Prognosedaten als Trend pro Anlagengruppe.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_TrendDataPerEquipment.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Prognosemodell
  • Projekte

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Spalten: Name, Zeitstempel, Wert, Vorhersagewert und Einheit.
  • Gruppierte Tabelle:
    Zeilengruppierung nach Name und Anzeige von Name, Zeitstempel, Wert, Vorhersagewert und Einheit
  • Pivotierte Tabelle:
    Spaltengruppierung nach Name und Anzeige von Name, Zeitstempel, Wert, Vorhersagewert und Einheit
  • Trend-Diagramm:
    Balken- und Liniendiagramme.
  • Verdichtungsdiagramm:
    Balken- und Tortendiagramme

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Liniendiagramm mit Anzeige der Anlagengruppen-Archivvariablen und Vorhersagewerte.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_GetTrendDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments


Verdichteter Prognosetrend pro Variable

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Verdichteter Prognosetrend pro Variable

Reports, die auf dieser Vorlage basieren, zeigen verdichtete historische Daten und verdichtete Prognosedaten als Trend pro Variable.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_AggregatedTrendData.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Verdichtungsfunktion
  • Verdichtungsintervall
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Komprimierungsfunktion
  • Prognosemodell
  • Projekte
  • Variablen
  • Verdichtung

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Spalten: Name, Zeitstempel, Wert, Vorhersagewert und Einheit.
  • Trend-Diagramm:
    Balken- und Liniendiagramme.
  • Verdichtungsdiagramm:
    Balken- und Tortendiagramme
  • Paretodiagramm

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Liniendiagramm mit Anzeige der verdichteten Archivvariablen und Vorhersagewerte.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_GetAggregatedTrendData
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Verdichteter Prognosetrend pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Verdichteter Prognosetrend pro Anlagengruppe

Reports, die auf dieser Vorlage basieren, zeigen verdichtete historische Daten und verdichtete Prognosedaten als Trend pro Anlagengruppe.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_AggregatedTrendDataPerEquipment.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Verdichtungsfunktion
  • Verdichtungsintervall
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Komprimierungsfunktion
  • Prognosemodell
  • Projekte
  • Verdichtung

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Spalten: Name, Zeitstempel, Wert, Vorhersagewert und Einheit.
  • Trend-Diagramm:
    Balken- und Liniendiagramme.
  • Verdichtungsdiagramm:
    Balken- und Tortendiagramme
  • Paretodiagramm

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Liniendiagramm mit Anzeige der verdichteten Anlagengruppen-Archivvariablen und Vorhersagewerte.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_GetAggregatedTrendDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments


Prognoseverdichtung pro Variable

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Prognoseverdichtung pro Variable

Reports, die auf dieser Vorlage basieren, zeigen verdichtete historische Daten und verdichtete Prognosedaten pro Variable.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_AgregationPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Prognosemodell
  • Projekte
  • Variablen

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Spalten: Name, Zeitstempel, Wert, Vorhersagewert und Einheit.
  • Verdichtungsdiagramm:
    Säulendiagramm für Summe, Mittelwert, Minimum, Maximum.
  • Pareto-Diagramm:
    Säulendiagramm.

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige der Summe für Absolutwerte aus Archiven und Absolutwerte berechnet über das Vorhersagemodell.
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige des Mittelwerts für Absolutwerte aus Archiven und Absolutwerte berechnet über das Vorhersagemodell.
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige des Minimums für Absolutwerte aus Archiven und Absolutwerte berechnet über das Vorhersagemodell.
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige des Maximums für Absolutwerte aus Archiven und Absolutwerte berechnet über das Vorhersagemodell.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_ GetAggregatedDataPerVariable
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Prognoseverdichtung pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Prognoseverdichtung pro Anlagengruppe

Reports, die auf dieser Vorlage basieren, zeigen verdichtete Prognosedaten pro Anlagengruppe.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_AgregationPerEquipment.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Prognosemodell
  • Projekte

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Spalten: Name, Zeitstempel, Wert, Vorhersagewert und Einheit.
  • Verdichtungsdiagramm:
    Säulendiagramm für Summe, Mittelwert, Minimum, Maximum.
  • Pareto-Diagramm:
    Säulendiagramm.

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige der Summe für Absolutwerte über das Anlagenmodell und Absolutwerte berechnet über das Vorhersagemodell.
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige des Mittelwerts für Absolutwerte über das Anlagenmodell und Absolutwerte berechnet über das Vorhersagemodell.
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige des Minimums für Absolutwerte über das Anlagenmodell und Absolutwerte berechnet über das Vorhersagemodell.
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige des Maximums für Absolutwerte über das Anlagenmodell und Absolutwerte berechnet über das Vorhersagemodell.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_ GetAggregatedDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments
    • SplitStringToInt


Relative Prognoseverdichtung pro Variable

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Relative Prognoseverdichtung pro Variable

Reports, die auf dieser Vorlage basieren, zeigen verdichtete historische Relativdaten und verdichtete Prognose-Relativdaten pro Variable.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_RelativeAgregationPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Prognosemodell
  • Projekte
  • Variablen

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Alle Spalten.
  • Verdichtungsdiagramm:
    Säulendiagramm für Summe.
  • Pareto-Diagramm:
    Säulendiagramm.

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige der Summe für Absolutwerte oder Relativwerte aus Archiven und Absolutwerte oder Relativwerte, berechnet über das Vorhersagemodell.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_ GetAggregatedDataPerVariable
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Relative Prognoseverdichtung pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Relative Prognoseverdichtung pro Anlagengruppe

Reports, die auf dieser Vorlage basieren, zeigen verdichtete historische Relativdaten und verdichtete Prognose-Relativdaten pro Anlagengruppe.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_RelativeAgregationPerEquipment.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Prognosemodell
  • Projekte

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Alle Spalten.
  • Verdichtungsdiagramm:
    Säulendiagramm für Summe.
  • Pareto-Diagramm:
    Säulendiagramm.

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige der Summe für Absolutwerte oder Relativwerte über das Anlagenmodell und Absolutwerte oder Relativwerte, berechnet über das Vorhersagemodell.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_ GetAggregatedDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments
    • SplitStringToInt


Prognose Kostenverdichtung pro Variable

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Prognose Kostenverdichtung pro Variable

Reports, die auf dieser Vorlage basieren, zeigen verdichte historische Kostendaten und verdichtete Prognose-Kostendaten pro Variable.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_CostAgregationPerVariable.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archive (von Projekten)
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Prognosemodell
  • Projekte
  • Variablen

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Alle Spalten.
  • Verdichtungsdiagramm:
    Säulendiagramm.
  • Pareto-Diagramm:
    Säulendiagramm.

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige der Summe aller Kosten-Variablen aus Archiv und Kosten-Variablen, berechnet über das Vorhersagemodel.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_GetAggregatedCostDataPerVariable
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Prognose Kostenverdichtung pro Anlagengruppe

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Prognose Kostenverdichtung pro Anlagengruppe

Reports, die auf dieser Vorlage basieren, zeigen verdichtete historische Kostendaten und verdichtete Prognose-Kostendaten pro Anlagengruppe.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_CostAgregationPerEquipment.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Default Modellname
  • Prognosemodell
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Prognosemodell
  • Projekte

Report-Elemente

  • Dieser Report stellt folgende Report-Elemente zur Verfügung:
  • Flache Tabelle:
    Spalten: Name, Zeitstempel, Wert, Vorhersagewert und Einheit.
  • Verdichtungsdiagramm:
    Säulendiagramm für Summe, Mittelwert, Minimum, Maximum.
  • Pareto-Diagramm:
    Säulendiagramm.

Default bei Layoutgenerierung:

  • Flache Tabelle
  • Verdichtungsdiagramm als Säulendiagramm mit Anzeige der Summe aller Kosten-Variablen aus Archiv und Kosten-Variablen, berechnet über das Vorhersagemodel.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_ GetAggregatedCostDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments
    • SplitStringToInt


Prognose Streudiagramm

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Prognose Streudiagramm

Reports, die auf dieser Vorlage basieren, erstellen ein Streudiagramm von 2 Indikatoren und zeigen deren prognostizierten Werte.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_ScatterPlot.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Streudiagramm Bedeutungen
  • Projekt
  • Archivkomprimierung
  • Verdichtungsintervall
  • Default Modellname
  • Prognosemodell
  • Startwert Prognose
  • Endwert Prognose
  • Anzahl der Prognosewerte
  • Prognosekurve-Name
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Anzahl der Prognosewerte
  • Endwert der Prognose
  • Prognosemodell
  • Projekte
  • Startwert der Prognose
  • Verdichtung

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle:
    Mit Spalten für Anlagengruppen sowie Namen und Anzeige der Variablen-Archivwerte für Horizontalachse und Vertikalachse als:
    • Tabelle nur mit den Messwerten.
    • Tabelle mit Messwerten und Vorhersagewerten.
  • Streudiagramm:
    Mit Kurve vom Vorhersagemodell.

Default bei Layoutgenerierung:

  • Gruppierte Tabellen mit Spalten für Anlagengruppen sowie Namen und Anzeige der Variablen-Archivwerte für Horizontalachse und Vertikalachse:
    • Tabelle nur mit den Messwerten.
    • Tabelle mit Messwerten und Vorhersagewerten.
  • Streudiagramm mit Kurve vom Vorhersagemodell.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_GetScatterWithoutReferenceCurve
    • GetPredictionScatterData
    • GetTotalSeconds
    • SplitStringToInt

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesForScatterPlot
    • SplitStringToInt


Prognose Streudiagramm mit Referenzkurve

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Prognose Streudiagramm mit Referenzkurve

Reports, die auf dieser Vorlage basieren, erstellen ein Streudiagramm mit Referenzkurve von 2 Indikatoren und zeigen deren prognostizierten Werte.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_ScatterPlotWithReferenceCurve.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Streudiagramm Bedeutungen
  • Projekt
  • Archivkomprimierung
  • Verdichtungsintervall
  • Default Modellname
  • Prognosemodell
  • Startwert Prognose
  • Endwert Prognose
  • Anzahl der Prognosewerte
  • Prognosekurve-Name
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Anzahl der Prognosewerte
  • Endwert der Prognose
  • Prognosemodell
  • Projekte
  • Startwert der Prognose
  • Verdichtung

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle:
    Mit Spalten für Anlagengruppen sowie Namen und Anzeige der Variablen-Archivwerte für Horizontalachse und Vertikalachse als:
    • Tabelle nur mit den Messwerten.
    • Tabelle mit Messwerten und Vorhersagewerten.
  • Streudiagramm:
    Mit mit Referenzkurve und Kurve vom Vorhersagemodell.

Default bei Layoutgenerierung:

  • Gruppierte Tabellen mit Spalten für Anlagengruppen sowie Namen und Anzeige der Variablen-Archivwerte für Horizontalachse und Vertikalachse:
    • Tabelle nur mit den Messwerten.
    • Tabelle mit Messwerten, Vorhersagewerten und Referenzwerten.
  • Streudiagramm mit Referenzkurve und Kurve vom Vorhersagemodell.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_GetScatterWithReferenceCurve
    • GetPredictionScatterData
    • GetTotalSeconds
    • SplitStringToInt

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesForScatterPlot
    • SplitStringToInt


Prognosemodell Trainingsverlauf

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Prognosemodell Trainingsverlauf

Reports, die auf dieser Vorlage basieren, erstellen einen Report für Trainingsverlauf und -diagnose.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Predictive_TrainingHistory.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projekt
  • Variablen
  • Bezeichnung Zykluszeit
  • Zykluszeit
  • Bezeichnung Komprimierung
  • Archivkomprimierung
  • Prognosemodell

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Prognosemodelle
  • Projekte
  • Verdichtung
  • Variablen
  • Zykluszeit

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle:
    Alle Werte.
  • Gruppierte Tabelle:
    Gruppiert nach Anlagenmodellnamen und alle Werte als Gruppeninhalte.
    Mit Spalten für Anlagengruppen sowie Namen und Anzeige der Variablen-Archivwerte für Horizontalachse und Vertikalachse.
  • Trend-Diagramm:
    Säulendiagramm und Liniendiagramm.
    • X-Achse: Start- und Endzeiten für Training und Trainingsdaten.
    • Y-Achse: Werte für Daten, Fehler und Korrelationen.

Default bei Layoutgenerierung:

  • Gruppierte Tabelle:
    Gruppiert nach Anlagenmodellnamen und alle Werte als Gruppeninhalte.
  • Trend-Diagramm:
    Liniendiagramm mit Werten für Korrelationskoeffizient, Absolutfehler - Durchschnitt und Relativfehler - Durchschnitt.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Predictive_GetTrainingsHistory
    • SplitStringToInt

Settings:

  • ListProjects
  • ListProjectVariables
  • ListCycletimeFromVariable
  • ListCompressionFromVariable
  • ListPredictiveModelNamesPerSingleVariable


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas verwenden zenon Standards. Eine spezielle Konfiguration der verwendeten Module ist nicht nötig.

Noch in diesem Kapitel

In zenon benötigte Module

Datenmodellierung in zenon Analyzer

Verknüpfung zenon Analyzer Reports mit zenon


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Variablen
  • Archive
  • Anlagengruppen
  • Bedeutungen für die Variablen der X-Achse und Y-Achse.


Datenmodellierung in zenon Analyzer

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Voraussetzungen und Projektierung in zenon > Datenmodellierung in zenon Analyzer

Konfigurationen im zenon Analyzer:

  • Im Prediction Model Manager muss mindestens ein Vorhersagemodell konfiguriert und trainiert werden.
  • Referenzkurven für Streudiagramme müssen im Manual Data Editor angelegt werden.


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Predictive Analytics > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

zenon Modul/ZAMS

Prognosetrend pro Variable
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle

Prognosetrend pro Anlagengruppe
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle

Verdichteter Prognosetrend pro Variable
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle

Verdichteter Prognosetrend pro Anlagengrupp
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle

Prognoseverdichtung pro Variable
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle

Prognoseverdichtung pro Anlagengruppe
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle

Relative Prognoseverdichtung pro Variable
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle

Relative Prognoseverdichtung pro Anlagengruppe
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle

Prognose Kostenverdichtung pro Variable
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle
  • Kosten-Variablen über Manual Data Editor.

Prognose Kostenverdichtung pro Anlagengruppe
  • Variablen
  • Archive
  • Anlagenmodelle
  • Berechnete Vorhersagemodelle
  • Kosten-Variablen über Manual Data Editor.

Prognose Streudiagramm
  • Variablen
  • Bedeutungen für Variablen der X- und Y-Achsen
  • Archive
  • Anlagenmodelle
  • Referenzkurve aus ManualData Editor
  • Berechnete Vorhersagemodelle

Prognose Streudiagramm mit Referenzkurve
  • Variablen
  • Bedeutungen für Variablen der X- und Y-Achsen
  • Archive
  • Anlagenmodelle
  • Referenzkurve aus ManualData Editor
  • Berechnete Vorhersagemodelle

Prognosemodell Trainingsverlauf
  • Trainierte Modelle


Soll-Ist-Analyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten ermöglichen. Die Ist-Werte kommen dabei immer aus einem Archiv. Die Soll-Werte können aus einem Archiv stammen. Sind diese nicht archiviert, so werden die Soll-Werte, wenn möglich, aus der Tabelle NORM extrahiert. Die Variablen werden über Anlagengruppen und Bedeutungen adressiert.

Dabei gilt:

  • Variablen, die für die Soll-Ist-Analyse, verwendet werden:
    • werden über Bedeutungen (Meanings) adressiert
    • müssen mit der jeweiligen Anlagengruppe verknüpft sein
  • Das Archiv, in dem die Ist-Werte gespeichert werden, muss mit der jeweiligen Anlagengruppe verknüpft sein.
  • Stammen die Soll-Werte aus einem Archiv statt aus der NORM-Tabelle, dann muss dieses Archiv mit der jeweiligen Anlagengruppe verknüpft sein.

Reportvorlagen

Folgende Reportvorlagen stehen zur Verfügung:

  • Soll-Ist-Verdichtungstrend (absolut): Vergleicht zwei Variablen bzw. eine Variable (Ist) mit einer Norm (Soll). Berechnet Absolutzähler und stellt diese dar.
  • Soll-Ist-Verdichtungstrend (relativ): Vergleicht zwei Variablen bzw. eine Variable (Ist) mit einer Norm (Soll). Berechnet Relativzähler und stellt diese dar.
  • Streudiagramm: Erstellt ein Streudiagramm eines Wertepaars für einen Zeitraum.
  • Streudiagramm mit Referenzkurve: Erstellt ein Streudiagramm für den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Soll-Ist-Analyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Noch in diesem Kapitel

Soll-Ist-Verdichtungstrend (absolut)

Soll-Ist-Verdichtungstrend (relativ)

Streudiagramm

Streudiagramm mit Referenzkurve

Voraussetzungen und Projektierung in zenon


Soll-Ist-Verdichtungstrend (absolut)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse > Soll-Ist-Verdichtungstrend (absolut)

Reports, die auf dieser Vorlage basieren, vergleichen zwei Variablen bzw. eine Variable (Ist) mit einer Norm (Soll). Sie holen die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe. Daraus werden dann Absolutzähler berechnet und dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset TargetActual_ComparisonAbsolute.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Soll-Ist Bedeutungen
  • Verdichtungsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle: Werte der Variablen für Istwert und Sollwert.
  • Trend-Diagramm: Werte der Variablen für Istwert und Sollwert als Y-Achsen-Felder.
  • Verdichtungsdiagramm: Werte der Variablen für Istwert und Sollwert als Y-Achsen-Felder. Variablenwerte sind kumuliert, daher steht nur das Maximum als Verdichtung zur Verfügung.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • TargetActualComparison310_Absolute
    • GetTargetActualVariables

Settings:

  • ListEquipmentTree


Soll-Ist-Verdichtungstrend (relativ)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse > Soll-Ist-Verdichtungstrend (relativ)

Reports, die auf dieser Vorlage basieren, vergleichen zwei Variablen bzw. eine Variable (Ist) mit einer Norm (Soll). Sie holen die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe. Daraus werden dann Relativzähler berechnet und dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset TargetActual_ComparisonRelative.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Soll-Ist Bedeutungen
  • Verdichtungsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle: Werte der Variablen für Istwert und Sollwert.
  • Trend-Diagramm: Werte der Variablen für Istwert und Sollwert als Y-Achsen-Felder.
  • Verdichtungsdiagramm: Werte der Variablen für Istwert und Sollwert als Y-Achsen-Felder. Variablenwerte sind kumuliert, daher steht nur das Maximum als Verdichtung zur Verfügung.

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • TargetActualComparison310_Relative
    • GetTargetActualVariables

Settings:

  • ListEquipmentTree


Streudiagramm

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse > Streudiagramm

Reports, die auf dieser Vorlage basieren, erstellen ein Streudiagramm für den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten. Die Wertepaare werden als X- und Y-Wert in einem zweidimensionalen Raster als Punkt dargestellt. Mit der Verdichtungsfunktion Durchschnitt können die Werte komprimiert werden. Im Diagramm werden keine Referenzkurven angezeigt.

Dies Reportvorlage wird in folgenden Themen angeboten:

  • Soll-Ist-Analyse
  • Wasserkraftwerk-Analyse
  • Windkraftwerk Analyse

Reports, die auf dieser Vorlage basieren, vergleichen zwei Variablen bzw. eine Variable (Ist) mit einer Norm (Soll). Sie holen die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe. Daraus werden dann Relativzähler berechnet und dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset TargetActual_ScatterPlot.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Streudiagramm Bedeutungen
  • Projekt
  • Archivkomprimierung
  • Verdichtungsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle:
    Bei Zeitbereichsvereinigung kann eine Zeile nur in den Spalten eines Zeitbereichs Werte haben.
  • Streudiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • TargetActualScatter_WithoutReferenceCurve

Settings:

  • ListProjects
  • ListEquipmentTree


Streudiagramm mit Referenzkurve

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse > Streudiagramm mit Referenzkurve

Reports, die auf dieser Vorlage basieren, erstellen ein Streudiagramm eines Wertepaars für einen Zeitraum. Die Wertepaare werden als X- und Y-Wert in einem zweidimensionalen Raster als Punkt dargestellt. Mit der Verdichtungsfunktion Durchschnitt können die Werte komprimiert werden. Im Diagramm wird zusätzlich eine Referenzkurve angezeigt.

Dies Reportvorlage wird in folgenden Themen angeboten:

  • Soll-Ist-Analyse
  • Wasserkraftwerk-Analyse
  • Windkraftwerk Analyse

Reports, die auf dieser Vorlage basieren, vergleichen zwei Variablen bzw. eine Variable (Ist) mit einer Norm (Soll). Sie holen die Soll- und Istwerte für die gesetzten Bedeutungen und die gewählte Anlagengruppe. Daraus werden dann Relativzähler berechnet und dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset TargetActual_ScatterPlotWithReferenceCurve.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Streudiagramm Bedeutungen
  • Projekt
  • Archivkomprimierung
  • Verdichtungsintervall
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle:
    Bei Zeitbereichsvereinigung kann eine Zeile nur in den Spalten eines Zeitbereichs Werte haben.
  • Streudiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • TargetActualScatter_WithReferenceCurve

Settings:

  • ListProjects
  • ListEquipmentTree


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas benötigen spezielle Konfigurationen in zenon.

Noch in diesem Kapitel

In zenon benötigte Module

Datenmodellierung in zenon Analyzer

Verknüpfung zenon Analyzer Reports mit <CD_SCADA

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Variablen mit und ohne Archivierung

Variablen per Bedeutung mit Archivanbindung finden

Damit eine Variable per Bedeutung (Meaning) mit Archivanbindung adressiert werden kann, müssen im zenon Editor folgende Bedingungen erfüllt sein:

  • Die Variable muss die gewünschte Bedeutung gesetzt haben.
    Diese werden konfiguriert in den Eigenschaften der Variablen im Knoten Analyzer, Eigenschaft Bedeutung.
  • Die Variable muss archiviert werden.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.
  • Das Archiv, in dem die Variable aufgezeichnet wird, muss der gewünschten Anlagengruppe zugeordnet sein.

Achtung: Wird die Variable in mehreren Archiven aufgezeichnet, so darf nur eines davon der gewünschten Anlagengruppe zugeordnet sein. Wird beim Auflisten der archivierten Variablen je Bedeutung für eine Variable mehr als ein Archiv erkannt, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration im ZAMS und in der SQL Elementen der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus dem zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1, P2
  • Bedeutung: meaning
  • Anlagengruppe: G1
  • Variablen: V1, V2
  • Archive: A1, A2

Auffindbare Variable

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable „V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen

Projekt P2:

  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Projektübergreifender Variablenbezug. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Bedeutung wurde nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 3:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 4:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wird nicht im Archiv aufgezeichnet. Variable ist nicht auffindbar.

Beispiel 5:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt

Ergebnis: Archiv wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen
  • Archiv A2":
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 mögliches Quellarchiv für die Variable gefunden. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Variable V2:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Variable V2 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 Variable für Bedeutung gefunden. Ob Variabler auffindbar ist, hängt vom Typ des Reports ab.

Variablen per Bedeutung ohne Archivanbindung finden

Damit eine Variable per Bedeutung (Meaning) ohne Archivanbindung adressiert werden kann, müssen im zenon Editor folgende Bedingungen erfüllt sein:

  • Die Variable muss die gewünschte Bedeutung gesetzt haben.
    Diese werden konfiguriert in den Eigenschaften der Variablen im Knoten Analyzer, Eigenschaft Bedeutung.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.

Die Validierung erfolgt bei der Konfiguration im ZAMS und in der SQL Elementen der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus dem zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1
  • Bedeutung: meaning
  • Anlagengruppe: G1
  • Variablen: V1, V2
  • Archiv: A1

Auffindbare Variable

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen:

Beispiel 1

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Bedeutung nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen

Ergebnis: Variable wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Variable V2:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Variable V2 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 Variable für Bedeutung gefunden. Ob Variabler auffindbar ist, hängt vom Typ des Reports ab.


Datenmodellierung in zenon Analyzer

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse > Voraussetzungen und Projektierung in zenon > Datenmodellierung in zenon Analyzer

Für Reports dieses Themas können Daten modelliert und den zenon Variablen zugewiesen werden:

  • Standardaufzeichnung:
    Die Modellierung und Zuweisung erfolgt im Manual Data Editor.
  • Referenzkurven
  • Soll-Ist-Bedeutungen:
    Konfiguration im ZAMS.

Standardaufzeichnung

In der Analyzer Datenbank können Standardverläufe modelliert und Variablen zugewiesen werden.
Zuweisungen zur Variable:

  • Minimum: 0
  • Maximum N

Maximal 1 zugewiesener Standardverlauf kann als Default definiert werden.

Referenzkurven

In der Analyzer Datenbank können Referenzkurven modelliert und Anlagengruppen zugewiesen werden.
Zuweisung zu einer Anlagengruppe:

  • Minimum: 0 Referenzkurven
  • Maximum 1 Referenzkurve

Alle im Report inkludierten Anlagengruppen müssen die gleiche Referenzkurve verwenden.

Soll-Ist-Bedeutungen

Soll-Ist-Vergleiche verwenden für folgende Felder per Bedeutung adressierte Variablen ohne Archivierung.
Immer genau 1 Variable je Bedeutung:

Report-Bestandteil | Default-Meaning | Details
Target Value Variables | TargetValues | Muss immer angegeben werden.
Actual Value Variables | ActualValues | Muss immer angegeben werden.

Dabei gilt:

  • Vorliegen der Variablen als Rohdaten in einem Basisarchiv oder als Summendaten in einem Verdichtungsarchiv:
    • für Istwert: obligatorisch
    • für Sollwert: optional
  • Werden für den Sollwert keine Archive gefunden, aus denen Daten gelesen werden können, gilt das nicht als Fehler.
    In diesem Fall werden die Sollwerte aus den mit der Sollwert-Variablen verknüpften Standardverläufen gelesen. Hier muss genau ein Standardverlauf als Default markiert sein.

Beispiele

Definitionen:

  • Projekt: P1
  • Anlagengruppe: A1
  • Bedeutung: TargetValue
  • Variablen: V1
  • Archiv: AR11
  • Standardverlauf: S1

Sollwerte aus Archiv

Beispiel:

Projekt P1:

  • Variable V1
    • Bedeutung TargetValue
    • mit Anlagengruppe A1 verknüpft
  • Archiv AR1
    • zeichnet Variable V1 auf
    • ist mit Anlagengruppe A1 verknüpft

Sollwerte aus Standardverlauf

Projekt P1:

  • Variable V1
    • Meaning TargetValue
    • mit Anlagengruppe A1 verknüpft
  • Variable V1
  • mit Standardverlauf S1 als Default-Standard verknüpft

Ungültige Konfigurationen

Folgende Fälle führen zu Fehlermeldungen:

  • Variable kann aus mehr als einem Archiv gelesen werden.
  • Variable kann aus keinem Archiv gelesen werden
    und:
    • Variable hat keinen Default-Standard verknüpft.
    • Variable hat mehr als einen Default-Standard verknüpft.

Bedeutungen für Streudiagramm

Streudiagramme verwenden für folgende Felder per Bedeutung adressierte Variablen mit Archivierung.
Immer genau 1 Variable je Bedeutung:

Report-Bestandteil | Default-Bedeutung | Details
X-Axis Indicator Variables | HorizontalIndicator | Muss immer angegeben werden.
Y-Axis Indicator Variables | VerticalIndicator | Muss immer angegeben werden.

Diese Variablen können als Rohdaten in einem Basisarchiv oder in jeder Verdichtungsart in einem Verdichtungsarchiv vorliegen.


Verknüpfung zenon Analyzer Reports mit <CD_SCADA

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit <CD_SCADA

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

zenon Modul/ZAMS

Soll-Ist-Verdichtungstrend
  • Bedeutungen für Soll-Ist-Vergleich

Soll-Ist-Verdichtungstrend
  • Bedeutungen für Soll-Ist-Vergleich

Streudiagramm
  • Bedeutungen für Streudiagramm

Streudiagramm mit Referenzkurve
  • Bedeutungen für Streudiagramm
  • Referenzkurven


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Soll-Ist-Analyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Ausgangssituation

Für dieses Beispiel wird angenommen:

  • Im Werk Salzburg gibt es 3 Maschinen:
    • Maschine 1 hat 1 Indikator.
      Soll- und Istwert des Indikators können zyklisch archiviert werden.
    • Maschine 2 hat 1 Indikator.
      Der Istwert des Indikators kann zyklisch archiviert werden.
      Der Sollwert kann per Standardverlauf modelliert werden.
    • Maschine 3 hat 2 Indikatoren.
      Beide Indikatoren können zyklisch archiviert werden.
      Für das Verhältnis der Indikatoren zueinander kann eine Referenzkurve eingegeben werden.
    • Sämtliche archivierbaren Variablen können minütlich archiviert werden und stehen über Treiber oder zenon Logic zur Verfügung.
  • Es existiert 1 zenon Editor Arbeitsbereich mit:
    • 1 Globalprojekt
    • 1 Lokalprojekt

Für die Lösung des Beispiels werden ausschließlich Default-Bedeutungen verwendet.

Ziel

Folgende Reports sollen möglich sein:

  • Soll-Ist-Verdichtungstrend (absolut) für Maschine 1 und Maschine 2
  • Soll-Ist-Verdichtungstrend (relativ) für Maschine 1 und Maschine 2
  • Streudiagramm mit und ohne Referenzkurve für Maschine 3

Projektierung

Für die Projektierung werden verwendet:

  • Anlagenmodellierung
  • Variablen
  • Archive
  • Standardverlauf
  • Referenzkurve

Anlagenmodellierung

Im zenon Globalprojekt wird folgendes Anlagenmodell erstellt:

  • Anlagenmodell Production:
    • Anlagengruppe Salzburg:

      Anlagengruppe Machine1

      Anlagengruppe Machine2

      Anlagengruppe Machine3

Variablen

Im Lokalprojekt werden folgende Variablen erstellt:

Variable | Bedeutung | Anlagenzuweisung
M1_Target | TargetValues | Machine1
M1_Actual | ActualValues | Machine1
M2_Target | TargetValues | Machine2
M2_Actual | ActualValues | Machine2
M3_Horizontal | HorizontalIndicator | Machine3
M3_Vertical | VerticalIndicator | Machine3

Datentyp für alle Variablen: FLOAT

Archive

Im Lokalprojekt werden folgende Archive erstellt:

Archiv | Variablen | Anlagenzuweisung
M1 – DataMachine1 | M1_Target M1_Actual | Machine1
M2 – DataMachine2 | M2_Actual | Machine2
M3 – DataMachine3 | M3_Horizontal M3_Vertical | Machine3

Konfiguration aller Archive:

  • zyklisch
  • 1 Minute Zykluszeit
  • Start/Stop mit Runtime

Zwischenergebnis

Der Arbeitsbereich im zenon Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden.
Im Manual Data Editor und Metadata Editor müssen noch Standardverlauf und Referenzkurve konfiguriert werden.

Standardverlauf einfügen

Da die Variable M2_Target nicht archiviert wird, muss der Sollwert über einen Standardverlauf modelliert werden. Das geschieht im Manual Data Editor.
Ablauf:

  1. Manual Data Editor starten und verbinden.
  2. Standard definieren und Verlauf modellieren.
  3. Standard mit Variable verknüpfen und Default-Flag setzen.
  4. Daten in der Datenbank speichern.

Referenzkurve einfügen

Für die Anlagengruppe Machine3 wird eine Referenzkurve benötigt. Diese wird im Metadata Editor modelliert.
Ablauf:

  1. Metadata Editor starten und verbinden.
  2. Referenzkurve definieren und Verlauf modellieren.
  3. Anlagengruppe selektieren und Referenzkurve verlinken.
  4. Daten in der Datenbank speichern.

Endergebnis

Die Reports können im ZAMS vorbereitet und im Report Launcher verwendet werden.


Statistische Analyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die bei der statistischen Analyse von Daten unterstützen:

  • Prozessfähigkeit: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Mittelwerten und Standardabweichungen.
  • Prozessfähigkeit basierend auf Rohdaten: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Messwerten.
  • Prozessfähigkeits-Trend: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Mittelwerten und Standardabweichungen und stellt die Ergebnisse als Trend dar. Die Berechnung der Trenddarstellung für Cp und Cpk kann entweder über einen Zeitintervall oder über eine Stichprobengröße erfolgen.
  • Prozessfähigkeits-Trend basierend auf Rohdaten: Berechnet den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Messwerten und stellt Cp- und Cpk-Ergebnisse als Trend dar. Die Berechnung der Trenddarstellung für Cp und Cpk kann entweder über einen Zeitintervall oder über eine Stichprobengröße erfolgen.
  • Regelkarte: Stellt eine Regelkarte dar, basierend auf archiviertem Mittelwert und Standardabweichung einer Messgröße.
  • Regelkarte basierend auf Rohdaten: Stellt eine Regelkarte dar, basierend auf einer archivierten Messgröße.
  • Boxplot: Wertet archivierte Variablen statistisch aus. Die Variablen können entweder über Archive oder über Anlagengruppen adressiert werden.
  • XY-Trend basierend auf Variablen: Stellt einen XY-Trend mit Auswahl der Variablen für X und Y dar.
  • XY-Trend basierend auf Bedeutungen: Stellt einen XY-Trend für mehrere Anlagengruppen dar. Die Variablen für X und Y werden auf Basis von Bedeutungen gesucht.
  • Histogramm: Erstellen Histogramme für archivierte Variablen.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Statistische Analyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Noch in diesem Kapitel

Prozessfähigkeit

Prozessfähigkeit basierend auf Rohdaten

Prozessfähigkeits-Trend

Prozessfähigkeits-Trend basierend auf Rohdaten

Regelkarte

Regelkarte basierend auf Rohdaten

Boxplot

XY-Trend basierend auf Variablen

XY-Trend basierend auf Bedeutungen

Histogramm

Voraussetzungen und Projektierung in zenon


Prozessfähigkeit

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Prozessfähigkeit

Reports, die auf dieser Vorlage basieren, berechnen den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Mittelwerten und Standardabweichungen. Der Mittelwert µ und die Standardabweichung s des Prozesses müssen über zenon Variablen in einem Archiv aufgezeichnet werden.

Die Prozessfähigkeitsindizes Cp und CpK sind Kennzahlen zur statistischen Bewertung eines Prozesses in der Produktionstechnik.
Folgende Formeln werden für die Berechnungen verwendet:

Legende:

  • Cp: Prozessfähigkeitsindex
  • Cpk: Kritischer Prozessfähigkeitsindex
  • OSG: Obere Spezifikationsgrenze ( laut Konstruktionszeichnung)
  • USG: Unterer Spezifikationsgrenze (laut Konstruktionszeichnung)
  • s : Streuung des Prozesses
  • µ: Mittelwert des Prozesses

1. Formel

2. Formel

3. Formel

4. Formel

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset StatisticalAnalysis_AggregatedProcessCapability.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archive (von Projekten)
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Archivkomprimierung
  • Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe
  • Prozessfähigkeit
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Mittelwert
  • Projekte
  • Standardabweichung

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle: Spalten für
    • Anzahl
    • Mittelwert
    • Standardabweichung
    • CP
    • Grenzfarbe für CP
    • CPO
    • CPU
    • CPK
    • Grenzfarbe für CPK
    • Einheit
  • Messinstrumente für CP und CPK:
    Die Zielwerte für CP/CPK werden nicht von der Report-Einstellung übernommen. Sie müssen dediziert noch einmal gesetzt werden.
    • Unterer Bereich: CP/CPK Zielwert
    • Oberer Bereich: Anzeigegrenze

    Die Farben für die Anzeige können nicht eingestellt werden. Diese sind vordefiniert.

    • Grün: CP/CPK OK
    • Rot: CP/CPK nicht OK

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetAggregatedProcessCapability

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Prozessfähigkeit basierend auf Rohdaten

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Prozessfähigkeit basierend auf Rohdaten

Reports, die auf dieser Vorlage basieren, berechnen den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Messwerten, zum Beispiel die gefertigten Durchmesser von Bolzen oder Abfüllmenge bei Flaschen usw. Für die Berechnung werden die Rohdaten (Messdaten) einer Anlage verwendet. Die Messdaten müssen in einem Archiv gespeichert werden.

Die Streuung und der Mittelwert werden für den gesamten Zeitraum in der SP berechnet und für den Cp und Cpk als Berechnungsgrundlage verwendet.

Die Prozessfähigkeitsindizes Cp und CpK sind Kennzahlen zur statistischen Bewertung eines Prozesses in der Produktionstechnik.
Folgende Formeln werden für die Berechnungen verwendet:

Legende:

  • Cp: Prozessfähigkeitsindex
  • Cpk: Kritischer Prozessfähigkeitsindex
  • OSG: Obere Spezifikationsgrenze ( laut Konstruktionszeichnung)
  • USG: Unterer Spezifikationsgrenze (laut Konstruktionszeichnung)
  • s : Streuung des Prozesses
  • µ: Mittelwert des Prozesses

1. Formel

2. Formel

3. Formel

4. Formel

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset StatisticalAnalysis_AggregatedProcessCapabilityFromRawData.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archivkomprimierung
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Variable basierend auf Archiv oder Anlagengruppe
  • Prozessfähigkeit
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Messwert
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle: Spalten für
    • Anzahl
    • Median
    • Spannweite
    • Maximum
    • Minimum
    • Mittelwert
    • Standardabweichung
    • CP
    • Grenzfarbe für CP
    • CPO
    • CPU
    • CPK
    • Grenzfarbe für CPK
    • Einheit
  • Messinstrumente für CP und CPK:
    Die Zielwerte für CP/CPK werden nicht von der Report-Einstellung übernommen. Sie müssen dediziert noch einmal gesetzt werden.
    • Unterer Bereich: CP/CPK Zielwert
    • Oberer Bereich: Anzeigegrenze

    Die Farben für die Anzeige können nicht eingestellt werden. Diese sind vordefiniert.

    • Grün: CP/CPK OK
    • Rot: CP/CPK nicht OK

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetAggregatedProcessCapabilityFromRawData

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Prozessfähigkeits-Trend

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Prozessfähigkeits-Trend

Reports, die auf dieser Vorlage basieren, berechnen den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Mittelwerten und Standardabweichungen und stellt die Ergebnisse als Trend dar. Die Berechnung der Trenddarstellung für Cp und Cpk kann entweder über einen Zeitintervall oder über eine Stichprobengröße erfolgen.

Der Mittelwert µ und die Standardabweichung s des Prozesses dienen als Berechnungsgrundlage. Diese müssen über zenon Variablen in einem Archiv aufgezeichnet werden.

Die Prozessfähigkeitsindizes Cp und CpK sind Kennzahlen zur statistischen Bewertung eines Prozesses in der Produktionstechnik.
Folgende Formeln werden für die Berechnungen verwendet:

Legende:

  • Cp: Prozessfähigkeitsindex
  • Cpk: Kritischer Prozessfähigkeitsindex
  • OSG: Obere Spezifikationsgrenze ( laut Konstruktionszeichnung)
  • USG: Unterer Spezifikationsgrenze (laut Konstruktionszeichnung)
  • s : Streuung des Prozesses
  • µ: Mittelwert des Prozesses

1. Formel

2. Formel

3. Formel

4. Formel

info Info

Erfolgen bei der Berechnung von Werten eine Divisionen durch Null, werden diese Werte im Report leer dargestellt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset StatisticalAnalysis_TrendProcessCapability.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archive (von Projekten)
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Archivkomprimierung
  • Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe
  • Prozessfähigkeit
  • Intervall für Prozessfähigkeit
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Mittelwert
  • Projekte
  • Standardabweichung
  • Stichprobengröße
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle: Spalten für
    • Stichprobennummer
    • Stichprobengröße
    • Startzeit
    • Endzeit
    • Mittelwert
    • Standardabweichung
    • CP
    • Grenzfarbe für CP
    • CPO
    • CPU
    • CPK
    • Grenzfarbe für CPK
    • Einheit
  • Trend-Diagramm:
    Y Achse: Mehrfachauswahl für
    • Mittelwert
    • Standardabweichung
    • CP
    • CPO
    • CPU
    • CPK

    X-Achse: Startzeit oder Endzeit

    Diagramm Typen:

    • Liniendiagramm
    • Balkendiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetTrendProcessCapability

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Prozessfähigkeits-Trend basierend auf Rohdaten

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Prozessfähigkeits-Trend basierend auf Rohdaten

Reports, die auf dieser Vorlage basieren, berechnen den Prozessfähigkeitsindex (Cp) und den Kritischen Prozessfähigkeitsindex (Cpk) aus den archivierten Messwerten und stellt Cp- und Cpk-Ergebnisse als Trend dar. Die Berechnung der Trenddarstellung für Cp und Cpk kann entweder über einen Zeitintervall oder über eine Stichprobengröße erfolgen.

Die Prozessfähigkeitsindizes Cp und CpK sind Kennzahlen zur statistischen Bewertung eines Prozesses in der Produktionstechnik.
Folgende Formeln werden für die Berechnungen verwendet:

Legende:

  • Cp: Prozessfähigkeitsindex
  • Cpk: Kritischer Prozessfähigkeitsindex
  • OSG: Obere Spezifikationsgrenze ( laut Konstruktionszeichnung)
  • USG: Unterer Spezifikationsgrenze (laut Konstruktionszeichnung)
  • s : Streuung des Prozesses
  • µ: Mittelwert des Prozesses

1. Formel

2. Formel

3. Formel

4. Formel

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset StatisticalAnalysis_TrendProcessCapabilityFromRawData.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn fürVariable basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archive (von Projekten)
    Nur aktiviert, wenn für Variable basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Prozessfähigkeit
  • Intervall für Prozessfähigkeit
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Messwert
  • Projekte
  • Stichprobengröße
  • Verdichtungsintervall

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle: Spalten für
    • Stichprobennummer
    • Stichprobengröße
    • Startzeit
    • Endzeit
    • Maximum
    • Minimum
    • Mittelwert
    • Standardabweichung,
    • Spannweite
    • Median
    • CP
    • Grenzfarbe für CP
    • CPO
    • CPU
    • CPK
    • Grenzfarbe für CPK
    • Einheit
  • Trend-Diagramm:
    Y Achse: Mehrfachauswahl für
    • Maximum
    • Minimum
    • Mittelwert
    • Standardabweichung
    • Median
    • Spannweite
    • CP
    • CPO
    • CPU
    • CPK

    X-Achse: Startzeit oder Endzeit

    Diagramm Typen:

    • Liniendiagramm
    • Balkendiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetTrendProcessCapabilityFromRawData

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Regelkarte

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Regelkarte

Reports, die auf dieser Vorlage basieren, stellen eine Regelkarte dar, basierend auf archiviertem Mittelwert und Standardabweichung einer Messgröße.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • Statistics_ControlChart: Ermöglicht die Darstellung einer Regelkarte, basierend auf archiviertem Mittelwert und Standardabweichung einer Messgröße.
  • Statistics_ControlChartInfo (IMDS): Enthält Erwartungswert, obere und untere Warngrenzen, sowie obere und untere Eingriffsgrenzen für Mittelwert und Standardabweichung.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archive (von Projekten)
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Archivkomprimierung
  • Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe
  • Intervall für Prozessfähigkeit
  • Grenzen für Regelkarte
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Mittelwert
  • Projekte
  • Standardabweichung
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Obere Eingriffsgrenze für Mittelwert
    • Obere Warngrenzen für Mittelwert
    • Erwartungswert für Mittelwert
    • Untere Warngrenzen für Mittelwert
    • Untere Eingriffsgrenze für Mittelwert
    • Obere Eingriffsgrenze für Standardabweichung
    • Obere Warngrenzen für Standardabweichung
    • Erwartungswert für Standardabweichung
    • Untere Warngrenzen für Standardabweichung
    • Untere Eingriffsgrenze für Standardabweichung

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Flache Tabelle Eingriffsgrenze für Durchschnitt verletzt
  • Flache Tabelle Eingriffsgrenze für Standardabweichung verletzt
  • Flache Tabelle Warngrenze für Durchschnitt verletzt
  • Flache Tabelle Warngrenze für Standardabweichung verletzt
  • Trend mit Grenzen für:
    • Durchschnitt
    • Standardabweichung

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetControlChartData
  • Statistics_GetControlChartLimits
    • GetArchivedVariableMeta

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Regelkarte basierend auf Rohdaten

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Regelkarte basierend auf Rohdaten

Reports, die auf dieser Vorlage basieren, stellen eine Regelkarte dar, basierend auf einer archivierten Messgröße.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • Statistics_ControlChartFrom RawDate: Ermöglicht die Darstellung einer Regelkarte, basierend auf einer archivierten Messgröße.
  • Statistics_ControlChartInfoFRomRawData (IMDS): Enthält Erwartungswert, obere und untere Warngrenzen, sowie obere und untere Eingriffsgrenzen für Mittelwert und Standardabweichung.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archive (von Projekten)
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Intervall für Prozessfähigkeit
  • Grenzen für Regelkarte
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Projekte
  • Variablen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Obere Eingriffsgrenze für Mittelwert
    • Obere Warngrenzen für Mittelwert
    • Erwartungswert für Mittelwert
    • Untere Warngrenzen für Mittelwert
    • Untere Eingriffsgrenze für Mittelwert
    • Obere Eingriffsgrenze für Standardabweichung
    • Obere Warngrenzen für Standardabweichung
    • Erwartungswert für Standardabweichung
    • Untere Warngrenzen für Standardabweichung
    • Untere Eingriffsgrenze für Standardabweichung

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle
  • Flache Tabelle Eingriffsgrenze für Durchschnitt verletzt
  • Flache Tabelle Eingriffsgrenze für Standardabweichung verletzt
  • Flache Tabelle Warngrenze für Durchschnitt verletzt
  • Flache Tabelle Warngrenze für Standardabweichung verletzt
  • Trend mit Grenzen für:
    • Durchschnitt
    • Standardabweichung

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetControlChartDataFromRawData
  • Statistics_GetControlChartLimitsFromRawData
    • GetArchivedVariableMeta

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Boxplot

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Boxplot

Reports, die auf dieser Vorlage basieren, werten archivierte Variablen statistisch aus. Die Variablen können entweder über Archive oder über Anlagengruppen adressiert werden.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Statistics_BoxPlot.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archive (von Projekten)
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Projekte
  • Variablen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Flache Tabelle mit statistischen Daten:
    1 Zeile je Variable.
    Spalten:
    • Variablenname
    • Mittelwert
    • Standardabweichung
    • Minimum
    • Maximum
    • Spannweite
    • Median
    • Unteres Quartil
    • Oberes Quartil
    • Quartilsabstand
  • Gruppierte Tabelle mit Ausreißern:
    1 Gruppe je Variable, 1 Zeile je Wert.
    Spalten:
    • Variablenname (Gruppenspalte)
    • Zeitstempel
    • Wert
  • Flache Tabelle mit allen Werten:
    Spalten:
    • Variablenname
    • Zeitstempel
    • Wert
  • Gruppierte Tabelle mit allen Werten:
    1 Gruppe je Variable, 1 Zeile je Wert.
    Spalten:
    • Variablenname (Gruppenspalte)
    • Zeitstempel
    • Wert
  • Pivotierte Tabelle mit allen Werten:
    1 Wertspalte je Variablenname, 1 Zeile je Zeitstempel.
    Spalten:
    • Zeitstempel
    • 1 Wertspalte je Variablenname
  • Boxplot

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetBoxPlotData
    • GetArchivedVariableMeta

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


XY-Trend basierend auf Variablen

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > XY-Trend basierend auf Variablen

Reports, die auf dieser Vorlage basieren, stellen einen XY-Trend mit Auswahl der Variablen für X und Y dar.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Statistics_XYTrend_VariableBased.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Projekt
  • Archivkomprimierung
  • Variable für X (von Archiv)
  • Variable für Y (von Archiv)
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Archive
  • Projekte
  • Variable X
  • Variable Y

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • XY-Diagramm:
    • mit genau 1 Serie
    • ohne Legende
  • Flache Tabelle: mit folgenden Spalten:
    • Zeitstempel
    • Wert X
    • Wert Y

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetXYTrendData
    • ParseEquipmentGroupFilter

      SplitStringToInt

      GetFullEquipmentGroupName

    • SplitStringToInt

Settings:

  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives


XY-Trend basierend auf Bedeutungen

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > XY-Trend basierend auf Bedeutungen

Reports, die auf dieser Vorlage basieren, stellen einen XY-Trend für mehrere Anlagengruppen dar. Die Variablen für X und Y werden auf Basis von Bedeutungen gesucht.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Statistics_XYTrend_MeaningBased.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Archivkomprimierung
  • Bedeutungen für XY-Diagramm
  • Anlagengruppen-Namen
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • XY-Diagramm:
    • mit 1 Serie je gewählter Anlagengruppe
    • mit Legende
  • Flache Tabelle:
    Mit folgenden Spalten:
    • Gruppierung
    • Zeitstempel
    • Wert X
    • Wert Y
  • Gruppierte Tabelle:
    Mit folgenden Spalten:
    • Gruppe auf Gruppierung (aufklappbar):

      Zeitstempel

      Wert X

      Wert Y

  • Pivotierte Tabelle:
    Mit folgenden Spalten:
    • Zeitstempel
    • 1 Satz Spalten je Gruppierung:

      Wert X

      Wert Y

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetXYTrendData
    • ParseEquipmentGroupFilter

      SplitStringToInt

      GetFullEquipmentGroupName

    • SplitStringToInt

Settings:

  • ListProjects
  • ListEquipmentTree


Histogramm

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Histogramm

Reports, die auf dieser Vorlage basieren, erstellen Histogramme für archivierte Variablen. Die Datendarstellung enthält ein Histogramm-Diagramm, eine Tabelle mit statistischen Daten und eine Tabelle mit Verteilungswerten. Diese Verteilungswerte werden im Histrogramm angezeigt.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset Statistics_Histogram.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Anlagengruppe
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Anlagengruppe) gewählt wurde.
  • Projekt
  • Archive (von Projekten)
    Nur aktiviert, wenn für Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe Variablen (von Archiven) gewählt wurde.
  • Archivkomprimierung
  • Variable basierend auf Archiv oder Anlagengruppe
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Archive
  • Projekte
  • Variablen

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Histogramm
  • Flache Tabelle mit statistischen Daten:
    1 Zeile je Variable.
    Spalten:
    • Variablenname
    • Mittelwert
    • Standardabweichung
    • Minimum
    • Maximum
    • Spannweite
  • Flache Tabelle mit den Klassendaten:
    7 - 20 Zeilen je Variable mit:
    • Variablenname
    • Untere Klassengrenze
    • Obere Klassengrenze
    • Anzahl
    • Prozentueller Anteil

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • Statistics_GetHistogramData
    • GetArchivedVariableMeta

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas verwenden zenon Standards. Eine spezielle Konfiguration der verwendeten Module ist nicht nötig.

Noch in diesem Kapitel

In zenon benötigte Module

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Numerische Variablen mit Archivierung


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

zenon Modul/ZAMS

Prozessfähigkeit
  • Numerische zenon Variable, die Werte für den Mittelwert bereitstellt.
  • Numerische zenon Variable, die Werte für die Standardabweichung bereitstellt.

Berechnung erfolgt über SPS, zenon Logic oder VBA/VSTA/Add-In.

Prozessfähigkeit basierend auf Rohdaten
  • Numerische zenon Variable, die Rohdaten (Messwerte) bereitstellt.

Prozessfähigkeits-Trend
  • Numerische zenon Variable, die Werte für den Mittelwert bereitstellt.
  • Numerische zenon Variable, die Werte für die Standardabweichung bereitstellt

Berechnung erfolgt über SPS, zenon Logic oder VBA/VSTA/Add-In.

Prozessfähigkeits-Trend basierend auf Rohdaten
  • Numerische zenon Variable, die Rohdaten (Messwerte) bereitstellt.

Regelkarte
  • Archivierte Variablen.
    Oder:
  • Per Anlagengruppe archivierte Variablen.

Regelkarte basierend auf Rohdaten
  • Archivierte Variablen.
    Oder:
  • Per Anlagengruppe archivierte Variablen.

Boxplot
  • Archivierte Variablen.
    Oder:
  • Per Anlagengruppe archivierte Variablen.

XY-Trend basierend auf Variablen
  • Archivierte Variablen.

XY-Trend basierend auf Bedeutungen
  • Per Bedeutung archivierte Variablen.

Histogramm
  • Archivierte Variablen.
    Oder:
  • Per Anlagengruppe archivierte Variablen.

Hinweise:

  • Die Variablen müssen einem Archiv mit der Methode zyklisch oder bei Wertänderung zugeordnet sein.
    Empfehlung: zyklisch
  • Voraussetzung bei 2 Variablen: Beide Variablen müssen innerhalb der gleichen Sekunde Archivwerte schreiben.
  • Die Variablenfilterung kann auch im ZAMS über das Anlagenmodel projektiert werden. Dafür müssen Variable und Archiv dem gleichen Anlagenmodell zugeordnet werden.


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Statistische Analyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Dieses Projekt enthält für die Betrachtung von statistischen Reports folgende Variablen ( in Klammer Angabe welches Archive und welches Anlagenmodel verwendet wird):

Variablen

9 Normalverteilte Variablen:

  • 3 mit Werte
  • 6 mit bereits über VSTA berechneten Mittelwerten und Standardabweichung

6 nicht Normalverteilte Variablen:

  • 2 mit Werte
  • 4 mit bereits über VSTA berechneten Mittelwerten und Standardabweichung

Normalverteilte Variablen

Nur Werte

Variable | Archiv | Anlagengruppe
Screw_Diameter | S1, Screw_Factory | Turning machine diameter 1
Screw_Nut_Diameter | S2, Screw_Nut_Factory | Turning machine diameter 1
Screw_Length | S3, Screw_Factory | Cuting machine Length

Bereits berechnete Mittelwerte und Standardabweichung:

Variable | Archiv | Anlagengruppe
Average_Screw_Diameter | A1, Screw_Factory | Turning machine diameter 1
Average_Screw_Nut_Diameter | A2, Screw_Nut_Factory | Turning machine diameter 1
Average_Screw_Length | A3, Screw_Factory | Cuting machine Length
Standard_Deviation_Screw_Diameter | A1, Screw_Factory | Turning machine diameter 1
Standard_Deviation_Screw_Nut_Diameter | A2, Screw_Nut_Factory | Turning machine diameter 1
Standard_Deviation_Screw_Length | A3, Screw_Factory | Cuting machine Length

Nich normalverteilte Variablen

Nur Werte

Variable | Archiv | Anlagengruppe
Screw_Diameter_bad | S4, Screw_Factory | Turning machine diameter 2
Screw_Nut_Diameter_bad | S5, Screw_Nut_Factory | Turning machine diameter 2

Bereits berechnete Mittelwerte und Standardabweichung:

Variable | Archiv | Anlagengruppe
Average_Screw_Diameter_bad | A4, Screw_Factory | Turning machine diameter 2
Average_Screw_Nut_Diameter_bad | A5, Screw_Nut_Factory | Turning machine diameter 2
Standard_Deviation_Screw_Diameter_bad | A4, Screw_Factory | Turning machine diameter 2
Standard_Deviation_Screw_Nut_Diameter_bad | A5, Screw_Nut_Factory | Turning machine diameter 2

Bedeutungen

Folgende Bedetungen (Meanings) werden vergeben:

  • RawValue: Rohwert
  • Average: Mittelwert
  • StdDev: Standardabweichung

Hinweise zu Reportvorlagen

Hinweise zu den Reportvorlagen:

  • Prozessfähigkeits-Trend
  • Prozessfähigkeits-Trend basierend auf Rohdaten

Prozessfähigkeits-Trend

Reports dieses Typs benötigen:

  • Numerische zenon Variable, die Werte für den Mittelwert bereitstellt.
    Berechnung erfolgt über SPS, zenon Logic oder VBA/VSTA/Add-In.
  • Numerische zenon Variable, die Werte für die Standardabweichung bereitstellt.
    Berechnung erfolgt über SPS, zenon Logic oder VBA/VSTA/Add-In.

Diese beiden Variablen müssen zyklisch oder bei Wertänderung archiviert werden. Empfohlen wird ein zyklisches Archiv. Voraussetzung: Beide Variable müssen Zeitgleich (innerhalb der gleichen Sekunde) Archivwerte schreiben.

Die Variablenfilterung kann auch im ZAMS über das Anlagenmodell projektiert werden. (Report-Einstellung Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe.) Dafür müssen Variable und Archiv dem gleichen Anlagenmodell zugeordnet werden.

Prozessfähigkeits-Trend basierend auf Rohdaten

Reports dieses Typs benötigen:

  • Numerische zenon Variable, die Rohdaten (Messwerte) bereitstellt.

Diese Variable muss zyklisch oder bei Wertänderung archiviert werden. Empfohlen wird ein zyklisches Archiv. Voraussetzung: Beide Variable müssen Zeitgleich (innerhalb der gleichen Sekunde) Archivwerte schreiben.

Die Variablenfilterung kann auch im ZAMS über das Anlagenmodell projektiert werden. (Report-Einstellung Durchschnitt und Standardabweichung, basierend auf Archiv oder Anlagengruppe.) Dafür müssen Variable und Archiv dem gleichen Anlagenmodell zugeordnet werden.


Wasserkraftwerk Analyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die diverse Zähler für Wasserkraftwerke ermitteln und darstellen.

Folgende Reportvorlagen stehen zur Verfügung:

  • Betriebszeit pro Betriebsmodus und Maschinenkomponente: Berechnet Betriebszeiten für die einzelnen Betriebsmodi einer Maschine und Maschinenkomponenten.
  • Betriebszeit pro Betriebsmodus oder Frequenzregelung: Berechnet Betriebszeiten für eine Maschine inklusiver jener Zeiten, in denen die Maschine entweder im Betriebs- oder im Frequenzregelungsmodus gelaufen ist.
  • Betriebszeit pro Maschinenkomponente: Analysiert absolute Betriebszeiten von Komponenten einer Anlage oder mehrere Anlagen seit deren letzten Tausch und seit deren letzten Inspektion.
  • Betriebszeit pro Lastbereich: Berechnet Betriebszeiten für eine Maschine pro Lastbereich.
  • Schaltspiele Leistungsschalter (Schaltanlage - Einzelauswahl): Berechnet Schaltspiele für Leistungsschalter mit Einzelauswahl von Anlagenmodellen.
  • Schaltspiele Leistungsschalter (Leistungsschalter - Mehrfachauswahl): Berechnet Schaltspiele für Leistungsschalter mit Mehrfachauswahl von Anlagenmodellen.
  • Wirk- und Blindleistungszähler (übergeordnete Maschine - Einzelauswahl): Berechnet Zählerwerte für Wirk- und Blindleistung auf Basis einer Anlagengruppe mit Untergruppen.
  • Wirk- und Blindleistungszähler (Maschinen - Mehrfachauswahl): Berechnet Zählerwerte für Wirk- und Blindleistung auf Basis ausgewählter Anlagengruppen.
  • Netzfrequenz: Berechnet Zeitzähler für unterschiedliche Frequenzbänder der Netzfrequenz einer Maschine.
  • Ereigniszähler für Maschinen (Maschine - Einzelauswahl): Berechnet Zähler für verschiedene Ereignisse, die auf einer Maschine vorkommen können.
  • Ereigniszähler für Sollwertänderungen (Maschinen - Mehrfachauswahl): Ermittelt Zähler für verschiedene Maschinenereignisse: Ein- und Ausschalten sowie Änderungen des Sollwerts.
  • Ereigniszähler für Umschaltungen des Düsenmodus (Maschinen - Mehrfachauswahl): Ermittelt Zähler für verschiedene Maschinenereignisse: Ein- und Ausschalten sowie Änderungen des Düsenmodus.
  • Ereigniszähler für Lastabwurf - Wirkleistungsbereiche (Maschinen - Mehrfachauswahl): Ermittelt Zähler für verschiedene Maschinenereignisse: Ein- und Ausschalten sowie Lastabwurf in konfigurierbaren Wirkleistungsbereichen.
  • Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche (Maschinen - Mehrfachauswahl): Ermittelt Zähler für verschiedene Maschinenereignisse: Ein- und Ausschalten sowie Lastabwurf in konfigurierbaren Turbinengeschwindigkeitsbereichen.
  • Starts der Maschinensätze: Zeigt Starts der Maschinensätze für Turbinen- und Pumpbetrieb.

Aus Thema Soll-Ist-Analyse:

  • Streudiagramm: Erstellt ein Streudiagramm für den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten.
  • Streudiagramm mit Referenzkurve: Erstellt ein Streudiagramm eines Wertepaars für einen Zeitraum.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Wasserkraftwerk Analyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Tipp Tipp

Verwenden Sie für Beschriftungen die Beschreibungstexte und sortieren Sie auf Basis der Namen. So stellen Sie sicher, dass ordnungsgemäß gruppiert werden kann.

Noch in diesem Kapitel

Betriebszeit pro Betriebsmodus und Maschinenkomponente

Betriebszeit pro Betriebsmodus oder Frequenzregelung

Betriebszeit pro Maschinenkomponente

Betriebszeit pro Lastbereich

Schaltspiele Leistungsschalter (Schaltanlage - Einzelauswahl)

Schaltspiele Leistungsschalter (Leistungsschalter - Mehrfachauswahl)

Wirk- und Blindleistungszähler (übergeordnete Maschine - Einzelauswahl)

Wirk- und Blindleistungszähler (Maschinen - Mehrfachauswahl)

Netzfrequenz

Ereigniszähler für Maschinen (Maschine - Einzelauswahl)

Ereigniszähler für Sollwertänderungen (Maschinen - Mehrfachauswahl)

Ereigniszähler für Umschaltungen des Düsenmodus (Maschinen - Mehrfachauswahl)

Ereigniszähler für Lastabwurf - Wirkleistungsbereiche (Maschinen - Mehrfachauswahl)

Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche (Maschinen - Mehrfachauswahl)

Starts der Maschinensätze

Voraussetzungen und Projektierung in zenon


Betriebszeit pro Betriebsmodus und Maschinenkomponente

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Betriebszeit pro Betriebsmodus und Maschinenkomponente

Reports, die auf dieser Vorlage basieren, berechnen Betriebszeiten für die einzelnen Betriebsmodi einer Maschine. Zusätzlich werden die Betriebszeiten je Maschinenkomponente seit dem letzten Austausch oder der letzten Inspektion der Komponente berechnet.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_OperatingHoursPerModeAndComponent: Wertet Absolut- und Relativzähler für die Betriebszeiten einer Maschine aus. Dabei werden Komponenten seit Austausch oder Inspektion und Zeiten je Modus analysiert.
  • HydropowerAnalysisInfo_OperatingHoursPerModeAndComponent(IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Betriebszeiten-Zähler
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Wasserkraft ohne Mehrfachauswahl
  • Verdichtungsintervall
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Komponententausch und -wartung
  • Schlüsselwörter Betriebsstunden
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Detailbezeichnung
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • mehrere Spaltengruppierungen
  • Trend-Diagramm:
    • Modus-Relativzähler
  • Verdichtungsdiagramm:
    • Modus-Relativzähler

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppOperatingHours
    • GetChildEquipments
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup


Betriebszeit pro Betriebsmodus oder Frequenzregelung

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Betriebszeit pro Betriebsmodus oder Frequenzregelung

Reports, die auf dieser Vorlage basieren, berechnen Betriebszeiten für eine Maschine inklusiver jener Zeiten, in denen die Maschine entweder im Betriebs- oder im Frequenzregelungsmodus gelaufen ist. Die Datentabelle beinhaltet alle Zeitzähler. Zusätzlich kann der Vergleich von Absolut- und Relativzeitzählern zwischen Maschinen und Modi grafisch dargestellt werden.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_OperatingHoursPerMode: Wertet Betriebszeitenzähler für Anlagengruppen aus.
  • HydropowerAnalysisInfo_OperatingHoursPerMode (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Betriebszeit pro Betriebsmodus
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Betriebszeit mit Mehrfachauswahl
  • Verdichtungsintervall
  • Anlagengruppen-Namen
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Betriebsstunden pro Modus
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Detailbezeichnung
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • Aufklappbare Zeilengruppierung auf Anlagengruppen
    • 1 Spalte je Betriebszeitenzähler
  • Gruppiertes Vergleichsdiagramm:
    • Vergleich von Anlagengruppen (Anlagengruppen in der Legende) gruppiert nach Indikatoren (Betriebszeiten auf der X-Achse)
    • Vergleich von Indikatoren (Betriebszeiten in der Legende) gruppiert nach Anlagengruppen (Anlagengruppen auf der X-Achse)
    • Absolutzähler
    • Relativzähler

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppModeOperatingHours
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup


Betriebszeit pro Maschinenkomponente

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Betriebszeit pro Maschinenkomponente

Reports, die auf dieser Vorlage basieren, analysieren absolute Betriebszeiten von Komponenten einer Anlage oder mehrere Anlagen seit deren letzten Tausch und seit deren letzten Inspektion.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_OperatingHoursPerComponent: Wertet Betriebszeitenzähler für Anlagengruppen aus.
  • HydropowerAnalysisInfo_OperatingHoursPerComponent (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Betriebszeit pro Komponente
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Betriebszeit mit Mehrfachauswahl
  • Verdichtungsintervall
  • Anlagengruppen-Namen
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Komponententausch und -wartung
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • Aufklappbare Zeilengruppierung auf Anlagengruppen
    • 1 Spalte je Betriebszeitenzähler
  • Gruppiertes Vergleichsdiagramm:
    • Vergleich von Anlagengruppen (Anlagengruppen in der Legende) gruppiert nach Indikatoren (Betriebszeiten auf der X-Achse)
    • Vergleich von Indikatoren (Betriebszeiten in der Legende) gruppiert nach Anlagengruppen (Anlagengruppen auf der X-Achse)
    • Nur Absolutzähler

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppComponentOperatingHours
    • GetFullEquipmentGroupName
    • GetChildEquipments
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup


Betriebszeit pro Lastbereich

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Betriebszeit pro Lastbereich

Reports, die auf dieser Vorlage basieren, berechnen Betriebszeiten für eine Maschine pro Lastbereich.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_OperatingHoursPerPowerRange: Wertet Relativ-Zähler für Betriebszeiten einer Maschine in Lastbereichen aus.
  • HydropowerAnalysisInfo_OperatingHoursPerPowerRange (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Betriebszeit pro Lastebereich
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Wasserkraft ohne Mehrfachauswahl
  • Verdichtungsintervall
  • Rückblickzeit
  • Connector
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • Spaltengruppe auf die Betriebszeitenzähler
    • 1 Spalte je Betriebszeitenzähler
  • Trend-Diagramm
  • Verdichtungsdiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppPowerHours
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup


Schaltspiele Leistungsschalter (Schaltanlage - Einzelauswahl)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Schaltspiele Leistungsschalter (Schaltanlage - Einzelauswahl)

Reports, die auf dieser Vorlage basieren, berechnen Schaltspiele für Leistungsschalter. Basierend auf einem relativen Schaltvorgangzähler werden absolute Schaltvorgangzähler für einen Leistungsschalter berechnet. Diese Absolutzähler weden zurückgesetzt, wenn der Leistungsschalter inspiziert oder ausgetauscht wird.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_SwitchingCyclesSwitchyardSingleSelect: Wertet Betriebszeitenzähler sowie Komponententausch- und Inspektionszähler für Anlagen aus.
  • HydropowerAnalysisInfo_SwitchingCyclesSwitchyardSingleSelect (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Schaltspiel Schaltanlage
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Wasserkraft ohne Mehrfachauswahl
  • Verdichtungsintervall
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Komponententausch und -wartung
  • Schlüsselwörter Relativzähler
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Leistungsschalter Bezeichnungen
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • 1 Spalte je Betriebszeitenzähler, gruppiert nach Anlage
  • Gruppiertes Vergleichsdiagramm:
    • Vergleich von Anlagengruppen (Anlagengruppen in der Legende) gruppiert nach Indikatoren (Zählern auf der X-Achse)
    • Vergleich von Indikatoren (Zählern in der Legende) gruppiert nach Anlagengruppen (Anlagengruppen auf der X-Achse)
    • Nur Absolutzähler
  • Verdichtungsdiagramm:
    • Zähler (letzte Absolutwerte) aller Anlagen in einem Chart

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppSwitchingCycles
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup
  • ListEquipmentTree_ChildMeanings
    • GetChildEquipments
    • GetFullEquipmentGroupName


Schaltspiele Leistungsschalter (Leistungsschalter - Mehrfachauswahl)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Schaltspiele Leistungsschalter (Leistungsschalter - Mehrfachauswahl)

Reports, die auf dieser Vorlage basieren, berechnen Schaltspiele für Leistungsschalter. Basierend auf einem relativen Schaltvorgangzähler werden absolute Schaltvorgangzähler für einen Leistungsschalter berechnet. Diese Absolutzähler weden zurückgesetzt, wenn der Leistungsschalter inspiziert oder ausgetauscht wird.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_SwitchingCyclesCircuitBreakerMultiSelect: Wertet Betriebszeitenzähler sowie Komponententausch- und Inspektionszähler für Anlagen aus.
  • HydropowerAnalysisInfo_SwitchingCyclesCircuitBreakerMultiSelect (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Schaltspiel Leistungsschalter
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Betriebszeit mit Mehrfachauswahl
  • Verdichtungsintervall
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Komponententausch und -wartung
  • Schlüsselwörter Relativzähler
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Leistungsschalter Bezeichnungen
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • 1 Spalte je Betriebszeitenzähler, gruppiert nach Anlage
  • Gruppiertes Vergleichsdiagramm:
    • Vergleich von Anlagengruppen (Anlagengruppen in der Legende) gruppiert nach Indikatoren (Zählern auf der X-Achse)
    • Vergleich von Indikatoren (Zählern in der Legende) gruppiert nach Anlagengruppen (Anlagengruppen auf der X-Achse)
    • Nur Absolutzähler
  • Verdichtungsdiagramm:
    • Zähler (letzte Absolutwerte) aller Anlagen in einem Chart

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppSwitchingCyclesMultipleSwitches
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup
  • ListEquipmentTree_ChildMeanings
    • GetFullEquipmentGroupName


Wirk- und Blindleistungszähler (übergeordnete Maschine - Einzelauswahl)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Wirk- und Blindleistungszähler (übergeordnete Maschine - Einzelauswahl)

Reports, die auf dieser Vorlage basieren, berechnen Zählerwerte für Wirk- und Blindleistung.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_ActiveReactivePowerCountersSingleSelect: Wertet mit Einfachauswahl Wirk- und Blindleistungszähler für mehrere Maschinen einer übergeordneten Maschine aus.
  • HydropowerAnalysisInfo_ActiveReactivePowerCountersSingleSelect (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Wirk- und Blindleistungszähler
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Wasserkraft ohne Mehrfachauswahl
  • Verdichtungsintervall
  • Anlagengruppen-Namen
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Wirk- und Blindleistung
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    Spaltengruppierung:
    • Obere Ebene: Anlagengruppe
    • Untere Ebene: Zählertyp
  • Gruppiertes Vergleichsdiagramm:
    • Anlagenvergleich pro Zähler
    • Zählervergleich pro Anlage
    • Relativwerte
  • Trend-Diagramm
  • Verdichtungsdiagramm:

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppActiveReactiveCounters
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_AtLeastOneOfMeanings
    • GetEquipmentTreeForGroup


Wirk- und Blindleistungszähler (Maschinen - Mehrfachauswahl)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Wirk- und Blindleistungszähler (Maschinen - Mehrfachauswahl)

Reports, die auf dieser Vorlage basieren, berechnen Zählerwerte für Wirk- und Blindleistung. Alle zu analysierenden Anlagengruppen werden per per Mehrfachauswahl gewählt.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_ActiveReactivePowerCountersMultiSelect: Wertet mit Mehrfachauswahl Wirk- und Blindleistungszähler für mehrere Maschinen einer übergeordneten Maschine aus.
  • HydropowerAnalysisInfo_ActiveReactivePowerCountersMultiSelect (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Wirk- und Blindleistungszähler
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Betriebszeit mit Mehrfachauswahl
  • Verdichtungsintervall
  • Anlagengruppen-Namen
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Wirk- und Blindleistung
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    Spaltengruppierung:
    • Obere Ebene: Anlagengruppe
    • Untere Ebene: Zählertyp
  • Gruppiertes Vergleichsdiagramm:
    • Anlagenvergleiche als Serien, Zählertypen als Kategorien (X-Achse)
    • Zählertypen als Serie, Anlagen als Kategorie (X-Achse)
    • Relativwerte
  • Trend-Diagramm: Säule oder Linie
  • Verdichtungsdiagramm: nur Summe; Säule oder Kreis

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppActiveReactiveCountersMultipleMachines
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_AtLeastOneOfMeanings
    • GetEquipmentTreeForGroup


Netzfrequenz

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Netzfrequenz

Reports, die auf dieser Vorlage basieren, berechnen Zeitzähler für unterschiedliche Frequenzbänder der Netzfrequenz einer Maschine.
Es werden Archive mit folgernder mit Aufzeichnungsart verarbeitet:

  • zyklisch
  • bei Wertänderung

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_FrequencyCounters: Wertet Frequenzbandzähler aus. Frequenzbandzähler sind Zeitzähler, wie lange die Netzfrequenz in diesem Band war.
  • HydropowerAnalysis_FrequencyTrend: Wertet die Netzfrequenz als Trend aus.
  • HydropowerAnalysisInfo_FrequencyPlantGroup (IMDS): Gibt den Namen des Kraftwerks, der Kraftwerksgruppe und der Nennfrequenz der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Frequenz Bedeutungen
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Wasserkraft ohne Mehrfachauswahl
  • Verdichtungsintervall
  • Rückblickzeit
  • Connector
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Detailbezeichnung

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe
    • Nennfrequenz

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle
  • Flache Tabelle
  • Paretodiagramm: Säulen
  • Trend-Diagramm: Säulen, Linien
  • Verdichtungsdiagramm: Säulen, Kreis

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppFrequencyCounters
  • HppFrequencyTrend
  • Hpp_ListStructureNamesWithFrequency

Settings:

  • ListEquipmentTree_MeaningsWithPrefix
    • GetEquipmentTreeForGroup


Ereigniszähler für Maschinen (Maschine - Einzelauswahl)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Ereigniszähler für Maschinen (Maschine - Einzelauswahl)

Reports, die auf dieser Vorlage basieren, berechnen Zähler für verschiedene Ereignisse, die auf einer Maschine vorkommen können. Zähler werden für folgende Ereignisse berechnet:

  • Ein- und Ausschalten der Maschine
  • Änderungen des Sollwerts für die Maschine
  • Änderungen des Düsenmodus
  • Lastabwurfereignisse in konfigurierbaren Wirkleistungsbereichen und Turbinengeschwindigkeitsbereichen

Alle Zähler werden in einer Tabelle dargestellt.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_EventCountersAllEvents: Wertet Ereigniszähler für Sollwertänderungen, Düsenmodusänderungen, Wirkleistung bei Lastabwurf und Turbinendrehzahl bei Lastabwurf für eine Maschine aus.
  • HydropowerAnalysisInfo_EventCountersAllEvents (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe sowie Nennleistung und Nenndrehzahl der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Alle Ereignisse
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Wasserkraft ohne Mehrfachauswahl
  • Wirkleistungssekunden
  • Verdichtungsintervall
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Lastabwurf Wirkleistung
  • Schlüsselwörter Ein- Ausschaltungen
  • Schlüsselwörter Düsenmodus-Ereignisse
  • Schlüsselwörter Lastabwurf Turbinengeschwindigkeit
  • Schlüsselwörter Betriebsmodus-Ereignisse
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Detailbezeichnung
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe
    • Nennwirkleistung
    • Nennturbinengeschwindigkeit

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • Spaltengruppierung auf die Zählertypen

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppEventCounters
  • Hpp_ListStructureNamesWithNominalPowerAndRpm

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Ereigniszähler für Sollwertänderungen (Maschinen - Mehrfachauswahl)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Ereigniszähler für Sollwertänderungen (Maschinen - Mehrfachauswahl)

Reports, die auf dieser Vorlage basieren, ermitteln Zähler für verschiedene Maschinenereignisse:

  • Ein- und Ausschalten
  • Änderungen des Sollwerts

Auf dieser Vorlage basierende Reports erlauben die Auswahl mehrerer Maschinen.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_EventCountersSetPoint: Wertet Ereigniszähler für Sollwertänderungen für mehrere Maschinen aus.
  • HydropowerAnalysisInfo_EventCountersSetPoint (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Sollwertänderungs-Ereignisse
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Betriebszeit mit Mehrfachauswahl
  • Verdichtungsintervall
  • Anlagengruppen-Namen
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Ein- Ausschaltungen
  • Schlüsselwörter Betriebsmodus-Ereignisse
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Detailbezeichnung
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • Spaltengruppierung auf die Zählertypen
    • Zeilengruppierung auf die Anlagengruppen
  • Gruppiertes Vergleichsdiagramm:
    • Anlagen als Serien (Legende), Zählertypen als Kategorie (X-Achse)
    • Zählertypen als Serien (Legende), Anlagen als Kategorie (X-Achse)
    • Relativwerte

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppEventCounters_SetPointChangesPerOperationMode
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Ereigniszähler für Umschaltungen des Düsenmodus (Maschinen - Mehrfachauswahl)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Ereigniszähler für Umschaltungen des Düsenmodus (Maschinen - Mehrfachauswahl)

Reports, die auf dieser Vorlage basieren, ermitteln Zähler für verschiedene Maschinenereignisse:

  • Ein- und Ausschalten
  • Änderungen des Düsenmodus

Auf dieser Vorlage basierende Reports erlauben die Auswahl mehrerer Maschinen.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_EventCountersNozzleMode: Wertet Ereigniszähler für Düsenmodusänderungen für mehrere Maschinen aus.
  • HydropowerAnalysisInfo_EventCountersNozzleMode (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Umschaltungen des Düsenmodus
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Betriebszeit mit Mehrfachauswahl
  • Verdichtungsintervall
  • Anlagengruppen-Namen
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Ein- Ausschaltungen
  • Schlüsselwörter Düsenmodus-Ereignisse
  • Schlüsselwörter bei nicht verfügbaren Daten
  • Detailbezeichnung
  • Konfiguration der Sortierung

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • Spaltengruppierung auf die Zählertypen
    • Zeilengruppierung auf die Anlagengruppen
  • Gruppiertes Vergleichsdiagramm:
    • Anlagen als Serien (Legende), Zählertypen als Kategorie (X-Achse)
    • Zählertypen als Serien (Legende), Anlagen als Kategorie (X-Achse)
    • Relativwerte

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppEventCounters_NozzleModes
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Ereigniszähler für Lastabwurf - Wirkleistungsbereiche (Maschinen - Mehrfachauswahl)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Ereigniszähler für Lastabwurf - Wirkleistungsbereiche (Maschinen - Mehrfachauswahl)

Reports, die auf dieser Vorlage basieren, ermitteln Zähler für verschiedene Maschinenereignisse:

  • Ein- und Ausschalten
  • Lastabwurf in konfigurierbaren Wirkleistungsbereichen

Auf dieser Vorlage basierende Reports erlauben die Auswahl mehrerer Maschinen.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_EventCountersActivePower: Wertet Ereigniszähler für Wirkleistung bei Lastabwurf für mehrere Maschinen aus.
  • HydropowerAnalysisInfo_EventCountersActivePower (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe sowie die Nennleistung der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Wirkleistung bei Lastabwurf-Ereignissen
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Betriebszeit mit Mehrfachauswahl
  • Wirkleistungssekunden
  • Verdichtungsintervall
  • Anlagengruppen-Namen
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Lastabwurf Wirkleistung
  • Schlüsselwörter Ein- Ausschaltungen
  • Schlüsselwörter bei nicht verfügbaren Daten

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe
    • Nennwirkleistung

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • Spaltengruppierung auf die Zählertypen
    • Zeilengruppierung auf die Anlagengruppen
  • Gruppiertes Vergleichsdiagramm:
    • Anlagen als Serien (Legende), Zählertypen als Kategorie (X-Achse)
    • Zählertypen als Serien (Legende), Anlagen als Kategorie (X-Achse)
    • Relativwerte

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppEventCounters_ActivePowerOnLoadShedding
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNamesWithNominalPowerAndRpm

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche (Maschinen - Mehrfachauswahl)

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche (Maschinen - Mehrfachauswahl)

Reports, die auf dieser Vorlage basieren, ermitteln Zähler für verschiedene Maschinenereignisse:

  • Ein- und Ausschalten
  • Lastabwurf in konfigurierbaren Turbinengeschwindigkeitsbereichen

Auf dieser Vorlage basierende Reports erlauben die Auswahl mehrerer Maschinen.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_EventCountersTurbineSpeed: Wertet Ereigniszähler für Turbinendrehzahl bei Lastabwurf für mehrere Maschinen aus.
  • HydropowerAnalysisInfo_EventCountersTurbineSpeed (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe sowie die Nennturbinengeschwindigkeit der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Turbinengeschwindigkeit bei Lastabwurf-Ereignissen
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Betriebszeit mit Mehrfachauswahl
  • Turbinengeschwindigkeits-Sekunden
  • Verdichtungsintervall
  • Anlagengruppen-Namen
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Ein- Ausschaltungen
  • Schlüsselwörter Lastabwurf Turbinengeschwindigkeit
  • Schlüsselwörter bei nicht verfügbaren Daten

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe
    • Nennturbinengeschwindigkeit

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    • Spaltengruppierung auf die Zählertypen
    • Zeilengruppierung auf die Anlagengruppen
  • Gruppiertes Vergleichsdiagramm:
    • Anlagen als Serien (Legende), Zählertypen als Kategorie (X-Achse)
    • Zählertypen als Serien (Legende), Anlagen als Kategorie (X-Achse)
    • Relativwerte

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppEventCounters_OverRevolutionsOnLoadShedding
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNamesWithNominalPowerAndRpm

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Starts der Maschinensätze

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Starts der Maschinensätze

Reports, die auf dieser Vorlage basieren, zeigen Starts der Maschinensätze für Turbinen- und Pumpbetrieb.

Hauptdatasets

Die Reportvorlage verwendet als Hauptdatasets:

  • HydropowerAnalysis_MachineStartCounters: Wertet Absolut- und Relativzählern für Starts einer Maschine als Turbine oder Pumpe für mehrere Maschinen mit Mehrfachauswahl der zu verwendenden Maschinen aus.
  • HydropowerAnalysisInfo_MachineStartCounters (IMDS): Gibt den Namen des Kraftwerks und der Kraftwerksgruppe der gewählten Maschine aus.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Maschinenstart-Zähler
  • Anlagengruppe
    Details: Kapitel Anlagengruppen Betriebszeit mit Mehrfachauswahl
  • Verdichtungsintervall
  • Anlagengruppen-Namen
  • Rückblickzeit
  • Connector
  • Schlüsselwörter Maschinenstarts
  • Schlüsselwörter bei nicht verfügbaren Daten

attention Achtung

Hinweis zur Sortierung nach Bezeichnung:

Haben in einer Tabelle mehrere Elemente den gleichen Namen und wurde eine Sortierung Nach Bezeichnung gewählt, dann überlagern sich diese Felder und ihre Werte werden zusammengeführt.

Mehrere Elemente mit gleichen Namen können vorhanden sein, wenn z.B. der Beschreibungstext als Kennzeichnung gewählt wurde und Beschreibungstexte ident sind.

Wird nach Nach Element-ID sortiert, tritt dieser Effekt nicht auf. In diesem Fall befinden sich mehrere Spalten mit der gleichen Kennzeichnung in der Tabelle.

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Verdichtungsintervall
  • Spalten aus Informations-Hauptdataset:
    • Kraftwerk
    • Kraftwerksgruppe

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Pivotierte Tabelle:
    2 Spaltengruppierungsebenen:
    • Obere Ebene: Anlagengruppe
    • Untere Ebene: Zählertyp
  • Gruppiertes Vergleichsdiagramm:
    • Anlagen als Serien (Legende), Zählertypen als Kategorie (X-Achse)
    • Zählertypen als Serien (Legende), Anlagen als Kategorie (X-Achse)
    • Relativwerte
    • Absolutwerte

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Datasets:

  • HppMachineStartsMultipleMachines
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_AtLeastOneOfMeanings
    • GetEquipmentTreeForGroup


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas benötigen spezielle Konfigurationen in zenon.

Reports aus diesem Projektierungshinweis können mit Rohdaten aus Basisarchiven und Summendaten aus Verdichtungsarchiven umgehen. Wenn nicht anders spezifiziert, kommen alle Variablen aus Archiven.

Hinweis: Reports mit Streudiagrammen werden im Thema Soll-Ist-Analyse behandelt.

Noch in diesem Kapitel

In zenon benötigte Module

Datenmodellierung in zenon Analyzer

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Variablen per Bedeutung

Variablen per Bedeutung mit Archivanbindung finden

Damit eine Variable per Bedeutung (Meaning) mit Archivanbindung adressiert werden kann, müssen im zenon Editor folgende Bedingungen erfüllt sein:

  • Die Variable muss die gewünschte Bedeutung gesetzt haben.
    Diese werden konfiguriert in den Eigenschaften der Variablen im Knoten Analyzer, Eigenschaft Bedeutung.
  • Die Variable muss archiviert werden.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.
  • Das Archiv, in dem die Variable aufgezeichnet wird, muss der gewünschten Anlagengruppe zugeordnet sein.

Achtung: Wird die Variable in mehreren Archiven aufgezeichnet, so darf nur eines davon der gewünschten Anlagengruppe zugeordnet sein. Wird beim Auflisten der archivierten Variablen je Bedeutung für eine Variable mehr als ein Archiv erkannt, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration im ZAMS und in der SQL Elementen der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus dem zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1, P2
  • Bedeutung: meaning
  • Anlagengruppe: G1
  • Variablen: V1, V2
  • Archive: A1, A2

Auffindbare Variable

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable „V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen

Projekt P2:

  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Projektübergreifender Variablenbezug. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Bedeutung wurde nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 3:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 4:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wird nicht im Archiv aufgezeichnet. Variable ist nicht auffindbar.

Beispiel 5:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt

Ergebnis: Archiv wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen
  • Archiv A2":
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 mögliches Quellarchiv für die Variable gefunden. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Variable V2:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Variable V2 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 Variable für Bedeutung gefunden. Ob Variabler auffindbar ist, hängt vom Typ des Reports ab.

Variablen per Bedeutung ohne Archivanbindung finden

Damit eine Variable per Bedeutung (Meaning) ohne Archivanbindung adressiert werden kann, müssen im zenon Editor folgende Bedingungen erfüllt sein:

  • Die Variable muss die gewünschte Bedeutung gesetzt haben.
    Diese werden konfiguriert in den Eigenschaften der Variablen im Knoten Analyzer, Eigenschaft Bedeutung.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.

Die Validierung erfolgt bei der Konfiguration im ZAMS und in der SQL Elementen der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus dem zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1
  • Bedeutung: meaning
  • Anlagengruppe: G1
  • Variablen: V1, V2
  • Archiv: A1

Auffindbare Variable

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen:

Beispiel 1

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Bedeutung nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen

Ergebnis: Variable wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Variable V2:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Variable V2 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 Variable für Bedeutung gefunden. Ob Variabler auffindbar ist, hängt vom Typ des Reports ab.


Datenmodellierung in zenon Analyzer

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Voraussetzungen und Projektierung in zenon > Datenmodellierung in zenon Analyzer

Die Konfiguration in zenon Analyzer benötigt:

  • Metainformationen
  • Informationen zu Wirkleistungungsbereiche
  • Informationen zu Drehzahlbereiche

Metainformationen

Die Reports in diesem Thema können Metainformationen über Anlagengruppen verarbeiten. Dafür werden Einträge in der Tabelle EQUIPMENTINFO verwendet.

Metainformationen: Kraftwerk und Kraftwerksgruppe

Folgende Informationen stehen zur Verfügung:

Metainformation | Default Identification | Beschreibung
Power Plant | PlantRelativeParentLevel | Numerischer Wert der Anlageninformation. Enthält Anzahl der Ebenen, wie weit für das Kraftwerk nach oben geschaut werden muss
Power Plant Group | PlantGroupRelativeParentLevel | Numerischer Wert der Anlageninformation. Enthält Anzahl der Ebenen, wie weit für die Kraftwerksgruppe nach oben geschaut werden muss

Hat eine Anlagengruppe keine solchen Informationen verknüpft, wird im Informationsmaindataset der hinterlegte Text für „Keine Daten verfügbar" ausgegeben.

Beispiel für Kraftwerk und Kraftwerksgruppe

Anlagenmodell Power

  • Anlagengruppe Kraftwerksgruppe
    • Anlagengruppe Kraftwerk
  • Anlagengruppe Maschine

Einträge bei Maschine:

  • PlantRelativeParentLevel: 1
  • PlantGroupRelativeParentLevel: 2

Ergebnis: Das Kraftwerk ist Kraftwerk und die Kraftwerksgruppe ist Kraftwerksgruppe.

Metainformationen: Komponentenbeziehungen

Folgende Informationen stehen zur Verfügung:

Metainformation | Default Identification | Beschreibung
Parent Component | ComponentRelativeParentLevel | Numerischer Wert der Anlageninformation. Enthält Anzahl der Ebenen, wie weit für die Eltern-Komponente nach oben geschaut werden muss.

Hat eine Anlagengruppe keine solchen Informationen verknüpft, so hat die Komponente keine übergeordnete Komponente.

Beispiel für Komponenten Eltern-Ebene:

Anlagenmodell Power

  • Anlagengruppe Maschine
    • Anlagengruppe Metakomponente

      Anlagengruppe Komponente

Eintrag bei Komponente:

  • ComponentRelativeParentLevel: 1

Ergebnis: Die Eltern-Komponente ist Metakomponente.

Metainformationen: Nennfrequenz

Folgende Informationen stehen zur Verfügung:

Metainformation | Default Identification | Beschreibung
Nominal Frequency | NominalFrequency | Numerischer Wert der Anlageninformation. Enthält Nennfrequenz (mit Einheit).

Hat eine Anlagengruppe keine solchen Informationen verknüpft, wird im Informationsmaindataset der hinterlegte Text für „Keine Daten verfügbar" ausgegeben.

Metainformationen: Nennleistung

Folgende Informationen stehen zur Verfügung:

Metainformation | Default Identification | Beschreibung
Nominal Active Power | NominalActivePower | Numerischer Wert der Anlageninformation. Enthält Nennleistung (mit Einheit).

Hat eine Anlagengruppe keine solchen Informationen verknüpft, wird im Informationsmaindataset der hinterlegte Text für „Keine Daten verfügbar" ausgegeben. In Haupt-Datasets führt diese fehlende Information zu einer Fehlermeldung.

Metainformationen: Nenndrehzahl

Folgende Informationen stehen zur Verfügung:

Metainformation | Default Identification | Beschreibung
Nominal Turbine Speed | NominalTurbineSpeed | Numerischer Wert der Anlageninformation. Enthält Nenndrehzahl (mit Einheit)

Hat eine Anlagengruppe keine solchen Informationen verknüpft, wird im Informationsmaindataset der hinterlegte Text für „Keine Daten verfügbar" ausgegeben. In Haupt-Datasets führt diese fehlende Information zu einer Fehlermeldung.

Wirkleistungsbereiche

Wirkleistungsbereiche werden im ZAMS für den Report konfiguriert.
Mit Hilfe der Nennleistung einer Maschine werden sie in Wertbereiche (vom Ereignis ausgehend) umgerechnet.

Bei Lastabwurfereignissen wird mit der im Report definierten Zeit in die Vergangenheit geblickt, der höchste Wirkleistungswert gefunden und in einen der konfigurierten Bereiche eingeordnet. Passt der Wirkleistungswert in keinen Bereich, erfolgt keine Einordnung

Drehzahlbereiche

Drehzahlbereiche werden im ZAMS für den Report konfiguriert.
Mit Hilfe der Nenndrehzahl einer Maschine werden sie in Wertbereiche umgerechnet.

Bei Lastabwurfereignissen wird mit der im Report definierten Zeit in die Zukunft (vom Ereignis ausgehend) geblickt, der höchste Drehzahlwert gefunden und in einen der konfigurierten Bereiche eingeordnet. Passt der Drehzahlwert in keinen Bereich, erfolgt keine Einordnung


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und zenon Analyzer Konfiguration benötigt:

Report

zenon Modul/ZAMS

Betriebszeit pro Betriebsmodus und Maschinenkomponente
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Metainformationen für Komponentenbeziehungen
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)

Betriebszeit pro Betriebsmodus oder Frequenzregelung
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)

Betriebszeit pro Maschinenkomponente
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Metainformationen für Komponentenbeziehungen
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)

Betriebszeit pro Lastbereich
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)

Schaltspiele Leistungsschalter
(Schaltanlage - Einzelauswahl)
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)

Schaltspiele Leistungsschalter
(Leistungsschalter - Mehrfachauswahl)
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)

Wirk- und Blindleistungszähler
(übergeordnete Maschine Einzelauswahl)
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)

Wirk- und Blindleistungszähler
(Maschinen - Mehrfachauswahl)
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)

Netzfrequenz
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • die Metainformationen für Nennfrequenz
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)

Ereigniszähler für Maschinen
(Maschine - Einzelauswahl)
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Metainformationen für Nennleistung
  • Metainformationen für Nenndrehzahl
  • Wirkleistungsbereiche
  • Drehzahlbereiche
  • Bedeutungen für Variablen
    (mit oder ohne Archivierung hängt von Datenquelle ab)
    (Details siehe Abschnitt Bedeutungen)

Ereigniszähler für Sollwertänderungen
(Maschinen - Mehrfachauswahl)
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • folgende Bedeutungen für Variablen aus dem Report Maschinenereignisse:
    OnOffSwitch
    SetPoint
    OperationMode

Ereigniszähler für Umschaltungen des Düsenmodus
(Maschinen - Mehrfachauswahl)
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • folgende Bedeutungen für Variablen aus dem Report Maschinenereignisse:
    OnOffSwitch
    NozzleMode

Ereigniszähler für Lastabwurf - Wirkleistungsbereiche
(Maschinen - Mehrfachauswahl)
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Metainformationen für Nennleistung, Wirkleistungsbereiche
  • folgende Bedeutungen für Variablen aus dem Report Maschinenereignisse:
    OnOffSwitch
    CircuitBreaker
    ActivePower

Ereigniszähler für Lastabwurf - Turbinengeschwindigkeitsbereiche
(Maschinen - Mehrfachauswahl)
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Metainformationen für Nenndrehzahl
  • Drehzahlbereiche
  • folgende Bedeutungen für Variablen aus dem Report Maschinenereignisse:
    OnOffSwitch
    CircuitBreaker
    TurbineSpeed

Starts der Maschinensätze
  • Metainformationen für Kraftwerk und Kraftwerksgruppe
  • Bedeutungen für Variablen
    (Details siehe Abschnitt Bedeutungen)
  • Streudiagramm
  • Streudiagramm mit Referenzkurve

Diese Reports werden im Kapitel Soll-Ist-Analyse/Voraussetzungen und Projektierung in zenon beschrieben.

Bedeutungen

Auflistung der Bedeutungen für den jeweiligen Report:

Betriebszeit pro Betriebsmodus und Maschinenkomponente

Dieser Report verwendet folgende Bedeutungen für Variablen:

Reportbestandteil

Default-Bedeutung

Beschreibung

Absolute Operating Time

OperatingHoursAbsolute

Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.

Relative Operating Time

OperatingHoursRelative

Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.

Relative Operating Time in an Operation Mode

ModeHoursRelative

Für die gewählte Anlagengruppe muss mindestens eine Variable mit dieser Bedeutung verfügbar sein.

Component Exchanged

ComponentExchange

Wird für untergeordnete Anlagengruppen (= Komponenten) der gewählten Anlagengruppe gesucht.

Kann 0 oder 1 Mal vorhanden sein:

  • 0: Kein Seit-Tausch-Zähler für diese Komponente im Report.
  • 1: Seit-Tausch-Zähler für diese Komponente im Report.

Variable mit Datentyp:

  • STRING: Jede Wertänderung der Stringvariablen gilt als Austausch. Die getauschten Teile haben Namen. Der Name kommt von der Variablen.
  • Numerisch: Austausch findet statt, wenn die Variable auf einen Wert ungleich 0 geht.

Component Inspected

ComponentInspection

Wird für untergeordnete Anlagengruppen (= Komponenten) der gewählten Anlagengruppe gesucht.

Kann 0 oder 1 Mal vorhanden sein:

  • 0: Kein Seit-Inspektion-Zähler für diese Komponente im Report.
  • 1: Seit-Inspektion-Zähler für diese Komponente im Report.

Dieser Report untersucht ausschließlich die gewählte Anlagengruppe. Komponenten werden als untergeordnete Anlagengruppen der gewählten Anlagengruppe erkannt.

Betriebszeiten pro Betriebsmodus oder Frequenzregelung

Dieser Report verwendet folgende Bedeutungen für Variablen:

Reportbestandteil | Default-Bedeutung | Beschreibung
Absolute Operating Time | OperatingHoursAbsolute | Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.
Relative Operating Time | OperatingHoursRelative | Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.
Absolute Operating Time in a Mode | ModeHoursAbsolute | Für die gewählte Anlagengruppe muss mindestens eine Variable mit dieser Bedeutung verfügbar sein.
Relative Operating Time in a Mode | ModeHoursRelative | Für die gewählte Anlagengruppe muss mindestens eine Variable mit dieser Bedeutung verfügbar sein.

Komponenten werden als untergeordnete Anlagengruppen der gewählten Anlagengruppen erkannt. Ob die Bedeutungen für Modus sich auf einen Betriebsmodus oder auf einen Frequenzsteuerungsmodus beziehen, wird bei Bedeutungen im Report konfiguriert.

Betriebszeiten pro Maschinenkomponente

Dieser Report verwendet folgende Bedeutungen für Variablen:

Reportbestandteil

Default-Bedeutung

Beschreibung

Relative Operating Time

OperatingHoursRelative

Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.

Component Exchanged

ComponentExchange

Wird für untergeordnete Anlagengruppen (= Komponenten) der gewählten Anlagengruppe gesucht.

Kann 0 oder 1 Mal vorhanden sein:

  • 0: Kein Seit-Tausch-Zähler für diese Komponente im Report.
  • 1: Seit-Tausch-Zähler für diese Komponente im Report.

Variable mit Datentyp:

  • STRING: Jede Wertänderung der Stringvariablen gilt als Austausch. Die getauschten Teile haben Namen. Der Name kommt von der Variablen.
  • Numerisch: Austausch findet statt, wenn die Variable auf einen Wert ungleich 0 geht.

Component Inspected

ComponentInspection

Wird für untergeordnete Anlagengruppen (= Komponenten) der gewählten Anlagengruppe gesucht.

Kann 0 oder 1 Mal vorhanden sein:

  • 0: Kein Seit-Inspektion-Zähler für diese Komponente im Report.
  • 1: Seit-Inspektion-Zähler für diese Komponente im Report.

Komponenten werden als untergeordnete Anlagengruppen der gewählten Anlagengruppen erkannt.

Betriebszeiten je Lastbereich

Dieser Report verwendet folgende Bedeutungen für Variablen:

Reportbestandteil | Default-Bedeutung | Beschreibung
Active Power Generator Range | ActivePowerTimeCounter_Positive | Für die gewählte Anlagengruppe muss mindestens eine Variable mit dieser Bedeutung verfügbar sein.
Reactive Power Generator Range | ReactivePowerTimeCounter_Positive | Für die gewählte Anlagengruppe muss mindestens eine Variable mit dieser Bedeutung verfügbar sein.
Active Power Pump Range | ActivePowerTimeCounter_Negative | Für die gewählte Anlagengruppe können 0 oder mehr Variablen mit dieser Bedeutung verfügbar sein.
Reactive Power Pump Range | ReactivePowerTimeCounter_Negative | Für die gewählte Anlagengruppe können 0 oder mehr Variablen mit dieser Bedeutung verfügbar sein.
Active Power Generator Maximum | ActivePowerTimeCounter_PositiveMax | Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.
Active Power Generator Minimum | ActivePowerTimeCounter_PositiveMin | Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.
Reactive Power Generator Maximum | ReactivePowerTimeCounter_PositiveMax | Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.
Reactive Power Generator Minimum | ReactivePowerTimeCounter_PositiveMin | Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.
Active Power Pump Maximum | ActivePowerTimeCounter_NegativeMax | Für die gewählte Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.
Active Power Pump Minimum | ActivePowerTimeCounter_NegativeMin | Für die gewählte Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.
Reactive Power Pump Maximum | ReactivePowerTimeCounter_NegativeMax | Für die gewählte Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.
Reactive Power Pump Minimum | ReactivePowerTimeCounter_NegativeMin | Für die gewählte Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.

Dieser Report untersucht ausschließlich die gewählte Anlagengruppe.

Schaltspiele Leistungsschalter (Schaltanlage - Einfachauswahl)

Dieser Report verwendet folgende Bedeutungen für Variablen:

Reportbestandteil | Default-Bedeutung | Beschreibung
Relative Switching Counter | RelativeSwitchings | Für eine zu inkludierende Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.
Circuit Breaker Inspection Event | SwitchInspection | Für eine zu inkludierende Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein. Wenn der Wert der numerischen Variable auf ungleich 0 wechselt, erfolgt ein Event
Circuit Breaker Exchange Event | SwitchExchange | Für eine zu inkludierende Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein. Wenn der Wert der numerischen Variable auf ungleich 0 wechselt, erfolgt ein Event

Dieser Report untersucht ausschließlich die Anlagengruppen, die der gewählten Anlagengruppe untergeordnet sind. Ist zumindest 1 Bedeutung vorhanden, werden alle geprüft.

Schaltspiele Leistungsschalter (Leistungsschalter - Mehrfachauswahl)

Dieser Report verwendet die gleichen Bedeutungen wie Schaltspiele Leistungsschalter (Schaltanlage - Einfachauswahl).

Dieser Report untersucht ausschließlich die gewählten Anlagengruppen.

Wirk- und Blindleistungszähler (übergeordnete Maschine - Einfachauswahl)

Dieser Report verwendet folgende Bedeutungen für Variablen:

Reportbestandteil | Default-Bedeutung | Beschreibung
Active Power Production | ActivePowerProduction | Für eine zu inkludierende Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.
Active Power Consumption | ActivePowerConsumption | Für eine zu inkludierende Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.
Reactive Power Production | ReactivePowerProduction | Für eine zu inkludierende Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.
Reactive Power Consumption | ReactivePowerConsumption | Für eine zu inkludierende Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.

Dieser Report untersucht ausschließlich die Anlagengruppen, die der gewählten Anlagengruppe untergeordnet sind. In Summe muss zumindest eine Variable vorhanden sein, damit eine Anlagengruppe in den Report inkludiert wird.

Wirk- und Blindleistungszähler (Maschinen - Mehrfachauswahl)

Dieser Report verwendet die gleichen Bedeutungen wie Wirk- und Blindleistungszähler (übergeordnete Maschine - Einfachauswahl).

Dieser Report untersucht ausschließlich die gewählten Anlagengruppen. Für jede gewählte Anlagengruppe muss zumindest eine Variable vorhanden sein.

Netzfrequenz

Dieser Report verwendet folgende Bedeutungen für Variablen:

Reportbestandteil

Default-Bedeutung

Beschreibung

Power Line Frequency

PowerLineFrequency

Für die gewählte Anlagengruppe muss genau eine Variable mit dieser Bedeutung verfügbar sein.

Frequency Band Time Counter

FrequencyBandCounter

Für die gewählte Anlagengruppe muss mindestens eine Variable vorhanden sein, die diese Bedeutung hat oder mit ihr beginnt.

Beginnt die Variable mit der angegebenen Bedeutung, wird aus dem darüber hinaus gehenden Teil die Sortierreihenfolge abgeleitet.

Anderenfalls hat die Variable keinen Sortiereintrag und erscheint nicht in Diagrammen.

Dieser Report untersucht ausschließlich die gewählte Anlagengruppe.

Ereigniszähler für Maschinen (Maschine - Einzelauswahl

Dieser Report verwendet folgende Bedeutungen für Variablen:

Reportbestandteil

Default-Bedeutung

Beschreibung

On Off Switch

OnOffSwitch

Die gewählten Anlagengruppen müssen genau 1 Variable mit dieser Bedeutung verknüpft haben. Die Variable kann aus Archiv, AML oder CEL gelesen werden.

Set Point

SetPoint

Die gewählten Anlagengruppen müssen genau 1 Variable mit dieser Bedeutung verknüpft haben. Die Variable kann aus Archiv, AML oder CEL gelesen werden.

Nozzle Mode

NozzleMode

Die gewählten Anlagengruppen müssen mindestens 1 Variable mit dieser Bedeutung verknüpft haben. Die Variable kann aus Archiv, AML oder CEL gelesen werden.

Ist 1 Variable verknüpft, gibt deren Wert den Modus an. Die Modi kommen aus der REMA.

Sind mehrere Variablen verknüpft, gibt jede einzelne an, ob ein Modus gerade aktiv ist.

  • 0: inaktiv

Operation Mode

OperationMode

Die gewählten Anlagengruppen müssen mindestens 1 Variable mit dieser Bedeutung verknüpft haben. Die Variable kann aus Archiv, AML oder CEL gelesen werden.

Ist 1 Variable verknüpft, gibt deren Wert den Modus an. Die Modi kommen aus der REMA.

Sind mehrere Variablen verknüpft, gibt jede einzelne an, ob ein Modus gerade aktiv ist.

  • 0: inaktiv

Circuit Breaker

CircuitBreaker

Die gewählten Anlagengruppen müssen genau 1 oder 2 Variablen mit dieser Bedeutung verknüpft haben. Die Variable kann aus Archiv, AML oder CEL gelesen werden.

Active Power

ActivePower

Die gewählten Anlagengruppen müssen genau 1 Variable mit dieser Bedeutung verknüpft haben. Die Variable muss aus einem Archiv kommen.

Turbine Speed

TurbineSpeed

Die gewählten Anlagengruppen müssen genau 1 Variable mit dieser Bedeutung verknüpft haben. Die Variable muss aus einem Archiv kommen.

Ob Bedeutungen mit oder ohne Archivierung verwendet werden, hängt von der Datenquelle ab.

Dieser Report untersucht ausschließlich die gewählte Anlagengruppe.

Ereigniszähler für Sollwertänderungen

Dieser Report verwendet folgende Bedeutungen für Variablen aus dem Report Ereigniszähler für Maschinen:

  • OnOffSwitch
  • SetPoint
  • OperationMode

Dieser Report untersucht ausschließlich die gewählten Anlagengruppen.

Ereigniszähler für Umschaltungen des Düsenmodus

Dieser Report verwendet folgende Bedeutungen für Variablen aus dem Report Ereigniszähler für Maschinen:

  • OnOffSwitch
  • NozzleMode

Dieser Report untersucht ausschließlich die gewählten Anlagengruppen.

Ereigniszähler für Lastabwurf - Wirkleistungsbereiche

Dieser Report verwendet folgende Bedeutungen für Variablen aus dem Report Ereigniszähler für Maschinen:

  • OnOffSwitch
  • CircuitBreaker
  • ActivePower

Dieser Report untersucht ausschließlich die gewählten Anlagengruppen.

Ereigniszähler für Lastabwurf - Turbinengeschwindikeitsbereiche

Dieser Report verwendet folgende Bedeutungen für Variablen aus dem Report Ereigniszähler für Maschinen:

  • OnOffSwitch
  • CircuitBreaker
  • TurbineSpeed

Dieser Report untersucht ausschließlich die gewählten Anlagengruppen.

Start der Maschinensätze

Dieser Report verwendet folgende Bedeutungen für Variablen:

Reportbestandteil | Default-Bedeutung | Beschreibung
Absolute Starts as Turbine | TurbineStartAbsolute | Für eine zu inkludierende Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.
Relative Starts as Turbine | TurbineStartRelative | Für eine zu inkludierende Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.
Absolute Starts as Pump | PumpStartAbsolute | Für eine zu inkludierende Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.
Relative Starts as Pump | PumpStartRelative | Für eine zu inkludierende Anlagengruppe können 0 oder 1 Variablen mit dieser Bedeutung verfügbar sein.

Dieser Report untersucht ausschließlich die gewählten Anlagengruppen. Für jede gewählte Anlagengruppe muss zumindest eine Variable vorhanden sein.


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Wasserkraftwerk Analyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Ausgangssituation

Für dieses Beispiel wird angenommen:

  • Ein Kraftwerksbetreiber hat 1 Kraftwerksgruppe: A
  • Je Kraftwerksgruppe gibt es 2 Kraftwerke: A1 und A2
  • Je Kraftwerk gibt es 1 Maschine: A1_M1 und A2_M1)
  • Jede Maschine hat:
    • 100 kW Nennleistung
    • 1000 RPM Nenndrehzahl
  • Jedes Kraftwerk hat einen Schalthof mit 1 Leistungsschalter je Maschine.
  • Überall gilt eine Nennfrequenz von 50 Hz.
  • Jede Maschine besteht aus einer Turbine und einem Generator.
  • Jede Turbine hat 1 Schaufelrad.
    Dieses hat immer eine Seriennummer. Bei jedem Austausch ändert sich die Seriennummer.
  • Jeder Generator besteht aus Stator und Rotor.
    Diese bestehen jeweils aus einer Spule und einem Blechpaket.
  • Leistungsschalter, Schaufelräder, Spulen und Blechpakete werden regelmäßig inspiziert und bei Bedarf ausgetauscht.
  • Jede Maschine kann in einem dieser Betriebsmodi laufen:
    • Stop
    • Turbine
    • Pumpe
  • Jede Maschine kann in einem dieser Frequenzsteuerungsmodi laufen:
    • Stop
    • Primärregelung
    • Sekundärregelung
    • Tertiärregelung
  • Jede Maschine kann in einem dieser Düsenmodi laufen:
    • Stop
    • 1-Düsen-Betrieb
    • 2-Düsen-Betrieb
  • Alle notwendigen Zähler und Ereignisse können über Treiber oder zenon Logic gelesen werden.

Ziel

Es sollen folgende Reports ermöglicht werden:

  • Betriebszeiten je Frequenzkontrollmodus und Komponente
  • Betriebszeiten je Betriebsmodus
  • Betriebszeiten je Frequenzkontrollmodus
  • Betriebszeiten je Komponente
  • Betriebszeiten je Leistungsbereich
  • Schaltspiele (Einfachauswahl und Mehrfachauswahl)
  • Wirk- und Blindleistungszähler (Einfachauswahl und Mehrfachauswahl)
  • Netzfrequenz
  • Alle Maschinenereignisse
  • Sollwertänderungsereignisse je Betriebsmodus
  • Düsenmodusänderungsereignisse
  • Wirkleistung bei Lastabwurfereignissen
  • Turbinendrehzahl bei Lastabwurfereignissen
  • Start der Maschinensätze

Für die Wertaufzeichnung gilt:

  • Zählervariablen sollen zyklisch archiviert werden.
  • Ereignis- und Status-Variablen sollen bei Wertänderung archiviert werden.

Im zenon Arbeitsbereich stehen folgende Projekte zur Verfügung:

  • 1 Globalprojekt
  • 1 Integrationsprojekt
    • 1 Lokalprojekt für das Kraftwerk A1
    • 1 Lokalprojekt für das Kraftwerk A2

Für die Lösung des Beispiels werden - soweit möglich - Default-Bedeutung und Default-Identifikation verwendet.

Projektierung

Dieses Beispiel zeigt ausschließlich die Projektierung der nicht importierten Reports.Für die importierten Reports finden Sie Projektierungsbeispiele im Kapitel Soll-Ist-Analyse/Voraussetzungen und Projektierung in zenon.

Für die Projektierung werden verwendet:

  • Anlagenmodellierung
  • Variablen
  • Metainformationen
  • Reaktionsmatrizen
  • Archivierung

Anlagenmodellierung

Im Globalprojekt wird folgendes Anlagenmodell erstellt:

Variablen

Die Variablen werden je Kraftwerk im dazugehörigen Lokalprojekt konfiguriert.

Variablen im Lokalprojekt für das Kraftwerk A1

Im Lokalprojekt für das Kraftwerk A1 werden folgende Variablen projektiert.
Alle Anlagenzuweisungen liegen unter dem Knoten Power Plant A1:

Variable | Bedeutung | Typ | Einheit | Anlagengruppe
M_OnOff | OnOffSwitch | BOOL | -- | Mach. A1_M1
M_SetPoint | SetPoint | FLOAT | kW | Mach. A1_M1
M_NozzleMode | NozzleMode | DINT | -- | Mach. A1_M1
M_FreqContrMode | FrequencyControlMode | DINT | -- | Mach. A1_M1
M_OperMode | OperationMode | DINT | -- | Mach. A1_M1
M_CircuitBreaker | CircuitBreaker | BOOL | -- | Mach. A1_M1
M_ActivePower | ActivePower | FLOAT | kW | Mach. A1_M1
M_ReactivePower | ReactivePower | FLOAT | kW | Mach. A1_M1
M_TurbineSpeed | TurbineSpeed | FLOAT | RPM | Mach. A1_M1
M_ActPowerProd | ActivePowerProduction | FLOAT | kWh | Mach. A1_M1
M_ActPowerCons | ActivePowerConsumption | FLOAT | kWh | Mach. A1_M1
M_ReaPowerProd | ReactivePowerProduction | FLOAT | kWh | Mach. A1_M1
M_ReaPowerCons | ReactivePowerConsumption | FLOAT | kWh | Mach. A1_M1
M_OperatingHrsAbs | OperatingHoursAbsolute | FLOAT | h | Mach. A1_M1
M_OperatingHrsRel | OperatingHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqStopHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqPrimHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqSecHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqTertHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqStopHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_FreqPrimHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_FreqSecHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_FreqTertHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_ModeStopHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A1_M1
M_ModeTurbHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A1_M1
M_ModePumpHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A1_M1
M_ModeStopHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_ModeTurbHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_ModePumpHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_ActProd_0_25 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ActProd_25_50 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ActProd_50_75 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ActProd_75_100 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ActProd_Max | ActivePowerTimeCounter_PositiveMax | FLOAT | h | Mach. A1_M1
M_ActProd_Min | ActivePowerTimeCounter_PositiveMin | FLOAT | h | Mach. A1_M1
M_ReaProd_0_25 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ReaProd_25_50 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ReaProd_50_75 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ReaProd_75_100 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ReaProd_Max | ReactivePowerTimeCounter_PositiveMax | FLOAT | h | Mach. A1_M1
M_ReaProd_Min | ReactivePowerTimeCounter_PositiveMin | FLOAT | h | Mach. A1_M1
M_ActCons_0_25 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ActCons_25_50 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ActCons_50_75 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ActCons_75_100 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ActCons_Max | ActivePowerTimeCounter_NegativeMax | FLOAT | h | Mach. A1_M1
M_ActCons_Min | ActivePowerTimeCounter_NegativeMin | FLOAT | h | Mach. A1_M1
M_ReaCons_0_25 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ReaCons_25_50 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ReaCons_50_75 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ReaCons_75_100 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ReaCons_Max | ReactivePowerTimeCounter_NegativeMax | FLOAT | h | Mach. A1_M1
M_ReaCons_Min | ReactivePowerTimeCounter_NegativeMin | FLOAT | h | Mach. A1_M1
M_TurbStartAbs | TurbineStartAbsolute | DINT | -- | Mach. A1_M1
M_TurbStartRel | TurbineStartRelative | DINT | -- | Mach. A1_M1
M_PumpStartAbs | PumpStartAbsolute | DINT | -- | Mach. A1_M1
M_PumpStartRel | PumpStartRelative | DINT | -- | Mach. A1_M1
TW_Exchange | ComponentExchange | STRING | -- | Turbine Wheel
TW_Inspection | ComponentInspection | BOOL | -- | Turbine Wheel
St_Wind_Exchange | ComponentExchange | BOOL | -- | Stator – Winding
St_Wind_Inspection | ComponentInspection | BOOL | -- | Stator – Winding
St_LStk_Exchange | ComponentExchange | BOOL | -- | Stator – Lam. Stack
St_LStk_Inspection | ComponentInspection | BOOL | -- | Stator – Lam. Stack
R_Wind_Exchange | ComponentExchange | BOOL | -- | Rotor – Winding
R_Wind_Inspection | ComponentInspection | BOOL | -- | Rotor – Windin
R_LStk_Exchange | ComponentExchange | BOOL | -- | Rotor – Lam. Stack
R_LStk_Inspection | ComponentInspection | BOOL | -- | Rotor – Lam. Stack
Sw_RelSwitch | RelativeSwitchings | BOOL | -- | Switch A1_M1
Sw_Inspection | SwitchInspection | BOOL | -- | Switch A1_M1
Sw_Exchange | SwitchExchange | BOOL | -- | Switch A1_M1
Sw_Frequency | PowerLineFrequency | FLOAT | Hz | Switch A1_M1
Sw_FrBand_VeryLow | FrequencyBandCounter1 | FLOAT | h | Switch A1_M1
Sw_FrBand_Low | FrequencyBandCounter2 | FLOAT | h | Switch A1_M1
Sw_FrBand_Small | FrequencyBandCounter3 | FLOAT | h | Switch A1_M1
Sw_FrBand_High | FrequencyBandCounter4 | FLOAT | h | Switch A1_M1
Sw_FrBand_VeryHigh | FrequencyBandCounter5 | FLOAT | h | Switch A1_M1
Sw_FrBand_Large | FrequencyBandCounter | FLOAT | h | Switch A1_M1

Variablen im Lokalprojekt für das Kraftwerk A2

Im Lokalprojekt für das Kraftwerk A2 werden folgende Variablen projektiert.
Alle Anlagenzuweisungen liegen unter dem Knoten Power Plant A2:

Variable | Bedeutung | Typ | Einheit | Anlagengruppe
M_OnOff | OnOffSwitch | BOOL | -- | Mach. A2_M1
M_SetPoint | SetPoint | FLOAT | kW | Mach. A2_M1
M_NozzleMode | NozzleMode | DINT | -- | Mach. A2_M1
M_FreqContrMode | FrequencyControlMode | DINT | -- | Mach. A2_M1
M_OperMode | OperationMode | DINT | -- | Mach. A2_M1
M_CircuitBreaker | CircuitBreaker | BOOL | -- | Mach. A2_M1
M_ActivePower | ActivePower | FLOAT | kW | Mach. A2_M1
M_ReactivePower | ReactivePower | FLOAT | kW | Mach. A2_M1
M_TurbineSpeed | TurbineSpeed | FLOAT | RPM | Mach. A2_M1
M_ActPowerProd | ActivePowerProduction | FLOAT | kWh | Mach. A2_M1
M_ActPowerCons | ActivePowerConsumption | FLOAT | kWh | Mach. A2_M1
M_ReaPowerProd | ReactivePowerProduction | FLOAT | kWh | Mach. A2_M1
M_ReaPowerCons | ReactivePowerConsumption | FLOAT | kWh | Mach. A2_M1
M_OperatingHrsAbs | OperatingHoursAbsolute | FLOAT | h | Mach. A2_M1
M_OperatingHrsRel | OperatingHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqStopHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqPrimHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqSecHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqTertHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqStopHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_FreqPrimHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_FreqSecHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_FreqTertHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_ModeStopHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A2_M1
M_ModeTurbHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A2_M1
M_ModePumpHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A2_M1
M_ModeStopHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_ModeTurbHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_ModePumpHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_ActProd_0_25 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ActProd_25_50 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ActProd_50_75 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ActProd_75_100 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ActProd_Max | ActivePowerTimeCounter_PositiveMax | FLOAT | h | Mach. A2_M1
M_ActProd_Min | ActivePowerTimeCounter_PositiveMin | FLOAT | h | Mach. A2_M1
M_ReaProd_0_25 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ReaProd_25_50 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ReaProd_50_75 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ReaProd_75_100 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ReaProd_Max | ReactivePowerTimeCounter_PositiveMax | FLOAT | h | Mach. A2_M1
M_ReaProd_Min | ReactivePowerTimeCounter_PositiveMin | FLOAT | h | Mach. A2_M1
M_ActCons_0_25 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ActCons_25_50 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ActCons_50_75 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ActCons_75_100 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ActCons_Max | ActivePowerTimeCounter_NegativeMax | FLOAT | h | Mach. A2_M1
M_ActCons_Min | ActivePowerTimeCounter_NegativeMin | FLOAT | h | Mach. A2_M1
M_ReaCons_0_25 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ReaCons_25_50 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ReaCons_50_75 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ReaCons_75_100 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ReaCons_Max | ReactivePowerTimeCounter_NegativeMax | FLOAT | h | Mach. A2_M1
M_ReaCons_Min | ReactivePowerTimeCounter_NegativeMin | FLOAT | h | Mach. A2_M1
M_TurbStartAbs | TurbineStartAbsolute | DINT | -- | Mach. A2_M1
M_TurbStartRel | TurbineStartRelative | DINT | -- | Mach. A2_M1
M_PumpStartAbs | PumpStartAbsolute | DINT | -- | Mach. A2_M1
M_PumpStartRel | PumpStartRelative | DINT | -- | Mach. A2_M1
TW_Exchange | ComponentExchange | STRING | -- | Turbine Wheel
TW_Inspection | ComponentInspection | BOOL | -- | Turbine Wheel
St_Wind_Exchange | ComponentExchange | BOOL | -- | Stator – Winding
St_Wind_Inspection | ComponentInspection | BOOL | -- | Stator – Winding
St_LStk_Exchange | ComponentExchange | BOOL | -- | Stator – Lam. Stack
St_LStk_Inspection | ComponentInspection | BOOL | -- | Stator – Lam. Stack
R_Wind_Exchange | ComponentExchange | BOOL | -- | Rotor – Winding
R_Wind_Inspection | ComponentInspection | BOOL | -- | Rotor – Winding
R_LStk_Exchange | ComponentExchange | BOOL | -- | Rotor – Lam. Stack
R_LStk_Inspection | ComponentInspection | BOOL | -- | Rotor – Lam. Stack
Sw_RelSwitch | RelativeSwitchings | BOOL | -- | Switch A2_M1
Sw_Inspection | SwitchInspection | BOOL | -- | Switch A2_M1
Sw_Exchange | SwitchExchange | BOOL | -- | Switch A2_M1
Sw_Frequency | PowerLineFrequency | FLOAT | Hz | Switch A2_M1
Sw_FrBand_VeryLow | FrequencyBandCounter1 | FLOAT | h | Switch A2_M1
Sw_FrBand_Low | FrequencyBandCounter2 | FLOAT | h | Switch A2_M1
Sw_FrBand_Small | FrequencyBandCounter3 | FLOAT | h | Switch A2_M1
Sw_FrBand_High | FrequencyBandCounter4 | FLOAT | h | Switch A2_M1
Sw_FrBand_VeryHigh | FrequencyBandCounter5 | FLOAT | h | Switch A2_M1
Sw_FrBand_Large | FrequencyBandCounter | FLOAT | h | Switch A2_M1

Zusatzinformation: Berechnungs-Informationen für Variablen

Die folgende Tabelle enthält Details dazu, wie welche Variablen zueinander stehen und wie was berechnet wird.

Variable

Berechnung

M_OnOff

Ereignis:

  • 0: Maschine aus
  • 1: Machine an

M_SetPoint

Ereignis: Sollwert der Produktion

M_NozzleMode

Hängt zusammen mit M_OnOff.

Ereignis:

  • 0: Stop
  • 1: 1-Düsen-Betrieb
  • 2: 2-Düsen-Betrieb

M_FreqContrMode

Hängt zusammen mit M_OnOff.

Ereignis:

  • 0: Stop
  • 1: Primärregelung
  • 2: Sekundärregelung
  • 3: Tertiärregelung

M_OperMode

Hängt zusammen mit M_OnOff.

Ereignis:

  • 0: Stop
  • 1: Turbine
  • 2: Pumpe

M_CircuitBreaker

Hängt zusammen mit M_OnOff.

Ereignis:

  • 0: Leistungsschalter offen
  • 1: Leistungsschalter geschlossen

M_ActivePower

Messung: Wirkleistung

M_ReactivePower

Messung: Blindleistung

M_TurbineSpeed

Messung: Turbinendrehzahl

M_ActPowerProd

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Wirkleistungszähler für Turbinenbetrieb

M_ActPowerCons

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Wirkleistungszähler für Pumpbetrieb

M_ReaPowerProd

Zähler, hängt von M_ReactivePower und M_OperMode ab à Blindleistungszähler für Turbinenbetrieb

M_ReaPowerCons

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Blindleitunszähler für Pumpbetrieb

M_OperatingHrsAbs

Zähler, hängt von M_OnOff ab à Betriebszeit der Maschine absolut

M_OperatingHrsRel

Hängt von M_OnOff ab.

Zähler: Betriebszeit der Maschine relativ

M_FreqStopHrsRel

Hängt von M_FreqContrMode ab.

Zähler: Betriebszeit in Frequenzregelung Stop relativ

M_FreqPrimHrsRel

Hängt von M_FreqContrMode ab.

Zähler: Betriebszeit in Primärregelung relativ

M_FreqSecHrsRel

Hängt von M_FreqContrMode ab.

Zähler: Betriebszeit in Sekundärregelung relativ

M_FreqTertHrsRel

Hängt von M_FreqContrMode ab.

Zähler: Betriebszeit in Tertiärregelung relativ

M_FreqStopHrsAbs

Hängt von M_FreqContrMode ab.

Zähler. Betriebszeit in Frequenzregelung Stop absolut

M_FreqPrimHrsAbs

Hängt von M_FreqContrMode ab.

Zähler: Betriebszeit in Primärregelung absolut

M_FreqSecHrsAbs

Hängt von M_FreqContrMode ab.

Zähler: Betriebszeit in Sekundärregelung absolut

M_FreqTertHrsAbs

Hängt von M_FreqContrMode ab.

Zähler: Betriebszeit in Tertiärregelung absolut

M_ModeStopHrsRel

Hängt von M_OperMode ab.

Zähler: Betriebszeit in Betriebsmodus Stop relativ

M_ModeTurbHrsRel

Hängt von M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus relativ

M_ModePumpHrsRel

Hängt von M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus relativ

M_ModeStopHrsAbs

Hängt von M_OperMode ab.

Zähler: Betriebszeit in Betriebsmodus Stop absolut

M_ModeTurbHrsAbs

Hängt von M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus absolut

M_ModePumpHrsAbs

Hängt von M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus absolut

M_ActProd_0_25

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus mit 0-25 % der Nominalleistung als Wirkleistung relativ

M_ActProd_25_50

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus mit 25-50 % der Nominalleistung als Wirkleistung relativ

M_ActProd_50_75

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus mit 50-75 % der Nominalleistung als Wirkleistung relativ

M_ActProd_75_100

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus mit 75-100 % der Nominalleistung als Wirkleistung relativ

M_ActProd_Max

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus am Wirkleistungsmaximum relativ

M_ActProd_Min

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus am Wirkleistungsminimum relativ

M_ReaProd_0_25

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus mit 0-25 % der Nominalleistung als Blindleistung relativ

M_ReaProd_25_50

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus mit 25-50 % der Nominalleistung als Blindleistung relativ

M_ReaProd_50_75

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus mit 50-75 % der Nominalleistung als Blindleistung relativ

M_ReaProd_75_100

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus mit 75-100 % der Nominalleistung als Blindleistung relativ

M_ReaProd_Max

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus am Blindleistungsmaximum relativ

M_ReaProd_Min

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Turbinenmodus am Blindleistungsminimum relativ

M_ActCons_0_25

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus mit 0-25 % der Nominalleistung als Wirkleistung relativ

M_ActCons_25_50

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus mit 25-50 % der Nominalleistung als Wirkleistung relativ

M_ActCons_50_75

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus mit 50-75 % der Nominalleistung als Wirkleistung relativ

M_ActCons_75_100

Zähler, hängt von M_ActivePower und M_OperMode ab à Betriebszeit in Pumpmodus mit 75-100 % der Nominalleistung als Wirkleistung relativ

M_ActCons_Max

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus am Wirkleistungsmaximum relativ

M_ActCons_Min

Hängt von M_ActivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus am Wirkleistungsminimum relativ

M_ReaCons_0_25

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus mit 0-25 % der Nominalleistung als Blindleistung relativ

M_ReaCons_25_50

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus mit 25-50 % der Nominalleistung als Blindleistung relativ

M_ReaCons_50_75

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus mit 50-75 % der Nominalleistung als Blindleistung relativ

M_ReaCons_75_100

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus mit 75-100 % der Nominalleistung als Blindleistung relativ

M_ReaCons_Max

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus am Blindleistungsmaximum relativ

M_ReaCons_Min

Hängt von M_ReactivePower und M_OperMode ab.

Zähler: Betriebszeit in Pumpmodus am Blindleistungsminimum relativ

M_TurbStartAbs

Hängt von M_OperMode ab.

Zähler: Starts der Maschine im Turbinenmodus absolut

M_TurbStartRel

Hängt von M_OperMode ab.

Zähler: Starts der Maschine im Turbinenmodus relativ

M_PumpStartAbs

Zähler, hängt von M_OperMode ab à Starts der Maschine im Pumpmodus absolut

M_PumpStartRel

Hängt von M_OperMode ab.

Zähler: Starts der Maschine im Pumpmodus relativ

TW_Exchange

Event:

  • Text geändert => Tausch durchgeführt.
    Text bleibt bis zum nächsten Event gleich.

TW_Inspection

Event:

  • 1: Inspektion durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

St_Wind_Exchange

Event:

  • 1: Tausch durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

St_Wind_Inspection

Event:

  • 1: Inspektion durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

St_LStk_Exchange

Event:

  • 1: Tausch durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

St_LStk_Inspection

Event:

  • 1: Inspektion durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

R_Wind_Exchange

Event:

  • 1: Tausch durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

R_Wind_Inspection

Event:

  • 1: Inspektion durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

R_LStk_Exchange

Event:

  • 1: Tausch durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

R_LStk_Inspection

Event:

  • 1: Inspektion durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

Sw_RelSwitch

Hängt von M_CircuitBreaker ab.

Zähler: Umschaltungen des Leistungsschalters relativ

Sw_Inspection

Event:

  • 1: Inspektion durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

Sw_Exchange

Event:

  • 1: Tausch durchgeführt.
    Es muss sofort wieder auf 0 zurückgesetzt werden, damit das nächste Event erkannt werden kann.

Sw_Frequency

Messung: Netzfrequenz am Leistungsschalter

Sw_FrBand_VeryLow

Hängt von Sw_Frequency ab.

Zähler: Zeit im Frequenzband.
Z. B.: 49 – 49,9 Hz

Sw_FrBand_Low

Hängt von Sw_Frequency ab.

Zähler: Zeit im Frequenzband.
Z. B.: 49,9 – 49,99 Hz

Sw_FrBand_Small

Hängt von Sw_Frequency ab.

Zähler: Zeit im Frequenzband.
Z. B.: 49,99 – 50,01 Hz

Sw_FrBand_High

Hängt von Sw_Frequency ab.

Zähler: Zeit im Frequenzband.
Z. B.: 50,01 – 50,1 Hz

Sw_FrBand_VeryHigh

Hängt von Sw_Frequency ab.

Zähler: Zeit im Frequenzband.
Z. B.: 50,1 – 51 Hz

Sw_FrBand_Large

Hängt von Sw_Frequency ab.

Zähler: Zeit im Frequenzband.
Z. B.: 49,9 – 50,1 Hz

Modi über Reaktionsmatrizen

Die Reaktionsmatrizen werden je Kraftwerk im dazugehörigen Lokalprojekt erstellt.

Reaktionsmatrizen im Lokalprojekt für das Kraftwerk A1

Im Lokalprojekt für das Kraftwerk A1 wird folgende numerische Reaktionsmatrix erstellt und mit der Variable M_OperMode verknüpft.
Alle Werte werden mit „gleich" verglichen:

Wert | Text
0 | Stop
1 | Turbine
2 | Pump

Im Lokalprojekt für das Kraftwerk A1 wird folgende numerische Reaktionsmatrix erstellt und mit der Variable M_FreqContrMode verknüpft.
Alle Werte werden mit „gleich" verglichen:

Wert | Text
0 | Stop
1 | Primary Control
2 | Secondary Control
3 | Tertiary Control

Im Lokalprojekt für das Kraftwerk A1 wird folgende numerische Reaktionsmatrix erstellt und mit der Variable M_NozzleMode verknüpft.
Alle Werte werden mit „gleich" verglichen:

Wert | Text
0 | Stop
1 | 1 Nozzle Mode
2 | 2 Nozzle Mode

Reaktionsmatrizen im Lokalprojekt für das Kraftwerk A2

Im Lokalprojekt für das Kraftwerk A2 wird folgende numerische Reaktionsmatrix erstellt und mit der Variable M_OperMode verknüpft.
Alle Werte werden mit „gleich" verglichen:

Wert | Text
0 | Stop
1 | Turbine
2 | Pump

Im Lokalprojekt für das Kraftwerk A2 wird folgende numerische Reaktionsmatrix erstellt und mit der Variable M_FreqContrMode verknüpft.
Alle Werte werden mit „gleich" verglichen:

Wert | Text
0 | Stop
1 | Primary Control
2 | Secondary Control
3 | Tertiary Control

Im Lokalprojekt für das Kraftwerk A2 wird folgende numerische Reaktionsmatrix erstellt und mit der Variable M_NozzleMode verknüpft.
Alle Werte werden mit „gleich" verglichen:

Wert | Text
0 | Stop
1 | 1 Nozzle Mode
2 | 2 Nozzle Mode

Archivierung

Die Archive werden je Kraftwerk im dazugehörigen Lokalprojekt konfiguriert.

Archive im Lokalprojekt für das Kraftwerk A1

Im Lokalprojekt für das Kraftwerk A1 werden folgende Archive erstellt.
Alle Start/Stop erfolgen mit der Runtime, alle Anlagenzuweisungen liegen unter dem Knoten Power Plant A1:

Archiv | Variablen | Aufzeichnungsart | Anlagenverknüpfungen
ME – MachineEvents | M_OnOff M_SetPoint M_NozzleMode M_FreqContrMode M_OperMode M_CircuitBreaker | Bei Wertänderung | Machine A1_M1
MC – MachineCounters | M_ActivePower M_ReactivePower M_TurbineSpeed M_ActPowerProd M_ActPowerCons M_ReaPowerProd M_ReaPowerCons M_OperatingHrsAbs M_OperatingHrsRel M_FreqStopHrsRel M_FreqPrimHrsRel M_FreqSecHrsRel M_FreqTertHrsRel M_FreqStopHrsAbs M_FreqPrimHrsAbs M_FreqSecHrsAbs M_FreqTertHrsAbs M_ModeStopHrsRel M_ModeTurbHrsRel M_ModePumpHrsRel M_ModeStopHrsAbs M_ModeTurbHrsAbs M_ModePumpHrsAbs M_ActProd_0_25 M_ActProd_25_50 M_ActProd_50_75 M_ActProd_75_100 M_ActProd_Max M_ActProd_Min M_ReaProd_0_25 M_ReaProd_25_50 M_ReaProd_50_75 M_ReaProd_75_100 M_ReaProd_Max M_ReaProd_Min M_ActCons_0_25 M_ActCons_25_50 M_ActCons_50_75 M_ActCons_75_100 M_ActCons_Max M_ActCons_Min M_ReaCons_0_25 M_ReaCons_25_50 M_ReaCons_50_75 M_ReaCons_75_100 M_ReaCons_Max M_ReaCons_Min M_TurbStartAbs M_TurbStartRel M_PumpStartAbs M_PumpStartRel | Zyklisch mit 1 Minute Zykluszeit | Machine A1_M1
CE – ComponentEvents | TW_Exchange TW_Inspection St_Wind_Exchange St_Wind_Inspection St_LStk_Exchange St_LStk_Inspection R_Wind_Exchange R_Wind_Inspection R_LStk_Exchange R_LStk_Inspection | Bei Wertänderung | Turbine Wheel Stator – Winding Stator – Lamination Stack Rotor – Winding Rotor – Lamination Stack
SE – SwitchEvents | Sw_Inspection Sw_Exchange | Bei Wertänderung | Switch A1_M1
SC - SwitchCounters | Sw_RelSwitch Sw_Frequency Sw_FrBand_VeryLow Sw_FrBand_Low Sw_FrBand_Small Sw_FrBand_High Sw_FrBand_VeryHigh Sw_FrBand_Large | Zyklisch mit 1 Minute Zykluszeit | Switch A1_M1

Archive im Lokalprojekt für das Kraftwerk A2

Im Lokalprojekt für das Kraftwerk A2 werden folgende Archive erstellt.
Alle Start/Stop erfolgen mit der Runtime, alle Anlagenzuweisungen liegen unter dem Knoten Power Plant A2:

Archiv | Variablen | Aufzeichnungsart | Anlagenverknüpfungen
ME – MachineEvents | M_OnOff M_SetPoint M_NozzleMode M_FreqContrMode M_OperMode M_CircuitBreaker | Bei Wertänderung | Machine A2_M1
MC – MachineCounters | M_ActivePower M_ReactivePower M_TurbineSpeed M_ActPowerProd M_ActPowerCons M_ReaPowerProd M_ReaPowerCons M_OperatingHrsAbs M_OperatingHrsRel M_FreqStopHrsRel M_FreqPrimHrsRel M_FreqSecHrsRel M_FreqTertHrsRel M_FreqStopHrsAbs M_FreqPrimHrsAbs M_FreqSecHrsAbs M_FreqTertHrsAbs M_ModeStopHrsRel M_ModeTurbHrsRel M_ModePumpHrsRel M_ModeStopHrsAbs M_ModeTurbHrsAbs M_ModePumpHrsAbs M_ActProd_0_25 M_ActProd_25_50 M_ActProd_50_75 M_ActProd_75_100 M_ActProd_Max M_ActProd_Min M_ReaProd_0_25 M_ReaProd_25_50 M_ReaProd_50_75 M_ReaProd_75_100 M_ReaProd_Max M_ReaProd_Min M_ActCons_0_25 M_ActCons_25_50 M_ActCons_50_75 M_ActCons_75_100 M_ActCons_Max M_ActCons_Min M_ReaCons_0_25 M_ReaCons_25_50 M_ReaCons_50_75 M_ReaCons_75_100 M_ReaCons_Max M_ReaCons_Min M_TurbStartAbs M_TurbStartRel M_PumpStartAbs M_PumpStartRel | Zyklisch mit 1 Minute Zykluszeit | Machine A2_M1
CE – ComponentEvents | TW_Exchange TW_Inspection St_Wind_Exchange St_Wind_Inspection St_LStk_Exchange St_LStk_Inspection R_Wind_Exchange R_Wind_Inspection R_LStk_Exchange R_LStk_Inspection | Bei Wertänderung | Turbine Wheel Stator – Winding Stator – Lamination Stack Rotor – Winding Rotor – Lamination Stack
SE – SwitchEvents | Sw_Inspection Sw_Exchange | Bei Wertänderung | Switch A2_M1
SC - SwitchCounters | Sw_RelSwitch Sw_Frequency Sw_FrBand_VeryLow Sw_FrBand_Low Sw_FrBand_Small Sw_FrBand_High Sw_FrBand_VeryHigh Sw_FrBand_Large | Zyklisch mit 1 Minute Zykluszeit | Switch A2_M1

Zwischenergebnis

Der Arbeitsbereich im zenon Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Für einige Reports müssen noch die Aufgrund Metainformationen konfiguriert werden.

Metainformationen hinzufügen

Mit dem Metadata Editor werden folgende Metainformationen in die Datenbank geschrieben:

Anlagengruppen | Identifikation | Wert | Einheit
Machine A1_M1 Machine A2_M1 | PlantRelativeParentLevel | 1 |
Machine A1_M1 Machine A2_M1 | PlantGroupRelativeParentLevel | 2 |
Machine A1_M1 Machine A2_M1 | NominalActivePower | 100 | kW
Machine A1_M1 Machine A2_M1 | NominalTurbineSpeed | 1000 | RPM
Alle Turbine Wheel Alle Winding Alle Lamination Stack | ComponentRelativeParentLevel | 1 |
Alle Switchyard | PlantRelativeParentLevel | 1 |
Alle SWitchyard | PlantGroupRelativeParentLevel | 2 |
Switch A1_M1 Switch A2_M1 | PlantRelativeParentLevel | 2 |
Switch A1_M1 Switch A2_M1 | PlantGroupRelativeParentLevel | 3 |
Switch A1_M1 Switch A2_M1 | NominalFrequency | 50 | Hz

Endergebnis

Jetzt können alle geforderten Reports erstellt und angezeigt werden.

Hinweis: Es wurden nicht überall Default-Bedeutungen verwendet. Folgende Liste zeigt die Bedeutungen je Report.

Bedeutungen für Betriebszeiten pro Frequenzkontrollmodus und Maschinenkomponente

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report-Bestandteil | Verwendete Bedeutung
Absolute Operating Time | OperatingHoursAbsolute
Relative Operating Time | OperatingHoursRelative
Relative Operating Time in an Operation Mode | FrequencyModeHoursRelative
Component Exchanged | ComponentExchange
Component Inspected | ComponentInspection

Bedeutungen für Betriebszeiten pro Betriebsmodus

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
Absolute Operating Time | OperatingHoursAbsolute
Relative Operating Time | OperatingHoursRelative
Absolute Operating Time in a Mode | OperationModeHoursAbsolute
Relative Operating Time in a Mode | OperationModeHoursRelative

Bedeutungen für Betriebszeitenpro Frequenzkontrollmodu

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
Absolute Operating Time | OperatingHoursAbsolute
Relative Operating Time | OperatingHoursRelative
Absolute Operating Time in a Mode | FrequencyModeHoursAbsolute
Relative Operating Time in a Mode | FrequencyModeHoursRelative

Bedeutungen für Betriebszeiten pro Machinenkomponente

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
Relative Operating Time | OperatingHoursRelative
Component Exchanged | ComponentExchange
Component Inspected | ComponentInspection

Bedeutungen für Betriebszeiten pro Lastbereich

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
Active Power Generator Range | ActivePowerTimeCounter_Positive
Reactive Power Generator Range | ReactivePowerTimeCounter_Positive
Active Power Pump Range | ActivePowerTimeCounter_Negative
Reactive Power Pump Range | ReactivePowerTimeCounter_Negative
Active Power Generator Maximum | ActivePowerTimeCounter_PositiveMax
Active Power Generator Minimum | ActivePowerTimeCounter_PositiveMin
Reactive Power Generator Maximum | ReactivePowerTimeCounter_PositiveMax
Reactive Power Generator Minimum | ReactivePowerTimeCounter_PositiveMin
Active Power Pump Maximum | ActivePowerTimeCounter_NegativeMax
Active Power Pump Minimum | ActivePowerTimeCounter_NegativeMin
Reactive Power Pump Maximum | ReactivePowerTimeCounter_NegativeMax
Reactive Power Pump Minimum | ReactivePowerTimeCounter_NegativeMin

Bedeutungen für Schaltspiele (Einfachauswahl und Mehrfachauswahl)

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
Relative Switching Counter | RelativeSwitchings
Circuit Breaker Inspection Event | SwitchInspection
Circuit Breaker Exchange Event | SwitchExchange

Bedeutungen für Wirk- und Blindleistungszähler (Einfachauswahl und Mehrfachauswahl)

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
Active Power Production | ActivePowerProduction
Active Power Consumption | ActivePowerConsumption
Reactive Power Production | ReactivePowerProduction
Reactive Power Consumption | ReactivePowerConsumption

Bedeutungen für Netzfrequenz

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
Power Line Frequency | PowerLineFrequency
Frequency Band Time Counter | FrequencyBandCounter

Bedeutungen für alle Maschinenereignisse

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
On Off Switch | OnOffSwitch
Set Point | SetPoint
Nozzle Mode | NozzleMode
Operation Mode | FrequencyControlMode
Circuit Breaker | CircuitBreaker
Active Power | ActivePower
Turbine Speed | TurbineSpeed

Bedeutungen für Sollwertänderungsereignisse je Betriebsmodus

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
On Off Switch | OnOffSwitch
Set Point | SetPoint
Operation Mode | FrequencyControlMode

Bedeutungen für Düsenmodusänderungsereignisse

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
On Off Switch | OnOffSwitch
Nozzle Mode | NozzleMode

Bedeutungen für Wirkleistung bei Lastabwurfereignissen

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
On Off Switch | OnOffSwitch
Circuit Breaker | CircuitBreaker
Active Power | ActivePower

Bedeutungen für Turbinendrehzahl bei Lastabwurfereignissen

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
On Off Switch | OnOffSwitch
Circuit Breaker | CircuitBreaker
Turbine Speed | TurbineSpeed

Bedeutungen für Start der Maschinensätze

Dieser Report verwendet folgende Bedeutungen für Variablen:

Report Bestandteil | Verwendete Bedeutung
Absolute Starts as Turbine | TurbineStartAbsolute
Relative Starts as Turbine | TurbineStartRelative
Absolute Starts as Pump | PumpStartAbsolute
Relative Starts as Pump | PumpStartRelative


Windkraftwerk Analyse

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Windkraftwerk Analyse

Reports dieses Themas stellen Reportvorlagen zur Verfügung, die diverse Zähler für Windkraftwerke ermitteln und darstellen.

Folgende Reportvorlagen stehen zur Verfügung:

  • Windrose: Stellt verdichtete Indikatorwerte von Anlagengruppen dar, gruppiert nach Windrichtung.

Aus Thema Soll-Ist-Analyse:

  • Streudiagramm: Erstellt ein Streudiagramm für den Vergleich beliebiger maschinenbezogener Messgrößen mit Vorgabewerten.
  • Streudiagramm mit Referenzkurve: Erstellt ein Streudiagramm eines Wertepaars für einen Zeitraum.

Reportvorlage auswählen

Um einen Report basierend auf einer dieser Vorlagen zu erstellen:

  1. Wählen Sie im ZAMS im Menü Datei den Befehl Neuer Report oder klicken Sie auf der Startseite auf die entsprechende Aktion.

    Der Dialog zur Auswahl einer Vorlage wird geöffnet.

  2. Wählen Sie als Thema Windkraftwerk Analyse.
  3. Wählen Sie in der Detailansicht die gewünschte Reportvorlage aus.

Hinweis: Anleitungen und Beispiele für die Reportkonfiguration lesen Sie in den Abschnitten Report konfigurieren und Beispiele für Reportkonfiguration.

Noch in diesem Kapitel

Windrose

Voraussetzungen und Projektierung in zenon


Windrose

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Windkraftwerk Analyse > Windrose

Reports, die auf dieser Vorlage basieren, stellen verdichtete Indikatorwerten von Anlagengruppen dar, gruppiert nach Windrichtung.

Hauptdataset

Die Reportvorlage verwendet als Hauptdataset WindPower_WindRose.

Report-Einstellungen

Dieser Report basiert auf folgenden Report-Einstellungen:

  • Timefilter
  • Anlagenmodelle
  • Anlagengruppe
  • Projekt
  • Konfiguration Windrose
  • Schlüsselwörter Windrichtung
  • Archivkomprimierung
  • Connector

Report-Parameter

Die Reportvorage stellt im Report Launcher neben dem konfigurierten Zeitfilter, eventuell abhängig von der Konfiguration, noch weitere Parameter zur Verfügung:

  • Anlagengruppen
  • Projekte

Report-Elemente

Dieser Report stellt folgende Report-Elemente zur Verfügung:

  • Gruppierte Tabelle
  • Polardiagramm

Hinweis für Report-Entwickler: SPs und UDFs

Reports, die auf dieser Vorlage basieren, setzen folgende SPs und UDFs ein:

Dataset:

  • WindPower_GetWindRoseData

Settings:

  • ListProjects
  • ListEquipmentTree


Voraussetzungen und Projektierung in zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Windkraftwerk Analyse > Voraussetzungen und Projektierung in zenon

Die Reports dieses Themas benötigen spezielle Konfigurationen in zenon.

Dokumentationen:

Report

Dokumentiert
  • Windrose

In diesem Dokument.
  • Streudiagramm
  • Streudiagramm mit Referenzkurve

Kapitel Soll-Ist-Analyse/Voraussetzungen und Projektierung in zenon

Reports diesen Themas können archivierte Variablen jeder Verdichtungsart (auch Rohdaten) auswerten.

Noch in diesem Kapitel

In zenon benötigte Module

Verknüpfung zenon Analyzer Reports mit zenon

Projektierungsbeispiel


In zenon benötigte Module

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Windkraftwerk Analyse > Voraussetzungen und Projektierung in zenon > In zenon benötigte Module

Die Reports dieses Themas nutzen Informationen aus zenon:

  • Variablen

Variablen per Bedeutung mit Archivanbindung finden

Damit eine Variable per Bedeutung (Meaning) mit Archivanbindung adressiert werden kann, müssen im zenon Editor folgende Bedingungen erfüllt sein:

  • Die Variable muss die gewünschte Bedeutung gesetzt haben.
    Diese werden konfiguriert in den Eigenschaften der Variablen im Knoten Analyzer, Eigenschaft Bedeutung.
  • Die Variable muss archiviert werden.
  • Die Variable muss der gewünschten Anlagengruppe zugeordnet sein.
  • Das Archiv, in dem die Variable aufgezeichnet wird, muss der gewünschten Anlagengruppe zugeordnet sein.

Achtung: Wird die Variable in mehreren Archiven aufgezeichnet, so darf nur eines davon der gewünschten Anlagengruppe zugeordnet sein. Wird beim Auflisten der archivierten Variablen je Bedeutung für eine Variable mehr als ein Archiv erkannt, gilt das als Fehler. Die Validierung erfolgt bei der Konfiguration im ZAMS und in der SQL Elementen der Reports.

Alle Zuordnungen für Archive und Variablen werden vom Analyzer Export Wizard aus dem zenon exportiert und dem zenon Analyzer zur Verfügung gestellt.

Beispiele

Definitionen:

  • Projekt: P1, P2
  • Bedeutung: meaning
  • Anlagengruppe: G1
  • Variablen: V1, V2
  • Archive: A1, A2

Auffindbare Variable

Beispiel:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable „V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable ist auffindbar.

Nicht auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen

Projekt P2:

  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Projektübergreifender Variablenbezug. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Bedeutung wurde nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 3:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Beispiel 4:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Anlagengruppe G1 zugewiesen

Ergebnis: Variable wird nicht im Archiv aufgezeichnet. Variable ist nicht auffindbar.

Beispiel 5:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt

Ergebnis: Archiv wurde Anlagengruppe nicht zugewiesen. Variable ist nicht auffindbar.

Mehrfach auffindbare Variablen:

Beispiel 1:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen
  • Archiv A2":
    • Variable V1 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 mögliches Quellarchiv für die Variable gefunden. Variable ist nicht auffindbar.

Beispiel 2:

Projekt P1:

  • Variable V1:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Variable V2:
    • Bedeutung meaning zugewiesen
    • Anlagengruppe G1 zugewiesen
  • Archiv A1:
    • Variable V1 eingefügt
    • Variable V2 eingefügt
    • Anlagengruppe G1 zugewiesen

Ergebnis: Mehr als 1 Variable für Bedeutung gefunden. Ob Variabler auffindbar ist, hängt vom Typ des Reports ab.


Verknüpfung zenon Analyzer Reports mit zenon

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Windkraftwerk Analyse > Voraussetzungen und Projektierung in zenon > Verknüpfung zenon Analyzer Reports mit zenon

Überblick, welcher Report welche SCADA-Module und/oder ZAMS-Einstellungen benötigt:

Report

zenon Modul/ZAMS

Windrose
  • Windrichtung:
    Muss eingegeben werden.
    Die Variable kann in Grad (°), Neugrad (gon) oder Radianten (rad) aufgezeichnet werden.
    Keine Default-Bedeutung.
  • Indikator-Variable:
    Muss eingegeben werden.
    Typischerweise werden Windgeschwindigkeit oder Leistungsausgabe verwendet.
    Keine Default-Bedeutung.

Die Windrose kann 4, 8 oder 16 Abstufungen der Windrichtung enthalten.


Projektierungsbeispiel

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Windkraftwerk Analyse > Voraussetzungen und Projektierung in zenon > Projektierungsbeispiel

Um Reports dieses Themas anzeigen zu können, müssen die aus zenon benötigten Daten vorhanden sein und im korrekten Format zur Verfügung stehen. Das folgende Beispiel unterstützt Sie bei der Projektierung und Handhabung des zenon Projekts.

Dieses Projektierungsbeispiel zeigt ausschließlich die Projektierung des Reports Windrose.
Beispiele für andere Reports dieses Themas finden Sie im Abschnitt Soll-Ist-Analyse.

Referenzkurven für Windräder zeigen typischerweise die Leistungsausgabe (vertikal) im Verhältnis zur Windstärke (horizontal).

Ausgangssituation

Für dieses Beispiel wird angenommen:

  • Ein Windkraftbetreiber betreibt 2 Windparks:
    • Windpark North
    • Windpark South
  • In jedem Windpark stehen 5 Windräder.
  • Jeder Windpark hat:
    • 1 Sensor für Windrichtung (in Grad)
    • 1 Sensor für Windstärke (in m/s)
  • Jedes Windrad hat:
    • 1 Sensor für Leistungsausgabe (in kW)
  • Alle Sensordaten:
    • können minütlich zyklisch aufgezeichnet werden
    • werden über Treiber gelesen

Ziel

Folgende Reports sollen möglich sein:

  • Windgeschwindigkeit pro Windrichtung für alle Windparks
  • Leistungsausgabe pro Windrichtung für alle Windräder

Dafür steht ein zenon Editor Arbeitsbereich mit folgenden Projekten zur Verfügung:

  • 1 Globalprojekt
  • 1 Integrationsprojekt
    • 1 Lokalprojekt für den Windpark North
    • 1 Lokalprojekt für den Windpark South

Projektierung

Für die Projektierung werden verwendet:

  • Anlagenmodellierung
  • Variablen
  • Archivierung

Anlagenmodell

Im Globalprojekt wird folgendes Anlagenmodell konfiguriert:

Anlagenmodell Windpower

  • Anlagengruppe Windpark North:
    • Anlagengruppe Wind Turbine North 1
    • Anlagengruppe Wind Turbine North 2
    • Anlagengruppe Wind Turbine North 3
    • Anlagengruppe Wind Turbine North 4
    • Anlagengruppe Wind Turbine North 5
  • Anlagengruppe Windpark South:
    • Anlagengruppe Wind Turbine South 1
    • Anlagengruppe Wind Turbine South 2
    • Anlagengruppe Wind Turbine South 3
    • Anlagengruppe Wind Turbine South 4
    • Anlagengruppe Wind Turbine South 5

Variablen

Die Variablen werden je Windpark im jeweils eigens zur Verfügung stehenden Lokalprojekt erstellt.

Windpark North

Im Lokalprojekt für Windpark North werden folgende Variablen konfiguriert:

Variable | Einheit | Meaning | Anlagenzuweisung(en)
North_WindDirection | ° | WindDirection | Windpark North Wind Turbine North 1 Wind Turbine North 2 Wind Turbine North 3 Wind Turbine North 4 Wind Turbine North 5
North_WindSpeed | m/s | WindSpeed | Windpark North
North_T1_PowerOutput | kW | PowerOutput | Wind Turbine North 1
North_T2_PowerOutput | kW | PowerOutput | Wind Turbine North 2
North_T3_PowerOutput | kW | PowerOutput | Wind Turbine North 3
North_T4_PowerOutput | kW | PowerOutput | Wind Turbine North 4
North_T5_PowerOutput | kW | PowerOutput | Wind Turbine North 5

Alle Variablen haben den Datentyp FLOAT.

Windpark South

Im Lokalprojekt für Windpark South werden folgende Variablen konfiguriert:

Variable | Einheit | Meaning | Anlagenzuweisung(en)
South_WindDirection | ° | WindDirection | Windpark South Wind Turbine South 1 Wind Turbine South 2 Wind Turbine South 3 Wind Turbine South 4 Wind Turbine South 5
South_WindSpeed | m/s | WindSpeed | Windpark South
South_T1_PowerOutput | kW | PowerOutput | Wind Turbine South 1
South_T2_PowerOutput | kW | PowerOutput | Wind Turbine South 2
South_T3_PowerOutput | kW | PowerOutput | Wind Turbine South 3
South_T4_PowerOutput | kW | PowerOutput | Wind Turbine South 4
South_T5_PowerOutput | kW | PowerOutput | Wind Turbine South 5

Alle Variablen haben den Datentyp FLOAT.

Archivierung

Die Archive werden je Windpark im jeweils eigens zur Verfügung stehenden Lokalprojekt erstellt.

Windpark North

Im Lokalprojekt für Windpark North werden folgende Archive konfiguriert :

Archiv | Variablen | Anlagenzuweisung(en)
WN – WindparkDataNorth | North_WindDirection North_WindSpeed North_T1_PowerOutput North_T2_PowerOutput North_T3_PowerOutput North_T4_PowerOutput North_T5_PowerOutput | Windpark North Wind Turbine North 1 Wind Turbine North 2 Wind Turbine North 3 Wind Turbine North 4 Wind Turbine North 5

Alle Archive haben:

  • zyklische Aufzeichnung
  • 1 Minute Zykluszeit
  • Start/Stop mit Runtime

Windpark South

Im Lokalprojekt für Windpark South werden folgende Archive konfiguriert:

Archiv | Variablen | Anlagenzuweisung(en)
WS – WindparkDataSouth | South_WindDirection South_WindSpeed South_T1_PowerOutput South_T2_PowerOutput South_T3_PowerOutput South_T4_PowerOutput South_T5_PowerOutput | Windpark South Wind Turbine South 1 Wind Turbine South 2 Wind Turbine South 3 Wind Turbine South 4 Wind Turbine South 5

Alle Archive haben:

  • zyklische Aufzeichnung
  • 1 Minute Zykluszeit
  • Start/Stop mit Runtime

Endergebnis

Der Arbeitsbereich im zenon Editor kann jetzt mit dem Analyzer Export Wizard exportiert werden. Alle Reports dieses Themas können im ZAMS erstellt und im Report Launcher angezeigt werden.


Fehlerbehandlung

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Fehlerbehandlung

Hinweise zur Lösung von Fehlermeldungen:

W-023-00003 Der Analyzer Server meldet eine Warnung bei der Erstellung des Reports

Sie erhalten beim Bereitstellen eines Reports die Fehlermeldung: W-023-00003 The Analyzer Server reported a warning on creating the report "/Production Analysis Line Based/Gantt Chart". Warning details: The text box ‘TableItem_1_EQUIPMENT_NAME_Value’ extends beyond the bottom edge of its container." appears in the output window of ZAMS.

Diese Warnung tritt nur auf, wenn in einer Tabelle mehrere Spaltengruppierungen vorhanden sind und jede Spaltengruppierung, ausgenommen die letzte, keine Verdichtungszeile hat.

  • Ursache: Die Verdichtungszeile, die für die Darstellung der Gruppierung benötigt wird, muss beim Aufklappen der Gruppierung unsichtbar werden, wenn die Gruppierung keinen Verdichtungswert hat.
  • Lösung: Verwenden Sie für alle Spaltengruppierungen Verdichtungszeilen.

Hinweis: Diese Warnung kann auch ignoriert werden.


Metadaten, Stored Procedures und User Defined Functionblocks

zenon Analyzer > Reportvorlagen > Mitgelieferte Reportvorlagen > Metadaten, Stored Procedures und User Defined Functionblocks

Für die Reportvorlagen werden Metadaten, Table Valued User Defined Functions, Stored Procedures und User Defined Functionblocks verwendet.

Diese werden im Abschnitt Datenstrukturen beschrieben.

Eine Zuordnung von SPs und UDFs zu Reportvorlagen finden Sie im Handbuch zenon Analyzer für Entwickler im Kapitel SPs und UDFs.


Ereignisgesteuerte Reporterstellung

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung

Die ereignisgesteuerte Reporterstellung ermöglicht es, ein Ereignis - wie zum Beispiel eine Wertänderung - als Auslöser für die Erstellung und den Versand eines Reports zu nutzen. Diese Reports können erstellt werden:

  • über eine zenon Funktion (ab Version 7.20)
  • mittels VSTA-Programmierung

Noch in diesem Kapitel

Analyzer Report mittels zenon Funktion erzeugen

VSTA-Programmierung


Analyzer Report mittels zenon Funktion erzeugen

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > Analyzer Report mittels zenon Funktion erzeugen

Voraussetzungen

Damit Sie einen ereignisgesteuerten Report für den zenon Analyzer über die zenon Funktion Analyzer: Report erzeugen erstellen können, müssen folgende Voraussetzungen erfüllt sein:

  • zenon Version 7.20 oder höher
  • Verbindung mit entsprechenden Rechten zu einem Analyzer Server der Version 2 oder höher
  • Analyzer Server Wrapper muss installiert sein. Installation erfolgt über einen eigenen Auswahlpunkt im zenon Setup.
  • Runtime und Editor müssen nach der Installation des Analyzer Server Wrapper neu gestartet werden, damit sie die installierten Analyzer Server Wrapper DLLs finden können.
  • Empfehlung: Damit die Windows Authentifizierung garantiert funktioniert, sollte sich der Analyzer Server in der gleichen Domain wie zenon Editor und zenon Runtime befinden.

Problemlösung

  • Kommunikationsprobleme mit dem Analyzer Server: Überprüfen Sie Kommunikation im Netzwerk sowie die Authentifizierung (Benutzer und Zugriffsrechte).
  • Reports werden gerendert, enthalten aber keine Daten: Überprüfen Sie die Lizenz des Analyzer Servers.

Funktion erstellen

Um die Funktion zu erstellen:

  1. Erstellen Sie im zenon Editor eine neue Funktion.
  2. Navigieren Sie im Auswahldialog zur Gruppe Report Generator/Report Viewer/Analyzer.

  3. Wählen Sie die Funktion Analyzer: Report erzeugen.
  4. Der Dialog zur Konfiguration wird geöffnet:
  5. Konfigurieren Sie in der Registerkarte Allgemeine Einstellungen die Verbindungsparameter und wählen Sie den gewünschten Report aus.

    Achtung: Bevor zur zweiten Registerkarte gewechselt wird, müssen unbedingt eine Verbindung aufgebaut und ein Report gewählt werden!

  6. Konfigurieren Sie in der Registerkarte Parameterliste die Report-Eigenschaften.
    Beim Wechseln zur zweiten Registerkarte wird versucht, bereits bestehende Werte für die Parametereingabe erneut zu setzen. Schlägt dies fehl, wird die Liste der gesetzten Parameterwerte leer angezeigt.

    Defaults können durch individuelle Werte ersetzt werden. Deaktivieren Sie dazu die Checkbox vor dem Wert und klicken Sie auf den Wert. Ein Dialog zur Eingabe des neuen Werts wird geöffnet.

  7. Verknüpfen Sie die Funktion mit einem Button oder einem Ereignis, um sie zur Runtime zu benutzen.

Ablauf zur Runtime

Ablauf beim Auslösen der Funktion zur Reporterstellung zur Runtime:

  1. Die konfigurierte Verbindung wird hergestellt.
  2. Der gewählte Report wird gesetzt.
  3. Die gewählten Parameterwerte werden für diesen Report gesetzt.
  4. Der Report wird erstellt und in der gewünschten Form ausgegeben.
  5. Der Dateiname wird generiert und die Datei im Exportordner des Projekts gespeichert.
  6. Der vollständige Dateiname wird in die gewählte Variable geschrieben.

Noch in diesem Kapitel

Allgemeine Einstellungen

Parameterliste


Allgemeine Einstellungen

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > Analyzer Report mittels zenon Funktion erzeugen > Allgemeine Einstellungen

In dieser Registerkarte wird die Verbindung zum Analyzer Server konfiguriert und der Bericht ausgewählt. Bevor Sie zur Registerkarte Parameterliste wechseln:

  • muss die Verbindung zum Analyzer Server hergestellt werden
  • diese Registerkarte komplett konfiguriert werden

Welche Optionen in der Registerkarte Parameterliste zur Verfügung stehen, hängt ab von Ihrer Auswahl für die Option Report.

Registerkarte Allgemeine Einstellungen

Analyzer Server

Option

Beschreibung

Analyzer Server

Konfiguration der Verbindung zum Analyzer Server.

Version

Auswahl der Version des Analyzer Servers aus Dropdownliste. Nur verfügbar, wenn keine Verbindung besteht.

Computername

Eingabe des Namens des Rechners, auf dem der Analyzer Server läuft. Nur verfügbar, wenn keine Verbindung besteht.

Windows-Authentifizierung verwenden

Auswahl der Art der Authentifizierung:

  • Aktiv: Windows-Authentifizierung wird verwendet.
  • Inaktiv: Der Benutzer muss Benutzername und Passwort eingeben.

Benutzername

Eingabe des Benutzernamens.

Nur verfügbar, wenn Windows-Authentifizierung verwenden inaktiv ist und keine Verbindung besteht.

Passwort

Eingabe des Passworts für die Authentifizierung.

Die eingegebenen Zeichen werden nicht dargestellt, die Länge des Passworts wird verschleiert. Das Passwort wird verschlüsselt gespeichert und nur unmittelbar zum Verbindungsaufbau entschlüsselt.

Nur verfügbar, wenn Windows-Authentifizierung verwenden inaktiv ist und keine Verbindung besteht.

Sichere Verbindung

Aktiv: Die Verbindung wird gesichert hergestellt.

Nur verfügbar für zenon Analyzer ab Version 3.00.

Erweitert

Erweiterte Einstellungen für die Verbindungswartezeit. Dies kann maximal 1 Tag betragen.

Klick auf die Schaltfläche öffnet den Dialog zur Konfiguration.

Nur verfügbar für zenon Analyzer ab Version 3.00.

Verbindung herstellen

Klick auf die Schaltfläche baut eine Verbindung zum Analyzer Server auf.

Nach erfolgreichem Verbindungsaufbau werden die Dropdownlisten für Report und Format aktualisiert.

Verbindung trennen

Klick auf die Schaltfläche trennt die bestehende Verbindung.

Reporterstellung

Option

Beschreibung

Reporterstellung

Konfiguration der Basisdaten für den Report.

Report

Auswahl des Reports aus Dropdownliste.

Format

Auswahl des Ausgabeformats aus Dropdownliste:

  • CSV
  • Excel
  • MHTML (Web Archiv)
  • PDF
  • TIFF Datei
  • Word
  • XML Datei mit Reportdaten

Zeitstempel in Dateiname inkludieren
  • Aktiv: Der Ausführungs-Zeitstempel wird in den Dateinamen inkludiert.

Ablauf der Dateinamenerzeugung:

  • Ausgangspunkt ist der Reportname ohne Pfad.
    Beispiel: Alarms
  • Dann wird, falls aktiviert, der Zeitstempel hinzugefügt. Beispiel am 15.8.2014 um 15:20:00 Uhr: Alarms_2014_08_15_15_20_00
  • Dann wird die Dateinamenerweiterung entsprechend dem gewählten Ausgabeformat hinzugefügt.
    Beispiel: Alarms_2014_08_15_15_20_00.pdf
  • Existiert bereits eine Datei mit diesem Namen im Exportordner des Projekts, wird ein Zähler hinzugefügt, bis der Dateiname eindeutig ist.
    Beispiel:
    Alarms_2014_08_15_15_20_00.pdf
    Alarms_2014_08_15_15_20_00 (2).pdf
    Alarms_2014_08_15_15_20_00 (3).pdf

Variable für Pfad zur erstellten Datei

Zeigt die aktuell gewählte zenon Variable an, die den Pfad zur geschriebenen Reportdatei erhält.

Klick auf Schaltfläche ... öffnet Dialog zur Auswahl einer Variablen.

Tipp: Damit kann beim Beenden eines Chargenarchivs oder bei einer Grenzwertverletzung ein ereignisgesteuerter Report über ein Skript per E‑Mail aus zenon versendet werden. Dabei wird diese Variable verwendet, um den Anhang der Message Control Funktion Sende Nachricht zu definieren.
Ablauf:

  • Zuerst wird die Reportfunktion ausgeführt, die die Variable schreibt.
  • Dann wird die Funktion Sende Nachricht ausgeführt, die den Anhangpfad aus der Variablen liest.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Noch in diesem Kapitel

Erweiterte Einstellungen für gesicherte Verbindung


Erweiterte Einstellungen für gesicherte Verbindung

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > Analyzer Report mittels zenon Funktion erzeugen > Allgemeine Einstellungen > Erweiterte Einstellungen für gesicherte Verbindung

Konfiguration der Verbindungswartezeit. Der Dialog wird beim Klick auf die Schaltfläche Erweitert in der Registerkarte Allgemeine Einstellungen geöffnet.

Parameter

Beschreibung

Verbindungs-Timeout

Wartezeit beim Verbindungsaufbau in Sekunden. Wird diese überschritten, wird der Verbindungsaufbau abgebrochen.

  • Minimum: 1
  • Maximum: 86400 (1 Tag)

Default: 100

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Parameterliste

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > Analyzer Report mittels zenon Funktion erzeugen > Parameterliste

In dieser Registerkarte konfigurieren Sie die Report-Eigenschaften. Welche Parameter angeboten werden, hängt ab von der Auswahl des Reports in der Registerkarte Allgemeine Einstellungen.

Registerkarte Parameterliste

Option

Beschreibung

Parameterliste

Anzeige der Report-Parameter. Die Reihenfolge entspricht der Reihenfolge im Report.

Empfehlung: Konfigurieren Sie die Parameter von oben nach unten.

Parametername

Anzeige des Parameternamens.
Kann hier nicht konfiguriert werden.

Standard

Definiert, ob der Parameter auf seinen Vorgabewert gesetzt ist.

  • Aktiv: Vorgabewert aus Report wird verwendet.
  • Inaktiv: Wert wird durch Klick in Spalte Wert individuell gewählt.

Mausklick oder Drücken der Leertaste bei markiertem Parameter schaltet die Checkbox um. Hat ein Parameter keinen Vorgabewert, ist die Checkbox ausgegraut und inaktiv.

Wert

Anzeige des aktuellen Werts des Parameters.

  • Ist die Checkbox Standard aktiviert, dann wird hier der Text Standardwert angezeigt und die Zelle erlaubt keine Eingaben.
  • Ist die Checkbox Standard deaktiviert, dann wird hier der aktuell konfigurierte Wert angezeigt.
    Klick auf die Zelle oder das Drücken der Eingabetaste bei markiertem Parameter öffnet den für den Wert passenden Eingabedialog.

Kann ein Parameter noch nicht eingegeben werden, wird der Text Nicht verfügbar angezeigt und die Zelle ist deaktiviert. Das kann zum Beispiel bedeuten, dass zuerst Werte für einen anderen Parameter gesetzt werden müssen, um die Wertliste zu füllen.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Tipp Chargen/Schicht-Report:

In der Runtime wird der Wert einer zenon Stringvariable gelesen. In der Liste der vordefinierten Werte für den Parameter wird nach diesem String als Label gesucht. Der Wert zu dem übereinstimmenden Label ist dann der Parameterwert, also die gewählte Schicht oder Charge.

Die Chargenvariable eines Chargenarchivs kann hier verwendet werden. Führen Sie für den Chargen-Report die Funktion Analyzer: Report erzeugen beim Beenden des Chargenarchivs aus. Der Report hat dann als Zeitfilter die letzte Charge dieses Archivs.

Noch in diesem Kapitel

Konfiguration der Werte


Konfiguration der Werte

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > Analyzer Report mittels zenon Funktion erzeugen > Parameterliste > Konfiguration der Werte

Für die Konfiguration der Parameterwerte stehen für jede Eingabe passende Dialoge zur Verfügung. Die Konfiguration erfolgt je nach Eingabemöglichkeit für:

  • Ein Wert ohne vordefinierten Wert: Eingabe des Werts.
  • Mehrere Werte ohne vordefinierte Werte: Eingabe der Werte und Hinzufügen zu einer Liste.
  • Ein Wert mit vordefiniertem Wert: Auswahl aus Dropdownliste oder Liste.
  • Mehrere Werte mit vordefinierten Werten: Auswahl aus Liste.

Ob ein Wert konfiguriert werden kann, kann davon abhängen, dass der vorhergehende Wert ausgewählt wurde. Zum Beispiel müssen Projekte ausgewählt werden, damit Archive und Variablen konfiguriert werden können.
Welche Dialoge angeboten werden, hängt von der Report-Auswahl ab.

Beispiele für einige häufig verwendete Dialoge:

Anlagengruppen

Auswahl der gewünschten Anlagengruppen:

  1. Wählen Sie die gewünschten Anlagengruppen in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Gruppen werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Anlagengruppen wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Anlagengruppen in den Report zu übernehmen, klicken Sie auf OK.

Archive

  1. Wählen Sie die gewünschten Archive in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Archive werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Archive wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Archive in den Report zu übernehmen, klicken Sie auf OK.

Komprimierung

  1. Wählen Sie die gewünschte Komprimierung aus der Dropdownliste aus.
  2. Klicken Sie auf OK.

Komprimierungsfunktion

  1. Wählen Sie die gewünschte Komprimierungsfunkltion aus der Dropdownliste aus.
  2. Klicken Sie auf OK.

Projekte

  1. Wählen Sie die gewünschten Projekte in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Projekte werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Projekte wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Projekte in den Report zu übernehmen, klicken Sie auf OK.

Variablen

Auswahl der gewünschten Variablen.

  1. Wählen Sie die gewünschten Variablen in der oberen Liste.
  2. Klicken Sie auf Hinzufügen.
    Die gewählten Variablen werden zur unteren Liste hinzugefügt.
  3. Möchten Sie Variablen wieder entfernen, markieren Sie diese in der unteren Liste und klicken Sie auf Entfernen.
  4. Um alle gewählten Variablen in den Report zu übernehmen, klicken Sie auf OK.

Zeitbereich

  1. Wählen Sie das Gewünschte Datum und die Uhrzeit für
    1. Von
    2. Bis
  2. Klicken Sie auf OK.


VSTA-Programmierung

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > VSTA-Programmierung

Für die Programmierung via VSTA benötigen Sie neben dem zenon Analyzer eine Datenquelle, die über VSTA angesprochen werden kann und Kenntnisse in VSTA. In diesem Handbuch wird als Datenquelle das HMI/SCADA-System zenon ab Version 7.0 verwendet.

  • Event Driven Report Generation (EDRG): Ereignisgesteuerte Erstellung und Ablage eines Reports. Besteht aus VSTA Makros.
  • Event Driven Report Subscription (EDRS): Automatischer Versand eines über EDRG generierten Reports als Anhang an eine E-Mail über zenon SMTP Mail

Um die ereignisgesteuerte Reportserstellung einzusetzen, benötigen Sie:

  • den zenon Analyzer
  • eine über VSTA ansprechbare Datenquelle wie zenon von COPA-DATA
  • für den Versand per E-Mail eine über VSTA ansprechbare Lösung wie Message Control in zenon ab Version 7.0

Noch in diesem Kapitel

Grundlagen

Referenzierung der WebServices

Beispiele


Grundlagen

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > VSTA-Programmierung > Grundlagen

Um EDRG bzw. EDRS zu implementieren, müssen Sie:

  1. die VSTA-Entwicklungsumgebung für C# starten
  2. die notwendigen Webservices des Analyzer Servers referenzieren
  3. die gewünschten VSTA-Makro-Funktionen erzeugen
    Empfehlung: Die Makrofunktion sollte einen eigenen Thread für die Makrologik erzeugen. Anderenfalls wird der Hauptthread der zenon Runtime für die Dauer des Makros, die von der Dauer der Reporterzeugung abhängt, blockiert.
  4. die Makrologik implementieren

Für die Makrologik:

  1. Parameter von der Runtime lesen oder vom Benutzer eingeben lassen.
  2. Wenn nötig, Parameter gegen vordefinierte Werte der Reportparameter validieren.
  3. Existenz der Rendering-Extension sicherstellen
  4. Report mit den gewünschten Parametern von der gewählten Rendering-Extension erzeugen lassen
  5. Optional: Report auf der Festplatte speichern (z. B. im Ordner für historische Reports)
  6. Optional: Wenn EDRS gewünscht ist, Report im Attachment-Pfad für die SMTP-Sende-Nachricht-Funktion speichern und Ausführung der SMTP-Sende-Nachricht-Funktion veranlassen.

Gewisse Punkte in diesem Ablauf können ausgetauscht werden, solange sie sich nicht gegenseitig bedingen.

  • Hauptablauf: Schritte 2 und 3 können die Plätze tauschen, müssen sich aber zwischen den Schritten 1 und 4 befinden.
  • Makrologik: Der Schritt 3 kann vor den Schritt 1 oder 2 vorgezogen werden. Die Schritte 5 und 6 können Plätze tauschen, solange sie nach dem Schritt 4 liegen.

attention Achtung

In der Makrologik muss einer der beiden optionalen Schritte 5 und 6 umgesetzt werden. Werden beide optionale Schritte weggelassen, ist das Makro nutzlos, da der Report weder gespeichert noch versandt wird.

Dieser Ablauf wird in allen Beispielen verwendet.


Referenzierung der WebServices

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > VSTA-Programmierung > Referenzierung der WebServices

Es gibt zwei Webservices, die Referenziert werden können:

  • ReportExecution2005 wird zum Erzeugen von Reports benötigt
  • ReportService2010 wird für die Validierung der gewählten Werte für die Report Parameter gegen deren vorgegebene Werte benötigt

Die folgenden Details beziehen sich ausschließlich auf den Webservice ReportExecution2005. Es stehen zwei Wege zur Verfügung, um eine für VSTA geeignete Referenz auf einen Webservice zu erstellen:

  • Erzeugung der Referenz mit VSTA Editor GUI: vordefinierter Namespace der Webservice-Referenz; erzeugt mehrere Code-Dateien
  • Erzeugung der Referenz über die Kommandozeile mit wsdl.exe: Teil des Windows SDK; überlässt dem Anwender die volle Kontrolle, in welchem Namespace die Webservice-Referenz liegt; erzeugt genau eine Code-Datei

Nach dem Erstellen der Referenz kann ein Kommunikationsobjekt erzeugt werden, das mit der URL des Webservice am Analyzer Server parametriert werden muss.

info Info

Die komplette Dokumentation der Webservices des Microsoft SQL Server Reporting Service finden Sie auf: http://msdn.microsoft.com/en-us/library/ms152787.aspx

Noch in diesem Kapitel

Erzeugung der Referenz mit VSTA Editor GUI

Erzeugung der Referenz über die Kommandozeile mit wsdl.exe


Erzeugung der Referenz mit VSTA Editor GUI

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > VSTA-Programmierung > Referenzierung der WebServices > Erzeugung der Referenz mit VSTA Editor GUI

Um eine Webservice-Referenz mit dem VSTA Editor GUI zu erzeugen, sind folgende Schritte notwendig:

  1. Öffnen Sie den Dialog zum Hinzufügen einer Referenz. Dazu führen Sie einen Rechtsklick auf References im Project-Explorer aus und wählen im Kontextmenü Add Service Reference….

  2. Klicken Sie im nun geöffneten Dialog in der linken unteren Ecke auf Advanced….

  3. Klicken Sie im nun geöffneten Dialog in der linken unteren Ecke auf Add Web Reference….

  4. Geben Sie im nun geöffneten Dialog ein:
    1. die URL zum Webservice
      Die URL folgt diesem Muster: http://[Name des Analyzer Servers]/reportserver_za2/ReportExecution2005.asmx?wsdl.
      Dabei muss [Name des Analyzer Servers]durch den Computernamen oder die IP-Adresse des Analyzer Servers ersetzt werden.
      Das URL-Eingabefeld befindet sich im oberen Teil des Dialogs. Nach der Eingabe der URL wird durch auf einen Klick auf die Schaltfläche Go der Webservice, der über diese URL erreichbar ist, analysiert und seine Bestandteile werden im Listenfeld unter dem URL-Eingabefeld dargestellt.
    2. den Name für die Referenz
      Im folgenden Screenshot wurde ReportServer als Name gewählt.
      Klick auf die Schaltfläche Add Reference erzeugt die Referenz und schließt alle in diesem Vorgang geöffneten Dialoge.

  5. Der VSTA-Editor zeigt nun die gerade erzeugte Referenz zum Webservice:

  6. Die Kommunikations-Hauptklasse in der erzeugten Referenz heißt ReportExecutionService.
    Die Referenz liegt immer im Namespace [Projektname].[Referenzname]. Bei der hier erzeugten Referenz kann die Hauptklasse also über ProjectAddin.ReportServer.ReportExecutionService angesprochen werden.


Erzeugung der Referenz über die Kommandozeile mit wsdl.exe

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > VSTA-Programmierung > Referenzierung der WebServices > Erzeugung der Referenz über die Kommandozeile mit wsdl.exe

Das Kommandozeilen-Tool wsdl.exe stellt eine Alternative zum VSTA Editor GUI dar. Im Gegensatz zum VSTA Editor GUI überlässt dieses Tool dem Anwender die volle Kontrolle, in welchem Namespace die Webservice-Referenz liegt. Es erzeugt genau eine Code-Datei mit allen notwendigen Informationen für die Referenz während das VSTA Editor GUI mehrere Dateien erzeugt (DataSource, Map, WSDL und Code).

Dieses Tool eignet sich vor allem, wenn die Referenz :

  • in einem bestimmten Namespace abgelegt werden soll
    und/oder
  • in einer Datei gekapselt werden soll

Beides kann dazu beitragen, die Wiederverwendung der erzeugten Referenz in anderen Projekten zu erleichtern.

Um eine Referenz mit wsdl.exe zu erzeugen:

  1. Öffnen Sie die Windows-Kommandozeile (cmd.exe).
  2. Führen Sie folgenden Befehl aus:
    "C:\Program Files (x86)\Microsoft SDKs\Windows\v7.0A\Bin\wsdl.exe" http://[Name des Analyzer Servers]/reportserver_za2/ReportExecution2005.asmx?wsdl /namespace:[gewünschter Namespace] /out:"[Pfad zur Zieldatei]"
    Die einzelnen Platzhalter müssen wie folgt ersetzt werden:
    • [Name des Analyzer Servers]: Computername oder die IP-Adresse des Analyzer Servers eingetragen
    • [gewünschter Namespace]: Namespace, in dem die Referenz abgelegt werden soll
    • [Pfad zur Zieldatei]: Dateipfad, in dem die Referenzdatei abgelegt werden soll.

    Der folgende Screenshot zeigt einen solchen Befehl, wobei hier der Namespace „COPA_DATA.zenon.Analyzer" und der Speicherpfad „C:\WebReference.cs" gewählt wurden:

  3. Fügen Sie die so erzeugte Datei im VSTA Editor GUI hinzu. Dazu:
    1. öffnen Sie mit einem Rechtsklick auf das Projekt im Project-Explorer das Kontextmenü
    2. wählen Sie Add
    3. wählen Sie Existing Item…

  4. Navigieren Sie im nun geöffneten Dialog zu der zuvor mit der Kommandozeile konfigurierten Speicherdatei. Der folgende Screenshot zeigt das für die Beispieldatei C:\WebReference.cs.

  5. Da die Webservice-Referenz gewisse Komponenten des .NET Frameworks benötigt, die nicht per Default im Projekt integriert sind, müssen Sie diese nun hinzufügen. Dazu:
    1. öffnen Sie den Dialog zum Hinzufügen einer Referenz indem Sie mit einem Rechtsklick auf References im Project-Explorer klicken
    2. wählen Sie Add Reference…
    3. folgender Dialog wird geöffnet

    4. wählen Sie die .NET Komponente System.Web.Services
    5. schließen Sie den Dialog mit Klick auf die Schaltfläche OK
  6. Die Kommunikations-Hauptklasse in der erzeugten Referenz heißt ReportExecutionService und liegt in dem gewählten Namespace. Bei der hier erzeugten Referenz kann die Hauptklasse also über COPA_DATA.zenon.Analyzer.ReportExecutionService angesprochen werden.


Beispiele

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > VSTA-Programmierung > Beispiele

Zwei Beispiele zeigen die Erstellung ereignisgesteuerter Reports:

  • Beispiel 1: Report ohne vordefinierte Werte speichern und versenden: Ein Report, dessen Parameter keine vordefinierten Werte beinhalten, wird per EDRG in einem Ordner für historische Reports abgelegt und per EDRS über Message Control versendet.
    • EDRG: Event Driven Report Generation. Report wird über eine zenon Funktion erzeugt und gespeichert.
    • EDRS: Event Driven Report Subscription. Report wird über eine zenon Funktion erzeugt und anschließend über Message Control versandt.
  • Beispiel 2: Report mit vordefinierten Werten speichern: Ein Report, dessen Parameter vordefinierte Werte beinhalten, wird per EDRG in einem Ordner für historische Reports abgelegt.

Die in den Beispielen verwendeten Codes finden Sie auf dem zenon Analyzer Installationsmedium im Ordner Samples.

Dieser enthält folgenden Dateien:

  • ComboBoxSelection.cs, ComboBoxSelection.Designer.cs und ComboBoxSelection.resx:
    Dialog zur Auswahl eines Wertes aus vordefinierten Werten.
  • ManagerReference.cs:
    Referenz zum Webservice ReportService2010.
  • WebReference.cs:
    Referenz zum Webservice ReportExecution2005.
  • ThisProject.cs:
    Beispielmakro mit EDRG, EDRS und einem Report, der nur Parameter ohne vordefinierte Werte hat, deren Werte aus Runtime-Variablen kommen.
  • ThisProjcet (2).cs:
    Beispielmakro mit EDRG und einem Report, der Parameter mit vordefinierten Werten hat, deren Werte per Runtime-Variable mit Validierung und per Benutzerauswahl geholt werden.

attention Achtung

Achten Sie auf die korrekte Bezeichnung der SQL-Instanz:

  • ab zenon Analyzer 3.0 : ZA3
  • ab zenon Analyzer 2.0 : ZA2
  • für Versionen vor 2.0: zrs

Noch in diesem Kapitel

Beispiel 1: Report ohne vordefinierte Werte speichern und versenden

Beispiel 2: Report mit vordefinierten Werten speichern


Beispiel 1: Report ohne vordefinierte Werte speichern und versenden

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > VSTA-Programmierung > Beispiele > Beispiel 1: Report ohne vordefinierte Werte speichern und versenden

Ein Report, dessen Parameter keine vordefinierten Werte beinhalten, wird per EDRG in einem Ordner für historische Reports abgelegt und per EDRS über Message Control versendet.

Folgende Dateien aus dem Ordner auf dem Installationsmedium werden verwendet:

  • WebReference.cs
  • ThisProject.cs

Ziel

In diesem Beispiel soll ein VSTA-Makro mit dem Namen Macro_CreateReport_Simple erstellt werden. Dieses:

  • liest die Parameter aus der Runtime
  • erzeugt den Report TestReportForAutomation mit den gelesenen Parametern im PDF-Format
  • legt den Report unter C:\[Reportname]_[Jahr]_[Monat]_[Tag]_[Stunde]_[Minute]_[Sekunde].pdf ab
  • versendet den Report mit der Funktion SendReportSmtp

Fehler- und Erfolgsmeldungen sollen per Nachrichtenfenster angezeigt werden.

Voraussetzungen

  • Die Server Runtime läuft auf dem gleichen Rechner wie der zenon Analyzer.
  • Am Analyzer Server existiert ein Report mit dem Namen TestReportForAutomation im Root-Ordner mit den folgenden Parametern:
    • Parameter From: ein Datum- und Uhrzeit-Parameter ohne vordefinierte Werte
    • Parameter To: ein Datum- und Uhrzeit-Parameter ohne vordefinierte Werte
    • Parameter VariableName: ein Textparameter ohne vordefinierte Werte
    • Parameter Interval: ein Ganzzahlparameter ohne vordefinierte Werte
  • Im zenonProjekt existieren folgende Variablen:
    • Variable VarName: Eine Variable vom Datentyp STRING, die dem Report-Parameter VariableName zugewiesen werden kann.
    • Variable StartDate: Eine Variable vom Datentyp DATE_AND_TIME, die dem Report-Parameter From zugewiesen werden kann.
    • Variable EndDate: Eine Variable vom Datentyp DATE_AND_TIME, die dem Report-Parameter To zugewiesen werden kann.
    • Variable WIZ_VAR_10: Eine Variable vom Datentyp UINT, die dem Report-Parameter Interval zugewiesen werden kann.
  • Im zenon Projekt existiert für das Modul Message Control eine Sende Nachricht Funktion vom Typ E-Mail über SMTP mit dem Namen SendReportSmtp. Diese liest einen Anhang aus C:\MessageControl\SmtpMailAttachment.pdf und sendet diesen per Versandart E-Mail über SMTP an eine definierte Empfängergruppe. Mehr über den Versand von Nachrichten per Message Control in zenon lesen Sie in der zenon Dokumentation "Message Control".

Umsetzung

Im VSTA Editor muss die Referenzdatei WebReference.cs wie beschrieben eingebunden werden.

Die Datei ThisProject.cs enthält die Lösung des Beispiels.

Erklärung der Lösung:

  • Die Methode Macro_CreateReport_Simple (Codezeilen 18 bis 23) ist die Makrofunktion, die im Editor sichtbar ist und von der Runtime gestartet werden kann.
  • Damit der Hauptthread der Runtime möglichst schnell wieder laufen kann, startet diese Methode einen eigenen Thread mit der Makrologik, die in der Methode CreateReport_Simple (Codezeilen 25 bis 164) gekapselt ist.
  • Hier folgt nun eine Aufstellung, was in der Methode Create Report_Simple passiert. Jeder der try-catch-Blöcke im Code dient dem Abfangen von Fehlern. Jeder Fehler wird in einem Nachrichtenfenster ausgegeben und führt zum Abbruch des Vorgangs. (Das betrifft nicht nur Fehler, die in einem try-catch-Block gefangen werden, sondern auch jene, die durch Validierungsabfragen erkannt werden.)

Details:

  • Codezeilen 27 bis 30:
    Hier werden das Kommunikationsobjekt erzeugt, die URL für den ReportExecution2005-Webservice am Analyzer Server gesetzt und die Verwendung der Anmeldedaten des derzeit angemeldeten Benutzers eingestellt.
  • Codezeilen 32 bis 62:
    Hier werden die Parameterwerte der zenon Runtime Variablen geholt und es wird sichergestellt, dass keine Variable einen leeren Wert hat.
  • Codezeilen 64 bis 78:
    Hier werden die Datums- und Uhrzeitvariablen vom zenon Format in das vom Webservice erwartete Format gebracht.
  • Codezeilen 80 bis 102:
    Hier wird geprüft, ob die Rendering-Extension für das PDF-Format verfügbar ist.
  • Codezeilen 104 bis 163:
    Hier werden die Erzeugung des Reports, das Speichern auf der Festplatte und das Versenden via Message Control durchgeführt. Die einzelnen Schritte folgen nun.
    • Codezeilen 107 bis 112:
      Hier werden die Übergabeparameter für die Erzeugungsmethode initialisiert.
    • Codezeilen 114 bis 127:
      Hier werden die Parameter für den Report zusammengestellt.
    • Codezeilen 129 bis 138:
      Hier wird die Erzeugung des Reports vorbereitet. Es wird eine Session mit dem Webservice gestartet, der Report wird in die Session geladen und die Report-Parameter werden gesetzt.
    • Codezeilen 140 bis 141:
      Hier wird der Report erzeugt. Diese Methode blockiert, bis die Erzeugung abgeschlossen ist, weshalb der eigene Thread für die Makrologik notwendig ist.
    • Codezeilen 143 bis 148:
      Hier wird der Report mit dem geforderten Dateinamen und Pfad abgelegt.
    • Codezeilen 150 bis 154:
      Hier wird der Report im Anhang-Pfad der Message Control Sende Nachricht Funktion abgelegt und die Funktion wird gestartet.
    • Codezeilen 156 bis 157:
      Nur wenn alles erfolgreich war, wird dieser Punkt im Code erreicht. Daher wird eine Erfolgsmeldung ausgegeben.

Dieses Makro kann nun mit dem gewünschten Ereignis - zum Beispiel mit dem Klick auf einen Button, mit einer auftretenden Grenzwertverletzung oder dem Abschluss eines Archivs - verknüpft werden.


Beispiel 2: Report mit vordefinierten Werten speichern

zenon Analyzer > Reportvorlagen > Ereignisgesteuerte Reporterstellung > VSTA-Programmierung > Beispiele > Beispiel 2: Report mit vordefinierten Werten speichern

Ein Report, dessen Parameter vordefinierte Werte beinhalten, wird per EDRG in einem Ordner für historische Reports abgelegt. Die Parameter mit vordefinierten Werten werden auf zwei Arten befüllt:

  1. Ein Wert wird aus einer Runtime-Variablen gelesen und es wird geprüft, ob dieser Wert in der Liste der vordefinierten Werte steht.
  2. Ein Auswahldialog wird für die Wahl eines vordefinierten Werts durch den Benutzer verwendet.

Folgende Dateien aus dem Ordner auf dem Installationsmedium werden verwendet:

  • WebReference.cs
  • ManagerReference.cs
  • ThisProject (2).cs
  • ComboBoxSelection.cs, ComboBoxSelection.Designer.cs und ComboBoxSelection.resx

Ziel

In diesem Beispiel soll ein VSTA Makro mit dem Namen Macro_CreateReport_Complex erstellt werden. Diese:

  • liest die die Parameter aus der Runtime
  • erzeugt mit den gelesenen Parametern und dem vom Benutzer gewählten Wert für den Parameter Lot den Report TestReportForAutomation_Complex im PDF-Format
  • legt den Report unter C:\[Reportname]_[Jahr]_[Monat]_[Tag]_[Stunde]_[Minute]_[Sekunde].pdf ab

Voraussetzungen

  • Die Server Runtime läuft auf dem gleichen Rechner wie der Analyzer.
  • Am Analyzer Server existiert ein Report mit dem Namen TestReportForAutomation_Complex im Root-Ordner mit den folgenden Parametern:
    • Parameter From: ein Datum- und Uhrzeit-Parameter ohne vordefinierte Werte
    • Parameter To: ein Datum- und Uhrzeit-Parameter ohne vordefinierte Werte
    • Parameter VariableName: ein Textparameter ohne vordefinierte Werte
    • Parameter Interval: ein Ganzzahlparameter ohne vordefinierte Werte
    • Parameter Lot: Ein Textparameter, der als Chargenauswahl angezeigt wird, und seine vordefinierten Werte aus einem DataSet, das von den Parametern From und To abhängt, holt
    • Parameter Lot_Type: Ein versteckter Textparameter, der den Wert 2 (Default) enthält und der Konfiguration des Parameters Lot für die Verwendung des Lotauswahlcontrols am Frontend Report Launcher dient
  • Im zenonProjekt existieren folgende Variablen:
    • Variable VarName: Eine Variable vom Datentyp STRING, die dem Report-Parameter VariableName zugewiesen werden kann. Hier muss eine Validierung stattfinden!
    • Variable StartDate: Eine Variable vom Datentyp DATE_AND_TIME, die dem Report-Parameter From zugewiesen werden kann.
    • Variable EndDate: Eine Variable vom Datentyp DATE_AND_TIME, die dem Report-Parameter To zugewiesen werden kann.
    • Variable WIZ_VAR_10: Eine Variable vom Datentyp UINT, die dem Report-Parameter Interval zugewiesen werden kann.

Umsetzung

Im VSTA Editor müssen die Referenzdateien WebReference.cs und ManagerReference.cs wie beschrieben eingebunden werden. Die Dateien ComboBoxSelection.cs, ComboBoxSelection.Designer.cs und ComboBoxSelection.resx müssen ebenfalls zum Projekt hinzugefügt werden, damit der Dialog zur Auswahl eines Wertes durch den Benutzer zur Verfügung steht.

Die Dialogklasse ComboBoxSelection stellt eine Dropdownliste dar, in der der Anwender genau einen Wert aus der Liste auswählen kann. Die Liste wird über die Methode FillComboBox befüllt und die Auswahl wird durch GetSelectedItem ausgelesen.

Die Datei ThisProject (2).cs enthält die Lösung des Beispiels.

Erklärung der Lösung

  • Die Methode Macro_CreateReport_Complex (Codezeilen 18 bis 23) ist die Makrofunktion, die im Editor sichtbar ist und von der Runtime gestartet werden kann.
  • Damit der Hauptthread der Runtime möglichst schnell wieder laufen kann, startet diese Methode einen eigenen Thread mit der Makrologik, die in der Methode CreateReport_Complex (Codezeilen 25 bis 326) gekapselt ist.
  • Hier folgt nun eine Aufstellung, was in der Methode CreateReport_Complex passiert. Jeder der try-catch-Blöcke im Code dient dem Abfangen von Fehlern. Jeder Fehler wird in einem Nachrichtenfenster ausgegeben und führt zum Abbruch des Vorgangs. (Das betrifft nicht nur Fehler, die in einem try-catch-Block gefangen werden, sondern auch jene, die durch Validierungsabfragen erkannt werden.)

Details:

  • Codezeilen 27 bis 33:
    Hier werden Kommunikationsobjekte für beide Webservices erzeugt. Die Kommunikationsobjekte werden mit den dazugehörigen URLs und den Benutzerrechten des derzeitigen Benutzers parametriert.
  • Codezeilen 35 bis 65:
    Hier werden die Werte der Runtime Variablen gelesen. Es wird geprüft, ob jede Runtime Variable einen Wert beinhaltet.
  • Codezeilen 67 bis 81:
    Hier werden die Datums- und Uhrzeitwerte vom zenon Format in das vom Webservice erwartete Format gebracht.
  • Codezeilen 83 bis 105:
    Hier wird sichergestellt, dass die Rendering-Extension für PDF verfügbar ist.
  • Codezeilen 107 bis 267:
    Hier werden die Parameter mit vordefinierten Werten gefüllt. Da dieser Vorgang aus mehreren Schritten besteht, werden diese in den folgenden Punkten erläutert.
    • Codezeilen 107 bis 110:
      Hier werden die C#-Variablen für den Reportpfad am Server und die Parameter mit vordefinierten Werten initialisiert.
    • Codezeilen 113 bis 123:
      Die bereits bekannten Parameter werden hier in eine Sammlung verpackt.
    • Codezeilen 125 bis 256:
      In dieser Schleife, die eine maximale Wiederholungszahl von 5 hat, werden die vordefinierten Werte geholt und die Eingaben werden ausgewertet.
    • Codezeilen 130 bis 133:
      Hier werden die vordefinierten Werte über den Webservice gelesen.
    • Codezeilen 135 bis 255:
      Diese Schleife geht jeden Report Parameter durch.
    • Codezeilen 138 bis 187:
      Hier wird der Report Parameter VariableName behandelt.
    • Codezeilen 140 bis 144:
      Wenn der Parameter bereits erfolgreich behandelt wurde, wird er nicht erneut abgehandelt.
    • Codezeilen 146 bis 151:
      Wenn die Liste für die vordefinierten Werte des Parameters noch leer ist, wird ein weiterer Durchlauf der Schleife in den Codezeilen 125 bis 256 vorgenommen.
    • Codezeilen 153 bis 172:
      Es wird geprüft, ob der gesetzte Wert in der Liste verfügbarer Werte steht. Dabei werden zuerst die Labels und dann erst die Werte zur Validierung herangezogen.
    • Codezeilen 174 bis 179:
      Wenn der Wert der zenon Runtime Variablen nicht in der Liste verfügbarer Werte stand, ist das ein Fehler.
    • Codezeilen 181 bis 186:
      Der gefundene Wert wird für den nächsten Durchlauf in die Sammlung eingefügt.
    • Codezeilen 188 bis 254:
      Hier wird der Parameter Lot behandelt.
    • Codezeilen 190 bis 194:
      Wenn der Parameter bereits erfolgreich behandelt wurde, wird er nicht erneut abgehandelt.
    • Codezeilen 196 bis 201:
      Wenn die Liste für die vordefinierten Werte des Parameters noch leer ist, wird ein weiterer Durchlauf der Schleife in den Codezeilen 125 bis 256 vorgenommen.
    • Codezeilen 203 bis 208:
      Wenn die Liste der vordefinierten Werte vorhanden ist und meldet, dass sie leer ist, ist das ein Fehler.
    • Codezeilen 210 bis 239:
      Hier wird der Auswahldialog vom Typ ComboBoxSelection erzeugt und befüllt, wobei leere Labels oder leere Werte in einem vordefinierten Wert dazu führen, dass dieser Übersprungen wird, und Duplikate bei der Anzeige aufgelöst werden.
    • Codezeilen 241 bis 242:
      Der Auswahldialog wird angezeigt.
    • Codezeilen 244 bis 253:
      Die Selektion im Dialog wird ausgewertet. Dabei wird die Auswahl in die C#-Variable geschrieben und in die Sammlung für weitere Durchläufe geschrieben.
    • Codezeilen 257 bis 261:
      Wenn wir hier landen, hat der Benutzer entweder nichts ausgewählt oder die maximale Wiederholungsanzahl der Schleife wurde überschritten. Beide Fälle sind Fehler.
  • Codezeilen 269 bis 324:
    Hier wird der Report erzeugt und gespeichert. Da dies aus mehreren Schritten besteht, werden die einzelnen Schritte im folgenden Erläutert.
    • Codezeilen 272 bis 276:
      Hier werden die Übergabeparameter für die Erzeugungsmethode initialisiert.
    • Codezeilen 278 bis 294:
      Hier werden die Report-Parameter für die Erzeugung zusammengestellt.
    • Codezeilen 296 bis 305:
      Hier wird die Erzeugung des Reports vorbereitet, indem eine Session mit dem Webservice gestartet wird, der Report in die Session geladen wird und die Parameter gesetzt werden.
    • Codezeilen 307 bis 308:
      Hier wird der Report erzeugt. Diese Methode blockiert so lange, bis die Erzeugung abgeschlossen wurde. Das ist der Grund, warum die Makrologik in einem eigenen Thread läuft.
    • Codezeilen 310 bis 315:
      Hier wird der erzeugt Report in dem gewünschten Speicherpfad abgelegt.
    • Codezeilen 317 bis 318:
      Wenn wir hier landen, hat alles funktioniert. Daher wird eine Erfolgsmeldung ausgegeben.

Dieses Makro kann nun mit dem gewünschten Ereignis - zum Beispiel mit dem Klick auf einen Button, mit einer auftretenden Grenzwertverletzung oder dem Abschluss eines Archivs - verknüpft werden.


Report Launcher

zenon Analyzer > Report Launcher

Reports stellen Daten aus Online-Quellen oder Archiven nach definierten Regeln dar. zenon Analyzer wird mit fertigen Reportvorlagen ausgeliefert, die individuell angepasst werden können. Es können auch eigene Reports erstellt werden. Die dazu nötigen Tabellenstrukturen werden im Kapitel Grundlagen beschrieben.

Für den Aufruf und die Darstellung von Reports ist am Client-Rechner lediglich ein unterstützter Browser nötig. Alle Reports werden im Browser dargestellt und angepasst. Welche Einstellungen möglich sind, hängt von den Rechten des Benutzers ab. Reports können in andere Formate exportiert und so in anderen Anwendungen genutzt werden.

Im Auslieferungszustand werden beim Start des zenon Analyzer vorkonfigurierte Ordner mit Reports zum jeweiligen Themenbereich für das Demo-Projekt angezeigt.

info Info

Es werden nur Reports angezeigt, die im Umfang der erworbenen zenon Analyzer Lizenz enthalten sind.

Konfiguration von Reports

Reports können im Browser konfiguriert werden.

Die Erstellung erfolgt im ZAMS - zenon Analyzer Management Studio.

info Info

Umgang mit Zeitintervall bei Archivverdichtung und Anzeige im Report:

  • Intervall kleiner/gleich 60 Minuten:
    Bei der Verdichtung wird auf korrekten Zeitintervall in UTC geachtet.
  • Intervall größer als 60 Minuten:
    Bei der Verdichtung wird auf korrekten Zeitintervall in Server-Lokalzeit geachtet.
  • Bei der Darstellung wird immer Lokalzeit verwendet. Befinden sich Anwender und Server in unterschiedlichen Zeitzonen, können sich Abweichungen ergeben.

Projekte und Filter

Reports können in der Regel über mehrere Projekte erstellt werden.

attention Achtung

Es können nur Archivdaten ausgewertet werden, deren Variablen aus dem eigenen Projekt stammen.

Das heißt: Wird, zum Beispiel in einem Integrationsprojekt, in einem Archiv eine Variable aus einem Unterprojekt archiviert, dann kann der zenon Analyzer auf diese Variable nicht zugreifen.

Noch in diesem Kapitel

Rechteverwaltung

Report Launcher: Konfiguration und Bedienung

Report erstellen

Report aufrufen

Symbolleiste Report

Report konfigurieren und exportieren

Reports verwalten

Validierung von Formeln

Fehler-Logging


Rechteverwaltung

zenon Analyzer > Report Launcher > Rechteverwaltung

Der zenon Analyzer benutzt eine rollenbasierende Rechteverwaltung. Diese regelt den Zugriff auf Datenquellen, Ordner, Reports und alle anderen Elemente. Dabei werden einem Benutzer oder einer Gruppe bestimmte Rechte zugeordnet. Benutzer und Gruppen müssen bereits in der Windows Benutzerverwaltung angelegt sein. Die Authentifizierung wird nicht von zenon Analyzer übernommen, sondern obliegt dem Betriebssystem.

Benutzerrechte werden im ZAMS gesetzt und verwaltet.


Report Launcher: Konfiguration und Bedienung

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung

Der zenon Analyzer wird über den Webbrowser aufgerufen oder über das ZAMS gestartet:

  • Aufruf über Browser:
    Eingabe der Verbindung in die Adresszeile oder Klick auf den Link im Startmenü des Installationsrechners (Abschnitt COPA-DATA)
  • Start über ZAMS:
    Folgende Aktionen starten den Webbrowser mit dem Report Launcher für die im ZAMS eingestellte Verbindung:
    • Auswahl des entsprechende Befehls aus dem Menü Report
    • Klick auf das entsprechende Symbol in der Symbolleiste
    • Klick auf die Schaltfläche Report im Report Launcher öffnen in einem Report in ZAMS

info Info

Als Webbrowser können der Internetexplorer 10 (Kompatibilitätsansicht deaktiviert) oder höher sowie Firefox und Google Chrome verwendet werden.

Beim Starten des Report Launcher oder Öffnen von Reports im Report Launcher wird der Internet Explorer vom ZAMS direkt als ActiveX angesprochen.

Report Launcher

Die Oberfläche des Report Launchers gibt Ihnen die Möglichkeit:

  • den Report Launcher zu konfigurieren
  • Reports zu konfigurieren und aufzurufen

Der Report Launcher kann in zwei Ansichten aufgerufen werden:

  • Symbolansicht
  • Detailansicht

Fehlerbehandlung

attention Achtung

Fehlermeldungen für Parameter:

Für manche Parameter müssen die zur Verfügung stehenden Werte über eine Stored Procedure des Microsoft SQL-Servers geladen werden. Schlägt der Aufruf dieser Stored Procedure fehl oder liefert die Stored Procedure einen Fehler zurück, so wird im Report Launcher eine Fehlermeldung angezeigt. Zum Beispiel, wenn die Runtime nicht erreichbar ist, der SQL-Connector nicht erstellt wurde, usw.

Für manche Parameter kann unter Umständen kein Vorschlagswert vergeben werden, da ein vorher zu behandelnder Parameter keinen Wert enthält.
Zum Beispiel: Zeitfilter basieren auf Schichten, aber es sind noch keine Schichtdaten vorhanden. In diesem Fall ist die Vergabe von Vorschlagswerten erst möglich, wenn zumindest 1 Schicht geschrieben wurde.

Browser

Der zenon Analyzer wird über einen Browser bedient.

info Info

Designed und getestet wurde der zenon Analyzer für folgende Browser:

  • Microsoft Internet Explorer ab Version 10
  • Chrome
  • Firefox

Hinweise:

  • Für den Internet Explorer muss die Kompatibilitätsansicht deaktiviert sein.
  • Zoom steht nur für den Browser Chrome zur Verfügung.

Noch in diesem Kapitel

Symbolansicht

Detailansicht

Einstellungen

Kontextmenüs Ordner, Reports und Datenbanken

Elemente verschieben

Report herunterladen

Sprachen und Zeitformate

Parameter - Eingabe und Auswahl

Siteeinstellungen

Datenquelle

Ordner

Dateien hochladen


Symbolansicht

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Symbolansicht

Konfigurationsmenü

Option | Beschreibung
Hauptverzeichnis | Wechselt in die oberste Ebene.
Siteeinstellungen | Öffnet die Verwaltung von allgemeinen Einstellungen der Site.
Hilfe | Öffnet die Hilfe für den Report Launcher.
Suchfeld | Suche im Report Launcher. Eingabe des Suchbegriffs in das Suchfeld. Klick auf das Symbol Lupe startet die Suche. Hinweis: Klick auf das Symbol löst unter Firefox und Chrome keine Aktion aus. Drücken Sie stattdessen die Eingabe-Taste.

Hauptmenü

Option

Beschreibung

Hauptmenü

Neuer Ordner

Erstellt einen neuen Ordner.

Neue Datenquelle

Erstellt eine neue Datenquelle.

Download Report Builder

Öffnet die Microsoft Website zum Download des Report Builder.

Report Builder

Öffnet den Microsoft Report-Builder.
Voraussetzung: Der Microsoft Report-Builder ist am System bereits vorhanden.
Hinweis: Wird von Chrome und Firefox nicht unterstützt.

Datei hochladen

Öffnet den Dialog zum Hochladen von Ressourcen wie Reports, Modelle, Datasets usw.

Detailansicht - Symbolansicht

Schaltet von Detailansicht auf Symbolansicht um.

Symbolansicht: Zeigt alle Ordner und Reports kompakt an. Ordner lassen sich in dieser Ansicht ausblenden.

Detailansicht: Zeigt Details zu Reports und Ordnern an und ermöglicht deren Sortierung durch Klick auf die jeweilige Kopfzeile:

  • Objekttyp (2. Spalte)
  • Name
  • Beschreibung
  • Letzte Ausführung
  • Geändert am
  • Geändert von

Beide Ansichten stellen für Ordner, Reports und Datenbanken ein Kontextmenü mit häufig benötigten Befehlen bereit.

Listenfeld Reports

Option | Beschreibung
Listenfeld Reports | Zeigt alle Datenbanken, Ordner und Reports an. Die Anzeige kann in einer Symbolansicht oder Detailansicht erfolgen. Von der Art der Anzeige hängen die möglichen Aktionen ab. Hier werden Reports zur Konfiguration und Anzeige ausgewählt.


Detailansicht

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Detailansicht

Konfigurationsmenü

Option | Beschreibung
Hauptverzeichnis | Wechselt in die oberste Ebene.
Siteeinstellungen | Öffnet die Verwaltung von allgemeinen Einstellungen der Site.
Hilfe | Öffnet die Hilfe für den Report Launcher.
Suchfeld | Suche im Report Launcher. Eingabe des Suchbegriffs in das Suchfeld. Klick auf das Symbol Lupe startet die Suche. Hinweis: Klick auf das Symbol löst unter Firefox und Chrome keine Aktion aus. Drücken Sie stattdessen die Eingabe-Taste.

Hauptmenü

Option

Beschreibung

Hauptmenü

Alle erweitern

Klick auf Schaltfläche öffnet alle Elemente in der Baumansicht.

Alle reduzieren

Klick auf Schaltfläche klappt alle Elemente in der Baumansicht ein. Es wird nur noch die oberste Ebene angezeigt.

Löschen

Löscht ausgewählte Reports oder Ordner. Auswahl erfolgt über Aktivierung der Checkbox vor dem Report/Ordner.

Verschieben

Verschiebt ausgewählte Reports oder Ordner. Auswahl erfolgt über Aktivierung der Checkbox vor dem Report/Ordner.

Download Report Builder

Öffnet die Microsoft Website zum Download des Report Builder.

Report Builder

Öffnet den Microsoft Report-Builder.
Voraussetzung: Der Microsoft Report-Builder ist am System bereits vorhanden.
Hinweis: Wird von Chrome und Firefox nicht unterstützt.

Symbolansicht

Schaltet von Detailansicht auf Symbolansicht um.

Symbolansicht: Zeigt alle Ordner und Reports kompakt an. Ordner lassen sich in dieser Ansicht ausblenden.

Detailansicht: Zeigt Details zu Reports und Ordnern an und ermöglicht deren Sortierung durch Klick auf die jeweilige Kopfzeile:

  • Objekttyp (2. Spalte)
  • Name
  • Beschreibung
  • Letzte Ausführung
  • Geändert am
  • Geändert von

Beide Ansichten stellen für Ordner, Reports und Datenbanken ein Kontextmenü mit häufig benötigten Befehlen bereit.

Listenfeld Reports

Option | Beschreibung
Listenfeld Reports | Zeigt alle Datenbanken, Ordner und Reports an. Die Anzeige kann in einer Symbolansicht oder Detailansicht erfolgen. Von der Art der Anzeige hängen die möglichen Aktionen ab. Hier werden Reports zur Konfiguration und Anzeige ausgewählt.


Einstellungen

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Einstellungen

Datenquellen und Reports werden über Menüleisten und Kontextmenüs verwaltet und konfiguriert.

Siehe auch:

  • Konfiguration und Bedienung
  • Site
  • Ordner
  • Reports


Kontextmenüs Ordner, Reports und Datenbanken

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Kontextmenüs Ordner, Reports und Datenbanken

Datenbanken, Ordner und Reports im Reportfenster verfügen über ein Kontextmenü zur Konfiguration. Dessen Inhalte hängen teilweise auch davon ab, in welcher Ansicht der Report Launcher angezeigt wird.
Um einen Befehl aus dem Kontextmenü zu wählen:

  1. Bewegen Sie die Maus über das gewünschte Objekt.

    Ein roter Rahmen und ein roter Pfeil werden angezeigt.

  2. Klicken Sie auf den Pfeil.

    Das Kontextmenü wird angezeigt.

  3. Wählen Sie den gewünschten Befehl.

Kontextmenü Ordner

Das Kontextmenü von Ordnern enthält abhängig von der Ansicht des Report Launcher unterschiedliche Befehle.

Symbolansicht

Befehl | Beschreibung
Verschieben | Öffnet Dialog zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Ordner.
Verwalten | Öffnet Dialog zur Verwaltung des Ordners.

Detailansicht

Befehl | Beschreibung
Verschieben | Öffnet Dialog zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Ordner.
Verwalten | Öffnet Dialog zur Verwaltung des Ordners.
Neuer Ordner | Öffnet Dialog zum Erstellen eines neuen Ordners
Neue Datenquelle | Öffnet Dialog zur Auswahl einer neuen Datenquelle.
Datei hochladen | Öffnet Dialog zum Hochladen einer neuen Datei.

Kontextmenü Report

Das Kontextmenü von Reports enthält Befehle zu deren Verwaltung. Das Kontextmenü ist für beide Ansichten des Report Launcher identisch.

Befehl | Beschreibung
Verschieben | Öffnet Menü zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Report.
Verknüpften Report erstellen... | Öffnet Dialog zum Erstellen eines verknüpften Reports, der auf dem ausgewählten Report beruht.
Reportverlauf anzeigen | Öffnet Anzeige des Reportverlaufs.
Verwalten | Öffnet Dialog zur Verwaltung des Reports.
Herunterladen | Ermöglicht es, Reports lokal zu speichern. Öffnet Windows Dialog zum Speichern einer Datei.
Im Report Builder bearbeiten | Öffnet den Report im MS Report Builder.

Kontextmenü Datenbank

Das Kontextmenü von Datenbanken enthält Befehle zu deren Verwaltung . Das Kontextmenü ist für beide Ansichten des Report Launcher identisch.

Option | Beschreibung
Verschieben | Öffnet Menü zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Report.
Reportmodell generieren | Öffnet den Dialog zur Generierung eines neues Modell für die Datenquelle.
Abhängige Elemente anzeigen | Zeigt alle auf dieser Datenquelle basierenden Reports an und ermöglicht, diese zu löschen oder zu verschieben.
Verwalten | Öffnet Dialog zur Verwaltung der Datenbank.


Elemente verschieben

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Elemente verschieben

Um den Speicherort eines Objekts zu ändern:

  1. Markieren Sie das Objekt (Ordner, Report, Datenbank).
  2. Klicken Sie auf den Pfeil.
  3. Wählen Sie im Kontextmenü den Befehl Verschieben.

    Der Dialog zur Auswahl eines neuen Speicherorts wird geöffnet.

  4. Geben Sie in das Eingabefeld Speicherort den gewünschten Ort ein oder wählen Sie ihn aus der Liste der Ordner.
  5. Bestätigen Sie die Auswahl mit Klick auf OK.

Dialog Elemente Verschieben

Parameter | Beschreibung
Speicherort | Angabe des gewünschten Speicherort. Eingabe in das Feld oder Auswahl aus Baum Ordnerauswahl.
OrdnerAuswahl | Auswahl eines Ordners als Speicherorts. Klick auf Ordner übernimmt Auswahl in Feld Speicherort.
OK | Übernimmt Einstellungen und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Report herunterladen

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Report herunterladen

Reports können vom Server auf den lokalen Rechner heruntergeladen werden, um sie offline zu bearbeiten oder zu präsentieren.

Um einen Report herunterzuladen:

  1. Bewegen Sie die Maus über den Report.
  2. Klicken Sie auf den Pfeil.
  3. Wählen Sie den Befehl Herunterladen.

    Der Dialog zum Speichern von Dokumenten wird angezeigt.

  4. Wählen Sie einen Speicherort am lokalen Rechner.


Sprachen und Zeitformate

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Sprachen und Zeitformate

Oberflächensprache

Der zenon Analyzer kann am Web Client in mehreren Sprachen dargestellt werden. Sofern im Browser ausgewählt, wird die Oberfläche dargestellt in:

  • Chinesisch (vereinfachtes Chinesisch)
  • Deutsch
  • Englisch
  • Französisch
  • Italienisch
  • Russisch
  • Spanisch
  • Tschechisch

Für alle anderen Sprachen wird als Default Englisch voreingestellt. Die Sprache konfigurieren Sie im Browser über den jeweiligen Dialog zur Sprachauswahl.

Zeitformate

Zeitformate entsprechen den Konventionen der im Browser eingestellten Sprache.

Hinweis: Wenn einer der folgenden Fehler auftritt, überprüfen Sie die Einstellungen für Sprache und Zeitstempelformate:

  • Dropdownliste für Datums- und Uhrzeitauswahl funktioniert nicht
  • Report Launcher meldet nicht korrekt formatierten Zeitstempel

Texte

Texte werden so, wie im Report eingegeben oder vom Server ausgegeben, dargestellt.

Noch in diesem Kapitel

Umstellung Winterzeit/Sommerzeit


Umstellung Winterzeit/Sommerzeit

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Sprachen und Zeitformate > Umstellung Winterzeit/Sommerzeit

Die Umstellung von Winterzeit auf Sommerzeit und umgekehrt kann zum Zeitpunkt der Umstellung bei Reports zu Anomalien bei Intervallen führen. Diese entstehen durch die vom .NET Framework zur Verfügung gestellten Funktionen DateTime.ToLocalTime bzw. DateTime.ToUniversalTime.

Intervalle

Verdichtung

DSTstart

DSTend

Minuten
  • Intervall in Lokalzeit: DSTstart – 1 Minute, DSTstart + 1 Stunde)
  • Intervall in UTC: 1 Minute
  • Intervall in Lokalzeit: DSTend –1 Minute, DSTend
  • Intervall in UTC: 1 Stunde und 1 Minute

Stunde

Intervall (DSTstart, DSTstart+1) ist nicht vorhanden.
  • Intervall in Lokalzeit: DSTend –2, DSTend –1
  • Intervall in UTC: 2 Stunden

Legende:

  • DSTstart: Zeitpunkt der Umstellung von Winterzeit auf Sommerzeit in Lokalzeit.
    Das heißt: Zum Zeitpunkt DSTstart werden die Uhren um 1 Stunde weitergedreht.
  • DSTEnd: Zeitpunkt der Umstellung von Sommerzeit auf Winterzeit in Lokalzeit.
    Das heißt: Zum Zeitpunkt DSTend werden die Uhren um 1 Stunde zurückgedreht.


Parameter - Eingabe und Auswahl

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl

Der Benutzer definiert über Dialoge und Eingabefelder (Kontrollelemente) jene Werte, die in einem Report angezeigt werden sollen. Die Dialoge zur Parametereingabe werden angezeigt, wenn ein Report geöffnet wird, der Parameter benötigt.

Mit Klick auf die Schaltfläche Report anzeigen werden die Parameter an den zenon Analyzer Server gesendet. Dieser überprüft die vom Benutzer eingegebenen Werte auf ihre Gültigkeit. Bei gültigen Parametern wird der entsprechende Report angezeigt, sonst wird eine Fehlermeldung ausgegeben.

Dropdownliste anpassen

Für Eingabe, Auswahl und Filterung stehen Dropdownlisten zur Verfügung. Die Größe der meisten Dropdownlisten kann angepasst werden. Ausgenommen sind Parameter für die Eingabe eines Zeitbereichs und die Auswahl von Datum und Uhrzeit.

Um die Größe einer Dropdownliste anzupassen:

  1. Führen Sie die Maus über den Anfassbereich in der rechten unteren Ecke bis der Mauszeiger zu einem Doppelpfeil wird.

  2. Ziehen Sie das Fenster mit gedrückter linker Maustaste auf die gewünschte Größe.
    Hinweis: Die ursprüngliche Größe entspricht der Minimalgröße.

Validierung

Bei der Datenübertragung zwischen Browser und Analyzer Server werden die Werte eines Parameters immer als Text übertragen. Folgende Parameter müssen immer gültige Werte aufweisen:

  • Bool
  • Datum und Uhrzeit

Folgende Bedingungen werden bei der Parametervalidierung geprüft. Fehler werden im Ansichtsfenster des zenon Analyzer ausgegeben:

Eintrag

Beschränkung

Wert vorhanden

Es muss ein Wert eingegeben oder ausgewählt worden sein. Diese Prüfung erfolgt immer vor dem Senden der Parameter an den zenon Analyzer Server.

Stringvalidierung

Bei Parametern vom Datentyp Text werden keine weiteren Prüfungen durchgeführt.

Boolvalidierung

Bei Parametern vom Datentyp Bool muss der Wert true oder false sein. Groß-/Kleinschreibung wird nicht überprüft..

Anmerkung: Der Bool-Auswahldialog sendet zwar nur gültige Werte, aber bei der direkten Ansteuerung des zenon Analyzer über URLs wird diese Validierung eventuell benötigt.

Integervalidierung

Bei Parametern vom Datentyp Ganze Zahl darf der Wert keine Zeichen außer den folgenden enthalten:

  • Ein Plus- oder Minuszeichen als erstes Zeichen.
  • Alle in der Kultur des Anwenders erlaubten Ziffern.
  • Das Tausender-Trennzeichen in der Kultur des Anwenders.
    Alle enthaltenen Tausender-Trennzeichen werden am Beginn der Integervalidierung entfernt.

Floatvalidierung

Bei Parametern vom Datentyp Gleitkommazahl darf der Wert keine Zeichen außer den folgenden enthalten:

  • Ein Plus- oder Minuszeichen als erstes Zeichen.
  • Alle in der Kultur des Anwenders erlaubten Ziffern.
  • Das Tausender-Trennzeichen in der Kultur des Anwenders.
    Alle enthaltenen Tausender-Trennzeichen werden am Beginn der Integervalidierung entfernt.
  • Genau ein Dezimalzeichen in der Kultur des Anwenders.
    Wenn entweder vor oder nach dem Dezimalzeichen keine Ziffern stehen, wird 0 angenommen.
    Hinweis: Keine Ziffern sowohl vor als auch nach dem Dezimalzeichen ist nicht erlaubt.

Datums- und Uhrzeitvalidierung

Bei Parametern vom Datentyp Datum und Uhrzeit müssen folgende Kriterien eingehalten werden:

  • Der Wert des Parameters muss einem in der Kultur des Anwenders gültigen Datums- und Uhrzeitstring entsprechen.
  • Die Ziffern im Datum und in der Uhrzeit müssen einem gültigen Wert zugeordnet werden können.
    Ungültig ist zum Beispiel die Zeichenfolge 45.18.2011 35:68:99, da es weder ein solches Datum noch eine solche Uhrzeit gibt.
  • Ist keine Uhrzeit in der Zeichenfolge enthalten, wird 00:00:00 angenommen.
  • Die Uhrzeitangaben werden auf Minuten genau gerundet. Enthält eine Uhrzeit Sekunden, so wird bei Werten kleiner als 30 Sekunden auf die vorhergehende Minute abgerundet und bei Werten größer oder gleich 30 Sekunden auf die nächste Minute aufgerundet. Die Rundung berücksichtigt Sprünge bei Minute, Stunde, Tag, Monat und Jahr.
  • Das gerundete Ergebnis muss innerhalb der folgenden Grenzen liegen: Minimum = 1.1.1900 00:00:00
    Maximum = 1.1.[aktuelles Jahr + 10] 00:00:00
    Das Maximum entspricht dem Jahresende in 10 Jahren vom aktuellen Datum aus gesehen.

Bedingungen für Werte der Parameter

Bei der Definition eines Reports (z. B. im Report Builder) müssen für Parameter mit vordefinierten Werten folgende Einschränkungen beachtet werden:

  • Der Wert darf nicht NULL sein.
  • Das Label darf bei allen Dialogen außer jenen für Anlagengruppe und Schicht NULL sein. In diesem Fall wird der Wert als Label verwendet.
  • Jeder Wert muss eindeutig sein.
    Verschiedene vordefinierte Werte mit demselben Wert-Feld sind nicht erlaubt.
  • Label müssen eindeutig sein.
    Verschiedene vordefinierte Werte mit demselben Label-Feld sind allgemein nicht erlaubt.
    Ausnahme: Werte aus Anlagengruppen mit gleichen Labels sind zugelassen, wenn diese sich nicht im gleichen Bereich des Baums befinden. Gleiche Labels bei Wurzelelementen und gleiche Labels bei Elementen mit dem gleichen übergeordneten Knoten führen damit zu Fehlern.
    Achtung: Auch ein Wert ohne Label kann zu einem Duplikat führen, wenn sein Wert dem Label eines anderen vordefinierten Wertes entspricht.

attention Achtung

Die Parametervalidierung durch den zenon Analyzer Server ist keine Vorbeugungsmaßnahme gegen Angriffe per SQL-Injection, sondern nur eine Überprüfung auf gültige Report-Werte. Gegenmaßnahmen gegen Angriffe müssen vom Designer der SQL-Stored-Procedures ergriffen werden!

Noch in diesem Kapitel

Standard-Eingabefeld

Bool-Auswahldialog

Eingabe oder Auswahl mehrerer Werte

Datum und Uhrzeit

Zeitspanne

Anlagengruppe

Charge und Schicht

Filter

Sortierung Filterelemente


Standard-Eingabefeld

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Standard-Eingabefeld

Das Standard-Eingabefeld erlaubt die Eingabe von genau einem Wert für einen Parameter. Dieses Eingabefeld wird für alle Parameter, die keinen spezialisierten Dialog verlangen, angezeigt.


Bool-Auswahldialog

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Bool-Auswahldialog

Der BOOL-Auswahldialog ermöglicht das Wählen eines der Werte für Bool-Parameter, die mit einer Beschriftung versehen werden können:

  • True
  • False


Eingabe oder Auswahl mehrerer Werte

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Eingabe oder Auswahl mehrerer Werte

Eingabe mehrerer Werte

Dieser Dialog erlaubt die Eingabe mehrerer Werte für einen Parameter. Jede Zeile entspricht hierbei einem Wert. Leere Zeilen werden ignoriert.

Um Werte einzugeben:

  1. Klicken Sie in das Eingabefeld.

    Das Eingabefeld wird geöffnet.

  2. Tragen Sie die Werte zeilenweise ein oder wählen Sie dies aus der Dropdownliste aus.
  3. Klicken Sie neben das Eingabefeld.

    Das Eingabefeld wird geschlossen. Die Werte werden, durch Strichpunkt getrennt, angezeigt.

Auswahl eines Werts aus mehreren vorgegebenen Werten

Dieser Dialog erlaubt die Auswahl eines Wertes aus mehreren vorgegebenen Werten. Die Werte werden immer alphabetisch aufsteigend sortiert dargestellt.

Um einen Werte auszuwählen:

  1. Klicken Sie in das Eingabefeld.

    Das Eingabefeld wird geöffnet.

  2. Filtern Sie die Einträge oder wählen Sie einen Wert aus.
  3. Klicken Sie neben das Eingabefeld.

    Das Eingabefeld wird geschlossen. Der Wert wird im Eingabefeld angezeigt.

Der Dialog kann gefiltert dargestellt werden.

Auswählen mehrerer Werte aus mehreren vorgegebenen Werten

Dieser Dialog erlaubt die Auswahl mehrerer Werte aus vordefinierten Werten. Die Werte werden immer alphabetisch aufsteigend sortiert. Die Auswahl erfolgt über Aktivierung der Checkbox vor dem Eintrag. Sobald mehr als ein Eintrag dargestellt wird, verfügt die Liste über eine Checkbox zum Auswählen/(Abwählen aller Werte.

Um mehrere Werte auszuwählen:

  1. Klicken Sie in das Eingabefeld.

    Das Eingabefeld wird geöffnet.

  2. Filtern Sie die Einträge oder wählen Sie die gewünschten Werte aus.
  3. Um alle Werte zu wählen klicken Sie auf Alle Werte auswählen.
    Dabei gilt:
    • Der erste Klick in die Checkbox Alle Werte auswählen wählt alle Einträge aus.
    • Der zweite Klick hebt die Auswahl auf.
    • Diese Auswahl betrifft immer nur die aktuell angezeigten Werte, ausgefilterte Werte sind nicht betroffen.
  4. Klicken Sie neben das Eingabefeld.

    Das Eingabefeld wird geschlossen. Die Werte werden, durch Strichpunkt getrennt, angezeigt.

Der Dialog kann gefiltert dargestellt werden.


Datum und Uhrzeit

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Datum und Uhrzeit

Der Dialog für Datum und Uhrzeit verfügt über unterschiedliche Auswahlmöglichkeiten, je nach Konfiguration des Reports:

  • Jahr: Auswahl des Jahres
  • Monat: Auswahl des Monats
  • Tag: Auswahl eines Tages
  • Stunden: Auswahl der Stunden
  • Uhrzeit: Auswahl der Stunden und Minuten

Grundlagen

  • Die Kalenderwoche und der Wochenbeginn im Auswahldialog entsprechen der Norm ISO 8601. Damit:
    • ist der erste Wochentag immer ein Montag
    • liegt der 4. Januar immer in der ersten Kalenderwoche eines Jahres
  • Die Darstellung der Uhrzeit im Format 24 Stunden oder 12 Stunden hängt von den Einstellungen der Sprachkultur im Browser ab.

Noch in diesem Kapitel

Jahr

Monat

Tag

Stunden

Uhrzeit


Jahr

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Datum und Uhrzeit > Jahr

Auswahl eines Jahres für die Darstellung im Report. Der Zeitbereich reicht vom Jahr 1900 bis 10 Jahre in die Zukunft vom aktuellen Datum aus gesehen.

Auswahl Jahr

Option

Beschreibung

Kopfzeile

In der Kopfzeile kann durch Klicken auf die Pfeile zur Dekadenansicht der vorhergehenden oder der nächsten Dekade gesprungen werden. Die Pfeile werden nur angezeigt, wenn diese verfügbar sind.

Klick auf:

  • Pfeil links: Schaltet auf die vorhergehende Dekade.
  • Pfeil rechts: Schaltet auf die folgende Dekade.

In der Ansicht 1900 – 1910 kann nicht zur vorhergehenden Dekade navigiert werden.

Jahresauswahl

Das ausgewählte Jahr wird hervorgehoben. Ist kein Wert eingestellt, wird das aktuelle Jahr hervorgehoben.

Klick auf ein Jahr übernimmt das Jahr als Zeitpunkt und schließt den Dialog. Tag und Uhrzeit werden über die beiden Kontrollelemente Jahresanfang und Jahresende definiert.

Jahresanfang
  • Aktiv: Als Tag und Uhrzeit wird der 1. Januar, 00:00:00, konfiguriert.

Jahresende
  • Aktiv: Als Tag und Uhrzeit wird der 1. Januar des Folgejahres, 00:00:00, konfiguriert.


Monat

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Datum und Uhrzeit > Monat

Auswahl eines Monats für die Darstellung im Report.

Auswahl Monat

Option

Beschreibung

Kopfzeile

In der Kopfzeile kann durch Klicken auf die Pfeile zu anderen Jahren gewechselt werden. Die Pfeile werden nur angezeigt, wenn diese verfügbar sind.

Klick auf:

  • Pfeil links: Schaltet auf das vorhergehende Jahr.
  • Pfeil rechts: Schaltet auf das folgende Jahr.
  • Jahr: Öffnet den Dialog zur Jahresauswahl.

Monatsauswahl

Der ausgewählte Monat wird hervorgehoben. Ist kein Wert eingestellt, wird der aktuelle Monat hervorgehoben.

Klick auf einen Monat übernimmt den Monat als Zeitpunkt und schließt den Dialog. Tag und Uhrzeit werden über die beiden Kontrollelemente Monatsanfang und Monatsende definiert.

Monatsanfang
  • Aktiv: Als Tag und Uhrzeit wird der erste Tag des Monats, 00:00:00, konfiguriert.

Monatsende
  • Aktiv: Als Tag und Uhrzeit wird der erste Tag des folgenden Monats, 00:00:00, konfiguriert.


Tag

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Datum und Uhrzeit > Tag

Auswahl eines Tages in einem Monat für die Darstellung im Report.

Auswahl Tag

Option

Beschreibung

Kopfzeile

In der Kopfzeile kann durch Klicken auf die Pfeile zu anderen Monaten gewechselt werden. Die Pfeile werden nur angezeigt, wenn diese verfügbar sind.

Klick auf:

  • Pfeil links: Schaltet auf den vorhergehende Monat.
  • Pfeil rechts: Schaltet auf den folgende Monat.
  • Jahr: Öffnet den Dialog zur Monatsauswahl.

Tagesauswahl

Der ausgewählte Tag wird hervorgehoben. Ist kein Wert eingestellt, wird der aktuelle Tag hervorgehoben.

Klick auf einen Tag übernimmt den Tag als Zeitpunkt und schließt den Dialog. Die Uhrzeit wird über die beiden Kontrollelemente Tagesanfang und Tagesende definiert.

Tagesanfang
  • Aktiv: Als Uhrzeit wird 00:00:00 konfiguriert.

Tagesende
  • Aktiv: Als Uhrzeit wird 00:00:00 des folgenden Tages konfiguriert.


Stunden

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Datum und Uhrzeit > Stunden

Auswahl eines Tages und einer Stunde in einem Monat für die Darstellung im Report.

Auswahl Tag

Option

Beschreibung

Kopfzeile

In der Kopfzeile kann durch Klicken auf die Pfeile zu anderen Monaten gewechselt werden. Die Pfeile werden nur angezeigt, wenn diese verfügbar sind.

Klick auf:

  • Pfeil links: Schaltet auf den vorhergehende Monat.
  • Pfeil rechts: Schaltet auf den folgende Monat.
  • Jahr: Öffnet den Dialog zur Monatsauswahl. Die Kopfzeile kann zur Datumsnavigation genutzt werden:

Tagesauswahl

Der ausgewählte Tag wird hervorgehoben. Ist kein Wert eingestellt, wird der aktuelle Tag hervorgehoben.

Klick auf einen Tag übernimmt den Tag als Zeitpunkt und öffnet den Dialog zur Auswahl einer Stunde.

Heute

Übernimmt den aktuellen Tag als Datum und öffnet Dialog zur Auswahl der Stunde.

Anfang dieser Woche

Setzt Montag der aktuellen Kalenderwoche mit Tagesbeginn (00:00:00) als Uhrzeit.

Ende dieser Woche

Setzt Montag der folgenden Kalenderwoche mit Tagesbeginn (00:00:00) als Uhrzeit.

Anfang dieses Monats

Setzt den ersten Tag des aktuellen Monats mit Tagesanfang (00:00:00) als Uhrzeit.

Ende dieses Monats

Setzt den ersten Tag des folgenden Monats mit Tagesanfang (00:00:00) als Uhrzeit.

Auswahl Stunde

Parameter | Beschreibung
Kopfzeile | Klick auf Kopfzeile öffnet Monatsansicht zur Datumsnavigation.
Eingabe Uhrzeit | Die Uhrzeit wird über die Dropdownliste ausgewählt. Die Auswahl erfolgt per Klick auf die Pfeile des Spincontrols oder Eingabe in die geöffnete Dropdownliste per Klick auf die gewünschte Zeit oder direkte Eingabe über die Tastatur (Pfeil- und Nummerntasten). Minuten werden als 00 angezeigt und können nicht verändert werden.
00:00 bedeutet Ende des Tages | Aktiv: 00:00 wird als Ende des Tages interpretiert.
Zurück | Öffnet Monatsansicht zur Datumsnavigation.
Annehmen | Übernimmt eingestellte Werte und schließt den Dialog. Um die Eingabe abzubrechen, klicken Sie auf das Kalendersymbol neben dem Eingabefeld.


Uhrzeit

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Datum und Uhrzeit > Uhrzeit

Die Zeitauswahl erfolgt je nach Einstellung der Sprachkultur des Browsers im 24 h oder im 12 h Zeitformat.

24 h Zeitformat

Option

Beschreibung

Kopfzeile

Klick auf Kopfzeile öffnet Monatsansicht zur Datumsnavigation.

Eingabe Uhrzeit

Die Uhrzeit wird über zwei Dropdownlisten ausgewählt. Klick in die Liste öffnet diese. Die Auswahl erfolgt per Klick auf die Pfeile des Spincontrols oder Eingabe in die geöffnete Dropdownliste per Klick auf die gewünschte Zeit oder direkte EIngabe über die Tastatur (Pfeil- und Nummerntasten) :

  • Die erste (linke) Dropdownliste dient der Auswahl der Stunde.
    Die Pfeile rechts neben der ersten Dropdownliste erhöhen und verringern die eingestellte Stunde um den Wert 1. Am Ende der Liste wird beim Erhöhen zum Anfang gesprungen. Am Anfang der Liste wird beim Verringern zum Ende gesprungen.
  • Die zweite (rechte) DropDownliste dient der Auswahl der Minute. Die Liste enthält die Werte 0 bis 59. Ist die Dropdownliste geöffnet, kann ein Wert auch über die Tastatur ausgewählt werden (Pfeil- und Nummerntasten).

00:00 bedeutet Ende des Tages
  • Aktiv: 00:00 wird als Ende des Tages interpretiert.

Zurück

Öffnet Monatsansicht zur Datumsnavigation.

Annehmen

Übernimmt eingestellte Werte und schließt den Dialog.

Um die Eingabe abzubrechen, klicken Sie auf das Kalendersymbol neben dem Eingabefeld.

12 h Zeitformat

Parameter

Beschreibung

Kopfzeile

Klick auf Kopfzeile öffnet Monatsansicht zur Datumsnavigation.

Eingabe Uhrzeit

Die Uhrzeit wird über zwei Dropdownlisten ausgewählt. Klick in die Liste öffnet diese. Die Auswahl erfolgt per Klick auf die Pfeile des Spincontrols oder Eingabe in die geöffnete Dropdownliste per Klick auf die gewünschte Zeit oder direkte Eingabe über die Tastatur (Pfeil- und Nummerntasten) :

  • Die erste (linke) Dropdownliste dient der Auswahl der Stunde.
    Die Pfeile rechts neben der ersten Dropdownliste erhöhen und verringern die eingestellte Stunde um den Wert 1. Am Ende der Liste wird beim Erhöhen zum Anfang gesprungen. Am Anfang der Liste wird beim Verringern zum Ende gesprungen.
  • Die zweite (rechte) DropDownliste dient der Auswahl der Minute. Die Liste enthält die Werte 0 bis 59. Ist die Dropdownliste geöffnet, kann ein Wert auch über die Tastatur ausgewählt werden (Pfeil- und Nummerntasten).
  • AM: Vormittag (ante meridiem)
  • PM: Nachmittag (post meridiem)

12:00 AM means end of the day

Aktiv: 12:00 AM wird als Ende des Tages interpretiert.

Back

Öffnet Monatsansicht zur Datumsnavigation.

Accept

Übernimmt eingestellte Werte und schließt den Dialog.

Um die Eingabe abzubrechen, klicken Sie auf das Kalendersymbol neben dem Eingabefeld.


Zeitspanne

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Zeitspanne

Dieser Dialog ermöglicht die Eingabe einer Zeitspanne, je nach Konfiguration des Reports.

Um eine Zeitspanne zu projektieren:

  1. Wählen Sie den Endzeitpunkt.
    Welche Auswahlmöglichkeiten zur Verfügung stehen, hängt vom Report ab:
    • Jahr
    • Monat
    • Tag
    • Stunde
    • Minute
  2. Wählen Sie die Intervalldauer.
    Die Intervall dauer definiert die Zeitspanne bis zum Endzeitpunkt. Die Auswahlmöglichkeiten hängen vom Report ab.
  3. Die gewählte Konfiguration wird im Bereich Vorschau angezeigt. Bei Fehlkonfigurationen werden hier entsprechende Fehlermeldungen angezeigt.

Noch in diesem Kapitel

Jahr

Monat

Tag

Stunde

Minute


Jahr

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Zeitspanne > Jahr

Eingabe des Zeitbereichs in Jahren

Option

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Minuten und Stunden werden immer auf 0 gesetzt, Tage immer auf 1. Januar. Diese Elemente sind nicht konfigurierbar.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Jahresanfang
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des 1. Januar des gewählten Jahres.

Jahresende
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des 1. Januar des Folgejahres.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest.
    Feste Einstellung: Jahre

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Monat

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Zeitspanne > Monat

Eingabe des Zeitbereichs in Monaten

Option

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Minuten und Stunden werden immer auf 0 gesetzt, Tage immer auf 1. Diese Elemente sind nicht konfigurierbar.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Monat

Eingabe Monat. Auswahl aus Dropdownliste.

Monatsanfang
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des ersten Tages des gewählten Monats.

Monatsende
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des ersten Tages des Folgemonats.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest. Auswahl von Jahren oder Monaten.

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Tag

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Zeitspanne > Tag

Eingabe des Zeitbereichs in Tagen

Option

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Minuten und Stunden werden immer auf 0 gesetzt und sind nicht konfigurierbar.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Monat

Eingabe Monat. Auswahl aus Dropdownliste.

Tag

Eingabe Tag. Auswahl aus Dropdownliste.

Tagesanfang
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des gewählten Tages.

Tagesende
  • Aktiv: Endzeitpunkt ist 00:00 Uhr des auf den gewählten Tag folgenden Tages.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest. Auswahl zwischen Jahren, Monaten und Tagen.

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Stunde

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Zeitspanne > Stunde

Eingabe des Zeitbereichs in Stunden

Option

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Minuten werden immer auf 0 gesetzt und sind nicht konfigurierbar.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Monat

Eingabe Monat. Auswahl aus Dropdownliste.

Tag

Eingabe Tag. Auswahl aus Dropdownliste.

Stunde

Eingabe Stunde. Auswahl aus Dropdownliste.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest. Auswahl zwischen Jahren, Monaten, Tagen und Stunden

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Minute

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Zeitspanne > Minute

Eingabe des Zeitbereichs in Minuten

Option

Beschreibung

Endes des Intervalls

Definition des Endzeitpunkts.

Aktuelles Datum und aktuelle Uhrzeit einstellen

Setzt bei Klick den aktuellen Zeitstempel.

Jahr

Eingabe Jahr. Auswahl aus Dropdownliste.

Monat

Eingabe Monat. Auswahl aus Dropdownliste.

Tag

Eingabe Tag. Auswahl aus Dropdownliste.

Stunde

Eingabe Stunde. Auswahl aus Dropdownliste.

Minute

Eingabe Minute. Auswahl aus Dropdownliste.

Intervalldauer

Dauer des Zeitraums, der analysiert werden soll.

  • Texteingabefeld: Legt Quantität fest.
    Eingabe einer Zahl zwischen 1 und 99999.
    Mit den Pfeilen kann die Quantität erhöht oder verringert werden.
  • Dropdownliste: Legt Granularität fest. Auswahl zwischen Jahren, Monaten, Tagen, Stunden und Minuten.

Vorschau

Anzeige der aktuell eingestellten Konfiguration in Lokalzeit.

Fehler werden durch entsprechende Fehlermeldungen angezeigt.

  • Von: Anfang des Intervalls. Nur Anzeige.
  • Bis: Ende des Intervalls. Nur Anzeige.

Annehmen

Klick auf Schaltfläche übernimmt die Eingaben, wenn diese gültig sind, und schließt den Dialog.

Zeitstempel werden in UTC umgerechnet.

Um den Dialog ohne zu speichern zu verlassen, klicken Sie auf das Kalendersymbol bzw. in die Leiste mit dem Dropdowndialog.


Anlagengruppe

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Anlagengruppe

Anlagengruppen können beim Öffnen der Dropdownliste in unterschiedlicher Tiefe der dargestellten Ebene dargestellt werden. Zur Verfügung stehen:

  • nur die oberste Ebene
  • alle Ebenen
  • eine definierte Tiefe an Ebenen (bis zu 25)

Die Konfiguration dieser Ausgangsdarstellung erfolgt durch den Reportgestalter im ZAMS. Dieses Kontrollelement steht für alle Reportvorlagen zur Verfügung, die Anlagenmodelle beinhalten.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Beschriftungen

Beschriftungen für eine Anlagengruppe müssen nicht eindeutig sein. Werte aus Anlagengruppen mit gleichen Beschriftungen sind zugelassen, wenn diese sich nicht im gleichen Bereich des Baums befinden. Idente Beschriftungen bei Wurzelelementen und idente Beschriftungen bei Elementen mit dem gleichen übergeordneten Knoten führen zu Fehlern.

Auswahl eines Eintrags aus dem Anlagenmodell

Dieser Auswahldialog ermöglicht die Auswahl eines Eintrags aus dem Anlagenmodell. Die Einträge werden in einer Baumstruktur dargestellt und je Ebene alphabetisch aufsteigend sortiert .

Untergeordnete Elemente einer Ebene können ausgeblendet werden. Ein Plus vor dem Eintrag bedeutet: Element enthält weitere untergeordnete Elemente. Diese werden in der aktuellen Ansicht nicht angezeigt. Klick auf das Pluszeichen öffnet die Anzeige der Unterelemente. Das Vorzeichen wandelt sich in ein Minus. Klick auf das Minus schließt die Ebene wieder.

Um ein Element auszuwählen:

  1. Öffnen Sie die entsprechende Gruppe, falls das Element ein Unterelement ist und nicht angezeigt wird.
  2. Wählen Sie das gewünschte Element per Mausklick aus.
  3. Schließen Sie den Dialog durch Klick in den Bereich neben den Dialog.

Der Dialog kann gefiltert dargestellt werden. Das Filterkriterium wird dabei nur angewandt auf Einträge, die keine untergeordneten Punkte mehr haben.

Auswahl mehrerer Einträge aus dem Anlagenmodell

Dieser Auswahldialog ermöglicht die Auswahl mehrerer Einträge aus dem Anlagenmodell. Die Einträge werden in einer Baumstruktur dargestellt und je Ebene alphabetisch aufsteigend sortiert .

Untergeordnete Elemente einer Ebene können ausgeblendet werden. Ein Plus vor dem Eintrag bedeutet: Element enthält weitere untergeordnete Elemente. Diese werden in der aktuellen Ansicht nicht angezeigt. Klick auf Pluszeichen öffnet Anzeige der Unterelemente. Das Vorzeichen wandelt sich in ein Minus. Klick auf Minus schließt Ebene wieder.

Beim Aus- und Einblenden werden ausgewählte Einträge (Haken in Checkbox) auch aus- bzw. eingeblendet. Der Status (ausgewählt oder abgewählt) bleibt dabei erhalten. Ein Doppelklick auf eine Checkbox markiert alle zum diesem Zeitpunkt sichtbaren hierarchisch untergeordneten Checkboxen bzw. entfernt die Markierung wieder.

Um mehrere Elemente auszuwählen:

  1. Markieren Sie jedes gewünschte Element durch Klick in die Checkbox vor dem Element.
  2. Öffnen Sie die entsprechende Gruppe, falls das Element ein Unterelement ist und nicht angezeigt wird.
  3. Verfügt das gewählte Element über Unterebenen, werden über das Kontrollelement die darunter liegenden Ebenen mit ausgewählt.
  4. Schließen Sie den Dialog durch Klick in den Bereich neben den Dialog.

Der Dialog kann gefiltert dargestellt werden. Das Filterkriterium wird dabei nur angewandt auf Einträge, die keine untergeordneten Punkte mehr haben.

Struktur für vordefinierte Werte

Vordefinierten Werte verlangen bei beiden Dialogen eine bestimmte Struktur:

  • Der anzuzeigende Name steht immer in der Beschriftung des Werts.
  • Bei Wurzeleinträgen (keine übergeordneten Knoten mehr vorhanden) steht nur die ID im Wert.
  • Bei untergeordneten Einträgen besteht der Wert aus der ID des Eintrags und der ID des übergeordneten Eintrags, getrennt durch das Verkettungszeichen (Pipe-Zeichen, |).
    Syntax: [ID des Eintrags] | [ID des übergeordneten Eintrags]

Doppelklick in Baumstruktur

Unterschiedliche Browser reagieren unterschiedlich auf einen Doppelklick auf einen Knoten in der Baumstruktur:

  • Internet Explorer:
    Das Gegenteil des aktuell sichtbare Status des angeklickten Knotens wird an die darunterliegenden Objekte vererbt und auf den Knoten übertragen.
    Zum Beispiel: Checkbox des Knotens ist nicht angehakt. Doppelklick bewirkt, dass die Checkboxen des Knotens und aller seine Unterpunkte angehakt werden.
  • Chrome und Firefox:
    Der aktuelle Status verändert sich nicht und wird an die darunterliegenden Objekte vererbt.
    Zum Beispiel: Checkbox des Knotens ist nicht angehakt. Doppelklick bewirkt, dass die Checkboxen des Knotens und aller seine Unterpunkte nicht angehakt sind.


Charge und Schicht

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Charge und Schicht

Dieser Auswahldialog konfiguriert die Darstellung von Chargen- und Schichtdaten. Jeder vordefinierte Wert entspricht einer Zeile. Der Benutzer kann eine Charge durch Klicken auf die entsprechende Zeile auswählen.

Der Auswahldialog enthält folgende Spalten:

  • Name (für Charge bzw. Schicht)
  • Startdatum
  • Startzeit
  • Enddatum
  • Endzeit
  • Dauer

Der Dialog kann sortiert und gefiltert werden. Details siehe Kapitel Filter Chargen.

Struktur vordefinierte Werte

Vordefinierten Werte für diesen Auswahldialog verlangen eine bestimmte Struktur:

  • Der Chargen-Name steht immer im Label des Werts.
  • Das Wert-Feld des Labels besteht aus dem:
    • [Anfangszeitpunkt]
    • Verkettungszeichen „|"
    • [Endzeitpunkt]

      Das Format eines Zeitpunkts ist YYYY-MM-DD hh:mm:ss in UTC.
      Zur Darstellung wird die Zeit auf die Lokalzeit des Servers umgerechnet.

Daraus werden die folgenden Werte zum Anzeigen in Spalten generiert:

  • Name der Charge
  • Datum, an dem die Charge begonnen hat: Eingabe im Datumsformat der Sprachkultur des Anwenders;
    Datum und Uhrzeit werden in der lokalen Zeit des Servers dargestellt
  • Uhrzeit, um die die Charge begonnen hat: Eingabe im Uhrzeitformat der Sprachkultur des Anwenders;
    Datum und Uhrzeit werden in der lokalen Zeit des Servers dargestellt
  • Datum, an dem die Charge geendet hat: Eingabe im Datumsformat der Sprachkultur des Anwenders;
    Datum und Uhrzeit werden in der lokalen Zeit des Servers dargestellt
  • Uhrzeit, um die die Charge geendet hat: Eingabe im Uhrzeitformat der Sprachkultur des Anwenders;
    Datum und Uhrzeit werden in der lokalen Zeit des Servers dargestellt
  • Dauer der Charge:
    Format: [#Tage][Tagesabkürzung in der Kultur des Anwenders] [#Stunden]:[#Minuten]:[#Sekunden]

Auswertung von Chargengruppen

Ein Mechanismus zur Auswertung von Chargengruppen steht zur Verfügung. Dieser basiert auf dem Anlagenmodell:

  1. Über das Anlagenmodell werden die notwendigen Variablen und die Chargenarchive, in denen sie aufgenommen sind, gefunden.
  2. Aus den Chargenarchiven werden alle Chargen für den gewählten Zeitpunkt geholt. Dabei werden Chargen mit dem gleichen Chargennamen aber mit unterschiedlichen Zeitpunkten aus mehreren Archiven zu einem Eintrag zusammengefasst.
  3. Die Chargen werden über Report-Parameter in einem Chargen-Auswahl-Dialog dargestellt.
  4. Bei der Reporterstellung werden erneut die Chargen für alle beteiligten Archive gelesen und für jedes Archiv werden die Daten für den Zeitraum der Charge in dem Archiv geholt.


Filter

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Filter

Manche Dialoge können gefiltert dargestellt werden. Zum Beispiel Dialoge für:

  • Eingabe oder Auswahl mehrerer Werte: Filtermethode siehe unten
  • Auswahl Anlagengruppe: Filtermethode siehe unten
  • Auswahl Chargen: Filtermethode siehe Filter Chargen

Um die vorgegebenen Werte zu filtern:

  1. Tragen Sie in das Eingabefeld das Filterkriterium ein.
  2. Drücken Sie die Eingabe-Taste.
  3. Die Liste wird neu aufgebaut und enthält nur noch Werte, die dem Filterkriterium entsprechen.

Um alle Werte anzuzeigen:

  1. Löschen Sie das Filterkriterium aus dem Eingabefeld.
  2. Drücken Sie die Eingabe-Taste.
  3. Die Liste wird neu aufgebaut und enthält alle vorgegebenen Werte.

Filterkriterien für filterbare Dialoge

  • Die Filterung erfolgt ohne Rücksicht auf Groß- und Kleinschreibung.
  • Ein Fragezeichen (?) ist eine Wildcard für genau ein Zeichen.
  • Ein Stern (*) ist eine Wildcard für beliebig viele Zeichen.
  • Ist in einem Filterkriterium weder * noch ? enthalten, wird intern ein * an das Filterkriterium angehängt.
  • Sind Werte ausgewählt, werden diese beim Filtern weiter angezeigt, auch wenn sie nicht dem Kriterium entsprechen.
  • Anlagengruppe: Das Filterkriterium wird nur angewandt auf Einträge, die keine untergeordneten Punkte mehr haben (weil diese z. B. nie vorhanden waren oder schon ausgefiltert worden sind).

Beispiele

Filter | findet
e oder E oder e* oder E* | Alle Einträge, die mit „e" oder „E" beginnen.
*3 | Alle Einträge, die mit „3" enden.
?r* oder ?R* | Alle Einträge mit „r" oder „R" als zweitem Buchstaben.
*9* | Alle Einträge, die „9" enthalten.

Noch in diesem Kapitel

Filter Chargen


Filter Chargen

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Filter > Filter Chargen

Die Einträge im Chargen-Auswahldialog können gefiltert und sortiert werden.

Werte filtern

Um die vorgegebenen Werte zu filtern:

  1. Tragen Sie in jeder gewünschten Spalte in das Eingabefeld das Filterkriterium ein.
  2. Drücken Sie die Eingabe-Taste.
  3. Die Liste wird neu aufgebaut und enthält nur noch Werte, die dem Filterkriterium entsprechen.

Um alle Werte anzuzeigen:

  1. Löschen Sie das Filterkriterium aus dem Eingabefeld.
  2. Drücken Sie die Eingabe-Taste.
  3. Die Liste wird neu aufgebaut und enthält alle vorgegebenen Werte.

Für die Filterung gilt:

  • Jede Spalte verfügt über eine eigene Filterbox.
  • Ist eine Filterbox leer, wird nach dieser Spalte nicht gefiltert.
  • Damit ein Eintrag angezeigt wird, muss er die Filterbedingungen aller Spalten erfüllen.
  • Die Filterung wird durch Drücken der Eingabe-Taste in einer beliebigen Filterbox angestoßen.
  • Folgende Filter werden für die einzelnen Spalten verwendet:
    • Chargenname verwendet den Textfilter wie beim Dialog zum Auswählen eines aus mehreren vorgegebenen Werten.
    • Startdatum verwendet den Datumsfilter.
    • Startzeit verwendet den Uhrzeitfilter.
    • Enddatum verwendet den Datumsfilter.
    • Endzeit verwendet den Uhrzeitfilter.
    • Dauer verwendet den Dauerfilter.

Chargenname

Für diesen Filter gilt:

  • Die Filterung erfolgt ohne Rücksicht auf Groß- und Kleinschreibung.
  • Ein Fragezeichen (?) ist eine Wildcard für genau ein Zeichen.
  • Ein Stern (*) ist eine Wildcard für beliebig viele Zeichen.
  • Ist in einem Filterkriterium weder * noch ? enthalten, wird intern ein * an das Filterkriterium angehängt.
  • Sind Werte ausgewählt, werden diese beim Filtern weiter angezeigt, auch wenn sie nicht dem Kriterium entsprechen.

Datumsfilter:

Für diesen Filter gilt:

  • Das Datum muss im Datumsformat der Sprachkultur des Anwenders eingegeben werden.
  • Führende Nullen dürfen weggelassen werden.
  • Für einzelne Elemente (Tag, Monat, Jahr) darf * als Wildcard verwendet werden.

    Zum Beispiel:
    Mai 2011: *.5.2011
    Jahr 2011: *.*.2011

  • Um ab/bis zu einem bestimmten Tag zu filtern, darf am Beginn verwendet werden:
    • <
    • >
    • <=
    • >=

    Die Eingabe eines * ist dabei nicht zulässig.
    Zum Beispiel:

    ab 1. Mai 2011: > 30.4.2011 oder >= 1.5.2011
    bis 31. Mai 2011: < 1.6.2011 oder <= 31.5.2011

  • Entspricht ein Filterkriterium nicht diesen Bedingungen (z. B. < und * kombiniert, Elemente fehlen oder im falschen Datumsformat eingegeben) wird die gesamte Filterung abgebrochen.

Uhrzeitfilter:

Für diesen Filter gilt:

  • Die Uhrzeit muss im Uhrzeitformat der Sprachkultur des Anwenders eingegeben werden.
  • Führende Nullen dürfen weggelassen werden.
  • Für einzelne Elemente (Stunde, Minute, Sekunde) darf * als Wildcard verwendet werden.
    Zum Beispiel:
    12 Uhr: 12:*:* (24-Std) bzw. 12:*:* PM (12-Std)
    13:45: 13:45:* (24-Std) bzw. 1:45:* PM (12-Std)
  • Um ab/bis zu einer bestimmten Uhrzeit zu filtern, darf am Beginn verwendet werden:
    • <
    • >
    • <=
    • >=

    Die Eingabe eines * ist dabei nicht zulässig.
    Zum Beispiel:
    Vormittag inklusive Mittag: < 12:00:01 oder <= 12:00:00 (24-Std) bzw. < 12:00:01 PM oder <= 12:00:00 PM (12-Std)
    Alles ab 8 Uhr: > 7:59:59 oder >= 8:0:0 (24-Std) bzw. > 7:59:59 AM oder >= 8:0:0 AM (12-Std)

  • Entspricht ein Filterkriterium nicht diesen Bedingungen (z. B. < und * kombiniert, Elemente fehlen oder im falschen Uhrzeitformat eingegeben) wird die gesamte Filterung abgebrochen.

Dauerfilter:

Für diesen Filter gilt:

  • Die Dauer muss im oben definierten Format eingegeben werden.
  • Führende Nullen dürfen weggelassen werden.
  • Für einzelne Elemente (Tag, Stunde, Minute, Sekunde) darf * als Wildcard verwendet werden.
    Zum Beispiel:
    Einen Tag Dauer: 1d *:*:*
  • Um ab/bis zu einer bestimmten Dauer zu filtern, darf am Beginn verwendet werden:
    • <
    • >
    • <=
    • >=

    Die Eingabe eines * ist dabei nicht zulässig.
    Zum Beispiel:

    Länger als 1 Tag: > 1d 0:0:0 oder >= 1d 0:0:1
    Kleiner als 12 Stunden: < 0d 12:0:0 oder <= 0d 11:59:59

  • Entspricht ein Filterkriterium nicht diesen Bedingungen (z. B. < und * kombiniert, Elemente fehlen) wird die gesamte Filterung abgebrochen.

Werte sortieren

Die Report kann nach jeder Spalte auf- oder absteigend sortiert werden. Die aktuelle Sortierung wird in der Spalte, nach der sortiert wird, angezeigt.

Um eine Spalte zu sortieren:

  1. klicken Sie in den gewünschte Spaltentitel
  2. die Sortierung wird gestartet
  3. der Pfeil neben der Spaltenüberschrift zeigt an, ob aufsteigend oder absteigend sortiert wird
  4. ein erneuter Klick in den Spaltentitel ändert die Sortierreihenfolge

Filterung und Sortierung können parallel eingesetzt werden und beeinträchtigen sich gegenseitig nicht.


Sortierung Filterelemente

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Parameter - Eingabe und Auswahl > Sortierung Filterelemente

Element vom Typ Auswahl eines Wertes aus vordefinierten Werten oder Auswahl mehrerer Werte aus vordefinierten Werten verfügen per Default über eine vordefinierte Sortierung für die Anzeige der Filterelemente.

Das gilt, wenn der Parameter:

  • von einem der folgenden Datentypen ist:
    • Ganze Zahl
    • Gleitkommazahl
    • Datum & Uhrzeit
    • Text
  • über eine Liste von vordefinierten Werten verfügt
  • nicht versteckt und nicht schreibgeschützt ist

Die per Default vorgegebene Sortierung wird bei der Erstellung der Reportvorlage definiert und kann von Report-Entwicklern im Report Builder verändert werden.

Folgende Sortierungen stehen zur Verfügung:

Sortierung | Beschreibung
A-Z: | Es wird nach den Anzeigetexten der vordefinierten Werte alphabetisch aufsteigend sortiert. Das ist das Default-Verhalten. Dieses gilt auch dann, wenn keine spezielle Sortierung hinterlegt wurde.
Z-A: | Es wird nach den Anzeigetexten der vordefinierten Werte alphabetisch absteigend sortiert.
Werte aufsteigend: | Es wird nach den vordefinierten Werten aufsteigend sortiert. Der Datentyp des Parameters wird dabei berücksichtigt.
Werte absteigend: | Es wird nach den vordefinierten Werten absteigend sortiert. Der Datentyp des Parameters wird dabei berücksichtigt.
Gereiht: | Die Werte werden in der Reihenfolge, in der sie vom SQL-Server Reporting Services Web Service geliefert werden, in die Liste geschrieben.
Umgekehrt gereiht: | Die Werte werden in der umgekehrten Reihenfolge, in der sie vom SQL-Server Reporting Services Web Service geliefert werden, in die Liste geschrieben.


Siteeinstellungen

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Siteeinstellungen

Über die Site-Einstellungen konfigurieren Sie

  • Allgemeine Eigenschaften des zenon Analyzer

HInweis: Benutzerrechte werden im ZAMS gesetzt und verwaltet.

Noch in diesem Kapitel

Allgemein


Allgemein

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Siteeinstellungen > Allgemein

Allgemeine Einstellungen zu Benennung der zenon Analyzer und Verarbeitung der Reports.

Eigenschaft

Beschreibung

Name

Name, der in der Kopfzeile des Reportgenerators angezeigt werden soll.

Default-Einstellungen für den Reportverlauf

Definiert Anzahl der für den Verlauf gespeicherten Reports. Mögliche Einstellungen:

  • Beliebig viele Momentaufnahmen im Reportverlauf speichern:
    Speichert beliebig viele Momentaufnahmen. Anzahl ist durch Speicherplatz begrenzt.
  • Max. Anzahl von Kopien des Reportverlaufs:
    Eingabe der Zahl in Feld.
    Default: 10

Reportimeout

Definiert Timeout für Verarbeitung der Reports. Mögliche Einstellungen:

  • Kein Timeout für den Report
  • Verarbeitung des Reports auf die folgende Anzahl von Sekunden beschränken:
    Eingabe von Sekunden in Feld.
    Default: 1800

Anwenden

Übernimmt geänderte Einstellungen

Achtung: Seitenwechsel ohne Bestätigung durch Anwenden führt zu Verlust aller Änderungen.


Datenquelle

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Datenquelle

Um eine Datenquelle zu konfigurieren:

  1. Markieren Sie die Datenquelle.
  2. Klicken Sie auf den Pfeil.
  3. Wählen Sie im Kontextmenü den gewünschten Befehl.

Kontextmenü Datenbank

Das Kontextmenü von Datenbanken enthält Befehle zu deren Verwaltung . Das Kontextmenü ist für beide Ansichten des Report Launcher identisch.

Option | Beschreibung
Verschieben | Öffnet Menü zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Report.
Reportmodell generieren | Öffnet den Dialog zur Generierung eines neues Modell für die Datenquelle.
Abhängige Elemente anzeigen | Zeigt alle auf dieser Datenquelle basierenden Reports an und ermöglicht, diese zu löschen oder zu verschieben.
Verwalten | Öffnet Dialog zur Verwaltung der Datenbank.

Detaillierte Anleitungen für die Konfiguration der Microsoft Reporting Services finden Sie auf der Microsoft Homepage:

  • Deutsch
  • Englisch
  • Französisch
  • Italienisch

Noch in diesem Kapitel

Eigenschaften


Eigenschaften

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Datenquelle > Eigenschaften

Im Fenster Eigenschaften legen Sie die grundlegenden Eigenschaften der Datenquelle und die Verbindungsparameter fest.

Option

Beschreibung

Löschen

Löscht Datenquelle.

Verschieben

Verschiebt Datenquelle.

Modell generieren

Öffnet Dialog zum Erstellen eines neuen Modells.

Name

Name der Datenquelle.

Beschreibung

Optionale, nähere Beschreibung

In Neben-/Untereinanderansicht ausblenden

Aktiv: wird in Neben-/Untereinanderansicht ausgeblendet.

Diese Datenquelle aktivieren

Aktiv: Datenquelle wird benutzt.

Datenquelltyp

Auswahl des Typs über Dropdownliste.

Verbindungszeichenfolge

String zur Herstellung der Verbindung.

Verbindung herstellen über

Auswahl der Verbindungsmethode.

Bereitgestellte Anmeldeinformation vom Benutzer, der den Report ausführt

Anwender muss informationen angeben.

Vorgabe eines Hinweistextes möglich.

Information kann als Windows-Anmeldeinformation gekennzeichnet werden.

Anmeldeinforamtionen, die sicher auf dem Reportserver gespeichert sind

Anmeldeinformation ist auf dem Server hinterlegt.

Benutzername und Passwort müssen eingegeben werden.
Optional stehen zur Verfügung:

  • Verwendung der Windows-Authentifizierung bei der Verbindung zur Datenquelle.
  • Annahme der Identität des eingebenen Benutzers nach Herstellung einer Verbindung.

Integrierte Sicherheit von Windows

Windows Sicherheit.

Keine Anmeldeinformationen erforderlich

Keine Anmeldeinformationen nötig.

Verbindung testen

Überprüft Verbindung und gibt unterhalb der Schaltfläche eine Textmeldung zum Erfolg aus.

Anwenden

Übernimmt alle Einstellungen.

Kennwort ändern

Es kann vorkommen, dass das Kennwort für die Datenquelle nicht mehr geändert werden kann.
Vorgangsweise, um den Zugriff auf die Option Kennwort wieder zu ermöglichen:

  1. Aktivieren Sie im Abschnitt Eine benutzerdefinierte Datenquelle die Eigenschaft Keine Anmeldeinformationen erforderlich.
  2. Klicken Sie auf Verbindung testen.

Jetzt können die Eigenschaften Benutzername und Kennwort wieder geändert werden.

Noch in diesem Kapitel

Reportmodell generieren


Reportmodell generieren

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Datenquelle > Eigenschaften > Reportmodell generieren

Dieser Dialog ermöglicht es, neue Modelle für die Datenquelle zu erstellen.

Option | Beschreibung
Name | Name der neuen Datenquelle.
Beschreibung | Optionale nähere Beschreibung.
Speicherort / Speicherort ändern | Öffnet Dialog zum Festlegen des Speicherorts.
OK | Bestätigt Änderungen und öffnet Eigenschaften.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.


Ordner

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Ordner

In Ordner werden Reports gesammelt und gruppiert.

Ordner werden konfiguriert und verwaltet über:

  • den Menüpunkt Neuer Ordner in der Menüleiste
  • den Menüpunkt Ordnereinstellungen in der Menüleiste
  • die Dropdownliste des Ordners (erscheint bei Mouseover)

Kontextmenü Ordner

Das Kontextmenü von Ordnern enthält abhängig von der Ansicht des Report Launcher unterschiedliche Befehle.

Symbolansicht

Befehl | Beschreibung
Verschieben | Öffnet Dialog zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Ordner.
Verwalten | Öffnet Dialog zur Verwaltung des Ordners.

Detailansicht

Befehl | Beschreibung
Verschieben | Öffnet Dialog zur Wahl des neuen Speicherorts.
Löschen | Löscht ausgewählten Ordner.
Verwalten | Öffnet Dialog zur Verwaltung des Ordners.
Neuer Ordner | Öffnet Dialog zum Erstellen eines neuen Ordners
Neue Datenquelle | Öffnet Dialog zur Auswahl einer neuen Datenquelle.
Datei hochladen | Öffnet Dialog zum Hochladen einer neuen Datei.

Neuen Ordner erstellen

Um einen neuen Ordner zu erstellen:

  1. klicken Sie auf den Menüpunkt Neuer Ordner in der Menüleiste
  2. die Dialogseite zur Erstellung des neuen Ordners wird geöffnet

Option

Beschreibung

Name

Name des Ordners.

Name:

  • darf nicht leer sein
  • darf nicht ausschließlich aus Punkten oder Leerzeichen bestehen
  • darf kein verbotenes Zeichen beinhalten;
    verboten sind: ;?:@&=+$,\*<>|"/

Der Name darf maximal 126 Zeichen lang sein.

Beschreibung

Optionale Beschreibung des Ordnerinhalts.

In Symbolansicht ausblenden
  • Aktiv: Ordner wird in der Symbolansicht nicht angezeigt.
    Diese Einstellung kann später über den Menüpunkt Verwaltung in der Dropdownliste des Ordners geändert werden.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.

Noch in diesem Kapitel

Eigenschaften


Eigenschaften

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Ordner > Eigenschaften

Die Ordner-Eigenschaften zeigen Informationen zum Ordner an und bieten die Möglichkeit, den Ordner:

  • zu verschieben
  • zu löschen
  • umzubenennen
  • in der Symbolansicht ein- oder auszublenden


Dateien hochladen

zenon Analyzer > Report Launcher > Report Launcher: Konfiguration und Bedienung > Dateien hochladen

Reports, Modelle und andere Ressourcen, die offline bearbeitet werden, können zum Report Server hochgeladen werden.

Um Ressourcen hochzuladen:

  1. Klicken Sie in der Menüleiste auf die Schaltfläche Datei hochladen.

    Der Dialog zum Hochladen wird geöffnet.

  2. Wählen Sie die gewünschte Datei aus.
  3. Wählen Sie die gewünschten Optionen.
  4. Bestätigen Sie mit Klick auf OK.

Eigenschaft

Beschreibung

Hochzuladende Datei

Auswahl der Datei, die hochgeladen werden soll. Klick auf die Schaltfläche Durchsuchen öffnet den Dateimanager. Multiselect ist nicht möglich.

Name

Freie Namensvergabe.
Der Dateiname der ausgewählten Datei wird als Defaultwert übernommen.

Vorhandenes Element überschreiben
  • Aktiv: Befindet sich ein Element mit gleichem Namen bereits am Report Server, wird es überschrieben.

OK

Angaben werden übernommen, die Datei wird hochgeladen und der Dialog geschlossen.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Report erstellen

zenon Analyzer > Report Launcher > Report erstellen

Reports können erstellt werden mit:

  • ZAMS - zenon Analyzer Management Studio
  • Microsoft Report Builder 3.0

Für zenon steht ein eigener Wizard zum Export der Metadaten aus dem Gloalprojekt und der Variablen aus lokalen Projekten zur Verfügung. Mehr über diesen Wizard lesen Sie im Kapitel Analyzer Export Wizard im Abschnitt Datenabstraktion und Dateneinbindung.

Noch in diesem Kapitel

Report Builder

Report hochladen


Report Builder

zenon Analyzer > Report Launcher > Report erstellen > Report Builder

Reports können mit dem Microsoft Report Builder manuell erstellt werden.
Hinweis: Wenn auf Ihrem System noch kein Report Builder vorhanden ist, können Sie diesen im Report Launcher über eine Schaltfläche herunterladen.

info Info

Der Report Builder eignet sich nicht als Editor für Reports mit CRI (Gantt Chart), da er nicht in der Lage ist, CRIs zu verarbeiten.

Um den Microsoft Report Builder zu starten:

  1. Klicken Sie in der Menüleiste auf die Schaltfläche Report Builder.
    Hinweis: Diese Schaltfläche steht bei Chrome und Firefox nicht zur Verfügung.

    Abhängig von den Einstellungen wird der Dialog Getting Started oder der Report Builder direkt geöffnet:

Unterstützung zum Erstellen von Reports mit dem Report Builder erhalten Sie über die integrierte Hilfe zum Report Builder.

Detaillierte Anleitungen für die Konfiguration der Microsoft Reporting Services finden Sie auf der Microsoft Homepage:

  • Deutsch
  • Englisch
  • Französisch
  • Italienisch

Empfehlung: Erstellen Sie Reports im zenon Analyzer Management Studio auf Basis von mitgelieferten Reportvorlagen.


Report hochladen

zenon Analyzer > Report Launcher > Report erstellen > Report hochladen

Reports, die offline erstellt wurden, können mit dem zenon Analyzer zum Server hochgeladen werden.

Um Ressourcen hochzuladen:

  1. Klicken Sie in der Menüleiste auf die Schaltfläche Datei hochladen.

    Der Dialog zum Hochladen wird geöffnet.

  2. Wählen Sie die gewünschte Datei aus.
  3. Wählen Sie die gewünschten Optionen.
  4. Bestätigen Sie mit Klick auf OK.

Eigenschaft

Beschreibung

Hochzuladende Datei

Auswahl der Datei, die hochgeladen werden soll. Klick auf die Schaltfläche Durchsuchen öffnet den Dateimanager. Multiselect ist nicht möglich.

Name

Freie Namensvergabe.
Der Dateiname der ausgewählten Datei wird als Defaultwert übernommen.

Vorhandenes Element überschreiben
  • Aktiv: Befindet sich ein Element mit gleichem Namen bereits am Report Server, wird es überschrieben.

OK

Angaben werden übernommen, die Datei wird hochgeladen und der Dialog geschlossen.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Report aufrufen

zenon Analyzer > Report Launcher > Report aufrufen

Reports können am Client-Rechner im Webbrowser aufgerufen und konfiguriert werden.

info Info

Das Timeout für die Reportausführung im Webbrowser beträgt 30 Minuten. Benötigt ein Report für die Fertigstellung und die Anzeige länger als 30 Minuten, bricht der Webbrowser die Anzeige mit einer Timeout-Fehlermeldung ab.

Um einen Report aufzurufen:

  1. Führen Sie einen Doppelklick auf den Ordner, der den Report enthält, aus
    oder wählen Sie im Kontextmenü öffnen.
  2. Führen Sie einen Doppelklick auf den gewünschten Report aus.

    Der Report wird im Browser geöffnet.

Navigation

Element | Beschreibung
Navigation | Ermöglicht Navigation vom aktuellen Element aufwärts bis zum Hauptverzeichnis.
Hauptverzeichnis | Wechselt in die Hauptansicht.
Siteeinstellungen | Öffnet die Verwaltung von allgemeinen Einstellungen der Site.
Hilfe | Öffnet die Hilfe für den Report Launcher.

Konfiguration

Element | Beschreibung
Kontrollelemente | Kontrollelemente zur Konfiguration des Reports. Art der Kontrollelemente hängt ab von Reportvorlage. Kontrollelemente können voneinander abhängen. In diesem Fall können sie nur konfiguriert werden, wenn die vorangegangenen richtig konfiguriert wurden.
Trennlinie | Trennt Kontrollelemente von Symbolleiste. Klick auf die Trennlinie blendet Leiste mit Kontrollelementen aus oder ein.
Symbolleiste | Enthält Symbole zur Navigation im Report und zur Weiterverarbeitung des Reports.

Anzeige Report

Elemente

Beschreibung

Anzeigefeld Report

Zeigt den Report mit den in der Vorlage definierten Elementen an:

  • Name des Reports
  • konfigurierte Elemente
  • Grafiken
  • Tabelle


Symbolleiste Report

zenon Analyzer > Report Launcher > Symbolleiste Report

Option

Beschreibung

Steuerpfeile und <1 von 1>

Navigation in mehrseitigen Reports:

  • |<: zum Anfang
  • <: eine Seite zurück
  • Feld: Eingabe der Seite, zu der gesprungen werden soll; Druck auf Eingabe-Taste führt aus
  • >: eine Seite vor
  • >|: zur letzten Seite

Suchfeld

Eingabe eines Suchbegriffs.

Suchen

Sucht definierten Begriff und zeigt erste Fundstelle an.

Weiter

Sucht nächstes Vorkommen des Suchbegriffs.

Symbol Diskette

Export des Reports. Klick öffnet Dropdownliste mit Exportformaten. Mögliche Formate:

  • XML
  • CSV
  • PDF
  • Webarchiv
  • Excel
  • TIFF
  • Word

Symbol drehende Pfeile

Aktualisiert Daten für Report-Anzeige.

Symbol Drucker

Öffnet Dialog zum Drucken des Reports.

Symbol Buch

Export in RSS Feed.


Report konfigurieren und exportieren

zenon Analyzer > Report Launcher > Report konfigurieren und exportieren

Je nach Reportart können unterschiedliche Parameter konfiguriert werden. Zum Beispiel:

  • Zeitraum für den Report: bei vergleichenden Reports werden zwei Zeiträume zur Konfiguration angeboten
  • Projekte, deren Daten verarbeitet werden
  • Archive
  • Verdichtung
  • Variablen
  • Alarmgruppen
  • Alarmklassen
  • Anlagengruppen und Medien

Report konfigurieren

Um einen Report zu konfigurieren:

  1. öffnen Sie den Report
  2. wählen Sie die gewünschten Parameter
  3. klicken Sie auf Report anzeigen

Trennzeichen

In Wertfeldern von Parametern, die mehrere Werte zulassen, sind als Trennzeichen zugelassen:

  • Komma
  • Zeilenumschaltung

Report exportieren

Reports können in unterschiedliche Formate exportiert werden.

Um einen Report zu exportieren:

  1. Klicken Sie auf das Symbol für den Export (Diskette).

    Die Dropdownliste mit den Exportformaten wird geöffnet.

  2. Wählen Sie das gewünschte Format.
  3. Speichern oder öffnen Sie das Dokument im gewählten Format.

Exportformate

Für den Export stehen Ihnen zur Verfügung:

Option | Beschreibung
XML | Report wird als XML-Datei gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der XML-Datei.
CSV | Report wird als kommaseparierte Textdatei (CSV) gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der CSV-Datei.
PDF | Report wird als PDF-Datei gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der PDF-Datei.
MHTML | Report wird als Webarchiv (.mhtml) gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der PDF-Datei.
Excel | Report wird als Excel-Datei (.xls, für Excel 97 - 2003) gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der XLS-Datei. Diagramm wird als Grafik eingebettet, Werte können manuell verändert werden. Wertänderungen haben keinen Einfluss auf eingebettete Grafik.
TIFF | Report wird als Bild im Format TIFF gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der TIFF-Datei.
Word | Report wird als Word Dokument (.doc, für Word 97 - 2003) gespeichert. Klick öffnet Dialog zum Speichern/Anzeigen der DOC-Datei. Diagramm wird als Grafik eingebettet, Werte können manuell verändert werden. Wertänderungen haben keinen Einfluss auf eingebettete Grafik.

info Info

Reports werden immer für ein bestimmtes Ausgabemedium (siehe Exportformate) definiert. Werden Sie auf anderen Medien ausgegeben, kann das zu Verfälschungen beim Aussehen führen.

Zum Beispiel: Ein für HTML konfigurierter Report kann als PDF unpassende Seitenumbrüche erzeugen. Um einen Report auf mehrere Medien auszugeben, erstellen Sie für jedes Medium einen eigenen Report.


Reports verwalten

zenon Analyzer > Report Launcher > Reports verwalten

Reports werden über die Dropdownliste beim Report verwaltet.

Klick auf Verwalten öffnet den Dialog für die Verwaltung der Reports:

Option | Beschreibung
Eigenschaften | Eigenschaften des Reports.
Parameter | Konfiguration der Parameter des Reports.
Datenquellen | Auswahl der Datenquellen.
Verarbeitungsoptionen | Konfiguration der Verarbeitung des Reports.
Optionen zur Cacheaktualisierung | Erstellung und Bearbeitung der Pläne für die Cacheaktualisierung.
Reportverlauf | Ermöglicht es, Momentaufnahmen von Reports zu einem Verlauf zusammenzustellen.
Optionen für Momentaufnahme | Konfiguration von Momentaufnahmen.

Noch in diesem Kapitel

Eigenschaften

Parameter

Datenquellen

Verarbeitungsoptionen

Optionen zur Cache-Aktualisierung

Reportverlauf

Optionen für Momentaufnahme


Eigenschaften

zenon Analyzer > Report Launcher > Reports verwalten > Eigenschaften

Im Fenster Eigenschaften werden Basiseigenschaften angezeigt und konfiguriert.

Symbolleiste

Symbol | Beschreibung
Löschen | Löscht Report.
Verschieben | Öffnet Dialog zum Verschieben eines Reports in einen anderen Ordner.
Verknüpften Report erstellen | Öffnet den Dialog zum Erstellen eines verknüpften Reports. Verknüpfte Reports ermöglichen es, unterschiedliche Sicherheitseinstellungen auf einen Report anzuwenden.
Herunterladen | Öffnet den Dialog zum Herunterladen eines Reports.
Ersetzen | Öffnet den Dialog, um eine Reportdefinition hochzuladen und die vorhandene zu ersetzen.

Eigenschaften

Option

Beschreibung

Reportdaten

Anzeige von:

  • Änderungsdatum
  • Person, die den Report geändert hat
  • Erstelldatum
  • Person, die den Report erstellt hat
  • Größe

Name

Name des Reports.

Name:

  • darf nicht leer sein
  • darf nicht ausschließlich aus Punkten oder Leerzeichen bestehen
  • darf kein verbotenes Zeichen beinhalten;
    verboten sind: ;?:@&=+$,\*<>|"/

Der Name darf maximal 126 Zeichen lang sein.

Beschreibung

Beschreibung.
Kann bereits im ZAMS als Kommentar gesetzt werden. Eingaben im ZAMS überschreiben beim Bereitstellen Eingaben aus dem Report Launcher.

in Symbolansicht ausblenden
  • Aktiv: Report wird in der Symbolansicht nicht angezeigt.

Anwenden

Übernimmt Änderungen.


Parameter

zenon Analyzer > Report Launcher > Reports verwalten > Parameter

Zeigt die Parameter des Reports an und ermöglicht es:

  • einen Default zuzuweisen
  • Parameter für Benutzer auszublenden
  • den Text, mit dem der Parameter im Report angezeigt wird, zu konfigurieren

Welche Optionen angezeigt werden, hängt von der Art des Reports ab.

Option

Beschreibung

Parametername

Name des Parameters.

Nur Anzeige.

Typ des Parameters

Art des Parameters. Nur Anzeige.

Zeigt an, ob:

  • ein Parameter einen oder mehrere Werte zulässt
  • es sich um ein spezialisiertes Filter-Kontrollelement handelt (Bool, Schicht, Charge, Zeitspanne, Baumanzeige)
  • der Parameter der Eingabe von Werten oder der Auswahl eines Wertes aus einer Dropdownliste vorgegebener Werte dient

Bei nicht spezialisierten Controls wird zusätzlich noch der Datentyp angezeigt.

Besitzt Default
  • Aktiv: Defaultwert wird im Report für Eingabe vorgegeben.
  • Aktiv und ausgegraut: Defaultwerte eines Parameters stammen aus einer Formel oder einem DataSet. Defaultwerte können nicht verändert werden.
  • Inaktiv: Kein Wert wird vorgegeben.

Jede Änderung des Check-Status dieser Checkbox durch den Benutzer wird sofort an den Server weitergegeben.

Defaultwert

Hier wird das passende Filterelement für den Parameter dargestellt. Jeder Parameter mit aktivierter Option muss in dieser Spalte mit einem Defaultwert versehen werden, damit die Konfiguration gültig ist. Jede Wertänderung durch den Benutzer wird sofort an den Server weitergegeben. Mögliche Elemente:

  • Textelement: Wird angezeigt, wenn Option Besitzt Default Aktiv und ausgegraut ist und enthält die Begründung, warum das so ist.
  • Dropdownliste: Enthält bei konfigurierbaren Parametern Auswahl von Parametern. Dropdownliste kann gefiltert werden. Sie ist bedienbar, wenn der Defaultwert des Parameters verändert werden kann und die Option Besitzt Default ausgewählt wurde.
    Wertänderungen werden erst übernommen, wenn die Dropdownliste geschlossen wurde.
  • Eingabefeld: Ermöglicht bei konfigurierbaren Parametern die Eingabe von Parametern. Eingabe ist möglich, wenn der Defaultwert des Parameters verändert werden kann und die Option Besitzt Default ausgewählt wurde.
    Wertänderungen werden erst übernommen, wenn das Eingabefeld den Fokus verliert.

Ausblenden
  • Inaktiv: Parameter wird eingeblendet.
    Die Option Text anzeigen muss einen Wert erhalten, damit die Konfiguration gültig ist.
  • Aktiv: Parameter wird ausgeblendet.
    Die Option Text anzeigen wird geleert.

Ein Parameter kann nur dann ausgeblendet werden, wenn er mit einem gültigen Defaultwert ausgestattet ist ( Option Besitzt Default ausgewählt Defaultwert und ausgewählt).

Kann ein Parameter nicht ausgeblendet werden, ist die Checkbox nicht ausgewählt und deaktiviert.

Jede Änderung des Check-Status wird sofort an den Server weitergegeben.

Text anzeigen

Eingabe des Textes mit dem der Parameter im Report angezeigt wird.

Nur aktiv, wenn die Option Ausblenden nicht ausgewählt ist.

Das Eingabefeld erkennt Wertänderungen erst dann, wenn es den Fokus verliert.

Anwenden

Klick auf Schaltfläche übernimmt Einstellungen, wenn alle Optionen korrekt konfiguriert wurden.

Liegen Konfigurationsfehler vor, werden diese neben der entsprechenden Option angezeigt.

Wurde die Konfiguration gespeichert, wird dies unter der Schaltfläche angezeigt.

Hinweis: Interne Parameter steuern die für andere Parameter verwendeten Filter-Kontrollelemente oder Grenzen für Diagramme bzw. Marker für Archivverteilung. Intern sind Parameter, deren Name mit ChartStart, ChartEnd oder Hidden beginnt oder auf _Type endet. Sie haben Defaultwerte und werden im Report Launcher ausgeblendet. Sie werden aber im Report Builder angezeigt.
Empfehlung: Verändern Sie diese Parameter nicht!

attention Achtung

Fehlermeldungen für Parameter:

Für manche Parameter müssen die zur Verfügung stehenden Werte über eine Stored Procedure des Microsoft SQL-Servers geladen werden. Schlägt der Aufruf dieser Stored Procedure fehl oder liefert die Stored Procedure einen Fehler zurück, so wird im Report Launcher eine Fehlermeldung angezeigt. Zum Beispiel, wenn die Runtime nicht erreichbar ist, der SQL-Connector nicht erstellt wurde, usw.

Für manche Parameter kann unter Umständen kein Vorschlagswert vergeben werden, da ein vorher zu behandelnder Parameter keinen Wert enthält.
Zum Beispiel: Zeitfilter basieren auf Schichten, aber es sind noch keine Schichtdaten vorhanden. In diesem Fall ist die Vergabe von Vorschlagswerten erst möglich, wenn zumindest 1 Schicht geschrieben wurde.


Datenquellen

zenon Analyzer > Report Launcher > Reports verwalten > Datenquellen

Weist dem Report eine Datenquelle zu.

Option

Beschreibung

Eine freigegebene Datenquelle
  • Aktiv: Eine freigegebene Datenbank wird benutzt.

Der Name wird unter der Option angezeigt. Klick auf die Schaltfläche Durchsuchen öffnet den Dialog zur Auswahl einer Datenquelle.

Eine benutzerdefinierte Datenquelle

Konfiguration einer benutzerdefinierten Datenquelle.

Datenquelltyp

Auswahl des Typs über Dropdownliste.

Verbindungszeichenfolge

String zur Herstellung der Verbindung.

Verbindung herstellen über

Auswahl der Verbindungsmethode.

Bereitgestellte Anmeldeinformation vom Benutzer, der den Report ausführt

Anwender muss informationen angeben.

Vorgabe eines Hinweistextes möglich.

Information kann als Windows-Anmeldeinformation gekennzeichnet werden.

Anmeldeinforamtionen, die sicher auf dem Reportserver gespeichert sind

Anmeldeinformation ist auf dem Server hinterlegt.

Benutzername und Passwort müssen eingegeben werden.
Optional stehen zur Verfügung:

  • Verwendung der Windows-Authentifizierung bei der Verbindung zur Datenquelle.
  • Annahme der Identität des eingegebenen Benutzers nach Herstellung einer Verbindung.

Integrierte Sicherheit von Windows

Windows Sicherheit.

Keine Anmeldeinformationen erforderlich

Keine Anmeldeinformationen nötig.

Verbindung testen

Überprüft Verbindung und gibt unterhalb der Schaltfläche eine Textmeldung zum Erfolg aus.

Anwenden

Übernimmt alle Einstellungen.

Kennwort ändern

Es kann vorkommen, dass das Kennwort für die Datenquelle nicht mehr geändert werden kann.
Vorgangsweise, um den Zugriff auf die Option Kennwort wieder zu ermöglichen:

  1. Aktivieren Sie im Abschnitt Eine benutzerdefinierte Datenquelle die Eigenschaft Keine Anmeldeinformationen erforderlich.
  2. Klicken Sie auf Verbindung testen.

Jetzt können die Eigenschaften Benutzername und Kennwort wieder geändert werden.


Verarbeitungsoptionen

zenon Analyzer > Report Launcher > Reports verwalten > Verarbeitungsoptionen

In diesem Fenster definieren Sie, wie der Report ausgeführt werden soll:

  • Konfiguration der Zwischenspeicherung und des Ablaufs von temporären Kopien.
  • Erstellung des Reports auf Basis einer Momentaufnahme.
  • Definition des Timeouts bei der Erstellung von Reports

Option

Beschreibung

Diesen Report immer mit den neuesten Daten ausführen
  • Aktiv: Der Report wird immer mit den aktuellen Daten ausgeführt.

Auswahl einer Option für temporäre Kopien:

  • Keine temporären Kopien dieses Reports zwischenspeichern
  • Eine temporäre Kopie dieses Reports zwischenspeichern. Diese Kopie soll nach der folgenden Anzahl von Minuten ablaufen:
    Eingabe von Minuten in Feld.
    Default: 30
  • Eine temporäre Kopie dieses Reports zwischenspeichern. Diese Kopie soll gemäß dem folgenden Zeitplan ablaufen:
    Auswahl und Konfiguration Zeitplan:
    Reportspezifischer Zeitplan: Klick auf Konfiguration öffnet Dialog zur Konfiguration.
    Freigegebener Zeitplan: Klick auf Test überprüft Konfiguration.

Diesen Report aus einer Momentaufnahme rendern
  • Aktiv: Der Report wird aus einer Momentaufnahme gerendert.

Optional kann konfiguriert werden.

Auswahl und Konfiguration Zeitplan:

  • Reportspezifischer Zeitplan: Klick auf Konfiguration öffnet Dialog zur Konfiguration.
  • Freigegebener Zeitplan: Klick auf Test überprüft Konfiguration.

Reporttimeout

Konfiguration des Timeouts für den Report.

Optionen:

  • Defaulteinstellungen des Systems verwenden:
    Diese werden in den Allgemeinen Siteeinstellungen festgelegt.
  • Kein Timeout für den Report
  • Verarbeitung des Reports auf die folgende Anzahl von Sekunden beschränken:
    Eingabe von Sekunden in Feld.
    Default: 1800 Kein Timeout für den Report:

Anwenden

Übernimmt geänderte Einstellungen

Achtung: Seitenwechsel ohne Bestätigung durch Anwenden führt zu Verlust aller Änderungen.

Noch in diesem Kapitel

Zeitplan


Zeitplan

zenon Analyzer > Report Launcher > Reports verwalten > Verarbeitungsoptionen > Zeitplan

Konfiguration von Zeitplänen für die Verarbeitung von Reports.

Parameter

Beschreibung

Auswahl Intervall

Auswahl des Intervalls:

  • Stunde
  • Tag
  • Woche
  • Monat
  • Einmal

Details werden in der Option Zeitplan konfiguriert.

Zeitplan

Konfiguration des gewählten Intervalls. Zur Verfügung stehende Optionen hängen ab vom Intervall.

Anfangs- und Enddatum

Konfiguration des Startdatums. Das Ablaudfatum kann optional auch festgelegt werden.

OK

Übernimmt Einstellungen und schließt den Dialog.

Abbrechen

Verwirft alle Änderungen und schließt den Dialog.


Optionen zur Cache-Aktualisierung

zenon Analyzer > Report Launcher > Reports verwalten > Optionen zur Cache-Aktualisierung

Ermöglicht es, Pläne für die Cache-Aktualisierung zu erstellen und zu bearbeiten.

Klick auf Bearbeiten öffnet Dialog für Erstellung und Bearbeitung eines Plans.

Option | Beschreibung
Beschreibung | Name für Plan.
Cache gemäß dem folgenden Zeitplan aktualisieren | Auswahl des Zeitplans. Klick auf Schaltfläche Konfigurieren öffnet Dialog zur Erstellung eines Zeitplans.
Parameterwerte für diesen Cacheeintrag angeben | Eingabe der Parameter für den Report.
OK | Übernimmt Eingaben und schließt Dialog.
Abbrechen | Verwirft Eingaben und schließt Dialog.

info Info

Diese Funktion Cacheaktualisierung bezieht sich nur auf den Report Launcher und ist nicht ident mit der Aktion Cache aktualisieren im ZAMS.


Reportverlauf

zenon Analyzer > Report Launcher > Reports verwalten > Reportverlauf

Stellt Momentaufnahmen von Reports zu einem Verlauf zusammen.


Optionen für Momentaufnahme

zenon Analyzer > Report Launcher > Reports verwalten > Optionen für Momentaufnahme

Optionen für Momentaufnahmen.

Option

Beschreibung

Reportverlauf kann manuell erstellt werden:

Aktiv: Manuelle Momentaufnahmen sind möglich.

Alle Reportmomentaufnahmen im Verlauf speichern

Aktiv: jede Momentaufnahme wird auch im Reportverlauf angezeigt.

Zeitplan

Auswahl des Zeitplans oder Erstellung eines neuen Zeitplans.

Maximale Anzahl der Momentaufnahmen

Festlegung, wie viele Momentaufnahmen gespeichert werden.
Optionen:

  • Defaulteinstellungen verwenden:
    Diese werden in den Allgemeinen Siteeinstellungen festgelegt.
  • Beliebig viele Momentaufnahmen im Reportverlauf speichern:
    Speichert beliebig viele Momentaufnahmen. Anzahl ist durch Speicherplatz begrenzt.
  • Max. Anzahl von Kopien des Reportverlaufs
    Eingabe der Zahl in Feld.
    Default: 10

Anwenden

Klick auf Schaltfläche übernimmt Einstellungen, wenn alle Optionen korrekt konfiguriert wurden.

Liegen Konfigurationsfehler vor, werden diese neben der entsprechenden Option angezeigt.

Wurde die Konfiguration gespeichert, wird dies unter der Schaltfläche angezeigt.


Validierung von Formeln

zenon Analyzer > Report Launcher > Validierung von Formeln

Formeln in Reports werden validiert. Das betrifft Reports der Gruppe Analyse mit benutzerdefinierten Formeln und alle Effizienzklassen-Analysereports, die benutzerdefinierte Formeln verwenden.

Validierungsfehler sind:

  • keine oder ungültige Daten
  • falsche Parametrierung.
    (Hinweis: Falsche Parametrierung ist im ZAMS nicht möglich, kann aber durch direktes Bearbeiten des RDL entstehen.)

Werden bei der Berechnung eines Formelwerts Validierungsfehler entdeckt, so wird diese Formel nicht ausgeführt. Es wird also kein Wert geschrieben. Bei zeitstempelbezogenen Berechnungen wird nur die Formel für den betroffenen Zeitstempel nicht ausgeführt.

Validierungen finden statt bei:

  • berechneten Feldern vor der Verdichtung (für jeden Zeitstempel separat; von Formel vorgegeben)
  • Verdichtung (über Intervalle oder über ganzen Zeitbereich: mindestens ein Wert im Zeitbereich)
  • berechneten Feldern nach der Verdichtung (für jedes Intervall oder ganzen Zeitbereich; von Formel vorgegeben)

Validierungen je Formel:

Aktion | Validierung
Addition | Beide Operanden haben einen Wert.
Subtraktion | Beide Operanden haben einen Wert.
Multiplikation | Beide Operanden haben einen Wert.
Division | Beide Operanden haben einen Wert. Divisor ist nicht 0.
Absolut | Operand hat einen Wert.
natürlicher Logarithmus | Operand hat einen Wert > 0.
10er Logarithmus | Operand hat einen Wert > 0.
e^x | Operand hat einen Wert.
x^n | Operand hat einen Wert. Exponent > 1.
b^x | Operand hat einen Wert. Basis > 1.
Wurzel | Operand hat einen Wert >= 0. Ordnung > 1.
Aufrunden nächste Ganzzahl | Operand hat einen Wert.
Abrunden nächste Ganzzahl | Operand hat einen Wert.
Runden mit Genauigkeit | Operand hat einen Wert.
Sinus | Operand hat einen Wert.
Cosinus | Operand hat einen Wert.
Tangens | Operand hat einen Wert. Cosinus(Wert) nicht 0.
Cotangens | Operand hat einen Wert. Sinus(Wert) nicht 0.
ArcusSinus | Operand hat einen Wert . Wert im Bereich -1 bis 1
ArcusCosinus | Operand hat einen Wert. Wert im Bereich -1 bis 1.
ArcusTangens | Operand hat einen Wert.
Rad -> Deg | Operand hat einen Wert.
Deg -> Rad | Operand hat einen Wert.
SUM | Alle Operanden haben einen Wert.
AVG | Alle Operanden haben einen Wert.
MIN | Alle Operanden haben einen Wert.
MAX | Alle Operanden haben einen Wert.
Logarithmus mit Basis | Operand hat einen Wert > 0. Basis > 1.


Fehler-Logging

zenon Analyzer > Report Launcher > Fehler-Logging

zenon Analyzer nutzt den zenon Logging Dienst Diagnosis Viewer für das Sammeln und Anzeigen von Fehlermeldungen.

Hinweis: Der Connector kann unter Windows XP keine Meldungen an den Diagnosis Viewer weiterleiten. In diesem Fall werden Fehlermeldungen lokal gespeichert.

Noch in diesem Kapitel

Diagnosis Viewer

Fehlermeldungen zenon Analyzer allgemein


Diagnosis Viewer

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer

Alle zenon Module wie z. B. Editor, Runtime, Treiber usw. sowie der zenon Analyzer schreiben Meldungen in eine gemeinsame LOG-Datei. Diese kann mit dem Programm Diagnosis Viewer ausgelesen und angezeigt werden. Der Diagnosis Viewer ermöglicht das Lesen bestehender LOG-Dateien, Online-Logging, Speichern der aktuellen Ansicht, Parametrieren der Diagnose-Clients und Diagnosis Server.

Diagnosis Viewer starten

Der Diagnosis Viewer wird im Ordner: %Program Files (x86)%\Common Files\COPA-DATA\STARTUP installiert. Aufruf unter:

  • Windows 8: geben Sie am Desktop "Diagnosis Viewer" für Apps ein
  • Windows 7: Start/Alle Programme/zenon/Version Independent Tools -> Diagnosis Viewer.

Der Diagnosis Viewer steht nur in englischer Sprache zur Verfügung.

Verwendung von IPv6

Der Diagnosis Server funktioniert auch mit Diagnose Clients, die über IPv6-Adressen angesprochen werden. Dafür wurde das Format der LOG-Dateien angepasst. Der Diagnosis Viewer liest nur das neue Format der LOG-Dateien. Werden Dateien von älteren zenon Versionen geöffnet (oder umgekehrt), wird die IP-Adresse des Diagnose Clients nicht korrekt angezeigt.

Treiberanalyse

zenon Treiber protokollieren alle Fehler in LOG-Dateien. LOG-Dateien sind Textdateien mit einer speziellen Struktur. Der Standardordner für die LOG-Dateien ist der Ordner LOG unterhalb des Ordners ProgramData, zum Beispiel:

%ProgramData%\COPA-DATA\LOG.

Achtung: Mit den Standardeinstellungen zeichnet ein Treiber nur Fehlerinformationen auf. Mit dem Diagnosis Viewer kann bei den meisten Treibern die Diagnose-Ebene auf „Debug" und „Deep Debug" erweitert werden. Damit protokolliert der Treiber auch alle anderen wesentlichen Aufgaben und Ereignisse.

Im Diagnosis Viewer kann man auch:

  • neu erstellte Einträge in Echtzeit mitverfolgen
  • die Aufzeichnungseinstellungen anpassen
  • den Ordner, in dem die LOG-Dateien gespeichert werden, ändern

Hinweise:

  1. Der Diagnosis Viewer zeigt alle Einträge in UTC (Koordinierter Weltzeit) an und nicht in der lokalen Zeit.
  2. Der Diagnosis Viewer zeigt in seiner Standardeinstellung nicht alle Spalten einer LOG-Datei an. Um mehr Spalten anzuzeigen, aktivieren Sie die Eigenschaft Add all columns with entry im Kontextmenü der Spaltentitel.
  3. Bei Verwendung von reinem Error-Logging befindet sich eine Problembeschreibung in der Spalte Error text. In anderen Diagnose-Ebenen befindet sich diese Beschreibung in der Spalte General text.
  4. Viele Treiber zeichnen bei Kommunikationsprobleme auch Fehlernummern auf, die die SPS ihnen zuweist. Diese werden in Error text und/oder Error code und/oder Driver error parameter(1 und 2) angezeigt. Hinweise zur Bedeutung der Fehlercodes erhalten Sie in der Treiberdokumentation und der Protokoll/SPS-Beschreibung.
  5. Stellen Sie am Ende Ihrer Tests den Diagnose-Level von Debug oder Deep Debug wieder zurück. Bei Debug und Deep Debug fallen beim Protokollieren sehr viele Daten an, die auf der Festplatte gespeichert werden und die Leistung Ihres Systems beeinflussen können. Diese werden auch nach dem Schließen des Diagnosis Viewers weiter aufgezeichnet.

attention Achtung

Unter Windows CE werden aus Ressourcegründen Fehler standardmäßig nicht protokolliert.

Noch in diesem Kapitel

Allgemeines

Topologie des Diagnose-Systems

Ablauf

Diagnosis Server

Diagnosis Client

Diagnosis Viewer - Auswertungsprogramm

Filtermöglichkeiten

Lesen der LOG-Dateien

Struktur der LOG-Datei

Fehlerbehandlung und Meldungen für Diagnosis Viewer


Allgemeines

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Allgemeines

Das zenon Diagnose-System loggt Fehlermeldungen aus zenon und zenon Analyzer. Es besteht aus drei Teilen:

  • Diagnosis Server: lokaler oder in zenon6.ini eingestellter zenLogSrv
  • Diagnose Clients: alle Module, Treiber, Services etc., die Meldungen absetzen
  • Diagnosis Viewer: Auswertungsprogramm

Versionen

Ab Version zenon 7.00 wird für das Diagnose System als Dienst der zenLogSrv statt des zenSysSrv verwendet. Das bedeutet:

  • Diagnose Systeme bis Version 6.51 und ab Version 7.00 sind jeweils untereinander kompatibel.
  • Die Diagnose Mechanismen von zenon 6.51 SP0 und zenon 7.00 SP0 sind nicht kompatibel.
Kompatibilität | Diagnosis Server 6.51 SP0 und früher | Diagnosis Server 7.00 SP0 und höher
Diagnose Client 6.51 SP0 und früher | kompatibel | inkompatibel
Diagnosis Viewer 6.51 SP0 und früher | kompatibel | inkompatibel
Diagnose Client 7.00 SP0 und höher | inkompatibel | kompatibel
Diagnosis Viewer 7.00 SP0 und höher | inkompatibel | kompatibel

Mit dem Diagnosis Viewer Version 7.00 SP0 und höher können LOG-Dateien, die von einem Diagnosis Server Version 6.51 SP0 (oder früher) erstellt wurden, geöffnet werden. Der umgekehrte Fall funktioniert nicht.

Default-Ports

  • ab Version 7: 50780 (Port des Dienstes zenLogSrv)
  • bis inklusive Version 6.51: 1101 (Port des Dienstes zenSysSrv)

Kann der Port nicht geöffnet werden, beendet sich der jeweilige Dienst.

attention Achtung

Ist der Port, zu dem sich der Diagnosis Viewer verbinden soll, geschlossen, dann wird versucht, den lokalen Diagnosis Server zu starten. Damit wird sichergestellt, dass lokal geloggt wird, wenn ein Diagnosis Server im Netzwerk nicht verfügbar ist.

Speicherbelegung

Der Dienst zenLogSrv puffert LOG-Einträge bis sie in die LOG-Datei geschrieben werden können. Steigt der Verbrauch an Arbeitsspeicher durch den zenLogSrv kontinuierlich an, ist das ein Hinweis darauf, dass nicht in die LOG-Datei geschrieben werden kann.


Topologie des Diagnose-Systems

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Topologie des Diagnose-Systems

Die Topologie des Diagnose-Systems unterscheidet sich in den Versionen bis 6.51 SP0 und ab 7.00 SP0.

Topologie vor zenon 7.00 SP0

Das Schema zeigt alle möglichen Verbindungen, für die der zenSysSrv Version zuständig ist. Jeder Pfeil repräsentiert eine Netzwerkverbindung zwischen den Anwendungen. Alle Anwendungen verbinden sich zum zenSysSrv auf Port 1101, unabhängig davon, ob Client und Server sich auf demselben Rechner befinden oder über ein Netzwerk kommunizieren.

  1. Der Editor sendet Log-Einträge sowie Kommandos und Daten des Remote-Transport an den zenSysSrv. Der zenSysSrv sendet die Konfiguration der Diagnosis Clients (Editor, Runtime, Treiber, zenon Web Server, zenon Web Client usw.) und die Remote-Transport Daten an den Editor.
  2. Der Diagnosis Viewer sendet Diagnose-Kommandos, Diagnose-Konfigurationen und Log-Einträge an den zenSysSrv. Der zenSysSrv sendet Diagnose-Daten und die Diagnosis Client Konfiguration an den Diagnosis Viewer.
  3. Der zenSysSrv sendet die Diagnosis Client Konfiguration an die Diagnosis Clients. Die Diagnosis Clients senden Log-Einträge an den zenSysSrv.

Der zenSysSrv reagiert entsprechend auf jede eingehende Nachricht:

  • Log-Einträge werden in LOG-Dateien geschrieben.
  • Remote-Transport Kommandos (Runtime starten, Dateien hochladen / rücklesen, …) werden ausgeführt.
  • Diagnose-Kommandos (setze Server/Client Konfiguration, beginne Online Logging, …) werden ausgeführt.

Topologie ab zenon 7.00 SP0

Das Schema zeigt alle möglichen Verbindungen, für die der zenSysSrv und der zenLogSrv (ab Version 7.00 SP0) zuständig sind. Jeder Pfeil repräsentiert eine Netzwerkverbindung zwischen den Anwendungen. Alle Anwendungen verbinden sich zum zenLogSrv auf Port 50780. Der Editor verbindet sich zum zenSysSrv auf Port 1101. Dabei ist es egal, ob Client und Server sich auf demselben Rechner befinden oder über ein Netzwerk kommunizieren.

  1. Der Editor sendet Kommandos und Daten des Remote-Transport an den zenSysSrv. Der zenSysSrv sendet Daten des Remote-Transport an den Editor.
  2. Der Editor sendet Log-Einträge an den zenLogSrv. Der zenLogSrv sendet die Konfiguration des Diagnosis Clients an den Editor.
  3. Der Diagnosis Viewer sendet Diagnose-Kommandos, Diagnose-Konfigurationen und Log-Einträge an den zenLogSrv. Der zenLogSrv sendet Diagnose-Daten und die Konfiguration der Diagnosis Clients an den Diagnosis Viewer.
  4. Der zenSysSrv sendet Log-Einträge an den zenLogSrv. Der zenLogSrv sendet die Konfiguration der Diagnosis Clients an den zenSysSrv.
  5. Der zenLogSrv sendet die Konfiguration der Diagnosis Clients an die Diagnosis Clients. Die Diagnosis Clients senden LOG-Einträge an den zenLogSrv.

Der zenSysSrv reagiert auf eintreffende Remote-Transport Kommandos.
Der zenLogSrv reagiert auf eintreffende Diagnose-Kommandos und Log-Einträge

Beispiel

In einer Umgebung mit einem zentralen Diagnosis Server wird auf einem Gerät die Runtime gestartet. Basierend auf der Runtime-Version wird die Konfiguration aus der zenon6.ini gelesen. Versionen vor 7.00 SP0 lesen den Eintrag LOG_CONFIG aus [SYS_REMOTE], neuere Versionen lesen diesen Eintrag aus [LOGGING_SYSTEM]. Mit dieser Konfiguration wird versucht, eine Diagnose-Verbindung herzustellen. (Details siehe Standard-Ablauf.) Jede weitere von der Runtime geladene Komponente (Treiber, zenNetSrv usw.) bauen ebenfalls eine Diagnose-Verbindung auf.


Ablauf

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Ablauf

Per Default werden von den Clients an den Diagnosis Server nur Fehlermeldungen (Errors) gemeldet.

Der Diagnosis Server speichert die erhaltenen Meldungen in TXT-Dateien mit einer speziellen Struktur. Der Default-Ordner für die LOG-Dateien ist der Ordner LOG unterhalb des Ordners %ProgramData%. Zum Beispiel: %ProgramData%\COPA-DATA\LOG.
Weitere Informationen finden Sie im Handbuch Installation und Updates im Kapitel Dateistruktur.

Hinweis: Unter Windows CE werden aus Ressourcengründen per Default auch keine Fehlermeldungen erstellt.

Um nicht nur Fehlermeldungen, sondern andere zur Diagnose wichtige Informationen an den Diagnosis Server zu melden, müssen die entsprechenden Einstellungen für den Client getroffen werden.

Auch das Verhalten des Servers kann konfiguriert werden.

Konfiguration

Die Konfiguration der Verbindung erfolgt in der zenon6.ini, unterteilt in:

  • Diagnosis Clients
  • Diagnosis Server
  • Versionen um sicherzustellen, dass die Konfigurationen der Versionen sich nicht gegenseitig beeinträchtigen

Auch die Konfiguration des Diagnosis Viewer ermöglicht Einstellungen für die Verbindung zu konfigurieren:

  • Einstellungen des Servers
  • Verbindungseinstellung Diagnosis Server Connection
  • Diagnosis Client
  • Diagnosis Viewer - Auswertungsprogramm

Die Konfiguration der Verbindungen für Server und Client wird per zenon6.ini empfohlen.

Ablauf

Der Diagnosis Server ist:

  • am PC ein Dienst.
    Der Dienst startet mit dem Hochfahren des Betriebssystems automatisch. Der lokale Dienst kann nur einmal gestartet werden.
  • unter CE eine Anwendung.
    Unter CE kann nur ein Prozess den Port nutzen. Eventuell zusätzlich gestartete Prozesse beenden sich wieder, da der Port nicht geöffnet werden kann. Ist die lokale Konfiguration des Diagnosis Servers unter CE so eingestellt, dass nur die Oberfläche angezeigt werden soll (INIT=2), können durch die Versuche der Diagnosis Clients, den lokalen Diagnosis Server zu starten, mehrere Prozesse entstehen.

Sobald ein Diagnosis Client aktiv wird, werden folgende Schritte ausgeführt:

  1. Der Diagnosis Client liest die Konfiguration aus der zenon6.ini und verwendet diese. Ist in der zenon6.ini keine Konfiguration vorhanden, wird die Default-Konfiguration (Diagnosis Server=localhost:50780) verwendet.
  2. Der Diagnosis Client versucht eine Verbindung zum Diagnosis Server aufzubauen:

    Aufbau gelingt:

    1. Die Diagnose-Verbindung steht und Log-Einträge werden gesendet.

    Aufbau scheitert:

    1. Der Diagnosis Client versucht, den lokalen Diagnosis Server zu starten und diesen zu verwenden.
      Am PC wird versucht, den Dienst zu starten.
      Unter CE wird versucht, den Prozess zu erzeugen.
    2. Der Diagnosis Client versucht eine Verbindung zum lokalen Diagnosis Server aufzubauen. Gelingt dies, steht die Diagnose-Verbindung und Log-Einträge werden gesendet.

    Gelingt kein Verbindungsaufbau, werden keine Log-Einträge erstellt.

Noch in diesem Kapitel

Einträge in zenon6.ini

Windows CE


Einträge in zenon6.ini

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Ablauf > Einträge in zenon6.ini

Die Konfiguration von zenSysSrv und zenLogSrv erfolgt in der zenon6.ini. Dabei wird zwischen den Versionen ab 7.00 und bis inklusive 6.51 unterschieden. Damit können auf einem Gerät sowohl alte als auch neue Diagnosis Clients und Diagnosis Server unabhängig voneinander konfiguriert werden. So können zum Beispiel die LOG-Einträge von alten Diagnose Clients umgeleitet werden, ohne dass die LOG-Einträge neuer Diagnose Clients berührt werden.

Diagnosis Server vor Version 7.00 SP0

INI Eintrag

Erklärung

[SYS_REMOTE]

Abschnitt in zenon6.ini.

Enthält Parameter für zenSysSrv (Remote-Transport und Diagnosis Server).

LOGDirectory=

Definiert Ordner für die LOG-Dateien.

Ist der Eintrag nicht vorhanden, wird der LOG-Ordner im %ProgramData%-Ordner der verwendeten Version verwendet.

Beispiel:
LOGDirectory= %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Konfigurationsstring für den Diagnosis Server und den zenSysSrv . Remote-Transport und Diagnose-System verwenden bis inklusive Version 6.51 SP0 die gleiche Serverkonfiguration. Der String besteht aus folgenden Teilen: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart.
    TCP/IP und seriell stehen zur Verfügung.
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.
  • BAUD: gibt die Verbindungsgeschwindigkeit einer seriellen Verbindung an.

Konfiguration PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Konfiguration CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definiert Speicherplatz in MB, der mindestens auf der Festplatte frei bleiben muss. Bevor dieser Wert unterschritten wird, werden LOG-Dateien gelöscht.

Default: 1024

LOGMaxUsedDiskSpace=

Definiert den maximal für LOG-Dateien verwendeten Speicherplatz in MB auf der Festplatte. Wird dieser Wert überschritten, werden LOG-Dateien gelöscht.

Default: 1024

LOGMinUsedDiskSpace=

Definiert Speicherplatz in MB auf der Festplatte, der belegt wird, auch wenn keine LOG-Dateien vorhanden sind.

Default: 5

LOGLogLifeTime=

Definiert die Lebensdauer der LOG-Dateien in Sekunden. Ältere LOG-Dateien werden gelöscht.

Default: 1209600 (entspricht 14 Tagen)

LOGImageCnt=

Definiert die Anzahl der LOG-Einträge, nach denen alle inkrementellen LOG-Felder geschrieben werden.

  • 0: inaktiv (Default)

LOGLogUpdateTime=

Anzahl von Millisekunden, nach der erhaltene LOG-Einträge in eine LOG-Datei geschrieben werden.

Default: 2000

LOGMaxBufferedRecs=

Definiert die Anzahl an LOG-Einträgen, die gepuffert werden, wenn nicht in Dateien geschrieben werden kann.

Default: 10240

LOGMaxLogFileSize=

Maximale Größe einer LOG-Datei in Byte. Hat eine LOG-Datei diese Größe erreicht, wird sie geschlossen und eine neue LOG-Datei wird erstellt.

Default: 5242880 (entspricht 5 MB)

LOGCheckDiskTime=

Definiert das Intervall in Sekunden, in dem der von LOG-Dateien belegte Speicherplatz geprüft wird.

Default: 60

INIT=

Aktion beim Starten der Anwendung unter Windows CE :

  • 0: sofort wieder beenden
  • 1 (oder anderer Wert größer 2): Listening Port öffnen und in System Tray minimieren
  • 2: nur Oberfläche anzeigen

Default: 1

Hinweis: Im Zuge der Trennung von zenSysServ und zenLogServ für zenon 7.00 wurde dieser Defaultwert auch für andere Versionen umgestellt. Davor war der Defaultwert 2.

Diagnosis Server ab Version 7.00 SP0

INI Eintrag

Erklärung

[LOGGING_SYSTEM]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnosis Server. Betrifft nur zenLogSrv und hat keine Auswirkung auf zenSysSrv.

LOGDirectory=

Definiert den Ordner für die LOG-Dateien.

Ist der Eintrag nicht vorhanden, wird verwendet:

  • der aus der Registry extrahierte Pfad
    z. B. %ProgramData%\COPA-DATA\LOG
  • der LOG-Ordner im %ProgramData%-Ordner des zenLogSrv, falls in der Registry kein Pfad definiert wird
    z. B. %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Konfigurationsstring für den Diagnosis Server. Der String besteht aus folgenden Teilen: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definiert Speicherplatz in MB, der mindestens auf der Festplatte frei bleiben muss. Bevor dieser Wert unterschritten wird, werden LOG-Dateien gelöscht.

Default: 1024

LOGMaxUsedDiskSpace=

Definiert den maximal für LOG-Dateien verwendeten Speicherplatz in MB auf der Festplatte. Wird dieser Wert überschritten, werden LOG-Dateien gelöscht.

Default: 1024

LOGMinUsedDiskSpace=

Definiert Speicherplatz in MB auf der Festplatte, der belegt wird, auch wenn keine LOG-Dateien vorhanden sind.

Default: 5

LOGLogLifeTime=

Definiert die Lebensdauer der LOG-Dateien in Sekunden. Ältere LOG-Dateien werden gelöscht.

Default: 1209600 (entspricht 14 Tagen)

LOGImageCnt=

Definiert die Anzahl der LOG-Einträge, nach denen alle inkrementellen LOG-Felder geschrieben werden.

Default: 0

LOGLogUpdateTime=

Anzahl von Millisekunden, nach der erhaltene LOG-Einträge in eine LOG-Datei geschrieben werden.

Default: 2000

LOGMaxBufferedRecs=

Definiert die Anzahl an LOG-Einträgen, die gepuffert werden, wenn nicht in Dateien geschrieben werden kann.

Default: 10240

LOGMaxLogFileSize=

Maximale Größe einer LOG-Datei in Byte. Hat eine LOG-Datei diese Größe erreicht, wird sie geschlossen und eine neue LOG-Datei wird erstellt.

Default: 5242880 (entspricht 5 MB)

LOGCheckDiskTime=

Definiert das Intervall in Sekunden, in dem der von LOG-Dateien belegte Speicherplatz geprüft wird.

Default: 60

INIT=

Aktion beim Starten der Anwendung unter Windows CE:

  • 0: sofort wieder beenden
  • 1 (oder anderer Wert größer 2): Listening Port öffnen und in System Tray minimieren
  • 2: nur Oberfläche anzeigen

Default: 1

Diagnosis Client vor Version 7.00 SP0:

INI Eintrag

Erklärung

[SYS_REMOTE]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnosis Client.

LOG_CONFIG=

Hier wird ein Konfigurationsstring für den Diagnosis Client abgelegt. Der String besteht aus folgenden Teilen: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client ab Version 7.00 SP0

INI Eintrag

Erklärung

[LOGGING_SYSTEM]

Abschnitt in zenon6.ini.

Enthält Parameter für Diagnosis Client.

LOG_CONFIG=

Hier wird ein Konfigurationsstring für den Diagnosis Client abgelegt. Der String besteht aus folgenden Teilen:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setzt die verwendete Kommunikationsart und muss immer auf TCP/IP gesetzt werden
  • HOST: wird auf den Rechnernamen des Diagnosis Servers gesetzt.
  • PORT: gibt den zu verwendenden Port an.
  • TIMEOUT: gibt die Timeoutzeit der Verbindung in Sekunden an.

Konfiguration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Hinweise

INIT unter CE

Unter Windows CE wird dringend empfohlen, den Eintrag INIT= (im Abschnitt [LOGGING_SYSTEM]oder [SYS_REMOTE]) nicht auf den Wert 2 zu setzen.

Grund: Der Wert 2 führt dazu, dass sowohl SysSrvCE als auch LogSrvCE nur die Oberfläche anzeigen und den Listening Port nicht öffnen.
Möchte nun ein Diagnosis Client eine Verbindung aufbauen, schlägt das fehl. Da Diagnosis Clients in diesem Fall den LogSrvCE als Prozess starten und dieser den Port nicht öffnet, startet jeder einzelne Diagnosis Client einen solchen Prozess. Das führt zu vielen parallelen LogSrvCE Prozessen und zu einer Verzögerung beim Starten der Diagnosis Clients, da diese beim Herstellen der Diagnose-Verbindung auf das Timeout der Verbindung warten.

zenLogSrv auf einem System mit verschiedenen Versionen

Wird der zenLogSrv auf einem System mit verschiedenen Versionen als zentraler lokaler Diagnosis Server verwendet, muss der Eintrag LOG_CONFIG im Abschnitt [SYS_REMOTE] wie folgt lauten:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Grund: Ältere Clients verwenden dann den zenLogSrv als Diagnosis Server. Neue Clients machen das automatisch. Am PC wird dieser als Dienst automatisch beim Systemstart gestartet, unter CE muss er händisch gestartet werden.

Achtung: Ist der Port nicht erreichbar, starten ältere Clients den zenSysSrv und versuchen erneut eine Verbindung mit diesem herzustellen.


Windows CE

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Ablauf > Windows CE

Unter Windows CE wird der Diagnosis Server als Anwendung gestartet.

Bei der Konfiguration der Verbindung beachten Sie die Empfehlung zum Parameter INIT:

Unter Windows CE wird dringend empfohlen, den Eintrag INIT= (im Abschnitt [LOGGING_SYSTEM]oder [SYS_REMOTE]) nicht auf den Wert 2 zu setzen.

Grund: Der Wert 2 führt dazu, dass sowohl SysSrvCE als auch LogSrvCE nur die Oberfläche anzeigen und den Listening Port nicht öffnen.
Möchte nun ein Diagnosis Client eine Verbindung aufbauen, schlägt das fehl. Da Diagnosis Clients in diesem Fall den LogSrvCE als Prozess starten und dieser den Port nicht öffnet, startet jeder einzelne Diagnosis Client einen solchen Prozess. Das führt zu vielen parallelen LogSrvCE Prozessen und zu einer Verzögerung beim Starten der Diagnosis Clients, da diese beim Herstellen der Diagnose-Verbindung auf das Timeout der Verbindung warten.

Oberflächen unter CE

Transport Service (zenSysSrv)

Parameter

Beschreibung

Start

Öffnet den Listening Port und ermöglicht dem zenSysSrv Remote-Transport Befehle zu empfangen.

Browse

Öffnet einen Dialog zum Durchsuchen des Dateisystems.

Stop

Beendet das Empfangen von Remote-Transport Befehle und schließt den Listening Port wieder.

Configuration

Auswahl einer verfügbaren Serverkonfiguration aus Dropdownliste. Neue Verbindungen können nicht konfiguriert werden. Konfiguration der Verbindungen siehe Abschnitt Einträge in zenon6.ini.
Verfügbar sind:

  • Konfiguration aus der zenon6.ini
  • Default-Konfiguration für TCP/IP
  • Default-Konfigurationen für COM1 bis COM4

Hide

Minimiert die Oberfläche in die Taskleiste.

Exit

Beendet die Anwendung und schließt bei Bedarf zuvor den Listening Port.

X
(Schaltfläche rechts oben)

Minimiert die Oberfläche in die Taskleiste.

Logging Service (zenLogSrv)

Parameter

Beschreibung

Start

Öffnet den Listening Port und ermöglicht dem zenLogSrv LOG-Einträge zu empfangen.

Stop

Beendet das Empfangen von LOG-Einträgen und schließt den Listening Port wieder.

Configuration

Auswahl aus verfügbaren Konfigurationen aus Dropdownliste. Neue Verbindungen können nicht konfiguriert werden. Konfiguration der Verbindungen siehe Abschnitt Einträge in zenon6.ini.
Verfügbar sind:

  • Konfiguration aus der zenon6.ini
  • Default-Konfiguration für TCP/IP

Hide

Minimiert die Oberfläche in die Taskleiste.

Exit

Beendet die Anwendung und schließt bei Bedarf zuvor den Listening Port.

X
(Schaltfläche rechts oben)

Minimiert die Oberfläche in die Taskleiste.


Diagnosis Server

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Diagnosis Server

Der Diagnosis Server:

  • Erstellt und verwaltet die LOG-Dateien.
  • Der Server ist:
    • ab zenon 7.00 als zenLogSrv implementiert
    • bis inklusive zenon 6.51 in den zenSysService integriert.
  • Die Konfiguration des Servers wird aus der zenon6.ini gelesen.
  • Der Server schreibt die erhaltenen LOG-Daten in die LOG-Datei.
  • Der Speicherort der Dateien ist konfigurierbar. Standard: %ProgramData%\COPA-DATA\LOG\
  • LOG-Dateien haben die Benennung LOG<YYMMTThhmmss>.txt.
  • Der Server ist multiclientfähig. Mehrere Auswertungen können sich gleichzeitig zum Server verbinden.
  • Es besteht die Möglichkeit, sich online auf den Server zu verbinden, um die aktuellen Logging-Vorgänge mitzuverfolgen.
  • Es besteht die Möglichkeit, sich zu anderen als dem lokal laufenden Diagnosis Server zu verbinden und dieselben Aufgaben (Server konfigurieren, Clients konfigurieren, Online-Logging) durchzuführen wie am lokalen Server.
  • Beim aktuellen Server (mit dem der Diagnosis Viewer verbunden ist) können die Parameter modifiziert werden. Falls eine Modifizierung bei einem anderen Diagnosis Server nötig ist, kann unter Menü Datei - Verbinden mit... die Serververbindung geändert werden.
  • Im Menü ist der Eintrag Settings - Server configuration nur verfügbar, wenn gerade kein Online-Logging verwendet wird.

Noch in diesem Kapitel

Systemintegritätsüberprüfung

Einstellungen des Servers


Systemintegritätsüberprüfung

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Diagnosis Server > Systemintegritätsüberprüfung

Beim Runtime-Start wird ein Überwachungsthread mit hoher Priorität gestartet. Der Überwachungsthread überprüft alle 10 Sekunden kritische Systemparameter und schreibt entsprechende Warnungen oder Fehler in das Modul Supervisor des Diagnose Servers.

Folgende Parameter werden überprüft.

Parameter | Grenzwert
Warnschwelle für benutzte Handles | > 5000
Fehlerschwelle für benutzte Handles | > 9000
Warnschwelle für benutze GDI-Objekte | > 5000
Fehlerschwelle für benutze GDI-Objekte | > 9000
Warnschwelle für CPU-Last für den Hauptthread | > 70 %
Fehlerschwelle für CPU-Last für den Hauptthread | > 90 %
Warnschwelle für CPU-Last gesamt | > 70 %
Warnschwelle für CPU-Last gesamt | > 90 %
Warnschwelle für freien Hauptspeicher | < 30 %
Fehlerschwelle für freien Hauptspeicher | < 10 %
Warnschwelle für OnTimer im mainframe | > 1000 ms
Fehlerschwelle für OnTimer im mainframe | > 5000 ms


Einstellungen des Servers

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Diagnosis Server > Einstellungen des Servers

Der Diagnosis Server kann über Einträge in der zenon6.ini konfiguriert werden oder über den Dialog Server configuration im Diagnose Client. Es wird empfohlen, die Einstellungen über zenon6.ini vorzunehmen.

Konfiguration über zenon6.ini

Siehe Abschnitt Einträge in zenon6.ini.

Konfiguration über Dialog

Um den Diagnosis Server über den Dialog zu konfigurieren:

  1. starten Sie den Diagnosis Viewer
  2. öffnen Sie den Eintrag File Connect to...
  3. konfigurieren Sie den gewünschten Server
    (Beachten Sie die korrekte Wahl des Ports, abhängig von der Version!)
  4. öffnen Sie den Eintrag Settings -> Server configuration
  5. konfigurieren Sie die mitzuloggenden Ereignisse
  6. schließen Sie den Dialog mit Klick auf OK

Hinweis: Alle Änderungen werden mit Bestätigung des Dialogs in die zenon6.ini geschrieben.

Konfiguration der Ereignisse, die vom Diagnosis Viewer mitgeloggt werden:

Parameter | Beschreibung
Modules | Auswahl des zu konfigurierenden Moduls.
Messagelevel | Auswahl der zu protokollierenden Ereignisse. Default: Errors
LOGImageCnt | Anzahl der Einträge, nach denen alle inkrementellen Felder geschrieben werden. Default: 0 (nicht aktiv)
LOGMinFreeDiskSpace | Es wird laufend geprüft, ob weniger als der konfigurierte minimale freie Plattenplatz verfügbar ist. Die ältesten LOG-Dateien werden gelöscht. Minimaler freier Plattenplatz bevor LOG-Dateien gelöscht werden in MB. Default: 1024 MB
LOGMaxUsedDiskSpace | Maximal verwendeter Plattenplatz für die LOG-Datei in MB. Default: 1024 MB
LOGMinUsedDiskSpace | Minimal verwendeter Plattenplatz unabhängig ob LOGMinFreeDiskSpace unterschritten ist in MB. Default: 5 MB
LOGLogUpdateTime | Zeit in ms nach welcher die erhaltenen Einträge gespeichert werden. Default: 2000 ms
LOGMaxBufferedRecs | Der Server puffert den Inhalt sämtlicher inkrementeller LOG-Felder für die verschiedenen Applikationen, um Abbilder dieser in die LOG-Datei schreiben zu können. Bei Neubeginn einer LOG-Datei und nach konfigurierbarer Anzahl von Log-Einträgen wird ein komplettes Abbild, für alle Adressen in die LOG-Datei geschrieben. Die Daten, die empfangen werden, werden in die LOG-Dateien geschrieben. Die Eintragung erfolgt nicht direkt sondern über einen Zwischenpuffer. Es kann konfiguriert werden, ob die Daten verzögert oder sofort geschrieben werden. Anzahl der gepufferten Einträge, wenn diese nicht gespeichert werden können. Default: 10240
LOGMaxLogFileSize | Der Server schreibt die erhaltenen LOG-Daten in die LOG-Datei. Wenn diese die konfigurierte Größe erreicht, wird eine neue Datei begonnen. Maximale Größe einer einzelnen LOG-Datei in Byte. Default: 5 MB
LOGDirectory | Ordner, in den die LOG-Dateien geschrieben werden. Default: %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | Es wird laufend geprüft ob die Lebenszeit der LOG-Dateien abgelaufen ist. Die älteren LOG-Dateien werden gelöscht. Anzahl der Sekunden welche die LOG-Dateien aufbewahrt werden. Default: 14 Tage
LOGCheckDiskTime | Abstand in s, in dem der belegte Plattenplatz überprüft wird. Default: 60 s
Message level for all modules | Einstellungen werden für alle Module übernommen.
Default values | Standardeinstellungen wieder herstellen.
Accept | Einstellungen für dieses Modul übernehmen.
Cancel | Verwirft Änderungen und schließt Dialog.
OK | Übernimmt Änderungen und schließt Dialog.


Diagnosis Client

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Diagnosis Client

Jedes Programm, das LOG-Einträge erstellt, ist ein Diagnosis Client. Diese Log-Einträge werden via TCP/IP zum Diagnosis Server gesendet. Server-Rechner und Port werden - abhängig von der eingesetzten Verion - aus der lokalen zenon6.ini eingelesen und kontaktiert. Schlägt die Verbindung fehl, wird dies zyklisch versucht:

  • Ist der Diagnosis Server nicht erreichbar, wird alle 500 ms ein Reconnect versucht.
  • Wenn nach der halben Timeout-Zeit keine Verbindung erstellt werden konnte, wird versucht den Dienst zenSysSrv oder zenLogSrv zu starten.

Die Einstellungen werden über den Eintrag LOG_CONFIG= im Abschnitt [SYS_REMOTE] (bis 6.51) oder [LOGGING_SYSTEM] (ab 7.00) konfiguriert.

Konfiguration Diagnosis Client

Um den Diagnosis Client über den Dialog zu konfigurieren:

  1. Starten Sie den Diagnosis Viewer.
  2. Öffnen Sie den Eintrag Settings -> Client configuration.
    Nur verfügbar, wenn Logging inaktiv ist.
  3. Markieren Sie einen Client,
  4. Klicken Sie auf List of parameters,
  5. Der Dialog zur Konfiguration wird geöffnet.
  6. Konfigurieren Sie den Client.
  7. Schließen Sie den Dialog mit Klick auf OK.
  8. Wiederholen Sie den Vorgang eventuell für weitere Clients.

Clientliste

Parameter | Beschreibung
Clients | Listet alle verfügbaren Clients auf.
Refresh | Aktualisiert Liste der Clients.
List of parameters | Öffnet Dialog zur Konfiguration des ausgewählten Clients.
Close | Schließt Dialog.

Client konfigurieren

Module, die ausgewählt werden können:

Modul

Beschreibung

Modules

Auswahl des zu konfigurierenden Moduls.

Liste setzt sich zusammen aus Default-Modulen und Modulen, die vom jeweiligen Client abhängen.

  • General: Allgemeine Meldungen
  • Net: Netzwerkmeldungen
  • Proxy: Meldungen des zenon Proxy
  • Db: Meldungen vom ZenDbSrv
  • SysSrv: Meldungen vom ZenSysSrv
  • Driver: Meldungen eines Treibers
  • LOG: Meldungen vom Logging
  • SAT: SICAM 230 spezifische Meldungen

Messagelevel

Art der zu loggenden Informationen.

All

Wählt alle aus.

None

Wählt alle ab.

Message Level for all Modules

Weist markierte Message Level allen Modulen zu.

Max Buffered records

Anzahl der Einträge, die gepuffert werden, wenn keine Verbindung zum Diagnosis Server besteht.
Default: 256

OK

Übernimmt alle Änderungen und schließt Dialog.

Cancel

Verwirft alle Änderungen und schließt Dialog.

Accept

Übernimmt alle Änderungen und lässt Dialog geöffnet.

Default values

Trägt die Defaults ein.


Diagnosis Viewer - Auswertungsprogramm

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Diagnosis Viewer - Auswertungsprogramm

Der Diagnosis Viewer dient zur Anzeige der LOG-Daten. Er verbindet sich mit dem Diagnosis Server, um die Daten online anzuzeigen oder historische LOG-Dateien abzurufen. LOG-Dateien enthalten nicht nur die LOG-Daten, es werden zusätzliche auch für die Auswertung notwendige Informationen wie Spaltenüberschriften mit abgelegt.

Um eine LOG-Datei anzuzeigen:

  1. Wählen Sie File -> Open.
  2. Der Dialog zur Auswahl einer LOG-Datei wird mit Fokus auf den konfigurierten Default-Ordner geöffnet.
  3. Wählen Sie die gewünschte Datei.
  4. Die LOG-Datei wird angezeigt.

  5. Doppelklick auf einen Eintrag öffnet die Detailansicht.

Erkennung Queue-Überlauf bei Treiber

Werden Meldungen eines Treibers aufgrund von Queue-Überlaufen gelöscht, setzen Diagnose Clients und Diagnosis Server beim Schreiben eines neuen Eintrags für alle aktivierten Module eine Markierung im neuen Eintrag, dass ältere Einträge aus der Queue gelöscht wurden. Die in den geöffneten LOG-Dateien enthaltenen Überlaufkennungen werden gezählt:

Parameter | Beschreibung
Spalte Record version | Diese Spalte muss in der Spaltenauswahl enthalten sein. Sie zeigt die Version des Datensatzes an. Eine Version 8x markiert Overflows.
Zähler 82 | 8 verweist auf Overflow, 2 auf die betroffene Version des Datensatzes.
Statuszeile: queue overflows | Bei aktivierter Statuszeile wird hier die Anzahl der Overflows angezeigt.

Hinweis: Nicht alle in die LOG-Datei geschriebenen Einträge werden auch dargestellt. Wurde ein nicht dargestellter LOG-Datensatz mit einem Überlauf markiert, wird dieser beim nächsten von diesem Client visualisierten Datensatz angezeigt. Sind mehrere nicht dargestellte Einträge hintereinander mit einem Überlauf markiert, kann der Zähler in der Statuszeile von der Anzahl der Datensätze mit Überlaufmarkierung abweichen.

Noch in diesem Kapitel

Globale Einstellungen


Globale Einstellungen

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Diagnosis Viewer - Auswertungsprogramm > Globale Einstellungen

Die Einträge sind in Englischer Sprache.

Parameter

Beschreibung

File

Befehle im Menü File.

Open

Öffnet Dialog zur Auswahl einer im TXT-Format gespeicherten LOG-Datei. Jede neu geöffnete LOG-Datei wird in einem eigenen Fenster angezeigt.

Open to active document

Jede ausgewählte LOG-Datei wird zum aktiven Fenster hinzugefügt.

Close

Schliesst das aktuelle Fenster.

Save

Speichert die LOG-Datei des aktuellen Fensters.

Save as

Speichert die aktuelle Ansicht des aktiven Fensters (z. B. nach Filtereinstellungen) in eine anzugebende Datei.

Remote Download

Nur verfügbar, wenn Verbindung mit einem Remote Diagnosis Server besteht. Ermöglicht den Download von Loggingdateien des Remote-Servers in den lokalen LOG-Ordner. Ein Unterordner mit Namen des Rechners wird angelegt. Es werden nur die Dateien angeboten, die sich geändert haben oder neu sind.

Connect to

Dialog zur Verbindungsauswahl wird geöffnet.

Online

Aktiviert die Online-Fehlerbetrachtung.
Wird das Online-Logging gestartet, werden alle erhaltenen Einträge ausgegeben. Der gleiche Filterdialog wie beim Dateilesen kann auch hier eingestellt werden.

Unterschied: Ist keine Logverbindung ausgewählt, werden alle erhaltenen Logeinträge angezeigt, ansonsten nur die von den ausgewählten Clients.

Wird der Filter in Bezug auf die Logverbindung modifiziert, gehen alle Einträge, die nicht den Filterbedingungen entsprechen, verloren. (LOG-Datei wird dennoch angelegt und alle Einträge werden gespeichert.) Angezeigte Einträge können gespeichert werden.

Offline

Deaktiviert die Online-Fehlerbetrachtung (Default).

Exit

Beendet den Diagnosis Viewer.

Noch in diesem Kapitel

Verbindungseinstellung Diagnosis Server Connection

Spalteneinstellungen


Verbindungseinstellung Diagnosis Server Connection

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Diagnosis Viewer - Auswertungsprogramm > Globale Einstellungen > Verbindungseinstellung Diagnosis Server Connection

Der Diagnosis Viewer verbindet sich beim Starten automatisch mit einem ausgewählten Default-Server. Falls kein Default-Server definiert ist, wird localhost als Default-Server verwendet.
Empfehlung: Führen Sie die Serverkonfiguration über die Einträge in der zenon6.ini durch.

Diagnosis Server auswählen

Klick auf File -> Connect to... öffnet Dialog zur Auswahl eines Servers:

Parameter

Beschreibung

Liste Server

Listet alle konfigurierten Server auf und zeigt an:

  • Status:
    Con: verbundener Server
    Def: Default-Server. Dieser wird beim Öffnen angezeigt.
  • Name
  • Port
  • Timeout

OK

Übernimmt Einstellungen und schließt Dialog.

Cancel

Verwirft Einstellungen und schließt Dialog.

New Server

Öffnet Dialog zur Konfiguration eines neuen Servers.

Delete Server

Ausgewählter Server Eintrag wird aus der Liste gelöscht.

Edit Server

Öffnet Dialog zur Konfiguration des ausgewählten Servers.

Connect to

Baut Verbindung zum ausgewählten Server auf.

As default

Ausgewählter Server wird zum Default-Server.

Diagnosis Server erstellen und bearbeiten

Klick auf New Server oder Edit Server im Dialog Diagnosis Server connection öffnet Dialog zur Konfiguration der Server:

Parameter

Beschreibung

Server name

Name des Rechners zu dem Verbunden werden soll.
Jeder Rechner darf nur einmal als Server eingetragen werden.

Auf diesem muss laufen:

  • bis Version 6.51: der zenSysSrv
  • ab Version 7.00: der zenLogSrv

Port

Port des Dienstes auf dem Zielrechner:

  • bis Version 6.51: 1101
  • ab Version 7.00: 50780

Timeout

Zeit in Sekunden, in der auf eine Antwort vom Sysservice gewartet wird.

Default: 10 s

OK

Übernimmt Einstellungen und schließt Dialog.

Cancel

Verwirft Einstellungen und schließt Dialog.


Spalteneinstellungen

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Diagnosis Viewer - Auswertungsprogramm > Globale Einstellungen > Spalteneinstellungen

Im Menü können Sie unter Settings -> Column settings die Spalten auswählen, die angezeigt werden sollen. Die Auswahl gilt nur für den Zeitraum, indem die Datei geöffnet ist. Spalteneinstellungen können aber als Profile gespeichert werden.

Parameter | Beschreibung
available | verfügbare Spalten
selected | Spalten, die angezeigt werden
> | fügt bei available ausgewählte Spalten zu selected hinzu
>> | fügt alle bei available verfügbaren Spalten zu selected hinzu
< | entfernt bei selected ausgewählte Spalten
<< | entfernt alle bei selected verfügbaren Spalten
^ | reiht ausgewählte Einträge eine Stufe höher (Multiselect möglich)
v | reiht ausgewählte Einträge eine Stufe tiefer (Multiselect möglich)
OK | Übernimmt Einstellungen und schließt Dialog.
Abbrechen | Verwirft Einstellungen und schließt Dialog.

Spalten können auch im Kontextmenü konfiguriert werden:

Parameter | Beschreibung
Add all columns with entry | Fügt alle Spalten, die Einträge enthalten hinzu.
Remove Column | Blendet die ausgewählte Spalte aus.
Remove all empty columns | Blendet alle Spalten ohne Eintragt aus.
Column width automatic | Die Breite der ausgewählten Spalte wird automatisch an den längsten Eintrag angepasst.
All columns widths automatic | Die Breite aller Spalten wird automatisch an den jeweils längsten Eintrag angepasst.


Filtermöglichkeiten

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Filtermöglichkeiten

Um Filter zu definieren, öffnen Sie den entsprechenden Filterdialog über die entsprechenden Symbole oder die Registerkarten des Filters.

Symbolleiste Filter

Um die Symbolleiste benutzen zu können, muss diese im Menü View über den Eintrag Icon bar aktiviert werden.

Symbol | Tooltip | Beschreibung
1 | Change pre-filter settings | Öffnet Dialog mit fünf Registerkarten zur Definition der Filter.
2 | Change pre-filter for IP-ProcessID-LogID | Öffnet Registerkarte IP address - Process No - Log ID.
3 | Change pre-filter for modules | Öffnet Registerkarte Modules.
4 | Change pre-filter for additional columns | Öffnet Registerkarte Additional columns.
5 | Change pre-filter for time interval | Öffnet Registerkarte Time interval.
6 | Change pre-filter for coloring | Öffnet Registerkarte Colors.

Filterdialog

Registerkarten | Beschreibung
IP-ProcessID-LogID | Öffnet die Registerkarte IP address - Process No - Log ID zur Konfioguration der Verbindungen, die geloggt werden sollen.
Modules | Öffnet die Registerkarte Modules für die zu loggenden Module.
Additional columns | Öffnet die Registerkarte Additional columns zur Auswahl von zusätzlich anzuzeigenden Spalten.
Time interval | Öffnet die Registerkarte Time interval. zur Definition der Zeitfilter.
Colors | Öffnet die Registerkarte Colors zur Auswahl der farblichen Hervorhebung von Informationen.

Noch in diesem Kapitel

IP address - Process No - Log ID

Modules

Additional columns

Time interval

Colors


IP address - Process No - Log ID

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Filtermöglichkeiten > IP address - Process No - Log ID

Konfiguration der Verbindungen und Prozesse, die angezeigt werden sollen.

Parameter | Beschreibung
available | Liste der verfügbaren Verbindungen.
selected | Liste der ausgewählten Verbindungen.
Pfeiltasten | Fügen ausgewählte (>) oder alle (>>) Verbindungen zur Liste selected hinzu oder entfernen Sie aus dieser (< oder <<).
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Modules

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Filtermöglichkeiten > Modules

Auswahl der Module, die angezeigt werden sollen.

Parameter | Beschreibung
Module filter active | Aktiv: Es wird auf Module gefiltert. Damit werden nur noch LOG-Datensätze angezeigt, die einem ausgewählten Modul zugeordnet sind.
available | Zur Verfügung stehende Module.
selected | Ausgewählte Module.
Pfeiltasten | Fügen ausgewählte (>) oder alle (>>) Verbindungen zur Liste selected hinzu oder entfernen Sie aus dieser (< oder <<).
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Additional columns

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Filtermöglichkeiten > Additional columns

Auswahl der zusätzlich anzuzeigenden Spalten.

Parameter | Beschreibung
available | Liste der verfügbaren Spalten. Alle in der Datei vorkommenden Felddefinitionen werden angezeigt.
selected | Liste der ausgewählten Spalten.
Pfeiltasten | Fügen ausgewählte (>) oder alle (>>) Verbindungen zur Liste selected hinzu oder entfernen Sie aus dieser (< oder <<).
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Time interval

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Filtermöglichkeiten > Time interval

Konfiguration des Zeitfilters für die Darstellung der Einträge.

Parameter | Beschreibung
Start time: | Auswahl des Datums und Zeitpunkts, ab dem Einträge angezeigt werden. Default: aktuelles Datum
End time: | Auswahl des Datums und Zeitpunkts bis zu dem Einträge angezeigt werden. Default: aktuelles Datum
Reset time interval | Setzt Filter auf Default zurück.
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Colors

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Filtermöglichkeiten > Colors

Auswahl der farblichen Darstellung von Informationen.

Parameter | Beschreibung
Colors for: | Auswahl der Farbe
IP address | Aktiv: Unterschiedliche IP-Adressen werden unterschiedlich eingefärbt.
Modules | Aktiv: Unterschiedliche Module werden unterschiedlich eingefärbt.
Log connection | Aktiv: Unterschiedliche Namen der LOG-Verbindung werden unterschiedlich eingefärbt.
no colors | Aktiv: Einträge werden nicht eingefärbt.
OK | Übernimmt alle Änderungen aller Registerkarten und schließt Dialog.
Abbrechen | Verwirft alle Änderungen aller Registerkarten und schließt Dialog.


Lesen der LOG-Dateien

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Lesen der LOG-Dateien

Es können ein bis mehrere LOG-Dateien gleichzeitig in einer Auswertung geöffnet werden. Zur Einschränkung der Anzeige muss ein Vorfilter eingestellt werden. Dies ist mittels fünf Registerkarten möglich. Dieser Filter kann nachträglich verändert werden. Ist der Filter eingestellt, werden nur die Einträge angezeigt, die diese Filterbedingungen erfüllen. Die Einträge werden chronologisch aufgelistet.

Filterspalten

Eine weitere Filtermöglichkeit bieten die Filterspalten. Pro Spalte können im Eingabefeld unterhalb der Spaltenüberschrift Filterbedingungen eingegeben werden. Die Felder unterstützen Regular Expressions, wodurch auch komplexe Filterbedingungen gebildet werden können. Die Liste ist durch Anklicken der Spaltenüberschrift aufsteigend oder absteigend sortierbar. Angezeigte Einträge können gespeichert werden. Anzuzeigende Felder können über den Menüeintrag Settings -> Column settings ausgewählt werden.

Default-Felder in der LOG-Datei:

ID | Parameter | Beschreibung
i | IP address | IP-Adresse. Identifiziert den Client und ermöglicht Zuordnung der Meldung.
i | Log ID | ID des Eintrags. Identifiziert den Client und ermöglicht die Zuordnung der Meldung.
i | Message Level | Name des Messagelevels, für den die Meldung eingetragen wurde.
i | Module | Name des Moduls, für das die Meldung eingetragen wurde.
i | Process ID | ID des Prozesses. Identifiziert den Client und ermöglicht Zuordnung der Meldung.
i | Record type | Art des Eintrags.
i | Record version | Versionsnummer des Eintrags.
i | Thread ID | ID des Threads, von welchem aus die Meldung eingetragen wurde.
i | Timestamp | Zeitpunkt der Meldungserstellung in UTC.

Optionale Felder mit fixer ID:

ID | Konstante | Beschreibung
1 | Name of log connection | Name der Logging-Verbindung.
2 | Thread name | Name des Threads.
3 | Name of source files | Name der Source-Datei .
4 | Source line | Sourceline.
5 | Assert condition | Assertbedingung.
6 | Computer name | Computername.
7 | Function name | Name der Funktion.
8 | Project name | Projektname.
9 | Project GUID | GUID des Projekts.
10 | Project path | Projektpfad.
11 | Sent Data | Gesendete Daten.
12 | Received data | Empfangene Daten.
13 | no. serial interface | Nummer der seriellen Schnittstelle.
14 | Baudrate | Baudrate.
15 | dtr setting | DTR-Einstellung.
16 | rts setting | RTS-Einstellung.
17 | Serial char. length | Serielle Zeichenlänge.
18 | Parity | Parität.
19 | No. stopbits | Anzahl der Stopbits.
20 | CTS | CTS.
21 | dsr | DSR.
22 | dsr sensitivity | DSR Sensitivity.
23 | Network port no. | Portnummer im Netzwerk .
24 | Server name | Servername.
25 | Standby name | Name Standby Server.
26 | Client name | Client-Name.
27 | Server IP | IP-Adresse Server.
28 | Standby IP | IP-Adresse Standby.
29 | Client IP | IP-Adresse Client.
30 | Binary buffer | Binärpuffer.
31 | Pointer | Pointer.
32 | Class name | Klassenname.
33 | Error code | Fehlercode.
34 | DLL instance handle | DLL Instanzhandle.
35 | DLL name | DLL Name.
36 | Driver error parameter 1 | Treiber Fehler-Parameter 1.
37 | Driver error parameter 2 | Treiber Fehler-Parameter 2.
38 | Trace Message | Trace Meldung.
39 | Errortext | Fehlertext.
40 | Error file name | Name Fehlerdatei.
41 | Success condition | Bedingung für Erfolg.
42 | Value if successful | Wert, wenn erfolgreich.
43 | Net adress | Netzadresse.
44 | Datablock | Datenbaustein.
45 | Offset | Offset.
46 | Bit number | Bitnummer.
47 | Area in PLC | Bereich in der Steuerung.
48 | Communication direction | Gibt die Richtung der Kommunikation als String-Wert an.
49 | General text | Allgemeiner Text.
50 | Main version no. | Nummer Hautpversion.
51 | Sub version no. | Nummer Unterversion.
52 | Build no. | Build-Nummer.
53 | Servicepack | Service Pack.
54 | Hotfix no. | Hotfixnummer.
55 | Sending client | Client, der das Kommando ausgesendet hat.
56 | Target client for command | Client, der Ziel des Kommandos ist.
57 | Database no. | Nummer Datenbank.
58 | Datapoint no. | Datenpunktnummer (Kanalnummer).
59 | Datapoint value | Wert des Datenpunktes.
60 | Datapoint status | Status des Datenpunktes.
61 | Datapoint timestamp | Zeitstempel des Datenpunktes in Sekunden.
62 | Duration in ms | Zeitdauer in Millisekunden.
63 | Number, counter | Zahl, Zähler.


Struktur der LOG-Datei

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Struktur der LOG-Datei

LOG-Dateien sind ANSI-Textfiles. Die einzelnen Felder werden mittels Tabulatorzeichen getrennt. Als Endezeichen wir CR+LF verwendet. Hierdurch können diese Dateien im Notepad geöffnet werden.

LOG-Dateien enthalten die Informationen sequentiell, zeitlich nicht sortiert.

Noch in diesem Kapitel

Meldungsebenen

Suchfunktion

Profile


Meldungsebenen

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Struktur der LOG-Datei > Meldungsebenen

Zur Unterteilung der LOG-Meldungen können acht Gruppen ausgewählt werden. Diese sind Bit-kodiert und können somit auch kombiniert werden.

1 | Fehlermeldungen
2 | Warnungen
4 | Erfolgsmeldungen
8 | TRACE
16 | ASSERT
32 | Log-Meldungen
64 | Debug
128 | Erweitertes Debug


Suchfunktion

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Struktur der LOG-Datei > Suchfunktion

Über View/Find kann im aktuellen Fenster gesucht werden. Alle Treffer werden markiert.


Profile

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Struktur der LOG-Datei > Profile

Spalteneinstellungen können als Profile gespeichert werden:

Um Profile zu speichern:

  1. Geben Sie im Feld in der Symbolleiste einen Namen ein.
  2. Klicken Sie auf das Symbol mit der Diskette.

Um Profile zu laden:

  1. Wählen Sie aus der Dropdownliste ein gespeichertes Profil.
  2. Klicken Sie auf das Symbol mit der Diskette.

Die Profile werden als *.lvs Datei gespeichert.


Fehlerbehandlung und Meldungen für Diagnosis Viewer

zenon Analyzer > Report Launcher > Fehler-Logging > Diagnosis Viewer > Fehlerbehandlung und Meldungen für Diagnosis Viewer

Fehler

Fehler

Mögliche Ursachen

Der Port kann nicht geöffnet werden.
  • Eine andere Anwendung verwendet den Port.
    Prüfen mit "netstat".
  • Die Ports bei den Einträgen
    [SYS_REMOTE] CONFIG und
    [LOGGING_SYSTEM] CONFIG
    sind identisch. zenLogSrv und zenSysSrv versuchen dann den gleichen Port zu öffnen.

Diagnosis Clients starten den zenLogSrv nicht
  • Der zenAdminSrv wurde beendet. Ohne diesen kann der Dienst nicht gestartet werden.
  • Der zenLogSrv ist am PC nicht als Dienst registriert. In diesem Fall in der Kommandozeile eingeben: zenLogSrv.exe –Service
  • Diagnosis Clients sind nicht von der Version 7.00SP0 oder höher. Der zenLogSrv wird erst ab dieser Version verwendet.
  • Unter Windows CE: Die einzelnen Komponenten (Runtime, SysSrvCE, LogSrvCE) liegen in unterschiedlichen Ordnern. Diese müssen sich im gleichen Ordner befinden, sonst können sich die Komponenten nicht gegenseitig finden.

Unter CE werden viele Prozesse von SysSrvCE.exe oder von LogSrvCE.exe angelegt.
  • Einer der beiden Einträge in der zenon6.ini
    [SYS_REMOTE] INIT oder
    [LOGGING_SYSTEM] INIT
    hat den Wert 2.
    Dies führt dazu, dass die Anwendung nur die Oberfläche zeigt und den Listening Port nicht öffnet. Jeder Diagnosis Client versucht dann, den Prozess zu starten, da er sich nicht zum Diagnosis Server verbinden kann.

Diverse Prozesse stürzen ab.

(Unhandled Exceptions des Diagnosis Server beim Empfangen von LOG-Meldungen oder Konfigurationskommandos oder des Diagnosis Clients und Diagnosis Viewers beim Hochfahren oder Erhalten der Konfiguration)
  • Die Versionen passen nicht zusammen. Diagnosis Clients, Diagnosis Server und Diagnosis Viewer müssen entweder alle Version 7.00 SP0 und höher ODER alle Version 6.51 SP0 und früher haben (siehe Kompatibilität).

LOG-Einträge

Eintrag

Erklärung

SysSrv received not supported network message!

Der zenSysSrv hat ein Netzwerktelegramm empfangen, das nicht unterstützt wird. Beispiel: LOG-Einträge.

LogSrv received not supported network message!

Der zenLogSrv hat ein Netzwerktelegramm empfangen, das nicht unterstützt wird. Beispiel: Remote-Transport Befehle.

Could not open listening port. Server will be stopped.

Der zenLogSrv oder der zenSysSrv konnte seinen Listening Port nicht öffnen. Die Fehlermeldung wird wie folgt protokolliert:

  • zenLogSrv und zenSysSrv am PC:
    Eintrag in die Windows-Ereignisanzeige.
  • zenSysSrv unter CE:
    Message-Box für den Benutzer und LOG-Eintrag an den Diagnosis Server.
  • zenLogSrv unter CE:
    Message Box für den Benutzer.

Folgende LOG-Einträge werden unterschiedlichen Systemen zugeordnet. Der erste Teil der Meldung gibt an, ob Dienst oder Client betroffen sind:

  • SysSrv: zenSysSrv
  • SysCli: Client zum zenSysSrv
  • LogSrv: zenLogSrv
  • LogCli: Diagnosis Client
Eintrag | Erklärung
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [String] | Eine Netzwerkverbindung wurde mit dem angezeigten Konfigurationsstring initialisiert. Server öffnen Ports und Clients verbinden sich zu den Servern.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | Bei einer Netzwerkoperation ist ein Ausnahemfehler aufgetreten. Details werden ebenfalls ausgegeben.
[SysSrv/LogSrv] Accept Failed! | Eine eingehende Verbindung von einem Client konnte nicht angenommen werden.
[SysSrv/LogSrv/SysCli/ LogCli] Write Faild | Es konnten nicht alle zu sendenden Daten gesendet werden. Die Anzahl der gesendeten Bytes und die Anzahl zu sendender Bytes werden angegeben.
[SysSrv/LogSrv] Client [String] in List Delete! | Der Client hat sich vom Server abgemeldet.
[SysSrv/LogSrv] Client [String] in List Insert | Der Client hat sich beim Server angemeldet.


Fehlermeldungen zenon Analyzer allgemein

zenon Analyzer > Report Launcher > Fehler-Logging > Fehlermeldungen zenon Analyzer allgemein

Report Launcher

Allgemein

Meldung | Erklärung
Fehlermeldung von Javascript: Error 500 | Mögliche Ursache: Variablenname enthält zwei oder mehr Leerzeichen in Folge.

Report Launcher Log

Eintrag

Level

Erklärung

Application_Error: [Fehlerinformationen]

ERRORS

Ein Fehler hat das ASP.Net Application Error Event ausgelöst.

Report Launcher Application Start

DEBUG

Die ASP.Net Web-Anwendung wird gerade hochgefahren.

Application_AuthenticateRequest: User=[Benutzername], HTTP Method=[HTTP-Methode], URL=[URL]

DEEPDEBUG

Eine Authentifizierungsanfrage wurde erhalten.

Application_BeginRequest: User=[Benutzername], HTTP Method=[HTTP-Methode], URL=[URL]

DEEPDEBUG

Eine HTTP-Anfrage wurde erhalten.

Application_EndRequest: User=[Benutzername], HTTP Method=[HTTP-Methode], URL=[URL]

DEEPDEBUG

Eine HTTP-Anfrage wurde abgewickelt.

TRACE for [Komponente]: [Meldung]

Je nach Trace-Level:

  • ALL
  • ERRORS
  • WARNINGS
  • DEBUG
  • DEEPDebug

Eine Trace-Nachricht wurde erhalten.

WebService method „[Methode]" called with [Parameterliste]

DEEPDEBUG

Eine WebService-Methode der Reporting Services Web Service Endpunkte wird aufgerufen.

WebService method „[Methode]" returned [Rückgabewert]

DEEPDEBUG

Eine WebService-Methode der Reporting Services Web Service Endpunkte hat einen Rückgabewert geliefert.

WebService method „[Methode]" returned [Rückgabewert] and set [Output-Parameterliste]

DEEPDEBUG

Eine WebService-Methode der Reporting Services Web Service Endpunkte hat einen Rückgabewert geliefert und Output-Parameter gesetzt.

Eventlog entry for [Eventlog-ID]: [Meldung]

Je nach Eventlog-Typ:

  • ERRORS
  • WARNINGS
  • DEBUG
  • DEEPDebug

Eine Eventlog-Nachricht wurde erhalten.

Exception caught in method „[Methodenname]" of type „[Klasenname inklusive Namespace]": [Exception-Dump]

ERRORS

Eine Exception wurde abgefangen.

ZAMS

Sämtliche Meldungen des Ausgabefensters werden an den zenLogSrv gesendet.

Connector Container

Sämtliche Messagebox-Meldungen, die zum Beenden des zrsConnector.exe Prozesses führen, werden als ERRORS geloggt. Außerdem werden folgende Meldungen gespeichert:

Eintrag | Level | Erklärung
The logging connection could not be established! | ERRORS | Log-Verbindung konnte nicht hergestellt werden.
The logging functions could not be loaded! | ERRORS | Die notwendigen Funktionen konnten nicht aus den DLLs geladen werden.
The logging helper DLL could not be loaded! | ERRORS | Die notwendigen DLLs konnten nicht geladen werden.
Client [IP-Adresse & Port] [accepted/processed] | DEBUG | Client-Verbindung wurde akzeptiert oder abgehandelt.
Using connector version [Version] | DEBUG | Versionsnummer wurde für Anfrage gesetzt.
The required connector „[Connector]" could not be loaded. Errorcode=[HEX-Fehlercode], Errortext=[Fehlertext] | ERRORS | Der angeforderte Connector konnte nicht geladen werden.
The required connector „[Connector]" has been loaded. | DEBUG | Der angeforderte Connector wurde geladen.
zenonV6: Query for [Anfragetyp] received | DEBUG | Anfrage erhalten.
zenonV6: Query for [Anfragetyp] resulted in error. Errorcode=[HEX-Fehlercode], Errortext=[Fehlertext] | ERRORS | Anfrage hat Fehler ausgelöst.
zenonV6: Query for [Anfragetyp] processed | DEBUG | Anfrage erfolgreich abgearbeitet.
zenonV6: Query shift is not supported | ERRORS | Nicht unterstützte Anfrage.
zenonV6: Query type is not supported | ERRORS | Nicht unterstützte Anfrage.

zrsLicSrv

Sämtliche Einträge, die bisher ans EventLog gesendet wurden, werden geloggt. Ans EventLog werden nur ERRORS gesendet, ausgenommen EXTENDEDLOG ist in der zenAnalyzer.ini gesetzt. Dieses Flag hat keine Auswirkungen auf das Senden von Meldungen an den zenLogSrv.

Eintrag | Level | Erklärung
Client [IP-Adresse & Port] [accepted/processed] | DEBUG | Client-Verbindung wurde akzeptiert oder abgehandelt.
The logging connection could not be established! | ERRORS | Logverbindung konnte nicht hergestellt werden
The logging functions could not be loaded! | ERRORS | Die notwendigen Funktionen konnten nicht aus den DLLs geladen werden.
The logging helper DLL could not be loaded! | ERRORS | Die notwendigen DLLs konnten nicht geladen werden.
Command [Kommando mit Parametern] has been processed. | DEBUG | Eine Anfrage wurde bearbeitet. (Diese Meldung wird von jedem Anfragetyp geschrieben.)
Deprecated command [Kommando mit Parametern] has been processed. | DEBUG | Eine veraltete Anfrage wurde erhalten und mit „negativ" (immer negativ, da veraltete Anfrage) beantwortet.

zrsProvider

Folgende neue Logmeldungen wurden hinzugefügt:

Eintrag | Level | Erklärung
The cryptographic service provider could not be initialized! | ERRORS | Provider für Hash konnte nicht initialisiert werden.
Reading the hash data failed! | ERRORS | Hashdaten-auslesen fehlgeschlagen.
The data could not be hashed! | ERRORS | Daten-Hashen fehlgeschlagen.
The hash object could not be created! | ERRORS | Hash-Objekt konnte nicht angelegt werden.
The cryptographic service provider is not usable! | ERRORS | Provider für Hash nicht verwendbar.
Domain [Name] released. | DEBUG | Domain freigegeben
Reading data for [domain/project] [Name]. | DEBUG | Begin des Ladens von Daten für Domain oder Projekt
Datasource could not be opened. Errorcode=[HEX-Fehlercode] | ERRORS | Datenquelle konnte nicht geöffnet werden.
Session not be opened. Errorcode=[HEX-Fehlercode] | ERRORS | Session konnte nicht geöffnet werden.
[Anzahl] [Objekttyp] read. | DEBUG | Objektdaten aus Datenbank gelesen.
[Objekttype] data could not be read. Errorcode=[HEX-Fehlercode] | ERRORS | Objektdaten konnten nicht aus Datenbank gelesen werden.
Reading data for [domain/project] [Name] completed. | DEBUG | Laden von Daten für Domain oder Projekt abgeschlossen.
The logging connection could not be established! | ERRORS | Log-Verbindung konnte nicht hergestellt werden
The logging functions could not be loaded! | ERRORS | Die notwendigen Funktionen konnten nicht aus den DLLs geladen werden.
The logging helper DLL could not be loaded! | ERRORS | Die notwendigen DLLs konnten nicht geladen werden.
Socket could not be created. Errorcode=[Fehlercode] | ERRORS | Netzwerkverbindung konnte nicht geöffnet werden.
Both server and standby server for the project could not be reached. | ERRORS | Verbindung konnte weder zu Server noch zu Standby (falls definiert) hergestellt werden.
Connecting to [IP-Adresse & Port] | DEBUG | Verbindungsaufbau
Connecting to [IP-Adresse & Port] failed | ERRORS | Verbindung fehlgeschlagen
There was no response to the initialization request. | ERRORS | Initialisierungs-Anfrage blieb unbeantwortet.
Using connector version [Version] | DEBUG | Verbindungsversion ausgehandelt.
There was no response to the query. | ERRORS | Anfrage blieb unbeantwortet.
Query [Anfragetyp]: [Parameterliste] | DEBUG | Anfrage erhalten.
Invalid call: [Fehlerinformation] | ERRORS | Fehlerhafte Anfrage.
Connector error: [Fehlerinformation] | ERRORS | Fehler bei der Kommunikation mit dem Connector Container oder der Connector Container hat einen Fehler beim Bearbeiten der Anfrage gemeldet.
Unexpected connector error: [Fehlerinformation] | ERRORS | Eine Exception ist aufgetreten.
Query [Anfragetyp] processed: [Anzahl] result rows returned. | DEBUG | Anfrage erfolgreich abgearbeitet und Daten zurückgegeben.


Analyzer Wizards

zenon Analyzer > Analyzer Wizards

Der zenon Analyzer verfügt über Wizards, die bei der korrekten Parametrisierung des SCADA-Systems und beim Export der Daten aus dem SCADA-System unterstützen. Aktuell wird das SCADA-System zenon unterstützt.

Wizards:

  • Export Wizard for Analyzer 2.10: Unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 2.10.
  • Export Wizard for Analyzer 2.20: Unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 2.20.
  • Export Wizard for Analyzer 3.00: Unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 3.00.
  • Export Wizard for Analyzer 3.10: Unterstützt den Export von Metadaten aus zenon für den zenon Analyzer Version 3.10.
  • Meaning and Waterfall Chart Wizard: unterstützt Sie bei der Vorbereitung eines zenon Projekts auf die Verarbeitung von Variablen-Informationen im zenon Analyzer.
  • Sankey Wizard: unterstützt Sie bei der Erstellung von Sankey-Diagrammen, die Sie in der Runtime oder im zenon Analyzer verwenden können.

Die Wizards für zenon Analyzer werden bei der Installation von zenon 7.20 automatisch installiert. Der Analyzer Export Wizard verfügt über eine eigene DLL. Meaning and Waterfall Chart Wizard und Sankey Wizard teilen sich eine DLL. Installation und Wartung unterscheiden sich damit von anderen zenon Wizards. Analyzer Wizards werden mit den Updates von zenon ab Version 7.20 automatisch am aktuellen Stand gehalten. Das Update kann bei Bedarf über die am zenon Analyzer Installationsmedium enthaltene Build-Datei für zenon ab Version 7.10 auch manuell erfolgen. Diese Wizards werden nicht über den Aktualisierungsmechanismus der zenon Wizards aktualisiert. Details siehe Kapitel Installation und Update im Handbuch zenon Analyzer.

Syntax für Eingaben in zenon

Die Eingabe in zenon hängt von der verwendeten zenon Version ab.

Bis zenon 7.11

Bis inklusive zenon Version 7.11 werden Meaning und Wasserfallmodell in die zenon Eigenschaft Betriebsmittelkennung eingetragen. Diese kann Bedeutungen für mehrere Kategorien enthalten.

Für Einträge in die Eigenschaft Betriebsmittelkennung gilt:

  • Kategorien werden durch Strichpunkt (;) getrennt.
  • Bereiche innerhalb einer Kategorien werden durch Komma (,) getrennt.
  • Kategorien werden durch einen Index gekennzeichnet:
    • ME=: Identifiziert eine Bedeutung (Meaning).
      Syntax: ME=[Hauptbedeutung als Text],[Zusatzbedeutung als Text],[Zusatzbedeutung als Text],…;
      Beispiel: ME=Station_1,Station_2;
    • WF=: Identifiziert eine Variable für die Wasserfalldarstellung.
      Syntax: WF=[Modellname Text],[Zeilenindex INT],[Spaltenindex INT],[Farbcode als Text #XXXXXX];;
    • Jeder andere Eintrag wird ebenfalls als Meaning verstanden

Gesamtsyntax für die Eigenschaft Betriebsmittelkennung: ME=[Meaning1],[Meaning2],…,[MeaningN];WF=[Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Achtung: Die Eigenschaft Betriebsmittelkennung ist im zenon Editor auf 255 Zeichen begrenzt.

Ab zenon 7.20

Ab zenon 7.20 stehen in zenon eigene Eigenschaften zur Definition von Meaning und Wasserfall sowie zur Eingabe eines Anzeigenamens zur Verfügung. Diese Einträge benötigen keine vorangestellte Kennzeichnung.

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Achtung: Alle diese Eingabefelder im zenon Editor sind auf 255 Zeichen begrenzt.

Beim Export zum zenon Analyzer werden sowohl die bisherige Eigenschaft als auch die neuen überprüft. Sind beide belegt, werden die Einträge der neuen Eigenschaften übernommen. Einträge, die über den Meaning and Waterfall Chart Wizard erstellt werden, werden immer in die neuen Eigenschaften eingetragen.

Noch in diesem Kapitel

Kompatibilität Analyzer Wizards

Export Wizard for Analyzer 2.10

Export Wizard for Analyzer 2.20

Export Wizard for Analyzer 3.00

Export Wizard for Analyzer 3.10 und 3.20

Meaning and Waterfall Chart Wizard

Sankey Wizard


Kompatibilität Analyzer Wizards

zenon Analyzer > Analyzer Wizards > Kompatibilität Analyzer Wizards

Die unterschiedlichen Wizards stehen für folgende zenon Versionen zur Verfügung:

Wizard \ zenon Version | 8.00 | 7.60 | 7.50 | 7.20 | 7.11 | 7.10 | 7.00
Meaning and Waterfall Chart Wizard | X | X | X | X | X | X | --
Sankey Wizard | X | X | X | X | X | X | --
Export Wizard for Analyzer 3.10 and 3.20 | X | X | X | X | -- | -- | --
Export Wizard for Analyzer 3.00 | X | X | X | X | X | -- | --
Export Wizard for Analyzer 2.20 | X | X | X | X | X | X | --
Export Wizard for Analyzer 2.10 | X | X | X | X | X | X | X
Export Wizard for Analyzer 2.00 | -- | -- | -- | -- | -- | X | X

Legende:

X: wird unterstützt

--: wird nicht unterstützt


Export Wizard for Analyzer 2.10

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10

Der zenon Export Wizard for Analyzer 2.10 unterstützt den Export von Metadaten aus zenon ab Version 7.10 SP0 für den zenon Analyzer 2.10.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Noch in diesem Kapitel

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Wizard installieren und aufrufen

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Wizard installieren und aufrufen

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Export Wizard for Analyzer 2.10.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration

Beim Export mit dem Analyzer Export Wizard werden alle in der Registerkarte Settings gewählten Module der Reihe nach zur Detailkonfiguration angeboten. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten auch direkt anwählen durch Klick auf den Titel der Registerkarte.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings:
    Optionen zum Sammeln der Metadaten
  • Equipment model :
    Export der Modellgruppen aus Globalprojekt
  • Event classes:
    Alarm/Ereignis-Klassen aus Globalprojekt
  • Event Event groups:
    Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users:
    Benutzer aus Globalprojekt
  • Projects:
    Projekte aus Arbeitsbereich
  • Historian:
    Archive der gewählten Projekte
  • Variables:
    Variablen der gewählten Projekte
  • Finish:
    Start des Exports und Ausgabe des Ergebnisses

Achtung: Es kann nur ein Globalprojekt in die Datenbank exportiert werden! Arbeitsbereiche, deren Projekte in die Datenbank exportiert werden sollen, müssen dieses Globalprojekt beinhalten.

Noch in diesem Kapitel

Navigation

Settings

Equipment model

Alarm/Ereignis-Klassen

Event groups

Users

Projects

Historian

Variables

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard; beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet
  • Nein: beendet den Wizard ohne die Konfiguration zu speichern

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Settings

In dieser Registerkarte:

  1. definieren Sie die Datenbank, zu der sich der Wizard verbindet
  2. legen Sie allgemeine Optionen für den Export fest
  3. starten Sie das Auslesen der Daten

Option

Beschreibung

Settings

Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB instance

Instanz der Datenbank.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication. Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication. Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication. Bei Windows Authentication inaktiv.

Options

Allgemeine Optionen für den Export.

Load every project of this workspace into the memory

Aktiv: Lädt alle im Arbeitsbereich vorhandenen Projekte, auch wenn sie nicht aktiv sind und nicht auf Projekt im Speicher halten gesetzt sind.

Keep the exisiting data in the Analyzer database

Aktiv: Es werden nur neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.

Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht.
Ausnahme: Projekte werden nicht gelöscht

Preselect existing Analyzer database content

Aktiv: Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Load Data

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Option

Beschreibung

Liste der geänderten Objekte

Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Folgende umbenannten Objekte werden in der Liste angezeigt:

  • Namen der Anlagenmodellgruppen
  • Namen der Alarm/Ereignis-Klassen
  • Namen der Alarm/Ereignis-Gruppen
  • Projektnamen
  • Variablenamen

Ausnahmen:

  • Benutzer werden immer neu angelegt
  • Archivnamen werden in der Datenbank nur einmal als Visualname angelegt und können im zenon Analyzer überschrieben werden

Rename

Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.

Cancel

Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment model

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Equipment model

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Option

Beschreibung

Equipment modeling

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl, was in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird:

  • Plant: zeigt Anlagenmodelle an
  • Media: zeigt Medien an

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Alarm/Ereignis-Klassen

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Alarm/Ereignis-Klassen

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Option

Beschreibung

Alarm/event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Event groups

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Option

Beschreibung

Alarm/event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Users

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Option

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Projects

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server und Standby Server können hier geändert werden. Dazu:

  1. markieren Sie das Projekt in der Liste der Projekte
  2. tragen Sie die gewünschten Namen für Server und Standby Server ein

Wird im zenon Projekt der Name des Servers oder des Standby Servers geändert, dann wird dieser in der Analyzer Datenbank nur dann aktualisiert, wenn in den Projekteigenschaft die Einstellung Netzwerk aktiv aktiviert wurde.

Option

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server

Adresse des Servers für das im Listenfenster gewählte Projekt.

Standby

Adresse des Standby Servers für das im Listenfenster gewählte Projekt.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Historian

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Historian

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Basisachive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Basisarchiven mit ausgewählt und in die Datenbank geschrieben.

Option

Beschreibung

Historian

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Variables

Konfiguration der zu exportierenden Variablen aus den lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Option

Beschreibung

Variables

Informationen und Hinweise zum Export.

Variable Filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • Show all: Alle Variablen werden angezeigt.
  • Historians only: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups only: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.
  • Show not selected only: Nur Variablen, die nicht ausgewählt wurden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.


Finish

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Konfiguration > Finish

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. öffnen Sie die Registerkarte Settings
  2. klicken Sie auf die Schaltfläche Load data
  3. konfigurieren Sie die Registerkarten


Wizard beenden

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Wizard beenden

Um den Wizard zu beenden:

  • klicken Sie die Schaltfläche Cancel
  • ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll
    • Klick auf Ja schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard; beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet
    • Klick auf Nein beendet Wizard ohne Konfiguration zu speichern


Export Wizard for Analyzer 2.20

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20

Der zenon Export Wizard for Analyzer 2.20 unterstützt den Export von Metadaten aus zenon ab Version 7.0 SP0 für den zenon Analyzer 2.20.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen, mit:

      - Anzeigename (siehe Abschnitt Anzeigenamen)

      - Bedeutung (siehe Abschnitt Bedeutung)

      - Parameter für Wasserfall-Diagramm (siehe Abschnitt Parameter Wasserfall-Diagramm)

  • Sankey-Diagramme (siehe Abschnitt Sankey-Diagramme)

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Noch in diesem Kapitel

Sankey-Diagramme

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Sankey-Diagramme

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Sankey-Diagramme

Der Wizard liest aus allen aktivierten Projekten und dem Globalprojekt automatisch die Definitionen für Sankey-Diagramm aus. Diese befinden sich im zenon Projektordner \Dateien\Sonstige.
Dabei gilt:

  • Nur valide XML-Dateien, die für den zenon Analyzer erstellt wurden, werden berücksichtigt.
    Valide sind Diagramme, die in der Sankey XML-Datei die Attribute Analyzer und Valid auf True gesetzt haben. Alle anderen Sankey-Diagramme werden ignoriert und nicht geladen.
  • Alle Sankey-Diagramm-Definitionen werden in der zenon Analyzer Metadatenbank in die Tabellen SANKEY_DIAGRAMM, SANKEY_OBJECT und SANKEY_VARIABLE geschrieben.
  • Diagramme werden je nach Einstellung für die Option Keep the existing data in the Analyzer database hinzugefügt:
    • Aktiv: Nur neue Diagramme werden in der Analyzer-Datenbank hinzugefügt.
    • Inaktiv: Neue Diagramme werden hinzugefügt und bestehende Diagramme aktualisiert.
  • In zenon gelöschte Diagramme (XML-Dateien) werden im Analyzer nicht gelöscht. Diagramme können im zenon Analyzer nur in der Datenbank direkt gelöscht werden.
  • Für das Hinzufügen oder Aktualisieren von Diagrammen müssen alle benötigten zenon Variablen:
    • über die Registerkarte Variables ausgewählt werden
      oder
    • sich bereits in der Datenbank befinden

    Sind Variablen, die für das Sankey-Diagramm benötigt werden, nicht für den Export ausgewählt, wird das Sankey-Diagramm nicht exportiert.

  • Existiert das Sankey-Diagramm bereits, werden die Metadatenbanktabellen entsprechend der Änderungen aktualisiert.
  • Klick auf die Schaltlfäche Export in der Registerkarte Finish startet den Export der Sankey-Diagramme aus zenon in den zenon Analyzer.
    Der Export der Diagramme erfolgt erst, nachdem alle anderen Daten wie Projekte oder Variablen erfolgt ist. Der Erfolg des Exports wird in der Nachrichtenliste der Registerkarte Finish angzeigt.

attention Achtung

Der Import von Sankey-Diagrammen erfolgt automatisch im Hintergrund. Es stehen keine Oberfläche und keine Konfigurationsmöglichkeit dafür zur Verfügung.


Wizard installieren und aufrufen

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Wizard installieren und aufrufen

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Export Wizard for Analyzer 2.20.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration

Beim Export mit dem Analyzer Export Wizard werden alle für den Export verfügbaren Module zur Detailkonfiguration angeboten. Nur die gewählten Daten werden exportiert. Der Export von Sankey-Diagrammen erfolgt ohne Konfigurationsmöglichkeit im Hintergrund. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten durch Klick auf den Titel der Registerkarte auch direkt anwählen.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings: Optionen zum Export der Metadaten
  • Equipment models: Export der Anlagengruppen aus Globalprojekt
  • Event classes: Alarm/Ereignis-Klassen aus Globalprojekt
  • Event groups: Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users: Benutzer aus Globalprojekt
  • Projects: Projekte aus Arbeitsbereich
  • Archives: Archive der gewählten Projekte
  • Variables: Variablen der gewählten Projekte
  • Finish: Start des Exports und Ausgabe des Ergebnisses

Noch in diesem Kapitel

Navigation

Settings

Equipment models

Alarm/Ereignis-Klassen

Event groups

Users

Projects

Archives

Variables

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet.
  • Nein: Beendet den Wizard ohne die Konfiguration zu speichern.

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Settings

In dieser Registerkarte:

  1. definieren Sie die Datenbank, zu der sich der Wizard verbindet
  2. legen Sie allgemeine Optionen für den Export fest
  3. starten Sie das Auslesen der Daten

Settings

Option | Beschreibung
Settings | Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Parameter

Beschreibung

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB instance

Instanz der Datenbank.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication inaktiv.

Projects

Parameter

Beschreibung

Projects

Liste der verfügbaren Projekte im aktuellen zenon Arbeitsbereich. Checkbox zeigt an, ob die Daten des Projekts verwendet werden:

  • Aktiv: Projekt wird verwendet.

Projekte, die sich aktiv im Speicher befinden sind vorausgewählt. Inaktive Projekte können über die Auswahl der Checkbox hinzugefügt werden.

Options

Parameter

Beschreibung

Options

Allgemeine Optionen für den Export.

Keep the existing data in the Analyzer database
  • Aktiv: Es werden nur komplett neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.
    Hinweis: Werden Verlinkungen von Variablen, Archiven usw. geändert oder neu angelegt, werden diese nicht übertragen. Sollen auch diese übernommen werden, muss die Checkbox auf Inaktiv gesetzt werden
  • Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht. Es werden also neue Einträge erstellt, geänderte Einträge aktualisiert und gelöschte Einträge entfernt.
    Ausnahme: Projekte und Sankey-Diagramme werden nicht gelöscht.

Preselect existing Analyzer database content
  • Aktiv: Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Load Data

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Parameter

Beschreibung

Liste der geänderten Objekte

Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Folgende umbenannten Objekte werden in der Liste angezeigt:

  • Namen der Anlagenmodellgruppen
  • Namen der Alarm/Ereignis-Klassen
  • Namen der Alarm/Ereignis-Gruppen
  • Projektnamen
  • Variablenamen

Ausnahmen:

  • Benutzer werden immer neu angelegt
  • Archivnamen werden in der Datenbank nur einmal als Visualname angelegt und können im zenon Analyzer überschrieben werden

Rename

Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.

Cancel

Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment models

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Equipment models

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Option

Beschreibung

Equipment models

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl des Modells, das in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird.

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Alarm/Ereignis-Klassen

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Alarm/Ereignis-Klassen

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Option

Beschreibung

Event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Event groups

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Option

Beschreibung

Event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Users

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Option

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Projects

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server 1 und Server 2 können hier geändert werden.

Um den Namen eines Servers oder Standbys zu ändern:

  1. Markieren Sie das Projekt in der Liste der Projekte.
  2. Tragen Sie die gewünschten Namen für Server 1 und Server 2 ein.

Wird im zenon Projekt der Name des Server 1 oder des Server 2 geändert, dann wird dieser in der Analyzer Datenbank nur dann aktualisiert, wenn in den Projekteigenschaft die Einstellung Netzwerk aktiv aktiviert wurde.

Option

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server 1

Adresse des Server 1 für das im Listenfenster gewählte Projekt.

Server 2

Adresse des Server 2 für das im Listenfenster gewählte Projekt.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Archives

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Archives

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Basisarchive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Basisarchiven mit ausgewählt und in die Datenbank geschrieben.

Option

Beschreibung

Archives

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Variables

Konfiguration der zu exportierenden Variablen aus den ausgewählten lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Option

Beschreibung

Variables

Informationen und Hinweise zum Export.

Display

Auswahl, welche Variablen angezeigt werden, über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Selected: Nur Variablen, bereits die ausgewählt wurden, werden angezeigt.
  • Unselected: Nur Variablen, die noch nicht ausgewählt wurden, werden angezeigt.

Variable filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Archives: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Angezeigt werden:

  • Name (Analyzer): Name im zenon Analyzer.
  • Name (Workspace): Kann ab zenon 7.20 im Editor über die Eigenschaft Anzeigename vergeben werden. Muss im Projekt eindeutig sein. Siehe auch Abschnitt Anzeigenamen.
  • Meaning: Kann ab zenon 7.20 im Editor über die Eigenschaft Bedeutung vergeben werden. Siehe auch Abschnitt Bedeutung.
  • Ressource label:Entspricht in zenon der Eigenschaft Betriebsmittelkennung. Wird bis inklusive zenon 7.11 für Bedeutung und Parameter Wasserfall-Diagramm verwendet. Ab Version 7.20 stehen dafür eigene Eigenschaften in zenon zur Verfügung.
  • Identification: Entspricht in zenon der Eigenschaft Kennung.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext, die Grenzwertfarbe und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.

Import von Variablen-Informationen aus zenon

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Noch in diesem Kapitel

Anzeigenamen

Bedeutung

Parameter Wasserfall-Diagramm


Anzeigenamen

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Variables > Anzeigenamen

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Anzeigename aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Anzeigenamen gilt:

  • Der Name muss für jedes Projekt eindeutig sein.
  • Namen die in einem Projekt mehrmals vorkommen, werden in der Variablenliste rot markiert.
  • Beim Schreiben der Daten in die Metadatenbank werden die Anzeigename eingetragen.
  • Bei doppelten Namen innerhalb eines Projekts wird nur für die erste gefundene Variable der Anzeigename eingetragen. Für die zweite Variable wird der Name der Variablen in zenon eingetragen.
  • Der Anzeigename wird nur beim ersten Export der Variable gesetzt. Wird dieser später im Editor verändert, wird diese Änderung in der Metadatenbank nicht mehr übernommen. Änderungen werden aber natürlich beim Export in eine neue Metadatenbank übernommen.
  • Bei einer zenon Version kleiner als 7.20 wird der Anzeigename immer aus der zenon Eigenschaft Kennung übernommen.


Bedeutung

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Variables > Bedeutung

Der Wizard liest ab zenon 7.20 die Eigenschaft Analyzer/Bedeutung aus und zeigt diese für jede Variable in der Registerkarte Variables an.
Für Bedeutungen gilt:

  • Sind Einträge für Bedeutung vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung ME= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Sind einer Variable mehreren Bedeutungen zugeordnet, wird ein Komma als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 wird die Bedeutung immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Parameter Wasserfall-Diagramm

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Variables > Parameter Wasserfall-Diagramm

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Parameter für Wasserfall-Diagramm aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Wasserfall gilt:

  • Sind Einträge für Parameter für Wasserfall-Diagramm vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung WF= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Die einzelnen Elemente eines Modells werden durch Komma getrennt. Sind einer Variable mehreren Wasserfallmodelle zugeordnet, wird ein Strichpunkt als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 werden die Wasserfall-Parameter immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Finish

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Konfiguration > Finish

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. Öffnen Sie die Registerkarte Settings.
  2. Klicken Sie auf die Schaltfläche Load data.
  3. Konfigurieren Sie die Registerkarten.


Wizard beenden

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Wizard beenden

Um den Wizard zu beenden:

  • Klicken Sie die Schaltfläche Cancel.
  • Ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll:
    • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet. Die Speicherung der Konfiguration erfolgt benutzerabhängig.
    • Nein: Beendet Wizard ohne die Konfiguration zu speichern.


Export Wizard for Analyzer 3.00

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00

Der zenon Export Wizard for Analyzer 3.00 unterstützt den Export von Metadaten aus zenon ab Version 7.11 SP0 für den zenon Analyzer 3.00.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen, mit:

      - Anzeigename (siehe Abschnitt Anzeigenamen)

      - Bedeutung (siehe Abschnitt Bedeutung)

      - Parameter für Wasserfall-Diagramm (siehe Abschnitt Parameter Wasserfall-Diagramm)

  • Sankey-Diagramme (siehe Abschnitt Sankey-Diagramme)
  • Effizienklassen

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Noch in diesem Kapitel

Sankey-Diagramme

Wasserfall-Diagramm

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Sankey-Diagramme

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Sankey-Diagramme

Der Wizard liest aus allen aktivierten Projekten und dem Globalprojekt automatisch die Definitionen für Sankey-Diagramm aus. Diese befinden sich im zenon Projektordner \Dateien\Sonstige.
Dabei gilt:

  • Nur valide XML-Dateien, die für den zenon Analyzer erstellt wurden, werden berücksichtigt.
    Valide sind Diagramme, die in der Sankey XML-Datei die Attribute Analyzer und Valid auf True gesetzt haben. Alle anderen Sankey-Diagramme werden ignoriert und nicht geladen.
  • Alle Sankey-Diagramm-Definitionen werden in der zenon Analyzer Metadatenbank in die Tabellen SANKEY_DIAGRAMM, SANKEY_OBJECT und SANKEY_VARIABLE geschrieben.
  • In zenon gelöschte Diagramme (XML-Dateien) werden im Analyzer nicht gelöscht. Diagramme können im zenon Analyzer nur in der Datenbank direkt gelöscht werden.
  • Für das Hinzufügen oder Aktualisieren von Diagrammen müssen alle benötigten zenon Variablen:
    • über die Registerkarte Variables ausgewählt werden
      oder
    • sich bereits in der Datenbank befinden

    Sind Variablen, die für das Sankey-Diagramm benötigt werden, nicht für den Export ausgewählt, wird das Sankey-Diagramm nicht exportiert.

  • Existiert das Sankey-Diagramm bereits, werden die Metadatenbanktabellen entsprechend der Änderungen aktualisiert.
  • Klick auf die Schaltlfäche Export in der Registerkarte Finish startet den Export der Sankey-Diagramme aus zenon in den zenon Analyzer.
    Der Export der Diagramme erfolgt erst, nachdem alle anderen Daten wie Projekte oder Variablen erfolgt ist. Der Erfolg des Exports wird in der Nachrichtenliste der Registerkarte Finish angzeigt.

attention Achtung

Der Import von Sankey-Diagrammen erfolgt automatisch im Hintergrund. Es stehen keine Oberfläche und keine Konfigurationsmöglichkeit dafür zur Verfügung.


Wasserfall-Diagramm

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Wasserfall-Diagramm

Ein Wasserfall-Diagramm kann entweder für Linienbasierte Reports oder für Maschinenbasierte Reports erstellt werden. Die Parameter für das Diagramm werden ab zenon 7.20 in der Variableneigenschaft Analyzer/Parameter für Wasserfall-Diagramm abgelegt. Diese können manuell eingetragen oder mit dem Meaning and Waterfall Chart Wizard erstellt werden.

Export

Der Wizard liest beim Laden des zenon Arbeitsbereichs die Eigenschaft Parameter für Wasserfall-Diagramm aus. Sind korrekte Einträge vorhanden, werden diese im Hintergrund exportiert und in die Datenbank des zenon Analyzer geschrieben.

Aufbau der Einträge

Abhängig vom Aufbau der Einträge wird entschieden, ob es sich um Einträge für maschinenbasierte oder linienbasierte Diagramme handelt.

  • Maschinenbasiert: Aufbau mit 4 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode];
    Beispiel: MyWaterfall,4,2,#80FF00;

  • Linienbasiert: Aufbau mit 7 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode],[Verlust Nebenmaschine],[Verlust Nebenmaschine addieren],[Verlust Nebenmaschine subtrahieren];
    Beispiel: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regeln für das Auslesen

Beim Auslesen gilt:

  • Sind Einträge für Parameter für Wasserfall-Diagramm vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
    Der Aufbau entscheidet darüber, ob der Eintrag als maschinenbasiert oder linienbasiert gewertet wird.
  • Die Kennung WF= ist nicht notwendig, kann aber verwendet werden. Die einzelnen Elemente eines Modells werden durch Komma getrennt. Sind einer Variable mehrere Wasserfallmodelle zugeordnet, wird ein Strichpunkt als Separator verwendet.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen. Hier muss die Kennung WF= vorangestellt sein.
  • Bei einer zenon Version kleiner als 7.20 werden die Wasserfall-Parameter aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Wizard installieren und aufrufen

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Wizard installieren und aufrufen

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Export Wizard for Analyzer 3.00.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration

Beim Export mit dem Analyzer Export Wizard werden alle für den Export verfügbaren Module zur Detailkonfiguration angeboten. Nur die gewählten Daten werden exportiert. Der Export von Sankey-Diagrammen erfolgt ohne Konfigurationsmöglichkeit im Hintergrund. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten durch Klick auf den Titel der Registerkarte auch direkt anwählen. Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings: Optionen zum Export der Metadaten
  • Equipment models : Export der Anlagengruppen aus Globalprojekt
  • Event classes: Alarm/Ereignis-Klassen aus Globalprojekt
  • Event groups: Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users: Benutzer aus Globalprojekt
  • Projects: Projekte aus Arbeitsbereich
  • Archives: Archive der gewählten Projekte
  • Variables: Variablen der gewählten Projekte
  • Efficiency classes: Anzeige der zu exportierenden Effizienzklassen
  • Finish: Start des Exports und Ausgabe des Ergebnisses

Noch in diesem Kapitel

Navigation

Settings

Equipment models

Event classes

Event groups

Users

Projects

Archives

Variables

Efficiency classes

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet.
  • Nein: Beendet den Wizard ohne die Konfiguration zu speichern.

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Settings

In dieser Registerkarte:

  1. definieren Sie die Datenbank, zu der sich der Wizard verbindet
  2. legen Sie allgemeine Optionen für den Export fest
  3. starten Sie das Auslesen der Daten

Settings

Parameter | Beschreibung
Settings | Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Parameter

Beschreibung

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication inaktiv.

Projects

Parameter

Beschreibung

Projects

Liste der verfügbaren Projekte im aktuellen zenon Arbeitsbereich. Checkbox zeigt an, ob die Daten des Projekts verwendet werden:

  • Aktiv: Projekt wird verwendet.

Projekte, die sich aktiv im Speicher befinden sind vorausgewählt. Inaktive Projekte können über die Auswahl der Checkbox hinzugefügt werden.

Options

Parameter

Beschreibung

Options

Allgemeine Optionen für den Export.

Don't modify existing data in the Analyzer metadata database
  • Aktiv: Es werden nur komplett neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.
    Hinweis: Werden Verlinkungen von Variablen, Archiven usw. geändert oder neu angelegt, werden diese nicht übertragen. Sollen auch diese übernommen werden, muss die Checkbox auf Inaktiv gesetzt werden
  • Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht. Es werden also neue Einträge erstellt, geänderte Einträge aktualisiert und gelöschte Einträge entfernt.
    Ausnahme: Projekte und Sankey-Diagramme werden nicht gelöscht.

Update Visual names

Nur verfügbar, wenn die Option Don't modify existing data in the Analyzer metadata database deaktiviert ist.

  • Aktiv: In zenon geänderte Anzeigenamen werden beim Export in der Metadatenbank des zenon Analyzer überschrieben.
  • Inaktiv: Geänderte Anzeigenamen werden im zenon Analyzer nicht geändert.

Default: inaktiv
Die Einstellung wird nicht gespeichert. Die Checkbox wird bei jedem Start des Wizards auf deaktiviert gesetzt.

Verhalten:

Bei aktivierter Checkbox werden in zenon geänderte Anzeigenamen auch im zenon Analyzer geändert für:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

Die Anzeigenamen für Users können nicht geändert werden. Diese werden bei Änderungen neu angelegt.

Änderung an Anzeigenamen werden in den einzelnen Listen angezeigt.

Beispiel:

Ausgangssituation:

  • Anzeigename im zenon Projekt: Z
  • Anzeigename im zenon Analyzer: A

Aktionen:

  • A = Z:
    Nichts passiert
  • A <> Z:
    Z wird übernommen, wenn der Name noch nicht in der Metadaten-Tabelle vergeben wurde. Ist Z in der Tabelle bereits vorhanden, bleibt A unverändert und eine Fehlermeldung wird ausgegeben.

Load Data

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Parameter | Beschreibung
Liste der geänderten Objekte | Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Ausnahme: Benutzer werden immer neu angelegt.
Rename | Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.
Cancel | Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment models

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Equipment models

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Parameter

Beschreibung

Equipment models

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl des Modells, das in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird.

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Event classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Event classes

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Parameter

Beschreibung

Event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Event groups

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Parameter

Beschreibung

Event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Users

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Parameter

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Projects

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server 1 und Server 2 können hier geändert werden.

Um den Namen eines Servers oder Standbys zu ändern:

  1. Markieren Sie das Projekt in der Liste der Projekte.
  2. Tragen Sie die gewünschten Namen für Server 1 und Server 2 ein.

Hinweis: Änderungen sind nur möglich, wen in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database deaktiviert wurde. Welche Angaben für die Server angezeigt werden, hängt von den Einstellungen in Projekt und Datenbank ab. Details siehe Abschnitt Anzeige der Server-Einstellungen.

Parameter

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server 1

Adresse des Server 1 für das im Listenfenster gewählte Projekt.
Quelle (Projekt oder Datenbank) je nach Konfiguration.

Server 2

Adresse des Server 2 für das im Listenfenster gewählte Projekt.
Quelle (Projekt oder Datenbank) je nach Konfiguration.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Anzeige der Server-Einstellungen

Für Anzeige und Konfiguration der Server in dieser Registerkarte gilt:

  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv aktiviert:
    Es werden Server 1 und Server 2 aus dem Projekt angezeigt.
  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv deaktiviert:
    Es werden Server 1 und Server 2 aus der Datenbank angezeigt.
  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv deaktiviert und in der Datenbank sind keine Einträge für die Server vorhanden:
    Für Server 1 und Server 2 werden leere Einträge angezeigt.


Archives

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Archives

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Basisarchive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Basisarchiven mit ausgewählt und in die Datenbank geschrieben.

Parameter

Beschreibung

Archives

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

  • Name (Analyzer): Name des Archivs im zenon Analyzer.
  • Name (Project): Name des Archivs im Projekt.
  • Archive ID (Project): ID des Archivs im Projekt.
  • Project: Projekt, aus dem das Archiv stammt.
  • Description: Individuelle Beschreibung des Projekts.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Variables

Konfiguration der zu exportierenden Variablen aus den ausgewählten lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Parameter

Beschreibung

Variables

Informationen und Hinweise zum Export.

Display

Auswahl, welche Variablen angezeigt werden, über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Selected: Nur Variablen, bereits die ausgewählt wurden, werden angezeigt.
  • Unselected: Nur Variablen, die noch nicht ausgewählt wurden, werden angezeigt.

Variable filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Archives: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Achtung: Der Filter unterscheidet Groß- und Kleinschreibung (case sensitive).

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Angezeigt werden:

  • Name (Analyzer): Name im zenon Analyzer.
  • Name (Workspace): Kann ab zenon 7.20 im Editor über die Eigenschaft Anzeigename vergeben werden. Muss im Projekt eindeutig sein. Siehe auch Abschnitt Anzeigenamen.
  • Meanings: Kann ab zenon 7.20 im Editor über die Eigenschaft Bedeutung vergeben werden. Siehe auch Abschnitt Bedeutung.
  • Project: Projekt, aus dem die Variable stammt.
  • Identification: Entspricht in zenon der Eigenschaft Kennung.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext, die Grenzwertfarbe und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.

Import von Variablen-Informationen aus zenon

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Noch in diesem Kapitel

Anzeigenamen

Bedeutung


Anzeigenamen

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Variables > Anzeigenamen

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Anzeigename aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Anzeigenamen gilt:

  • Der Name muss für jedes Projekt eindeutig sein.
  • Namen die in einem Projekt mehrmals vorkommen, werden in der Variablenliste rot markiert.
  • Beim Schreiben der Daten in die Metadatenbank werden die Anzeigename eingetragen.
  • Bei doppelten Namen innerhalb eines Projekts wird nur für die erste gefundene Variable der Anzeigename eingetragen. Für die zweite Variable wird der Name der Variablen in zenon eingetragen.
  • Der Anzeigename wird nur beim ersten Export der Variable gesetzt. Wird dieser später im Editor verändert, wird diese Änderung in der Metadatenbank nicht mehr übernommen. Änderungen werden aber natürlich beim Export in eine neue Metadatenbank übernommen.
  • Bei einer zenon Version kleiner als 7.20 wird der Anzeigename immer aus der zenon Eigenschaft Kennung übernommen.


Bedeutung

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Variables > Bedeutung

Der Wizard liest ab zenon 7.20 die Eigenschaft Analyzer/Bedeutung aus und zeigt diese für jede Variable in der Registerkarte Variables an.
Für Bedeutungen gilt:

  • Sind Einträge für Bedeutung vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung ME= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Sind einer Variable mehreren Bedeutungen zugeordnet, wird ein Komma als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 wird die Bedeutung immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Efficiency classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Efficiency classes

Auswahl und Konfiguration der zu exportierenden Effizienzklassen. Dabei werden zenon Reaktionsmatrizen (REMAs) angezeigt, deren Status den Regeln der Effizienzklassen-Struktur entsprechen. Es werden nur REMAs ausgelesen, die bestimmte Bedingungen erfüllen.

Voraussetzungen zenon REMA

Damit eine Reaktionsmatrix als Effizienzklasse ausgelesen wird, muss sie folgende Bedingungen erfüllen:

  • Typ Numerisch oder Multi-Numerisch
  • Zustand korrekt konfiguriert
  • Grenzwerttext vorhanden

Konfiguration Zustand

Die zu konfigurierenden Zustände müssen folgenden Bedingungen entsprechen:

  • Der erste Zustand ist kleiner als ein definierter Wert. Dieser Bereich ist nach unten offen.

    Zustand n1: <x

  • Der letzte Zustand ist größer als der letzte davor definierte Wert. Dieser Bereich ist nach oben offen.

    Zustand n4: >z

  • Zwischen erstem und letztem Wert werden feste Bereiche definiert. Diese Bereiche müssen exakt aufeinander folgen.

    Zustand n2: x-y

    Zustand n3: y-z

Konfiguration im Wizard

Um Effizienzklassen für den Export auszuwählen:

  1. Wählen Sie die gewünschten Effizienzklassen aus.
  2. Konfigurieren Sie die Normalisierung.
    Achtung: Der Wert None ist einer späteren Ausbaustufe vorbehalten und darf nicht gewählt werden.

    Beim Export werden alle bereits existierenden Effizienzklassen in der Metadatenbank gelöscht, wenn sie vom Wizard angelegt wurden. Effizienklassen, die vom Metadata Editor stammen bleiben aber erhalten. Dann werden alle ausgewählten Effizienzklassen in die Metadatenbank geschrieben.

Parameter

Beschreibung

Efficiency Class Name

Auswahl der zu exportierenden Effizienklassen über
Aktivierung der Checkbox vor dem Namen.

Normalisation

Auswahl der Normalisierung aus Dropdownliste.

  • Minimum: 1 Minute
  • Maximum: 1 Jahr

Default: 15 Minuten

Achtung: None darf nicht gewählt werden. Dieser Wert ist einer späteren Ausbaustufe vorbehalten und führt zu ungültigen Konfigurationen.

attention Achtung

REMAs werden in zenon über den Namen identifiziert. Wird der Name einer REMA in zenon geändert, dann wird beim Export die dazugehörige Effizienzklasse neu angelegt und die bisherige Effizienzklasse wird gelöscht.


Finish

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Konfiguration > Finish

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. Öffnen Sie die Registerkarte Settings.
  2. Klicken Sie auf die Schaltfläche Load data.
  3. Konfigurieren Sie die Registerkarten.


Wizard beenden

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Wizard beenden

Um den Wizard zu beenden:

  • Klicken Sie die Schaltfläche Cancel.
  • Ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll:
    • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet. Die Speicherung der Konfiguration erfolgt benutzerabhängig.
    • Nein: Beendet Wizard ohne die Konfiguration zu speichern.


Export Wizard for Analyzer 3.10 und 3.20

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20

Der zenon Export Wizard for Analyzer 3.10 and 3.20 unterstützt den Export von Metadaten aus zenon ab Version 7.20 SP0 für den zenon Analyzer 3.10 und 3.20.

Exportiert werden können:

  • Daten aus dem Globalprojekt
    • Anlagenmodelle
    • Alarm/Ereignis-Klassen
    • Alarm-Ereignis-Gruppen
    • Benutzer
  • Daten aus ausgewählten Projekten:
    • Archive
    • Variablen, mit:

      - Anzeigename (siehe Abschnitt Anzeigenamen)

      - Bedeutung (siehe Abschnitt Bedeutung)

      - Parameter für Wasserfall-Diagramm (siehe Abschnitt Wasserfall-Diagramm)

  • Sankey-Diagramme (siehe Abschnitt Sankey-Diagramme)
  • Effizienzklassen
  • Schichtkalender

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Kompatibilität:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Noch in diesem Kapitel

Sankey-Diagramme

Wasserfall-Diagramm

Schichtkalender exportieren

Wizard installieren und aufrufen

Startfenster

Konfiguration

Wizard beenden


Sankey-Diagramme

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Sankey-Diagramme

Der Wizard liest aus allen aktivierten Projekten und dem Globalprojekt automatisch die Definitionen für Sankey-Diagramm aus. Diese befinden sich im zenon Projektordner \Dateien\Sonstige.
Dabei gilt:

  • Nur valide XML-Dateien, die für den zenon Analyzer erstellt wurden, werden berücksichtigt.
    Valide sind Diagramme, die in der Sankey XML-Datei die Attribute Analyzer und Valid auf True gesetzt haben. Alle anderen Sankey-Diagramme werden ignoriert und nicht geladen.
  • Alle Sankey-Diagramm-Definitionen werden in der zenon Analyzer Metadatenbank in die Tabellen SANKEY_DIAGRAMM, SANKEY_OBJECT und SANKEY_VARIABLE geschrieben.
  • In zenon gelöschte Diagramme (XML-Dateien) werden im Analyzer nicht gelöscht. Diagramme können im zenon Analyzer nur in der Datenbank direkt gelöscht werden.
  • Für das Hinzufügen oder Aktualisieren von Diagrammen müssen alle benötigten zenon Variablen:
    • über die Registerkarte Variables ausgewählt werden
      oder
    • sich bereits in der Datenbank befinden

    Sind Variablen, die für das Sankey-Diagramm benötigt werden, nicht für den Export ausgewählt, wird das Sankey-Diagramm nicht exportiert.

  • Existiert das Sankey-Diagramm bereits, werden die Metadatenbanktabellen entsprechend der Änderungen aktualisiert.
  • Klick auf die Schaltlfäche Export in der Registerkarte Finish startet den Export der Sankey-Diagramme aus zenon in den zenon Analyzer.
    Der Export der Diagramme erfolgt erst, nachdem alle anderen Daten wie Projekte oder Variablen erfolgt ist. Der Erfolg des Exports wird in der Nachrichtenliste der Registerkarte Finish angzeigt.

attention Achtung

Der Import von Sankey-Diagrammen erfolgt automatisch im Hintergrund. Es stehen keine Oberfläche und keine Konfigurationsmöglichkeit dafür zur Verfügung.


Wasserfall-Diagramm

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Wasserfall-Diagramm

Ein Wasserfall-Diagramm kann entweder für Linienbasierte Reports oder für Maschinenbasierte Reports erstellt werden. Die Parameter für das Diagramm werden ab zenon 7.20 in der Variableneigenschaft Analyzer/Parameter für Wasserfall-Diagramm abgelegt. Diese können manuell eingetragen oder mit dem Meaning and Waterfall Chart Wizard erstellt werden.

Export

Der Wizard liest beim Laden des zenon Arbeitsbereichs die Eigenschaft Parameter für Wasserfall-Diagramm aus. Sind korrekte Einträge vorhanden, werden diese im Hintergrund exportiert und in die Datenbank des zenon Analyzer geschrieben.

Aufbau der Einträge

Abhängig vom Aufbau der Einträge wird entschieden, ob es sich um Einträge für maschinenbasierte oder linienbasierte Diagramme handelt.

  • Maschinenbasiert: Aufbau mit 4 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode];
    Beispiel: MyWaterfall,4,2,#80FF00;

  • Linienbasiert: Aufbau mit 7 Stellen, getrennt durch Komma; Abschluss mit Strichpunkt.

    Syntax: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode],[Verlust Nebenmaschine],[Verlust Nebenmaschine addieren],[Verlust Nebenmaschine subtrahieren];
    Beispiel: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regeln für das Auslesen

Beim Auslesen gilt:

  • Sind Einträge für Parameter für Wasserfall-Diagramm vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
    Der Aufbau entscheidet darüber, ob der Eintrag als maschinenbasiert oder linienbasiert gewertet wird.
  • Die Kennung WF= ist nicht notwendig, kann aber verwendet werden. Die einzelnen Elemente eines Modells werden durch Komma getrennt. Sind einer Variable mehrere Wasserfallmodelle zugeordnet, wird ein Strichpunkt als Separator verwendet.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen. Hier muss die Kennung WF= vorangestellt sein.
  • Bei einer zenon Version kleiner als 7.20 werden die Wasserfall-Parameter aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Schichtkalender exportieren

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Schichtkalender exportieren

Der Wizard sucht in allen aktivierten Projekten automatisch nach Funktionen vom Type SQL-Export Schichtkalender und liest Informationen zu verknüpften Anlagengruppen aus.
Dabei gilt:

  • Gesucht wird in allen verfügbaren zenon Projekten.
  • Zugeordnete Anlagengruppen werden in der Tabelle EquipmentShift angelegt.
  • Wurde der Funktion keine Anlagengruppe zugeordnet, werden alle Anlagengruppen angelegt.
  • Exportiert werden nur Daten aus Projekten und Anlagengruppen, die in den Einstellungen des Wizards ausgewählt wurden.

Das Auslesen und Exportieren geschieht im Hintergrund.


Wizard installieren und aufrufen

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Wizard installieren und aufrufen

Der Wizard wird mit zenon für jede unterstützte zenon Analyzer Version automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Export Wizard for Analyzer 3.10 and 3.20.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle exportierbaren Objekte auflistet.

Die einzelnen Objekte werden in eigenen Registerkarten für den Export konfiguriert.

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Exports.


Konfiguration

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration

Beim Export mit dem Analyzer Export Wizard werden alle für den Export verfügbaren Module zur Detailkonfiguration angeboten. Nur die gewählten Daten werden exportiert. Der Export von Sankey-Diagrammen und Anlagenmodellen für den Schichtkalender erfolgt ohne Konfigurationsmöglichkeit im Hintergrund. Mit Klick auf die Schaltfläche mit dem Pfeil nach rechts gelangen Sie zur jeweils nächsten Stufe. Sie können einzelne Registerkarten durch Klick auf den Titel der Registerkarte auch direkt anwählen. Bereits in der Datenbank vorhandene Einträge werden in den einzelnen Bereichen vorausgewählt.

Folgende Registerkarten stehen zur Konfiguration des Exports zur Verfügung:

  • Settings: Optionen zum Export der Metadaten
  • Equipment models : Export der Anlagengruppen aus Globalprojekt
  • Event classes: Alarm/Ereignis-Klassen aus Globalprojekt
  • Event groups: Alarm/Ereignis-Gruppen aus Globalprojekt
  • Users: Benutzer aus Globalprojekt
  • Projects: Projekte aus Arbeitsbereich
  • Archives: Archive der gewählten Projekte
  • Variables: Variablen der gewählten Projekte
  • Efficiency classes: Anzeige der zu exportierenden Effizienzklassen
  • Finish: Start des Exports und Ausgabe des Ergebnisses

Noch in diesem Kapitel

Navigation

Settings

Equipment models

Event classes

Event groups

Users

Projects

Archives

Variables

Efficiency classes

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet.
  • Nein: Beendet den Wizard ohne die Konfiguration zu speichern.

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Settings

In dieser Registerkarte:

  • definieren Sie die Datenbank, zu der sich der Wizard verbindet
  • legen Sie allgemeine Optionen für den Export fest
  • starten Sie das Auslesen der Daten

Settings

Option | Beschreibung
Settings | Informationen und Hinweise zu aktuellen Exportvorgängen.

Database settings

Option

Beschreibung

Database settings

Verbindungseinstellungen zum Analyzer Server.

DB host

Rechner, auf dem die Datenbank liegt.

DB name

Name der Datenbank.

Authentication

Art der Anmeldung:

  • Windows Authentication: Windows Anmeldeinformationen werden benutzt.
  • SQL Server Authentication: Login mit Daten eines SQL Server Benutzers.

User name

Eingabe des Benutzernamens.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication nur Anzeige.

Password

Eingabe des Passworts.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication keine Eingabe möglich.

Remember password

Passwort wird für nächste Verbindung gespeichert.

Nur für Login mit SQL Server Authentication.
Bei Windows Authentication inaktiv.

Projects

Option

Beschreibung

Projects

Liste der verfügbaren Projekte im aktuellen zenon Arbeitsbereich. Checkbox zeigt an, ob die Daten des Projekts verwendet werden:

  • Aktiv: Projekt wird verwendet.

Projekte, die sich aktiv im Speicher befinden sind vorausgewählt. Inaktive Projekte können über die Auswahl der Checkbox hinzugefügt werden.

Options

Option

Beschreibung

Options

Allgemeine Optionen für den Export.

Don't modify existing data in the Analyzer metadata database
  • Aktiv: Es werden nur komplett neue Einträge aus dem Arbeitsbereich in die Datenbank geschrieben.
    Hinweis: Werden Verlinkungen von Variablen, Archiven usw. geändert oder neu angelegt, werden diese nicht übertragen. Sollen auch diese übernommen werden, muss die Checkbox auf Inaktiv gesetzt werden
  • Inaktiv: Einträge in der Datenbank werden auch aktualisiert oder gelöscht. Es werden also neue Einträge erstellt, geänderte Einträge aktualisiert und gelöschte Einträge entfernt.
    Ausnahme: Projekte und Sankey-Diagramme werden nicht gelöscht.

Update Visual names

Nur verfügbar, wenn die Option Don't modify existing data in the Analyzer metadata database deaktiviert ist.

  • Aktiv: In zenon geänderte Anzeigenamen werden beim Export in der Metadatenbank des zenon Analyzer überschrieben.
  • Inaktiv: Geänderte Anzeigenamen werden im zenon Analyzer nicht geändert.

Default: inaktiv
Die Einstellung wird nicht gespeichert. Die Checkbox wird bei jedem Start des Wizards auf deaktiviert gesetzt.

Verhalten:

Bei aktivierter Checkbox werden in zenon geänderte Anzeigenamen auch im zenon Analyzer geändert für:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

Die Anzeigenamen für Users können nicht geändert werden. Diese werden bei Änderungen neu angelegt.

Änderung an Anzeigenamen werden in den einzelnen Listen angezeigt.

Beispiel:

Ausgangssituation:

  • Anzeigename im zenon Projekt: Z
  • Anzeigename im zenon Analyzer: A

Aktionen:

  • A = Z:
    Nichts passiert
  • A <> Z:
    Z wird übernommen, wenn der Name noch nicht in der Metadaten-Tabelle vergeben wurde. Ist Z in der Tabelle bereits vorhanden, bleibt A unverändert und eine Fehlermeldung wird ausgegeben.

Load Data

Option

Beschreibung

Load Data

Klick auf die Schaltfläche lädt - abhängig vom Parameter Load every project of this workspace into the memory - die Daten der aktuell geladenen Projekte in den Wizard.

Dabei wird überprüft, ob Daten in der Analyzer Datenbank vorhanden sind. Bereits vorhandene Daten werden mit den Daten aus dem Arbeitsbereich fusioniert und in den Wizard geladen. Bei Konflikten in der Benennung wird ein Dialog zur Fehlerbehebung aufgeschaltet.

Wurden das Laden der Daten erfolgreich abgeschlossen, kann in den folgenden Registerkarten der Export konfiguriert werden.

Objekte umbenennen

Objekte müssen in der Analyzer Datenbank und in zenon immer gleich benannt sein. Werden Objekte, die in der Datenbank bereits vorhanden sind, in zenon umbenannt, können diese Änderungen beim Fusionieren der Daten übernommen oder verworfen werden. Das Verwerfen der Änderungen führt dazu, dass der Wizard beendet wird, da nur Objekte mit identischen Namen korrekt verarbeitet werden können.

Dialog zum Umbenennen

Bei Konflikten in der Benennung von Objekten wird ein Dialog zur Fehlerbehandlung geöffnet:

Option | Beschreibung
Liste der geänderten Objekte | Enthält alle Objekte, die geändert wurden. Bisheriger Name und neuer Name werden angezeigt. Ausnahme: Benutzer werden immer neu angelegt.
Rename | Benennt alle aufgelisteten Objekte auch in der Datenbank um, schließt den Dialog und beendet das Einlesen der Daten.
Cancel | Belässt die bisherigen Namen in der Datenbank, beendet das Einlesen der Daten und schließt den Wizard.


Equipment models

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Equipment models

Konfiguration der zu exportierenden Modellgruppen aus dem Globalprojekt.

attention Achtung

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Option

Beschreibung

Equipment models

Informationen und Hinweise zum Export.

Auswahl Anlage/Medium

Dropdownliste zur Auswahl des Modells, das in der Liste Anlagenmodelle/Medien zur Konfiguration angeboten wird.

Liste Anlagenmodelle/Medien

Listenfeld mit Auswahlmöglichkeit für Anlagenmodelle und Modellgruppen bzw. Medien. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Im Listenfeld wird in den einzelnen Knoten immer der Name so angezeigt, wie er in der Datenbank abgelegt wurde. Falls der Name geändert wurde, wird der originale Name aus dem zenon Projekt in einer Klammer angezeigt.

Anlagengruppen, die im Globalprojekt gelöscht wurden, werden nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Klick auf Schaltfläche wählt alle Anlagengruppen aus.

Deselect all

Klick auf Schaltfläche wählt alle Anlagengruppen ab.


Event classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Event classes

Konfiguration der zu exportierenden Alarm/Ereignis-Klassen aus dem Globalprojekt.

Option

Beschreibung

Event classes

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Klassen

Listenfeld mit Auswahlmöglichkeit für Auswahl der Alarm/Ereignis-Klassen . Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Event groups

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Event groups

Konfiguration der zu exportierenden Alarm/Ereignis-Gruppen aus dem Globalprojekt.

Option

Beschreibung

Event groups

Informationen und Hinweise zum Export.

Liste der Alarm/Ereignis-Gruppen

Listenfeld mit Auswahlmöglichkeit für Alarm/Ereignis-Gruppen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Alarm/Ereignis-Klassen, die im Globalprojekt gelöscht wurden, werden hier nicht mehr angezeigt.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Users

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Users

Konfiguration der zu exportierenden Benutzer aus dem Globalprojekt.

Option

Beschreibung

Users

Informationen und Hinweise zum Export.

Liste der Benutzer

Listenfeld mit Auswahlmöglichkeit für Benutzer. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Wurde ein Benutzer in zenon umbenannt, wird dieser als neu gewertet und neu im Projekt angelegt. Der bisherige Benutzer wird gelöscht.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Projects

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Projects

Konfiguration der zu exportierenden lokalen Projekte. Namen für Server 1 und Server 2 können hier geändert werden.

Um den Namen eines Servers oder Standbys zu ändern:

  1. Markieren Sie das Projekt in der Liste der Projekte.
  2. Tragen Sie die gewünschten Namen für Server 1 und Server 2 ein.

Hinweis: Änderungen sind nur möglich, wen in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database deaktiviert wurde. Welche Angaben für die Server angezeigt werden, hängt von den Einstellungen in Projekt und Datenbank ab. Details siehe Abschnitt Anzeige der Server-Einstellungen.

Option

Beschreibung

Projects

Informationen und Hinweise zum Export.

Projektliste

Listenfeld mit Auswahlmöglichkeit für Projekte. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server 1

Adresse des Server 1 für das im Listenfenster gewählte Projekt.
Quelle (Projekt oder Datenbank) je nach Konfiguration.

Server 2

Adresse des Server 2 für das im Listenfenster gewählte Projekt.
Quelle (Projekt oder Datenbank) je nach Konfiguration.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Anzeige der Server-Einstellungen

Für Anzeige und Konfiguration der Server in dieser Registerkarte gilt:

  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv aktiviert:
    Es werden Server 1 und Server 2 aus dem Projekt angezeigt.
  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv deaktiviert:
    Es werden Server 1 und Server 2 aus der Datenbank angezeigt.
  • Im zenon Projekt ist Eigenschaft Netzwerk aktiv deaktiviert und in der Datenbank sind keine Einträge für die Server vorhanden:
    Für Server 1 und Server 2 werden leere Einträge angezeigt.


Archives

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Archives

Auswahl der Archive aus den ausgewählten Projekten. Es werden nur die Basisarchive angezeigt. Verdichtungsarchive werden in der Liste nicht angezeigt, werden aber mit den Basisarchiven mit ausgewählt und in die Datenbank geschrieben.

Option

Beschreibung

Archives

Informationen und Hinweise zum Export.

Archivliste

Listenfeld mit Auswahlmöglichkeit für Archive. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

  • Name (Analyzer): Name des Archivs im zenon Analyzer.
  • Name (Project): Name des Archivs im Projekt.
  • Archive ID (Project): ID des Archivs im Projekt.
  • Project: Projekt, aus dem das Archiv stammt.
  • Description: Individuelle Beschreibung des Projekts.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.


Variables

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Variables

Konfiguration der zu exportierenden Variablen aus den ausgewählten lokalen Projekten. Bei der Auswahl der Variablen können die angebotenen Einträge vorgefiltert werden.

Option

Beschreibung

Variables

Informationen und Hinweise zum Export.

Display

Auswahl, welche Variablen angezeigt werden, über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Selected: Nur Variablen, bereits die ausgewählt wurden, werden angezeigt.
  • Unselected: Nur Variablen, die noch nicht ausgewählt wurden, werden angezeigt.

Variable filter

Auswahl des Variablenfilters über folgende Optionsfelder:

  • All: Alle Variablen werden angezeigt.
  • Archives: Nur Archiv-Variablen werden angezeigt.
  • Equipment groups: Nur Variablen, die sich in den ausgewählten Anlagenmodellen befinden, werden angezeigt.

Filterzeile

Eingabe von alphanumerischen Zeichen, nach denen die Liste der Variablen gefiltert erden soll.

Achtung: Der Filter unterscheidet Groß- und Kleinschreibung (case sensitive).

Liste der Variablen

Listenfeld mit Auswahlmöglichkeit für Variablen. Um einen Eintrag auszuwählen, aktivieren Sie die Checkbox vor dem Eintrag.

Angezeigt werden:

  • Name (Analyzer): Name im zenon Analyzer.
  • Name (Workspace): Kann ab zenon 7.20 im Editor über die Eigenschaft Anzeigename vergeben werden. Muss im Projekt eindeutig sein. Siehe auch Abschnitt Anzeigenamen.
  • Meanings: Kann ab zenon 7.20 im Editor über die Eigenschaft Bedeutung vergeben werden. Siehe auch Abschnitt Bedeutung.
  • Project: Projekt, aus dem die Variable stammt.
  • Identification: Entspricht in zenon der Eigenschaft Kennung.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, gilt die Auswahl von Einstellungen für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Don't modify existing data in the Analyzer metadata database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Wählt alle Einträge in der Liste aus und aktiviert die Checkboxen.

Deselect all

Wählt alle Einträge in der Liste aus und deaktiviert die Checkboxen.

Regeln für den Export von Variablen mit Remas

Werden mit Remas verknüpfte Variablen exportiert, dann werden auch der Grenzwerttext, die Grenzwertfarbe und der Statuswert der Rema-Zuständen in die Tabelle STATUSNAME der Metadaten-Datenbank des Analyzers exportiert. Da in den Reports nur bestimmte Zustände ausgewertet werden können, muss eine Vorsortierung über den Wizard erfolgen.

Folgende Zustände von den Remas werden exportiert beziehungsweise ausgeschlossen:

Rema

Regeln

Numerisch
  • Der Defaultzustand wird ignoriert.
  • Sind mehrere Zustände mit gleichen Status und Grenzwertbedingung gesetzt, dann werden nur der erste Zustand und dessen Statustext exportiert.
  • Es werden nur Zustände exportiert, deren Werte gleich einem Grenzwert sind (Grenzwertbedingung).
  • Die Grenzwertbedingungen größer, kleiner, beliebig und Bereich werden ignoriert.

Multi-Numerisch
  • Entsprechen den Regeln für Numerisch.
  • Zusätzlich werden auch Unterzuständen ignoriert.

Binär

  • Es werden nur Zustände exportiert, deren Werte-Bits von rechts nach links durchgehend in der Bit-Maske gesetzt (0 oder 1) sind.
    Zum Beispiel:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Ignoriert werden zum Beispiel:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-Binär
  • Entsprechen den Regeln für Binär.
  • Zusätzlich werden auch Unterzuständen sowie Zustände mit Flankendefinitionen in der Bitmaske ignoriert.

String

  • Werden komplett ignoriert und nicht exportiert.

Import von Variablen-Informationen aus zenon

Folgende Eigenschaften in der zenon Variablen-Eigenschaftengruppe Analyzer stellen Informationen für Reports im zenon Analyzer zur Verfügung:

  • Anzeigename: Eingabe eines Anzeigenames der Variable in zenon Analyzer. Dieser muss im Projekt einzigartig sein. Die Überprüfung erfolgt nicht bei der Vergabe in zenon, sondern beim Import in den zenon Analyzer. Wird diese Eigenschaft nach dem ersten Export zu einem zenon Analyzer verändert, werden diese Änderungen nicht in den zenon Analyzer übernommen.
  • Bedeutung: Eingabe der Bedeutung (Meaning) einer Variablen im zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Mehrere Bedeutung werden durch Komma getrennt.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameter für Wasserfall-Diagramm: Parameter einer Variablen für ein Wasserfall-Diagramm in zenon Analyzer. Die Eingabe erfolgt manuell oder über den Meaning and Waterfall Chart Wizard. Die einzelnen Parameter werden durch Komma getrennt. Mehrere Wasserfallmodelle werden durch Strichpunkt getrennt.
    Syxntax: [Modellname],[Zeilenindex],[Index in Zeile],[Farbcode];

Noch in diesem Kapitel

Anzeigenamen

Bedeutung


Anzeigenamen

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Variables > Anzeigenamen

Der Wizard liest beim Laden des zenon Arbeitsbereichs ab zenon 7.20 die Eigenschaft Analyzer/Anzeigename aus und zeigt diese für jede Variable in der Registerkarte Variables an. Für Anzeigenamen gilt:

  • Der Name muss für jedes Projekt eindeutig sein.
  • Namen die in einem Projekt mehrmals vorkommen, werden in der Variablenliste rot markiert.
  • Beim Schreiben der Daten in die Metadatenbank werden die Anzeigename eingetragen.
  • Bei doppelten Namen innerhalb eines Projekts wird nur für die erste gefundene Variable der Anzeigename eingetragen. Für die zweite Variable wird der Name der Variablen in zenon eingetragen.
  • Der Anzeigename wird nur beim ersten Export der Variable gesetzt. Wird dieser später im Editor verändert, wird diese Änderung in der Metadatenbank nicht mehr übernommen. Änderungen werden aber natürlich beim Export in eine neue Metadatenbank übernommen.
  • Bei einer zenon Version kleiner als 7.20 wird der Anzeigename immer aus der zenon Eigenschaft Kennung übernommen.


Bedeutung

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Variables > Bedeutung

Der Wizard liest ab zenon 7.20 die Eigenschaft Analyzer/Bedeutung aus und zeigt diese für jede Variable in der Registerkarte Variables an.
Für Bedeutungen gilt:

  • Sind Einträge für Bedeutung vorhanden, werden entsprechende Einträge im Feld Betriebsmittelkennung ignoriert.
  • Sind keine Einträge vorhanden, werden entsprechende Einträge aus der Eigenschaft Betriebsmittelkennung übernommen.
  • Die Kennung ME= ist nicht mehr notwendig, kann aber weiterhin verwendet werden. Sind einer Variable mehreren Bedeutungen zugeordnet, wird ein Komma als Separator verwendet.
  • Bei einer zenon Version kleiner als 7.20 wird die Bedeutung immer aus der zenon Eigenschaft Betriebsmittelkennung übernommen.


Efficiency classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Efficiency classes

Auswahl und Konfiguration der zu exportierenden Effizienzklassen. Dabei werden zenon Reaktionsmatrizen (REMAs) angezeigt, deren Status den Regeln der Effizienzklassen-Struktur entsprechen. Es werden nur REMAs ausgelesen, die bestimmte Bedingungen erfüllen.

Voraussetzungen zenon REMA

Damit eine Reaktionsmatrix als Effizienzklasse ausgelesen wird, muss sie folgende Bedingungen erfüllen:

  • Typ Numerisch oder Multi-Numerisch
  • Zustand korrekt konfiguriert
  • Grenzwerttext vorhanden

Konfiguration Zustand

Die zu konfigurierenden Zustände müssen folgenden Bedingungen entsprechen:

  • Der erste Zustand ist kleiner als ein definierter Wert. Dieser Bereich ist nach unten offen.

    Zustand n1: <x

  • Der letzte Zustand ist größer als der letzte davor definierte Wert. Dieser Bereich ist nach oben offen.

    Zustand n4: >z

  • Zwischen erstem und letztem Wert werden feste Bereiche definiert. Diese Bereiche müssen exakt aufeinander folgen.

    Zustand n2: x-y

    Zustand n3: y-z

Konfiguration im Wizard

Um Effizienzklassen für den Export auszuwählen:

  1. Wählen Sie die gewünschten Effizienzklassen aus.
  2. Konfigurieren Sie die Normalisierung.
    Achtung: Der Wert None ist einer späteren Ausbaustufe vorbehalten und darf nicht gewählt werden.

    Beim Export werden alle bereits existierenden Effizienzklassen in der Metadatenbank gelöscht, wenn sie vom Wizard angelegt wurden. Effizienklassen, die vom Metadata Editor stammen bleiben aber erhalten. Dann werden alle ausgewählten Effizienzklassen in die Metadatenbank geschrieben.

Option

Beschreibung

Efficiency Class Name

Auswahl der zu exportierenden Effizienklassen über
Aktivierung der Checkbox vor dem Namen.

Normalisation

Auswahl der Normalisierung aus Dropdownliste.

  • Minimum: 1 Minute
  • Maximum: 1 Jahr

Default: 15 Minuten

Achtung: None darf nicht gewählt werden. Dieser Wert ist einer späteren Ausbaustufe vorbehalten und führt zu ungültigen Konfigurationen.

attention Achtung

REMAs werden in zenon über den Namen identifiziert. Wird der Name einer REMA in zenon geändert, dann wird beim Export die dazugehörige Effizienzklasse neu angelegt und die bisherige Effizienzklasse wird gelöscht.


Finish

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Konfiguration > Finish

Um die konfigurierten Daten zu exportieren:

  1. Klicken Sie in der Registerkarte Finish auf die Schaltfläche Export.

  2. Der Export wird gestartet.
  3. Im Ausgabefenster werden die exportierten Elemente mit Erfolgs- und Fehlermeldungen dokumentiert.
    Außerdem wird die Zahl der eingefügte, erneuerten und gelöschten Objekte sowie der aufgetretenen Fehler angezeigt.

  4. Klicken Sie auf Close, um den Wizard zu beenden.

Wizard neu konfigurieren

Um den Wizard neu zu konfigurieren:

  1. Öffnen Sie die Registerkarte Settings.
  2. Klicken Sie auf die Schaltfläche Load data.
  3. Konfigurieren Sie die Registerkarten.


Wizard beenden

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 und 3.20 > Wizard beenden

Um den Wizard zu beenden:

  • Klicken Sie die Schaltfläche Cancel.
  • Ein Dialog fragt ab, ob die Konfiguration gespeichert werden soll:
    • Ja: Schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard. Beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet. Die Speicherung der Konfiguration erfolgt benutzerabhängig.
    • Nein: Beendet Wizard ohne die Konfiguration zu speichern.


Meaning and Waterfall Chart Wizard

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard

Der Meaning and Waterfall Chart Wizard unterstützt Sie bei der Vorbereitung eines zenon Projekts auf die Verarbeitung von Variablen-Informationen im zenon Analyzer.

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

attention Achtung

Wird der Meaning and Waterfall Chart Wizard mit einem Projekt mit Verteiltem Engineering (Multi-User) verwendet, dann muss im zenon Editor Änderungen ermöglichen aktiviert werden für:

  • das Projekt (Kontextmenü des Projekts)
  • die Variablen (Kontextmenü der Variablen oder des Moduls Variablen)

Anderenfalls können die vom Meaning and Waterfall Chart Wizard durchgeführten Änderungen nicht übernommen werden. Diese werden dann verworfen.

Der Meaning and Waterfall Chart Wizard unterstützt bei der zenon Projektierung die Konfiguration von:

  • Bedeutungen (Meaning)
  • Wasserfall-Diagrammen (Waterfall Charts) für Maschinenbasierte Reports und Linienbasierte Reports.

Der Wizard schreibt die Konfiguration in die entsprechenden Eigenschaften der im Wizard ausgewählten Variablen. Die Ziel-Eigenschaften hängen ab von der eingesetzten zenon Version.

attention Achtung

Es stehen nur Anlagenmodelle aus dem Globalprojekt zur Verfügung.

AB zenon 7.20

  • Bedeutungen:

    Die Bedeutungen (Meanings) werden in die Eigenschaft Analyzer/Bedeutung geschrieben. Mehrere Einträge werden durch Komma (,) getrennt.

  • Wasserfall:

    Die Parameter für Wasserfall-Diagramme werden in die Eigenschaft Analyzer/Parameter für Wasserfall-Diagramm geschrieben. Die Parameter für ein Diagramm werden durch Komma (,) getrennt. Mehrere Diagramme werden durch Semikolon (;) getrennt.

    • Syntax maschinenbasiert: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode];
    • Syntax linienbasiert: [Modellname],[Zeilenindex],[Spaltenindex],[Farbcode],[Verlust Nebenmaschine],[Verlust Nebenmaschine addieren],[Verlust Nebenmaschine subtrahieren];

Für beide Eigenschaften gilt: Sind aus vorangegangenen zenon Versionen noch Einträge in der Eigenschaft Allgemein/Betriebsmittelkennung vorhanden, dann werden diese gelöscht und in die entsprechenden Eigenschaften für zenon 7.20 eingetragen.

Bis inklusive zenon 7.11

Bedeutungen (Meanings) und Parameter für Wasserfall-Diagramme werden in die Variablen-Eigenschaft Betriebsmittelkennung geschrieben. Dabei wird für Bedeutungen das Präfix ME= vorangestellt, für Wasserfall-Parameter das Präfix WF=.

Weitere Informationen siehe Kapitel Analyzer Wizards.

Noch in diesem Kapitel

Wizard installieren und aufrufen

Startfenster

Konfiguration


Wizard installieren und aufrufen

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Wizard installieren und aufrufen

Der Wizard wird mit zenon automatisch mitinstalliert.

Wizard aufrufen

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Meaning and Waterfall Chart Wizard.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkomensseite.


Startfenster

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle konfigurierbaren Objekte auflistet und erklärt. Die Konfiguration beginnt mit der Registerkarte Settings.

Meaning

zenon Variablen erhalten in der Projektierung oft sehr technisch orientierte Namen. Diese Benennung ist für die Darstellung in einem zenon Analyzer Report oft nicht aussagekräftig genug. Mit dem Wizard kann den Variablen ein eindeutigen Namen für die Darstellung im zenon Analyzer Report gegeben werden. Dieser Name wird abhängig von der zenon Version in der entsprechenden Variablen-Eigenschaft gespeichert. Ziel-Eigenschaft und Eintrag werden vom Wizard automatisch gewählt.

Nach dem Import in den zenon Analyzer wird dieser Name für Reports verwendet, ohne dass der bestehende Variablenname geändert werden muss. Detail siehe Kapitel Analyzer Wizards.

Waterfall chart

Manche zenon Analyzer Reports können anhand von zenon Variablen ein Wasserfall-Diagramm darstellen. Dafür müssen schon zuvor Informationen über das Aussehen des Diagramms in der Betriebsmittelkennung der ausgewählten Variablen vorhanden sein. Mit dem Wizard können der Aufbau und das Aussehen eines Wasserfall-Diagramms für maschinenbasierte oder linienbasierte Reports definiert werden. Die Wasserfall-Informationen werden abhängig von der zenon Version in der entsprechenden Variablen-Eigenschaft gespeichert. Ziel-Eigenschaft und Eintrag werden vom Wizard automatisch gewählt. Detail siehe Kapitel Analyzer Wizards.

Navigation

Mit Klick auf die Schaltfläche mit dem Pfeil navigieren Sie durch die Konfiguration des Wizards.


Konfiguration

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration

Der Meaning and Waterfall Chart Wizard wird mit folgenden Registerkarten konfiguriert:

  • Settings: Laden der Daten aus den Projekten.
    Erst wenn die zu ladenden Daten ausgewählt und erfolgreich geladen wurden, stehen weitere Registerkarten für Bedeutungen und/oder Wasserfall-Diagramme zur Verfügung.
  • Meaning filter: Filtereinstellungen für Bedeutungen.
  • Meaning: Auswahl und Zuweisung der Bedeutungen.
  • Waterfall filter: Filtereinstellungen für maschinenbasiertes Wasserfall-Diagramm oder linienbasiertes Wasserfall-Diagramm.
  • Waterfall charts: Auswahl Variablen und Konfiguration maschinenbasiertes Wasserfall-Diagramm oder linienbasiertes Wasserfall-Diagramm.
  • Finish: Übernahme der Konfiguration und Projektierung durch Wizard.

Welche Registerkarten angezeigt werden, hängt ab von der Konfiguration der Registerkarte Settings.

Noch in diesem Kapitel

Navigation

Settings

Meanings

Machine

Line

Allgemeine Regeln für Wasserfalldiagramme

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche | Beschreibung
Pfeil nach links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Pfeil nach rechts | Schaltet im Ablauf des Wizards eine Registerkarte weiter.
Finish | Schreibt alle Änderungen auf die zenon Variable im Editor und beendet den Wizard.
Cancel | Beendet den Wizard, ohne Änderungen vorzunehmen.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Settings

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Settings

Auswahl und Laden der zu konfigurierenden Registerkarten.

Option

Beschreibung

Settings

Einstellung, welche Registerkarten geladen werden sollen.

Load every project of this workspace into the memory
  • Aktiv: Beim Laden werden auch Projekte aus dem Arbeitsbereich berücksichtigt, die nicht im Speicher sind. Nach dem Beenden des Wizard oder nach Ausführen der Aktion Finish werden diese wieder entladen.

Define Meanings

  • Aktiv: Die Registerkarten Meaning filter und Meaning werden geladen.

Define Waterfall Chart

Auswahl Wasserfalldiagramm:

  • Aktiv: Es wird ein Wasserfalldiagramm erstellt.

Auswahl des Wasserfall-Typs über Radiobuttons:

  • Machine: Ein Wasserfall-Diagramm vom Typ maschinenbasiert wird erstellt. Die Registerkarten Waterfall filter und Waterfall werden geladen.
  • Line: Ein Wasserfall-Diagramm vom Typ linienbasiert wird erstellt. Die RegisterkartenLine Analysis filter und Line Analysis werden geladen.

Load data

Klick auf die Schaltfläche durchsucht die Variablen aller geladenen Projekten im Arbeitsbereich und lädt die benötigten Information für die Filter und Bearbeitung der Variablen. Die entsprechenden Registerkarten werden im Wizard angezeigt.

Während des Ladens der Daten wird ein Fortschrittsbalken angezeigt.

Nach dem Laden stehen die Registerkarten für die gewählten Daten zur Konfiguration zur Verfügung.


Meanings

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Meanings

Konfiguration der Bedeutungen über die Registerkarten Meaning filter und Meaning.

Noch in diesem Kapitel

Meaning filter

Meaning


Meaning filter

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Meanings > Meaning filter

Mit dieser Registerkarte werden die zu bearbeitenden Variablen vorgefiltert. Wird in keiner Gruppe ein Objekt ausgewählt, stehen in der Registerkarte Meaning alle Variablen zu Verfügung.

attention Achtung

Es stehen nur Anlagenmodelle aus dem Globalprojekt zur Verfügung.

Option | Beschreibung
Liste Anlagengruppen | Filterung auf einzelne Modelle durch Aktivierung der jeweiligen Checkboxen. Keine Auswahl: Variablen alle Anlagenmodelle werden gewählt.
Liste Projekte | Filterung auf einzelne Projekte durch Aktivierung der jeweiligen Checkboxen. Keine Auswahl: Variablen alle Projekte werden gewählt.
Liste Archive | Filterung auf einzelne Archive durch Aktivierung der jeweiligen Checkboxen. Keine Auswahl: Variablen alle Archive werden gewählt.


Meaning

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Meanings > Meaning

In dieser Registerkarte werden die Bedeutungen für die Variablen bearbeitet. Es können Variablen ausgewählt und mit neuen Bedeutungen versehen werden und vorhandene Bedeutungen können entfernt werden.

Variablenauswahl

Option

Beschreibung

Search meaning

Eingabe eines Suchbegriffs listet alle Variablen mit entsprechenden Bedeutungen auf.

Die Liste wird sofort mit der Eingabe eines Zeichens aktualisiert. Platzhalter können nicht verwendet werden.

Liste Variablen

Liste der nach der Filterung zur Verfügung stehenden Variablen.

Auswahl von Variablen zur Bearbeitung: Aktivierung der Checkbox vor der Variablen.

In der Spalte Meanings werden bereits vorhandene Bedeutungen der Variablen angezeigt. Dabei werden ausschließlich Bedeutungen angezeigt. Andere Einträge oder Einträge für das Wasserfall-Diagramm werden ausgeblendet und bei der Bearbeitung ignoriert.

Die Variablen können durch Klick auf eine Spaltenbeschriftung entsprechend sortiert werden.

Select all

Klick wählt alle Variablen zur Bearbeitung aus.

Deselect all

Klick wählt alle Variablen ab.

Anzeige Statistik

Zeigt wie viele Variablen:

  • in der Liste vorhanden sind
  • ausgewählt wurden
  • geändert wurden

Reset

Macht alle Änderungen, die durch einen Klick auf Update meaning vorgenommen wurden, rückgängig.

Hinweis: Änderungen werden erst mit Klick auf Finish endgültig übernommen.

Bedeutungen hinzufügen

Option | Beschreibung
Add new meanings | Ermöglicht das Hinzufügen von Bedeutungen zu Variablen. Neue Bedeutungen werden im Eingabefeld eingegeben, zur Liste hinzugefügt und über die Schaltfläche Update meaning den ausgewählten Variablen zugewiesen.
Eingabefeld | Eingabe einer neuen Bedeutung. Maximale Länge: 50 Zeichen
Liste Meanings | Listet alle angelegten Bedeutungen auf.
Add to list | Fügt Eintrag aus Textfeld zur Liste der Bedeutungen hinzu.
Remove from list | Löscht ausgewählten Eintrag aus der Liste Meanings.
Remove all | Löscht alle Einträge aus der Liste Meanings.
Update meaning | Klick weist die Einträge in der Liste Meanings den ausgewählten Variablen als neue Bedeutung zu. Die hinzugefügten Bedeutungen werden in der Spalte Meanings (preview)angezeigt, die Zeile mit der Variablen wird grün hinterlegt.

Bedeutungen entfernen

Option | Beschreibung
Remove existing meanings | Ermöglicht das Entfernen von Bedeutungen von Variablen. Wird eine Variable ausgewählt, werden in der Liste Meanings alle zugewiesenen Bedeutungen angezeigt. Bedeutungen, die erhalten bleiben sollen, werden durch Klick auf die Schaltfläche Remove from list aus der Liste gelöscht. Klick auf die Schaltflächen Update meaning entfernt die Bedeutungen von den ausgewählten Variablen.
Liste Meanings | Listet alle der ausgewählten Variablen zugewiesenen Bedeutungen auf.
Remove from list | Löscht ausgewählten Eintrag aus der Liste Meanings.
Remove all | Löscht alle Einträge aus der Liste Meanings.
Update meaning | Klick entfernt alle Einträge in der Liste Meanings von der ausgewählten Variablen. Die Zeile mit der Variablen wird rot hinterlegt.

Achtung: Änderungen und neue Einträge werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Beispiel Farbkennzeichnung

  • Rot: Alle Meanings der Variable wurden gelöscht.
  • Grün: Variable hat neue Meaning erhalten.


Machine

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Machine

Konfiguration eines Wasserfallmodells für Machinenbasierte Reports über die Registerkarten Waterfall chart filter und Waterfall chart.

Noch in diesem Kapitel

Waterfall chart filter

Waterfall chart


Waterfall chart filter

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Machine > Waterfall chart filter

In dieser Registerkarte definieren Sie das maschinenbasierte Wasserfall-Diagramm. Dazu müssen alle zu verwendenden Variablen der gleichen Anlagengruppe zugeordnet sein. Sollen Variablen aus einem Archiv verwendet werden, müssen das Archiv und die Variablen der gleichen Anlagengruppe zugeordnet sein.

attention Achtung

Es stehen nur Anlagenmodelle aus dem Globalprojekt zur Verfügung.

Option | Beschreibung
Liste Anlagengruppen | Auswahl einer Anlagengruppe.
Liste Projekte | Auswahl eines Projekts.
Liste Archive | Auswahl eines Archivs.

Es müssen eine Anlagengruppe und ein Projekt ausgewählt werden. Optional kann auch ein Archiv der passenden Anlagengruppe gewählt werden.

In der Registerkarte Waterfall werden keine Variablen angezeigt, wenn:

  • kein Projekt gewählt wurde
  • keine Anlagengruppe gewählt wurde
  • Objekte gewählt wurden, die nicht der gleichen Anlagengruppe zugeordnet sind


Waterfall chart

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Machine > Waterfall chart

In dieser Registerkarte können Wasserfall-Definition erstellt und bearbeitet werden.

Option

Beschreibung

New

Aktiv: Eine neue Wasserfall-Definition wird erstellt.

Update

Aktiv: Eine bestehende Wasserfall-Definition wird bearbeitet. Auswahl aus Dropdownliste.

Chart

Eingabe eines Namens für eine neue Wasserfall-Definition.

Save

Klick auf Schaltfläche speichert Eingaben.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Variablenliste

Listet alle Variablen auf, die der Konfiguration in der Registerkarte Waterfall filter entsprechen. Variablen vom Typ Bool und String werden nicht angezeigt.

Die Liste kann durch Anklicken der Spaltenüberschrift sortiert werden. In der Spalte Waterfalls werden bestehende Wasserfall-Definitionen angezeigt. In der Spalte Waterfalls (preview) werden neue bzw. geänderte Wasserfall-Definitionen angezeigt.

Chart

Hier werden Wasserfall-Definitionen per Drag&Drop erstellt oder bearbeitet.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Wasserfall-Definition erstellen

Um eine neue Wasserfall-Definition zu erstellen:

  1. Wählen Sie New.
  2. Ziehen Sie die gewünschten Variablen per Drag&Drop der Reihe nach in die Fläche Chart.
  3. Ordnen Sie die Balken entsprechend den Regeln an.
  4. Vergeben Sie einen Namen im Eingabefeld Chart.
  5. Klicken Sie auf Save.
  6. Die Konfiguration wird in der Spalte Waterfalls (preview) angezeigt.
  7. Wechseln Sie zur Registerkarte Finish.
  8. Klicken Sie auf Finish.


Line

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Line

Konfiguration eines Wasserfallmodells für Linienbasierte Reports über die Registerkarten Waterfall chart filter und Waterfall chart.

Noch in diesem Kapitel

Waterfall chart filter

Waterfall chart


Waterfall chart filter

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Line > Waterfall chart filter

In dieser Registerkarte definieren Sie das linienbasierte Wasserfall-Diagramm. Dazu müssen alle zu verwendenden Variablen und Archive der gleichen Anlagengruppe zugeordnet sein.

attention Achtung

Es stehen nur Anlagenmodelle aus dem Globalprojekt zur Verfügung.

Parameter | Beschreibung
Main machine | Konfiguration der Hauptmaschine.
Equipment | Liste der vorhandenen Anlagenmodelle. Auswahl eines Modells durch Aktivierung der Checkbox. Die Auswahl definiert die verwendbaren Archive. Es kann nur ein Modell ausgewählt werden.
Project | Vorhandene Projekte. Über die Auswahl von Projekten kann die Liste der Archive gefiltert werden. Die Auswahl ist optional.
Archive | Liste der vorhandenen Archive. Auswahl eines Archivs durch Aktivierung der Checkbox. Es kann nur ein Archiv ausgewählt werden.
Side machines | Konfiguration der Nebenmaschinen
Equipment | Liste der vorhandenen Anlagenmodelle. Auswahl eines Modells durch Aktivierung der Checkbox. Die Auswahl definiert die verwendbaren Archive. Es können beliebig viele Modelle ausgewählt werden.
Project | Vorhandene Projekte. Über die Auswahl von Projekten kann die Liste der Archive gefiltert werden. Die Auswahl ist optional.
Archive | Liste der vorhandenen Archive. Auswahl eines Archivs durch Aktivierung der Checkbox. Es können beliebig viele Archive ausgewählt werden.

Regeln

Für die Auswahl der Hauptmaschine gilt:

  • Es muss genau eine Anlagengruppe ausgewählt werden.
  • Die Archivauswahl kann über den Filter Project vorgefiltert werden.
    Es kann nur ein Projekt ausgewählt werden.
  • Es muss genau ein Archiv ausgewählt werden.

Für die Auswahl der Nebenmaschinen gilt:

  • Es können mehrere Anlagengruppen ausgewählt werden. Diese müssen aber von der gleichen Ebene wie die Hauptmaschine stammen.
  • Wurde eine Anlagengruppe für die Hauptmaschine gewählt, können für die Nebenmaschinen nur Anlagengruppen auf gleicher Ebenen der Hauptmaschine gewählt werden. Die Anlagengruppe der Hauptmaschine wird dabei ausgeschlossen.
  • Die Archivauswahl kann über den Filter Project vorgefiltert werden.
    Es können mehrere Projekte ausgewählt werden.
  • Es muss mindestens ein Archiv ausgewählt werden. Wird eine Variable bereits im Archiv der Hauptmaschine verwendet, steht sie für die Nebenmaschine nicht zur Verfügung.

attention Achtung

Damit Variablen für das Diagramm zur Verfügung stehen, müssen sie immer mit der gleichen Anlagengruppe verknüpft sein wie das Archiv, in dem sich die Variablen befinden. Das gilt für Hauptmaschinen und Nebenmaschinen.


Waterfall chart

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Line > Waterfall chart

In dieser Registerkarte können Wasserfall-Definition erstellt und bearbeitet werden.

Beachten Sie die Regeln für die Filterung in der Registerkarte Line Analysis filter: Es müssen exakt die gleichen Variablen-Filter-Einstellungen für Haupt- und Nebenmaschinen eingestellt werden.

Option

Beschreibung

New

Aktiv: Eine neue Wasserfall-Definition wird erstellt.

Update

Aktiv: Eine bestehende Wasserfall-Definition wird bearbeitet. Auswahl aus Dropdownliste.

Chart

Eingabe eines Namens für eine neue Wasserfall-Definition.

Save

Klick auf Schaltfläche speichert Eingaben.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Legend

Legende für die Zuordnung der Variablen:

  • Sub: Verluste von Nebenmaschinen werden von Hauptmaschine subtrahiert.
  • Add: Verluste von Nebenmaschinen werden zur Hauptmaschine addiert.
  • SMa: Nebenmaschinen.

Variables main machine

Listet alle für die Hauptmaschine verfügbaren Variablen auf.

Die Liste kann durch Anklicken der Spaltenüberschrift sortiert werden.

Variables side machine

Listet alle für die Nebenmaschinen verfügbaren Variablen auf.

Die Liste kann durch Anklicken der Spaltenüberschrift sortiert werden.

Chart

Hier werden Wasserfall-Definitionen per Drag&Drop erstellt oder bearbeitet.

Hinweis: Alle Änderungen werden erst nach Ausführung der Aktion Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Wasserfall-Definition erstellen

Um eine neue Wasserfall-Definition zu erstellen:

  1. Wählen Sie New.
  2. Ziehen Sie die gewünschten Variablen per Drag&Drop der Reihe nach in die Fläche Chart.
  3. Ordnen Sie die Balken entsprechend den Regeln an.
  4. Vergeben Sie einen Namen im Eingabefeld Chart.
  5. Klicken Sie auf Save.

    Die Konfiguration wird in der Liste in der Spalte Waterfall def. preview (preview) angezeigt.

  6. Wechseln Sie zur Registerkarte Finish.
  7. Klicken Sie auf Finish.

Wasserfall-Definition bearbeiten

Um eine bestehende Wasserfall-Definition zu bearbeiten:

  1. Wählen Sie Update.
  2. Wählen Sie in der Dropdownliste die gewünschte Definition.

    Die bestehende Definition wird im Diagrammfeld angezeigt.

  3. Bearbeiten Sie die Definition.
  4. Klicken Sie auf Save.
  5. Die Konfiguration wird in der Liste in der Spalte Waterfall def. preview (preview) angezeigt.
  6. Wechseln Sie zur Registerkarte Finish.
  7. Klicken Sie auf Finish.

Regeln beim Zeichnen des Diagramms:

Beim Zeichnen gelten im Unterschied zum maschinenbasierten Diagramm folgende Regeln:

Position | Regel | Definition | Kürzel
letzte Zeile, erste Spalte | Nur Einträge für Hauptmaschinen. | SUBTRACT_SIDE_MACHINE_LOSSES | Sub
n-Spalte, letzte Zeile und nicht 1. Spalte | Einträge der Hauptmaschine. | Default: ADD_SIDE_MACHINE_LOSSES = 0 | (keines)
 |  | Alternativ: Rechte Mausklick auf die Zelle öffnet nach dem Dialog für die Farbauswahl einen weiteren Dialog. Bestätigung mit Ja ändert Definition auf: ADD_SIDE_MACHINE_LOSSES = 1 | Add
n-Spalte, letzte Zeile und nicht 1. Spalte | Einträge der Nebenmaschinen. | LOSS_FROM_SIDE_MACHINE = 1 | SMa

Dialog: Verluste Nebenmaschine addieren

Unter folgenden Bedingungen wird nach dem Schließen des Farbauswahldialogs ein zusätzlicher Dialog zum Addieren von Verlusten aus Nebenmaschinen angezeigt:

  • rechter Mausklick im Diagramm
  • auf eine Variable der Hauptmaschine
  • in der letzten Zeile
  • ab der zweiten Spalte

Option | Beschreibung
Add side machine losses | Abfrage, ob Verluste von Nebenmaschinen addiert werden sollen.
Ja | Der Wert für DD_SIDE_MACHINE_LOSSES wird auf 1 gesetzt. Die Verluste der Nebenmaschine werden addiert.
Nein | Der Wert für DD_SIDE_MACHINE_LOSSES wird auf 0 gesetzt. Die Verluste der Nebenmaschine werden subtrahiert.
Abbrechen | Der Zustand wie vor dem Aufschalten des Dialogs bleibt bestehen.


Allgemeine Regeln für Wasserfalldiagramme

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Allgemeine Regeln für Wasserfalldiagramme

Beim Erstellen und Bearbeiten von Wasserfall-Definitionen gelten folgende Regeln:

  1. Für den ersten Balken muss die Variable in die linke obere Ecke der Zeichenfläche gezogen werden.
  2. Der zweite Balken kann nur unterhalb des ersten Balkens eingefügt werden.
  3. Alle weiteren Balken können entweder unter einen bestehenden Balken oder rechts von einem Bestehenden Balken eingefügt werden.
    • Die erste Zeile kann nur einen Balken enthalten.
    • Wird ein Balken rechts eines bestehenden Balkens eingefügt, werden die darüber liegenden Balken verlängert.
  4. Die ausgewählte Variable wird grün dargestellt.
  5. Jede Variable kann nur einmal verwendet werden.
  6. Der Balken erhält einen Index:
    • erste Zahl: Zeilen-Index
    • zweite Zahl: Spalten-Index
  7. Im Tooltip des Balkens wird der Name der ausgewählten Variable angezeigt
  8. Nur für linienbasierte Diagramme: Variablen von Nebenmaschinen können nur in die letzte Zeile eingetragen werden.

Hinweis: Beachten Sie die Regeln für Filterung und Diagrammgestaltung bei linienbasierten Diagrammen.

Wasserfall-Definition speichern

Um eine Wasserfall-Definition zu speichern:

  1. Vergeben Sie im Eingabefeld Chart einen Namen.
  2. Klicken Sie auf die Schaltfläche Save.
  3. Die Definition wird in der Variablenliste gespeichert und der neue Eintrag in der Liste in der Spalte Waterfall def. preview (preview) angezeigt
  4. Die neue Wasserfall-Definition wird erst nach Klick auf die Schaltfläche Finish in der Registerkarte Finish auf die zenon Variable geschrieben.

Wasserfall-Definition bearbeiten

Um eine neue Wasserfall-Definition zu bearbeiten:

  1. Wählen Sie Update.
  2. Wählen Sie aus der Dropdownliste die gewünschte Wasserfall-Definition.

    Achtung: Es werden nur Definitionen angeboten, die der Konfiguration in der Registerkarte Waterfall filter entsprechen.

  3. Die Wasserfall-Definition wird in der Fläche Chart angezeigt.
  4. Ändern Sie die Definition entsprechend den Regeln:
    • Balken hinzufügen: Ziehen Sie die Variable an die gewünschte Stelle. Die Variable wird grün eingefärbt.
    • Balken löschen: Ziehen Sie den Balken in den Löschbereich. Die Variable wird wieder ohne Markierungsfarbe angezeigt.
    • Balken verschieben: Verschieben Sie den Balken an die gewünschte Stelle.
    • Farbe ändern: Weisen Sie dem Balken mit Rechtsklick die gewünschte Farbe zu.
  5. Klicken Sie auf Save.
  6. Alle Änderungen werden in der Liste in der Spalte Waterfall def. preview (preview) angezeigt.
  7. Wechseln Sie zur Registerkarte Finish.
  8. Klicken Sie auf Finish.

Balken löschen

Balken können gelöscht werden, wenn:

  • es sich um kurze Balken handelt
  • rechts davon oder darunter kein weiterer Balken vorhanden ist

Um einen Balken zu löschen, ziehen Sie ihn per Drag&Drop auf eine freie Stelle außerhalb des Feldes Chart (aber nicht in die Variablenliste).

Der Balken wird gelöscht. Alle anderen Balken werden entsprechend verschoben. Balken verschieben

Balken können verschoben werden, wenn:

  • es sich um kurze Balken handelt
  • die Verschiebeaktion innerhalb einer Zeile stattfindet

Um einen Balken zu verschieben, ziehen Sie ihn per Drag&Drop an die neue Position. Alle anderen Balken zwischen der alten und der neuen Position werden um eine Stelle verschoben.

Farbe eines Balkens ändern

Um die Farbe eines Balkens zu ändern:

  1. Führen Sie einen Rechtsklick auf den Balken aus.
  2. Der Dialog zur Farbauswahl wird aufgeschaltet.
  3. Wählen Sie die gewünschte Farbe.
  4. Klicken Sie auf OK.


Finish

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Konfiguration > Finish

In dieser Registerkarte werden die Änderungen auf die Variablen in zenon geschrieben und das Ergebnis im Ausgabefeld angezeigt.

Klick auf die Schaltfläche Finish schreibt alle Änderungen auf die zenon Variable im Editor.

Die vorgenommenen Änderungen werden im Ausgabefeld angezeigt:

  • Update variable MEANINGS definition: Änderungen, die an Variablen durchgeführt wurden und die Bedeutungen betreffen.
  • Update variable WATERFALL definition: Änderungen, die an Variablen durchgeführt wurden und die Wasserfall-Definition betreffen.
  • Hinweise zu neuen, bearbeiteten und gelöschten Einträgen, Warnungen und Fehlermeldungen.

    Beim Import in zenon wird die Länge des Eintrags für die entsprechenden Eigenschaften überprüft. Dieser darf maximal 250 Zeichen lang sein. Ist der Eintrag länger, wird die Zeichenfolge nach dem 250. Zeichen abgeschnitten und ein Fehlereintrag in das Ausgabefeld der Registerkarte Finish geschrieben.


Sankey Wizard

zenon Analyzer > Analyzer Wizards > Sankey Wizard

Ein Sankey-Diagramm ist eine grafische Darstellung von Mengenflüssen. Die Mengen werden durch mengenproportional dicke Pfeile dargestellt. Sankey-Diagramme sind wichtige Hilfsmittel zur Visualisierung von Energie- und Materialflüssen sowie von Ineffizienzen und Einsparpotenzialen im Umgang mit Ressourcen.

Der Sankey Wizard unterstützt Sie bei der Erstellung von Sankey-Diagrammen, die Sie in der zenon Runtime und im zenon Analyzer sehen können.

Folgende Szenarien sind möglich:

  • Ein neues Sankey-Diagramm erstellen.
  • Ein bereits existierendes Sankey-Diagramm als Vorlage verwenden.
  • Ein existierendes Sankey-Diagramm bearbeiten.
  • Ein existierendes Sankey-Diagramm löschen.

Das Sankey-Diagramm wird in einer XML-Datei gespeichert.

Hinweis: Der Wizard steht nur in englischer Sprache zur Verfügung.

Noch in diesem Kapitel

Sankey Wizard installieren

Sankey Wizard starten

Startfenster

Listen sortieren und filtern

Navigation

Action - Aktion auswählen

Variables - Variablen auswählen

Diagram - Diagramm erstellen

Finish - Fertig stellen


Sankey Wizard installieren

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Sankey Wizard installieren

Der Wizard wird mit zenon automatisch mitinstalliert.


Sankey Wizard starten

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Sankey Wizard starten

Damit Wizards angezeigt werden, müssen die Einstellungen für VBA und/oder VSTA in der in der zenon6.ini korrekt gesetzt sein:

[VBA]

EIN=1

[VSTA]

ON=1

Werden VSTA Wizards bei korrekten Einstellungen nicht angezeigt, setzen Sie im Abschnitt [VSTA] den Eintrag LOADED= auf 1.

Um den Wizard zu starten:

  1. Klicken Sie auf Extras -> Editor Wizards starten....
    Oder: Drücken Sie die Tastenkombination Alt+F12.

    Das Auswahlfenster mit den verfügbaren Wizards öffnet sich.

  2. Navigieren Sie zum Knoten Analyzer.
  3. Wählen Sie den Sankey Wizard.

  4. Klicken Sie auf OK.

    Der Wizard startet mit der Willkommensseite.


Startfenster

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Startfenster

Beim Öffnen des Wizards erhalten Sie eine Übersichtsseite, die alle konfigurierbaren Objekte auflistet und erklärt. Die Konfiguration beginnt mit der Registerkarte Action.

Durch einen Klick auf die Schaltfläche mit dem Pfeil oder auf den Titel der Registerkarte, navigieren Sie durch die Konfiguration des Wizards.


Listen sortieren und filtern

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Listen sortieren und filtern

Sortieren von Listen

Alle Listen in den Registerkarten Action und Variables können sortiert werden.

Die Sortierung erfolgt per Default alphabetisch, was jedoch invertiert werden kann.

Um zu sortieren:

  1. Klicken Sie auf den entsprechenden Spaltenkopf, nach dem sortiert werden soll.

    Die Liste wird nach dieser Spalte sortiert angezeigt.

  2. Ein weiterer Klick invertiert die Sortierung.

Filtern von Listen

Sie können in allen Listen in den Registerkarten Action und Variables nach bestimmten Kriterien filtern. Ebenso können mehrere Filter miteinander kombiniert werden.

Hinweis: Um einen Filter zurückzusetzen, löschen Sie den Filtertext aus der Kopfzeile.

Vorgehen:

  1. Klicken Sie in der gewünschten Liste mit der linken Maustaste in das Eingabefeld bei dem entsprechenden Filtersymbol.
  2. Geben Sie den Begriff ein, nach dem gefiltert werden soll.
  3. Klicken Sie in der gewünschten Liste mit der linken Maustaste auf das entsprechende Filtersymbol.

    Das Kontextmenü wird geöffnet.

  4. Treffen Sie Ihre Auswahl, indem Sie mit der linken Maustaste auf die gewünschte Filtermöglichkeit klicken.

    Zur Auswahl stehen:

    • No filter: kein Filter eingestellt
    • Contains: beinhaltet
    • Does not contain: beinhaltet nicht
    • Starts with: beginnt mit
    • Equals: entspricht
    • Not equal to: entspricht nicht

    Die Liste wird entsprechend Ihrer Auswahl gefiltert.

Hinweis: Per Default ist der Filter "Contains" eingestellt.


Navigation

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Navigation

Die Navigation durch die Registerkarten erfolgt über die Navigationsleiste im unteren Bereich des Wizardfensters:

Schaltfläche | Beschreibung
Pfeil nach links | Schaltet im Ablauf des Wizards eine Registerkarte zurück.
Pfeil nach rechts | Schaltet im Ablauf des Wizards eine Registerkarte weiter.
Finish | Schreibt alle Änderungen auf die zenon Variable im Editor und beendet den Wizard.
Cancel | Beendet den Wizard, ohne Änderungen vorzunehmen.

Einzelne Registerkarten können auch direkt durch Klick auf den Titel der Registerkarte ausgewählt werden.


Action - Aktion auswählen

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Action - Aktion auswählen

Wählen Sie in der Registerkarte Action die gewünschte Aktion aus, indem Sie diese aktivieren.

Es gibt folgende drei Möglichkeiten:

Option | Beschreibung
Create diagram | Erstellt ein neues Diagramm.
Use existing diagram as template | Verwendet ein bestehendes Diagramm als Vorlage. Hinweis: Variablen müssen in diesem Fall erneut an Knotenverbindungen verknüpft werden. Die Variablenverknüpfungen vom bestehenden Diagramm werden in der Vorlage nicht angezeigt.
Edit or delete diagram | Ermöglicht das Bearbeiten oder Löschen eines bestehenden Diagramms. Das zu bearbeitende oder zu löschende Diagramm kann aus der Liste der erstellten Diagramme ausgewählt werden.

Sortier- und Filtermöglichkeiten

Sie können die Liste in der Registerkarte Action sortieren und nach bestimmten Kriterien filtern. Details hierzu finden Sie im Kapitel Listen sortieren und filtern.

Liste der erstellten Diagramme

Das Fenster in der Mitte zeigt eine Liste mit den bereits erstellten Diagrammen. Die Einträge sind ausgegraut, wenn Create_Diagram gewählt ist. Folgende Informationen sind dazu sichtbar:

Option | Beschreibung
Project | Name des Projekts, in dem das Diagramm gespeichert ist.
Diagram | Zeigt den Namen des Diagramms.
Description | Zeigt die Beschreibung des Diagramms.
Analyzer | Aktiv: Das Diagramm kann im Analyzer und in der Runtime verwendet werden. Inaktiv: Das Diagramm kann nur in der Runtime verwendet werden.
Valid | Aktiv: Das Diagramm ist gültig. Inaktiv: Das Diagramm ist nicht gültig. Sie können das Diagramm weder im Analyzer noch in der Runtime verwenden. Hinweis: Editieren Sie in diesem Fall das Diagramm und passen Sie es an bis es gültig ist.
Delete | Löscht das gewählte Diagramm. Vor dem Löschen des gewählten Diagramms wird ein Dialog mit einer Sicherheitsabfrage angezeigt.

Project Settings

Im diesem Bereich können Sie folgende Einstellungen für das Projekt machen:

Option

Beschreibung

Name

Geben Sie hier einen Namen für das Projekt ein.

Hinweis: Der Name muss eindeutig sein. Ein Warndialog macht Sie andernfalls darauf aufmerksam. Ein neu erstelltes Diagramm mit einem bereits existierenden Namen würde beim Bestätigen des Warndialogs das bestehende ersetzen. Wenn Sie jedoch im Warndialog auf No klicken, wird der Name automatisch um _1 ergänzt.

Save into project

Wählen Sie hier das Projekt aus, in dem Ihr Diagramm gespeichert werden soll.

Description

Geben Sie hier eine Beschreibung ein.
Hinweis: Dies ist optional.

Create diagram for Analyzer

Aktiv: Es werden nur Variablen angezeigt, die in Archiven sind.
Hinweis: Die Variablen, die Sie verwenden möchten, müssen zuerst mit dem Analyzer Export Wizard exportiert werden.

Inaktiv: Die Auswahl der Variablen ist uneingeschränkt möglich, jedoch kann das Diagramm nicht im zenon Analyzer verwendet werden, sondern nur in der zenon Runtime.

Hinweis: Nach dem Verlassen dieser Registerkarte ist keine Bearbeitung der hier gemachten Einstellungen mehr möglich.

Dialog: Diagramm löschen

Vor dem Löschen des gewählten Diagramms wird ein Dialog mit einer Sicherheitsabfrage angezeigt.

Option | Beschreibung
Ja | Löscht das ausgewählte Diagramm.
Nein | Der Löschvorgang wird abgebrochen. Der Dialog wird geschlossen, das gewählte Diagramm wird nicht gelöscht


Variables - Variablen auswählen

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Variables - Variablen auswählen

In dieser Registerkarte können Sie Variablen für Ihr Projekt auswählen.

Sortier- und Filtermöglichkeiten

Sie können die Listen in der Registerkarte Variables sortieren und nach bestimmten Kriterien filtern. Details hierzu finden Sie im Kapitel Listen sortieren und filtern.

Select project

Option | Beschreibung
Select project | Liste aller aktiven zenon Projekte. Wählen Sie hier jene(s) Projekt(e), aus dem/denen Sie die Variablen für Ihr Diagramm auswählen möchten. Hinweis: Mehrfachauswahl ist möglich.

Select data source

Option

Beschreibung

Select data source

Wählen Sie hier die Datenquelle (Archive) aus.
Hinweis: Die Option Online Data steht für alle anderen Variablen, die nicht aus Archiven kommen. Diese Option kann man nur auswählen, wenn Sie in der Registerkarte Action nicht die Option create for Analyzer aktiviert haben. Für die Runtime werden Live-Werte, also Online-Werte verwendet. Für den zenon Analyzer werden historische Werte verwendet.

  • Short name
    Kurzbezeichnung des Archivs
  • Long name
    vollständiger Name des Archivs
  • Project
    Projektname des Archivs
  • Parent archive
    Version des verwendeten Archivs

Variables

Option

Beschreibung

Project variables

Wählen Sie hier die Variablen aus, die Sie mit Ihrem Diagramm verknüpfen wollen. Mehrfachauswahl ist möglich.

Möglichkeiten dafür:

  • Doppelklicken Sie die gewünschte Variable.
  • Markieren Sie die gewünschte Variable und klicken anschließend auf Add->.
  • Halten Sie die Steuerung-Taste gedrückt, markieren mehrere Variablen, klicken auf Add->.
  • Klicken Sie auf Add all->, um alle Variablen auszuwählen.

Variablenliste:

  • Name
    Name der Variable
  • Project
    Name des Projekts der Variable
  • Archive:
    Kurzbezeichnung des Archivs
  • Aggregation:
    Verdichtungsart des Archivs
    • AVG (Mittelwert)
    • Max (Maximalwert)
    • Min (Minimumwert)
    • Sum (Summe)
    • RAW (Rohdatenformat - ohne Verdichtung)

Schaltfläche Add ->

Fügt ausgewählte Variable(n) zur Liste der Diagram variables hinzu.

Schaltfläche Add all ->

Fügt alle Variablen zur Liste der Diagram variables hinzu.

Schaltfläche <- Delete

Entfernt ausgewählte Variable(n) aus der Liste der Diagram variables.

Schaltfläche <- Delete all

Entfernt alle Variablen aus der Liste der Diagram variables.

Diagram variables

Option

Beschreibung

Diagram variables

Hier sehen Sie die ausgewählten Variablen. Diese sind für die nächste Registerkarte beim Erstellen des Diagramms relevant.

Um Variablen wieder zu löschen:

  • Markieren Sie die Variable, die Sie löschen möchten und klicken auf <-Delete.
  • Halten Sie die Steuerung-Taste gedrückt, markieren mehrere Variablen, die Sie gleichzeitig löschen möchten und klicken auf <-Delete.
  • Klicken Sie auf <-Delete all, um alle ausgewählten Variablen wieder zu löschen.

Variablenliste:

  • Name
    Name der Variable
  • Project
    Name des Projekts der Variable
  • Archive:
    Kurzbezeichnung des Archivs
  • Aggregation:
    Verdichtungsart des Archivs
    • AVG (Mittelwert)
    • Max (Maximalwert)
    • Min (Minimumwert)
    • Sum (Summe)
    • RAW (Rohdatenformat - ohne Verdichtung)

Hinweis: Nach Verlassen dieser Registerkarte sind Änderungen an den hier gemachten Einstellungen möglich.


Diagram - Diagramm erstellen

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Diagram - Diagramm erstellen

In dieser Registerkarte haben Sie die Möglichkeit ein Diagramm zu zeichnen.

Beachten Sie, dass:

  • Sie jeweils maximal 26 Start- oder Endknoten anlegen können.
  • sich die Startknoten nicht überlappen dürfen.
  • sich die Endknoten nicht überlappen dürfen.

Zeichenfläche

In der Zeichenfläche positionieren Sie Ihre projektierten Knoten und Verbindungen.

Node

Option | Beschreibung
Name | Knotenname
Color | Farbe des Knoten. Zeigt zuletzt gewählte Farbe an. Klick auf Fläche öffnet den Farbauswahldialog.
Create | Erstellt Knoten und positioniert diesen auf der Zeichenfläche.
Delete | Löscht gewählten Knoten von der Zeichenfläche. Nur aktiv, wenn mindestens ein Knoten in der Zeichenfläche ausgewählt wurde.

Diagram

Option

Beschreibung

Validate

Überprüft ob alle Knoten verknüpft sind bzw. ob die Verknüpfungen mit einer Variable belegt sind.

Das Ergebnis der Validierung wird in einem Dialog angezeigt:

  • Node xx is not connected!
    Der Knoten hat keine Verbindung zu einem anderen Knoten.
  • A connection of node xx has no variable linked!
    Die Verknüpfung des Knotens hat keine zugeordnete Variable.

Save

Sichert die aktuelle Projektierung. Vor der Sicherung findet ebenfalls eine Überprüfung statt.

Reset

Löscht alle Knoten und bereits projektierte Verbindungen.

Diagram settings

Option

Beschreibung

Loss detection

Automatische Verlusterkennung mit einer zusätzlichen Verbindung, welche den Differenzfluss visualisiert.

  • aktiviert: Die automatische Verlusterkennung wird berechnet.
  • deaktiviert: Es wird keine automatische Verlusterkennung berechnet.

Default: deaktiviert

Unknown Loss

Übersteigt bei einem Knoten die Menge der Zuflüsse die Menge der Abflüsse, wird ein Differenzfluss in der ausgewählten Farbe angezeigt.

Nur aktiv, wenn Loss detection aktiviert ist.

Hinweis: Dieser Differenzfluss wird erst in der zenon Runtime oder im zenon Analyzer angezeigt.

Undefined Input

Übersteigt bei einem Knoten die Menge der Abflüsse die Menge der Zuflüsse, wird ein Differenzfluss in der ausgewählten Farbe angezeigt.

Nur aktiv, wenn Loss detection aktiviert ist.

Hinweis: Dieser Differenzfluss wird erst in der zenon Runtime oder im zenon Analyzer angezeigt.

Connections (Variables)

Option | Beschreibung
Connections (Variables) | Liste aller für die Verknüpfung verfügbaren Variablen. Ist eine Variable bereits mit einer Verbindung verknüpft, wird diese Variable in der Auswahlliste grün dargestellt. Hinweis: Diese Variablen werden im Register Variables zur Verfügung gestellt.
Link variable | Verlinkt ausgewählte Variable mit ausgewählter Verbindung. Nicht aktiv, wenn keine Verbindung ausgewählt ist. Hinweis: Bei Auswahl zweiter Knoten und einer Variable wird zusätzlich zur Verknüpfung auch die Verbindung gezeichnet.
Delete | Löscht ausgewählte Verbindung. Mehrfachauswahl von Verbindungen ist möglich. Nicht aktiv, wenn keine Verbindung ausgewählt ist.

Noch in diesem Kapitel

Diagramm erstellen

Darstellung Sankey-Diagramm in zenon Analyzer

Ansichtsbeispiele: Wizard - zenon Analyzer


Diagramm erstellen

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Diagram - Diagramm erstellen > Diagramm erstellen

So erstellen Sie ein Sankey-Diagramm mit dem Sankey Wizard:

Knoten und Verbindungen erstellen:

Beachten Sie, dass:

  • Sie jeweils maximal 26 Start- oder Endknoten anlegen können.
  • sich die Startknoten nicht überlappen dürfen.
  • sich die Endknoten nicht überlappen dürfen.

Vorgehen:

  1. Geben Sie im Fenster Node unter dem Feld Name einen Namen für den zu erstellenden Knoten ein.
  2. Wählen Sie eine Farbe für den Knoten aus, indem Sie in dem Feld Color klicken.
  3. Klicken Sie anschließend auf Create.
  4. Erstellen Sie die benötigten Knoten und ordnen Sie diese beliebig an.
  5. Verbinden Sie die Knoten, indem Sie einen Knotenausgang (rechts vom Knoten) zu einem Knoteneingang (links vom Knoten) ziehen.

Hinweis: Ein Knoten kann zu mehreren Knoten Verbindungen haben bzw. mehrere Knoten können zu einem Knoten Verbindungen haben. Je nachdem wie viele Verbindungen bestehen, ändert sich die Größe des Ausgangsknotens. Knoten, die nur auf einer Seite verbunden sind, werden rund oder oval dargestellt. Knoten, die auf beiden Seiten eine Verbindung haben, werden eckig dargestellt.

Bezüglich der Knotenverbindungen gibt es zusätzlich folgende Möglichkeiten:

Rückkopplung: Verbindung vom Ausgang eines Knotens zu seinem Eingang herstellen

Dazu:

  • Doppelklicken Sie auf den Knoten, auf dem Sie eine Rückkopplung erstellen möchten.

oder

  • Ziehen Sie die Verbindung vom Ausgang des Knotens auf seinen Eingang.

Verbindung zwischen 2 Knoten herstellen und gleichzeitig eine Variable darauf verknüpfen:

Dazu:

  1. Markieren Sie beide Knoten, die Sie verbinden möchten und die Variable, die Sie darauf verknüpfen möchten.
  2. Klicken Sie auf Link Variable.

Variablen an Verbindungen verknüpfen:

Um Variablen an Verbindungen zu verknüpfen, gibt es mehrere Möglichkeiten:

Drag&Drop

  • Ziehen Sie die gewünschte Variable von dem Connections (Variables)-Fenster auf die gewünschte Knotenverbindung.

Hinweis: Vorausgesetzt, dass Sie die Verbindung zwischen den Knoten schon hergestellt haben.

Schaltfläche Link Variable

  1. Markieren Sie die gewünschte Knotenverbindung
  2. Markieren Sie die Variable, die Sie an die Verbindung verknüpfen möchten.
  3. Klicken Sie auf die Schalftläche Link Variable.

Hinweis: Sie können auf jede Verbindung nur eine Variable verknüpfen.

Eine Variable an mehreren Knotenverbindungen verknüpfen:

  1. Halten Sie die Steuerung-Taste gedrückt und markieren Sie mehrere Knoten-Verbindungen.
  2. Markieren Sie die gewünschte Variable.
  3. Klicken Sie auf Link Variable

    oder

  4. Ziehen Sie die Variable auf die markierten Knotenverbindungen.

Hinweis: Um den Namen der Variable zu sehen, die an der Verbindung verknüpft ist, bewegen Sie die Maus über die Verbindung.

Diagrammeinstellungen (Diagram settings):

Wenn Sie die Option Loss Detection aktivieren, wird automatisch eine Verlusterkennung berechnet. Eine zusätzliche Verbindung visualisiert dann den Differenzfluss.

In den Feldern Unknown Loss und Undefined Input können Sie die Farben auswählen, die für das Anzeigen der Differenzflüsse verwendet werden sollen. Um eine Farbe zu wählen, klicken Sie in das Feld. Die Farbpalette zur Auswahl einer Farbe wird geöffnet.

Das Zeichnen des Diagramms abschließen:

Nachdem Sie Ihr Diagramm fertig gezeichnet haben,

  • klicken Sie auf die Schaltfläche Validate.

Stimmen all ihre Verbindungen, erscheint ein Dialog mit der Information, dass das Diagramm gültig ist. Andernfalls, erscheint ein Dialog mit der Information, dass es noch Knoten gibt, die nicht verbunden sind oder dass Variablen nicht auf die Verbindungen verknüpft sind.
Damit ein Diagramm gültig ist:

  • müssen alle Knoten verbunden sein
  • müssen alle Verbindungen mit einer Variablen besetzt sein
  • dürfen sich keine Knoten überlagern, wenn sie in Richtung Eingänge (link) oder AUsgänge (rechts) verschoben werden

Um Ihr Diagramm zu speichern,

  • klicken Sie auf die Schaltfläche Save.

Ihr erstelltes Diagramm wird validiert. Das Diagramm wird gespeichert und als gültig oder ungültig gekennzeichnet. Es wird Ihnen das Projekt angezeigt, in dem es gespeichert wird.

Zum Neuzeichnen des Diagramms,

  • klicken Sie auf die Schaltfläche Reset.

Somit werden all Ihre gezeichneten Knoten und Ihre Verbindungen gelöscht.

info Info

Klick auf die Schaltflächen Validate oder Save richtet die Knoten an der rechten und linken Seite des Zeichenbereichs aus.

Hinweis: Knoten dürfen sich dabei nicht überlagern.

Knoten bearbeiten:

Nachdem Sie bereits ein paar Knoten erstellt haben, können Sie

mehreren Knoten den gleichen Namen vergeben:

  1. Halten Sie die Steuerung-Taste gedrückt.
  2. Markieren Sie die Knoten, die Sie benennen möchten.
  3. Geben Sie einen Namen ein.

für mehrere Knoten die gleiche Farbe auswählen:

  1. Halten Sie die Steuerung-Taste gedrückt.
  2. Markieren Sie die Knoten, die Sie einfärben möchten.
  3. Wählen Sie anschließend eine Farbe aus.

mehrere Knoten gleichzeitig verschieben:

  1. Halten Sie die Steuerung-Taste gedrückt.
  2. Markieren Sie die Knoten, die Sie verschieben möchten.
  3. Verschieben Sie die Knoten. Ihre Verbindungen werden mitverschoben.

Hinweis: Sie können auch einen Knoten einzeln bearbeiten, indem Sie diesen markieren und die gewünschte Änderung vornehmen.

Knoten löschen:

  1. Markieren Sie den Knoten, den Sie löschen möchten.
  2. Klicken Sie im Fenster Node auf Delete oder auf die Entfernen-Taste.

Mehrere Knoten gleichzeitig löschen:

  1. Halten Sie die Steuerung-Taste gedrückt und markieren Sie die Knoten, die Sie löschen möchten.
  2. Klicken Sie im Fenster Node auf Delete oder auf die Entfernen-Taste.

Hinweis: Beim Löschen eines Knotens werden auch seine Verbindungen mitgelöscht.

Verbindungen löschen:

  1. Markieren Sie die Verbindung, die Sie löschen möchten.
  2. Klicken Sie im Fenster Connections (Variables) auf Delete oder auf die Entfernen-Taste.

Mehrere Verbindungen gleichzeitig löschen:

  1. Halten Sie die Steuerung-Taste gedrückt und markieren Sie die Verbindungen, die Sie löschen möchten.
  2. Klicken Sie im Fenster Connections (Variables) auf Delete oder auf die Entfernen-Taste.


Darstellung Sankey-Diagramm in zenon Analyzer

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Diagram - Diagramm erstellen > Darstellung Sankey-Diagramm in zenon Analyzer

Die Knoten werden im zenon Analyzer immer neu angeordnet und folgen dabei nicht der exakten Positionierung im Wizard. Die Darstellung des Sankey-Diagrammes wird im zenon Analyzer automatisch auf Lesbarkeit und Übersichtlichkeit optimiert.

Für diese Ausrichtung wird speziell die Breite der Verbindung berücksichtigt. Diese Breite ist jeweils abhängig von den dargestellten Werten (je mehr, umso dicker).

Horizontale Ausrichtung

Knoten werden horizontal automatisch proportional zu Ihrer Anzahl auf die gesamte Breite aufgeteilt.

Beispiel: Bei drei Knoten wird die Darstellung der erste Verbindung in der Mitte der Anzeige enden.

Vertikale Ausrichtung

Die vertikale Ausrichtung der Knoten erfolgt in zenon Analyzer automatisch immer in einer vertikalen Linie. Dies bedeutet, dass die erste Ebene immer in einer vertikalen Linie angeordnet ist, unabhängig von der Projektierung im Wizard.

Die Endknoten werden automatisch, in gleichbleibenden Abständen, von oben nach unten angeordnet.

info Info

Beachten sie die folgenden Ansichtsbeispiele.


Ansichtsbeispiele: Wizard - zenon Analyzer

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Diagram - Diagramm erstellen > Ansichtsbeispiele: Wizard - zenon Analyzer

Beispiel für horizontale Ausrichtung

Projektierung Sankey Wizard

Ansicht zenon Analyzer

Beispiel für vertikale Ausrichtung

Projektierung Sankey Wizard

Ansicht zenon Analyzer

Beispiel für gemischte Ausrichtung

Projektierung Sankey Wizard

Ansicht zenon Analyzer


Finish - Fertig stellen

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Finish - Fertig stellen

In der Registerkarte Finish sehen Sie, ob Ihr erstelltes Diagramm gültig ist und an welchem Ort Ihr erstelltes Diagramm gespeichert wurde.

  • Klicken Sie dafür auf die Schaltfläche Finish.

Um den Sankey Wizard zu beenden,

  • klicken Sie auf die Schaltfläche Close.

info Info

Die Projektierung Ihres Sankey-Diagramms wird in einer XML-Datei gespeichert.

Diese befindet sich im Projektmanager des gewählten Projektes, im Knoten Dateien im Ordner Sonstige.

Mit dem Analyzer Export Wizard können Sie das modellierte Sankey-Diagramm für die Verwendung in zenon Analyzer übernehmen.

Details zu diesem Export lesen Sie im Handbuch Analyzer Export Wizard.